/*! sass.js - v0.10.2 (abe26e0) - built 2016-12-28
  providing libsass 3.4.2 (2a9f386)
  via emscripten 1.37.0 ()
 */

(function (root, factory) {
  'use strict';
  if (typeof define === 'function' && define.amd) {
    define([], factory);
  } else if (typeof exports === 'object') {
    module.exports = factory();
  } else {
    root.Sass = factory();
  }
}(this, function () {/*global document*/
// identify the path sass.js is located at in case we're loaded by a simple
// <script src="path/to/sass.js"></script>
// this path can be used to identify the location of
// * sass.worker.js from sass.js
// * libsass.js.mem from sass.sync.js
// see https://github.com/medialize/sass.js/pull/32#issuecomment-103142214
// see https://github.com/medialize/sass.js/issues/33
var SASSJS_RELATIVE_PATH = (function() {
  'use strict';

  // in Node things are rather simple
  if (typeof __dirname !== 'undefined') {
    return __dirname;
  }

  // we can only run this test in the browser,
  // so make sure we actually have a DOM to work with.
  if (typeof document === 'undefined' || !document.getElementsByTagName) {
    return null;
  }

  // http://www.2ality.com/2014/05/current-script.html
  var currentScript = document.currentScript || (function() {
    var scripts = document.getElementsByTagName('script');
    return scripts[scripts.length - 1];
  })();

  var path = currentScript && currentScript.src;
  if (!path) {
    return null;
  }

  // [worker] make sure we're not running in some concatenated thing
  if (path.slice(-8) === '/sass.js') {
    return path.slice(0, -8);
  }

  // [sync] make sure we're not running in some concatenated thing
  if (path.slice(-13) === '/sass.sync.js') {
    return path.slice(0, -13);
  }

  return null;
})() || '.';

var Module;if(!Module)Module=(typeof Module!=="undefined"?Module:null)||{};var moduleOverrides={};for(var key in Module){if(Module.hasOwnProperty(key)){moduleOverrides[key]=Module[key]}}var ENVIRONMENT_IS_WEB=false;var ENVIRONMENT_IS_WORKER=false;var ENVIRONMENT_IS_NODE=false;var ENVIRONMENT_IS_SHELL=false;if(Module["ENVIRONMENT"]){if(Module["ENVIRONMENT"]==="WEB"){ENVIRONMENT_IS_WEB=true}else if(Module["ENVIRONMENT"]==="WORKER"){ENVIRONMENT_IS_WORKER=true}else if(Module["ENVIRONMENT"]==="NODE"){ENVIRONMENT_IS_NODE=true}else if(Module["ENVIRONMENT"]==="SHELL"){ENVIRONMENT_IS_SHELL=true}else{throw new Error("The provided Module['ENVIRONMENT'] value is not valid. It must be one of: WEB|WORKER|NODE|SHELL.")}}else{ENVIRONMENT_IS_WEB=typeof window==="object";ENVIRONMENT_IS_WORKER=typeof importScripts==="function";ENVIRONMENT_IS_NODE=typeof process==="object"&&typeof require==="function"&&!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_WORKER;ENVIRONMENT_IS_SHELL=!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_NODE&&!ENVIRONMENT_IS_WORKER}if(ENVIRONMENT_IS_NODE){if(!Module["print"])Module["print"]=console.log;if(!Module["printErr"])Module["printErr"]=console.warn;var nodeFS;var nodePath;Module["read"]=function read(filename,binary){if(!nodeFS)nodeFS=require("fs");if(!nodePath)nodePath=require("path");filename=nodePath["normalize"](filename);var ret=nodeFS["readFileSync"](filename);return binary?ret:ret.toString()};Module["readBinary"]=function readBinary(filename){var ret=Module["read"](filename,true);if(!ret.buffer){ret=new Uint8Array(ret)}assert(ret.buffer);return ret};Module["load"]=function load(f){globalEval(read(f))};if(!Module["thisProgram"]){if(process["argv"].length>1){Module["thisProgram"]=process["argv"][1].replace(/\\/g,"/")}else{Module["thisProgram"]="unknown-program"}}Module["arguments"]=process["argv"].slice(2);if(typeof module!=="undefined"){module["exports"]=Module}process["on"]("uncaughtException",(function(ex){if(!(ex instanceof ExitStatus)){throw ex}}));Module["inspect"]=(function(){return"[Emscripten Module object]"})}else if(ENVIRONMENT_IS_SHELL){if(!Module["print"])Module["print"]=print;if(typeof printErr!="undefined")Module["printErr"]=printErr;if(typeof read!="undefined"){Module["read"]=read}else{Module["read"]=function read(){throw"no read() available"}}Module["readBinary"]=function readBinary(f){if(typeof readbuffer==="function"){return new Uint8Array(readbuffer(f))}var data=read(f,"binary");assert(typeof data==="object");return data};if(typeof scriptArgs!="undefined"){Module["arguments"]=scriptArgs}else if(typeof arguments!="undefined"){Module["arguments"]=arguments}}else if(ENVIRONMENT_IS_WEB||ENVIRONMENT_IS_WORKER){Module["read"]=function read(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.send(null);return xhr.responseText};Module["readAsync"]=function readAsync(url,onload,onerror){var xhr=new XMLHttpRequest;xhr.open("GET",url,true);xhr.responseType="arraybuffer";xhr.onload=function xhr_onload(){if(xhr.status==200||xhr.status==0&&xhr.response){onload(xhr.response)}else{onerror()}};xhr.onerror=onerror;xhr.send(null)};if(typeof arguments!="undefined"){Module["arguments"]=arguments}if(typeof console!=="undefined"){if(!Module["print"])Module["print"]=function print(x){console.log(x)};if(!Module["printErr"])Module["printErr"]=function printErr(x){console.warn(x)}}else{var TRY_USE_DUMP=false;if(!Module["print"])Module["print"]=TRY_USE_DUMP&&typeof dump!=="undefined"?(function(x){dump(x)}):(function(x){})}if(ENVIRONMENT_IS_WORKER){Module["load"]=importScripts}if(typeof Module["setWindowTitle"]==="undefined"){Module["setWindowTitle"]=(function(title){document.title=title})}}else{throw"Unknown runtime environment. Where are we?"}function globalEval(x){eval.call(null,x)}if(!Module["load"]&&Module["read"]){Module["load"]=function load(f){globalEval(Module["read"](f))}}if(!Module["print"]){Module["print"]=(function(){})}if(!Module["printErr"]){Module["printErr"]=Module["print"]}if(!Module["arguments"]){Module["arguments"]=[]}if(!Module["thisProgram"]){Module["thisProgram"]="./this.program"}Module.print=Module["print"];Module.printErr=Module["printErr"];Module["preRun"]=[];Module["postRun"]=[];for(var key in moduleOverrides){if(moduleOverrides.hasOwnProperty(key)){Module[key]=moduleOverrides[key]}}moduleOverrides=undefined;var Runtime={setTempRet0:(function(value){tempRet0=value}),getTempRet0:(function(){return tempRet0}),stackSave:(function(){return STACKTOP}),stackRestore:(function(stackTop){STACKTOP=stackTop}),getNativeTypeSize:(function(type){switch(type){case"i1":case"i8":return 1;case"i16":return 2;case"i32":return 4;case"i64":return 8;case"float":return 4;case"double":return 8;default:{if(type[type.length-1]==="*"){return Runtime.QUANTUM_SIZE}else if(type[0]==="i"){var bits=parseInt(type.substr(1));assert(bits%8===0);return bits/8}else{return 0}}}}),getNativeFieldSize:(function(type){return Math.max(Runtime.getNativeTypeSize(type),Runtime.QUANTUM_SIZE)}),STACK_ALIGN:16,prepVararg:(function(ptr,type){if(type==="double"||type==="i64"){if(ptr&7){assert((ptr&7)===4);ptr+=4}}else{assert((ptr&3)===0)}return ptr}),getAlignSize:(function(type,size,vararg){if(!vararg&&(type=="i64"||type=="double"))return 8;if(!type)return Math.min(size,8);return Math.min(size||(type?Runtime.getNativeFieldSize(type):0),Runtime.QUANTUM_SIZE)}),dynCall:(function(sig,ptr,args){if(args&&args.length){return Module["dynCall_"+sig].apply(null,[ptr].concat(args))}else{return Module["dynCall_"+sig].call(null,ptr)}}),functionPointers:[],addFunction:(function(func){for(var i=0;i<Runtime.functionPointers.length;i++){if(!Runtime.functionPointers[i]){Runtime.functionPointers[i]=func;return 2*(1+i)}}throw"Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS."}),removeFunction:(function(index){Runtime.functionPointers[(index-2)/2]=null}),warnOnce:(function(text){if(!Runtime.warnOnce.shown)Runtime.warnOnce.shown={};if(!Runtime.warnOnce.shown[text]){Runtime.warnOnce.shown[text]=1;Module.printErr(text)}}),funcWrappers:{},getFuncWrapper:(function(func,sig){assert(sig);if(!Runtime.funcWrappers[sig]){Runtime.funcWrappers[sig]={}}var sigCache=Runtime.funcWrappers[sig];if(!sigCache[func]){if(sig.length===1){sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func)}}else if(sig.length===2){sigCache[func]=function dynCall_wrapper(arg){return Runtime.dynCall(sig,func,[arg])}}else{sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func,Array.prototype.slice.call(arguments))}}}return sigCache[func]}),getCompilerSetting:(function(name){throw"You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work"}),stackAlloc:(function(size){var ret=STACKTOP;STACKTOP=STACKTOP+size|0;STACKTOP=STACKTOP+15&-16;return ret}),staticAlloc:(function(size){var ret=STATICTOP;STATICTOP=STATICTOP+size|0;STATICTOP=STATICTOP+15&-16;return ret}),dynamicAlloc:(function(size){var ret=HEAP32[DYNAMICTOP_PTR>>2];var end=(ret+size+15|0)&-16;HEAP32[DYNAMICTOP_PTR>>2]=end;if(end>=TOTAL_MEMORY){var success=enlargeMemory();if(!success){HEAP32[DYNAMICTOP_PTR>>2]=ret;return 0}}return ret}),alignMemory:(function(size,quantum){var ret=size=Math.ceil(size/(quantum?quantum:16))*(quantum?quantum:16);return ret}),makeBigInt:(function(low,high,unsigned){var ret=unsigned?+(low>>>0)+ +(high>>>0)*+4294967296:+(low>>>0)+ +(high|0)*+4294967296;return ret}),GLOBAL_BASE:8,QUANTUM_SIZE:4,__dummy__:0};Module["Runtime"]=Runtime;var ABORT=0;var EXITSTATUS=0;function assert(condition,text){if(!condition){abort("Assertion failed: "+text)}}function getCFunc(ident){var func=Module["_"+ident];if(!func){try{func=eval("_"+ident)}catch(e){}}assert(func,"Cannot call unknown function "+ident+" (perhaps LLVM optimizations or closure removed it?)");return func}var cwrap,ccall;((function(){var JSfuncs={"stackSave":(function(){Runtime.stackSave()}),"stackRestore":(function(){Runtime.stackRestore()}),"arrayToC":(function(arr){var ret=Runtime.stackAlloc(arr.length);writeArrayToMemory(arr,ret);return ret}),"stringToC":(function(str){var ret=0;if(str!==null&&str!==undefined&&str!==0){var len=(str.length<<2)+1;ret=Runtime.stackAlloc(len);stringToUTF8(str,ret,len)}return ret})};var toC={"string":JSfuncs["stringToC"],"array":JSfuncs["arrayToC"]};ccall=function ccallFunc(ident,returnType,argTypes,args,opts){var func=getCFunc(ident);var cArgs=[];var stack=0;if(args){for(var i=0;i<args.length;i++){var converter=toC[argTypes[i]];if(converter){if(stack===0)stack=Runtime.stackSave();cArgs[i]=converter(args[i])}else{cArgs[i]=args[i]}}}var ret=func.apply(null,cArgs);if(returnType==="string")ret=Pointer_stringify(ret);if(stack!==0){if(opts&&opts.async){EmterpreterAsync.asyncFinalizers.push((function(){Runtime.stackRestore(stack)}));return}Runtime.stackRestore(stack)}return ret};var sourceRegex=/^function\s*[a-zA-Z$_0-9]*\s*\(([^)]*)\)\s*{\s*([^*]*?)[\s;]*(?:return\s*(.*?)[;\s]*)?}$/;function parseJSFunc(jsfunc){var parsed=jsfunc.toString().match(sourceRegex).slice(1);return{arguments:parsed[0],body:parsed[1],returnValue:parsed[2]}}var JSsource=null;function ensureJSsource(){if(!JSsource){JSsource={};for(var fun in JSfuncs){if(JSfuncs.hasOwnProperty(fun)){JSsource[fun]=parseJSFunc(JSfuncs[fun])}}}}cwrap=function cwrap(ident,returnType,argTypes){argTypes=argTypes||[];var cfunc=getCFunc(ident);var numericArgs=argTypes.every((function(type){return type==="number"}));var numericRet=returnType!=="string";if(numericRet&&numericArgs){return cfunc}var argNames=argTypes.map((function(x,i){return"$"+i}));var funcstr="(function("+argNames.join(",")+") {";var nargs=argTypes.length;if(!numericArgs){ensureJSsource();funcstr+="var stack = "+JSsource["stackSave"].body+";";for(var i=0;i<nargs;i++){var arg=argNames[i],type=argTypes[i];if(type==="number")continue;var convertCode=JSsource[type+"ToC"];funcstr+="var "+convertCode.arguments+" = "+arg+";";funcstr+=convertCode.body+";";funcstr+=arg+"=("+convertCode.returnValue+");"}}var cfuncname=parseJSFunc((function(){return cfunc})).returnValue;funcstr+="var ret = "+cfuncname+"("+argNames.join(",")+");";if(!numericRet){var strgfy=parseJSFunc((function(){return Pointer_stringify})).returnValue;funcstr+="ret = "+strgfy+"(ret);"}if(!numericArgs){ensureJSsource();funcstr+=JSsource["stackRestore"].body.replace("()","(stack)")+";"}funcstr+="return ret})";return eval(funcstr)}}))();Module["ccall"]=ccall;Module["cwrap"]=cwrap;function setValue(ptr,value,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":HEAP8[ptr>>0]=value;break;case"i8":HEAP8[ptr>>0]=value;break;case"i16":HEAP16[ptr>>1]=value;break;case"i32":HEAP32[ptr>>2]=value;break;case"i64":tempI64=[value>>>0,(tempDouble=value,+Math_abs(tempDouble)>=+1?tempDouble>+0?(Math_min(+Math_floor(tempDouble/+4294967296),+4294967295)|0)>>>0:~~+Math_ceil((tempDouble- +(~~tempDouble>>>0))/+4294967296)>>>0:0)],HEAP32[ptr>>2]=tempI64[0],HEAP32[ptr+4>>2]=tempI64[1];break;case"float":HEAPF32[ptr>>2]=value;break;case"double":HEAPF64[ptr>>3]=value;break;default:abort("invalid type for setValue: "+type)}}Module["setValue"]=setValue;function getValue(ptr,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":return HEAP8[ptr>>0];case"i8":return HEAP8[ptr>>0];case"i16":return HEAP16[ptr>>1];case"i32":return HEAP32[ptr>>2];case"i64":return HEAP32[ptr>>2];case"float":return HEAPF32[ptr>>2];case"double":return HEAPF64[ptr>>3];default:abort("invalid type for setValue: "+type)}return null}Module["getValue"]=getValue;var ALLOC_NORMAL=0;var ALLOC_STACK=1;var ALLOC_STATIC=2;var ALLOC_DYNAMIC=3;var ALLOC_NONE=4;Module["ALLOC_NORMAL"]=ALLOC_NORMAL;Module["ALLOC_STACK"]=ALLOC_STACK;Module["ALLOC_STATIC"]=ALLOC_STATIC;Module["ALLOC_DYNAMIC"]=ALLOC_DYNAMIC;Module["ALLOC_NONE"]=ALLOC_NONE;function allocate(slab,types,allocator,ptr){var zeroinit,size;if(typeof slab==="number"){zeroinit=true;size=slab}else{zeroinit=false;size=slab.length}var singleType=typeof types==="string"?types:null;var ret;if(allocator==ALLOC_NONE){ret=ptr}else{ret=[typeof _malloc==="function"?_malloc:Runtime.staticAlloc,Runtime.stackAlloc,Runtime.staticAlloc,Runtime.dynamicAlloc][allocator===undefined?ALLOC_STATIC:allocator](Math.max(size,singleType?1:types.length))}if(zeroinit){var ptr=ret,stop;assert((ret&3)==0);stop=ret+(size&~3);for(;ptr<stop;ptr+=4){HEAP32[ptr>>2]=0}stop=ret+size;while(ptr<stop){HEAP8[ptr++>>0]=0}return ret}if(singleType==="i8"){if(slab.subarray||slab.slice){HEAPU8.set(slab,ret)}else{HEAPU8.set(new Uint8Array(slab),ret)}return ret}var i=0,type,typeSize,previousType;while(i<size){var curr=slab[i];if(typeof curr==="function"){curr=Runtime.getFunctionIndex(curr)}type=singleType||types[i];if(type===0){i++;continue}if(type=="i64")type="i32";setValue(ret+i,curr,type);if(previousType!==type){typeSize=Runtime.getNativeTypeSize(type);previousType=type}i+=typeSize}return ret}Module["allocate"]=allocate;function getMemory(size){if(!staticSealed)return Runtime.staticAlloc(size);if(!runtimeInitialized)return Runtime.dynamicAlloc(size);return _malloc(size)}Module["getMemory"]=getMemory;function Pointer_stringify(ptr,length){if(length===0||!ptr)return"";var hasUtf=0;var t;var i=0;while(1){t=HEAPU8[ptr+i>>0];hasUtf|=t;if(t==0&&!length)break;i++;if(length&&i==length)break}if(!length)length=i;var ret="";if(hasUtf<128){var MAX_CHUNK=1024;var curr;while(length>0){curr=String.fromCharCode.apply(String,HEAPU8.subarray(ptr,ptr+Math.min(length,MAX_CHUNK)));ret=ret?ret+curr:curr;ptr+=MAX_CHUNK;length-=MAX_CHUNK}return ret}return Module["UTF8ToString"](ptr)}Module["Pointer_stringify"]=Pointer_stringify;function AsciiToString(ptr){var str="";while(1){var ch=HEAP8[ptr++>>0];if(!ch)return str;str+=String.fromCharCode(ch)}}Module["AsciiToString"]=AsciiToString;function stringToAscii(str,outPtr){return writeAsciiToMemory(str,outPtr,false)}Module["stringToAscii"]=stringToAscii;var UTF8Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf8"):undefined;function UTF8ArrayToString(u8Array,idx){var endPtr=idx;while(u8Array[endPtr])++endPtr;if(endPtr-idx>16&&u8Array.subarray&&UTF8Decoder){return UTF8Decoder.decode(u8Array.subarray(idx,endPtr))}else{var u0,u1,u2,u3,u4,u5;var str="";while(1){u0=u8Array[idx++];if(!u0)return str;if(!(u0&128)){str+=String.fromCharCode(u0);continue}u1=u8Array[idx++]&63;if((u0&224)==192){str+=String.fromCharCode((u0&31)<<6|u1);continue}u2=u8Array[idx++]&63;if((u0&240)==224){u0=(u0&15)<<12|u1<<6|u2}else{u3=u8Array[idx++]&63;if((u0&248)==240){u0=(u0&7)<<18|u1<<12|u2<<6|u3}else{u4=u8Array[idx++]&63;if((u0&252)==248){u0=(u0&3)<<24|u1<<18|u2<<12|u3<<6|u4}else{u5=u8Array[idx++]&63;u0=(u0&1)<<30|u1<<24|u2<<18|u3<<12|u4<<6|u5}}}if(u0<65536){str+=String.fromCharCode(u0)}else{var ch=u0-65536;str+=String.fromCharCode(55296|ch>>10,56320|ch&1023)}}}}Module["UTF8ArrayToString"]=UTF8ArrayToString;function UTF8ToString(ptr){return UTF8ArrayToString(HEAPU8,ptr)}Module["UTF8ToString"]=UTF8ToString;function stringToUTF8Array(str,outU8Array,outIdx,maxBytesToWrite){if(!(maxBytesToWrite>0))return 0;var startIdx=outIdx;var endIdx=outIdx+maxBytesToWrite-1;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){if(outIdx>=endIdx)break;outU8Array[outIdx++]=u}else if(u<=2047){if(outIdx+1>=endIdx)break;outU8Array[outIdx++]=192|u>>6;outU8Array[outIdx++]=128|u&63}else if(u<=65535){if(outIdx+2>=endIdx)break;outU8Array[outIdx++]=224|u>>12;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=2097151){if(outIdx+3>=endIdx)break;outU8Array[outIdx++]=240|u>>18;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=67108863){if(outIdx+4>=endIdx)break;outU8Array[outIdx++]=248|u>>24;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else{if(outIdx+5>=endIdx)break;outU8Array[outIdx++]=252|u>>30;outU8Array[outIdx++]=128|u>>24&63;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}}outU8Array[outIdx]=0;return outIdx-startIdx}Module["stringToUTF8Array"]=stringToUTF8Array;function stringToUTF8(str,outPtr,maxBytesToWrite){return stringToUTF8Array(str,HEAPU8,outPtr,maxBytesToWrite)}Module["stringToUTF8"]=stringToUTF8;function lengthBytesUTF8(str){var len=0;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){++len}else if(u<=2047){len+=2}else if(u<=65535){len+=3}else if(u<=2097151){len+=4}else if(u<=67108863){len+=5}else{len+=6}}return len}Module["lengthBytesUTF8"]=lengthBytesUTF8;var UTF16Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf-16le"):undefined;function demangle(func){var hasLibcxxabi=!!Module["___cxa_demangle"];if(hasLibcxxabi){try{var s=func.substr(1);var len=lengthBytesUTF8(s)+1;var buf=_malloc(len);stringToUTF8(s,buf,len);var status=_malloc(4);var ret=Module["___cxa_demangle"](buf,0,0,status);if(getValue(status,"i32")===0&&ret){return Pointer_stringify(ret)}}catch(e){}finally{if(buf)_free(buf);if(status)_free(status);if(ret)_free(ret)}return func}Runtime.warnOnce("warning: build with  -s DEMANGLE_SUPPORT=1  to link in libcxxabi demangling");return func}function demangleAll(text){return text.replace(/__Z[\w\d_]+/g,(function(x){var y=demangle(x);return x===y?x:x+" ["+y+"]"}))}function jsStackTrace(){var err=new Error;if(!err.stack){try{throw new Error(0)}catch(e){err=e}if(!err.stack){return"(no stack trace available)"}}return err.stack.toString()}function stackTrace(){var js=jsStackTrace();if(Module["extraStackTrace"])js+="\n"+Module["extraStackTrace"]();return demangleAll(js)}Module["stackTrace"]=stackTrace;function alignMemoryPage(x){if(x%4096>0){x+=4096-x%4096}return x}var HEAP;var buffer;var HEAP8,HEAPU8,HEAP16,HEAPU16,HEAP32,HEAPU32,HEAPF32,HEAPF64;function updateGlobalBuffer(buf){Module["buffer"]=buffer=buf}function updateGlobalBufferViews(){Module["HEAP8"]=HEAP8=new Int8Array(buffer);Module["HEAP16"]=HEAP16=new Int16Array(buffer);Module["HEAP32"]=HEAP32=new Int32Array(buffer);Module["HEAPU8"]=HEAPU8=new Uint8Array(buffer);Module["HEAPU16"]=HEAPU16=new Uint16Array(buffer);Module["HEAPU32"]=HEAPU32=new Uint32Array(buffer);Module["HEAPF32"]=HEAPF32=new Float32Array(buffer);Module["HEAPF64"]=HEAPF64=new Float64Array(buffer)}var STATIC_BASE,STATICTOP,staticSealed;var STACK_BASE,STACKTOP,STACK_MAX;var DYNAMIC_BASE,DYNAMICTOP_PTR;STATIC_BASE=STATICTOP=STACK_BASE=STACKTOP=STACK_MAX=DYNAMIC_BASE=DYNAMICTOP_PTR=0;staticSealed=false;function abortOnCannotGrowMemory(){abort("Cannot enlarge memory arrays. Either (1) compile with  -s TOTAL_MEMORY=X  with X higher than the current value "+TOTAL_MEMORY+", (2) compile with  -s ALLOW_MEMORY_GROWTH=1  which adjusts the size at runtime but prevents some optimizations, (3) set Module.TOTAL_MEMORY to a higher value before the program runs, or if you want malloc to return NULL (0) instead of this abort, compile with  -s ABORTING_MALLOC=0 ")}if(!Module["reallocBuffer"])Module["reallocBuffer"]=(function(size){var ret;try{if(ArrayBuffer.transfer){ret=ArrayBuffer.transfer(buffer,size)}else{var oldHEAP8=HEAP8;ret=new ArrayBuffer(size);var temp=new Int8Array(ret);temp.set(oldHEAP8)}}catch(e){return false}var success=_emscripten_replace_memory(ret);if(!success)return false;return ret});function enlargeMemory(){var LIMIT=Math.pow(2,31);if(HEAP32[DYNAMICTOP_PTR>>2]>=LIMIT)return false;while(TOTAL_MEMORY<HEAP32[DYNAMICTOP_PTR>>2]){if(TOTAL_MEMORY<LIMIT/2){TOTAL_MEMORY=alignMemoryPage(2*TOTAL_MEMORY)}else{var last=TOTAL_MEMORY;TOTAL_MEMORY=alignMemoryPage((3*TOTAL_MEMORY+LIMIT)/4);if(TOTAL_MEMORY<=last)return false}}TOTAL_MEMORY=Math.max(TOTAL_MEMORY,16*1024*1024);if(TOTAL_MEMORY>=LIMIT)return false;var replacement=Module["reallocBuffer"](TOTAL_MEMORY);if(!replacement)return false;updateGlobalBuffer(replacement);updateGlobalBufferViews();return true}var byteLength;try{byteLength=Function.prototype.call.bind(Object.getOwnPropertyDescriptor(ArrayBuffer.prototype,"byteLength").get);byteLength(new ArrayBuffer(4))}catch(e){byteLength=(function(buffer){return buffer.byteLength})}var TOTAL_STACK=Module["TOTAL_STACK"]||5242880;var TOTAL_MEMORY=Module["TOTAL_MEMORY"]||16777216;var WASM_PAGE_SIZE=64*1024;var totalMemory=WASM_PAGE_SIZE;while(totalMemory<TOTAL_MEMORY||totalMemory<2*TOTAL_STACK){if(totalMemory<16*1024*1024){totalMemory*=2}else{totalMemory+=16*1024*1024}}totalMemory=Math.max(totalMemory,16*1024*1024);if(totalMemory!==TOTAL_MEMORY){TOTAL_MEMORY=totalMemory}if(Module["buffer"]){buffer=Module["buffer"]}else{{buffer=new ArrayBuffer(TOTAL_MEMORY)}}updateGlobalBufferViews();function getTotalMemory(){return TOTAL_MEMORY}HEAP32[0]=1668509029;HEAP16[1]=25459;if(HEAPU8[2]!==115||HEAPU8[3]!==99)throw"Runtime error: expected the system to be little-endian!";Module["HEAP"]=HEAP;Module["buffer"]=buffer;Module["HEAP8"]=HEAP8;Module["HEAP16"]=HEAP16;Module["HEAP32"]=HEAP32;Module["HEAPU8"]=HEAPU8;Module["HEAPU16"]=HEAPU16;Module["HEAPU32"]=HEAPU32;Module["HEAPF32"]=HEAPF32;Module["HEAPF64"]=HEAPF64;function callRuntimeCallbacks(callbacks){while(callbacks.length>0){var callback=callbacks.shift();if(typeof callback=="function"){callback();continue}var func=callback.func;if(typeof func==="number"){if(callback.arg===undefined){Runtime.dynCall("v",func)}else{Runtime.dynCall("vi",func,[callback.arg])}}else{func(callback.arg===undefined?null:callback.arg)}}}var __ATPRERUN__=[];var __ATINIT__=[];var __ATMAIN__=[];var __ATEXIT__=[];var __ATPOSTRUN__=[];var runtimeInitialized=false;var runtimeExited=false;function preRun(){if(Module["preRun"]){if(typeof Module["preRun"]=="function")Module["preRun"]=[Module["preRun"]];while(Module["preRun"].length){addOnPreRun(Module["preRun"].shift())}}callRuntimeCallbacks(__ATPRERUN__)}function ensureInitRuntime(){if(runtimeInitialized)return;runtimeInitialized=true;callRuntimeCallbacks(__ATINIT__)}function preMain(){callRuntimeCallbacks(__ATMAIN__)}function exitRuntime(){callRuntimeCallbacks(__ATEXIT__);runtimeExited=true}function postRun(){if(Module["postRun"]){if(typeof Module["postRun"]=="function")Module["postRun"]=[Module["postRun"]];while(Module["postRun"].length){addOnPostRun(Module["postRun"].shift())}}callRuntimeCallbacks(__ATPOSTRUN__)}function addOnPreRun(cb){__ATPRERUN__.unshift(cb)}Module["addOnPreRun"]=addOnPreRun;function addOnInit(cb){__ATINIT__.unshift(cb)}Module["addOnInit"]=addOnInit;function addOnPreMain(cb){__ATMAIN__.unshift(cb)}Module["addOnPreMain"]=addOnPreMain;function addOnExit(cb){__ATEXIT__.unshift(cb)}Module["addOnExit"]=addOnExit;function addOnPostRun(cb){__ATPOSTRUN__.unshift(cb)}Module["addOnPostRun"]=addOnPostRun;function intArrayFromString(stringy,dontAddNull,length){var len=length>0?length:lengthBytesUTF8(stringy)+1;var u8array=new Array(len);var numBytesWritten=stringToUTF8Array(stringy,u8array,0,u8array.length);if(dontAddNull)u8array.length=numBytesWritten;return u8array}Module["intArrayFromString"]=intArrayFromString;function intArrayToString(array){var ret=[];for(var i=0;i<array.length;i++){var chr=array[i];if(chr>255){chr&=255}ret.push(String.fromCharCode(chr))}return ret.join("")}Module["intArrayToString"]=intArrayToString;function writeStringToMemory(string,buffer,dontAddNull){Runtime.warnOnce("writeStringToMemory is deprecated and should not be called! Use stringToUTF8() instead!");var lastChar,end;if(dontAddNull){end=buffer+lengthBytesUTF8(string);lastChar=HEAP8[end]}stringToUTF8(string,buffer,Infinity);if(dontAddNull)HEAP8[end]=lastChar}Module["writeStringToMemory"]=writeStringToMemory;function writeArrayToMemory(array,buffer){HEAP8.set(array,buffer)}Module["writeArrayToMemory"]=writeArrayToMemory;function writeAsciiToMemory(str,buffer,dontAddNull){for(var i=0;i<str.length;++i){HEAP8[buffer++>>0]=str.charCodeAt(i)}if(!dontAddNull)HEAP8[buffer>>0]=0}Module["writeAsciiToMemory"]=writeAsciiToMemory;if(!Math["imul"]||Math["imul"](4294967295,5)!==-5)Math["imul"]=function imul(a,b){var ah=a>>>16;var al=a&65535;var bh=b>>>16;var bl=b&65535;return al*bl+(ah*bl+al*bh<<16)|0};Math.imul=Math["imul"];if(!Math["clz32"])Math["clz32"]=(function(x){x=x>>>0;for(var i=0;i<32;i++){if(x&1<<31-i)return i}return 32});Math.clz32=Math["clz32"];if(!Math["trunc"])Math["trunc"]=(function(x){return x<0?Math.ceil(x):Math.floor(x)});Math.trunc=Math["trunc"];var Math_abs=Math.abs;var Math_cos=Math.cos;var Math_sin=Math.sin;var Math_tan=Math.tan;var Math_acos=Math.acos;var Math_asin=Math.asin;var Math_atan=Math.atan;var Math_atan2=Math.atan2;var Math_exp=Math.exp;var Math_log=Math.log;var Math_sqrt=Math.sqrt;var Math_ceil=Math.ceil;var Math_floor=Math.floor;var Math_pow=Math.pow;var Math_imul=Math.imul;var Math_fround=Math.fround;var Math_round=Math.round;var Math_min=Math.min;var Math_clz32=Math.clz32;var Math_trunc=Math.trunc;var runDependencies=0;var runDependencyWatcher=null;var dependenciesFulfilled=null;function getUniqueRunDependency(id){return id}function addRunDependency(id){runDependencies++;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}}Module["addRunDependency"]=addRunDependency;function removeRunDependency(id){runDependencies--;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}if(runDependencies==0){if(runDependencyWatcher!==null){clearInterval(runDependencyWatcher);runDependencyWatcher=null}if(dependenciesFulfilled){var callback=dependenciesFulfilled;dependenciesFulfilled=null;callback()}}}Module["removeRunDependency"]=removeRunDependency;Module["preloadedImages"]={};Module["preloadedAudios"]={};var ASM_CONSTS=[(function($0,$1,$2){{Sass._sassCompileEmscriptenSuccess(pointerToString($0),pointerToJson($1),pointerToStringArray($2))}}),(function($0,$1){{Sass._sassCompileEmscriptenError(pointerToJson($0),pointerToString($1))}}),(function($0,$1){{Importer.find(pointerToString($0),pointerToString($1))}}),(function($0){{return Number(Importer.finished())}}),(function($0){{return Number(Importer.error())}}),(function($0){{return Number(Importer.path())}}),(function($0){{return Number(Importer.content())}})];function _emscripten_asm_const_iiii(code,a0,a1,a2){return ASM_CONSTS[code](a0,a1,a2)}function _emscripten_asm_const_ii(code,a0){return ASM_CONSTS[code](a0)}function _emscripten_asm_const_iii(code,a0,a1){return ASM_CONSTS[code](a0,a1)}STATIC_BASE=8;STATICTOP=STATIC_BASE+82160;__ATINIT__.push({func:(function(){__GLOBAL__I_000101()})},{func:(function(){__GLOBAL__sub_I_node_cpp()})},{func:(function(){__GLOBAL__sub_I_context_cpp()})},{func:(function(){__GLOBAL__sub_I_functions_cpp()})},{func:(function(){__GLOBAL__sub_I_color_maps_cpp()})},{func:(function(){__GLOBAL__sub_I_environment_cpp()})},{func:(function(){__GLOBAL__sub_I_bind_cpp()})},{func:(function(){__GLOBAL__sub_I_file_cpp()})},{func:(function(){__GLOBAL__sub_I_util_cpp()})},{func:(function(){__GLOBAL__sub_I_values_cpp()})},{func:(function(){__GLOBAL__sub_I_parser_cpp()})},{func:(function(){__GLOBAL__sub_I_eval_cpp()})},{func:(function(){__GLOBAL__sub_I_expand_cpp()})},{func:(function(){__GLOBAL__sub_I_listize_cpp()})},{func:(function(){__GLOBAL__sub_I_cssize_cpp()})},{func:(function(){__GLOBAL__sub_I_extend_cpp()})},{func:(function(){__GLOBAL__sub_I_output_cpp()})},{func:(function(){__GLOBAL__sub_I_inspect_cpp()})},{func:(function(){__GLOBAL__sub_I_emitter_cpp()})},{func:(function(){__GLOBAL__sub_I_check_nesting_cpp()})},{func:(function(){__GLOBAL__sub_I_remove_placeholders_cpp()})},{func:(function(){__GLOBAL__sub_I_sass_cpp()})},{func:(function(){__GLOBAL__sub_I_sass_util_cpp()})},{func:(function(){__GLOBAL__sub_I_sass_values_cpp()})},{func:(function(){__GLOBAL__sub_I_sass_context_cpp()})},{func:(function(){__GLOBAL__sub_I_sass_functions_cpp()})},{func:(function(){__GLOBAL__sub_I_sass2scss_cpp()})},{func:(function(){__GLOBAL__sub_I_to_c_cpp()})},{func:(function(){__GLOBAL__sub_I_to_value_cpp()})},{func:(function(){__GLOBAL__sub_I_source_map_cpp()})},{func:(function(){__GLOBAL__sub_I_subset_map_cpp()})},{func:(function(){__GLOBAL__sub_I_error_handling_cpp()})},{func:(function(){__GLOBAL__sub_I_ast_cpp()})},{func:(function(){__GLOBAL__sub_I_iostream_cpp()})});allocate([72,105,0,0,152,109,0,0,104,11,0,0,0,0,0,0,72,105,0,0,124,109,0,0,40,0,0,0,0,0,0,0,72,105,0,0,169,109,0,0,8,0,0,0,0,0,0,0,72,105,0,0,189,109,0,0,24,0,0,0,0,0,0,0,72,105,0,0,216,109,0,0,24,0,0,0,0,0,0,0,72,105,0,0,243,109,0,0,40,0,0,0,0,0,0,0,92,106,0,0,4,110,0,0,0,0,0,0,2,0,0,0,88,0,0,0,2,0,0,0,136,0,0,0,2,72,0,0,32,105,0,0,27,110,0,0,72,105,0,0,89,110,0,0,88,0,0,0,0,0,0,0,72,105,0,0,114,110,0,0,88,0,0,0,0,0,0,0,92,106,0,0,140,110,0,0,0,0,0,0,2,0,0,0,88,0,0,0,2,0,0,0,208,0,0,0,2,72,0,0,32,105,0,0,167,110,0,0,92,106,0,0,228,110,0,0,0,0,0,0,2,0,0,0,248,0,0,0,2,0,0,0,8,1,0,0,2,60,0,0,72,105,0,0,41,111,0,0,40,0,0,0,0,0,0,0,32,105,0,0,241,110,0,0,72,105,0,0,55,111,0,0,144,0,0,0,0,0,0,0,72,105,0,0,80,111,0,0,144,0,0,0,0,0,0,0,72,105,0,0,106,111,0,0,144,0,0,0,0,0,0,0,72,105,0,0,132,111,0,0,144,0,0,0,0,0,0,0,72,105,0,0,156,111,0,0,144,0,0,0,0,0,0,0,72,105,0,0,177,111,0,0,144,0,0,0,0,0,0,0,72,105,0,0,205,111,0,0,144,0,0,0,0,0,0,0,72,105,0,0,235,111,0,0,144,0,0,0,0,0,0,0,92,106,0,0,4,112,0,0,0,0,0,0,2,0,0,0,176,1,0,0,2,0,0,0,8,1,0,0,2,60,0,0,72,105,0,0,27,112,0,0,248,0,0,0,0,0,0,0,72,105,0,0,132,112,0,0,248,0,0,0,0,0,0,0,72,105,0,0,89,112,0,0,80,17,0,0,0,0,0,0,32,105,0,0,116,112,0,0,72,105,0,0,147,112,0,0,248,0,0,0,0,0,0,0,72,105,0,0,171,112,0,0,248,0,0,0,0,0,0,0,72,105,0,0,216,112,0,0,176,1,0,0,0,0,0,0,72,105,0,0,193,112,0,0,8,2,0,0,0,0,0,0,72,105,0,0,241,112,0,0,248,0,0,0,0,0,0,0,72,105,0,0,1,113,0,0,248,0,0,0,0,0,0,0,92,106,0,0,15,113,0,0,0,0,0,0,2,0,0,0,248,0,0,0,2,0,0,0,104,2,0,0,2,60,0,0,32,105,0,0,27,113,0,0,72,105,0,0,42,113,0,0,40,0,0,0,0,0,0,0,92,106,0,0,131,113,0,0,0,0,0,0,2,0,0,0,168,2,0,0,2,0,0,0,160,2,0,0,2,64,0,0,32,105,0,0,59,113,0,0,72,105,0,0,113,113,0,0,8,0,0,0,0,0,0,0,72,105,0,0,163,113,0,0,200,2,0,0,0,0,0,0,72,105,0,0,145,113,0,0,168,2,0,0,0,0,0,0,72,105,0,0,179,113,0,0,168,2,0,0,0,0,0,0,72,105,0,0,194,113,0,0,200,2,0,0,0,0,0,0,72,105,0,0,208,113,0,0,200,2,0,0,0,0,0,0,72,105,0,0,10,114,0,0,200,2,0,0,0,0,0,0,72,105,0,0,28,114,0,0,200,2,0,0,0,0,0,0,72,105,0,0,51,114,0,0,200,2,0,0,0,0,0,0,72,105,0,0,72,114,0,0,168,2,0,0,0,0,0,0,72,105,0,0,92,114,0,0,168,2,0,0,0,0,0,0,72,105,0,0,107,114,0,0,168,2,0,0,0,0,0,0,72,105,0,0,128,114,0,0,168,2,0,0,0,0,0,0,72,105,0,0,144,114,0,0,168,2,0,0,0,0,0,0,72,105,0,0,158,114,0,0,168,2,0,0,0,0,0,0,72,105,0,0,172,114,0,0,168,2,0,0,0,0,0,0,72,105,0,0,188,114,0,0,200,2,0,0,0,0,0,0,72,105,0,0,199,114,0,0,200,2,0,0,0,0,0,0,72,105,0,0,211,114,0,0,200,2,0,0,0,0,0,0,72,105,0,0,224,114,0,0,200,2,0,0,0,0,0,0,72,105,0,0,238,114,0,0,168,2,0,0,0,0,0,0,72,105,0,0,253,114,0,0,168,2,0,0,0,0,0,0,72,105,0,0,15,115,0,0,200,2,0,0,0,0,0,0,72,105,0,0,35,115,0,0,200,2,0,0,0,0,0,0,72,105,0,0,55,115,0,0,168,2,0,0,0,0,0,0,72,105,0,0,112,115,0,0,72,4,0,0,0,0,0,0,72,105,0,0,139,115,0,0,40,0,0,0,0,0,0,0,72,105,0,0,156,115,0,0,40,0,0,0,0,0,0,0,92,106,0,0,74,117,0,0,0,0,0,0,2,0,0,0,40,0,0,0,2,0,0,0,136,4,0,0,2,60,0,0,32,105,0,0,182,115,0,0,72,105,0,0,92,117,0,0,72,4,0,0,0,0,0,0,72,105,0,0,115,117,0,0,40,0,0,0,0,0,0,0,72,105,0,0,145,117,0,0,72,4,0,0,0,0,0,0,72,105,0,0,162,117,0,0,40,0,0,0,0,0,0,0,92,106,0,0,251,117,0,0,0,0,0,0,2,0,0,0,40,0,0,0,2,0,0,0,240,4,0,0,2,60,0,0,32,105,0,0,183,117,0,0,72,105,0,0,16,118,0,0,40,0,0,0,0,0,0,0,72,105,0,0,48,118,0,0,200,2,0,0,0,0,0,0,72,105,0,0,72,118,0,0,24,0,0,0,0,0,0,0,72,105,0,0,102,118,0,0,24,0,0,0,0,0,0,0,72,105,0,0,134,118,0,0,40,0,0,0,0,0,0,0,72,105,0,0,157,118,0,0,200,2,0,0,0,0,0,0,72,105,0,0,180,118,0,0,248,0,0,0,0,0,0,0,72,105,0,0,193,118,0,0,8,0,0,0,0,0,0,0,92,106,0,0,11,120,0,0,0,0,0,0,2,0,0,0,8,0,0,0,2,0,0,0,152,5,0,0,2,52,0,0,32,105,0,0,211,118,0,0,72,105,0,0,72,120,0,0,88,0,0,0,0,0,0,0,72,105,0,0,175,121,0,0,192,5,0,0,0,0,0,0,72,105,0,0,152,121,0,0,176,17,0,0,0,0,0,0,72,105,0,0,23,122,0,0,224,5,0,0,0,0,0,0,72,105,0,0,245,121,0,0,176,17,0,0,0,0,0,0,72,105,0,0,60,122,0,0,240,16,0,0,0,0,0,0,32,105,0,0,21,125,0,0,72,105,0,0,253,123,0,0,216,11,0,0,0,0,0,0,72,105,0,0,67,124,0,0,152,11,0,0,0,0,0,0,72,105,0,0,133,124,0,0,168,11,0,0,0,0,0,0,72,105,0,0,208,124,0,0,8,12,0,0,0,0,0,0,72,105,0,0,2,126,0,0,0,6,0,0,0,0,0,0,92,106,0,0,157,125,0,0,0,0,0,0,1,0,0,0,128,6,0,0,0,0,0,0,72,105,0,0,124,125,0,0,192,5,0,0,0,0,0,0,32,105,0,0,220,125,0,0,72,105,0,0,24,126,0,0,0,6,0,0,0,0,0,0,72,105,0,0,143,140,0,0,200,6,0,0,0,0,0,0,72,105,0,0,118,140,0,0,200,6,0,0,0,0,0,0,72,105,0,0,78,140,0,0,200,6,0,0,0,0,0,0,72,105,0,0,100,140,0,0,80,17,0,0,0,0,0,0,72,105,0,0,214,141,0,0,192,5,0,0,0,0,0,0,72,105,0,0,198,151,0,0,192,5,0,0,0,0,0,0,72,105,0,0,20,152,0,0,152,11,0,0,0,0,0,0,72,105,0,0,67,152,0,0,168,11,0,0,0,0,0,0,0,0,0,0,0,0,240,63,82,184,30,133,235,81,4,64,0,0,0,0,0,0,24,64,102,102,102,102,102,102,57,64,0,0,0,0,0,0,82,64,0,0,0,0,0,0,88,64,76,38,147,201,100,50,217,63,0,0,0,0,0,0,240,63,185,92,46,151,203,229,2,64,0,0,0,0,0,0,36,64,22,139,197,98,177,88,60,64,185,92,46,151,203,229,66,64,85,85,85,85,85,85,197,63,24,75,126,177,228,23,219,63,0,0,0,0,0,0,240,63,239,238,238,238,238,238,16,64,0,0,0,0,0,0,40,64,0,0,0,0,0,0,48,64,10,133,66,161,80,40,164,63,154,153,153,153,153,153,185,63,144,199,227,241,120,60,206,63,0,0,0,0,0,0,240,63,172,213,106,181,90,173,6,64,144,199,227,241,120,60,14,64,28,199,113,28,199,113,140,63,101,135,169,203,237,15,162,63,85,85,85,85,85,85,181,63,62,233,147,62,233,147,214,63,0,0,0,0,0,0,240,63,85,85,85,85,85,85,245,63,85,85,85,85,85,85,133,63,24,75,126,177,228,23,155,63,0,0,0,0,0,0,176,63,239,238,238,238,238,238,208,63,0,0,0,0,0,0,232,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,114,28,199,113,28,199,241,63,57,157,82,162,70,223,145,63,23,108,193,22,108,193,102,63,205,204,204,204,204,204,236,63,0,0,0,0,0,0,240,63,26,39,23,146,191,21,144,63,123,20,174,71,225,122,100,63,248,193,99,26,220,165,76,64,76,73,139,171,187,212,79,64,0,0,0,0,0,0,240,63,131,200,201,109,48,95,196,63,0,0,0,0,0,128,118,64,0,0,0,0,0,0,121,64,24,45,68,84,251,33,25,64,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,64,143,64,252,169,241,210,77,98,80,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,252,169,241,210,77,98,80,63,0,0,0,0,0,64,143,64,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,76,38,147,201,100,50,217,63,85,85,85,85,85,85,133,63,82,184,30,133,235,81,4,64,0,0,0,0,0,0,240,63,24,75,126,177,228,23,155,63,0,0,0,0,0,0,88,64,185,92,46,151,203,229,66,64,0,0,0,0,0,0,240,63,72,105,0,0,59,155,0,0,192,5,0,0,0,0,0,0,72,105,0,0,84,166,0,0,224,9,0,0,0,0,0,0,72,105,0,0,57,163,0,0,192,5,0,0,0,0,0,0,72,105,0,0,173,165,0,0,192,5,0,0,0,0,0,0,72,105,0,0,254,164,0,0,144,9,0,0,0,0,0,0,72,105,0,0,216,164,0,0,224,5,0,0,0,0,0,0,72,105,0,0,119,165,0,0,224,5,0,0,0,0,0,0,72,105,0,0,82,165,0,0,224,5,0,0,0,0,0,0,72,105,0,0,207,165,0,0,192,5,0,0,0,0,0,0,72,105,0,0,244,165,0,0,192,5,0,0,0,0,0,0,72,105,0,0,97,166,0,0,240,9,0,0,0,0,0,0,32,105,0,0,149,166,0,0,72,105,0,0,96,169,0,0,24,10,0,0,0,0,0,0,72,105,0,0,121,167,0,0,192,5,0,0,0,0,0,0,72,105,0,0,111,169,0,0,40,10,0,0,0,0,0,0,32,105,0,0,163,169,0,0,72,105,0,0,198,169,0,0,64,10,0,0,0,0,0,0,72,105,0,0,214,169,0,0,240,9,0,0,0,0,0,0,72,105,0,0,108,170,0,0,96,10,0,0,0,0,0,0,72,105,0,0,123,170,0,0,40,10,0,0,0,0,0,0,72,105,0,0,209,171,0,0,128,10,0,0,0,0,0,0,72,105,0,0,224,171,0,0,144,10,0,0,0,0,0,0,32,105,0,0,6,172,0,0,72,105,0,0,50,172,0,0,168,10,0,0,0,0,0,0,92,106,0,0,81,173,0,0,0,0,0,0,2,0,0,0,200,10,0,0,2,0,0,0,224,1,0,0,2,4,0,0,72,105,0,0,97,173,0,0,144,10,0,0,0,0,0,0,72,105,0,0,192,175,0,0,232,10,0,0,0,0,0,0,72,105,0,0,214,175,0,0,40,10,0,0,0,0,0,0,72,105,0,0,17,176,0,0,8,11,0,0,0,0,0,0,72,105,0,0,46,176,0,0,144,10,0,0,0,0,0,0,72,105,0,0,177,181,0,0,40,11,0,0,0,0,0,0,72,105,0,0,190,181,0,0,56,11,0,0,0,0,0,0,32,105,0,0,238,181,0,0,72,105,0,0,41,182,0,0,80,11,0,0,0,0,0,0,72,105,0,0,58,182,0,0,96,11,0,0,0,0,0,0,32,105,0,0,108,182,0,0,32,105,0,0,179,185,0,0,72,105,0,0,88,198,0,0,128,11,0,0,0,0,0,0,32,105,0,0,70,198,0,0,72,105,0,0,130,198,0,0,128,11,0,0,0,0,0,0,32,105,0,0,172,198,0,0,32,105,0,0,221,198,0,0,92,106,0,0,14,199,0,0,0,0,0,0,1,0,0,0,112,11,0,0,3,244,255,255,92,106,0,0,61,199,0,0,0,0,0,0,1,0,0,0,136,11,0,0,3,244,255,255,92,106,0,0,108,199,0,0,0,0,0,0,1,0,0,0,112,11,0,0,3,244,255,255,92,106,0,0,155,199,0,0,0,0,0,0,1,0,0,0,136,11,0,0,3,244,255,255,92,106,0,0,202,199,0,0,3,0,0,0,2,0,0,0,168,11,0,0,2,0,0,0,216,11,0,0,2,8,0,0,72,105,0,0,250,199,0,0,16,17,0,0,0,0,0,0,72,105,0,0,65,200,0,0,32,17,0,0,0,0,0,0,72,105,0,0,111,200,0,0,160,11,0,0,0,0,0,0,72,105,0,0,136,200,0,0,152,11,0,0,0,0,0,0,72,105,0,0,199,200,0,0,160,11,0,0,0,0,0,0,72,105,0,0,223,200,0,0,152,11,0,0,0,0,0,0,72,105,0,0,247,200,0,0,152,12,0,0,0,0,0,0,72,105,0,0,11,201,0,0,232,16,0,0,0,0,0,0,72,105,0,0,33,201,0,0,152,12,0,0,0,0,0,0,92,106,0,0,91,201,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,216,12,0,0,0,0,0,0,92,106,0,0,159,201,0,0,0,0,0,0,1,0,0,0,240,12,0,0,0,0,0,0,32,105,0,0,181,201,0,0,92,106,0,0,206,201,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,24,13,0,0,0,0,0,0,92,106,0,0,18,202,0,0,0,0,0,0,1,0,0,0,240,12,0,0,0,0,0,0,92,106,0,0,59,202,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,80,13,0,0,0,0,0,0,92,106,0,0,127,202,0,0,0,0,0,0,1,0,0,0,104,13,0,0,0,0,0,0,32,105,0,0,149,202,0,0,92,106,0,0,174,202,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,144,13,0,0,0,0,0,0,92,106,0,0,242,202,0,0,0,0,0,0,1,0,0,0,104,13,0,0,0,0,0,0,92,106,0,0,72,204,0,0,0,0,0,0,3,0,0,0,152,12,0,0,2,0,0,0,208,13,0,0,2,0,0,0,216,13,0,0,0,8,0,0,32,105,0,0,175,204,0,0,32,105,0,0,141,204,0,0,92,106,0,0,194,204,0,0,0,0,0,0,3,0,0,0,152,12,0,0,2,0,0,0,208,13,0,0,2,0,0,0,8,14,0,0,0,8,0,0,32,105,0,0,7,205,0,0,92,106,0,0,41,205,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,48,14,0,0,0,8,0,0,32,105,0,0,110,205,0,0,92,106,0,0,152,205,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,48,14,0,0,0,8,0,0,92,106,0,0,221,205,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,120,14,0,0,2,0,0,0,32,105,0,0,249,205,0,0,92,106,0,0,14,206,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,120,14,0,0,2,0,0,0,92,106,0,0,42,206,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,120,14,0,0,2,0,0,0,92,106,0,0,70,206,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,120,14,0,0,2,0,0,0,92,106,0,0,129,206,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,0,15,0,0,0,0,0,0,32,105,0,0,199,206,0,0,92,106,0,0,235,206,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,40,15,0,0,0,0,0,0,32,105,0,0,49,207,0,0,92,106,0,0,80,207,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,80,15,0,0,0,0,0,0,32,105,0,0,150,207,0,0,92,106,0,0,175,207,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,120,15,0,0,0,0,0,0,32,105,0,0,245,207,0,0,92,106,0,0,14,208,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,160,15,0,0,2,0,0,0,32,105,0,0,35,208,0,0,92,106,0,0,186,208,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,160,15,0,0,2,0,0,0,72,105,0,0,59,208,0,0,216,15,0,0,0,0,0,0,92,106,0,0,94,208,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,248,15,0,0,2,0,0,0,32,105,0,0,129,208,0,0,72,105,0,0,152,208,0,0,216,15,0,0,0,0,0,0,92,106,0,0,207,208,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,248,15,0,0,2,0,0,0,92,106,0,0,241,208,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,248,15,0,0,2,0,0,0,92,106,0,0,19,209,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,248,15,0,0,2,0,0,0,72,105,0,0,54,209,0,0,152,12,0,0,0,0,0,0,92,106,0,0,76,209,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,160,16,0,0,2,0,0,0,32,105,0,0,94,209,0,0,92,106,0,0,115,209,0,0,0,0,0,0,2,0,0,0,152,12,0,0,2,0,0,0,160,16,0,0,2,0,0,0,72,105,0,0,144,209,0,0,152,12,0,0,0,0,0,0,72,105,0,0,165,209,0,0,152,12,0,0,0,0,0,0,32,105,0,0,193,209,0,0,92,106,0,0,218,209,0,0,0,0,0,0,1,0,0,0,232,16,0,0,0,0,0,0,32,105,0,0,95,210,0,0,72,105,0,0,120,210,0,0,176,17,0,0,0,0,0,0,72,105,0,0,143,210,0,0,8,17,0,0,0,0,0,0,72,105,0,0,209,210,0,0,32,17,0,0,0,0,0,0,72,105,0,0,29,211,0,0,32,17,0,0,0,0,0,0,32,105,0,0,211,211,0,0,72,105,0,0,51,212,0,0,104,17,0,0,0,0,0,0,72,105,0,0,224,211,0,0,120,17,0,0,0,0,0,0,32,105,0,0,1,212,0,0,72,105,0,0,14,212,0,0,88,17,0,0,0,0,0,0,72,105,0,0,86,213,0,0,80,17,0,0,0,0,0,0,72,105,0,0,114,213,0,0,80,17,0,0,0,0,0,0,72,105,0,0,130,213,0,0,80,17,0,0,0,0,0,0,72,105,0,0,148,213,0,0,160,17,0,0,0,0,0,0,72,105,0,0,165,213,0,0,160,17,0,0,0,0,0,0,72,105,0,0,182,213,0,0,176,17,0,0,0,0,0,0,72,105,0,0,215,213,0,0,80,17,0,0,0,0,0,0,72,105,0,0,243,213,0,0,80,17,0,0,0,0,0,0,72,105,0,0,38,214,0,0,104,17,0,0,0,0,0,0,72,105,0,0,2,214,0,0,16,18,0,0,0,0,0,0,72,105,0,0,72,214,0,0,104,17,0,0,0,0,0,0,36,106,0,0,112,214,0,0,36,106,0,0,114,214,0,0,36,106,0,0,117,214,0,0,64,106,0,0,119,214,0,0,1,0,0,0,80,18,0,0,72,105,0,0,123,214,0,0,88,17,0,0,0,0,0,0,0,0,0,0,192,1,0,0,1,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,4,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,5,0,0,0,6,0,0,0,4,0,0,0,5,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,9,0,0,0,0,0,0,0,8,0,0,0,1,0,0,0,1,0,0,0,10,0,0,0,1,0,0,0,1,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,3,0,0,0,14,0,0,0,15,0,0,0,0,0,0,0,40,0,0,0,4,0,0,0,5,0,0,0,11,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,3,0,0,0,14,0,0,0,15,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,224,1,0,0,6,0,0,0,7,0,0,0,0,0,0,0,128,2,0,0,8,0,0,0,9,0,0,0,10,0,0,0,12,0,0,0,13,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,11,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,4,0,0,0,22,0,0,0,23,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,12,0,0,0,192,255,255,255,128,2,0,0,13,0,0,0,10,0,0,0,11,0,0,0,24,0,0,0,25,0,0,0,14,0,0,0,15,0,0,0,17,0,0,0,0,0,0,0,160,2,0,0,16,0,0,0,1,0,0,0,1,0,0,0,24,0,0,0,25,0,0,0,14,0,0,0,15,0,0,0,17,0,0,0,0,0,0,0,168,2,0,0,1,0,0,0,1,0,0,0,10,0,0,0,1,0,0,0,1,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,3,0,0,0,14,0,0,0,15,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,184,2,0,0,12,0,0,0,13,0,0,0,10,0,0,0,19,0,0,0,20,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,17,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,5,0,0,0,30,0,0,0,31,0,0,0,21,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,200,2,0,0,1,0,0,0,1,0,0,0,10,0,0,0,1,0,0,0,1,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,3,0,0,0,14,0,0,0,15,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,216,2,0,0,14,0,0,0,15,0,0,0,10,0,0,0,23,0,0,0,24,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,18,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,6,0,0,0,36,0,0,0,37,0,0,0,14,0,0,0,25,0,0,0,18,0,0,0,0,0,0,0,232,2,0,0,16,0,0,0,17,0,0,0,10,0,0,0,26,0,0,0,27,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,19,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,7,0,0,0,42,0,0,0,43,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,248,2,0,0,18,0,0,0,19,0,0,0,10,0,0,0,28,0,0,0,29,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,20,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,8,0,0,0,48,0,0,0,49,0,0,0,30,0,0,0,31,0,0,0,22,0,0,0,0,0,0,0,8,3,0,0,20,0,0,0,21,0,0,0,10,0,0,0,32,0,0,0,33,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,21,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,9,0,0,0,54,0,0,0,55,0,0,0,14,0,0,0,34,0,0,0,22,0,0,0,0,0,0,0,24,3,0,0,22,0,0,0,23,0,0,0,10,0,0,0,35,0,0,0,36,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,22,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,10,0,0,0,60,0,0,0,61,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,40,3,0,0,24,0,0,0,25,0,0,0,10,0,0,0,37,0,0,0,38,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,23,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,11,0,0,0,66,0,0,0,67,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,56,3,0,0,26,0,0,0,27,0,0,0,10,0,0,0,39,0,0,0,40,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,24,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,12,0,0,0,72,0,0,0,73,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,72,3,0,0,28,0,0,0,29,0,0,0,10,0,0,0,41,0,0,0,42,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,25,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,13,0,0,0,78,0,0,0,79,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,88,3,0,0,30,0,0,0,31,0,0,0,10,0,0,0,43,0,0,0,44,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,26,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,14,0,0,0,84,0,0,0,85,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,104,3,0,0,32,0,0,0,33,0,0,0,10,0,0,0,45,0,0,0,46,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,27,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,15,0,0,0,90,0,0,0,91,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,120,3,0,0,34,0,0,0,35,0,0,0,10,0,0,0,47,0,0,0,48,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,28,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,16,0,0,0,96,0,0,0,97,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,136,3,0,0,36,0,0,0,37,0,0,0,10,0,0,0,49,0,0,0,50,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,29,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,17,0,0,0,102,0,0,0,103,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,152,3,0,0,38,0,0,0,39,0,0,0,10,0,0,0,51,0,0,0,52,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,30,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,18,0,0,0,108,0,0,0,109,0,0,0,53,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,168,3,0,0,40,0,0,0,41,0,0,0,10,0,0,0,54,0,0,0,55,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,31,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,19,0,0,0,114,0,0,0,115,0,0,0,14,0,0,0,15,0,0,0,56,0,0,0,0,0,0,0,184,3,0,0,42,0,0,0,43,0,0,0,10,0,0,0,57,0,0,0,58,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,32,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,20,0,0,0,120,0,0,0,121,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,200,3,0,0,44,0,0,0,45,0,0,0,10,0,0,0,59,0,0,0,60,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,33,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,21,0,0,0,126,0,0,0,127,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,216,3,0,0,46,0,0,0,47,0,0,0,10,0,0,0,61,0,0,0,62,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,34,0,0,0,128,0,0,0,129,0,0,0,130,0,0,0,131,0,0,0,22,0,0,0,132,0,0,0,133,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,232,3,0,0,48,0,0,0,49,0,0,0,10,0,0,0,63,0,0,0,64,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,35,0,0,0,134,0,0,0,135,0,0,0,136,0,0,0,137,0,0,0,23,0,0,0,138,0,0,0,139,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,248,3,0,0,50,0,0,0,51,0,0,0,10,0,0,0,65,0,0,0,66,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,36,0,0,0,140,0,0,0,141,0,0,0,142,0,0,0,143,0,0,0,24,0,0,0,144,0,0,0,145,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,8,4,0,0,52,0,0,0,53,0,0,0,10,0,0,0,67,0,0,0,68,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,37,0,0,0,146,0,0,0,147,0,0,0,148,0,0,0,149,0,0,0,25,0,0,0,150,0,0,0,151,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,24,4,0,0,54,0,0,0,55,0,0,0,10,0,0,0,69,0,0,0,70,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,38,0,0,0,152,0,0,0,153,0,0,0,154,0,0,0,155,0,0,0,26,0,0,0,156,0,0,0,157,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,40,4,0,0,56,0,0,0,57,0,0,0,10,0,0,0,71,0,0,0,72,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,39,0,0,0,158,0,0,0,159,0,0,0,160,0,0,0,161,0,0,0,27,0,0,0,162,0,0,0,163,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,216,0,0,0,58,0,0,0,59,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,40,0,0,0,164,0,0,0,165,0,0,0,166,0,0,0,167,0,0,0,28,0,0,0,168,0,0,0,169,0,0,0,4,0,0,0,41,0,0,0,76,0,0,0,6,0,0,0,170,0,0,0,17,0,0,0,42,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,43,0,0,0,77,0,0,0,196,255,255,255,216,0,0,0,44,0,0,0,60,0,0,0,61,0,0,0,171,0,0,0,172,0,0,0,45,0,0,0,46,0,0,0,78,0,0,0,0,0,0,0,8,1,0,0,47,0,0,0,1,0,0,0,1,0,0,0,171,0,0,0,172,0,0,0,45,0,0,0,46,0,0,0,79,0,0,0,0,0,0,0,248,0,0,0,4,0,0,0,62,0,0,0,11,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,3,0,0,0,14,0,0,0,15,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,1,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,72,2,0,0,63,0,0,0,64,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,48,0,0,0,173,0,0,0,174,0,0,0,175,0,0,0,176,0,0,0,29,0,0,0,177,0,0,0,178,0,0,0,4,0,0,0,49,0,0,0,83,0,0,0,6,0,0,0,179,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,50,0,0,0,196,255,255,255,72,2,0,0,51,0,0,0,65,0,0,0,66,0,0,0,0,0,0,0,104,2,0,0,52,0,0,0,67,0,0,0,68,0,0,0,0,0,0,0,56,4,0,0,69,0,0,0,70,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,53,0,0,0,180,0,0,0,181,0,0,0,182,0,0,0,183,0,0,0,30,0,0,0,184,0,0,0,185,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,186,0,0,0,17,0,0,0,54,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,0,0,0,0,88,4,0,0,71,0,0,0,72,0,0,0,90,0,0,0,91,0,0,0,92,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,55,0,0,0,187,0,0,0,188,0,0,0,189,0,0,0,190,0,0,0,31,0,0,0,191,0,0,0,192,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,193,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,112,2,0,0,73,0,0,0,74,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,56,0,0,0,194,0,0,0,195,0,0,0,196,0,0,0,197,0,0,0,32,0,0,0,198,0,0,0,199,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,200,0,0,0,17,0,0,0,57,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,104,4,0,0,75,0,0,0,76,0,0,0,11,0,0,0,96,0,0,0,97,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,58,0,0,0,201,0,0,0,202,0,0,0,203,0,0,0,204,0,0,0,33,0,0,0,205,0,0,0,206,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,59,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,60,0,0,0,196,255,255,255,104,4,0,0,61,0,0,0,77,0,0,0,78,0,0,0,207,0,0,0,208,0,0,0,62,0,0,0,63,0,0,0,98,0,0,0,0,0,0,0,136,4,0,0,64,0,0,0,1,0,0,0,1,0,0,0,207,0,0,0,208,0,0,0,62,0,0,0,63,0,0,0,98,0,0,0,0,0,0,0,144,4,0,0,79,0,0,0,80,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,65,0,0,0,209,0,0,0,210,0,0,0,211,0,0,0,212,0,0,0,34,0,0,0,213,0,0,0,214,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,215,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,160,4,0,0,81,0,0,0,82,0,0,0,11,0,0,0,102,0,0,0,103,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,66,0,0,0,216,0,0,0,217,0,0,0,218,0,0,0,219,0,0,0,35,0,0,0,220,0,0,0,221,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,176,4,0,0,83,0,0,0,84,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,67,0,0,0,222,0,0,0,223,0,0,0,224,0,0,0,225,0,0,0,36,0,0,0,226,0,0,0,227,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,228,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,192,4,0,0,85,0,0,0,86,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,68,0,0,0,229,0,0,0,230,0,0,0,231,0,0,0,232,0,0,0,37,0,0,0,233,0,0,0,234,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,235,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,56,2,0,0,87,0,0,0,88,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,69,0,0,0,236,0,0,0,237,0,0,0,238,0,0,0,239,0,0,0,38,0,0,0,240,0,0,0,241,0,0,0,4,0,0,0,70,0,0,0,5,0,0,0,6,0,0,0,242,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,40,2,0,0,4,0,0,0,89,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,71,0,0,0,243,0,0,0,244,0,0,0,245,0,0,0,246,0,0,0,39,0,0,0,247,0,0,0,248,0,0,0,116,0,0,0,72,0,0,0,5,0,0,0,117,0,0,0,249,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,144,1,0,0,90,0,0,0,91,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,73,0,0,0,250,0,0,0,251,0,0,0,252,0,0,0,253,0,0,0,40,0,0,0,254,0,0,0,255,0,0,0,4,0,0,0,74,0,0,0,5,0,0,0,6,0,0,0,0,1,0,0,17,0,0,0,75,0,0,0,7,0,0,0,121,0,0,0,122,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,1,1,0,0,196,255,255,255,144,1,0,0,47,0,0,0,95,0,0,0,96,0,0,0,171,0,0,0,172,0,0,0,45,0,0,0,46,0,0,0,123,0,0,0,0,0,0,0,176,1,0,0,1,0,0,0,1,0,0,0,11,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,76,0,0,0,2,1,0,0,3,1,0,0,4,1,0,0,5,1,0,0,41,0,0,0,6,1,0,0,7,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,1,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,1,0,0,0,0,0,0,8,2,0,0,97,0,0,0,98,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,77,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,78,0,0,0,8,1,0,0,9,1,0,0,10,1,0,0,11,1,0,0,42,0,0,0,12,1,0,0,13,1,0,0,4,0,0,0,79,0,0,0,127,0,0,0,6,0,0,0,14,1,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,1,1,0,0,0,0,0,0,24,2,0,0,97,0,0,0,102,0,0,0,124,0,0,0,128,0,0,0,129,0,0,0,80,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,81,0,0,0,15,1,0,0,16,1,0,0,17,1,0,0,18,1,0,0,43,0,0,0,19,1,0,0,20,1,0,0,4,0,0,0,79,0,0,0,127,0,0,0,6,0,0,0,21,1,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,1,1,0,0,0,0,0,0,208,4,0,0,103,0,0,0,104,0,0,0,11,0,0,0,130,0,0,0,131,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,82,0,0,0,22,1,0,0,23,1,0,0,24,1,0,0,25,1,0,0,44,0,0,0,26,1,0,0,27,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,196,255,255,255,208,4,0,0,83,0,0,0,105,0,0,0,106,0,0,0,28,1,0,0,29,1,0,0,84,0,0,0,85,0,0,0,132,0,0,0,0,0,0,0,240,4,0,0,83,0,0,0,1,0,0,0,1,0,0,0,28,1,0,0,29,1,0,0,84,0,0,0,85,0,0,0,132,0,0,0,0,0,0,0,248,4,0,0,107,0,0,0,108,0,0,0,11,0,0,0,133,0,0,0,134,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,86,0,0,0,30,1,0,0,31,1,0,0,32,1,0,0,33,1,0,0,45,0,0,0,34,1,0,0,35,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,8,5,0,0,109,0,0,0,110,0,0,0,10,0,0,0,135],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE);allocate([136,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,87,0,0,0,36,1,0,0,37,1,0,0,38,1,0,0,39,1,0,0,46,0,0,0,40,1,0,0,41,1,0,0,14,0,0,0,137,0,0,0,22,0,0,0,0,0,0,0,56,0,0,0,111,0,0,0,112,0,0,0,11,0,0,0,138,0,0,0,139,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,88,0,0,0,42,1,0,0,43,1,0,0,44,1,0,0,45,1,0,0,47,0,0,0,46,1,0,0,47,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,48,1,0,0,0,0,0,0,72,0,0,0,113,0,0,0,114,0,0,0,11,0,0,0,140,0,0,0,141,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,89,0,0,0,49,1,0,0,50,1,0,0,51,1,0,0,52,1,0,0,48,0,0,0,53,1,0,0,54,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,55,1,0,0,0,0,0,0,24,5,0,0,115,0,0,0,116,0,0,0,11,0,0,0,142,0,0,0,143,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,90,0,0,0,56,1,0,0,57,1,0,0,58,1,0,0,59,1,0,0,49,0,0,0,60,1,0,0,61,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,62,1,0,0,0,0,0,0,40,5,0,0,117,0,0,0,118,0,0,0,11,0,0,0,144,0,0,0,145,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,91,0,0,0,63,1,0,0,64,1,0,0,65,1,0,0,66,1,0,0,50,0,0,0,67,1,0,0,68,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,69,1,0,0,0,0,0,0,56,5,0,0,119,0,0,0,120,0,0,0,11,0,0,0,146,0,0,0,147,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,92,0,0,0,70,1,0,0,71,1,0,0,72,1,0,0,73,1,0,0,51,0,0,0,74,1,0,0,75,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,72,5,0,0,121,0,0,0,122,0,0,0,10,0,0,0,148,0,0,0,149,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,93,0,0,0,76,1,0,0,77,1,0,0,78,1,0,0,79,1,0,0,52,0,0,0,80,1,0,0,81,1,0,0,14,0,0,0,150,0,0,0,22,0,0,0,0,0,0,0,88,5,0,0,4,0,0,0,123,0,0,0,151,0,0,0,152,0,0,0,153,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,94,0,0,0,82,1,0,0,83,1,0,0,84,1,0,0,85,1,0,0,53,0,0,0,86,1,0,0,87,1,0,0,154,0,0,0,95,0,0,0,155,0,0,0,156,0,0,0,88,1,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,104,5,0,0,124,0,0,0,125,0,0,0,10,0,0,0,157,0,0,0,158,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,96,0,0,0,89,1,0,0,90,1,0,0,91,1,0,0,92,1,0,0,54,0,0,0,93,1,0,0,94,1,0,0,0,0,0,0,120,5,0,0,126,0,0,0,127,0,0,0,10,0,0,0,159,0,0,0,160,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,97,0,0,0,95,1,0,0,96,1,0,0,97,1,0,0,98,1,0,0,55,0,0,0,99,1,0,0,100,1,0,0,98,0,0,0,204,255,255,255,120,5,0,0,99,0,0,0,128,0,0,0,129,0,0,0,101,1,0,0,102,1,0,0,100,0,0,0,101,0,0,0,161,0,0,0,0,0,0,0,152,5,0,0,102,0,0,0,1,0,0,0,1,0,0,0,101,1,0,0,102,1,0,0,100,0,0,0,101,0,0,0,161,0,0,0,0,0,0,0,88,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,3,0,0,0,14,0,0,0,15,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,162,0,0,0,103,0,0,0,163,0,0,0,164,0,0,0,165,0,0,0,166,0,0,0,103,1,0,0,104,1,0,0,0,0,0,0,160,5,0,0,130,0,0,0,131,0,0,0,167,0,0,0,168,0,0,0,169,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,104,0,0,0,105,1,0,0,106,1,0,0,107,1,0,0,108,1,0,0,56,0,0,0,109,1,0,0,110,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,162,0,0,0,103,0,0,0,163,0,0,0,164,0,0,0,170,0,0,0,171,0,0,0,103,1,0,0,104,1,0,0,0,0,0,0,144,0,0,0,1,0,0,0,1,0,0,0,172,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,105,0,0,0,111,1,0,0,112,1,0,0,113,1,0,0,114,1,0,0,57,0,0,0,115,1,0,0,116,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,162,0,0,0,103,0,0,0,163,0,0,0,164,0,0,0,173,0,0,0,174,0,0,0,117,1,0,0,118,1,0,0,175,0,0,0,106,0,0,0,1,0,0,0,176,0,0,0,177,0,0,0,119,1,0,0,120,1,0,0,0,0,0,0,128,1,0,0,132,0,0,0,133,0,0,0,172,0,0,0,178,0,0,0,179,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,107,0,0,0,121,1,0,0,122,1,0,0,123,1,0,0,124,1,0,0,58,0,0,0,125,1,0,0,126,1,0,0,4,0,0,0,108,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,180,0,0,0,103,0,0,0,163,0,0,0,164,0,0,0,181,0,0,0,182,0,0,0,117,1,0,0,118,1,0,0,175,0,0,0,106,0,0,0,1,0,0,0,176,0,0,0,177,0,0,0,119,1,0,0,120,1,0,0,0,0,0,0,112,1,0,0,132,0,0,0,134,0,0,0,172,0,0,0,183,0,0,0,184,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,109,0,0,0,127,1,0,0,128,1,0,0,129,1,0,0,130,1,0,0,59,0,0,0,131,1,0,0,132,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,185,0,0,0,103,0,0,0,163,0,0,0,186,0,0,0,173,0,0,0,174,0,0,0,117,1,0,0,118,1,0,0,175,0,0,0,106,0,0,0,1,0,0,0,176,0,0,0,177,0,0,0,119,1,0,0,120,1,0,0,0,0,0,0,48,1,0,0,132,0,0,0,135,0,0,0,172,0,0,0,187,0,0,0,188,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,110,0,0,0,133,1,0,0,134,1,0,0,135,1,0,0,136,1,0,0,60,0,0,0,137,1,0,0,138,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,189,0,0,0,103,0,0,0,163,0,0,0,164,0,0,0,173,0,0,0,174,0,0,0,117,1,0,0,118,1,0,0,175,0,0,0,106,0,0,0,2,0,0,0,176,0,0,0,177,0,0,0,119,1,0,0,120,1,0,0,3,0,0,0,0,0,0,0,64,1,0,0,132,0,0,0,136,0,0,0,172,0,0,0,190,0,0,0,191,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,111,0,0,0,139,1,0,0,140,1,0,0,141,1,0,0,142,1,0,0,61,0,0,0,143,1,0,0,144,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,192,0,0,0,103,0,0,0,163,0,0,0,164,0,0,0,173,0,0,0,174,0,0,0,117,1,0,0,118,1,0,0,193,0,0,0,106,0,0,0,4,0,0,0,176,0,0,0,177,0,0,0,119,1,0,0,120,1,0,0,0,0,0,0,80,1,0,0,132,0,0,0,137,0,0,0,172,0,0,0,194,0,0,0,195,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,112,0,0,0,145,1,0,0,146,1,0,0,147,1,0,0,148,1,0,0,62,0,0,0,149,1,0,0,150,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,196,0,0,0,103,0,0,0,163,0,0,0,164,0,0,0,173,0,0,0,174,0,0,0,117,1,0,0,118,1,0,0,197,0,0,0,106,0,0,0,5,0,0,0,176,0,0,0,177,0,0,0,119,1,0,0,120,1,0,0,0,0,0,0,96,1,0,0,138,0,0,0,139,0,0,0,198,0,0,0,199,0,0,0,200,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,113,0,0,0,151,1,0,0,152,1,0,0,153,1,0,0,154,1,0,0,63,0,0,0,155,1,0,0,156,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,201,0,0,0,103,0,0,0,163,0,0,0,164,0,0,0,173,0,0,0,174,0,0,0,117,1,0,0,118,1,0,0,175,0,0,0,106,0,0,0,1,0,0,0,176,0,0,0,177,0,0,0,119,1,0,0,157,1,0,0,158,1,0,0,159,1,0,0,160,1,0,0,0,0,0,0,16,1,0,0,140,0,0,0,141,0,0,0,202,0,0,0,203,0,0,0,204,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,114,0,0,0,161,1,0,0,162,1,0,0,163,1,0,0,164,1,0,0,64,0,0,0,165,1,0,0,166,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,205,0,0,0,103,0,0,0,163,0,0,0,164,0,0,0,173,0,0,0,174,0,0,0,117,1,0,0,118,1,0,0,175,0,0,0,106,0,0,0,6,0,0,0,206,0,0,0,207,0,0,0,119,1,0,0,167,1,0,0,168,1,0,0,169,1,0,0,170,1,0,0,0,0,0,0,32,1,0,0,142,0,0,0,143,0,0,0,208,0,0,0,209,0,0,0,210,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,144,0,0,0,115,0,0,0,171,1,0,0,172,1,0,0,173,1,0,0,174,1,0,0,65,0,0,0,175,1,0,0,176,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,211,0,0,0,103,0,0,0,212,0,0,0,164,0,0,0,213,0,0,0,214,0,0,0,117,1,0,0,118,1,0,0,175,0,0,0,106,0,0,0,1,0,0,0,176,0,0,0,177,0,0,0,119,1,0,0,177,1,0,0,178,1,0,0,179,1,0,0,180,1,0,0,181,1,0,0,0,0,0,0,176,0,0,0,145,0,0,0,146,0,0,0,215,0,0,0,216,0,0,0,217,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,147,0,0,0,116,0,0,0,182,1,0,0,183,1,0,0,184,1,0,0,185,1,0,0,66,0,0,0,186,1,0,0,187,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,218,0,0,0,103,0,0,0,219,0,0,0,220,0,0,0,221,0,0,0,222,0,0,0,103,1,0,0,104,1,0,0,117,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,188,1,0,0,189,1,0,0,184,255,255,255,176,0,0,0,118,0,0,0,148,0,0,0,149,0,0,0,190,1,0,0,191,1,0,0,119,0,0,0,120,0,0,0,223,0,0,0,0,0,0,0,208,0,0,0,121,0,0,0,1,0,0,0,1,0,0,0,190,1,0,0,191,1,0,0,119,0,0,0,120,0,0,0,224,0,0,0,0,0,0,0,160,0,0,0,150,0,0,0,151,0,0,0,225,0,0,0,226,0,0,0,227,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,152,0,0,0,122,0,0,0,192,1,0,0,193,1,0,0,194,1,0,0,195,1,0,0,67,0,0,0,196,1,0,0,197,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,16,0,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,162,0,0,0,123,0,0,0,228,0,0,0,229,0,0,0,230,0,0,0,231,0,0,0,103,1,0,0,104,1,0,0,10,0,0,0,11,0,0,0,12,0,0,0,232,0,0,0,198,1,0,0,199,1,0,0,0,0,0,0,104,0,0,0,153,0,0,0,154,0,0,0,233,0,0,0,234,0,0,0,235,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,155,0,0,0,124,0,0,0,200,1,0,0,201,1,0,0,202,1,0,0,203,1,0,0,68,0,0,0,204,1,0,0,205,1,0,0,4,0,0,0,125,0,0,0,5,0,0,0,6,0,0,0,206,1,0,0,17,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,236,0,0,0,126,0,0,0,237,0,0,0,238,0,0,0,239,0,0,0,240,0,0,0,207,1,0,0,208,1,0,0,127,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,209,1,0,0,210,1,0,0,184,255,255,255,104,0,0,0,128,0,0,0,156,0,0,0,157,0,0,0,211,1,0,0,212,1,0,0,129,0,0,0,130,0,0,0,241,0,0,0,0,0,0,0,136,0,0,0,131,0,0,0,1,0,0,0,1,0,0,0,211,1,0,0,212,1,0,0,129,0,0,0,130,0,0,0,242,0,0,0,0,0,0,0,192,5,0,0,158,0,0,0,159,0,0,0,243,0,0,0,244,0,0,0,0,0,0,0,224,5,0,0,160,0,0,0,161,0,0,0,245,0,0,0,246,0,0,0,0,0,0,0,240,5,0,0,162,0,0,0,163,0,0,0,164,0,0,0,213,1,0,0,165,0,0,0,0,0,0,0,0,6,0,0,166,0,0,0,167,0,0,0,1,0,0,0,247,0,0,0,214,1,0,0,248,0,0,0,60,0,0,0,0,0,0,0,168,11,0,0,168,0,0,0,169,0,0,0,196,255,255,255,196,255,255,255,168,11,0,0,170,0,0,0,171,0,0,0,60,0,0,0,0,0,0,0,40,6,0,0,172,0,0,0,173,0,0,0,196,255,255,255,196,255,255,255,40,6,0,0,174,0,0,0,175,0,0,0,0,0,0,0,24,6,0,0,176,0,0,0,177,0,0,0,132,0,0,0,16,0,0,0,1,0,0,0,1,0,0,0,249,0,0,0,250,0,0,0,17,0,0,0,251,0,0,0,252,0,0,0,215,1,0,0,18,0,0,0,216,1,0,0,124,55,0,0,84,55,0,0,104,55,0,0,144,55,0,0,56,0,0,0,0,0,0,0,8,6,0,0,178,0,0,0,179,0,0,0,200,255,255,255,200,255,255,255,8,6,0,0,180,0,0,0,181,0,0,0,244,55,0,0,244,56,0,0,8,57,0,0,8,56,0,0,64,0,0,0,0,0,0,0,56,6,0,0,182,0,0,0,183,0,0,0,56,0,0,0,248,255,255,255,56,6,0,0,184,0,0,0,185,0,0,0,192,255,255,255,192,255,255,255,56,6,0,0,186,0,0,0,187,0,0,0,64,0,0,0,0,0,0,0,168,11,0,0,168,0,0,0,169,0,0,0,192,255,255,255,192,255,255,255,168,11,0,0,170,0,0,0,171,0,0,0,44,56,0,0,184,56,0,0,104,56,0,0,124,56,0,0,244,56,0,0,8,57,0,0,224,56,0,0,204,56,0,0,84,56,0,0,64,56,0,0,64,0,0,0,0,0,0,0,8,12,0,0,188,0,0,0,189,0,0,0,56,0,0,0,248,255,255,255,8,12,0,0,190,0,0,0,191,0,0,0,192,255,255,255,192,255,255,255,8,12,0,0,192,0,0,0,193,0,0,0,56,0,0,0,0,0,0,0,216,11,0,0,194,0,0,0,195,0,0,0,200,255,255,255,200,255,255,255,216,11,0,0,196,0,0,0,197,0,0,0,0,0,0,0,72,6,0,0,166,0,0,0,198,0,0,0,253,0,0,0,247,0,0,0,214,1,0,0,248,0,0,0,0,0,0,0,136,6,0,0,166,0,0,0,199,0,0,0,254,0,0,0,247,0,0,0,214,1,0,0,248,0,0,0,0,4,0,0,1,0,0,0,232,3,0,0,232,3,0,0,232,3,0,0,232,3,0,0,64,66,15,0,180,127,0,0,205,127,0,0,239,127,0,0,4,128,0,0,16,128,0,0,30,128,0,0,43,128,0,0,81,128,0,0,116,128,0,0,160,128,0,0,172,128,0,0,191,128,0,0,209,128,0,0,238,128,0,0,7,129,0,0,31,129,0,0,64,129,0,0,92,129,0,0,110,129,0,0,129,129,0,0,144,129,0,0,158,129,0,0,174,129,0,0,199,129,0,0,224,129,0,0,0,130,0,0,26,130,0,0,156,130,0,0,29,131,0,0,159,131,0,0,178,131,0,0,195,131,0,0,210,131,0,0,230,131,0,0,11,132,0,0,42,132,0,0,84,132,0,0,107,132,0,0,130,132,0,0,150,132,0,0,165,132,0,0,179,132,0,0,194,132,0,0,207,132,0,0,224,132,0,0,241,132,0,0,6,133,0,0,20,133,0,0,35,133,0,0,62,133,0,0,83,133,0,0,122,133,0,0,160,133,0,0,175,133,0,0,197,133,0,0,217,133,0,0,241,133,0,0,0,134,0,0,17,134,0,0,41,134,0,0,68,134,0,0,84,134,0,0,100,134,0,0,114,134,0,0,132,134,0,0,165,134,0,0,188,134,0,0,218,134,0,0,241,134,0,0,5,135,0,0,27,135,0,0,49,135,0,0,61,135,0,0,97,135,0,0,113,135,0,0,142,135,0,0,173,135,0,0,212,135,0,0,240,135,0,0,33,136,0,0,86,136,0,0,112,136,0,0,143,136,0,0,0,0,0,0,152,6,0,0,200,0,0,0,201,0,0,0,255,0,0,0,0,0,0,0,168,6,0,0,200,0,0,0,202,0,0,0,0,1,0,0,0,0,0,0,184,6,0,0,200,0,0,0,203,0,0,0,1,1,0,0,0,0,0,0,216,6,0,0,204,0,0,0,205,0,0,0,243,0,0,0,244,0,0,0,0,0,0,0,232,6,0,0,206,0,0,0,207,0,0,0,243,0,0,0,244,0,0,0,108,0,0,0,0,0,0,0,168,11,0,0,168,0,0,0,169,0,0,0,148,255,255,255,148,255,255,255,168,11,0,0,170,0,0,0,171,0,0,0,108,0,0,0,0,0,0,0,8,7,0,0,208,0,0,0,209,0,0,0,148,255,255,255,148,255,255,255,8,7,0,0,210,0,0,0,211,0,0,0,88,59,0,0,48,59,0,0,68,59,0,0,108,59,0,0,0,0,0,0,248,6,0,0,212,0,0,0,213,0,0,0,133,0,0,0,19,0,0,0,2,0,0,0,2,0,0,0,2,1,0,0,250,0,0,0,17,0,0,0,3,1,0,0,252,0,0,0,217,1,0,0,18,0,0,0,218,1,0,0,0,0,0,0,208,1,0,0,200,0,0,0,214,0,0,0,4,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,0,0,0,0,80,9,0,0,219,1,0,0,215,0,0,0,216,0,0,0,220,1,0,0,221,1,0,0,222,1,0,0,223,1,0,0,224,1,0,0,225,1,0,0,226,1,0,0,227,1,0,0,228,1,0,0,229,1,0,0,230,1,0,0,231,1,0,0,232,1,0,0,233,1,0,0,234,1,0,0,235,1,0,0,236,1,0,0,237,1,0,0,238,1,0,0,239,1,0,0,240,1,0,0,241,1,0,0,242,1,0,0,243,1,0,0,244,1,0,0,245,1,0,0,246,1,0,0,247,1,0,0,248,1,0,0,249,1,0,0,250,1,0,0,251,1,0,0,252,1,0,0,253,1,0,0,254,1,0,0,255,1,0,0,0,2,0,0,1,2,0,0,2,2,0,0,3,2,0,0,4,2,0,0,5,2,0,0,6,2,0,0,7,2,0,0,8,2,0,0,9,2,0,0,10,2,0,0,11,2,0,0,12,2,0,0,13,2,0,0,14,2,0,0,15,2,0,0,16,2,0,0,17,2,0,0,18,2,0,0,19,2,0,0,20,2,0,0,21,2,0,0,22,2,0,0,23,2,0,0,24,2,0,0,25,2,0,0,26,2,0,0,27,2,0,0,28,2,0,0,29,2,0,0,30,2,0,0,0,0,0,0,144,9,0,0,217,0,0,0,218,0,0,0,245,0,0,0,246,0,0,0,0,0,0,0,160,9,0,0,219,0,0,0,220,0,0,0,245,0,0,0,246,0,0,0,0,0,0,0,208,9,0,0,221,0,0,0,222,0,0,0,243,0,0,0,5,1,0,0,0,0,0,0,248,9,0,0,31,2,0,0,223,0,0,0,224,0,0,0,32,2,0,0,33,2,0,0,34,2,0,0,35,2,0,0,36,2,0,0,37,2,0,0,38,2,0,0,39,2,0,0,40,2,0,0,41,2,0,0,42,2,0,0,43,2,0,0,44,2,0,0,45,2,0,0,46,2,0,0,47,2,0,0,48,2,0,0,49,2,0,0,50,2,0,0,51,2,0,0,52,2,0,0,53,2,0,0,54,2,0,0,55,2,0,0,56,2,0,0,57,2,0,0,58,2,0,0,59,2,0,0,60,2,0,0,61,2,0,0,62,2,0,0,63,2,0,0,64,2,0,0,65,2,0,0,66,2,0,0,67,2,0,0,68,2,0,0,69,2,0,0,70,2,0,0,71,2,0,0,72,2,0,0,73,2,0,0,74,2,0,0,75,2,0,0,76,2,0,0,77,2,0,0,78,2,0,0,79,2,0,0,80,2,0,0,81,2,0,0,82,2,0,0,83,2,0,0,84,2,0,0,85,2,0,0,86,2,0,0,87,2,0,0,88,2,0,0,89,2,0,0,90,2,0,0,91,2,0,0,92,2,0,0,93,2,0,0,94,2,0,0,95,2,0,0,96,2,0,0,97,2,0,0,98,2,0,0,0,0,0,0,48,10,0,0,99,2,0,0,225,0,0,0,226,0,0,0,100,2,0,0,101,2,0,0,102,2,0,0,103,2,0,0,104,2,0,0,105,2,0,0,106,2,0,0,107,2,0,0,108,2,0,0,109,2,0,0,110,2,0,0,111,2,0,0,112,2,0,0,113,2,0,0,114,2,0,0,115,2,0,0,116,2,0,0,117,2,0,0,118,2,0,0,119,2,0,0,120,2,0,0,121,2,0,0,122,2,0,0,123,2,0,0,124,2,0,0,125,2,0,0,126,2,0,0,127,2,0,0,128,2,0,0,129,2,0,0,130,2,0,0,131,2,0,0,132,2,0,0,133,2,0,0,134,2,0,0,135,2,0,0,136,2,0,0,137,2,0,0,138,2,0,0,139,2,0,0,140,2,0,0,141,2,0,0,142,2,0,0,143,2,0,0,144,2,0,0,145,2,0,0,146,2,0,0,147,2,0,0,148,2,0,0,149,2,0,0,150,2,0,0,151,2,0,0,152,2,0,0,153,2,0,0,154,2,0,0,155,2,0,0,156,2,0,0,157,2,0,0,158,2,0,0,159,2,0,0,160,2,0,0,161,2,0,0,162,2,0,0,163,2,0,0,164,2,0,0,165,2,0,0,166,2,0,0,0,0,0,0,80,10,0,0,167,2,0,0,227,0,0,0,228,0,0,0,168,2,0,0,169,2,0,0,170,2,0,0,171,2,0,0,172,2,0,0,173,2,0,0,174,2,0,0,175,2,0,0,176,2,0,0,177,2,0,0,178,2,0,0,179,2,0,0,180,2,0,0,181,2,0,0,182,2,0,0,183,2,0,0,184,2,0,0,185,2,0,0,186,2,0,0,187,2,0,0,188,2,0,0,189,2,0,0,190,2,0,0,191,2,0,0,192,2,0,0,193,2,0,0,194,2,0,0,195,2,0,0,196,2,0,0,197,2,0,0,198,2,0,0,199,2,0,0,200,2,0,0,201,2,0,0,202,2,0,0,203,2,0,0,204,2,0,0,205,2,0,0,206,2,0,0,207,2,0,0,208,2,0,0,209,2,0,0,210,2,0,0,211,2,0,0,212,2,0,0,213,2,0,0,214,2,0,0,215,2,0,0,216,2,0,0,217,2,0,0,218,2,0,0,219,2,0,0,220,2,0,0,221,2,0,0,222,2,0,0,223,2,0,0,224,2,0,0,225,2,0,0,226,2,0,0,227,2,0,0,228,2,0,0,229,2,0,0,230,2,0,0,231,2,0,0,232,2,0,0,233,2,0,0,234,2,0,0,0,0,0,0,112,10,0,0,134,0,0,0,229,0,0,0,230,0,0,0,135,0,0,0,136,0,0,0,137,0,0,0,138,0,0,0,139,0,0,0,140,0,0,0,141,0,0,0,142,0,0,0,143,0,0,0,144,0,0,0,145,0,0,0,146,0,0,0,147,0,0,0,148,0,0,0,149,0,0,0,150,0,0,0,151,0,0,0,152,0,0,0,153,0,0,0,154,0,0,0,155,0,0,0,156,0,0,0,157,0,0,0,158,0,0,0,159,0,0,0,160,0,0,0,161,0,0,0,162,0,0,0,163,0,0,0,164,0,0,0,165,0,0,0,166,0,0,0,167,0,0,0,168,0,0,0,169,0,0,0,170,0,0,0,171,0,0,0,172,0,0,0,173,0,0,0,174,0,0,0,175,0,0,0,176,0,0,0,177,0,0,0,178,0,0,0,179,0,0,0,180,0,0,0,181,0,0,0,182,0,0,0,183,0,0,0,184,0,0,0,185,0,0,0,186,0,0,0,187,0,0,0,188,0,0,0,189,0,0,0,190,0,0,0,191,0,0,0,192,0,0,0,193,0,0,0,194,0,0,0,195,0,0,0,196,0,0,0,197,0,0,0,198,0,0,0,199,0,0,0,200,0,0,0,201,0,0,0,0,0,0,0,152,10,0,0,202,0,0,0,231,0,0,0,232,0,0,0,203,0,0,0,204,0,0,0,205,0,0,0,206,0,0,0,207,0,0,0,208,0,0,0,209,0,0,0,210,0,0,0,211,0,0,0,212,0,0,0,213,0,0,0,214,0,0,0,215,0,0,0,216,0,0,0,217,0,0,0,218,0,0,0,219,0,0,0,220,0,0,0,221,0,0,0,222,0,0,0,223,0,0,0,224,0,0,0,225,0,0,0,226,0,0,0,227,0,0,0,228,0,0,0,229,0,0,0,230,0,0,0,231,0,0,0,232,0,0,0,233,0,0,0,234,0,0,0,235,0,0,0,236,0,0,0,237,0,0,0,238,0,0,0,239,0,0,0,240,0,0,0,241,0,0,0,242,0,0,0,243,0,0,0,244,0,0,0,245,0,0,0,246,0,0,0,247,0,0,0,248,0,0,0,249,0,0,0,250,0,0,0,251,0,0,0,252,0,0,0,253,0,0,0,254,0,0,0,255,0,0,0,0,1,0,0,1,1,0,0,2,1,0,0,3,1,0,0,4,1,0,0,5,1,0,0,6,1,0,0,7,1,0,0,8,1,0,0,9,1,0,0,10,1,0,0,11,1,0,0,12,1,0,0,13,1,0,0,252,255,255,255,152,10,0,0,233,0,0,0,234,0,0,0,0,0,0,0,168,10,0,0,202,0,0,0,235,0,0,0,236,0,0,0,203,0,0,0,14,1,0,0,205,0,0,0,206,0,0,0,15,1,0,0,16,1,0,0,209,0,0,0,17,1,0,0,18,1,0,0,212,0,0,0,213,0,0,0,19,1,0,0,215,0,0,0,216,0,0,0,217,0,0,0,218,0,0,0,20,1,0,0,220,0,0,0,221,0,0,0,222,0,0,0,223,0,0,0,224,0,0,0,225,0,0,0,226,0,0,0,227,0,0,0,228,0,0,0,229,0,0,0,21,1,0,0,231,0,0,0,232,0,0,0,233,0,0,0,234,0,0,0,235,0,0,0,236,0,0,0,237,0,0,0,238,0,0,0,22,1,0,0,240,0,0,0,241,0,0,0,242,0,0,0,23,1,0,0,24,1,0,0,245,0,0,0,246,0,0,0,247,0,0,0,248,0,0,0,249,0,0,0,250,0,0,0,251,0,0,0,252,0,0,0,253,0,0,0,254,0,0,0,255,0,0,0,0,1,0,0,1,1,0,0,2,1,0,0,3,1,0,0,4,1,0,0,5,1,0,0,6,1,0,0,7,1,0,0,8,1,0,0,9,1,0,0,10,1,0,0,11,1,0,0,12,1,0,0,13,1,0,0,252,255,255,255,168,10,0,0,237,0,0,0,238,0,0,0,0,0,0,0,200,10,0,0,202,0,0,0,229,0,0,0,239,0,0,0,25,1,0,0,26,1,0,0,27,1,0,0,206,0,0,0,28,1,0,0,29,1,0,0,30,1,0,0,31,1,0,0,32,1,0,0,33,1,0,0,34,1,0,0,35,1,0,0,36,1,0,0,37,1,0,0,38,1,0,0,39,1,0,0,40,1,0,0,41,1,0,0,42,1,0,0,43,1,0,0,44,1,0,0,45,1,0,0,46,1,0,0,47,1,0,0,48,1,0,0,49,1,0,0,50,1,0,0,51,1,0,0,52,1,0,0,53,1,0,0,54,1,0,0,55,1,0,0,56,1,0,0,57,1,0,0,58,1,0,0,59,1,0,0,60,1,0,0,61,1,0,0,62,1,0,0,63,1,0,0,64,1,0,0,65,1,0,0,245,0,0,0,66,1,0,0,67,1,0,0,68,1,0,0,69,1,0,0,70,1,0,0,71,1,0,0,72,1,0,0,73,1,0,0,74,1,0,0,75,1,0,0,76,1,0,0,77,1,0,0,78,1,0,0,79,1,0,0,80,1,0,0,81,1,0,0,82,1,0,0,83,1,0,0,84,1,0,0,85,1,0,0,86,1,0,0,87,1,0,0,88,1,0,0,89,1,0,0,0,0,0,0,216,10,0,0,235,2,0,0,240,0,0,0,241,0,0,0,236,2,0,0,237,2,0,0,238,2,0,0,239,2,0,0,240,2,0,0,241,2,0,0,242,2,0,0,243,2,0,0,244,2,0,0,245,2,0,0,246,2,0,0,247,2,0,0,248,2,0,0,249,2,0,0,250,2,0,0,251,2,0,0,252,2,0,0,253,2,0,0,254,2,0,0,255,2,0,0,0,3,0,0,1,3,0,0,2,3,0,0,3,3,0,0,4,3,0,0,5,3,0,0,6,3,0,0,7,3,0,0,8,3,0,0,9,3,0,0,10,3,0,0,11,3,0,0,12,3,0,0,13,3,0,0,14,3,0,0,15,3,0,0,16,3,0,0,17,3,0,0,18,3,0,0,19,3,0,0,20,3,0,0,21,3,0,0,22,3,0,0,23,3,0,0,24,3,0,0,25,3,0,0,26,3,0,0,27,3,0,0,28,3,0,0,29,3,0,0,30,3,0,0,31,3,0,0,32,3,0,0,33,3,0,0,34,3,0,0,35,3,0,0,36,3,0,0,37,3,0,0,38,3,0,0,39,3,0,0,40,3,0,0,41,3,0,0,42,3,0,0,43,3,0,0,44,3,0,0,45,3,0,0,46,3,0,0,0,0,0,0,248,10,0,0,90,1,0,0,229,0,0,0,242,0,0,0,91,1,0,0,92,1,0,0,93,1,0,0,94,1,0,0,95,1,0,0,96,1,0,0,97,1,0,0,98,1,0,0,99,1,0,0,100,1,0,0,101,1,0,0,102,1,0,0,103,1,0,0,104,1,0,0,105,1,0,0,106,1,0,0,107,1,0,0,108,1,0,0,109,1,0,0,110,1,0,0,111,1,0,0,112,1,0,0,113,1,0,0,114,1,0,0,115,1,0,0,116,1,0,0,117,1,0,0,118,1,0,0,119,1,0,0,120,1,0,0,121,1,0,0,122,1,0,0,123,1,0,0,124,1,0,0,125,1,0,0,126,1,0,0,127,1,0,0,128,1,0,0,129,1,0,0,130,1,0,0,131,1,0,0,132,1,0,0,133,1,0,0,134,1,0,0,135,1,0,0,136,1,0,0,137,1,0,0,138,1,0,0,139,1,0,0,140,1,0,0,141,1,0,0,142,1,0,0,143,1,0,0,144,1,0,0,145,1,0,0,146,1,0,0,147,1,0,0,148,1,0,0,149,1,0,0,150,1,0,0,151,1,0,0,152,1,0,0,153,1,0,0,154,1,0,0,155,1,0,0,156,1,0,0,157,1,0,0,0,0,0,0,24,11,0,0,47,3,0,0,243,0,0,0,244,0,0,0,48,3,0,0,49,3,0,0,50,3,0,0,51,3,0,0,52,3,0,0,53,3,0,0,54,3,0,0,55,3,0,0,56,3,0,0,57,3,0,0,58,3,0,0,59,3,0,0,60,3,0,0,61,3,0,0,62,3,0,0,63,3,0,0,64,3,0,0,65,3,0,0,66,3,0,0,67,3,0,0,68,3,0,0,69,3,0,0,70,3,0,0,71,3,0,0,72,3,0,0,73,3,0,0,74,3,0,0,75,3,0,0,76,3,0,0,77,3,0,0,78,3,0,0,79,3,0,0,80,3,0,0,81,3,0,0,82,3,0,0,83,3,0,0,84,3,0,0,85,3,0,0,86,3,0,0,87,3,0,0,88,3,0,0,89,3,0,0,90,3,0,0,91,3,0,0,92,3,0,0,93,3,0,0,94,3,0,0,95,3,0,0,96,3,0,0,97,3,0,0,98,3,0,0,99,3,0,0,100,3,0,0,101,3,0,0,102,3,0,0,103,3,0,0,104,3,0,0,105,3,0,0,106,3,0,0,107,3,0,0,108,3,0,0,109,3,0,0,110,3,0,0,111,3,0,0,112,3,0,0,113,3,0,0,114,3,0,0,0,0,0,0,64,11,0,0,115,3,0,0,245,0,0,0,246,0,0,0,116,3,0,0,117,3,0,0,118,3,0,0,119,3,0,0,120,3,0,0,121,3,0,0,122,3,0,0,123,3,0,0,124,3,0,0,125,3,0,0,126,3,0,0,127,3,0,0,128,3,0,0,129,3,0,0,130,3,0,0,131,3,0,0,132,3,0,0,133,3,0,0,134,3,0,0,135,3,0,0,136,3,0,0,137,3,0,0,138,3,0,0,139,3,0,0,140,3,0,0,141,3,0,0,142,3,0,0,143,3,0,0,144,3,0,0,145,3,0,0,146,3,0,0,147,3,0,0,148,3,0,0,149,3,0,0,150,3,0,0,151,3,0,0,152,3,0,0,153,3,0,0,154,3,0,0,155,3,0,0,156,3,0,0,157,3,0,0,158,3,0,0,159,3,0,0,160,3,0,0,161,3,0,0,162,3,0,0,163,3,0,0,164,3,0,0,165,3,0,0,166,3,0,0,167,3,0,0,168,3,0,0,169,3,0,0,170,3,0,0,171,3,0,0,172,3,0,0,173,3,0,0,174,3,0,0,175,3,0,0,176,3,0,0,177,3,0,0,178,3,0,0,179,3,0,0,180,3,0,0,181,3,0,0,182,3,0,0,0,0,0,0,64,9,0,0,158,0,0,0,247,0,0,0,243,0,0,0,244,0,0,0,0,0,0,0,176,5,0,0,158,0,0,0,248,0,0,0,243,0,0,0,244,0,0,0,0,0,0,0,112,6,0,0,158,0,0,0,249,0,0,0,243,0,0,0,244,0,0,0,0,0,0,0,128,9,0,0,217,0,0,0,250,0,0,0,245,0,0,0,246,0,0,0,0,0,0,0,176,9,0,0,160,0,0,0,251,0,0,0,245,0,0,0,6,1,0,0,0,0,0,0,192,9,0,0,158,0,0,0,252,0,0,0,243,0,0,0,7,1,0,0,0,0,0,0,96,9,0,0,158,0,0,0,253,0,0,0,243,0,0,0,8,1,0,0,0,0,0,0,8,10,0,0,158,0,0,0,254,0,0,0,243,0,0,0,9,1,0,0,0,0,0,0,208,5,0,0,160,0,0,0,255,0,0,0,245,0,0,0,246,0,0,0,0,0,0,0,112,9,0,0,158,0,0,0,0,1,0,0,243,0,0,0,244,0,0,0,0,0,0,0,104,11,0,0,4,0,0,0,1,1,0,0,197,185,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,200,75,0,0,5,0,0,0,0,0,0,0,0,0,0,0,10,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,21,0,0,0,222,56,1,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,76,0,0,9,0,0,0,0,0,0,0,0,0,0,0,10,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,21,0,0,0,230,56,1,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,76,0,0,5,0,0,0,0,0,0,0,0,0,0,0,10,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,21,0,0,0,238,60,1,0,0,4,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,107,0,0,156,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+10240);allocate([27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,97,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,97,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,95,112,137,0,255,9,47,15,36,198,0,0,239,64,1,0,239,64,1,0,239,64,1,0,239,64,1,0,239,64,1,0,239,64,1,0,239,64,1,0,239,64,1,0,239,64,1,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,2,0,0,0,3,0,0,0,5,0,0,0,7,0,0,0,11,0,0,0,13,0,0,0,17,0,0,0,19,0,0,0,23,0,0,0,29,0,0,0,31,0,0,0,37,0,0,0,41,0,0,0,43,0,0,0,47,0,0,0,53,0,0,0,59,0,0,0,61,0,0,0,67,0,0,0,71,0,0,0,73,0,0,0,79,0,0,0,83,0,0,0,89,0,0,0,97,0,0,0,101,0,0,0,103,0,0,0,107,0,0,0,109,0,0,0,113,0,0,0,127,0,0,0,131,0,0,0,137,0,0,0,139,0,0,0,149,0,0,0,151,0,0,0,157,0,0,0,163,0,0,0,167,0,0,0,173,0,0,0,179,0,0,0,181,0,0,0,191,0,0,0,193,0,0,0,197,0,0,0,199,0,0,0,211,0,0,0,1,0,0,0,11,0,0,0,13,0,0,0,17,0,0,0,19,0,0,0,23,0,0,0,29,0,0,0,31,0,0,0,37,0,0,0,41,0,0,0,43,0,0,0,47,0,0,0,53,0,0,0,59,0,0,0,61,0,0,0,67,0,0,0,71,0,0,0,73,0,0,0,79,0,0,0,83,0,0,0,89,0,0,0,97,0,0,0,101,0,0,0,103,0,0,0,107,0,0,0,109,0,0,0,113,0,0,0,121,0,0,0,127,0,0,0,131,0,0,0,137,0,0,0,139,0,0,0,143,0,0,0,149,0,0,0,151,0,0,0,157,0,0,0,163,0,0,0,167,0,0,0,169,0,0,0,173,0,0,0,179,0,0,0,181,0,0,0,187,0,0,0,191,0,0,0,193,0,0,0,197,0,0,0,199,0,0,0,209,0,0,0,0,0,0,0,128,11,0,0,2,1,0,0,3,1,0,0,0,0,0,0,152,11,0,0,4,1,0,0,5,1,0,0,132,0,0,0,16,0,0,0,3,0,0,0,3,0,0,0,249,0,0,0,250,0,0,0,17,0,0,0,11,1,0,0,252,0,0,0,183,3,0,0,18,0,0,0,184,3,0,0,0,0,0,0,160,11,0,0,6,1,0,0,7,1,0,0,158,1,0,0,25,0,0,0,4,0,0,0,4,0,0,0,12,1,0,0,13,1,0,0,26,0,0,0,14,1,0,0,15,1,0,0,185,3,0,0,27,0,0,0,186,3,0,0,8,0,0,0,0,0,0,0,168,11,0,0,168,0,0,0,169,0,0,0,248,255,255,255,248,255,255,255,168,11,0,0,170,0,0,0,171,0,0,0,8,0,0,0,0,0,0,0,192,11,0,0,8,1,0,0,9,1,0,0,248,255,255,255,248,255,255,255,192,11,0,0,10,1,0,0,11,1,0,0,4,0,0,0,0,0,0,0,216,11,0,0,194,0,0,0,195,0,0,0,252,255,255,255,252,255,255,255,216,11,0,0,196,0,0,0,197,0,0,0,4,0,0,0,0,0,0,0,240,11,0,0,12,1,0,0,13,1,0,0,252,255,255,255,252,255,255,255,240,11,0,0,14,1,0,0,15,1,0,0,0,0,0,0,40,12,0,0,16,1,0,0,17,1,0,0,16,1,0,0,0,0,0,0,56,12,0,0,18,1,0,0,19,1,0,0,17,1,0,0,69,0,0,0,28,0,0,0,29,0,0,0,70,0,0,0,0,0,0,0,72,12,0,0,6,1,0,0,20,1,0,0,159,1,0,0,25,0,0,0,4,0,0,0,4,0,0,0,18,1,0,0,13,1,0,0,26,0,0,0,14,1,0,0,15,1,0,0,185,3,0,0,30,0,0,0,187,3,0,0,0,0,0,0,88,12,0,0,4,1,0,0,21,1,0,0,160,1,0,0,16,0,0,0,3,0,0,0,3,0,0,0,19,1,0,0,250,0,0,0,17,0,0,0,11,1,0,0,252,0,0,0,183,3,0,0,31,0,0,0,188,3,0,0,0,0,0,0,104,12,0,0,6,1,0,0,22,1,0,0,161,1,0,0,25,0,0,0,4,0,0,0,4,0,0,0,12,1,0,0,13,1,0,0,26,0,0,0,20,1,0,0,21,1,0,0,189,3,0,0,27,0,0,0,186,3,0,0,0,0,0,0,120,12,0,0,4,1,0,0,23,1,0,0,162,1,0,0,16,0,0,0,3,0,0,0,3,0,0,0,249,0,0,0,250,0,0,0,17,0,0,0,22,1,0,0,23,1,0,0,190,3,0,0,18,0,0,0,184,3,0,0,0,0,0,0,136,12,0,0,24,1,0,0,25,1,0,0,26,1,0,0,1,0,0,0,5,0,0,0,32,0,0,0,0,0,0,0,168,12,0,0,27,1,0,0,28,1,0,0,26,1,0,0,2,0,0,0,6,0,0,0,33,0,0,0,0,0,0,0,184,12,0,0,29,1,0,0,30,1,0,0,26,1,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,0,0,0,0,248,12,0,0,31,1,0,0,32,1,0,0,26,1,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,0,0,0,0,48,13,0,0,33,1,0,0,34,1,0,0,26,1,0,0,3,0,0,0,4,0,0,0,23,0,0,0,5,0,0,0,24,0,0,0,1,0,0,0,2,0,0,0,6,0,0,0,0,0,0,0,112,13,0,0,35,1,0,0,36,1,0,0,26,1,0,0,7,0,0,0,8,0,0,0,25,0,0,0,9,0,0,0,26,0,0,0,3,0,0,0,4,0,0,0,10,0,0,0,0,0,0,0,168,13,0,0,37,1,0,0,38,1,0,0,26,1,0,0,24,1,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,1,0,0,0,248,255,255,255,168,13,0,0,25,1,0,0,26,1,0,0,27,1,0,0,28,1,0,0,29,1,0,0,30,1,0,0,31,1,0,0,0,0,0,0,224,13,0,0,39,1,0,0,40,1,0,0,26,1,0,0,32,1,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,2,0,0,0,248,255,255,255,224,13,0,0,33,1,0,0,34,1,0,0,35,1,0,0,36,1,0,0,37,1,0,0,38,1,0,0,39,1,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,65,0,0,0,77,0,0,0,0,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,16,14,0,0,41,1,0,0,42,1,0,0,26,1,0,0,1,0,0,0,0,0,0,0,56,14,0,0,43,1,0,0,44,1,0,0,26,1,0,0,2,0,0,0,0,0,0,0,88,14,0,0,45,1,0,0,46,1,0,0,26,1,0,0,40,1,0,0,41,1,0,0,163,1,0,0,164,1,0,0,165,1,0,0,166,1,0,0,42,1,0,0,167,1,0,0,168,1,0,0,0,0,0,0,128,14,0,0,47,1,0,0,48,1,0,0,26,1,0,0,43,1,0,0,44,1,0,0,169,1,0,0,170,1,0,0,171,1,0,0,172,1,0,0,45,1,0,0,173,1,0,0,174,1,0,0,0,0,0,0,160,14,0,0,49,1,0,0,50,1,0,0,26,1,0,0,46,1,0,0,47,1,0,0,175,1,0,0,176,1,0,0,177,1,0,0,178,1,0,0,48,1,0,0,179,1,0,0,180,1,0,0,0,0,0,0,192,14,0,0,51,1,0,0,52,1,0,0,26,1,0,0,49,1,0,0,50,1,0,0,181,1,0,0,182,1,0,0,183,1,0,0,184,1,0,0,51,1,0,0,185,1,0,0,186,1,0,0,0,0,0,0,224,14,0,0,53,1,0,0,54,1,0,0,26,1,0,0,3,0,0,0,4,0,0,0,0,0,0,0,8,15,0,0,55,1,0,0,56,1,0,0,26,1,0,0,5,0,0,0,6,0,0,0,0,0,0,0,48,15,0,0,57,1,0,0,58,1,0,0,26,1,0,0,1,0,0,0,37,0,0,0,0,0,0,0,88,15,0,0,59,1,0,0,60,1,0,0,26,1,0,0,2,0,0,0,38,0,0,0,0,0,0,0,128,15,0,0,61,1,0,0,62,1,0,0,26,1,0,0,34,0,0,0,5,0,0,0,187,1,0,0,0,0,0,0,168,15,0,0,63,1,0,0,64,1,0,0,26,1,0,0,35,0,0,0,6,0,0,0,188,1,0,0,0,0,0,0,0,16,0,0,65,1,0,0,66,1,0,0,26,1,0,0,3,0,0,0,4,0,0,0,11,0,0,0,52,1,0,0,53,1,0,0,12,0,0,0,54,1,0,0,0,0,0,0,200,15,0,0,65,1,0,0,67,1,0,0,26,1,0,0,3,0,0,0,4,0,0,0,11,0,0,0,52,1,0,0,53,1,0,0,12,0,0,0,54,1,0,0,0,0,0,0,48,16,0,0,68,1,0,0,69,1,0,0,26,1,0,0,5,0,0,0,6,0,0,0,13,0,0,0,55,1,0,0,56,1,0,0,14,0,0,0,57,1,0,0,0,0,0,0,112,16,0,0,70,1,0,0,71,1,0,0,26,1,0,0,0,0,0,0,128,16,0,0,72,1,0,0,73,1,0,0,26,1,0,0,191,3,0,0,36,0,0,0,192,3,0,0,37,0,0,0,193,3,0,0,1,0,0,0,38,0,0,0,15,0,0,0,0,0,0,0,200,16,0,0,74,1,0,0,75,1,0,0,26,1,0,0,58,1,0,0,59,1,0,0,189,1,0,0,190,1,0,0,191,1,0,0,0,0,0,0,216,16,0,0,76,1,0,0,77,1,0,0,26,1,0,0,60,1,0,0,61,1,0,0,192,1,0,0,193,1,0,0,194,1,0,0,102,0,0,0,97,0,0,0,108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,152,12,0,0,65,1,0,0,78,1,0,0,26,1,0,0,0,0,0,0,168,16,0,0,65,1,0,0,79,1,0,0,26,1,0,0,39,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,194,3,0,0,40,0,0,0,195,3,0,0,41,0,0,0,196,3,0,0,5,0,0,0,42,0,0,0,16,0,0,0,0,0,0,0,16,16,0,0,65,1,0,0,80,1,0,0,26,1,0,0,7,0,0,0,8,0,0,0,17,0,0,0,62,1,0,0,63,1,0,0,18,0,0,0,64,1,0,0,0,0,0,0,80,16,0,0,65,1,0,0,81,1,0,0,26,1,0,0,9,0,0,0,10,0,0,0,19,0,0,0,65,1,0,0,66,1,0,0,20,0,0,0,67,1,0,0,0,0,0,0,216,15,0,0,65,1,0,0,82,1,0,0,26,1,0,0,3,0,0,0,4,0,0,0,11,0,0,0,52,1,0,0,53,1,0,0,12,0,0,0,54,1,0,0,0,0,0,0,16,17,0,0,83,1,0,0,84,1,0,0,16,1,0,0,0,0,0,0,48,17,0,0,18,1,0,0,85,1,0,0,68,1,0,0,69,0,0,0,28,0,0,0,29,0,0,0,71,0,0,0,0,0,0,0,64,17,0,0,18,1,0,0,86,1,0,0,69,1,0,0,72,0,0,0,28,0,0,0,29,0,0,0,73,0,0,0,2,0,0,0,202,211,0,0,0,0,0,0,88,17,0,0,87,1,0,0,88,1,0,0,89,1,0,0,90,1,0,0,43,0,0,0,7,0,0,0,1,0,0,0,7,0,0,0,0,0,0,0,128,17,0,0,87,1,0,0,91,1,0,0,89,1,0,0,90,1,0,0,43,0,0,0,8,0,0,0,2,0,0,0,8,0,0,0,0,0,0,0,144,17,0,0,92,1,0,0,93,1,0,0,70,1,0,0,0,0,0,0,80,17,0,0,200,0,0,0,94,1,0,0,71,1,0,0,0,0,0,0,160,17,0,0,95,1,0,0,96,1,0,0,72,1,0,0,0,0,0,0,176,17,0,0,97,1,0,0,98,1,0,0,16,1,0,0,0,0,0,0,192,17,0,0,95,1,0,0,99,1,0,0,72,1,0,0,0,0,0,0,208,17,0,0,95,1,0,0,100,1,0,0,72,1,0,0,0,0,0,0,224,17,0,0,97,1,0,0,101,1,0,0,16,1,0,0,0,0,0,0,240,17,0,0,102,1,0,0,103,1,0,0,73,1,0,0,0,0,0,0,0,18,0,0,104,1,0,0,105,1,0,0,74,1,0,0,0,0,0,0,48,18,0,0,87,1,0,0,106,1,0,0,89,1,0,0,90,1,0,0,44,0,0,0,0,0,0,0,32,18,0,0,87,1,0,0,107,1,0,0,89,1,0,0,90,1,0,0,45,0,0,0,0,0,0,0,104,18,0,0,87,1,0,0,108,1,0,0,89,1,0,0,90,1,0,0,43,0,0,0,9,0,0,0,3,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,3,32,2,32,2,32,2,32,2,32,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,1,96,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,4,192,4,192,4,192,4,192,4,192,4,192,4,192,8,213,8,213,8,213,8,213,8,213,8,213,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,4,192,4,192,4,192,4,192,4,192,4,192,8,214,8,214,8,214,8,214,8,214,8,214,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,4,192,4,192,4,192,4,192,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,52,83,97,115,115,49,56,83,117,112,112,111,114,116,115,95,67,111,110,100,105,116,105,111,110,69,0,78,52,83,97,115,115,56,65,83,84,95,78,111,100,101,69,0,78,52,83,97,115,115,49,48,69,120,112,114,101,115,115,105,111,110,69,0,78,52,83,97,115,115,49,55,83,117,112,112,111,114,116,115,95,79,112,101,114,97,116,111,114,69,0,78,52,83,97,115,115,49,55,83,117,112,112,111,114,116,115,95,78,101,103,97,116,105,111,110,69,0,78,52,83,97,115,115,56,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,51,83,101,108,101,99,116,111,114,95,76,105,115,116,69,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,54,67,111,109,112,108,101,120,95,83,101,108,101,99,116,111,114,69,69,69,69,69,0,78,52,83,97,115,115,49,53,83,105,109,112,108,101,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,54,67,111,109,112,108,101,120,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,55,67,111,109,112,111,117,110,100,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,53,83,105,109,112,108,101,95,83,101,108,101,99,116,111,114,69,69,69,69,69,0,78,52,83,97,115,115,52,76,105,115,116,69,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,48,69,120,112,114,101,115,115,105,111,110,69,69,69,69,69,0,78,52,83,97,115,115,53,86,97,108,117,101,69,0,78,52,83,97,115,115,49,53,80,115,101,117,100,111,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,54,87,114,97,112,112,101,100,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,54,69,108,101,109,101,110,116,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,52,67,108,97,115,115,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,49,73,100,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,56,65,116,116,114,105,98,117,116,101,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,50,48,80,108,97,99,101,104,111,108,100,101,114,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,53,80,97,114,101,110,116,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,51,83,116,114,105,110,103,95,83,99,104,101,109,97,69,0,78,52,83,97,115,115,54,83,116,114,105,110,103,69,0,99,97,110,110,111,116,32,99,111,109,112,97,114,101,32,110,117,109,98,101,114,115,32,119,105,116,104,32,105,110,99,111,109,112,97,116,105,98,108,101,32,117,110,105,116,115,0,78,52,83,97,115,115,49,55,105,110,99,111,109,112,97,116,105,98,108,101,85,110,105,116,115,69,0,78,52,83,97,115,115,55,69,109,105,116,116,101,114,69,0,78,52,83,97,115,115,54,78,117,109,98,101,114,69,0,78,52,83,97,115,115,49,52,67,117,115,116,111,109,95,87,97,114,110,105,110,103,69,0,78,52,83,97,115,115,49,50,67,117,115,116,111,109,95,69,114,114,111,114,69,0,78,52,83,97,115,115,49,51,83,116,114,105,110,103,95,81,117,111,116,101,100,69,0,78,52,83,97,115,115,49,53,83,116,114,105,110,103,95,67,111,110,115,116,97,110,116,69,0,78,52,83,97,115,115,55,66,111,111,108,101,97,110,69,0,78,52,83,97,115,115,53,67,111,108,111,114,69,0,78,52,83,97,115,115,51,77,97,112,69,0,78,52,83,97,115,115,54,72,97,115,104,101,100,69,0,78,52,83,97,115,115,56,65,114,103,117,109,101,110,116,69,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,57,83,116,97,116,101,109,101,110,116,69,69,69,69,69,0,78,52,83,97,115,115,57,83,116,97,116,101,109,101,110,116,69,0,78,52,83,97,115,115,53,66,108,111,99,107,69,0,78,52,83,97,115,115,57,72,97,115,95,66,108,111,99,107,69,0,78,52,83,97,115,115,55,82,117,108,101,115,101,116,69,0,78,52,83,97,115,115,54,66,117,98,98,108,101,69,0,78,52,83,97,115,115,53,84,114,97,99,101,69,0,78,52,83,97,115,115,49,49,77,101,100,105,97,95,66,108,111,99,107,69,0,64,45,119,101,98,107,105,116,45,109,101,100,105,97,0,64,45,109,111,122,45,109,101,100,105,97,0,64,45,111,45,109,101,100,105,97,0,78,52,83,97,115,115,57,68,105,114,101,99,116,105,118,101,69,0,78,52,83,97,115,115,49,51,75,101,121,102,114,97,109,101,95,82,117,108,101,69,0,78,52,83,97,115,115,49,49,68,101,99,108,97,114,97,116,105,111,110,69,0,78,52,83,97,115,115,49,48,65,115,115,105,103,110,109,101,110,116,69,0,78,52,83,97,115,115,54,73,109,112,111,114,116,69,0,78,52,83,97,115,115,49,49,73,109,112,111,114,116,95,83,116,117,98,69,0,78,52,83,97,115,115,55,87,97,114,110,105,110,103,69,0,78,52,83,97,115,115,53,69,114,114,111,114,69,0,78,52,83,97,115,115,53,68,101,98,117,103,69,0,78,52,83,97,115,115,55,67,111,109,109,101,110,116,69,0,78,52,83,97,115,115,50,73,102,69,0,78,52,83,97,115,115,51,70,111,114,69,0,78,52,83,97,115,115,52,69,97,99,104,69,0,78,52,83,97,115,115,53,87,104,105,108,101,69,0,78,52,83,97,115,115,54,82,101,116,117,114,110,69,0,78,52,83,97,115,115,57,69,120,116,101,110,115,105,111,110,69,0,78,52,83,97,115,115,49,48,68,101,102,105,110,105,116,105,111,110,69,0,78,52,83,97,115,115,49,48,77,105,120,105,110,95,67,97,108,108,69,0,78,52,83,97,115,115,55,67,111,110,116,101,110,116,69,0,97,114,103,108,105,115,116,0,117,110,111,114,100,101,114,101,100,95,109,97,112,58,58,97,116,58,32,107,101,121,32,110,111,116,32,102,111,117,110,100,0,78,52,83,97,115,115,49,55,66,105,110,97,114,121,95,69,120,112,114,101,115,115,105,111,110,69,0,78,52,83,97,115,115,56,80,114,101,86,97,108,117,101,69,0,78,52,83,97,115,115,49,54,85,110,97,114,121,95,69,120,112,114,101,115,115,105,111,110,69,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,56,65,114,103,117,109,101,110,116,69,69,69,69,69,0,110,97,109,101,100,32,97,114,103,117,109,101,110,116,115,32,109,117,115,116,32,112,114,101,99,101,100,101,32,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,97,114,103,117,109,101,110,116,0,102,117,110,99,116,105,111,110,115,32,97,110,100,32,109,105,120,105,110,115,32,109,97,121,32,111,110,108,121,32,98,101,32,99,97,108,108,101,100,32,119,105,116,104,32,111,110,101,32,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,97,114,103,117,109,101,110,116,0,111,110,108,121,32,107,101,121,119,111,114,100,32,97,114,103,117,109,101,110,116,115,32,109,97,121,32,102,111,108,108,111,119,32,118,97,114,105,97,98,108,101,32,97,114,103,117,109,101,110,116,115,0,102,117,110,99,116,105,111,110,115,32,97,110,100,32,109,105,120,105,110,115,32,109,97,121,32,111,110,108,121,32,98,101,32,99,97,108,108,101,100,32,119,105,116,104,32,111,110,101,32,107,101,121,119,111,114,100,32,97,114,103,117,109,101,110,116,0,111,114,100,105,110,97,108,32,97,114,103,117,109,101,110,116,115,32,109,117,115,116,32,112,114,101,99,101,100,101,32,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,97,114,103,117,109,101,110,116,115,0,111,114,100,105,110,97,108,32,97,114,103,117,109,101,110,116,115,32,109,117,115,116,32,112,114,101,99,101,100,101,32,110,97,109,101,100,32,97,114,103,117,109,101,110,116,115,0,78,52,83,97,115,115,57,65,114,103,117,109,101,110,116,115,69,0,78,52,83,97,115,115,49,51,70,117,110,99,116,105,111,110,95,67,97,108,108,69,0,78,52,83,97,115,115,50,48,70,117,110,99,116,105,111,110,95,67,97,108,108,95,83,99,104,101,109,97,69,0,78,52,83,97,115,115,56,86,97,114,105,97,98,108,101,69,0,78,52,83,97,115,115,55,84,101,120,116,117,97,108,69,0,98,111,111,108,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,50,50,77,101,100,105,97,95,81,117,101,114,121,95,69,120,112,114,101,115,115,105,111,110,69,69,69,69,69,0,78,52,83,97,115,115,49,49,77,101,100,105,97,95,81,117,101,114,121,69,0,78,52,83,97,115,115,50,50,77,101,100,105,97,95,81,117,101,114,121,95,69,120,112,114,101,115,115,105,111,110,69,0,78,52,83,97,115,115,49,52,83,117,112,112,111,114,116,115,95,66,108,111,99,107,69,0,78,52,83,97,115,115,50,48,83,117,112,112,111,114,116,115,95,68,101,99,108,97,114,97,116,105,111,110,69,0,78,52,83,97,115,115,50,50,83,117,112,112,111,114,116,115,95,73,110,116,101,114,112,111,108,97,116,105,111,110,69,0,78,52,83,97,115,115,49,51,65,116,95,82,111,111,116,95,81,117,101,114,121,69,0,78,52,83,97,115,115,49,51,65,116,95,82,111,111,116,95,66,108,111,99,107,69,0,78,52,83,97,115,115,52,78,117,108,108,69,0,78,52,83,97,115,115,57,80,97,114,97,109,101,116,101,114,69,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,57,80,97,114,97,109,101,116,101,114,69,69,69,69,69,0,111,112,116,105,111,110,97,108,32,112,97,114,97,109,101,116,101,114,115,32,109,97,121,32,110,111,116,32,98,101,32,99,111,109,98,105,110,101,100,32,119,105,116,104,32,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,112,97,114,97,109,101,116,101,114,115,0,102,117,110,99,116,105,111,110,115,32,97,110,100,32,109,105,120,105,110,115,32,99,97,110,110,111,116,32,104,97,118,101,32,109,111,114,101,32,116,104,97,110,32,111,110,101,32,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,112,97,114,97,109,101,116,101,114,0,114,101,113,117,105,114,101,100,32,112,97,114,97,109,101,116,101,114,115,32,109,117,115,116,32,112,114,101,99,101,100,101,32,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,112,97,114,97,109,101,116,101,114,115,0,114,101,113,117,105,114,101,100,32,112,97,114,97,109,101,116,101,114,115,32,109,117,115,116,32,112,114,101,99,101,100,101,32,111,112,116,105,111,110,97,108,32,112,97,114,97,109,101,116,101],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+20480);allocate([114,115,0,78,52,83,97,115,115,49,48,80,97,114,97,109,101,116,101,114,115,69,0,105,110,118,97,108,105,100,32,115,101,108,101,99,116,111,114,32,98,97,115,101,32,99,108,97,115,115,101,115,32,116,111,32,99,111,109,112,97,114,101,0,78,52,83,97,115,115,49,53,83,101,108,101,99,116,111,114,95,83,99,104,101,109,97,69,0,124,0,115,101,108,101,99,116,111,114,0,58,98,101,102,111,114,101,0,58,97,102,116,101,114,0,58,102,105,114,115,116,45,108,105,110,101,0,58,102,105,114,115,116,45,108,101,116,116,101,114,0,105,115,95,115,117,112,101,114,115,101,108,101,99,116,111,114,32,101,120,112,101,99,116,101,100,32,97,32,83,101,108,101,99,116,111,114,95,76,105,115,116,0,119,114,97,112,112,101,100,32,110,111,116,32,115,101,108,101,99,116,111,114,32,105,115,32,110,111,116,32,97,32,108,105,115,116,0,58,45,109,111,122,45,97,110,121,0,119,105,116,104,0,97,108,108,0,108,95,108,97,115,116,32,38,38,32,34,108,104,115,32,105,115,32,110,117,108,108,34,0,115,114,99,47,97,115,116,46,99,112,112,0,117,110,105,102,121,95,119,105,116,104,0,114,95,108,97,115,116,32,38,38,32,34,114,104,115,32,105,115,32,110,117,108,108,34,0,108,95,108,97,115,116,95,104,101,97,100,32,38,38,32,34,108,104,115,32,104,101,97,100,32,105,115,32,110,117,108,108,34,0,114,95,108,97,115,116,95,104,101,97,100,32,38,38,32,34,114,104,115,32,104,101,97,100,32,105,115,32,110,117,108,108,34,0,73,110,118,97,108,105,100,32,112,97,114,101,110,116,32,115,101,108,101,99,116,111,114,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,52,66,97,115,101,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,51,73,110,118,97,108,105,100,80,97,114,101,110,116,69,0,110,101,115,116,101,100,32,115,101,108,101,99,116,111,114,115,32,109,97,121,32,110,111,116,32,98,101,32,101,120,116,101,110,100,101,100,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,52,79,112,101,114,97,116,105,111,110,69,114,114,111,114,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,55,73,110,99,111,109,112,97,116,105,98,108,101,85,110,105,116,115,69,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,83,95,53,100,101,113,117,101,73,78,52,83,97,115,115,52,78,111,100,101,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,78,83,52,95,73,83,54,95,69,69,69,69,0,67,111,109,112,97,114,105,110,103,32,117,110,107,110,111,119,110,32,110,111,100,101,32,116,121,112,101,115,46,32,65,32,110,101,119,32,116,121,112,101,32,119,97,115,32,112,114,111,98,97,98,108,121,32,97,100,100,101,100,32,97,110,100,32,116,104,105,115,32,109,101,116,104,111,100,32,119,97,115,110,39,116,32,105,109,112,108,101,109,101,110,116,101,100,32,102,111,114,32,105,116,46,0,66,111,116,104,32,116,104,101,32,99,117,114,114,101,110,116,32,110,111,100,101,32,97,110,100,32,114,104,115,32,109,117,115,116,32,98,101,32,99,111,108,108,101,99,116,105,111,110,115,46,0,84,104,101,32,110,111,100,101,32,116,111,32,99,111,110,118,101,114,116,32,116,111,32,97,32,67,111,109,112,108,101,120,95,83,101,108,101,99,116,111,114,95,80,116,114,32,109,117,115,116,32,98,101,32,97,32,99,111,108,108,101,99,116,105,111,110,32,116,121,112,101,32,111,114,32,110,105,108,46,0,91,78,79,68,69,93,0,84,104,101,32,110,111,100,101,32,116,111,32,99,111,110,118,101,114,116,39,115,32,99,104,105,108,100,114,101,110,32,109,117,115,116,32,98,101,32,111,110,108,121,32,99,111,109,98,105,110,97,116,111,114,115,32,111,114,32,115,101,108,101,99,116,111,114,115,46,0,47,42,35,32,115,111,117,114,99,101,77,97,112,112,105,110,103,85,82,76,61,0,100,97,116,97,58,97,112,112,108,105,99,97,116,105,111,110,47,106,115,111,110,59,98,97,115,101,54,52,44,0,78,83,116,51,95,95,50,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,57,98,97,115,105,99,95,105,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,114,103,98,97,0,78,83,116,51,95,95,50,49,56,98,97,115,105,99,95,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,52,83,97,115,115,55,67,111,110,116,101,120,116,69,0,70,105,108,101,32,116,111,32,114,101,97,100,32,110,111,116,32,102,111,117,110,100,32,111,114,32,117,110,114,101,97,100,97,98,108,101,58,32,0,65,110,32,64,105,109,112,111,114,116,32,108,111,111,112,32,104,97,115,32,98,101,101,110,32,102,111,117,110,100,58,0,10,32,32,32,32,0,32,105,109,112,111,114,116,115,32,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,51,73,110,118,97,108,105,100,83,121,110,116,97,120,69,0,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,83,116,51,95,95,50,50,49,95,95,98,97,115,105,99,95,115,116,114,105,110,103,95,99,111,109,109,111,110,73,76,98,49,69,69,69,0,78,52,83,97,115,115,49,50,70,105,108,101,95,67,111,110,116,101,120,116,69,0,78,52,83,97,115,115,49,50,68,97,116,97,95,67,111,110,116,101,120,116,69,0,115,116,100,111,117,116,0,73,116,39,115,32,110,111,116,32,99,108,101,97,114,32,119,104,105,99,104,32,102,105,108,101,32,116,111,32,105,109,112,111,114,116,32,102,111,114,32,0,39,64,105,109,112,111,114,116,32,34,0,34,39,46,0,67,97,110,100,105,100,97,116,101,115,58,0,80,108,101,97,115,101,32,100,101,108,101,116,101,32,111,114,32,114,101,110,97,109,101,32,97,108,108,32,98,117,116,32,111,110,101,32,111,102,32,116,104,101,115,101,32,102,105,108,101,115,46,0,70,105,108,101,32,116,111,32,105,109,112,111,114,116,32,110,111,116,32,102,111,117,110,100,32,111,114,32,117,110,114,101,97,100,97,98,108,101,58,32,0,46,10,80,97,114,101,110,116,32,115,116,121,108,101,32,115,104,101,101,116,58,32,0,64,97,116,45,114,111,111,116,0,105,102,0,116,111,0,116,104,114,111,117,103,104,0,100,101,102,97,117,108,116,0,103,108,111,98,97,108,0,111,112,116,105,111,110,97,108,0,119,105,116,104,111,117,116,0,105,109,112,111,114,116,97,110,116,0,58,110,111,116,40,0,112,114,111,103,105,100,0,99,97,108,99,0,34,39,35,33,59,123,125,0,126,61,0,124,61,0,94,61,0,36,61,0,42,61,0,45,43,0,45,43,0,35,37,38,0,42,47,37,0,41,123,125,59,33,0,44,41,123,125,59,33,0,43,126,62,0,42,38,37,44,40,41,91,93,0,239,187,191,254,255,255,254,0,0,254,255,255,254,0,0,43,47,118,56,43,47,118,57,43,47,118,43,43,47,118,47,43,47,118,56,45,247,100,76,221,115,102,115,14,254,255,251,238,40,132,49,149,51,114,103,98,40,36,114,101,100,44,32,36,103,114,101,101,110,44,32,36,98,108,117,101,41,0,114,103,98,97,40,36,114,101,100,44,32,36,103,114,101,101,110,44,32,36,98,108,117,101,44,32,36,97,108,112,104,97,41,0,114,103,98,97,40,36,99,111,108,111,114,44,32,36,97,108,112,104,97,41,0,114,101,100,40,36,99,111,108,111,114,41,0,103,114,101,101,110,40,36,99,111,108,111,114,41,0,98,108,117,101,40,36,99,111,108,111,114,41,0,109,105,120,40,36,99,111,108,111,114,45,49,44,32,36,99,111,108,111,114,45,50,44,32,36,119,101,105,103,104,116,58,32,53,48,37,41,0,104,115,108,40,36,104,117,101,44,32,36,115,97,116,117,114,97,116,105,111,110,44,32,36,108,105,103,104,116,110,101,115,115,41,0,104,115,108,97,40,36,104,117,101,44,32,36,115,97,116,117,114,97,116,105,111,110,44,32,36,108,105,103,104,116,110,101,115,115,44,32,36,97,108,112,104,97,41,0,104,117,101,40,36,99,111,108,111,114,41,0,115,97,116,117,114,97,116,105,111,110,40,36,99,111,108,111,114,41,0,108,105,103,104,116,110,101,115,115,40,36,99,111,108,111,114,41,0,97,100,106,117,115,116,45,104,117,101,40,36,99,111,108,111,114,44,32,36,100,101,103,114,101,101,115,41,0,108,105,103,104,116,101,110,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,100,97,114,107,101,110,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,115,97,116,117,114,97,116,101,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,58,32,102,97,108,115,101,41,0,100,101,115,97,116,117,114,97,116,101,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,103,114,97,121,115,99,97,108,101,40,36,99,111,108,111,114,41,0,99,111,109,112,108,101,109,101,110,116,40,36,99,111,108,111,114,41,0,105,110,118,101,114,116,40,36,99,111,108,111,114,41,0,97,108,112,104,97,40,36,99,111,108,111,114,41,0,111,112,97,99,105,116,121,40,36,99,111,108,111,114,41,0,111,112,97,99,105,102,121,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,102,97,100,101,45,105,110,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,116,114,97,110,115,112,97,114,101,110,116,105,122,101,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,102,97,100,101,45,111,117,116,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,97,100,106,117,115,116,45,99,111,108,111,114,40,36,99,111,108,111,114,44,32,36,114,101,100,58,32,102,97,108,115,101,44,32,36,103,114,101,101,110,58,32,102,97,108,115,101,44,32,36,98,108,117,101,58,32,102,97,108,115,101,44,32,36,104,117,101,58,32,102,97,108,115,101,44,32,36,115,97,116,117,114,97,116,105,111,110,58,32,102,97,108,115,101,44,32,36,108,105,103,104,116,110,101,115,115,58,32,102,97,108,115,101,44,32,36,97,108,112,104,97,58,32,102,97,108,115,101,41,0,115,99,97,108,101,45,99,111,108,111,114,40,36,99,111,108,111,114,44,32,36,114,101,100,58,32,102,97,108,115,101,44,32,36,103,114,101,101,110,58,32,102,97,108,115,101,44,32,36,98,108,117,101,58,32,102,97,108,115,101,44,32,36,104,117,101,58,32,102,97,108,115,101,44,32,36,115,97,116,117,114,97,116,105,111,110,58,32,102,97,108,115,101,44,32,36,108,105,103,104,116,110,101,115,115,58,32,102,97,108,115,101,44,32,36,97,108,112,104,97,58,32,102,97,108,115,101,41,0,99,104,97,110,103,101,45,99,111,108,111,114,40,36,99,111,108,111,114,44,32,36,114,101,100,58,32,102,97,108,115,101,44,32,36,103,114,101,101,110,58,32,102,97,108,115,101,44,32,36,98,108,117,101,58,32,102,97,108,115,101,44,32,36,104,117,101,58,32,102,97,108,115,101,44,32,36,115,97,116,117,114,97,116,105,111,110,58,32,102,97,108,115,101,44,32,36,108,105,103,104,116,110,101,115,115,58,32,102,97,108,115,101,44,32,36,97,108,112,104,97,58,32,102,97,108,115,101,41,0,105,101,45,104,101,120,45,115,116,114,40,36,99,111,108,111,114,41,0,117,110,113,117,111,116,101,40,36,115,116,114,105,110,103,41,0,113,117,111,116,101,40,36,115,116,114,105,110,103,41,0,115,116,114,45,108,101,110,103,116,104,40,36,115,116,114,105,110,103,41,0,115,116,114,45,105,110,115,101,114,116,40,36,115,116,114,105,110,103,44,32,36,105,110,115,101,114,116,44,32,36,105,110,100,101,120,41,0,115,116,114,45,105,110,100,101,120,40,36,115,116,114,105,110,103,44,32,36,115,117,98,115,116,114,105,110,103,41,0,115,116,114,45,115,108,105,99,101,40,36,115,116,114,105,110,103,44,32,36,115,116,97,114,116,45,97,116,44,32,36,101,110,100,45,97,116,58,45,49,41,0,116,111,45,117,112,112,101,114,45,99,97,115,101,40,36,115,116,114,105,110,103,41,0,116,111,45,108,111,119,101,114,45,99,97,115,101,40,36,115,116,114,105,110,103,41,0,112,101,114,99,101,110,116,97,103,101,40,36,110,117,109,98,101,114,41,0,114,111,117,110,100,40,36,110,117,109,98,101,114,41,0,99,101,105,108,40,36,110,117,109,98,101,114,41,0,102,108,111,111,114,40,36,110,117,109,98,101,114,41,0,97,98,115,40,36,110,117,109,98,101,114,41,0,109,105,110,40,36,110,117,109,98,101,114,115,46,46,46,41,0,109,97,120,40,36,110,117,109,98,101,114,115,46,46,46,41,0,114,97,110,100,111,109,40,36,108,105,109,105,116,58,102,97,108,115,101,41,0,108,101,110,103,116,104,40,36,108,105,115,116,41,0,110,116,104,40,36,108,105,115,116,44,32,36,110,41,0,115,101,116,45,110,116,104,40,36,108,105,115,116,44,32,36,110,44,32,36,118,97,108,117,101,41,0,105,110,100,101,120,40,36,108,105,115,116,44,32,36,118,97,108,117,101,41,0,106,111,105,110,40,36,108,105,115,116,49,44,32,36,108,105,115,116,50,44,32,36,115,101,112,97,114,97,116,111,114,58,32,97,117,116,111,41,0,97,112,112,101,110,100,40,36,108,105,115,116,44,32,36,118,97,108,44,32,36,115,101,112,97,114,97,116,111,114,58,32,97,117,116,111,41,0,122,105,112,40,36,108,105,115,116,115,46,46,46,41,0,108,105,115,116,95,115,101,112,97,114,97,116,111,114,40,36,108,105,115,116,41,0,109,97,112,45,103,101,116,40,36,109,97,112,44,32,36,107,101,121,41,0,109,97,112,45,104,97,115,45,107,101,121,40,36,109,97,112,44,32,36,107,101,121,41,0,109,97,112,45,107,101,121,115,40,36,109,97,112,41,0,109,97,112,45,118,97,108,117,101,115,40,36,109,97,112,41,0,109,97,112,45,109,101,114,103,101,40,36,109,97,112,49,44,32,36,109,97,112,50,41,0,109,97,112,45,114,101,109,111,118,101,40,36,109,97,112,44,32,36,107,101,121,115,46,46,46,41,0,107,101,121,119,111,114,100,115,40,36,97,114,103,115,41,0,116,121,112,101,45,111,102,40,36,118,97,108,117,101,41,0,117,110,105,116,40,36,110,117,109,98,101,114,41,0,117,110,105,116,108,101,115,115,40,36,110,117,109,98,101,114,41,0,99,111,109,112,97,114,97,98,108,101,40,36,110,117,109,98,101,114,45,49,44,32,36,110,117,109,98,101,114,45,50,41,0,118,97,114,105,97,98,108,101,45,101,120,105,115,116,115,40,36,110,97,109,101,41,0,103,108,111,98,97,108,45,118,97,114,105,97,98,108,101,45,101,120,105,115,116,115,40,36,110,97,109,101,41,0,102,117,110,99,116,105,111,110,45,101,120,105,115,116,115,40,36,110,97,109,101,41,0,109,105,120,105,110,45,101,120,105,115,116,115,40,36,110,97,109,101,41,0,102,101,97,116,117,114,101,45,101,120,105,115,116,115,40,36,110,97,109,101,41,0,99,97,108,108,40,36,110,97,109,101,44,32,36,97,114,103,115,46,46,46,41,0,110,111,116,40,36,118,97,108,117,101,41,0,105,102,40,36,99,111,110,100,105,116,105,111,110,44,32,36,105,102,45,116,114,117,101,44,32,36,105,102,45,102,97,108,115,101,41,0,105,110,115,112,101,99,116,40,36,118,97,108,117,101,41,0,115,101,108,101,99,116,111,114,45,110,101,115,116,40,36,115,101,108,101,99,116,111,114,115,46,46,46,41,0,115,101,108,101,99,116,111,114,45,97,112,112,101,110,100,40,36,115,101,108,101,99,116,111,114,115,46,46,46,41,0,115,101,108,101,99,116,111,114,45,117,110,105,102,121,40,36,115,101,108,101,99,116,111,114,49,44,32,36,115,101,108,101,99,116,111,114,50,41,0,115,105,109,112,108,101,45,115,101,108,101,99,116,111,114,115,40,36,115,101,108,101,99,116,111,114,41,0,115,101,108,101,99,116,111,114,45,101,120,116,101,110,100,40,36,115,101,108,101,99,116,111,114,44,32,36,101,120,116,101,110,100,101,101,44,32,36,101,120,116,101,110,100,101,114,41,0,115,101,108,101,99,116,111,114,45,114,101,112,108,97,99,101,40,36,115,101,108,101,99,116,111,114,44,32,36,111,114,105,103,105,110,97,108,44,32,36,114,101,112,108,97,99,101,109,101,110,116,41,0,115,101,108,101,99,116,111,114,45,112,97,114,115,101,40,36,115,101,108,101,99,116,111,114,41,0,105,115,45,115,117,112,101,114,115,101,108,101,99,116,111,114,40,36,115,117,112,101,114,44,32,36,115,117,98,41,0,117,110,105,113,117,101,45,105,100,40,41,0,103,108,111,98,97,108,45,118,97,114,105,97,98,108,101,45,115,104,97,100,111,119,105,110,103,0,101,120,116,101,110,100,45,115,101,108,101,99,116,111,114,45,112,115,101,117,100,111,99,108,97,115,115,0,97,116,45,101,114,114,111,114,0,117,110,105,116,115,45,108,101,118,101,108,45,51,0,47,100,101,118,47,117,114,97,110,100,111,109,0,91,98,117,105,108,116,45,105,110,32,102,117,110,99,116,105,111,110,93,0,91,99,32,102,117,110,99,116,105,111,110,93,0,97,114,103,117,109,101,110,116,32,96,0,96,32,111,102,32,96,0,96,32,109,117,115,116,32,98,101,32,97,32,0,109,97,112,0,96,32,109,117,115,116,32,98,101,32,98,101,116,119,101,101,110,32,0,110,117,109,98,101,114,0,58,32,110,117,108,108,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,115,101,108,101,99,116,111,114,58,32,105,116,32,109,117,115,116,32,98,101,32,97,32,115,116,114,105,110,103,44,10,0,97,32,108,105,115,116,32,111,102,32,115,116,114,105,110,103,115,44,32,111,114,32,97,32,108,105,115,116,32,111,102,32,108,105,115,116,115,32,111,102,32,115,116,114,105,110,103,115,32,102,111,114,32,96,0,91,83,69,76,69,67,84,79,82,93,0,58,32,110,117,108,108,32,105,115,32,110,111,116,32,97,32,115,116,114,105,110,103,32,102,111,114,32,96,0,36,114,101,100,0,36,103,114,101,101,110,0,36,98,108,117,101,0,36,97,108,112,104,97,0,36,99,111,108,111,114,0,99,111,108,111,114,0,36,99,111,108,111,114,45,49,0,36,99,111,108,111,114,45,50,0,36,119,101,105,103,104,116,0,36,104,117,101,0,36,115,97,116,117,114,97,116,105,111,110,0,36,108,105,103,104,116,110,101,115,115,0,36,100,101,103,114,101,101,115,0,36,97,109,111,117,110,116,0,115,97,116,117,114,97,116,101,40,0,103,114,97,121,115,99,97,108,101,40,0,105,110,118,101,114,116,40,0,97,108,112,104,97,40,0,111,112,97,99,105,116,121,40,0,99,97,110,110,111,116,32,115,112,101,99,105,102,121,32,98,111,116,104,32,82,71,66,32,97,110,100,32,72,83,76,32,118,97,108,117,101,115,32,102,111,114,32,96,97,100,106,117,115,116,45,99,111,108,111,114,96,0,110,111,116,32,101,110,111,117,103,104,32,97,114,103,117,109,101,110,116,115,32,102,111,114,32,96,97,100,106,117,115,116,45,99,111,108,111,114,96,0,99,97,110,110,111,116,32,115,112,101,99,105,102,121,32,98,111,116,104,32,82,71,66,32,97,110,100,32,72,83,76,32,118,97,108,117,101,115,32,102,111,114,32,96,115,99,97,108,101,45,99,111,108,111,114,96,0,110,111,116,32,101,110,111,117,103,104,32,97,114,103,117,109,101,110,116,115,32,102,111,114,32,96,115,99,97,108,101,45,99,111,108,111,114,96,0,99,97,110,110,111,116,32,115,112,101,99,105,102,121,32,98,111,116,104,32,82,71,66,32,97,110,100,32,72,83,76,32,118,97,108,117,101,115,32,102,111,114,32,96,99,104,97,110,103,101,45,99,111,108,111,114,96,0,110,111,116,32,101,110,111,117,103,104,32,97,114,103,117,109,101,110,116,115,32,102,111,114,32,96,99,104,97,110,103,101,45,99,111,108,111,114,96,0,36,115,116,114,105,110,103,0,80,97,115,115,105,110,103,32,0,44,32,97,32,110,111,110,45,115,116,114,105,110,103,32,118,97,108,117,101,44,32,116,111,32,117,110,113,117,111,116,101,40,41,0,117,116,102,56,58,58,105,110,118,97,108,105,100,95,99,111,100,101,95,112,111,105,110,116,0,117,116,102,56,58,58,110,111,116,95,101,110,111,117,103,104,95,114,111,111,109,0,117,116,102,56,58,58,105,110,118,97,108,105,100,95,117,116,102,56,0,73,110,118,97,108,105,100,32,85,84,70,45,56,0,78,111,116,32,101,110,111,117,103,104,32,115,112,97,99,101,0,73,110,118,97,108,105,100,32,99,111,100,101,32,112,111,105,110,116,0,78,52,117,116,102,56,49,50,105,110,118,97,108,105,100,95,117,116,102,56,69,0,78,52,117,116,102,56,57,101,120,99,101,112,116,105,111,110,69,0,78,52,117,116,102,56,49,53,110,111,116,95,101,110,111,117,103,104,95,114,111,111,109,69,0,78,52,117,116,102,56,49,56,105,110,118,97,108,105,100,95,99,111,100,101,95,112,111,105,110,116,69,0,115,116,114,105,110,103,0,36,105,110,115,101,114,116,0,36,105,110,100,101,120,0,36,115,117,98,115,116,114,105,110,103,0,36,115,116,97,114,116,45,97,116,0,36,101,110,100,45,97,116,0,36,110,117,109,98,101,114,0,97,114,103,117,109,101,110,116,32,36,110,117,109,98,101,114,32,111,102,32,96,0,96,32,109,117,115,116,32,98,101,32,117,110,105,116,108,101,115,115,0,36,110,117,109,98,101,114,115,0,34,32,105,115,32,110,111,116,32,97,32,110,117,109,98,101,114,32,102,111,114,32,96,109,105,110,39,0,108,105,115,116,0,34,32,105,115,32,110,111,116,32,97,32,110,117,109,98,101,114,32,102,111,114,32,96,109,97,120,39,0,36,108,105,109,105,116,0,36,108,105,109,105,116,32,0,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,111,114,32,101,113,117,97,108,32,116,111,32,49,32,102,111,114,32,96,114,97,110,100,111,109,96,0,69,120,112,101,99,116,101,100,32,36,108,105,109,105,116,32,116,111,32,98,101,32,97,110,32,105,110,116,101,103,101,114,32,98,117,116,32,103,111,116,32,96,0,96,32,102,111,114,32,96,114,97,110,100,111,109,96,0,114,97,110,100,111,109,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,57,73,110,118,97,108,105,100,65,114,103,117,109,101,110,116,84,121,112,101,69,0,36,108,105,115,116,0,36,110,0,97,114,103,117,109,101,110,116,32,96,36,108,105,115,116,96,32,111,102,32,96,0,96,32,109,117,115,116,32,110,111,116,32,98,101,32,101,109,112,116,121,0,105,110,100,101,120,32,111,117,116,32,111,102,32,98,111,117,110,100,115,32,102,111,114,32,96,0,97,114,103,117,109,101,110,116,32,96,36,110,96,32,111,102,32,96,0,96,32,109,117,115,116,32,98,101,32,110,111,110,45,122,101,114,111,0,36,118,97,108,117,101,0,36,108,105,115,116,49,0,36,108,105,115,116,50,0,36,115,101,112,97,114,97,116,111,114,0,115,112,97,99,101,0,99,111,109,109,97,0,97,117,116,111,0,97,114,103,117,109,101,110,116,32,96,36,115,101,112,97,114,97,116,111,114,96,32,111,102,32,96,0,96,32,109,117,115,116,32,98,101,32,96,115,112,97,99,101,96,44,32,96,99,111,109,109,97,96,44,32,111,114,32,96,97,117,116,111,96,0,36,118,97,108,0,36,108,105,115,116,115,0,36,109,97,112,0,36,107,101,121,0,36,109,97,112,49,0,36,109,97,112,50,0,36,107,101,121,115,0,36,97,114,103,115,0,36,110,117,109,98,101,114,45,49,0,36,110,117,109,98,101,114,45,50,0,36,110,97,109,101,0,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,97,114,103,117,109,101,110,116,32,109,97,121,32,110,111,116,32,98,101,32,112,97,115,115,101,100,32,98,121,32,110,97,109,101,0,36,99,111,110,100,105,116,105,111,110,0,36,105,102,45,102,97,108,115,101,0,36,105,102,45,116,114,117,101,0,36,115,101,108,101,99,116,111,114,115,0,36,115,101,108,101,99,116,111,114,115,58,32,65,116,32,108,101,97,115,116,32,111,110,101,32,115,101,108,101,99,116,111,114,32,109,117,115,116,32,98,101,32,112,97,115,115,101,100,0,36,115,101,108,101,99,116,111,114,115,58,32,110,117,108,108,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,115,101,108,101,99,116,111,114,58,32,105,116,32,109,117,115,116,32,98,101,32,97,32,115,116,114,105,110,103,44,10,0,97,32,108,105,115,116,32,111,102,32,115,116,114,105,110,103,115,44,32,111,114,32,97,32,108,105,115,116,32,111,102,32,108,105,115,116,115,32,111,102,32,115,116,114,105,110,103,115,32,102,111,114,32,39,115,101,108,101,99,116,111,114,45,110,101,115,116,39,0,97,32,108,105,115,116,32,111,102,32,115,116,114,105,110,103,115,44,32,111,114,32,97,32,108,105,115,116,32,111,102,32,108,105,115,116,115,32,111,102,32,115,116,114,105,110,103,115,32,102,111,114,32,39,115,101,108,101,99,116,111,114,45,97,112,112,101,110,100,39,0,67,97,110,39,116,32,97,112,112,101,110,100,32,32,96,0,96,32,116,111,32,96,0,36,115,101,108,101,99,116,111,114,49,0,36,115,101,108,101,99,116,111,114,50,0,36,115,101,108,101,99,116,111,114,0,36,101,120,116,101,110,100,101,101,0,36,101,120,116,101,110,100,101,114,0,36,111,114,105,103,105,110,97,108,0,36,114,101,112,108,97,99,101,109,101,110,116,0,36,115,117,112,101,114,0,36,115,117,98,0,117,0,97,108,105,99,101,98,108,117,101,0,97,110,116,105,113,117,101,119,104,105,116,101,0,99,121,97,110,0,97,113,117,97,0,97,113,117,97,109,97,114,105,110,101,0,97,122,117,114,101,0,98,101,105,103,101,0,98,105,115,113,117,101,0,98,108,97,99,107,0,98,108,97,110,99,104,101,100,97,108,109,111,110,100,0,98,108,117,101,0,98,108,117,101,118,105,111,108,101,116,0,98,114,111,119,110,0,98,117,114,108,121,119,111,111,100,0,99,97,100,101,116,98,108,117,101,0,99,104,97,114,116,114,101,117,115,101,0,99,104,111,99,111,108,97,116,101,0,99,111,114,97,108,0,99,111,114,110,102,108,111,119,101,114,98,108,117,101,0,99,111,114,110,115,105,108,107,0,99,114,105,109,115,111,110,0,100,97,114,107,98,108,117,101,0,100,97,114,107,99,121,97,110,0,100,97,114,107,103,111,108,100,101,110,114,111,100,0,100,97,114,107,103,114,97,121,0,100,97,114,107,103,114,101,121,0,100,97,114,107,103,114,101,101,110,0,100,97,114,107,107,104,97,107,105,0,100,97,114,107,109,97,103,101,110,116,97,0,100,97,114,107,111,108,105,118,101,103,114,101,101,110,0,100,97,114,107,111,114,97,110,103,101,0,100,97,114,107,111,114,99,104,105,100,0,100,97,114,107,114,101,100,0,100,97,114,107,115,97,108,109,111,110,0,100,97,114,107,115,101,97,103,114,101,101,110,0,100,97,114,107,115,108,97,116,101,98,108,117,101,0,100,97,114,107,115,108,97,116,101,103,114,97,121,0,100,97,114,107,115,108,97,116,101,103,114,101,121,0,100,97,114,107,116,117,114,113,117,111,105,115,101,0,100,97,114,107,118,105,111,108,101,116,0,100,101,101,112,112,105,110,107,0,100,101,101,112,115,107,121,98,108,117,101,0,100,105,109,103,114,97,121,0,100,105,109,103,114,101,121,0,100,111,100,103,101,114,98,108,117,101,0,102,105,114,101,98,114,105,99,107,0,102,108,111,114,97,108,119,104,105,116,101,0,102,111,114,101,115,116,103,114,101,101,110,0,109,97,103,101,110,116,97,0,102,117,99,104,115,105,97,0,103,97,105,110,115,98,111,114,111,0,103,104,111,115,116,119,104,105,116,101,0,103,111,108,100,0,103,111,108,100,101,110,114,111,100,0,103,114,97,121,0,103,114,101,121,0,103,114,101,101,110,0,103,114,101,101,110,121,101,108,108,111,119,0,104,111,110,101,121,100,101,119,0,104,111,116,112,105,110,107,0,105,110,100,105,97,110,114,101,100,0,105,110,100,105,103,111,0,105,118,111,114,121,0,107,104,97,107,105,0,108,97,118,101,110,100,101,114,0,108,97,118,101,110,100,101,114,98,108,117,115,104,0,108,97,119,110,103,114,101,101,110,0,108,101,109,111,110,99,104,105,102,102,111,110,0,108,105,103,104,116,98,108,117,101,0,108,105,103,104,116,99,111,114,97,108,0,108,105,103,104,116,99,121,97,110,0,108,105,103,104,116,103,111,108,100,101,110,114,111,100,121,101,108,108,111,119,0,108,105,103,104,116,103,114,97,121,0,108,105,103,104,116,103,114,101,121,0,108,105,103,104,116,103,114,101,101,110,0,108,105,103,104,116,112,105,110,107,0,108,105,103,104,116,115,97,108,109,111,110,0,108,105,103,104,116,115,101,97,103,114,101,101,110,0,108,105,103,104,116,115,107,121,98,108,117,101,0,108,105,103,104,116,115,108,97,116,101,103,114,97,121,0,108,105,103,104,116,115,108,97,116,101,103,114,101,121,0,108,105,103,104,116,115,116,101,101,108,98,108,117,101,0,108,105,103,104,116,121,101,108,108,111,119,0,108,105,109,101,0,108,105,109,101,103,114,101,101,110,0,108,105,110,101,110,0,109,97,114,111,111,110,0,109,101,100,105,117,109,97,113,117,97,109,97,114,105,110,101,0,109,101,100,105,117,109,98,108,117,101,0,109,101,100,105,117,109,111,114,99,104,105,100,0,109,101,100,105,117,109,112,117,114,112,108,101,0,109,101,100,105,117,109,115,101,97,103,114,101,101,110,0,109,101,100,105,117,109,115,108,97,116,101,98,108,117,101,0,109,101,100,105,117,109,115,112,114,105,110,103,103,114,101,101,110,0,109,101,100,105,117,109,116,117,114,113,117,111,105,115,101,0,109,101,100,105,117,109,118,105,111,108,101,116,114,101,100,0,109,105,100,110,105,103,104,116,98,108,117,101,0,109,105,110,116,99,114,101,97,109,0,109,105,115,116,121,114,111,115,101,0,109,111,99,99,97,115,105,110,0,110,97,118,97,106,111,119,104,105,116,101,0,110,97,118,121,0,111,108,100,108,97,99,101,0,111,108,105,118,101,0,111,108,105,118,101,100,114,97,98,0,111,114,97,110,103,101,0,111,114,97,110,103,101,114,101,100,0,111,114,99,104,105,100,0,112,97,108,101,103,111,108,100,101,110,114,111,100,0,112,97,108,101,103,114,101,101,110,0,112,97,108,101,116,117,114,113,117,111,105,115,101,0,112,97,108,101,118,105,111,108,101,116,114,101,100,0,112,97,112,97,121,97,119,104,105,112,0,112,101,97,99,104,112,117,102,102,0,112,101,114,117,0,112,105,110,107,0,112,108,117,109,0,112,111,119,100,101,114,98,108,117,101,0,112,117,114,112,108,101,0,114,101,100,0,114,111,115,121,98,114,111,119,110,0,114,111,121,97,108,98,108,117,101,0,115,97,100,100,108,101,98,114,111,119,110,0,115,97,108,109,111,110,0,115,97,110,100,121,98,114,111,119,110,0,115,101,97,103,114,101,101,110,0,115,101,97,115,104,101,108,108,0,115,105,101,110,110,97,0,115,105,108,118,101,114,0,115,107,121,98,108,117,101,0,115,108,97,116,101,98,108,117,101,0,115,108,97,116,101,103,114,97,121,0,115,108,97,116,101,103,114,101,121,0,115,110,111,119,0,115,112,114,105,110,103,103,114,101,101,110,0,115,116,101,101,108,98,108,117,101,0,116,97,110,0,116,101,97,108,0,116,104,105,115,116,108,101,0,116,111,109,97,116,111,0,116,117,114,113,117,111,105,115,101,0,118,105,111,108,101,116,0,119,104,101,97,116,0,119,104,105,116,101,0,119,104,105,116,101,115,109,111,107,101,0,121,101,108,108,111,119,0,121,101,108,108,111,119,103,114,101,101,110,0,114,101,98,101,99,99,97,112,117,114,112,108,101,0,91,67,79,76,79,82,32,84,65,66,76,69,93,0,32,97,114,103,117,109,101,110,116,0,32,97,114,103,117,109,101,110,116,115,0,119,114,111,110,103,32,110,117,109,98,101,114,32,111,102,32,97,114,103,117,109,101,110,116,115,32,40,0,32,102,111,114,32,0,105,110,118,97,108,105,100,32,115,116,97,116,101,0,36,0,32,116,97,107,101,115,32,0,32,98,117,116,32,0,32,119,97,115,32,112,97,115,115,101,100,0,32,119,101,114,101,32,112,97,115,115,101,100,46,0,32,104,97,115,32,110,111,32,112,97,114,97,109,101,116,101,114,32,110,97,109,101,100,32,0,112,97,114,97,109,101,116,101,114,32,0,32,112,114,111,118,105,100,101,100,32,109,111,114,101,32,116,104,97,110,32,111,110,99,101,32,105,110,32,99,97,108,108,32,116,111,32,0,97,114,103,117,109,101,110,116,32,0,99,97,110,110,111,116,32,98,101,32,117,115,101,100,32,97,115,32,110,97,109,101,100,32,97,114,103,117,109,101,110,116,0,112,114,111,118,105,100,101,100,32,109,111,114,101,32,116,104,97,110,32,111,110,99,101,32,105,110,32,99,97,108,108,32,116,111,32,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,53,77,105,115,115,105,110,103,65,114,103,117,109,101,110,116,69,0,47,46,47,0,46,47,0,47,46,0,46,46,47,0,46,46,92,0,46,46,0,46,115,99,115,115,0,46,115,97,115,115,0,46,99,115,115,0,95,0,114,98,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,102,105,108,101,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,52,98,97,115,105,99,95,105,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,97,114,114,97,121,45,62,116,97,103,32,61,61,32,74,83,79,78,95,65,82,82,65,89,0,115,114,99,47,106,115,111,110,46,99,112,112,0,106,115,111,110,95,97,112,112,101,110,100,95,101,108,101,109,101,110,116,0,101,108,101,109,101,110,116,45,62,112,97,114,101,110,116,32,61,61,32,78,85,76,76,0,115,98,45,62,115,116,97,114,116,32,60,61,32,115,98,45,62,99,117,114,32,38,38,32,115,116,114,108,101,110,40,115,98,45,62,115,116,97,114,116,41,32,61,61,32,40,115,105,122,101,95,116,41,40,115,98,45,62,99,117,114,32,45,32,115,98,45,62,115,116,97,114,116,41,0,115,98,95,102,105,110,105,115,104,0,116,97,103,95,105,115,95,118,97,108,105,100,40,110,111,100,101,45,62,116,97,103,41,0,101,109,105,116,95,118,97,108,117,101,0,37,46,49,54,103,0,117,116,102,56,95,118,97,108,105,100,97,116,101,40,115,116,114,41,0,101,109,105,116,95,115,116,114,105,110,103,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0,101,109,105,116,95,118,97,108,117,101,95,105,110,100,101,110,116,101,100,0,91,93,0,91,10,0,44,10,0,123,10,0,111,98,106,101,99,116,45,62,116,97,103,32,61,61,32,74,83,79,78,95,79,66,74,69,67,84,0,106,115,111,110,95,97,112,112,101,110,100,95,109,101,109,98,101,114,0,118,97,108,117,101,45,62,112,97,114,101,110,116,32,61,61,32,78,85,76,76,0,112,120,0,112,116,0,112,99,0,109,109,0,99,109,0,105,110,0,100,101,103,0,103,114,97,100,0,114,97,100,0,116,117,114,110,0,115,0,109,115,0,72,122,0,107,72,122,0,100,112,105,0,100,112,99,109,0,100,112,112,120,0,73,110,99,111,109,112,97,116,105,98,108,101,32,117,110,105,116,115,58,32,0,39,32,97,110,100,32,0,108,105,98,115,97,115,115,95,103,101,116,95,118,101,114,115,105,111,110,0,108,105,98,115,97,115,115,95,108,111,97,100,95,102,117,110,99,116,105,111,110,115,0,108,105,98,115,97,115,115,95,108,111,97,100,95,105,109,112,111,114,116,101,114,115,0,108,105,98,115,97,115,115,95,108,111,97,100,95,104,101,97,100,101,114,115,0,102,97,105,108,101,100,32,108,111,97,100,105,110,103,32,39,108,105,98,115,97,115,115,95,115,117,112,112,111,114,116,39,32,105,110,32,60,0,102,97,105,108,101,100,32,108,111,97,100,105,110,103,32,112,108,117,103,105,110,32,60,0,91,110,97,93,0,46,115,111,0,73,110,118,97,108,105,100,32,67,83,83,32,97,102,116,101,114,32,34,0,34,58,32,101,120,112,101,99,116,101,100,32,34,123,34,44,32,119,97,115,32,34,0,34,10,10,34,0,34,32,109,97,121,32,111,110,108,121,32,98,101,32,117,115,101,100,32,97,116,32,116,104,101,32,98,101,103,105,110,110,105,110,103,32,111,102,32,97,32,99,111,109,112,111,117,110,100,32,115,101,108,101,99,116,111,114,46,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,49,73,110,118,97,108,105,100,83,97,115,115,69,0,105,110,118,97,108,105,100,32,97,116,116,114,105,98,117,116,101,32,110,97,109,101,32,105,110,32,97,116,116,114,105,98,117,116,101,32,115,101,108,101,99,116,111,114,0,105,110,118,97,108,105,100,32,111,112,101,114,97,116,111,114,32,105,110,32,97,116,116,114,105,98,117,116,101,32,115,101,108,101,99,116,111,114,32,102,111,114,32,0,101,120,112,101,99,116,101,100,32,97,32,115,116,114,105,110,103,32,99,111,110,115,116,97,110,116,32,111,114,32,105,100,101,110,116,105,102,105,101,114,32,105,110,32,97,116,116,114,105,98,117,116,101,32,115,101,108,101,99,116,111,114,32,102,111,114,32,0,117,110,116,101,114,109,105,110,97,116,101,100,32,97,116,116,114,105,98,117,116,101,32,115,101,108,101,99,116,111,114,32,102,111,114,32,0,73,110,118,97,108,105,100,32,67,83,83,0,32,97,102,116,101,114,32,0,58,32,101,120,112,101,99,116,101,100,32,101,120,112,114,101,115,115,105,111,110,32,40,101,46,103,46,32,49,112,120,44,32,98,111,108,100,41,44,32,119,97,115,32,0,117,110,116,101,114,109,105,110,97,116,101,100,32,105,110,116,101,114,112,111,108,97,110,116,32,105,110,115,105,100,101,32,115,116,114,105,110,103,32,99,111,110,115,116,97,110,116,32,0,117,110,107,110,111,119,110,32,115,116,97,116,105,99,32,111,112,32,112,97,114,115,101,100,0,117,110,99,108,111,115,101,100,32,112,97,114,101,110,116,104,101,115,105,115,0,101,120,112,101,99,116,101,100,32,97,32,118,97,114,105,97,98,108,101,32,110,97,109,101,32,40,101,46,103,46,32,36,120,41,32,111,114,32,39,41,39,32,102,111,114,32,116,104,101,32,112,97,114,97,109,101,116,101,114,32,108,105,115,116,32,102,111,114,32,0,117,110,116,101,114,109,105,110,97,116,101,100,32,105,110,116,101,114,112,111,108,97,110,116,32,105,110,115,105,100,101,32,105,110,116,101,114,112,111,108,97,116,101,100,32,105,100,101,110,116,105,102,105,101,114,32,0,117,110,116,101,114,109,105,110,97,116,101,100,32,105,110,116,101,114,112,111,108,97,110,116,32,105,110,115,105,100,101,32,73,69,32,102,117,110,99,116,105,111,110,32,0,58,32,101,120,112,101,99,116,101,100,32,34,58,34,44,32,119,97,115,32,0,58,32,101,120,112,101,99,116,101,100,32,112,115,101,117,100,111,99,108,97,115,115,32,111,114,32,112,115,101,117,100,111,101,108,101,109,101,110,116,44,32,119,97,115,32,0,58,32,101,120,112,101,99,116,101,100,32,34,41,34,44,32,119,97,115,32,0,110,101,103,97,116,101,100,32,115,101,108,101,99,116,111,114,32,105,115,32,109,105,115,115,105,110,103,32,39,41,39,0,58,32,101,120,112,101,99,116,101,100,32,115,101,108,101,99,116,111,114,32,111,114,32,97,116,45,114,117,108,101,44,32,119,97,115,32,0,58,32,101,120,112,101,99,116,101,100,32,115,101,108,101,99,116,111,114,44,32,119,97,115,32,0,58,32,101,120,112,101,99,116,101,100,32,49,32,115,101,108,101,99,116,111,114,32,111,114,32,97,116,45,114,117,108,101,44,32,119,97,115,32,0,58,32,101,120,112,101,99,116,101,100,32,34,123,34,44,32,119,97,115,32,0,58,32,101,120,112,101,99,116,101,100,32,34,125,34,44,32,119,97,115,32,0,112,114,111,112,101,114,116,121,32,34,0,34,32,109,117,115,116,32,98,101,32,102,111,108,108,111,119,101,100,32,98,121,32,97,32,39,58,39,0,115,116,121,108,101,32,100,101,99,108,97,114,97,116,105,111,110,32,109,117,115,116,32,99,111,110,116,97,105,110,32,97,32,118,97,108,117,101,0,32,9,12,11,10,13,0,64,101,108,115,101,0,73,110,118,97,108,105,100,32,67,83,83,58,32,64,101,108,115,101,32,109,117,115,116,32,99,111,109,101,32,97,102,116,101,114,32,64,105,102,0,105,110,118,97,108,105,100,32,110,97,109,101,32,105,110,32,0,32,100,101,102,105,110,105,116,105,111,110,0,73,110,118,97,108,105,100,32,102,117,110,99,116,105,111,110,32,110,97,109,101,32,34,0,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,112,97,114,97,109,101,116,101,114,32,109,97,121,32,110,111,116,32,104,97,118,101,32,97,32,100,101,102,97,117,108,116,32,118,97,108,117,101,0,117,110,99,108,111,115,101,100,32,112,97,114,101,110,116,104,101,115,105,115,32,105,110,32,64,115,117,112,112,111,114,116,115,32,100,101,99,108,97,114,97,116,105,111,110,0,64,115,117,112,112,111,114,116,115,32,99,111,110,100,105,116,105,111,110,32,101,120,112,101,99,116,101,100,32,100,101,99,108,97,114,97,116,105,111,110,0,58,32,101,120,112,101,99,116,101,100,32,105,100,101,110,116,105,102,105,101,114,44,32,119,97,115,32,0,97,116,45,114,111,111,116,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,100,32,105,110,32,97,116,45,114,111,111,116,32,101,120,112,114,101,115,115,105,111,110,0,58,32,101,120,112,101,99,116],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+30720);allocate([101,100,32,34,119,105,116,104,34,32,111,114,32,34,119,105,116,104,111,117,116,34,44,32,119,97,115,32,0,117,110,99,108,111,115,101,100,32,112,97,114,101,110,116,104,101,115,105,115,32,105,110,32,64,97,116,45,114,111,111,116,32,101,120,112,114,101,115,115,105,111,110,0,109,101,100,105,97,32,113,117,101,114,121,32,101,120,112,114,101,115,115,105,111,110,32,109,117,115,116,32,98,101,103,105,110,32,119,105,116,104,32,39,40,39,0,109,101,100,105,97,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,100,32,105,110,32,109,101,100,105,97,32,113,117,101,114,121,32,101,120,112,114,101,115,115,105,111,110,0,117,110,99,108,111,115,101,100,32,112,97,114,101,110,116,104,101,115,105,115,32,105,110,32,109,101,100,105,97,32,113,117,101,114,121,32,101,120,112,114,101,115,115,105,111,110,0,109,97,108,102,111,114,109,101,100,32,85,82,76,0,85,82,73,32,105,115,32,109,105,115,115,105,110,103,32,39,41,39,0,64,105,109,112,111,114,116,32,100,105,114,101,99,116,105,118,101,32,114,101,113,117,105,114,101,115,32,97,32,117,114,108,32,111,114,32,113,117,111,116,101,100,32,112,97,116,104,0,101,120,112,101,99,116,105,110,103,32,97,110,111,116,104,101,114,32,117,114,108,32,111,114,32,113,117,111,116,101,100,32,112,97,116,104,32,105,110,32,64,105,109,112,111,114,116,32,108,105,115,116,0,64,101,97,99,104,32,100,105,114,101,99,116,105,118,101,32,114,101,113,117,105,114,101,115,32,97,110,32,105,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,0,101,120,112,101,99,116,101,100,32,39,105,110,39,32,107,101,121,119,111,114,100,32,105,110,32,64,101,97,99,104,32,100,105,114,101,99,116,105,118,101,0,58,32,101,120,112,101,99,116,101,100,32,34,36,34,44,32,119,97,115,32,0,101,120,112,101,99,116,101,100,32,39,102,114,111,109,39,32,107,101,121,119,111,114,100,32,105,110,32,64,102,111,114,32,100,105,114,101,99,116,105,118,101,0,101,120,112,101,99,116,101,100,32,39,116,104,114,111,117,103,104,39,32,111,114,32,39,116,111,39,32,107,101,121,119,111,114,100,32,105,110,32,64,102,111,114,32,100,105,114,101,99,116,105,118,101,0,101,120,112,101,99,116,101,100,32,39,58,39,32,97,102,116,101,114,32,0,32,105,110,32,97,115,115,105,103,110,109,101,110,116,32,115,116,97,116,101,109,101,110,116,0,85,84,70,45,56,0,85,84,70,45,49,54,32,40,98,105,103,32,101,110,100,105,97,110,41,0,85,84,70,45,49,54,32,40,108,105,116,116,108,101,32,101,110,100,105,97,110,41,0,85,84,70,45,51,50,32,40,108,105,116,116,108,101,32,101,110,100,105,97,110,41,0,85,84,70,45,51,50,32,40,98,105,103,32,101,110,100,105,97,110,41,0,85,84,70,45,55,0,85,84,70,45,49,0,85,84,70,45,69,66,67,68,73,67,0,83,67,83,85,0,66,79,67,85,45,49,0,71,66,45,49,56,48,51,48,0,111,110,108,121,32,85,84,70,45,56,32,100,111,99,117,109,101,110,116,115,32,97,114,101,32,99,117,114,114,101,110,116,108,121,32,115,117,112,112,111,114,116,101,100,59,32,121,111,117,114,32,100,111,99,117,109,101,110,116,32,97,112,112,101,97,114,115,32,116,111,32,98,101,32,0,34,92,35,0,39,92,35,0,10,123,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,50,73,110,118,97,108,105,100,86,97,108,117,101,69,0,48,46,0,45,46,0,45,48,46,0,32,10,13,9,0,45,43,48,49,50,51,52,53,54,55,56,57,46,0,35,0,85,110,100,101,102,105,110,101,100,32,118,97,114,105,97,98,108,101,58,32,34,0,83,116,97,99,107,32,100,101,112,116,104,32,101,120,99,101,101,100,101,100,32,109,97,120,32,111,102,32,0,42,91,102,93,0,40,41,32,105,115,110,39,116,32,97,32,118,97,108,105,100,32,67,83,83,32,118,97,108,117,101,46,0,70,117,110,99,116,105,111,110,32,0,32,100,111,101,115,110,39,116,32,115,117,112,112,111,114,116,32,107,101,121,119,111,114,100,32,97,114,103,117,109,101,110,116,115,0,99,97,108,108,91,102,93,0,105,102,91,102,93,0,111,118,101,114,108,111,97,100,101,100,32,102,117,110,99,116,105,111,110,32,96,0,96,32,103,105,118,101,110,32,119,114,111,110,103,32,110,117,109,98,101,114,32,111,102,32,97,114,103,117,109,101,110,116,115,0,70,117,110,99,116,105,111,110,0,44,32,105,110,32,102,117,110,99,116,105,111,110,32,96,0,32,100,105,100,32,110,111,116,32,114,101,116,117,114,110,32,97,32,118,97,108,117,101,0,101,114,114,111,114,32,105,110,32,67,32,102,117,110,99,116,105,111,110,32,0,119,97,114,110,105,110,103,32,105,110,32,67,32,102,117,110,99,116,105,111,110,32,0,69,114,114,111,114,32,105,110,32,67,32,102,117,110,99,116,105,111,110,58,32,0,87,97,114,110,105,110,103,32,105,110,32,67,32,102,117,110,99,116,105,111,110,58,32,0,103,116,0,103,116,101,0,108,116,0,108,116,101,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,56,85,110,100,101,102,105,110,101,100,79,112,101,114,97,116,105,111,110,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,50,48,73,110,118,97,108,105,100,78,117,108,108,79,112,101,114,97,116,105,111,110,69,0,101,113,0,110,101,113,0,112,108,117,115,0,115,117,98,0,116,105,109,101,115,0,100,105,118,0,109,111,100,0,91,79,80,83,93,0,105,110,118,97,108,105,100,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,55,90,101,114,111,68,105,118,105,115,105,111,110,69,114,114,111,114,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,50,49,65,108,112,104,97,67,104,97,110,110,101,108,115,78,111,116,69,113,117,97,108,69,0,73,110,102,105,110,105,116,121,0,78,97,78,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,52,83,97,115,115,86,97,108,117,101,69,114,114,111,114,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,55,68,117,112,108,105,99,97,116,101,75,101,121,69,114,114,111,114,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,50,84,121,112,101,77,105,115,109,97,116,99,104,69,0,64,100,101,98,117,103,91,102,93,0,32,68,69,66,85,71,58,32,0,64,101,114,114,111,114,91,102,93,0,64,119,97,114,110,91,102,93,0,66,97,99,107,116,114,97,99,101,58,0,111,110,0,102,114,111,109,0,32,108,105,110,101,32,0,78,52,83,97,115,115,52,69,118,97,108,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,78,83,95,49,48,69,120,112,114,101,115,115,105,111,110,69,78,83,95,52,69,118,97,108,69,69,69,0,78,52,83,97,115,115,57,79,112,101,114,97,116,105,111,110,73,80,78,83,95,49,48,69,120,112,114,101,115,115,105,111,110,69,69,69,0,96,69,120,112,97,110,100,96,32,100,111,101,115,110,39,116,32,104,97,110,100,108,101,32,0,91,87,65,82,78,93,0,117,110,107,110,111,119,110,32,105,110,116,101,114,110,97,108,32,101,114,114,111,114,59,32,112,108,101,97,115,101,32,99,111,110,116,97,99,116,32,116,104,101,32,76,105,98,83,97,115,115,32,109,97,105,110,116,97,105,110,101,114,115,0,91,109,93,0,110,111,32,109,105,120,105,110,32,110,97,109,101,100,32,0,77,105,120,105,110,32,34,0,34,32,100,111,101,115,32,110,111,116,32,97,99,99,101,112,116,32,97,32,99,111,110,116,101,110,116,32,98,108,111,99,107,46,0,44,32,105,110,32,109,105,120,105,110,32,96,0,96,0,64,99,111,110,116,101,110,116,91,109,93,0,77,105,120,105,110,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,48,83,116,97,99,107,69,114,114,111,114,69,0,91,102,93,0,101,108,101,109,101,110,116,0,101,120,112,114,101,115,115,105,111,110,0,117,114,108,0,78,97,109,105,110,103,32,97,32,102,117,110,99,116,105,111,110,32,34,0,34,32,105,115,32,100,105,115,97,108,108,111,119,101,100,0,84,104,105,115,32,110,97,109,101,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,97,110,32,101,120,105,115,116,105,110,103,32,67,83,83,32,102,117,110,99,116,105,111,110,32,119,105,116,104,32,115,112,101,99,105,97,108,32,112,97,114,115,101,32,114,117,108,101,115,46,0,67,97,110,39,116,32,101,120,116,101,110,100,32,0,58,32,99,97,110,39,116,32,101,120,116,101,110,100,32,112,97,114,101,110,116,32,115,101,108,101,99,116,111,114,115,0,58,32,99,97,110,39,116,32,101,120,116,101,110,100,32,110,101,115,116,101,100,32,115,101,108,101,99,116,111,114,115,0,64,114,101,116,117,114,110,32,109,97,121,32,111,110,108,121,32,98,101,32,117,115,101,100,32,119,105,116,104,105,110,32,97,32,102,117,110,99,116,105,111,110,0,105,110,116,101,103,101,114,0,73,109,112,111,114,116,32,100,105,114,101,99,116,105,118,101,115,32,109,97,121,32,110,111,116,32,98,101,32,117,115,101,100,32,119,105,116,104,105,110,32,99,111,110,116,114,111,108,32,100,105,114,101,99,116,105,118,101,115,32,111,114,32,109,105,120,105,110,115,46,0,69,110,118,32,110,111,116,32,105,110,32,115,121,110,99,0,66,97,115,101,45,108,101,118,101,108,32,114,117,108,101,115,32,99,97,110,110,111,116,32,99,111,110,116,97,105,110,32,116,104,101,32,112,97,114,101,110,116,45,115,101,108,101,99,116,111,114,45,114,101,102,101,114,101,110,99,105,110,103,32,99,104,97,114,97,99,116,101,114,32,39,38,39,46,0,69,120,112,97,110,100,101,100,32,110,117,108,108,32,115,101,108,101,99,116,111,114,0,78,52,83,97,115,115,54,69,120,112,97,110,100,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,78,83,95,57,83,116,97,116,101,109,101,110,116,69,78,83,95,54,69,120,112,97,110,100,69,69,69,0,78,52,83,97,115,115,57,79,112,101,114,97,116,105,111,110,73,80,78,83,95,57,83,116,97,116,101,109,101,110,116,69,69,69,0,78,52,83,97,115,115,55,76,105,115,116,105,122,101,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,78,83,95,49,48,69,120,112,114,101,115,115,105,111,110,69,78,83,95,55,76,105,115,116,105,122,101,69,69,69,0,111,110,108,121,0,64,45,119,101,98,107,105,116,45,107,101,121,102,114,97,109,101,115,0,64,45,109,111,122,45,107,101,121,102,114,97,109,101,115,0,64,45,111,45,107,101,121,102,114,97,109,101,115,0,64,107,101,121,102,114,97,109,101,115,0,109,101,100,105,97,0,114,117,108,101,0,115,117,112,112,111,114,116,115,0,107,101,121,102,114,97,109,101,115,0,78,52,83,97,115,115,54,67,115,115,105,122,101,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,78,83,95,57,83,116,97,116,101,109,101,110,116,69,78,83,95,54,67,115,115,105,122,101,69,69,69,0,89,111,117,32,109,97,121,32,110,111,116,32,64,101,120,116,101,110,100,32,97,110,32,111,117,116,101,114,32,115,101,108,101,99,116,111,114,32,102,114,111,109,32,119,105,116,104,105,110,32,64,109,101,100,105,97,46,10,0,89,111,117,32,109,97,121,32,111,110,108,121,32,64,101,120,116,101,110,100,32,115,101,108,101,99,116,111,114,115,32,119,105,116,104,105,110,32,116,104,101,32,115,97,109,101,32,100,105,114,101,99,116,105,118,101,46,10,0,70,114,111,109,32,34,64,101,120,116,101,110,100,32,0,91,70,65,75,69,93,0,116,101,109,112,0,109,97,112,58,58,97,116,58,32,32,107,101,121,32,110,111,116,32,102,111,117,110,100,0,34,32,102,97,105,108,101,100,32,116,111,32,64,101,120,116,101,110,100,32,34,0,34,46,10,84,104,101,32,115,101,108,101,99,116,111,114,32,34,0,34,32,119,97,115,32,110,111,116,32,102,111,117,110,100,46,10,85,115,101,32,34,64,101,120,116,101,110,100,32,0,32,33,111,112,116,105,111,110,97,108,34,32,105,102,32,116,104,101,32,101,120,116,101,110,100,32,115,104,111,117,108,100,32,98,101,32,97,98,108,101,32,116,111,32,102,97,105,108,46,0,78,52,83,97,115,115,54,69,120,116,101,110,100,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,118,78,83,95,54,69,120,116,101,110,100,69,69,69,0,78,52,83,97,115,115,57,79,112,101,114,97,116,105,111,110,73,118,69,69,0,123,125,0,64,102,111,110,116,45,102,97,99,101,0,47,42,32,108,105,110,101,32,0,78,52,83,97,115,115,54,79,117,116,112,117,116,69,0,64,99,104,97,114,115,101,116,32,34,85,84,70,45,56,34,59,0,239,187,191,0,40,41,0,40,0,44,41,0,41,0,62,0,47,0,126,0,91,0,93,0,44,32,0,46,46,46,0,38,0,110,117,108,108,0,110,111,116,32,0,111,110,108,121,32,0,32,97,110,100,32,0,110,111,116,0,97,110,100,0,111,114,0,35,123,0,116,114,97,110,115,112,97,114,101,110,116,0,114,103,98,97,40,0,48,0,48,46,48,0,45,48,0,45,48,46,48,0,45,0,38,38,0,124,124,0,61,61,0,33,61,0,62,61,0,60,0,60,61,0,42,0,37,0,64,109,105,120,105,110,0,64,102,117,110,99,116,105,111,110,0,64,119,104,105,108,101,0,64,101,97,99,104,0,32,105,110,32,0,64,102,111,114,0,32,102,114,111,109,32,0,32,116,104,114,111,117,103,104,32,0,32,116,111,32,0,64,105,102,0,101,108,115,101,0,33,100,101,102,97,117,108,116,0,33,105,109,112,111,114,116,97,110,116,0,64,97,116,45,114,111,111,116,32,0,64,109,101,100,105,97,0,64,115,117,112,112,111,114,116,115,0,58,58,66,85,66,66,76,69,0,78,52,83,97,115,115,55,73,110,115,112,101,99,116,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,118,78,83,95,55,73,110,115,112,101,99,116,69,69,69,0,64,114,101,116,117,114,110,32,109,97,121,32,111,110,108,121,32,98,101,32,117,115,101,100,32,119,105,116,104,105,110,32,97,32,102,117,110,99,116,105,111,110,46,0,73,108,108,101,103,97,108,32,110,101,115,116,105,110,103,58,32,79,110,108,121,32,112,114,111,112,101,114,116,105,101,115,32,109,97,121,32,98,101,32,110,101,115,116,101,100,32,98,101,110,101,97,116,104,32,112,114,111,112,101,114,116,105,101,115,46,0,80,114,111,112,101,114,116,105,101,115,32,97,114,101,32,111,110,108,121,32,97,108,108,111,119,101,100,32,119,105,116,104,105,110,32,114,117,108,101,115,44,32,100,105,114,101,99,116,105,118,101,115,44,32,109,105,120,105,110,32,105,110,99,108,117,100,101,115,44,32,111,114,32,111,116,104,101,114,32,112,114,111,112,101,114,116,105,101,115,46,0,70,117,110,99,116,105,111,110,115,32,99,97,110,32,111,110,108,121,32,99,111,110,116,97,105,110,32,118,97,114,105,97,98,108,101,32,100,101,99,108,97,114,97,116,105,111,110,115,32,97,110,100,32,99,111,110,116,114,111,108,32,100,105,114,101,99,116,105,118,101,115,46,0,70,117,110,99,116,105,111,110,115,32,109,97,121,32,110,111,116,32,98,101,32,100,101,102,105,110,101,100,32,119,105,116,104,105,110,32,99,111,110,116,114,111,108,32,100,105,114,101,99,116,105,118,101,115,32,111,114,32,111,116,104,101,114,32,109,105,120,105,110,115,46,0,77,105,120,105,110,115,32,109,97,121,32,110,111,116,32,98,101,32,100,101,102,105,110,101,100,32,119,105,116,104,105,110,32,99,111,110,116,114,111,108,32,100,105,114,101,99,116,105,118,101,115,32,111,114,32,111,116,104,101,114,32,109,105,120,105,110,115,46,0,69,120,116,101,110,100,32,100,105,114,101,99,116,105,118,101,115,32,109,97,121,32,111,110,108,121,32,98,101,32,117,115,101,100,32,119,105,116,104,105,110,32,114,117,108,101,115,46,0,64,99,104,97,114,115,101,116,32,109,97,121,32,111,110,108,121,32,98,101,32,117,115,101,100,32,97,116,32,116,104,101,32,114,111,111,116,32,111,102,32,97,32,100,111,99,117,109,101,110,116,46,0,99,104,97,114,115,101,116,0,64,99,111,110,116,101,110,116,32,109,97,121,32,111,110,108,121,32,98,101,32,117,115,101,100,32,119,105,116,104,105,110,32,97,32,109,105,120,105,110,46,0,78,52,83,97,115,115,49,50,67,104,101,99,107,78,101,115,116,105,110,103,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,78,83,95,57,83,116,97,116,101,109,101,110,116,69,78,83,95,49,50,67,104,101,99,107,78,101,115,116,105,110,103,69,69,69,0,78,52,83,97,115,115,49,57,82,101,109,111,118,101,95,80,108,97,99,101,104,111,108,100,101,114,115,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,118,78,83,95,49,57,82,101,109,111,118,101,95,80,108,97,99,101,104,111,108,100,101,114,115,69,69,69,0,79,117,116,32,111,102,32,109,101,109,111,114,121,46,10,0,51,46,52,46,50,45,100,105,114,116,121,0,32,32,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,109,101,109,111,114,121,32,102,111,114,32,102,105,108,101,32,99,111,110,116,101,120,116,0,70,105,108,101,32,99,111,110,116,101,120,116,32,99,114,101,97,116,101,100,32,119,105,116,104,111,117,116,32,97,110,32,105,110,112,117,116,32,112,97,116,104,0,70,105,108,101,32,99,111,110,116,101,120,116,32,99,114,101,97,116,101,100,32,119,105,116,104,32,101,109,112,116,121,32,105,110,112,117,116,32,112,97,116,104,0,85,110,97,98,108,101,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,58,32,0,115,116,97,116,117,115,0,109,101,115,115,97,103,101,0,102,111,114,109,97,116,116,101,100,0,73,110,116,101,114,110,97,108,32,69,114,114,111,114,58,32,0,85,110,107,110,111,119,110,32,101,114,114,111,114,32,111,99,99,117,114,114,101,100,0,117,110,107,110,111,119,110,0,32,111,110,32,108,105,110,101,32,0,32,102,114,111,109,32,108,105,110,101,32,0,62,62,32,0,32,32,32,0,94,10,0,108,105,110,101,0,99,111,108,117,109,110,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,109,101,109,111,114,121,32,102,111,114,32,100,97,116,97,32,99,111,110,116,101,120,116,0,68,97,116,97,32,99,111,110,116,101,120,116,32,99,114,101,97,116,101,100,32,119,105,116,104,111,117,116,32,97,32,115,111,117,114,99,101,32,115,116,114,105,110,103,0,68,97,116,97,32,99,111,110,116,101,120,116,32,99,114,101,97,116,101,100,32,119,105,116,104,32,101,109,112,116,121,32,115,111,117,114,99,101,32,115,116,114,105,110,103,0,68,97,116,97,32,99,111,110,116,101,120,116,32,104,97,115,32,110,111,32,115,111,117,114,99,101,32,115,116,114,105,110,103,0,70,105,108,101,32,99,111,110,116,101,120,116,32,104,97,115,32,110,111,32,105,110,112,117,116,32,112,97,116,104,0,70,105,108,101,32,99,111,110,116,101,120,116,32,104,97,115,32,101,109,112,116,121,32,105,110,112,117,116,32,112,97,116,104,0,32,42,47,0,47,42,0,47,47,0,32,123,125,0,59,0,32,125,0,125,0,92,0,58,58,0,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,45,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,0,58,108,105,110,107,0,58,118,105,115,105,116,101,100,0,58,97,99,116,105,118,101,0,58,108,97,110,103,0,58,102,105,114,115,116,45,99,104,105,108,100,0,58,104,111,118,101,114,0,58,102,111,99,117,115,0,58,102,105,114,115,116,0,58,116,97,114,103,101,116,0,58,114,111,111,116,0,58,110,116,104,45,99,104,105,108,100,0,58,110,116,104,45,108,97,115,116,45,111,102,45,99,104,105,108,100,0,58,110,116,104,45,111,102,45,116,121,112,101,0,58,110,116,104,45,108,97,115,116,45,111,102,45,116,121,112,101,0,58,108,97,115,116,45,99,104,105,108,100,0,58,102,105,114,115,116,45,111,102,45,116,121,112,101,0,58,108,97,115,116,45,111,102,45,116,121,112,101,0,58,111,110,108,121,45,99,104,105,108,100,0,58,111,110,108,121,45,111,102,45,116,121,112,101,0,58,101,109,112,116,121,0,58,110,111,116,0,58,100,101,102,97,117,108,116,0,58,118,97,108,105,100,0,58,105,110,118,97,108,105,100,0,58,105,110,45,114,97,110,103,101,0,58,111,117,116,45,111,102,45,114,97,110,103,101,0,58,114,101,113,117,105,114,101,100,0,58,111,112,116,105,111,110,97,108,0,58,114,101,97,100,45,111,110,108,121,0,58,114,101,97,100,45,119,114,105,116,101,0,58,100,105,114,0,58,101,110,97,98,108,101,100,0,58,100,105,115,97,98,108,101,100,0,58,99,104,101,99,107,101,100,0,58,105,110,100,101,116,101,114,109,105,110,97,116,101,0,58,110,116,104,45,108,97,115,116,45,99,104,105,108,100,0,58,97,110,121,45,108,105,110,107,0,58,108,111,99,97,108,45,108,105,110,107,0,58,115,99,111,112,101,0,58,97,99,116,105,118,101,45,100,114,111,112,45,116,97,114,103,101,116,0,58,118,97,108,105,100,45,100,114,111,112,45,116,97,114,103,101,116,0,58,105,110,118,97,108,105,100,45,100,114,111,112,45,116,97,114,103,101,116,0,58,99,117,114,114,101,110,116,0,58,112,97,115,116,0,58,102,117,116,117,114,101,0,58,112,108,97,99,101,104,111,108,100,101,114,45,115,104,111,119,110,0,58,117,115,101,114,45,101,114,114,111,114,0,58,98,108,97,110,107,0,58,110,116,104,45,109,97,116,99,104,0,58,110,116,104,45,108,97,115,116,45,109,97,116,99,104,0,58,110,116,104,45,99,111,108,117,109,110,0,58,110,116,104,45,108,97,115,116,45,99,111,108,117,109,110,0,58,109,97,116,99,104,101,115,0,58,102,117,108,108,115,99,114,101,101,110,0,64,119,97,114,110,0,64,100,101,98,117,103,0,64,101,114,114,111,114,0,64,99,104,97,114,115,101,116,0,64,110,97,109,101,115,112,97,99,101,0,61,0,64,109,105,120,105,110,32,0,43,0,64,105,110,99,108,117,100,101,32,0,64,105,109,112,111,114,116,0,117,114,108,40,0,64,114,101,116,117,114,110,0,64,101,120,116,101,110,100,0,64,105,110,99,108,117,100,101,0,64,99,111,110,116,101,110,116,0,42,47,0,32,123,32,0,32,123,0,123,0,117,110,107,110,111,119,110,32,116,121,112,101,32,102,111,114,32,67,45,65,80,73,0,78,52,83,97,115,115,52,84,111,95,67,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,49,48,83,97,115,115,95,86,97,108,117,101,78,83,95,52,84,111,95,67,69,69,69,0,78,52,83,97,115,115,57,79,112,101,114,97,116,105,111,110,73,80,49,48,83,97,115,115,95,86,97,108,117,101,69,69,0,105,110,118,97,108,105,100,32,110,111,100,101,32,102,111,114,32,116,111,95,118,97,108,117,101,0,78,52,83,97,115,115,56,84,111,95,86,97,108,117,101,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,78,83,95,53,86,97,108,117,101,69,78,83,95,56,84,111,95,86,97,108,117,101,69,69,69,0,78,52,83,97,115,115,57,79,112,101,114,97,116,105,111,110,73,80,78,83,95,53,86,97,108,117,101,69,69,69,0,115,116,100,105,110,0,118,101,114,115,105,111,110,0,102,105,108,101,0,115,111,117,114,99,101,82,111,111,116,0,115,111,117,114,99,101,115,0,102,105,108,101,58,47,47,0,102,105,108,101,58,47,47,47,0,115,111,117,114,99,101,115,67,111,110,116,101,110,116,0,110,97,109,101,115,0,109,97,112,112,105,110,103,115,0,9,0,44,0,112,114,101,112,101,110,100,32,115,111,117,114,99,101,109,97,112,32,104,97,115,32,105,108,108,101,103,97,108,32,108,105,110,101,0,112,114,101,112,101,110,100,32,115,111,117,114,99,101,109,97,112,32,104,97,115,32,105,108,108,101,103,97,108,32,99,111,108,117,109,110,0,105,110,116,101,114,110,97,108,32,101,114,114,111,114,58,32,115,117,98,115,101,116,32,109,97,112,32,107,101,121,115,32,109,97,121,32,110,111,116,32,98,101,32,101,109,112,116,121,0,32,9,10,11,12,13,0,73,110,118,97,108,105,100,32,115,97,115,115,32,100,101,116,101,99,116,101,100,0,85,110,100,101,102,105,110,101,100,32,111,112,101,114,97,116,105,111,110,0,73,110,118,97,108,105,100,32,110,117,108,108,32,111,112,101,114,97,116,105,111,110,0,69,114,114,111,114,0,73,110,118,97,108,105,100,32,112,97,114,101,110,116,32,115,101,108,101,99,116,111,114,32,102,111,114,32,34,0,34,58,32,34,0,34,0,58,32,34,0,34,32,105,115,32,110,111,116,32,97,32,0,32,102,111,114,32,96,0,39,0,32,0,32,105,115,32,109,105,115,115,105,110,103,32,97,114,103,117,109,101,110,116,32,0,34,46,0,100,105,118,105,100,101,100,32,98,121,32,48,0,90,101,114,111,68,105,118,105,115,105,111,110,69,114,114,111,114,0,68,117,112,108,105,99,97,116,101,32,107,101,121,32,0,32,105,110,32,109,97,112,32,40,0,41,46,0,32,105,115,32,110,111,116,32,97,110,32,0,32,105,115,110,39,116,32,97,32,118,97,108,105,100,32,67,83,83,32,118,97,108,117,101,46,0,115,116,97,99,107,32,108,101,118,101,108,32,116,111,111,32,100,101,101,112,0,83,121,115,116,101,109,83,116,97,99,107,69,114,114,111,114,0,73,110,99,111,109,112,97,116,105,98,108,101,32,117,110,105,116,115,58,32,39,0,39,32,97,110,100,32,39,0,39,46,0,65,108,112,104,97,32,99,104,97,110,110,101,108,115,32,109,117,115,116,32,98,101,32,101,113,117,97,108,58,32,0,68,69,80,82,69,67,65,84,73,79,78,32,87,65,82,78,73,78,71,58,32,0,119,105,108,108,32,98,101,32,97,110,32,101,114,114,111,114,32,105,110,32,102,117,116,117,114,101,32,118,101,114,115,105,111,110,115,32,111,102,32,83,97,115,115,46,0,32,32,32,32,32,32,32,32,111,110,32,108,105,110,101,32,0,32,111,102,32,0,68,69,80,82,69,67,65,84,73,79,78,32,87,65,82,78,73,78,71,32,111,110,32,108,105,110,101,32,0,58,0,32,97,110,100,32,119,105,108,108,32,98,101,32,97,110,32,101,114,114,111,114,32,105,110,32,102,117,116,117,114,101,32,118,101,114,115,105,111,110,115,32,111,102,32,83,97,115,115,46,0,87,65,82,78,73,78,71,58,32,0,84,104,105,115,32,119,105,108,108,32,98,101,32,97,110,32,101,114,114,111,114,32,105,110,32,102,117,116,117,114,101,32,118,101,114,115,105,111,110,115,32,111,102,32,83,97,115,115,46,0,10,0,78,52,83,97,115,115,57,83,104,97,114,101,100,79,98,106,69,0,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,48,49,50,51,52,53,54,55,56,57,43,47,0,123,32,83,97,115,115,46,95,115,97,115,115,67,111,109,112,105,108,101,69,109,115,99,114,105,112,116,101,110,83,117,99,99,101,115,115,40,32,112,111,105,110,116,101,114,84,111,83,116,114,105,110,103,40,36,48,41,44,32,112,111,105,110,116,101,114,84,111,74,115,111,110,40,36,49,41,44,32,112,111,105,110,116,101,114,84,111,83,116,114,105,110,103,65,114,114,97,121,40,36,50,41,32,41,59,32,125,0,123,32,83,97,115,115,46,95,115,97,115,115,67,111,109,112,105,108,101,69,109,115,99,114,105,112,116,101,110,69,114,114,111,114,40,32,112,111,105,110,116,101,114,84,111,74,115,111,110,40,36,48,41,44,32,112,111,105,110,116,101,114,84,111,83,116,114,105,110,103,40,36,49,41,32,41,59,32,125,0,123,32,73,109,112,111,114,116,101,114,46,102,105,110,100,40,32,112,111,105,110,116,101,114,84,111,83,116,114,105,110,103,40,36,48,41,44,32,112,111,105,110,116,101,114,84,111,83,116,114,105,110,103,40,36,49,41,32,41,59,32,125,0,123,32,114,101,116,117,114,110,32,78,117,109,98,101,114,40,73,109,112,111,114,116,101,114,46,102,105,110,105,115,104,101,100,40,41,41,59,32,125,0,123,32,114,101,116,117,114,110,32,78,117,109,98,101,114,40,73,109,112,111,114,116,101,114,46,101,114,114,111,114,40,41,41,59,32,125,0,123,32,114,101,116,117,114,110,32,78,117,109,98,101,114,40,73,109,112,111,114,116,101,114,46,112,97,116,104,40,41,41,59,32,125,0,123,32,114,101,116,117,114,110,32,78,117,109,98,101,114,40,73,109,112,111,114,116,101,114,46,99,111,110,116,101,110,116,40,41,41,59,32,125,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,3,4,5,6,7,8,9,255,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,4,7,3,6,5,0,17,0,10,0,17,17,17,0,0,0,0,5,0,0,0,0,0,0,9,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,15,10,17,17,17,3,10,7,0,1,19,9,11,11,0,0,9,6,11,0,0,11,0,6,17,0,0,0,17,17,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,10,10,17,17,17,0,10,0,0,2,0,9,11,0,0,0,9,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,4,13,0,0,0,0,9,14,0,0,0,0,0,14,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,15,0,0,0,0,9,16,0,0,0,0,0,16,0,0,16,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,10,0,0,0,0,9,11,0,0,0,0,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,45,43,32,32,32,48,88,48,120,0,40,110,117,108,108,41,0,45,48,88,43,48,88,32,48,88,45,48,120,43,48,120,32,48,120,0,105,110,102,0,73,78,70,0,78,65,78,0,84,33,34,25,13,1,2,3,17,75,28,12,16,4,11,29,18,30,39,104,110,111,112,113,98,32,5,6,15,19,20,21,26,8,22,7,40,36,23,24,9,10,14,27,31,37,35,131,130,125,38,42,43,60,61,62,63,67,71,74,77,88,89,90,91,92,93,94,95,96,97,99,100,101,102,103,105,106,107,108,114,115,116,121,122,123,124,0,73,108,108,101,103,97,108,32,98,121,116,101,32,115,101,113,117,101,110,99,101,0,68,111,109,97,105,110,32,101,114,114,111,114,0,82,101,115,117,108,116,32,110,111,116,32,114,101,112,114,101,115,101,110,116,97,98,108,101,0,78,111,116,32,97,32,116,116,121,0,80,101,114,109,105,115,115,105,111,110,32,100,101,110,105,101,100,0,79,112,101,114,97,116,105,111,110,32,110,111,116,32,112,101,114,109,105,116,116,101,100,0,78,111,32,115,117,99,104,32,102,105,108,101,32,111,114,32,100,105,114,101,99,116,111,114,121,0,78,111,32,115,117,99,104,32,112,114,111,99,101,115,115,0,70,105,108,101,32,101,120,105,115,116,115,0,86,97,108,117,101,32,116,111,111,32,108,97,114,103,101,32,102,111,114,32,100,97,116,97,32,116,121,112,101,0,78,111,32,115,112,97,99,101,32,108,101,102,116,32,111,110,32,100,101,118,105,99,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,115,111,117,114,99,101,32,98,117,115,121,0,73,110,116,101,114,114,117,112,116,101,100,32,115,121,115,116,101,109,32,99,97,108,108,0,82,101,115,111,117,114,99,101,32,116,101,109,112,111,114,97,114,105,108,121,32,117,110,97,118,97,105,108,97,98,108,101,0,73,110,118,97,108,105,100,32,115,101,101,107,0,67,114,111,115,115,45,100,101,118,105,99,101,32,108,105,110,107,0,82,101,97,100,45,111,110,108,121,32,102,105,108,101,32,115,121,115,116,101,109,0,68,105,114,101,99,116,111,114,121,32,110,111,116,32,101,109,112,116,121,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,112,101,101,114,0,79,112,101,114,97,116,105,111,110,32,116,105,109,101,100,32,111,117,116,0,67,111,110,110,101,99,116,105,111,110,32,114,101,102,117,115,101,100,0,72,111,115,116,32,105,115,32,100,111,119,110,0,72,111,115,116,32,105,115,32,117,110,114,101,97,99,104,97,98,108,101,0,65,100,100,114,101,115,115,32,105,110,32,117,115,101,0,66,114,111,107,101,110,32,112,105,112,101,0,73,47,79,32,101,114,114,111,114,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,32,111,114,32,97,100,100,114,101,115,115,0,66,108,111,99,107,32,100,101,118,105,99,101,32,114,101,113,117,105,114,101,100,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,0,78,111,116,32,97,32,100,105,114,101,99,116,111,114,121,0,73,115,32,97,32,100,105,114,101,99,116,111,114,121,0,84,101,120,116,32,102,105,108,101,32,98,117,115,121,0,69,120,101,99,32,102,111,114,109,97,116,32,101,114,114,111,114,0,73,110,118,97,108,105,100,32,97,114,103,117,109,101,110,116,0,65,114,103,117,109,101,110,116,32,108,105,115,116,32,116,111,111,32,108,111,110,103,0,83,121,109,98,111,108,105,99,32,108,105,110,107,32,108,111,111,112,0,70,105,108,101,110,97,109,101,32,116,111,111,32,108,111,110,103,0,84,111,111,32,109,97,110,121,32,111,112,101,110,32,102,105,108,101,115,32,105,110,32,115,121,115,116,101,109,0,78,111,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,115,32,97,118,97,105,108,97,98,108,101,0,66,97,100,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,0,78,111,32,99,104,105,108,100,32,112,114,111,99,101,115,115,0,66,97,100,32,97,100,100,114,101,115,115,0,70,105,108,101,32,116,111,111,32,108,97,114,103,101,0,84,111,111,32,109,97,110,121,32,108,105,110,107,115,0,78,111,32,108,111,99,107,115,32,97,118,97,105,108,97,98,108,101,0,82,101,115,111,117,114,99,101,32,100,101,97,100,108,111,99,107,32,119,111,117,108,100,32,111,99,99,117,114,0,83,116,97,116,101,32,110,111,116,32,114,101,99,111,118,101,114,97,98,108,101,0,80,114,101,118,105,111,117,115,32,111,119,110,101,114,32,100,105,101,100,0,79,112,101,114,97,116,105,111,110,32,99,97,110,99,101,108,101,100,0,70,117,110,99,116,105,111,110,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,78,111,32,109,101,115,115,97,103,101,32,111,102,32,100,101,115,105,114,101,100,32,116,121,112,101,0,73,100,101,110,116,105,102,105,101,114,32,114,101,109,111,118,101,100,0,68,101,118,105,99,101,32,110,111,116,32,97,32,115,116,114,101,97,109,0,78,111,32,100,97,116,97,32,97,118,97,105,108,97,98,108,101,0,68,101,118,105,99,101,32,116,105,109,101,111,117,116,0,79,117,116,32,111,102,32,115,116,114,101,97,109,115,32,114,101,115,111,117,114,99,101,115,0,76,105,110,107,32,104,97,115,32,98,101,101,110,32,115,101,118,101,114,101,100,0,80,114,111,116,111,99,111,108,32,101,114,114,111,114,0,66,97,100,32,109,101,115,115,97,103,101,0,70,105,108,101,32,100,101,115,99,114,105,112,116,111,114,32,105,110,32,98,97,100,32,115,116,97,116,101,0,78,111,116,32,97,32,115,111,99,107,101,116,0,68,101,115,116,105,110,97,116,105,111,110,32,97,100,100,114,101,115,115,32,114,101,113,117,105,114,101,100,0,77,101,115,115,97,103,101,32,116,111,111,32,108,97,114,103,101,0,80,114,111,116,111,99,111,108,32,119,114,111,110,103,32,116,121,112,101,32,102,111,114,32,115,111,99,107,101,116,0,80,114,111,116,111,99,111,108,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,80,114,111,116,111,99,111,108,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,83,111,99,107,101,116,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,111,116,32,115,117,112,112,111,114,116,101,100,0,80,114,111,116,111,99,111,108,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,65,100,100,114,101,115,115,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,112,114,111,116,111,99,111,108,0,65,100,100,114,101,115,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,78,101,116,119,111,114,107,32,105,115,32,100,111,119,110,0,78,101,116,119,111,114,107,32,117,110,114,101,97,99,104,97,98,108,101,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,110,101,116,119,111,114,107,0,67,111,110,110,101,99,116,105,111,110,32,97,98,111,114,116,101,100,0,78,111,32,98,117,102,102,101,114,32,115,112,97,99,101,32,97,118,97,105,108,97,98,108,101,0,83,111,99,107,101,116,32,105,115,32,99,111,110,110,101,99,116,101,100,0,83,111,99,107,101,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,67,97,110,110,111,116,32,115,101,110,100,32,97,102,116,101,114,32,115,111,99,107,101,116,32,115,104,117,116,100,111,119,110,0,79,112,101,114,97,116,105,111,110,32,97,108,114,101,97,100,121,32,105,110,32,112,114,111,103,114,101,115,115,0,79,112,101,114,97,116,105,111,110,32,105,110,32,112,114,111,103,114,101,115,115,0,83,116,97,108,101,32,102,105,108,101,32,104,97,110,100,108,101,0,82,101,109,111,116,101,32,73,47,79,32,101,114,114,111,114,0,81,117,111,116,97,32,101,120,99,101,101,100,101,100,0,78,111,32,109,101,100,105,117,109,32,102,111,117,110,100,0,87,114,111,110,103,32,109,101,100,105,117,109,32,116,121,112,101,0,78,111,32,101,114,114,111,114,32,105,110,102,111,114,109,97,116,105,111,110,0,0,105,110,102,105,110,105,116,121,0,110,97,110,0,46,0,80,79,83,73,88,0,114,119,97,0,95,95,110,101,120,116,95,112,114,105,109,101,32,111,118,101,114,102,108,111,119,0,78,83,116,51,95,95,50,56,105,111,115,95,98,97,115,101,69,0,78,83,116,51,95,95,50,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,52,98,97,115,105,99,95,105,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,56,105,111,115,95,98,97],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+40960);allocate([115,101,55,102,97,105,108,117,114,101,69,0,117,110,115,112,101,99,105,102,105,101,100,32,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,105,111,115,116,114,101,97,109,0,78,83,116,51,95,95,50,49,57,95,95,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,69,0,105,111,115,95,98,97,115,101,58,58,99,108,101,97,114,0,78,83,116,51,95,95,50,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69,0,78,83,116,51,95,95,50,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,78,83,116,51,95,95,50,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,50,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,83,116,51,95,95,50,55,99,111,108,108,97,116,101,73,99,69,69,0,78,83,116,51,95,95,50,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,78,83,116,51,95,95,50,55,99,111,108,108,97,116,101,73,119,69,69,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,37,112,0,67,0,78,83,116,51,95,95,50,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,78,83,116,51,95,95,50,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,78,83,116,51,95,95,50,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,37,112,0,0,0,0,76,0,108,108,0,37,0,0,0,0,0,108,0,78,83,116,51,95,95,50,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,78,83,116,51,95,95,50,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,78,83,116,51,95,95,50,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,37,72,58,37,77,58,37,83,0,37,109,47,37,100,47,37,121,0,37,73,58,37,77,58,37,83,32,37,112,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,65,77,0,80,77,0,74,97,110,117,97,114,121,0,70,101,98,114,117,97,114,121,0,77,97,114,99,104,0,65,112,114,105,108,0,77,97,121,0,74,117,110,101,0,74,117,108,121,0,65,117,103,117,115,116,0,83,101,112,116,101,109,98,101,114,0,79,99,116,111,98,101,114,0,78,111,118,101,109,98,101,114,0,68,101,99,101,109,98,101,114,0,74,97,110,0,70,101,98,0,77,97,114,0,65,112,114,0,74,117,110,0,74,117,108,0,65,117,103,0,83,101,112,0,79,99,116,0,78,111,118,0,68,101,99,0,83,117,110,100,97,121,0,77,111,110,100,97,121,0,84,117,101,115,100,97,121,0,87,101,100,110,101,115,100,97,121,0,84,104,117,114,115,100,97,121,0,70,114,105,100,97,121,0,83,97,116,117,114,100,97,121,0,83,117,110,0,77,111,110,0,84,117,101,0,87,101,100,0,84,104,117,0,70,114,105,0,83,97,116,0,37,109,47,37,100,47,37,121,37,89,45,37,109,45,37,100,37,73,58,37,77,58,37,83,32,37,112,37,72,58,37,77,37,72,58,37,77,58,37,83,37,72,58,37,77,58,37,83,78,83,116,51,95,95,50,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,78,83,116,51,95,95,50,57,116,105,109,101,95,98,97,115,101,69,0,78,83,116,51,95,95,50,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,78,83,116,51,95,95,50,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,48,95,95,116,105,109,101,95,112,117,116,69,0,108,111,99,97,108,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,83,116,51,95,95,50,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,95,98,97,115,101,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,49,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,48,49,50,51,52,53,54,55,56,57,0,37,76,102,0,109,111,110,101,121,95,103,101,116,32,101,114,114,111,114,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,48,49,50,51,52,53,54,55,56,57,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,37,46,48,76,102,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,78,83,116,51,95,95,50,56,109,101,115,115,97,103,101,115,73,99,69,69,0,78,83,116,51,95,95,50,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,50,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,78,83,116,51,95,95,50,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,78,83,116,51,95,95,50,56,109,101,115,115,97,103,101,115,73,119,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,78,83,116,51,95,95,50,53,99,116,121,112,101,73,99,69,69,0,78,83,116,51,95,95,50,49,48,99,116,121,112,101,95,98,97,115,101,69,0,78,83,116,51,95,95,50,53,99,116,121,112,101,73,119,69,69,0,102,97,108,115,101,0,116,114,117,101,0,78,83,116,51,95,95,50,56,110,117,109,112,117,110,99,116,73,99,69,69,0,78,83,116,51,95,95,50,56,110,117,109,112,117,110,99,116,73,119,69,69,0,118,101,99,116,111,114,0,78,83,116,51,95,95,50,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,78,83,116,51,95,95,50,49,57,95,95,115,104,97,114,101,100,95,119,101,97,107,95,99,111,117,110,116,69,0,114,97,110,100,111,109,95,100,101,118,105,99,101,32,102,97,105,108,101,100,32,116,111,32,111,112,101,110,32,0,114,97,110,100,111,109,95,100,101,118,105,99,101,32,103,111,116,32,69,79,70,0,114,97,110,100,111,109,95,100,101,118,105,99,101,32,103,111,116,32,97,110,32,117,110,101,120,112,101,99,116,101,100,32,101,114,114,111,114,0,98,97,115,105,99,95,115,116,114,105,110,103,0,78,83,116,51,95,95,50,49,52,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,78,83,116,51,95,95,50,49,50,115,121,115,116,101,109,95,101,114,114,111,114,69,0,78,83,116,51,95,95,50,49,50,95,95,100,111,95,109,101,115,115,97,103,101,69,0,117,110,115,112,101,99,105,102,105,101,100,32,103,101,110,101,114,105,99,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,103,101,110,101,114,105,99,0,78,83,116,51,95,95,50,50,52,95,95,103,101,110,101,114,105,99,95,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,117,110,115,112,101,99,105,102,105,101,100,32,115,121,115,116,101,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,115,121,115,116,101,109,0,78,83,116,51,95,95,50,50,51,95,95,115,121,115,116,101,109,95,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,58,32,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,101,120,99,101,112,116,105,111,110,32,111,102,32,116,121,112,101,32,37,115,58,32,37,115,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,101,120,99,101,112,116,105,111,110,32,111,102,32,116,121,112,101,32,37,115,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,102,111,114,101,105,103,110,32,101,120,99,101,112,116,105,111,110,0,116,101,114,109,105,110,97,116,105,110,103,0,117,110,99,97,117,103,104,116,0,83,116,57,101,120,99,101,112,116,105,111,110,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,83,116,57,116,121,112,101,95,105,110,102,111,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,112,116,104,114,101,97,100,95,111,110,99,101,32,102,97,105,108,117,114,101,32,105,110,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,95,102,97,115,116,40,41,0,99,97,110,110,111,116,32,99,114,101,97,116,101,32,112,116,104,114,101,97,100,32,107,101,121,32,102,111,114,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,40,41,0,99,97,110,110,111,116,32,122,101,114,111,32,111,117,116,32,116,104,114,101,97,100,32,118,97,108,117,101,32,102,111,114,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,40,41,0,116,101,114,109,105,110,97,116,101,95,104,97,110,100,108,101,114,32,117,110,101,120,112,101,99,116,101,100,108,121,32,114,101,116,117,114,110,101,100,0,116,101,114,109,105,110,97,116,101,95,104,97,110,100,108,101,114,32,117,110,101,120,112,101,99,116,101,100,108,121,32,116,104,114,101,119,32,97,110,32,101,120,99,101,112,116,105,111,110,0,115,116,100,58,58,98,97,100,95,97,108,108,111,99,0,83,116,57,98,97,100,95,97,108,108,111,99,0,115,116,100,58,58,101,120,99,101,112,116,105,111,110,0,83,116,49,49,108,111,103,105,99,95,101,114,114,111,114,0,83,116,49,51,114,117,110,116,105,109,101,95,101,114,114,111,114,0,83,116,49,50,108,101,110,103,116,104,95,101,114,114,111,114,0,83,116,49,50,111,117,116,95,111,102,95,114,97,110,103,101,0,83,116,49,52,111,118,101,114,102,108,111,119,95,101,114,114,111,114,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,83,116,56,98,97,100,95,99,97,115,116,0,115,116,100,58,58,98,97,100,95,116,121,112,101,105,100,0,83,116,49,48,98,97,100,95,116,121,112,101,105,100,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,57,95,95,112,111,105,110,116,101,114,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,112,98,97,115,101,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,51,95,95,102,117,110,100,97,109,101,110,116,97,108,95,116,121,112,101,95,105,110,102,111,69,0,118,0,68,110,0,99,0,80,75,99,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+51200);var tempDoublePtr=STATICTOP;STATICTOP+=16;var EMTSTACKTOP=getMemory(1048576);var EMT_STACK_MAX=EMTSTACKTOP+1048576;var eb=getMemory(52168);__ATPRERUN__.push((function(){HEAPU8.set([140,2,81,0,0,0,0,0,2,70,0,0,226,1,0,0,2,71,0,0,219,1,0,0,2,72,0,0,128,0,0,0,2,73,0,0,208,1,0,0,2,74,0,0,110,1,0,0,2,75,0,0,76,1,0,0,2,76,0,0,16,28,0,0,1,66,0,0,136,77,0,0,0,67,77,0,136,77,0,0,1,78,0,2,3,77,77,78,137,77,0,0,25,65,67,40,0,64,67,0,1,77,232,1,3,63,67,77,1,77,224,1,3,68,67,77,1,77,248,1,3,5,67,77,1,77,244,1,3,6,67,77,1,77,228,1,3,7,67,77,1,77,220,1,3,8,67,77,1,77,212,1,3,9,67,77,3,10,67,73,1,77,188,1,3,11,67,77,1,77,184,1,3,12,67,77,1,77,180,1,3,13,67,77,1,77,176,1,3,14,67,77,1,77,168,1,3,15,67,77,1,77,164,1,3,16,67,77,1,77,160,1,3,17,67,77,1,77,156,1,3,18,67,77,1,77,152,1,3,19,67,77,1,77,148,1,3,20,67,77,1,77,140,1,3,21,67,77,1,77,136,1,3,22,67,77,1,77,124,1,3,3,67,77,1,77,112,1,3,25,67,77,1,77,216,1,3,62,67,77,1,77,108,1,3,33,67,77,1,77,104,1,3,56,67,77,1,77,64,1,3,57,67,77,1,77,16,1,3,60,67,77,1,77,4,1,3,4,67,77,1,77,192,1,3,23,67,77,1,77,172,1,3,55,67,77,1,77,0,1,3,27,67,77,1,77,252,0,3,28,67,77,1,77,248,0,3,45,67,77,1,77,208,0,3,42,67,77,1,77,200,0,3,48,67,77,1,77,196,0,3,26,67,77,1,77,192,0,3,29,67,77,1,77,176,0,3,24,67,77,1,77,168,0,3,30,67,77,1,77,164,0,3,31,67,77,1,77,160,0,3,32,67,77,1,77,156,0,3,34,67,77,1,77,152,0,3,35,67,77,1,77,148,0,3,36,67,77,1,77,144,0,3,37,67,77,1,77,140,0,3,38,67,77,1,77,136,0,3,39,67,77,1,77,132,0,3,40,67,77,3,41,67,72,25,43,67,124,25,44,67,120,25,46,67,116,25,47,67,112,25,49,67,108,25,50,67,104,25,51,67,100,25,52,67,96,25,53,67,92,1,77,144,1,3,61,67,77,25,54,67,88,25,58,67,84,25,59,67,80,106,78,0,48,26,78,78,4,135,77,0,0,68,78,0,0,1,77,0,0,132,0,0,77,1,78,128,1,135,77,1,0,78,0,0,0,130,77,0,0,0,2,77,0,1,77,0,0,132,0,0,77,38,77,2,1,120,77,1,11,1,77,0,0,132,0,0,77,1,78,70,0,1,79,1,0,1,80,0,0,135,77,2,0,78,0,79,80,130,77,0,0,0,2,77,0,1,77,0,0,132,0,0,77,38,77,2,1,120,77,244,10,1,77,0,0,132,0,0,77,1,77,102,0,1,80,1,0,1,79,0,0,135,2,2,0,77,0,80,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,120,79,226,10,121,2,59,0,82,79,68,0,25,3,79,64,82,79,3,0,106,4,79,20,1,79,0,0,132,0,0,79,1,79,143,1,135,2,3,0,79,0,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,120,79,210,10,85,6,2,0,1,79,0,0,132,0,0,79,135,79,4,0,70,5,2,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,5,0,119,0,24,0,1,79,0,0,132,0,0,79,135,79,4,0,4,3,5,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,5,0,135,79,6,0,5,0,0,0,119,0,10,0,135,79,6,0,5,0,0,0,135,79,6,0,6,0,0,0,135,79,6,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,6,0,6,0,0,0,0,69,2,0,135,79,6,0,68,0,0,0,135,79,7,0,69,0,0,0,1,79,0,0,132,0,0,79,1,79,111,0,1,80,1,0,1,77,0,0,135,2,2,0,79,0,80,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,154,10,121,2,59,0,82,77,68,0,25,3,77,64,82,77,3,0,106,4,77,20,1,77,0,0,132,0,0,77,1,77,144,1,135,2,3,0,77,0,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,138,10,85,8,2,0,1,77,0,0,132,0,0,77,135,77,4,0,70,7,2,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,24,0,1,77,0,0,132,0,0,77,135,77,4,0,4,3,7,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,5,0,135,77,6,0,7,0,0,0,119,0,10,0,135,77,6,0,7,0,0,0,135,77,6,0,8,0,0,0,135,77,6,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,6,0,8,0,0,0,0,69,2,0,135,77,6,0,68,0,0,0,135,77,7,0,69,0,0,0,1,77,0,0,132,0,0,77,1,77,112,0,1,80,1,0,1,79,0,0,135,2,2,0,77,0,80,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,120,79,82,10,121,2,59,0,82,79,68,0,25,3,79,64,82,79,3,0,106,4,79,20,1,79,0,0,132,0,0,79,1,79,145,1,135,2,3,0,79,0,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,120,79,66,10,85,10,2,0,1,79,0,0,132,0,0,79,135,79,4,0,70,9,2,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,5,0,119,0,24,0,1,79,0,0,132,0,0,79,135,79,4,0,4,3,9,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,5,0,135,79,6,0,9,0,0,0,119,0,10,0,135,79,6,0,9,0,0,0,135,79,6,0,10,0,0,0,135,79,6,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,6,0,10,0,0,0,0,69,2,0,135,79,6,0,68,0,0,0,135,79,7,0,69,0,0,0,1,79,0,0,132,0,0,79,1,79,113,0,1,80,1,0,1,77,0,0,135,2,2,0,79,0,80,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,10,10,121,2,59,0,82,77,68,0,25,3,77,64,82,77,3,0,106,4,77,20,1,77,0,0,132,0,0,77,1,77,146,1,135,2,3,0,77,0,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,250,9,85,12,2,0,1,77,0,0,132,0,0,77,135,77,4,0,70,11,2,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,24,0,1,77,0,0,132,0,0,77,135,77,4,0,4,3,11,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,5,0,135,77,6,0,11,0,0,0,119,0,10,0,135,77,6,0,11,0,0,0,135,77,6,0,12,0,0,0,135,77,6,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,6,0,12,0,0,0,0,69,2,0,135,77,6,0,68,0,0,0,135,77,7,0,69,0,0,0,1,77,0,0,132,0,0,77,1,77,114,0,1,80,1,0,1,79,0,0,135,2,2,0,77,0,80,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,120,79,194,9,121,2,60,0,82,79,68,0,25,3,79,64,82,79,3,0,106,4,79,20,1,79,0,0,132,0,0,79,1,79,239,3,1,80,0,0,135,2,8,0,79,0,80,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,177,9,85,14,2,0,1,80,0,0,132,0,0,80,135,80,4,0,70,13,2,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,5,0,119,0,24,0,1,80,0,0,132,0,0,80,135,80,4,0,4,3,13,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,5,0,135,2,5,0,135,80,6,0,13,0,0,0,119,0,10,0,135,80,6,0,13,0,0,0,135,80,6,0,14,0,0,0,135,80,6,0,68,0,0,0,137,67,0,0,1,80,1,0,139,80,0,0,135,80,6,0,14,0,0,0,0,69,2,0,135,80,6,0,68,0,0,0,135,80,7,0,69,0,0,0,1,80,0,0,132,0,0,80,1,80,115,0,1,79,1,0,1,77,0,0,135,2,2,0,80,0,79,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,121,9,121,2,59,0,82,77,68,0,25,3,77,64,82,77,3,0,106,4,77,20,1,77,0,0,132,0,0,77,1,77,147,1,135,2,3,0,77,0,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,105,9,85,16,2,0,1,77,0,0,132,0,0,77,135,77,4,0,70,15,2,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,24,0,1,77,0,0,132,0,0,77,135,77,4,0,4,3,15,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,5,0,135,77,6,0,15,0,0,0,119,0,10,0,135,77,6,0,15,0,0,0,135,77,6,0,16,0,0,0,135,77,6,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,6,0,16,0,0,0,0,69,2,0,135,77,6,0,68,0,0,0,135,77,7,0,69,0,0,0,1,77,0,0,132,0,0,77,1,77,116,0,1,79,1,0,1,80,0,0,135,2,2,0,77,0,79,80,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,49,9,121,2,59,0,82,80,68,0,25,3,80,64,82,80,3,0,106,4,80,20,1,80,0,0,132,0,0,80,1,80,148,1,135,2,3,0,80,0,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,33,9,85,18,2,0,1,80,0,0,132,0,0,80,135,80,4,0,70,17,2,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,5,0,119,0,24,0,1,80,0,0,132,0,0,80,135,80,4,0,4,3,17,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,5,0,135,2,5,0,135,80,6,0,17,0,0,0,119,0,10,0,135,80,6,0,17,0,0,0,135,80,6,0,18,0,0,0,135,80,6,0,68,0,0,0,137,67,0,0,1,80,1,0,139,80,0,0,135,80,6,0,18,0,0,0,0,69,2,0,135,80,6,0,68,0,0,0,135,80,7,0,69,0,0,0,1,80,0,0,132,0,0,80,1,80,117,0,1,79,1,0,1,77,0,0,135,2,2,0,80,0,79,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,233,8,121,2,59,0,82,77,68,0,25,3,77,64,82,77,3,0,106,4,77,20,1,77,0,0,132,0,0,77,1,77,149,1,135,2,3,0,77,0,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,217,8,85,20,2,0,1,77,0,0,132,0,0,77,135,77,4,0,70,19,2,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,24,0,1,77,0,0,132,0,0,77,135,77,4,0,4,3,19,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,5,0,135,77,6,0,19,0,0,0,119,0,10,0,135,77,6,0,19,0,0,0,135,77,6,0,20,0,0,0,135,77,6,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,6,0,20,0,0,0,0,69,2,0,135,77,6,0,68,0,0,0,135,77,7,0,69,0,0,0,1,77,0,0,132,0,0,77,1,77,118,0,1,79,1,0,1,80,0,0,135,2,2,0,77,0,79,80,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,161,8,121,2,59,0,82,80,68,0,25,3,80,64,82,80,3,0,106,4,80,20,1,80,0,0,132,0,0,80,1,80,150,1,135,2,3,0,80,0,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,145,8,85,22,2,0,1,80,0,0,132,0,0,80,135,80,4,0,70,21,2,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,5,0,119,0,24,0,1,80,0,0,132,0,0,80,135,80,4,0,4,3,21,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,5,0,135,2,5,0,135,80,6,0,21,0,0,0,119,0,10,0,135,80,6,0,21,0,0,0,135,80,6,0,22,0,0,0,135,80,6,0,68,0,0,0,137,67,0,0,1,80,1,0,139,80,0,0,135,80,6,0,22,0,0,0,0,69,2,0,135,80,6,0,68,0,0,0,135,80,7,0,69,0,0,0,25,8,0,56,25,9,0,60,82,80,9,0,26,80,80,4,82,80,80,0,32,80,80,2,121,80,53,0,1,80,0,0,85,3,80,0,1,79,0,0,109,3,4,79,1,80,0,0,109,3,8,80,1,80,0,0,132,0,0,80,1,79,75,0,2,77,0,0,82,174,0,0,1,78,72,0,135,80,9,0,79,3,77,78,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,75,8,25,69,0,108,1,80,0,0,132,0,0,80,116,65,69,0,106,78,69,4,109,65,4,78,106,80,69,8,109,65,8,80,1,78,109,0,135,80,9,0,78,0,3,65,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,9,0,135,69,5,0,135,80,10,0,3,0,0,0,135,80,6,0,68,0,0,0,135,80,7,0,69,0,0,0,119,0,8,0,135,80,10,0,3,0,0,0,135,80,6,0,68,0,0,0,137,67,0,0,1,80,1,0,139,80,0,0,1,80,0,0,132,0,0,80,1,80,119,0,1,78,1,0,1,77,0,0,135,2,2,0,80,0,78,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,30,8,121,2,143,1,82,2,9,0,82,77,8,0,45,77,77,2,236,13,0,0,1,66,106,0,119,0,126,0,26,77,2,4,82,77,77,0,1,78,0,0,1,80,7,0,138,77,78,80,32,14,0,0,28,14,0,0,36,14,0,0,40,14,0,0,28,14,0,0,28,14,0,0,44,14,0,0,119,0,6,0,119,0,3,0,119,0,2,0,119,0,1,0,1,66,106,0,119,0,108,0,25,2,0,76,1,77,0,0,132,0,0,77,1,77,103,1,82,78,2,0,135,3,3,0,77,78,0,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,120,78,95,0,25,4,0,80,32,77,3,0,121,77,4,0,1,77,1,0,0,78,77,0,119,0,4,0,82,77,4,0,16,77,77,3,0,78,77,0,121,78,2,0,82,3,2,0,1,78,0,0,132,0,0,78,1,78,104,1,135,2,3,0,78,3,0,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,120,78,73,0,1,78,0,0,132,0,0,78,1,78,151,1,125,77,2,2,3,0,0,0,135,2,3,0,78,77,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,60,0,32,78,2,0,121,78,4,0,1,78,1,0,0,77,78,0,119,0,4,0,82,78,4,0,16,78,78,2,0,77,78,0,120,77,3,0,1,66,106,0,119,0,49,0,1,77,0,0,85,25,77,0,1,78,0,0,109,25,4,78,1,77,0,0,109,25,8,77,1,77,0,0,132,0,0,77,1,78,75,0,2,80,0,0,163,168,0,0,1,79,70,0,135,77,9,0,78,25,80,79,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,29,0,25,69,0,108,1,77,0,0,132,0,0,77,116,65,69,0,106,79,69,4,109,65,4,79,106,77,69,8,109,65,8,77,1,79,109,0,135,77,9,0,79,0,25,65,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,5,0,135,77,10,0,25,0,0,0,1,66,106,0,119,0,8,0,135,69,5,0,135,77,10,0,25,0,0,0,135,77,6,0,68,0,0,0,135,77,7,0,69,0,0,0,32,77,66,106,121,77,5,1,1,77,0,0,132,0,0,77,1,77,152,1,135,2,3,0,77,0,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,250,0,85,62,2,0,25,69,2,64,82,77,69,0,106,79,69,4,45,77,77,79,52,16,0,0,1,66,113,0,119,0,36,0,82,77,68,0,25,3,77,64,82,77,3,0,106,4,77,20,1,77,0,0,132,0,0,77,135,77,4,0,70,33,2,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,20,0,1,77,0,0,132,0,0,77,135,77,4,0,4,3,33,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,5,0,135,77,6,0,33,0,0,0,119,0,6,0,135,77,6,0,33,0,0,0,82,2,62,0,1,66,113,0,119,0,1,0,32,77,66,113,121,77,198,0,106,77,2,80,106,79,2,76,4,69,77,79,28,7,69,48,121,69,186,0,25,4,0,108,25,8,60,36,25,9,60,24,25,10,60,12,1,3,0,0,82,79,68,0,25,5,79,64,82,79,5,0,106,6,79,20,1,79,0,0,132,0,0,79,1,79,112,0,135,11,3,0,75,79,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,124,0,119,0,117,0,0,13,57,0,0,2,4,0,25,12,13,40,116,13,2,0,25,13,13,4,25,2,2,4,54,79,13,12,64,17,0,0,1,79,0,0,132,0,0,79,82,77,62,0,106,77,77,76,27,80,3,48,3,77,77,80,135,79,4,0,71,60,77,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,125,0,119,0,93,0,0,13,64,0,0,2,57,0,25,12,13,40,116,13,2,0,25,13,13,4,25,2,2,4,54,79,13,12,160,17,0,0,1,79,0,0,132,0,0,79,135,79,1,0,74,11,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,4,0,1,2,1,0,1,66,126,0,119,0,72,0,25,13,11,12,0,2,64,0,25,12,13,40,116,13,2,0,25,13,13,4,25,2,2,4,54,79,13,12,244,17,0,0,25,2,11,52,1,79,0,0,85,2,79,0,1,77,0,0,109,11,56,77,1,79,0,0,107,11,60,79,1,79,120,24,85,11,79,0,1,79,0,0,132,0,0,79,25,77,11,64,135,79,4,0,71,77,60,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,120,0,119,0,42,0,1,79,11,0,85,2,79,0,1,79,0,0,132,0,0,79,135,79,4,0,70,56,11,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,4,0,1,2,0,0,1,66,126,0,119,0,27,0,1,79,0,0,132,0,0,79,135,79,4,0,6,5,56,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,128,0,119,0,15,0,135,79,6,0,56,0,0,0,135,79,10,0,8,0,0,0,135,79,10,0,9,0,0,0,135,79,10,0,10,0,0,0,135,79,10,0,60,0,0,0,25,3,3,1,57,79,7,3,192,19,0,0,119,0,124,255,32,79,66,120,121,79,5,0,135,2,5,0,1,3,1,0,1,66,127,0,119,0,23,0,32,79,66,124,121,79,3,0,135,2,5,0,119,0,45,0,32,79,66,125,121,79,3,0,135,2,5,0,119,0,15,0,32,79,66,126,121,79,6,0,135,69,5,0,0,3,2,0,0,2,69,0,1,66,127,0,119,0,8,0,45,79,66,72,116,19,0,0,135,2,5,0,135,79,6,0,56,0,0,0,1,3,0,0,1,66,129,0,32,79,66,127,121,79,2,0,1,66,129,0,1,79,129,0,45,79,66,79,180,19,0,0,135,79,10,0,8,0,0,0,135,79,10,0,9,0,0,0,135,79,10,0,10,0,0,0,135,79,10,0,60,0,0,0,120,3,2,0,119,0,11,0,135,79,11,0,11,0,0,0,119,0,8,0,135,79,6,0,62,0,0,0,135,79,6,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,6,0,62,0,0,0,0,69,2,0,135,79,6,0,68,0,0,0,135,79,7,0,69,0,0,0,135,69,5,0,135,79,6,0,68,0,0,0,135,79,7,0,69,0,0,0,1,79,0,0,132,0,0,79,1,79,120,0,1,77,1,0,1,80,0,0,135,2,2,0,79,0,77,80,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,130,6,121,2,238,1,82,80,68,0,102,80,80,84,121,80,48,0,1,80,0,0,85,4,80,0,1,77,0,0,109,4,4,77,1,80,0,0,109,4,8,80,1,80,0,0,132,0,0,80,1,77,75,0,2,79,0,0,40,175,0,0,1,78,48,0,135,80,9,0,77,4,79,78,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,106,6,25,69,0,108,1,80,0,0,132,0,0,80,116,65,69,0,106,78,69,4,109,65,4,78,106,80,69,8,109,65,8,80,1,78,109,0,135,80,9,0,78,0,4,65,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,4,0,135,80,10,0,4,0,0,0,119,0,8,0,135,69,5,0,135,80,10,0,4,0,0,0,135,80,6,0,68,0,0,0,135,80,7,0,69,0,0,0,1,80,0,0,132,0,0,80,1,78,113,0,106,79,0,76,135,80,9,0,78,23,0,79,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,67,6,106,4,23,8,121,4,67,0,1,80,0,0,132,0,0,80,1,80,104,1,135,2,3,0,80,4,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,54,6,125,69,2,2,4,0,0,0,78,79,69,0,32,79,79,59,121,79,4,0,25,79,69,1,0,80,79,0,119,0,3,0,1,79,0,0,0,80,79,0,0,69,80,0,25,2,0,80,32,79,69,0,121,79,4,0,1,79,1,0,0,80,79,0,119,0,4,0,82,79,2,0,16,79,79,69,0,80,79,0,120,80,3,0,85,23,4,0,119,0,33,0,1,80,0,0,132,0,0,80,1,80,104,1,135,3,3,0,80,4,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,20,6,125,69,3,3,4,0,0,0,78,79,69,0,32,79,79,125,121,79,4,0,25,79,69,1,0,80,79,0,119,0,3,0,1,79,0,0,0,80,79,0,0,69,80,0,32,79,69,0,121,79,4,0,1,79,1,0,0,80,79,0,119,0,4,0,82,79,2,0,16,79,79,69,0,80,79,0,120,80,2,0,85,23,4,0,82,2,23,0,120,2,96,0,1,80,0,0,85,65,80,0,1,79,0,0,109,65,4,79,1,80,0,0,109,65,8,80,1,80,0,0,132,0,0,80,1,79,75,0,2,78,0,0,28,156,0,0,1,77,11,0,135,80,9,0,79,65,78,77,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,5,0,119,0,75,0,1,80,0,0,85,64,80,0,1,77,0,0,109,64,4,77,1,80,0,0,109,64,8,80,1,80,0,0,132,0,0,80,1,77,75,0,2,78,0,0,40,156,0,0,1,79,7,0,135,80,9,0,77,64,78,79,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,5,0,119,0,49,0,1,80,0,0,85,63,80,0,1,79,0,0,109,63,4,79,1,80,0,0,109,63,8,80,1,80,0,0,132,0,0,80,1,79,75,0,2,78,0,0,5,158,0,0,1,77,25,0,135,80,9,0,79,63,78,77,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,5,0,119,0,25,0,1,80,0,0,132,0,0,80,1,77,25,0,135,80,12,0,77,0,65,64,63,0,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,5,0,135,2,5,0,135,80,10,0,63,0,0,0,119,0,9,0,135,80,10,0,63,0,0,0,135,80,10,0,64,0,0,0,135,80,10,0,65,0,0,0,1,66,160,0,119,0,7,0,135,80,10,0,64,0,0,0,135,80,10,0,65,0,0,0,119,0,2,0,1,66,160,0,1,80,160,0,45,80,66,80,228,27,0,0,1,80,0,0,132,0,0,80,1,77,0,0,135,80,4,0,70,55,77,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,5,0,119,0,245,0,102,80,23,13,120,80,52,0,1,80,0,0,132,0,0,80,1,80,233,3,1,77,1,0,135,2,8,0,80,0,77,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,87,0,85,28,2,0,1,77,0,0,132,0,0,77,135,77,4,0,70,65,2,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,22,0,1,77,0,0,132,0,0,77,1,80,198,3,135,77,8,0,80,55,65,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,5,0,135,77,6,0,65,0,0,0,119,0,7,0,135,77,6,0,65,0,0,0,135,77,6,0,28,0,0,0,1,66,181,0,119,0,53,0,135,77,6,0,28,0,0,0,119,0,50,0,1,77,0,0,132,0,0,77,1,77,240,3,135,2,8,0,77,0,2,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,37,0,85,27,2,0,1,77,0,0,132,0,0,77,135,77,4,0,70,65,2,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,22,0,1,77,0,0,132,0,0,77,1,80,198,3,135,77,8,0,80,55,65,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,5,0,135,77,6,0,65,0,0,0,119,0,7,0,135,77,6,0,65,0,0,0,135,77,6,0,27,0,0,0,1,66,181,0,119,0,3,0,135,77,6,0,27,0,0,0,1,77,181,0,45,77,66,77,220,27,0,0,82,77,68,0,25,3,77,64,82,77,3,0,106,4,77,20,1,77,0,0,132,0,0,77,1,77,68,0,135,5,3,0,75,77,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,121,0,0,13,42,0,25,2,0,108,25,12,13,40,116,13,2,0,25,13,13,4,25,2,2,4,54,77,13,12,8,26,0,0,1,77,0,0,132,0,0,77,82,80,55,0,135,77,4,0,70,48,80,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,98,0,0,13,65,0,0,2,42,0,25,12,13,40,116,13,2,0,25,13,13,4,25,2,2,4,54,77,13,12,92,26,0,0,1,77,0,0,132,0,0,77,135,77,1,0,74,5,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,3,1,0,119,0,73,0,25,13,5,12,0,2,65,0,25,12,13,40,116,13,2,0,25,13,13,4,25,2,2,4,54,77,13,12,172,26,0,0,25,2,5,52,1,77,0,0,85,2,77,0,1,80,0,0,109,5,56,80,1,77,0,0,107,5,60,77,85,5,76,0,1,77,0,0,132,0,0,77,25,80,5,64,135,77,4,0,73,80,48,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,5,0,135,77,6,0,48,0,0,0,119,0,47,0,1,77,16,0,85,2,77,0,1,77,0,0,132,0,0,77,135,77,4,0,70,45,5,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,3,0,0,119,0,28,0,1,77,0,0,132,0,0,77,135,77,4,0,4,3,45,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,7,0,135,2,5,0,135,77,6,0,45,0,0,0,135,77,6,0,48,0,0,0,119,0,19,0,135,77,6,0,45,0,0,0,135,77,6,0,48,0,0,0,135,77,6,0,55,0,0,0,135,77,6,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,2,5,0,135,77,6,0,48,0,0,0,120,3,2,0,119,0,3,0,135,77,11,0,5,0,0,0,135,77,6,0,55,0,0,0,0,69,2,0,135,77,6,0,68,0,0,0,135,77,7,0,69,0,0,0,25,7,0,76,1,77,0,0,132,0,0,77,1,80,113,0,82,78,7,0,135,77,9,0,80,65,0,78,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,6,0,135,69,5,0,135,77,6,0,68,0,0,0,135,77,7,0,69,0,0,0,25,5,65,8,82,2,5,0,106,5,5,4,106,77,65,4,120,77,72,0,82,77,68,0,25,3,77,64,82,77,3,0,106,4,77,20,116,24,65,0,1,78,0,0,109,24,4,78,25,69,24,8,85,69,2,0,109,69,4,5,1,78,0,0,132,0,0,78,116,65,24,0,106,77,24,4,109,65,4,77,106,78,24,8,109,65,8,78,106,77,24,12,109,65,12,77,1,77,121,0,135,2,2,0,77,0,65,1,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,97,4,85,29,2,0,1,77,0,0,132,0,0,77,135,77,4,0,70,26,2,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,24,0,1,77,0,0,132,0,0,77,135,77,4,0,4,3,26,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,5,0,135,77,6,0,26,0,0,0,119,0,10,0,135,77,6,0,26,0,0,0,135,77,6,0,29,0,0,0,135,77,6,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,6,0,29,0,0,0,0,69,2,0,135,77,6,0,68,0,0,0,135,77,7,0,69,0,0,0,1,77,0,0,132,0,0,77,1,77,122,0,1,78,1,0,1,80,0,0,135,2,2,0,77,0,78,80,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,41,4,121,2,59,0,82,80,68,0,25,3,80,64,82,80,3,0,106,4,80,20,1,80,0,0,132,0,0,80,1,80,153,1,135,2,3,0,80,0,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,25,4,85,31,2,0,1,80,0,0,132,0,0,80,135,80,4,0,70,30,2,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,5,0,119,0,24,0,1,80,0,0,132,0,0,80,135,80,4,0,4,3,30,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,5,0,135,2,5,0,135,80,6,0,30,0,0,0,119,0,10,0,135,80,6,0,30,0,0,0,135,80,6,0,31,0,0,0,135,80,6,0,68,0,0,0,137,67,0,0,1,80,1,0,139,80,0,0,135,80,6,0,31,0,0,0,0,69,2,0,135,80,6,0,68,0,0,0,135,80,7,0,69,0,0,0,1,80,0,0,132,0,0,80,1,80,123,0,1,78,1,0,1,77,0,0,135,2,2,0,80,0,78,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,225,3,121,2,59,0,82,77,68,0,25,3,77,64,82,77,3,0,106,4,77,20,1,77,0,0,132,0,0,77,1,77,154,1,135,2,3,0,77,0,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,209,3,85,34,2,0,1,77,0,0,132,0,0,77,135,77,4,0,70,32,2,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,24,0,1,77,0,0,132,0,0,77,135,77,4,0,4,3,32,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,5,0,135,77,6,0,32,0,0,0,119,0,10,0,135,77,6,0,32,0,0,0,135,77,6,0,34,0,0,0,135,77,6,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,6,0,34,0,0,0,0,69,2,0,135,77,6,0,68,0,0,0,135,77,7,0,69,0,0,0,1,77,0,0,132,0,0,77,1,77,124,0,1,78,1,0,1,80,0,0,135,2,2,0,77,0,78,80,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,153,3,121,2,59,0,82,80,68,0,25,3,80,64,82,80,3,0,106,4,80,20,1,80,0,0,132,0,0,80,1,80,155,1,135,2,3,0,80,0,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,137,3,85,36,2,0,1,80,0,0,132,0,0,80,135,80,4,0,70,35,2,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,5,0,119,0,24,0,1,80,0,0,132,0,0,80,135,80,4,0,4,3,35,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,5,0,135,2,5,0,135,80,6,0,35,0,0,0,119,0,10,0,135,80,6,0,35,0,0,0,135,80,6,0,36,0,0,0,135,80,6,0,68,0,0,0,137,67,0,0,1,80,1,0,139,80,0,0,135,80,6,0,36,0,0,0,0,69,2,0,135,80,6,0,68,0,0,0,135,80,7,0,69,0,0,0,1,80,0,0,132,0,0,80,1,80,125,0,1,78,1,0,1,77,0,0,135,2,2,0,80,0,78,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,81,3,121,2,59,0,82,77,68,0,25,3,77,64,82,77,3,0,106,4,77,20,1,77,0,0,132,0,0,77,1,77,156,1,135,2,3,0,77,0,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,65,3,85,38,2,0,1,77,0,0,132,0,0,77,135,77,4,0,70,37,2,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,5,0,119,0,24,0,1,77,0,0,132,0,0,77,135,77,4,0,4,3,37,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,5,0,135,77,6,0,37,0,0,0,119,0,10,0,135,77,6,0,37,0,0,0,135,77,6,0,38,0,0,0,135,77,6,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,6,0,38,0,0,0,0,69,2,0,135,77,6,0,68,0,0,0,135,77,7,0,69,0,0,0,1,77,0,0,132,0,0,77,1,77,126,0,1,78,1,0,1,80,0,0,135,2,2,0,77,0,78,80,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,9,3,121,2,59,0,82,80,68,0,25,3,80,64,82,80,3,0,106,4,80,20,1,80,0,0,132,0,0,80,1,80,157,1,135,2,3,0,80,0,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,249,2,85,40,2,0,1,80,0,0,132,0,0,80,135,80,4,0,70,39,2,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,5,0,119,0,24,0,1,80,0,0,132,0,0,80,135,80,4,0,4,3,39,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,5,0,135,2,5,0,135,80,6,0,39,0,0,0,119,0,10,0,135,80,6,0,39,0,0,0,135,80,6,0,40,0,0,0,135,80,6,0,68,0,0,0,137,67,0,0,1,80,1,0,139,80,0,0,135,80,6,0,40,0,0,0,0,69,2,0,135,80,6,0,68,0,0,0,135,80,7,0,69,0,0,0,1,80,0,0,132,0,0,80,1,80,127,0,1,78,1,0,1,77,0,0,135,2,2,0,80,0,78,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,193,2,121,2,60,0,82,77,68,0,25,3,77,64,82,77,3,0,106,4,77,20,1,77,0,0,132,0,0,77,1,77,241,3,1,78,0,0,135,2,8,0,77,0,78,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,120,78,176,2,85,43,2,0,1,78,0,0,132,0,0,78,135,78,4,0,70,41,2,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,3,0,135,2,5,0,119,0,24,0,1,78,0,0,132,0,0,78,135,78,4,0,4,3,41,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,5,0,135,2,5,0,135,78,6,0,41,0,0,0,119,0,10,0,135,78,6,0,41,0,0,0,135,78,6,0,43,0,0,0,135,78,6,0,68,0,0,0,137,67,0,0,1,78,1,0,139,78,0,0,135,78,6,0,43,0,0,0,0,69,2,0,135,78,6,0,68,0,0,0,135,78,7,0,69,0,0,0,1,78,0,0,132,0,0,78,1,78,1,0,1,77,0,0,135,2,2,0,72,0,78,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,121,2,121,2,60,0,82,77,68,0,25,3,77,64,82,77,3,0,106,4,77,20,1,77,0,0,132,0,0,77,1,77,241,3,1,78,1,0,135,2,8,0,77,0,78,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,120,78,104,2,85,46,2,0,1,78,0,0,132,0,0,78,135,78,4,0,70,44,2,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,3,0,135,2,5,0,119,0,24,0,1,78,0,0,132,0,0,78,135,78,4,0,4,3,44,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,5,0,135,2,5,0,135,78,6,0,44,0,0,0,119,0,10,0,135,78,6,0,44,0,0,0,135,78,6,0,46,0,0,0,135,78,6,0,68,0,0,0,137,67,0,0,1,78,1,0,139,78,0,0,135,78,6,0,46,0,0,0,0,69,2,0,135,78,6,0,68,0,0,0,135,78,7,0,69,0,0,0,1,78,0,0,132,0,0,78,1,78,129,0,1,77,1,0,1,80,0,0,135,2,2,0,78,0,77,80,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,48,2,121,2,19,0,1,80,0,0,132,0,0,80,1,77,130,0,1,78,1,0,1,79,0,0,135,80,2,0,77,0,78,79,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,34,2,135,80,6,0,68,0,0,0,137,67,0,0,1,80,1,0,139,80,0,0,1,80,0,0,132,0,0,80,1,80,131,0,1,79,1,0,1,78,0,0,135,2,2,0,80,0,79,78,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,120,78,16,2,121,2,59,0,82,78,68,0,25,3,78,64,82,78,3,0,106,4,78,20,1,78,0,0,132,0,0,78,1,78,158,1,135,2,3,0,78,0,0,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,120,78,0,2,85,49,2,0,1,78,0,0,132,0,0,78,135,78,4,0,70,47,2,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,3,0,135,2,5,0,119,0,24,0,1,78,0,0,132,0,0,78,135,78,4,0,4,3,47,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,5,0,135,2,5,0,135,78,6,0,47,0,0,0,119,0,10,0,135,78,6,0,47,0,0,0,135,78,6,0,49,0,0,0,135,78,6,0,68,0,0,0,137,67,0,0,1,78,1,0,139,78,0,0,135,78,6,0,49,0,0,0,0,69,2,0,135,78,6,0,68,0,0,0,135,78,7,0,69,0,0,0,1,78,0,0,132,0,0,78,1,78,132,0,1,79,1,0,1,80,0,0,135,2,2,0,78,0,79,80,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,200,1,121,2,59,0,82,80,68,0,25,3,80,64,82,80,3,0,106,4,80,20,1,80,0,0,132,0,0,80,1,80,159,1,135,2,3,0,80,0,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,184,1,85,51,2,0,1,80,0,0,132,0,0,80,135,80,4,0,70,50,2,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,5,0,119,0,24,0,1,80,0,0,132,0,0,80,135,80,4,0,4,3,50,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,5,0,135,2,5,0,135,80,6,0,50,0,0,0,119,0,10,0,135,80,6,0,50,0,0,0,135,80,6,0,51,0,0,0,135,80,6,0,68,0,0,0,137,67,0,0,1,80,1,0,139,80,0,0,135,80,6,0,51,0,0,0],eb+0);HEAPU8.set([0,69,2,0,135,80,6,0,68,0,0,0,135,80,7,0,69,0,0,0,1,80,0,0,132,0,0,80,1,80,133,0,1,79,1,0,1,78,0,0,135,2,2,0,80,0,79,78,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,120,78,128,1,121,2,59,0,82,78,68,0,25,3,78,64,82,78,3,0,106,4,78,20,1,78,0,0,132,0,0,78,1,78,160,1,135,2,3,0,78,0,0,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,120,78,112,1,85,53,2,0,1,78,0,0,132,0,0,78,135,78,4,0,70,52,2,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,3,0,135,2,5,0,119,0,24,0,1,78,0,0,132,0,0,78,135,78,4,0,4,3,52,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,5,0,135,2,5,0,135,78,6,0,52,0,0,0,119,0,10,0,135,78,6,0,52,0,0,0,135,78,6,0,53,0,0,0,135,78,6,0,68,0,0,0,137,67,0,0,1,78,1,0,139,78,0,0,135,78,6,0,53,0,0,0,0,69,2,0,135,78,6,0,68,0,0,0,135,78,7,0,69,0,0,0,121,1,125,0,1,78,0,0,132,0,0,78,1,79,70,0,1,80,1,0,1,77,0,0,135,78,2,0,79,0,80,77,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,120,78,55,1,106,78,0,80,82,77,7,0,50,78,78,77,144,41,0,0,135,78,6,0,68,0,0,0,137,67,0,0,1,78,1,0,139,78,0,0,1,78,0,0,85,65,78,0,1,77,0,0,109,65,4,77,1,78,0,0,109,65,8,78,1,78,0,0,132,0,0,78,1,77,75,0,2,80,0,0,28,156,0,0,1,79,11,0,135,78,9,0,77,65,80,79,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,3,0,135,2,5,0,119,0,76,0,1,78,0,0,85,64,78,0,1,79,0,0,109,64,4,79,1,78,0,0,109,64,8,78,1,78,0,0,132,0,0,78,1,79,75,0,2,80,0,0,40,156,0,0,1,77,7,0,135,78,9,0,79,64,80,77,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,3,0,135,2,5,0,119,0,52,0,1,78,0,0,85,63,78,0,1,77,0,0,109,63,4,77,1,78,0,0,109,63,8,78,1,78,0,0,132,0,0,78,1,77,75,0,2,80,0,0,31,158,0,0,1,79,38,0,135,78,9,0,77,63,80,79,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,3,0,135,2,5,0,119,0,28,0,1,78,0,0,132,0,0,78,1,79,25,0,135,78,12,0,79,0,65,64,63,0,0,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,5,0,135,2,5,0,135,78,10,0,63,0,0,0,119,0,12,0,135,78,10,0,63,0,0,0,135,78,10,0,64,0,0,0,135,78,10,0,65,0,0,0,135,78,6,0,68,0,0,0,137,67,0,0,1,78,1,0,139,78,0,0,135,78,10,0,64,0,0,0,135,78,10,0,65,0,0,0,0,69,2,0,135,78,6,0,68,0,0,0,135,78,7,0,69,0,0,0,1,78,0,0,132,0,0,78,1,78,161,1,135,2,3,0,78,0,0,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,120,78,189,0,85,61,2,0,1,78,148,0,3,6,0,78,82,79,6,0,109,2,56,79,82,79,68,0,25,3,79,64,82,79,3,0,106,4,79,20,1,79,0,0,132,0,0,79,135,79,4,0,70,54,2,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,65,1,119,0,156,0,1,79,0,0,132,0,0,79,135,79,4,0,4,3,54,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,5,0,135,79,6,0,54,0,0,0,119,0,142,0,135,79,6,0,54,0,0,0,82,2,7,0,1,79,0,0,132,0,0,79,1,79,104,1,135,3,3,0,79,2,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,65,1,119,0,126,0,125,69,3,3,2,0,0,0,78,78,69,0,32,78,78,123,121,78,4,0,25,78,69,1,0,79,78,0,119,0,3,0,1,78,0,0,0,79,78,0,0,69,79,0,32,78,69,0,121,78,4,0,1,78,1,0,0,79,78,0,119,0,4,0,106,78,0,80,16,78,78,69,0,79,78,0,120,79,99,0,82,2,61,0,102,79,2,77,121,79,4,0,82,79,6,0,25,79,79,1,85,6,79,0,1,79,5,0,85,65,79,0,82,3,9,0,106,79,0,64,48,79,3,79,184,44,0,0,1,79,5,0,85,3,79,0,25,79,3,4,85,9,79,0,0,5,2,0,119,0,16,0,1,79,0,0,132,0,0,79,1,78,51,2,135,79,4,0,78,8,65,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,5,0,119,0,75,0,82,5,61,0,119,0,1,0,1,79,164,0,3,3,0,79,78,4,3,0,1,79,0,0,83,3,79,0,1,79,0,0,132,0,0,79,1,79,242,3,1,78,0,0,135,2,8,0,79,0,78,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,5,0,135,2,5,0,83,3,4,0,1,66,66,1,119,0,52,0,83,3,4,0,85,59,2,0,25,2,5,64,1,78,0,0,132,0,0,78,1,79,198,3,135,78,8,0,79,2,59,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,120,78,27,0,1,78,0,0,132,0,0,78,135,78,4,0,73,63,2,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,120,78,17,0,116,58,63,0,135,78,6,0,58,0,0,0,135,78,6,0,59,0,0,0,82,78,9,0,26,78,78,4,85,9,78,0,82,78,61,0,102,78,78,77,120,78,2,0,119,0,9,0,82,78,6,0,26,78,78,1,85,6,78,0,119,0,5,0,135,2,5,0,135,78,6,0,59,0,0,0,119,0,8,0,135,78,6,0,61,0,0,0,135,78,6,0,68,0,0,0,137,67,0,0,1,78,1,0,139,78,0,0,1,78,65,1,45,78,66,78,40,46,0,0,135,2,5,0,1,66,66,1,135,78,6,0,61,0,0,0,0,69,2,0,135,78,6,0,68,0,0,0,135,78,7,0,69,0,0,0,135,69,5,0,135,78,6,0,68,0,0,0,135,78,7,0,69,0,0,0,135,69,5,0,135,78,6,0,68,0,0,0,135,78,7,0,69,0,0,0,1,78,0,0,139,78,0,0,140,1,80,0,0,0,0,0,2,68,0,0,226,1,0,0,2,69,0,0,150,0,0,0,2,70,0,0,208,1,0,0,2,71,0,0,196,1,0,0,2,72,0,0,76,1,0,0,2,73,0,0,110,1,0,0,2,74,0,0,239,64,1,0,1,64,0,0,136,75,0,0,0,60,75,0,136,75,0,0,1,76,192,2,3,75,75,76,137,75,0,0,1,75,144,2,3,59,60,75,1,75,128,2,3,44,60,75,1,75,116,2,3,43,60,75,1,75,104,2,3,25,60,75,1,75,64,2,3,31,60,75,1,75,160,0,3,33,60,75,25,34,60,120,25,35,60,80,25,36,60,40,0,37,60,0,1,75,56,2,3,67,60,75,1,75,248,1,3,66,60,75,1,75,232,1,3,63,60,75,1,75,184,1,3,62,60,75,1,75,16,2,3,18,60,75,1,75,4,2,3,41,60,75,1,75,244,1,3,42,60,75,1,75,164,1,3,54,60,75,1,75,240,1,3,19,60,75,1,75,236,1,3,20,60,75,1,75,192,1,3,21,60,75,1,75,180,1,3,45,60,75,1,75,168,1,3,46,60,75,1,75,160,1,3,57,60,75,1,75,156,1,3,22,60,75,1,75,112,1,3,23,60,75,1,75,104,1,3,47,60,75,3,48,60,72,1,75,152,1,3,55,60,75,1,75,72,1,3,24,60,75,1,75,32,1,3,26,60,75,1,75,24,1,3,49,60,75,1,75,12,1,3,50,60,75,1,75,0,1,3,27,60,75,1,75,244,0,3,28,60,75,1,75,232,0,3,29,60,75,1,75,220,0,3,30,60,75,1,75,108,1,3,53,60,75,1,75,216,0,3,51,60,75,1,75,212,0,3,52,60,75,1,75,88,1,3,61,60,75,1,75,200,0,3,58,60,75,1,75,92,0,135,1,13,0,75,0,0,0,25,56,0,108,1,75,0,0,132,0,0,75,0,5,59,0,0,6,56,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,75,5,8,48,48,0,0,1,76,38,2,135,75,4,0,76,1,59,0,130,75,0,0,0,65,75,0,1,75,0,0,132,0,0,75,38,75,65,1,121,75,6,0,135,67,5,0,135,75,11,0,1,0,0,0,135,75,7,0,67,0,0,0,135,75,14,0,67,1,0,0,1,75,0,0,85,66,75,0,25,65,66,4,1,75,0,0,85,65,75,0,1,76,0,0,109,66,8,76,25,32,0,76,25,40,0,80,25,38,59,12,25,9,66,8,1,76,152,0,3,10,0,76,25,11,0,84,25,12,0,96,1,76,156,0,3,13,0,76,1,76,160,0,3,14,0,76,25,15,44,8,25,16,44,4,25,39,59,12,25,17,44,11,1,2,1,0,1,76,0,0,132,0,0,76,1,76,110,0,1,75,1,0,1,77,0,0,135,1,2,0,76,0,75,77,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,8,0,119,0,193,5,33,77,1,0,120,77,240,255,1,77,0,0,132,0,0,77,1,77,78,0,1,75,1,0,1,76,0,0,135,1,2,0,77,0,75,76,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,9,0,119,0,176,5,120,1,212,4,1,76,0,0,132,0,0,76,1,76,93,0,1,75,1,0,1,77,0,0,135,1,2,0,76,0,75,77,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,9,0,119,0,160,5,120,1,88,0,121,2,44,0,1,77,0,0,85,29,77,0,1,75,0,0,109,29,4,75,1,77,0,0,109,29,8,77,1,77,0,0,132,0,0,77,1,75,75,0,2,76,0,0,253,160,0,0,1,78,47,0,135,77,9,0,75,29,76,78,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,9,0,119,0,136,5,1,77,0,0,132,0,0,77,116,59,56,0,106,78,56,4,109,59,4,78,106,77,56,8,109,59,8,77,1,78,109,0,135,77,9,0,78,0,29,59,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,188,0,119,0,118,5,135,77,10,0,29,0,0,0,119,0,56,5,1,77,0,0,85,30,77,0,1,78,0,0,109,30,4,78,1,77,0,0,109,30,8,77,1,77,0,0,132,0,0,77,1,78,75,0,2,76,0,0,45,161,0,0,1,75,52,0,135,77,9,0,78,30,76,75,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,9,0,119,0,93,5,1,77,0,0,132,0,0,77,116,59,56,0,106,75,56,4,109,59,4,75,106,77,56,8,109,59,8,77,1,75,109,0,135,77,9,0,75,0,30,59,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,192,0,119,0,75,5,135,77,10,0,30,0,0,0,119,0,13,5,1,77,0,0,132,0,0,77,1,77,84,0,135,7,3,0,72,77,0,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,9,0,119,0,59,5,0,5,37,0,0,6,56,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,77,5,8,68,51,0,0,1,77,0,0,132,0,0,77,135,77,1,0,73,7,0,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,80,0,119,0,39,5,25,5,7,12,0,6,37,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,77,5,8,148,51,0,0,1,77,76,19,85,7,77,0,1,75,0,0,107,7,52,75,1,77,0,0,107,7,53,77,1,75,0,0,107,7,54,75,1,77,0,0,109,7,56,77,25,1,7,60,1,77,120,33,85,1,77,0,25,6,7,64,1,77,0,0,85,6,77,0,1,75,0,0,109,6,4,75,1,77,0,0,109,6,8,77,1,75,0,0,109,6,12,75,1,75,0,0,132,0,0,75,1,77,36,2,1,76,0,0,135,75,4,0,77,6,76,0,130,75,0,0,0,8,75,0,1,75,0,0,132,0,0,75,38,75,8,1,121,75,3,0,1,64,47,0,119,0,251,4,1,75,212,32,85,7,75,0,1,75,80,33,85,1,75,0,1,76,0,0,107,7,80,76,1,75,0,0,107,7,81,75,1,76,0,0,107,7,82,76,1,76,0,0,132,0,0,76,135,76,4,0,68,63,7,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,9,0,119,0,229,4,1,76,0,0,132,0,0,76,1,76,88,0,135,4,3,0,72,76,0,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,82,0,119,0,216,4,0,5,18,0,0,6,56,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,76,5,8,208,52,0,0,1,76,0,0,85,41,76,0,1,75,0,0,109,41,4,75,1,76,0,0,109,41,8,76,1,76,0,0,132,0,0,76,1,75,75,0,2,77,0,0,174,167,0,0,1,78,3,0,135,76,9,0,75,41,77,78,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,83,0,119,0,186,4,1,76,0,0,132,0,0,76,82,78,63,0,135,76,4,0,68,42,78,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,84,0,119,0,173,4,0,5,36,0,0,6,18,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,76,5,8,124,53,0,0,1,76,0,0,132,0,0,76,135,76,1,0,73,4,0,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,4,0,1,1,1,0,1,64,85,0,119,0,152,4,25,5,4,12,0,6,36,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,76,5,8,208,53,0,0,1,78,0,0,107,4,52,78,1,76,0,0,107,4,53,76,1,78,0,0,107,4,54,78,25,1,4,56,1,78,0,0,85,1,78,0,1,78,160,33,85,4,78,0,25,2,4,60,1,78,0,0,132,0,0,78,135,78,4,0,71,2,41,0,130,78,0,0,0,8,78,0,1,78,0,0,132,0,0,78,38,78,8,1,121,78,3,0,1,64,60,0,119,0,120,4,1,78,0,0,132,0,0,78,25,76,4,72,135,78,4,0,70,76,42,0,130,78,0,0,0,8,78,0,1,78,0,0,132,0,0,78,38,78,8,1,121,78,3,0,1,64,61,0,119,0,107,4,1,76,0,0,107,4,76,76,1,78,0,0,109,4,80,78,1,76,0,0,109,4,84,76,1,76,11,0,85,1,76,0,1,76,0,0,132,0,0,76,135,76,4,0,68,62,4,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,4,0,1,1,0,0,1,64,85,0,119,0,86,4,135,76,6,0,42,0,0,0,135,76,10,0,41,0,0,0,1,76,0,0,132,0,0,76,1,76,78,0,1,78,1,0,1,77,0,0,135,1,2,0,76,0,78,77,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,88,0,119,0,67,4,120,1,18,2,1,77,0,0,132,0,0,77,1,77,134,1,135,1,3,0,77,0,0,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,88,0,119,0,53,4,85,57,1,0,120,1,97,1,82,1,32,0,1,77,0,0,132,0,0,77,1,77,104,1,135,2,3,0,77,1,0,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,113,0,119,0,37,4,125,1,2,2,1,0,0,0,78,2,1,0,41,77,2,24,42,77,77,24,121,77,34,1,1,3,0,0,1,4,0,0,1,5,0,0,41,77,2,24,42,77,77,24,1,78,34,0,1,76,59,0,138,77,78,76,32,57,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,44,57,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,180,56,0,0,56,57,0,0,121,3,3,0,1,3,1,0,119,0,33,0,121,4,4,0,1,3,0,0,1,4,1,0,119,0,29,0,41,78,2,24,42,78,78,24,1,76,40,0,1,75,2,0,138,78,76,75,248,56,0,0,8,57,0,0,1,3,0,0,1,4,0,0,119,0,19,0,1,3,0,0,1,4,0,0,25,5,5,1,119,0,15,0,120,5,2,0,119,0,19,0,1,3,0,0,1,4,0,0,26,5,5,1,119,0,9,0,40,78,3,1,0,3,78,0,119,0,6,0,40,78,4,1,0,4,78,0,119,0,3,0,25,1,1,1,119,0,1,0,25,1,1,1,78,2,1,0,41,77,2,24,42,77,77,24,120,77,153,255,119,0,182,0,82,77,40,0,25,78,1,1,55,77,77,78,44,60,0,0,1,77,0,0,132,0,0,77,1,77,235,3,1,78,0,0,135,1,8,0,77,0,78,0,130,78,0,0,0,8,78,0,1,78,0,0,132,0,0,78,38,78,8,1,121,78,3,0,1,64,113,0,119,0,161,3,85,55,1,0,82,78,63,0,25,2,78,60,82,78,2,0,106,3,78,20,1,78,0,0,132,0,0,78,1,78,84,0,135,4,3,0,72,78,0,0,130,78,0,0,0,8,78,0,1,78,0,0,132,0,0,78,38,78,8,1,121,78,3,0,1,64,147,0,119,0,143,3,0,5,26,0,25,6,1,12,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,78,5,8,244,57,0,0,1,78,0,0,132,0,0,78,135,78,4,0,68,49,1,0,130,78,0,0,0,8,78,0,1,78,0,0,132,0,0,78,38,78,8,1,121,78,3,0,1,64,148,0,119,0,123,3,1,78,0,0,85,50,78,0,1,77,0,0,109,50,4,77,1,78,0,0,109,50,8,78,1,78,0,0,132,0,0,78,1,77,75,0,1,76,0,0,135,78,9,0,77,50,74,76,130,78,0,0,0,8,78,0,1,78,0,0,132,0,0,78,38,78,8,1,121,78,3,0,1,64,149,0,119,0,103,3,0,5,33,0,0,6,26,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,78,5,8,148,58,0,0,1,78,0,0,132,0,0,78,135,78,1,0,73,4,0,0,130,78,0,0,0,8,78,0,1,78,0,0,132,0,0,78,38,78,8,1,121,78,4,0,1,1,1,0,1,64,150,0,119,0,82,3,25,5,4,12,0,6,33,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,78,5,8,232,58,0,0,1,76,0,0,107,4,52,76,1,78,0,0,107,4,53,78,1,76,0,0,107,4,54,76,1,78,0,0,109,4,56,78,1,78,92,32,85,4,78,0,25,1,4,60,1,78,0,0,132,0,0,78,135,78,4,0,70,1,49,0,130,78,0,0,0,8,78,0,1,78,0,0,132,0,0,78,38,78,8,1,121,78,3,0,1,64,142,0,119,0,51,3,1,78,0,0,132,0,0,78,25,76,4,64,135,78,4,0,71,76,50,0,130,78,0,0,0,8,78,0,1,78,0,0,132,0,0,78,38,78,8,1,121,78,3,0,1,64,143,0,119,0,38,3,1,76,0,0,107,4,76,76,1,78,0,0,107,4,77,78,1,76,0,0,109,4,80,76,1,76,0,0,132,0,0,76,135,76,4,0,68,24,4,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,4,0,1,1,0,0,1,64,150,0,119,0,19,3,1,76,0,0,132,0,0,76,135,76,4,0,3,2,24,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,152,0,119,0,7,3,135,76,6,0,24,0,0,0,135,76,10,0,50,0,0,0,135,76,6,0,49,0,0,0,135,76,6,0,55,0,0,0,119,0,203,0,1,76,0,0,85,27,76,0,1,78,0,0,109,27,4,78,1,76,0,0,109,27,8,76,1,76,0,0,132,0,0,76,1,78,75,0,2,77,0,0,220,160,0,0,1,75,13,0,135,76,9,0,78,27,77,75,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,113,0,119,0,232,2,1,76,0,0,132,0,0,76,116,59,56,0,106,75,56,4,109,59,4,75,106,76,56,8,109,59,8,76,1,75,109,0,135,76,9,0,75,0,27,59,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,159,0,119,0,214,2,135,76,10,0,27,0,0,0,119,0,160,0,82,76,63,0,25,2,76,60,82,76,2,0,106,3,76,20,1,76,0,0,132,0,0,76,1,76,84,0,135,4,3,0,72,76,0,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,113,0,119,0,194,2,0,5,23,0,25,6,1,12,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,76,5,8,40,61,0,0,1,76,0,0,132,0,0,76,135,76,4,0,68,47,1,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,114,0,119,0,174,2,1,76,0,0,85,48,76,0,1,75,0,0,109,48,4,75,1,76,0,0,109,48,8,76,1,76,0,0,132,0,0,76,1,75,75,0,1,77,0,0,135,76,9,0,75,48,74,77,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,115,0,119,0,154,2,0,5,34,0,0,6,23,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,76,5,8,200,61,0,0,1,76,0,0,132,0,0,76,135,76,1,0,73,4,0,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,4,0,1,1,1,0,1,64,116,0,119,0,133,2,25,5,4,12,0,6,34,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,76,5,8,28,62,0,0,1,77,0,0,107,4,52,77,1,76,0,0,107,4,53,76,1,77,0,0,107,4,54,77,1,76,0,0,109,4,56,76,1,76,92,32,85,4,76,0,25,1,4,60,1,76,0,0,132,0,0,76,135,76,4,0,70,1,47,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,108,0,119,0,102,2,1,76,0,0,132,0,0,76,25,77,4,64,135,76,4,0,71,77,48,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,109,0,119,0,89,2,1,77,0,0,107,4,76,77,1,76,0,0,107,4,77,76,1,77,0,0,109,4,80,77,1,77,0,0,132,0,0,77,135,77,4,0,68,22,4,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,4,0,1,1,0,0,1,64,116,0,119,0,70,2,1,77,0,0,132,0,0,77,135,77,4,0,3,2,22,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,118,0,119,0,58,2,135,77,6,0,22,0,0,0,135,77,10,0,48,0,0,0,135,77,6,0,47,0,0,0,135,77,6,0,57,0,0,0,119,0,197,0,1,77,0,0,132,0,0,77,116,59,10,0,106,76,10,4,109,59,4,76,106,77,10,8,109,59,8,77,1,77,79,0,1,76,0,0,135,1,2,0,77,0,59,76,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,88,0,119,0,30,2,85,19,1,0,1,76,0,0,132,0,0,76,135,76,4,0,68,54,1,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,89,0,119,0,17,2,135,76,6,0,19,0,0,0,82,76,63,0,25,2,76,60,82,76,2,0,106,3,76,20,1,76,0,0,132,0,0,76,1,76,84,0,135,4,3,0,72,76,0,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,90,0,119,0,254,1,82,1,54,0,0,5,21,0,25,6,1,12,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,76,5,8,60,64,0,0,1,76,0,0,132,0,0,76,135,76,4,0,68,45,1,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,91,0,119,0,233,1,1,76,0,0,85,46,76,0,1,77,0,0,109,46,4,77,1,76,0,0,109,46,8,76,1,76,0,0,132,0,0,76,1,77,75,0,1,75,0,0,135,76,9,0,77,46,74,75,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,92,0,119,0,213,1,0,5,35,0,0,6,21,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,76,5,8,220,64,0,0,1,76,0,0,132,0,0,76,135,76,1,0,73,4,0,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,4,0,1,1,1,0,1,64,93,0,119,0,192,1,25,5,4,12,0,6,35,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,76,5,8,48,65,0,0,1,75,0,0,107,4,52,75,1,76,0,0,107,4,53,76,1,75,0,0,107,4,54,75,1,76,0,0,109,4,56,76,1,76,92,32,85,4,76,0,25,1,4,60,1,76,0,0,132,0,0,76,135,76,4,0,70,1,45,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,75,0,119,0,161,1,1,76,0,0,132,0,0,76,25,75,4,64,135,76,4,0,71,75,46,0,130,76,0,0,0,8,76,0,1,76,0,0,132,0,0,76,38,76,8,1,121,76,3,0,1,64,76,0,119,0,148,1,1,75,0,0,107,4,76,75,1,76,0,0,107,4,77,76,1,75,0,0,109,4,80,75,1,75,0,0,132,0,0,75,135,75,4,0,68,20,4,0,130,75,0,0,0,8,75,0,1,75,0,0,132,0,0,75,38,75,8,1,121,75,4,0,1,1,0,0,1,64,93,0,119,0,129,1,1,75,0,0,132,0,0,75,135,75,4,0,3,2,20,0,130,75,0,0,0,8,75,0,1,75,0,0,132,0,0,75,38,75,8,1,121,75,3,0,1,64,95,0,119,0,117,1,135,75,6,0,20,0,0,0,135,75,10,0,46,0,0,0,135,75,6,0,45,0,0,0,135,75,6,0,54,0,0,0,1,75,0,0,132,0,0,75,1,75,74,0,1,76,1,0,1,77,0,0,135,1,2,0,75,0,76,77,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,88,0,119,0,94,1,120,1,43,0,1,77,0,0,85,28,77,0,1,76,0,0,109,28,4,76,1,77,0,0,109,28,8,77,1,77,0,0,132,0,0,77,1,76,75,0,2,75,0,0,234,160,0,0,1,78,18,0,135,77,9,0,76,28,75,78,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,88,0,119,0,71,1,1,77,0,0,132,0,0,77,116,59,56,0,106,78,56,4,109,59,4,78,106,77,56,8,109,59,8,77,1,78,109,0,135,77,9,0,78,0,28,59,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,167,0,119,0,53,1,135,77,10,0,28,0,0,0,82,1,62,0,1,77,0,0,85,59,77,0,1,78,0,0,109,59,4,78,1,77,0,0,109,59,8,77,1,77,0,0,132,0,0,77,1,78,75,0,1,75,0,0,135,77,9,0,78,59,74,75,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,177,0,119,0,30,1,1,77,0,0,132,0,0,77,135,77,4,0,68,38,1,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,170,0,119,0,18,1,82,1,65,0,82,77,9,0,48,77,1,77,92,68,0,0,116,1,59,0,106,75,59,4,109,1,4,75,106,77,59,8,109,1,8,77,1,77,0,0,85,59,77,0,1,75,0,0,109,59,4,75,1,77,0,0,109,59,8,77,1,77,0,0,132,0,0,77,25,75,1,12,135,77,4,0,70,75,38,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,173,0,119,0,246,0,82,77,65,0,25,77,77,16,85,65,77,0,119,0,14,0,1,77,0,0,132,0,0,77,1,75,57,2,135,77,4,0,75,66,59,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,179,0,119,0,229,0,135,77,6,0,38,0,0,0,135,77,10,0,59,0,0,0,135,77,6,0,62,0,0,0,135,77,6,0,63,0,0,0,119,0,161,0,82,2,13,0,82,4,14,0,1,77,0,0,85,44,77,0,1,75,0,0,109,44,4,75,1,77,0,0,109,44,8,77,4,5,4,2,1,77,239,255,48,77,77,5,32,69,0,0,1,77,0,0,132,0,0,77,1,75,121,1,135,77,1,0,75,44,0,0,130,77,0,0,0,64,77,0,1,77,0,0,132,0,0,77,38,77,64,1,121,77,3,0,1,64,33,0,119,0,195,0,1,64,18,0,119,0,7,0,35,77,5,11,121,77,4,0,83,17,5,0,0,1,44,0,119,0,2,0,1,64,18,0,32,77,64,18,121,77,23,0,1,64,0,0,25,77,5,16,38,77,77,240,0,3,77,0,1,77,0,0,132,0,0,77,135,1,3,0,72,3,0,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,33,0,119,0,169,0,85,44,1,0,2,77,0,0,0,0,0,128,20,77,3,77,85,15,77,0,85,16,5,0,46,77,2,4,196,69,0,0,0,3,1,0,78,77,2,0,83,3,77,0,25,2,2,1,52,77,2,4,192,69,0,0,25,3,3,1,119,0,250,255,3,1,1,5,1,77,0,0,83,1,77,0,1,77,0,0,132,0,0,77,1,75,0,0,135,77,4,0,68,43,75,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,34,0,119,0,137,0,1,77,0,0,132,0,0,77,135,77,4,0,71,59,44,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,35,0,119,0,125,0,1,77,0,0,132,0,0,77,135,77,4,0,70,39,43,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,26,0,119,0,113,0,82,1,65,0,82,77,9,0,48,77,1,77,224,70,0,0,116,1,59,0,106,75,59,4,109,1,4,75,106,77,59,8,109,1,8,77,1,77,0,0,85,59,77,0,1,75,0,0,109,59,4,75,1,77,0,0,109,59,8,77,1,77,0,0,132,0,0,77,25,75,1,12,135,77,4,0,70,75,39,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,29,0,119,0,85,0,82,77,65,0,25,77,77,16,85,65,77,0,119,0,14,0,1,77,0,0,132,0,0,77,1,75,57,2,135,77,4,0,75,66,59,0,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,37,0,119,0,68,0,135,77,6,0,39,0,0,0,135,77,10,0,59,0,0,0,135,77,6,0,43,0,0,0,135,77,10,0,44,0,0,0,116,44,10,0,106,75,10,4,109,44,4,75,106,77,10,8,109,44,8,77,82,2,32,0,116,43,11,0,106,75,11,4,109,43,4,75,106,77,11,8,109,43,8,77,116,25,12,0,106,75,12,4,109,25,4,75,106,77,12,8,109,25,8,77,0,5,31,0,0,6,56,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,77,5,8,128,71,0,0,1,77,0,0,132,0,0,77,1,75,61,0,1,78,1,0,1,76,0,0,135,77,2,0,75,0,78,76,130,77,0,0,0,8,77,0,1,77,0,0,132,0,0,77,38,77,8,1,121,77,3,0,1,64,9,0,119,0,21,0,1,77,0,0,132,0,0,77,1,77,62,0,1,76,1,0,1,78,0,0,135,1,2,0,77,0,76,78,130,78,0,0,0,8,78,0,1,78,0,0,132,0,0,78,38,78,8,1,121,78,3,0,1,64,9,0,119,0,6,0,120,1,3,0,1,64,196,0,119,0,3,0,1,2,0,0,119,0,50,250,1,75,8,0,1,79,189,0,138,64,75,79,36,75,0,0,56,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,76,75,0,0,32,75,0,0,32,75,0,0,104,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,136,75,0,0,156,75,0,0,176,75,0,0,32,75,0,0,196,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,216,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,48,76,0,0,68,76,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,100,76,0,0,120,76,0,0,32,75,0,0,32,75,0,0,32,75,0,0,152,76,0,0,32,75,0,0,172,76,0,0,192,76,0,0,212,76,0,0,240,76,0,0,32,75,0,0,32,75,0,0,8,77,0,0,28,77,0,0,56,77,0,0,76,77,0,0,96,77,0,0,124,77,0,0,32,75,0,0,148,77,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,180,77,0,0,200,77,0,0,32,75,0,0,32,75,0,0,32,75,0,0,232,77,0,0,252,77,0,0,16,78,0,0,44,78,0,0,32,75,0,0,68,78,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,100,78,0,0,120,78,0,0,32,75,0,0,32,75,0,0,32,75,0,0,152,78,0,0,172,78,0,0,192,78,0,0,220,78,0,0,32,75,0,0,244,78,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,20,79,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,48,79,0,0,32,75,0,0,32,75,0,0,76,79,0,0,32,75,0,0,32,75,0,0,104,79,0,0,32,75,0,0,32,75,0,0,32,75,0,0,136,79,0,0,32,75,0,0,156,79,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,32,75,0,0,176,79,0,0,32,75,0,0,32,75,0,0,32,75,0,0,200,79,0,0,32,75,0,0,32,75,0,0,32,75,0,0,224,79,0,0,119,0,85,3,135,2,5,0,128,78,0,0,0,1,78,0,1,64,11,0,119,0,80,3,135,2,5,0,128,78,0,0,0,1,78,0,1,64,11,0,119,0,75,3,135,2,5,0,128,78,0,0,0,1,78,0,135,78,10,0,59,0,0,0,1,64,36,0,119,0,68,3,135,2,5,0,128,78,0,0,0,63,78,0,135,78,10,0,1,0,0,0,0,1,63,0,1,64,38,0,119,0,60,3,135,2,5,0,128,78,0,0,0,1,78,0,1,64,41,0,119,0,55,3,135,2,5,0,128,78,0,0,0,1,78,0,1,64,40,0,119,0,50,3,135,2,5,0,128,78,0,0,0,1,78,0,1,64,36,0,119,0,45,3,135,2,5,0,128,78,0,0,0,1,78,0,1,64,38,0,119,0,40,3,135,2,5,0,128,78,0,0,0,5,78,0,25,4,7,68,82,1,6,0,121,1,14,0,82,3,4,0,46,78,3,1,28,76,0,0,26,64,3,4,85,4,64,0,135,78,6,0,64,0,0,0,82,3,4,0,53,78,3,1,252,75,0,0,82,1,6,0,135,78,11,0,1,0,0,0,0,1,5,0,1,64,81,0,119,0,18,3,135,2,5,0,128,78,0,0,0,1,78,0,1,64,62,0,119,0,13,3,135,62,5,0,128,78,0,0,0,1,78,0,135,78,10,0,2,0,0,0,0,2,62,0,1,64,62,0,119,0,5,3,135,2,5,0,128,78,0,0,0,1,78,0,1,64,77,0,119,0,0,3,135,2,5,0,128,78,0,0,0,61,78,0,135,78,6,0,1,0,0,0,0,1,61,0,1,64,77,0,119,0,248,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,81,0,119,0,243,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,183,0,119,0,238,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,87,0,119,0,233,2,135,2,5,0,128,78,0,0,0,1,78,0,135,78,10,0,41,0,0,0,1,64,87,0,119,0,226,2,135,2,5,0,0,3,1,0,128,78,0,0,0,1,78,0,1,64,86,0,119,0,220,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,182,0,119,0,215,2,135,2,5,0,128,78,0,0,0,1,78,0,135,78,6,0,19,0,0,0,1,64,182,0,119,0,208,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,98,0,119,0,203,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,97,0,119,0,198,2,135,2,5,0,128,78,0,0,0,1,78,0,135,78,6,0,45,0,0,0,1,64,97,0,119,0,191,2,135,2,5,0,0,3,1,0,128,78,0,0,0,1,78,0,1,64,94,0,119,0,185,2,135,2,5,0,128,78,0,0,0,1,78,0,135,78,6,0,20,0,0,0,1,3,0,0,1,64,96,0,119,0,177,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,110,0,119,0,172,2,135,2,5,0,128,78,0,0,0,61,78,0,135,78,6,0,1,0,0,0,0,1,61,0,1,64,110,0,119,0,164,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,161,0,119,0,159,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,120,0,119,0,154,2,135,2,5,0,128,78,0,0,0,1,78,0,135,78,6,0,47,0,0,0,1,64,120,0,119,0,147,2,135,2,5,0,0,3,1,0,128,78,0,0,0,1,78,0,1,64,117,0,119,0,141,2,135,2,5,0,128,78,0,0,0,1,78,0,135,78,6,0,22,0,0,0,1,3,0,0,1,64,119,0,119,0,133,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,144,0,119,0,128,2,135,2,5,0,128,78,0,0,0,61,78,0,135,78,6,0,1,0,0,0,0,1,61,0,1,64,144,0,119,0,120,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,155,0,119,0,115,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,154,0,119,0,110,2,135,2,5,0,128,78,0,0,0,1,78,0,135,78,6,0,49,0,0,0,1,64,154,0,119,0,103,2,135,2,5,0,0,3,1,0,128,78,0,0,0,1,78,0,1,64,151,0,119,0,97,2,135,2,5,0,128,78,0,0,0,1,78,0,135,78,6,0,24,0,0,0,1,3,0,0,1,64,153,0,119,0,89,2,135,2,5,0,128,78,0,0,0,1,78,0,135,78,10,0,27,0,0,0,1,64,161,0,119,0,82,2,135,2,5,0,128,78,0,0,0,1,78,0,135,78,10,0,28,0,0,0,1,64,182,0,119,0,75,2,135,2,5,0,128,78,0,0,0,1,78,0,135,78,10,0,59,0,0,0,1,64,178,0,119,0,68,2,135,2,5,0,128,78,0,0,0,61,78,0,135,78,10,0,1,0,0,0,0,1,61,0,1,64,180,0,119,0,60,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,178,0,119,0,55,2,135,2,5,0,128,78,0,0,0,1,78,0,1,64,180,0,119,0,50,2,135,2,5,0,128,78,0,0,0,4,78,0,135,78,10,0,29,0,0,0,119,0,44,2,135,2,5,0,128,78,0,0,0,4,78,0,135,78,10,0,30,0,0,0,119,0,38,2,0,5,56,0,0,6,31,0,25,8,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,78,5,8,236,79,0,0],eb+10240);HEAPU8.set([116,10,44,0,106,76,44,4,109,10,4,76,106,78,44,8,109,10,8,78,85,32,2,0,116,12,25,0,106,76,25,4,109,12,4,76,106,78,25,8,109,12,8,78,116,11,43,0,106,76,43,4,109,11,4,76,106,78,43,8,109,11,8,78,1,78,0,0,132,0,0,78,1,78,103,1,135,1,3,0,78,2,0,0,130,78,0,0,0,63,78,0,1,78,0,0,132,0,0,78,38,78,63,1,120,78,254,1,32,76,1,0,121,76,4,0,1,76,1,0,0,78,76,0,119,0,4,0,82,76,40,0,16,76,76,1,0,78,76,0,121,78,2,0,82,1,32,0,1,78,0,0,132,0,0,78,1,78,104,1,135,2,3,0,78,1,0,0,130,78,0,0,0,63,78,0,1,78,0,0,132,0,0,78,38,78,63,1,120,78,233,1,125,1,2,2,1,0,0,0,78,78,1,0,1,76,59,0,1,77,67,0,138,78,76,77,20,82,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,228,81,0,0,24,82,0,0,1,76,0,0,132,0,0,76,1,76,106,1,135,1,3,0,76,1,0,0,130,76,0,0,0,63,76,0,1,76,0,0,132,0,0,76,38,76,63,1,121,76,5,0,119,0,148,1,119,0,1,0,25,1,1,1,119,0,1,0,32,76,1,0,121,76,4,0,1,76,1,0,0,78,76,0,119,0,4,0,82,76,40,0,16,76,76,1,0,78,76,0,121,78,67,0,1,78,0,0,132,0,0,78,1,78,162,1,135,1,3,0,78,0,0,0,130,78,0,0,0,63,78,0,1,78,0,0,132,0,0,78,38,78,63,1,120,78,125,1,85,53,1,0,82,1,67,0,1,78,0,0,132,0,0,78,135,78,4,0,70,52,53,0,130,78,0,0,0,63,78,0,1,78,0,0,132,0,0,78,38,78,63,1,121,78,5,0,135,2,5,0,128,78,0,0,0,1,78,0,119,0,36,0,25,1,1,88,1,78,0,0,132,0,0,78,1,76,198,3,135,78,8,0,76,1,52,0,130,78,0,0,0,63,78,0,1,78,0,0,132,0,0,78,38,78,63,1,120,78,19,0,1,78,0,0,132,0,0,78,135,78,4,0,70,59,1,0,130,78,0,0,0,63,78,0,1,78,0,0,132,0,0,78,38,78,63,1,120,78,9,0,116,51,59,0,135,78,6,0,51,0,0,0,135,78,6,0,52,0,0,0,135,78,6,0,53,0,0,0,119,0,10,0,135,2,5,0,128,78,0,0,0,1,78,0,135,78,6,0,52,0,0,0,135,78,6,0,53,0,0,0,0,4,1,0,119,0,75,1,82,1,66,0,82,7,65,0,46,78,1,7,4,88,0,0,25,10,61,12,25,8,61,12,25,9,0,40,25,6,0,12,1,78,0,0,132,0,0,78,135,78,4,0,71,61,1,0,130,78,0,0,0,64,78,0,1,78,0,0,132,0,0,78,38,78,64,1,121,78,3,0,1,64,230,0,119,0,168,0,1,78,0,0,132,0,0,78,25,76,1,12,135,78,4,0,70,10,76,0,130,78,0,0,0,64,78,0,1,78,0,0,132,0,0,78,38,78,64,1,121,78,3,0,1,64,222,0,119,0,155,0,82,2,8,0,120,2,93,0,82,2,9,0,1,78,0,0,132,0,0,78,1,76,5,0,1,77,0,0,1,75,0,0,1,79,1,0,135,78,15,0,76,59,61,77,75,79,0,0,130,78,0,0,0,64,78,0,1,78,0,0,132,0,0,78,38,78,64,1,121,78,3,0,1,64,243,0,119,0,135,0,1,78,0,0,132,0,0,78,1,78,30,0,82,79,6,0,82,75,67,0,135,2,16,0,78,2,59,79,56,75,0,0,130,75,0,0,0,64,75,0,1,75,0,0,132,0,0,75,38,75,64,1,121,75,3,0,1,64,244,0,119,0,119,0,135,75,10,0,59,0,0,0,120,2,106,0,82,2,9,0,82,3,67,0,1,75,0,0,132,0,0,75,135,75,4,0,71,58,61,0,130,75,0,0,0,64,75,0,1,75,0,0,132,0,0,75,38,75,64,1,121,75,3,0,1,64,232,0,119,0,102,0,82,63,6,0,1,75,0,0,85,59,75,0,1,79,0,0,109,59,4,79,1,75,0,0,109,59,8,75,135,64,17,0,63,0,0,0,1,75,0,0,132,0,0,75,1,79,75,0,135,75,9,0,79,59,63,64,130,75,0,0,0,64,75,0,1,75,0,0,132,0,0,75,38,75,64,1,121,75,3,0,1,64,246,0,119,0,80,0,1,75,0,0,132,0,0,75,1,79,22,0,135,75,12,0,79,2,3,58,59,0,0,0,130,75,0,0,0,64,75,0,1,75,0,0,132,0,0,75,38,75,64,1,121,75,3,0,1,64,247,0,119,0,66,0,135,75,10,0,59,0,0,0,135,75,10,0,58,0,0,0,119,0,51,0,82,4,67,0,25,5,4,64,1,75,0,0,132,0,0,75,135,75,4,0,68,59,2,0,130,75,0,0,0,64,75,0,1,75,0,0,132,0,0,75,38,75,64,1,121,75,3,0,1,64,233,0,119,0,47,0,25,2,4,68,82,3,2,0,106,75,4,72,48,75,3,75,212,85,0,0,1,75,0,0,132,0,0,75,135,75,4,0,70,3,59,0,130,75,0,0,0,64,75,0,1,75,0,0,132,0,0,75,38,75,64,1,121,75,3,0,1,64,234,0,119,0,30,0,82,75,2,0,25,75,75,4,85,2,75,0,119,0,14,0,1,75,0,0,132,0,0,75,1,79,34,2,135,75,4,0,79,5,59,0,130,75,0,0,0,64,75,0,1,75,0,0,132,0,0,75,38,75,64,1,121,75,3,0,1,64,234,0,119,0,13,0,135,75,6,0,59,0,0,0,135,75,6,0,10,0,0,0,135,75,10,0,61,0,0,0,25,1,1,16,45,75,1,7,52,86,0,0,1,64,213,0,119,0,2,0,119,0,78,255,1,75,213,0,1,79,35,0,138,64,75,79,212,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,220,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,248,86,0,0,208,86,0,0,12,87,0,0,28,87,0,0,48,87,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,208,86,0,0,76,87,0,0,96,87,0,0,208,86,0,0,124,87,0,0,144,87,0,0,119,0,55,0,82,1,66,0,119,0,75,0,135,2,5,0,128,75,0,0,0,1,75,0,135,75,10,0,61,0,0,0,1,64,231,0,119,0,46,0,135,2,5,0,128,75,0,0,0,1,75,0,1,64,231,0,119,0,41,0,135,2,5,0,128,75,0,0,0,1,75,0,119,0,37,0,135,2,5,0,128,75,0,0,0,1,75,0,1,64,235,0,119,0,32,0,135,2,5,0,128,75,0,0,0,1,75,0,135,75,6,0,59,0,0,0,1,64,235,0,119,0,25,0,135,2,5,0,128,75,0,0,0,1,75,0,1,64,245,0,119,0,20,0,135,2,5,0,128,75,0,0,0,1,75,0,135,75,10,0,59,0,0,0,1,64,245,0,119,0,13,0,135,2,5,0,128,75,0,0,0,1,75,0,1,64,248,0,119,0,8,0,135,2,5,0,128,75,0,0,0,1,75,0,135,75,10,0,59,0,0,0,1,64,248,0,119,0,1,0,1,75,231,0,45,75,64,75,192,87,0,0,0,4,1,0,119,0,46,0,1,75,235,0,46,75,64,75,236,87,0,0,1,75,245,0,46,75,64,75,236,87,0,0,1,75,248,0,45,75,64,75,236,87,0,0,135,75,10,0,58,0,0,0,135,75,6,0,10,0,0,0,135,75,10,0,61,0,0,0,0,4,1,0,119,0,29,0,120,1,4,0,82,67,67,0,137,60,0,0,139,67,0,0,82,2,65,0,46,75,2,1,76,88,0,0,26,64,2,16,85,65,64,0,26,79,2,4,135,75,6,0,79,0,0,0,135,75,10,0,64,0,0,0,82,2,65,0,53,75,2,1,32,88,0,0,82,1,66,0,135,75,11,0,1,0,0,0,82,67,67,0,137,60,0,0,139,67,0,0,135,2,5,0,128,75,0,0,0,1,75,0,1,64,11,0,119,0,1,0,1,75,11,0,1,79,170,0,138,64,75,79,44,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,52,91,0,0,40,91,0,0,60,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,84,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,96,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,108,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,124,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,136,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,40,91,0,0,148,91,0,0,40,91,0,0,156,91,0,0,119,0,35,0,0,4,1,0,119,0,33,0,1,64,39,0,119,0,31,0,135,75,6,0,39,0,0,0,135,75,10,0,59,0,0,0,1,64,39,0,119,0,25,0,1,3,1,0,1,64,86,0,119,0,22,0,1,3,1,0,1,64,94,0,119,0,19,0,135,75,11,0,7,0,0,0,0,4,1,0,119,0,15,0,1,3,1,0,1,64,117,0,119,0,12,0,1,3,1,0,1,64,151,0,119,0,9,0,1,64,181,0,119,0,7,0,135,75,6,0,38,0,0,0,135,75,10,0,59,0,0,0,1,64,181,0,119,0,1,0,32,75,64,39,121,75,5,0,135,75,6,0,43,0,0,0,1,64,40,0,119,0,29,0,32,75,64,86,121,75,10,0,135,75,6,0,42,0,0,0,135,75,10,0,41,0,0,0,121,3,3,0,1,64,87,0,119,0,20,0,1,64,183,0,119,0,18,0,32,75,64,94,121,75,3,0,1,64,96,0,119,0,14,0,32,75,64,117,121,75,3,0,1,64,119,0,119,0,10,0,1,75,151,0,45,75,64,75,44,92,0,0,1,64,153,0,119,0,5,0,1,75,181,0,45,75,64,75,60,92,0,0,1,64,182,0,32,75,64,40,121,75,5,0,135,75,10,0,44,0,0,0,1,64,41,0,119,0,40,0,32,75,64,87,121,75,5,0,135,75,11,0,4,0,0,0,1,64,183,0,119,0,34,0,32,75,64,96,121,75,10,0,135,75,10,0,46,0,0,0,135,75,6,0,45,0,0,0,121,3,3,0,1,64,97,0,119,0,25,0,1,64,98,0,119,0,23,0,32,75,64,119,121,75,10,0,135,75,10,0,48,0,0,0,135,75,6,0,47,0,0,0,121,3,3,0,1,64,120,0,119,0,14,0,1,64,161,0,119,0,12,0,1,75,153,0,45,75,64,75,240,92,0,0,135,75,10,0,50,0,0,0,135,75,6,0,49,0,0,0,121,3,3,0,1,64,154,0,119,0,2,0,1,64,155,0,32,75,64,41,121,75,3,0,0,4,1,0,119,0,19,0,32,75,64,97,121,75,5,0,135,75,11,0,4,0,0,0,1,64,98,0,119,0,13,0,32,75,64,120,121,75,5,0,135,75,11,0,4,0,0,0,1,64,161,0,119,0,7,0,1,75,154,0,45,75,64,75,72,93,0,0,135,75,11,0,4,0,0,0,1,64,155,0,32,75,64,98,121,75,5,0,135,75,6,0,54,0,0,0,1,64,182,0,119,0,7,0,1,75,155,0,45,75,64,75,120,93,0,0,135,75,6,0,55,0,0,0,1,64,161,0,1,75,161,0,45,75,64,75,144,93,0,0,135,75,6,0,57,0,0,0,1,64,182,0,1,75,182,0,45,75,64,75,168,93,0,0,135,75,6,0,62,0,0,0,1,64,183,0,1,75,183,0,45,75,64,75,192,93,0,0,135,75,6,0,63,0,0,0,0,4,1,0,82,1,66,0,121,1,17,0,82,3,65,0,46,75,3,1,0,94,0,0,26,64,3,16,85,65,64,0,26,79,3,4,135,75,6,0,79,0,0,0,135,75,10,0,64,0,0,0,82,3,65,0,53,75,3,1,212,93,0,0,82,1,66,0,135,75,11,0,1,0,0,0,135,75,6,0,67,0,0,0,0,67,2,0,135,75,7,0,67,0,0,0,1,75,0,0,139,75,0,0,140,4,52,0,0,0,0,0,2,41,0,0,208,1,0,0,2,42,0,0,34,2,0,0,2,43,0,0,226,1,0,0,2,44,0,0,110,1,0,0,2,45,0,0,76,1,0,0,1,40,0,0,136,46,0,0,0,36,46,0,136,46,0,0,1,47,80,2,3,46,46,47,137,46,0,0,25,34,36,120,25,30,36,80,25,25,36,40,0,17,36,0,1,46,76,2,3,10,36,46,1,46,32,2,3,32,36,46,1,46,16,2,3,39,36,46,3,38,36,41,1,46,72,2,3,11,36,46,1,46,232,1,3,12,36,46,1,46,220,1,3,21,36,46,1,46,168,1,3,15,36,46,1,46,152,1,3,18,36,46,1,46,108,1,3,37,36,46,1,46,112,1,3,19,36,46,1,46,104,1,3,23,36,46,1,46,88,1,3,24,36,46,1,46,100,1,3,35,36,46,1,46,48,1,3,26,36,46,1,46,216,0,3,27,36,46,1,46,200,0,3,33,36,46,1,46,196,0,3,31,36,46,1,46,52,1,3,29,36,46,1,46,184,0,3,16,36,46,1,46,172,0,3,14,36,46,1,46,0,1,3,28,36,46,1,46,160,0,3,22,36,46,25,13,1,12,0,4,32,0,0,8,13,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,46,4,9,68,95,0,0,1,47,0,0,1,48,0,0,1,49,1,0,135,46,18,0,39,2,47,48,49,0,0,0,1,46,0,0,85,38,46,0,1,49,0,0,109,38,4,49,1,46,0,0,109,38,8,46,1,46,0,0,132,0,0,46,1,49,75,0,2,48,0,0,153,182,0,0,1,47,4,0,135,46,9,0,49,38,48,47,130,46,0,0,0,20,46,0,1,46,0,0,132,0,0,46,38,46,20,1,121,46,6,0,135,40,5,0,135,46,10,0,39,0,0,0,135,46,7,0,40,0,0,0,25,20,39,11,1,46,0,0,132,0,0,46,1,46,88,1,78,48,20,0,34,48,48,0,121,48,4,0,82,48,39,0,0,47,48,0,119,0,2,0,0,47,39,0,135,7,3,0,46,47,0,0,130,47,0,0,0,9,47,0,1,47,0,0,132,0,0,47,38,47,9,1,121,47,3,0,1,40,23,0,119,0,153,5,121,7,135,0,78,47,7,0,32,47,47,58,121,47,132,0,102,47,7,1,32,47,47,47,121,47,129,0,102,47,7,2,32,47,47,47,121,47,126,0,78,46,20,0,34,46,46,0,121,46,4,0,82,46,39,0,0,47,46,0,119,0,2,0,0,47,39,0,0,5,47,0,1,47,0,0,85,34,47,0,1,46,0,0,109,34,4,46,1,47,0,0,109,34,8,47,4,8,7,5,1,47,239,255,48,47,47,8,212,96,0,0,1,47,0,0,132,0,0,47,1,46,121,1,135,47,1,0,46,34,0,0,130,47,0,0,0,40,47,0,1,47,0,0,132,0,0,47,38,47,40,1,121,47,3,0,1,40,24,0,119,0,9,0,1,40,11,0,119,0,7,0,35,47,8,11,121,47,4,0,107,34,11,8,0,4,34,0,119,0,2,0,1,40,11,0,32,47,40,11,121,47,22,0,25,47,8,16,38,47,47,240,0,6,47,0,1,47,0,0,132,0,0,47,135,4,3,0,45,6,0,0,130,47,0,0,0,9,47,0,1,47,0,0,132,0,0,47,38,47,9,1,121,47,3,0,1,40,24,0,119,0,7,0,85,34,4,0,2,46,0,0,0,0,0,128,20,46,6,46,109,34,8,46,109,34,4,8,32,46,40,24,121,46,3,0,135,4,5,0,119,0,77,5,46,46,5,7,132,97,0,0,0,6,4,0,78,46,5,0,83,6,46,0,25,5,5,1,52,46,5,7,128,97,0,0,25,6,6,1,119,0,250,255,3,4,4,8,1,46,0,0,83,4,46,0,25,4,38,11,78,46,4,0,34,46,46,0,121,46,7,0,82,46,38,0,1,47,0,0,83,46,47,0,1,46,0,0,109,38,4,46,119,0,5,0,1,46,0,0,83,38,46,0,1,46,0,0,83,4,46,0,1,46,0,0,132,0,0,46,1,47,250,1,1,48,0,0,135,46,4,0,47,38,48,0,130,46,0,0,0,9,46,0,1,46,0,0,132,0,0,46,38,46,9,1,121,46,7,0,1,46,0,0,135,9,19,0,46,0,0,0,135,46,20,0,9,0,0,0,119,0,15,0,116,38,34,0,106,48,34,4,109,38,4,48,106,46,34,8,109,38,8,46,1,46,0,0,85,34,46,0,1,48,0,0,109,34,4,48,1,46,0,0,109,34,8,46,135,46,10,0,34,0,0,0,119,0,1,0,1,46,0,0,132,0,0,46,25,48,1,88,135,46,4,0,41,10,48,0,130,46,0,0,0,9,46,0,1,46,0,0,132,0,0,46,38,46,9,1,121,46,3,0,1,40,23,0,119,0,5,5,82,10,10,0,85,11,10,0,120,10,123,4,102,10,38,11,41,48,10,24,42,48,48,24,34,48,48,0,121,48,4,0,106,48,38,4,0,46,48,0,119,0,4,0,1,48,255,0,19,48,10,48,0,46,48,0,32,46,46,4,121,46,108,4,1,46,0,0,132,0,0,46,1,46,21,0,1,48,0,0,1,47,255,255,2,49,0,0,153,182,0,0,1,50,4,0,135,4,16,0,46,38,48,47,49,50,0,0,130,50,0,0,0,10,50,0,1,50,0,0,132,0,0,50,38,50,10,1,121,50,6,0,1,50,0,0,135,10,19,0,50,0,0,0,135,50,20,0,10,0,0,0,120,4,83,4,1,50,0,0,132,0,0,50,1,49,4,0,1,47,0,0,1,48,2,0,135,50,15,0,49,34,39,47,48,39,0,0,130,50,0,0,0,10,50,0,1,50,0,0,132,0,0,50,38,50,10,1,121,50,5,0,135,4,5,0,135,50,6,0,11,0,0,0,119,0,204,4,102,10,34,11,41,48,10,24,42,48,48,24,34,48,48,0,121,48,4,0,106,48,34,4,0,50,48,0,119,0,4,0,1,48,255,0,19,48,10,48,0,50,48,0,32,50,50,2,121,50,30,0,1,50,0,0,132,0,0,50,1,50,21,0,1,48,0,0,1,47,255,255,2,49,0,0,128,178,0,0,1,46,2,0,135,4,16,0,50,34,48,47,49,46,0,0,130,46,0,0,0,10,46,0,1,46,0,0,132,0,0,46,38,46,10,1,121,46,7,0,1,46,0,0,135,21,19,0,46,0,0,0,135,46,20,0,21,0,0,0,119,0,11,0,135,46,10,0,34,0,0,0,135,46,6,0,11,0,0,0,120,4,6,0,119,0,28,4,135,46,10,0,34,0,0,0,135,46,6,0,11,0,0,0,78,4,20,0,25,5,39,4,41,49,4,24,42,49,49,24,34,49,49,0,121,49,4,0,82,49,5,0,0,46,49,0,119,0,4,0,1,49,255,0,19,49,4,49,0,46,49,0,0,4,46,0,1,46,4,0,48,46,46,4,44,111,0,0,1,46,0,0,132,0,0,46,1,49,4,0,26,47,4,4,1,48,4,0,135,46,15,0,49,34,39,47,48,39,0,0,130,46,0,0,0,21,46,0,1,46,0,0,132,0,0,46,38,46,21,1,121,46,3,0,135,4,5,0,119,0,126,4,102,21,34,11,41,48,21,24,42,48,48,24,34,48,48,0,121,48,4,0,106,48,34,4,0,46,48,0,119,0,4,0,1,48,255,0,19,48,21,48,0,46,48,0,33,46,46,4,121,46,4,0,135,46,10,0,34,0,0,0,119,0,151,2,1,46,0,0,132,0,0,46,1,46,21,0,1,48,0,0,1,47,255,255,2,49,0,0,10,152,0,0,1,50,4,0,135,4,16,0,46,34,48,47,49,50,0,0,130,50,0,0,0,21,50,0,1,50,0,0,132,0,0,50,38,50,21,1,121,50,6,0,1,50,0,0,135,21,19,0,50,0,0,0,135,50,20,0,21,0,0,0,135,50,10,0,34,0,0,0,120,4,126,2,1,50,0,0,132,0,0,50,1,50,80,0,135,5,3,0,45,50,0,0,130,50,0,0,0,29,50,0,1,50,0,0,132,0,0,50,38,50,29,1,121,50,3,0,1,40,23,0,119,0,72,4,0,4,15,0,0,8,32,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,50,4,9,120,101,0,0,1,50,0,0,132,0,0,50,1,49,5,0,1,47,0,0,1,48,0,0,1,46,1,0,135,50,15,0,49,18,2,47,48,46,0,0,130,50,0,0,0,29,50,0,1,50,0,0,132,0,0,50,38,50,29,1,121,50,3,0,135,4,5,0,119,0,85,2,0,4,17,0,0,8,15,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,50,4,9,220,101,0,0,1,50,0,0,132,0,0,50,135,50,1,0,44,5,0,0,130,50,0,0,0,29,50,0,1,50,0,0,132,0,0,50,38,50,29,1,121,50,3,0,135,4,5,0,119,0,63,2,25,4,5,12,0,8,17,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,50,4,9,44,102,0,0,1,46,0,0,107,5,52,46,1,50,0,0,107,5,53,50,1,46,0,0,107,5,54,46,1,50,4,0,109,5,56,50,1,50,168,37,85,5,50,0,1,46,0,0,107,5,60,46,1,50,0,0,107,5,61,50,1,50,0,0,132,0,0,50,1,46,35,2,25,48,5,64,135,50,4,0,46,48,18,0,130,50,0,0,0,29,50,0,1,50,0,0,132,0,0,50,38,50,29,1,121,50,3,0,135,4,5,0,119,0,27,2,1,48,0,0,109,5,76,48,135,48,10,0,18,0,0,0,1,48,0,0,132,0,0,48,1,48,84,0,135,6,3,0,45,48,0,0,130,48,0,0,0,29,48,0,1,48,0,0,132,0,0,48,38,48,29,1,121,48,3,0,135,4,5,0,119,0,230,3,0,4,19,0,0,8,32,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,48,4,9,0,103,0,0,1,48,0,0,132,0,0,48,135,48,4,0,43,23,5,0,130,48,0,0,0,29,48,0,1,48,0,0,132,0,0,48,38,48,29,1,121,48,3,0,135,4,5,0,119,0,243,1,1,48,0,0,85,24,48,0,1,50,0,0,109,24,4,50,1,48,0,0,109,24,8,48,1,48,0,0,132,0,0,48,1,50,75,0,2,46,0,0,239,64,1,0,1,47,0,0,135,48,9,0,50,24,46,47,130,48,0,0,0,29,48,0,1,48,0,0,132,0,0,48,38,48,29,1,121,48,5,0,135,4,5,0,135,48,6,0,23,0,0,0,119,0,219,1,0,4,25,0,0,8,19,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,48,4,9,176,103,0,0,1,48,0,0,132,0,0,48,135,48,1,0,44,6,0,0,130,48,0,0,0,29,48,0,1,48,0,0,132,0,0,48,38,48,29,1,121,48,4,0,1,4,1,0,1,40,111,0,119,0,187,1,25,4,6,12,0,8,25,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,48,4,9,4,104,0,0,1,47,0,0,107,6,52,47,1,48,0,0,107,6,53,48,1,47,0,0,107,6,54,47,1,48,0,0,109,6,56,48,1,48,92,32,85,6,48,0,25,4,6,60,1,48,0,0,132,0,0,48,135,48,4,0,41,4,23,0,130,48,0,0,0,29,48,0,1,48,0,0,132,0,0,48,38,48,29,1,121,48,3,0,135,4,5,0,119,0,155,1,1,48,0,0,132,0,0,48,1,47,196,1,25,46,6,64,135,48,4,0,47,46,24,0,130,48,0,0,0,29,48,0,1,48,0,0,132,0,0,48,38,48,29,1,121,48,6,0,135,37,5,0,135,48,6,0,4,0,0,0,0,4,37,0,119,0,138,1,1,46,0,0,107,6,76,46,1,48,0,0,107,6,77,48,1,46,0,0,109,6,80,46,1,46,0,0,132,0,0,46,135,46,4,0,43,37,6,0,130,46,0,0,0,29,46,0,1,46,0,0,132,0,0,46,38,46,29,1,121,46,4,0,1,4,0,0,1,40,111,0,119,0,120,1,135,46,10,0,24,0,0,0,135,46,6,0,23,0,0,0,1,46,0,0,132,0,0,46,1,46,84,0,135,10,3,0,45,46,0,0,130,46,0,0,0,29,46,0,1,46,0,0,132,0,0,46,38,46,29,1,121,46,3,0,1,40,114,0,119,0,96,1,0,4,30,0,0,8,32,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,46,4,9,84,105,0,0,1,46,0,0,132,0,0,46,135,46,1,0,44,10,0,0,130,46,0,0,0,29,46,0,1,46,0,0,132,0,0,46,38,46,29,1,121,46,3,0,135,4,5,0,119,0,74,1,25,4,10,12,0,8,30,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,46,4,9,164,105,0,0,1,46,76,19,85,10,46,0,1,48,0,0,107,10,52,48,1,46,0,0,107,10,53,46,1,48,0,0,107,10,54,48,1,46,0,0,109,10,56,46,25,4,10,60,1,46,120,33,85,4,46,0,25,8,10,64,25,9,10,68,1,46,0,0,85,8,46,0,1,48,0,0,109,8,4,48,1,46,0,0,109,8,8,46,1,48,0,0,109,8,12,48,1,48,0,0,132,0,0,48,1,46,36,2,1,47,0,0,135,48,4,0,46,8,47,0,130,48,0,0,0,30,48,0,1,48,0,0,132,0,0,48,38,48,30,1,121,48,20,0,135,4,5,0,128,48,0,0,0,7,48,0,82,5,8,0,121,5,26,1,82,6,9,0,46,48,6,5,132,106,0,0,26,36,6,4,85,9,36,0,135,48,6,0,36,0,0,0,82,6,9,0,53,48,6,5,100,106,0,0,82,5,8,0,135,48,11,0,5,0,0,0,119,0,12,1,1,48,212,32,85,10,48,0,1,48,80,33,85,4,48,0,1,47,0,0,107,10,80,47,1,48,0,0,107,10,81,48,1,47,0,0,107,10,82,47,1,47,0,0,132,0,0,47,135,47,4,0,43,35,10,0,130,47,0,0,0,30,47,0,1,47,0,0,132,0,0,47,38,47,30,1,121,47,3,0,1,40,114,0,119,0,248,0,82,47,35,0,25,4,47,60,82,47,4,0,106,5,47,20,1,47,0,0,132,0,0,47,82,48,37,0,135,47,4,0,43,26,48,0,130,47,0,0,0,30,47,0,1,47,0,0,132,0,0,47,38,47,30,1,121,47,3,0,1,40,117,0,119,0,223,0,1,47,0,0,132,0,0,47,135,47,4,0,5,4,26,0,130,47,0,0,0,30,47,0,1,47,0,0,132,0,0,47,38,47,30,1,121,47,5,0,135,4,5,0,135,47,6,0,26,0,0,0,119,0,209,0,135,47,6,0,26,0,0,0,1,47,0,0,132,0,0,47,1,47,88,0,135,7,3,0,45,47,0,0,130,47,0,0,0,30,47,0,1,47,0,0,132,0,0,47,38,47,30,1,121,47,3,0,1,40,117,0,119,0,194,0,0,4,27,0,0,8,32,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,47,4,9,172,107,0,0,1,47,0,0,85,33,47,0,1,48,0,0,109,33,4,48,1,47,0,0,109,33,8,47,1,47,0,0,132,0,0,47,1,48,75,0,2,46,0,0,174,167,0,0,1,50,3,0,135,47,9,0,48,33,46,50,130,47,0,0,0,32,47,0,1,47,0,0,132,0,0,47,38,47,32,1,121,47,3,0,135,4,5,0,119,0,162,0,1,47,0,0,132,0,0,47,82,50,35,0,135,47,4,0,43,31,50,0,130,47,0,0,0,32,47,0,1,47,0,0,132,0,0,47,38,47,32,1,121,47,3,0,135,4,5,0,119,0,147,0,0,4,34,0,0,8,27,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,47,4,9,88,108,0,0,1,47,0,0,132,0,0,47,135,47,1,0,44,7,0,0,130,47,0,0,0,32,47,0,1,47,0,0,132,0,0,47,38,47,32,1,121,47,3,0,135,4,5,0,119,0,125,0,25,4,7,12,0,8,34,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,47,4,9,168,108,0,0,1,50,0,0,107,7,52,50,1,47,0,0,107,7,53,47,1,50,0,0,107,7,54,50,25,4,7,56,1,50,0,0,85,4,50,0,1,50,160,33,85,7,50,0,25,5,7,60,1,50,0,0,132,0,0,50,1,47,196,1,135,50,4,0,47,5,33,0,130,50,0,0,0,32,50,0,1,50,0,0,132,0,0,50,38,50,32,1,121,50,3,0,135,4,5,0,119,0,92,0,1,50,0,0,132,0,0,50,25,47,7,72,135,50,4,0,41,47,31,0,130,50,0,0,0,32,50,0,1,50,0,0,132,0,0,50,38,50,32,1,121,50,5,0,135,4,5,0,135,50,10,0,5,0,0,0,119,0,77,0,1,47,0,0,107,7,76,47,1,50,0,0,109,7,80,50,1,47,0,0,109,7,84,47,1,47,11,0,85,4,47,0,135,47,6,0,31,0,0,0,135,47,10,0,33,0,0,0,25,6,1,64,1,47,0,0,132,0,0,47,135,47,4,0,43,34,7,0,130,47,0,0,0,33,47,0,1,47,0,0,132,0,0,47,38,47,33,1,121,47,3,0,135,4,5,0,119,0,58,0,25,4,1,68,82,5,4,0,106,47,1,72,48,47,5,47,20,110,0,0,1,47,0,0,132,0,0,47,135,47,4,0,41,5,34,0,130,47,0,0,0,1,47,0,1,47,0,0,132,0,0,47,38,47,1,1,121,47,3,0,1,40,126,0,119,0,16,0,82,47,4,0,25,47,47,4,85,4,47,0,119,0,12,0,1,47,0,0,132,0,0,47,135,47,4,0,42,6,34,0,130,47,0,0,0,1,47,0,1,47,0,0,132,0,0,47,38,47,1,1,121,47,2,0,1,40,126,0,32,47,40,126,121,47,5,0,135,4,5,0,135,47,6,0,34,0,0,0,119,0,20,0,135,47,6,0,34,0,0,0,135,47,6,0,35,0,0,0,135,47,6,0,37,0,0,0,135,47,10,0,38,0,0,0,135,47,10,0,39,0,0,0,137,36,0,0,139,0,0,0,119,0,7,0,135,47,6,0,31,0,0,0,135,47,10,0,33,0,0,0,135,47,11,0,7,0,0,0,32,47,40,117,121,47,2,0,135,4,5,0,135,47,6,0,35,0,0,0,119,0,3,0,135,47,11,0,10,0,0,0,32,47,40,114,121,47,2,0,135,4,5,0,135,47,6,0,37,0,0,0,119,0,236,1,1,5,1,0,32,47,40,111,121,47,4,0,135,37,5,0,0,5,4,0,0,4,37,0,135,47,10,0,24,0,0,0,135,47,6,0,23,0,0,0,120,5,2,0,119,0,224,1,135,47,11,0,6,0,0,0,119,0,221,1,135,47,10,0,18,0,0,0,135,47,11,0,5,0,0,0,119,0,216,1,1,47,0,0,132,0,0,47,1,50,196,1,135,47,4,0,50,16,39,0,130,47,0,0,0,37,47,0,1,47,0,0,132,0,0,47,38,47,37,1,121,47,3,0,1,40,23,0,119,0,203,1,1,47,0,0,132,0,0,47,1,50,196,1,135,47,4,0,50,14,3,0,130,47,0,0,0,37,47,0,1,47,0,0,132,0,0,47,38,47,37,1,121,47,3,0,135,4,5,0,119,0,48,1,1,47,0,0,132,0,0,47,1,50,96,0,135,47,9,0,50,29,16,14,130,47,0,0,0,37,47,0,1,47,0,0,132,0,0,47,38,47,37,1,121,47,5,0,135,4,5,0,135,47,10,0,14,0,0,0,119,0,33,1,135,47,10,0,14,0,0,0,135,47,10,0,16,0,0,0,1,47,0,0,132,0,0,47,0,4,34,0,0,8,32,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,47,4,9,244,111,0,0,1,50,21,0,135,47,12,0,50,28,0,29,34,0,0,0,130,47,0,0,0,37,47,0,1,47,0,0,132,0,0,47,38,47,37,1,121,47,3,0,135,4,5,0,119,0,254,0,25,6,28,36,102,37,6,11,41,50,37,24,42,50,50,24,34,50,50,0,121,50,4,0,106,50,28,40,0,47,50,0,119,0,4,0,1,50,255,0,19,50,37,50,0,47,50,0,120,47,163,0,1,47,0,0,85,25,47,0,1,50,0,0,109,25,4,50,1,47,0,0,109,25,8,47,78,4,20,0,41,50,4,24,42,50,50,24,34,50,50,0,121,50,4,0,82,50,5,0,0,47,50,0,119,0,4,0,1,50,255,0,19,50,4,50,0,47,50,0,0,4,47,0,1,47,0,0,132,0,0,47,1,50,10,0,1,46,173,126,1,48,40,0,25,49,4,40,135,47,12,0,50,25,46,48,49,0,0,0,130,47,0,0,0,37,47,0,1,47,0,0,132,0,0,47,38,47,37,1,121,47,3,0,1,40,145,0,119,0,121,0,1,47,0,0,132,0,0,47,1,49,47,0,78,46,20,0,34,46,46,0,121,46,4,0,82,46,39,0,0,48,46,0,119,0,2,0,0,48,39,0,135,47,2,0,49,25,48,4,130,47,0,0,0,37,47,0,1,47,0,0,132,0,0,47,38,47,37,1,121,47,3,0,1,40,145,0,119,0,101,0,1,47,0,0,132,0,0,47,1,47,202,3,1,48,214,126,135,4,8,0,47,25,48,0,130,48,0,0,0,37,48,0,1,48,0,0,132,0,0,48,38,48,37,1,121,48,3,0,135,4,5,0,119,0,85,0,116,30,4,0,106,47,4,4,109,30,4,47,106,48,4,8,109,30,8,48,1,48,0,0,85,4,48,0,1,47,0,0,109,4,4,47,1,48,0,0,109,4,8,48,102,4,3,11,41,48,4,24,42,48,48,24,34,37,48,0,1,48,0,0,132,0,0,48,1,48,47,0,121,37,4,0,82,49,3,0,0,47,49,0,119,0,2,0,0,47,3,0,121,37,4,0,106,46,3,4,0,49,46,0,119,0,4,0,1,46,255,0,19,46,4,46,0,49,46,0,135,4,2,0,48,30,47,49,130,49,0,0,0,37,49,0,1,49,0,0,132,0,0,49,38,49,37,1,121,49,3,0,135,4,5,0,119,0,43,0,116,22,4,0,106,47,4,4,109,22,4,47,106,49,4,8,109,22,8,49,1,49,0,0,85,4,49,0,1,47,0,0,109,4,4,47,1,49,0,0,109,4,8,49,1,49,0,0,132,0,0,49,0,4,34,0,0,8,32,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,49,4,9,96,114,0,0,1,47,202,1,135,49,4,0,47,22,34,0,130,49,0,0,0,37,49,0,1,49,0,0,132,0,0,49,38,49,37,1,121,49,5,0,135,4,5,0,135,49,10,0,22,0,0,0,119,0,9,0,135,49,10,0,22,0,0,0,135,49,10,0,30,0,0,0,135,49,10,0,25,0,0,0,1,40,152,0,119,0,13,0,135,49,10,0,30,0,0,0,135,49,10,0,25,0,0,0,1,49,145,0,45,49,40,49,240,114,0,0,135,4,5,0,135,49,10,0,25,0,0,0,119,0,2,0,1,40,152,0,1,49,152,0,45,49,40,49,4,116,0,0,25,4,1,80,82,5,4,0,106,49,1,84,45,49,5,49,80,115,0,0,1,49,0,0,132,0,0,49,1,47,37,2,25,48,1,76,135,49,4,0,47,48,28,0,130,49,0,0,0,37,49,0,1,49,0,0,132,0,0,49,38,49,37,1,121,49,19,0,1,40,157,0,119,0,17,0,1,49,0,0,132,0,0,49,1,48,219,1,135,49,4,0,48,5,28,0,130,49,0,0,0,37,49,0,1,49,0,0,132,0,0,49,38,49,37,1,121,49,3,0,1,40,157,0,119,0,4,0,82,49,4,0,25,49,49,48,85,4,49,0,1,49,157,0,45,49,40,49,164,115,0,0,135,4,5,0,119,0,25,0,135,49,10,0,6,0,0,0,25,48,28,24,135,49,10,0,48,0,0,0,25,48,28,12,135,49,10,0,48,0,0,0,135,49,10,0,28,0,0,0,25,48,29,24,135,49,10,0,48,0,0,0,25,48,29,12,135,49,10,0,48,0,0,0,135,49,10,0,29,0,0,0,135,49,10,0,38,0,0,0,135,49,10,0,39,0,0,0,137,36,0,0,139,0,0,0,135,49,10,0,6,0,0,0,25,48,28,24,135,49,10,0,48,0,0,0,25,48,28,12,135,49,10,0,48,0,0,0,135,49,10,0,28,0,0,0,25,48,29,24,135,49,10,0,48,0,0,0,25,48,29,12,135,49,10,0,48,0,0,0,135,49,10,0,29,0,0,0,119,0,143,0,135,49,10,0,16,0,0,0,119,0,140,0,1,40,36,0,119,0,4,0,1,40,36,0,119,0,2,0,1,40,36,0,32,49,40,36,121,49,3,0,135,49,6,0,11,0,0,0,25,6,1,64,1,49,0,0,132,0,0,49,1,49,80,0,135,7,3,0,45,49,0,0,130,49,0,0,0,37,49,0,1,49,0,0,132,0,0,49,38,49,37,1,121,49,3,0,135,4,5,0,119,0,117,0,0,4,12,0,0,8,13,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,49,4,9,196,116,0,0,1,49,0,0,132,0,0,49,1,48,196,1,135,49,4,0,48,21,2,0,130,49,0,0,0,37,49,0,1,49,0,0,132,0,0,49,38,49,37,1,121,49,3,0,135,4,5,0,119,0,94,0,1,49,0,0,132,0,0,49,0,4,34,0,0,8,12,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,49,4,9,32,117,0,0,1,48,2,0,1,47,0,0,1,46,0,0,1,50,0,0,1,51,1,0,135,49,21,0,48,7,34,21,47,46,50,51,130,49,0,0,0,37,49,0,1,49,0,0,132,0,0,49,38,49,37,1,121,49,3,0,1,5,1,0,119,0,63,0,1,49,0,0,132,0,0,49,135,49,4,0,43,30,7,0,130,49,0,0,0,37,49,0,1,49,0,0,132,0,0,49,38,49,37,1,121,49,3,0,1,5,0,0,119,0,51,0,25,4,1,68,82,5,4,0,106,49,1,72,48,49,5,49,248,117,0,0,1,49,0,0,132,0,0,49,135,49,4,0,41,5,30,0,130,49,0,0,0,37,49,0,1,49,0,0,132,0,0,49,38,49,37,1,121,49,3,0,1,40,49,0,119,0,16,0,82,49,4,0,25,49,49,4,85,4,49,0,119,0,12,0,1,49,0,0,132,0,0,49,135,49,4,0,42,6,30,0,130,49,0,0,0,37,49,0,1,49,0,0,132,0,0,49,38,49,37,1,121,49,2,0,1,40,49,0,32,49,40,49,121,49,7,0,135,4,5,0,135,49,6,0,30,0,0,0,135,49,10,0,21,0,0,0,119,0,18,0,135,49,6,0,30,0,0,0,135,49,10,0,21,0,0,0,135,49,10,0,38,0,0,0,135,49,10,0,39,0,0,0,137,36,0,0,139,0,0,0,135,4,5,0,135,49,10,0,21,0,0,0,120,5,2,0,119,0,3,0,135,49,11,0,7,0,0,0,32,49,40,23,121,49,2,0,135,4,5,0,135,49,10,0,38,0,0,0,0,40,4,0,135,49,10,0,39,0,0,0,135,49,7,0,40,0,0,0,139,0,0,0,140,7,72,0,0,0,0,0,2,61,0,0,196,1,0,0,2,62,0,0,202,1,0,0,2,63,0,0,219,1,0,0,2,64,0,0,37,2,0,0,2,65,0,0,64,56,0,0,2,66,0,0,160,55,0,0,2,67,0,0,44,56,0,0,136,68,0,0,0,53,68,0,136,68,0,0,1,69,176,1,3,68,68,69,137,68,0,0,1,68,120,1,3,54,53,68,1,68,108,1,3,60,53,68,1,68,208,0,3,56,53,68,1,68,144,0,3,59,53,68,1,68,96,1,3,49,53,68,1,68,192,0,3,39,53,68,1,68,180,0,3,50,53,68,1,68,132,0,3,40,53,68,25,41,53,120,25,34,53,80,25,35,53,72,25,51,53,24,25,42,53,12,0,52,53,0,82,8,5,0,106,18,5,4,45,68,8,18,128,119,0,0,1,60,0,0,137,53,0,0,139,60,0,0,25,19,1,11,1,68,16,1,3,20,0,68,40,68,6,1,0,17,68,0,25,55,56,64,25,21,56,8,25,43,56,12,25,22,56,4,25,23,56,64,1,68,136,0,3,24,56,68,1,68,140,0,3,25,56,68,25,44,56,44,25,26,56,60,25,45,56,8,25,27,60,11,25,28,60,4,25,29,4,80,25,30,4,84,25,31,4,76,25,32,56,4,25,46,51,36,25,47,51,24,25,48,51,12,25,57,59,24,25,58,59,12,25,33,56,4,25,36,54,36,25,37,54,24,25,38,54,12],eb+20480);HEAPU8.set([1,5,0,0,1,7,0,0,82,68,8,0,135,16,22,0,68,0,0,0,1,68,255,0,19,68,16,68,78,70,19,0,34,70,70,0,121,70,4,0,82,70,1,0,0,69,70,0,119,0,2,0,0,69,1,0,82,70,8,0,82,71,20,0,135,16,23,0,68,69,70,71,121,16,218,2,82,68,16,0,121,68,209,2,0,15,16,0,25,7,7,1,135,68,24,0,60,1,0,0,33,68,7,0,19,68,68,17,121,68,199,0,85,21,65,0,1,68,104,56,85,56,68,0,1,68,124,56,85,55,68,0,1,68,0,0,85,22,68,0,1,68,0,0,132,0,0,68,1,71,16,2,135,68,4,0,71,23,43,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,10,0,119,0,195,2,1,68,0,0,85,24,68,0,1,68,255,255,85,25,68,0,85,56,67,0,1,68,84,56,85,55,68,0,85,21,65,0,1,68,0,0,132,0,0,68,1,71,117,1,135,68,1,0,71,43,0,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,11,0,119,0,174,2,85,43,66,0,1,68,0,0,85,44,68,0,1,71,0,0,109,44,4,71,1,68,0,0,109,44,8,68,1,71,0,0,109,44,12,71,1,71,24,0,85,26,71,0,1,71,0,0,85,54,71,0,1,68,0,0,109,54,4,68,1,71,0,0,109,54,8,71,1,71,0,0,132,0,0,71,1,68,17,2,135,71,4,0,68,43,54,0,130,71,0,0,0,14,71,0,1,71,0,0,132,0,0,71,38,71,14,1,121,71,3,0,1,7,9,0,119,0,144,2,135,71,10,0,54,0,0,0,78,5,27,0,41,71,5,24,42,71,71,24,34,14,71,0,1,71,0,0,132,0,0,71,1,71,54,0,121,14,4,0,82,70,60,0,0,68,70,0,119,0,2,0,0,68,60,0,121,14,4,0,82,69,28,0,0,70,69,0,119,0,4,0,1,69,255,0,19,69,5,69,0,70,69,0,135,5,2,0,71,45,68,70,130,70,0,0,0,14,70,0,1,70,0,0,132,0,0,70,38,70,14,1,121,70,3,0,1,7,26,0,119,0,113,2,1,70,0,0,132,0,0,70,1,70,54,0,2,68,0,0,65,185,0,0,1,71,1,0,135,5,2,0,70,5,68,71,130,71,0,0,0,14,71,0,1,71,0,0,132,0,0,71,38,71,14,1,121,71,3,0,1,7,26,0,119,0,97,2,1,71,0,0,132,0,0,71,1,68,204,3,135,71,8,0,68,5,7,0,130,71,0,0,0,14,71,0,1,71,0,0,132,0,0,71,38,71,14,1,121,71,3,0,1,7,26,0,119,0,84,2,1,71,0,0,132,0,0,71,1,68,18,2,135,71,4,0,68,54,43,0,130,71,0,0,0,14,71,0,1,71,0,0,132,0,0,71,38,71,14,1,121,71,3,0,1,7,27,0,119,0,71,2,78,71,27,0,34,71,71,0,121,71,7,0,82,71,60,0,1,68,0,0,83,71,68,0,1,68,0,0,85,28,68,0,119,0,5,0,1,68,0,0,83,60,68,0,1,68,0,0,83,27,68,0,1,68,0,0,132,0,0,68,1,71,250,1,1,70,0,0,135,68,4,0,71,60,70,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,22,0,119,0,44,2,116,60,54,0,106,70,54,4,109,60,4,70,106,68,54,8,109,60,8,68,1,68,0,0,85,54,68,0,1,70,0,0,109,54,4,70,1,68,0,0,109,54,8,68,135,68,10,0,54,0,0,0,85,56,67,0,1,68,84,56,85,55,68,0,85,45,65,0,85,43,66,0,135,68,10,0,44,0,0,0,135,68,25,0,43,0,0,0,1,70,136,56,135,68,26,0,56,70,0,0,135,68,27,0,55,0,0,0,1,68,0,0,132,0,0,68,135,68,4,0,61,49,60,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,24,0,119,0,5,2,1,68,0,0,85,39,68,0,1,70,0,0,109,39,4,70,1,68,0,0,109,39,8,68,135,14,17,0,2,0,0,0,1,68,0,0,132,0,0,68,1,70,75,0,135,68,9,0,70,39,2,14,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,44,0,119,0,240,1,1,68,0,0,132,0,0,68,1,70,96,0,135,68,9,0,70,59,49,39,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,45,0,119,0,227,1,135,68,10,0,39,0,0,0,135,68,10,0,49,0,0,0,82,5,15,0,1,68,0,0,132,0,0,68,1,68,82,1,135,13,3,0,68,5,0,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,47,0,119,0,209,1,1,68,0,0,132,0,0,68,1,68,83,1,135,14,3,0,68,5,0,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,48,0,119,0,196,1,1,68,0,0,132,0,0,68,1,68,89,1,135,10,3,0,68,5,0,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,49,0,119,0,183,1,1,68,0,0,132,0,0,68,1,68,90,1,135,11,3,0,68,5,0,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,50,0,119,0,170,1,1,68,0,0,132,0,0,68,1,68,91,1,135,12,3,0,68,5,0,0,130,68,0,0,0,9,68,0,1,68,0,0,132,0,0,68,38,68,9,1,121,68,3,0,1,7,51,0,119,0,157,1,1,68,0,0,132,0,0,68,1,68,92,1,135,5,3,0,68,5,0,0,130,68,0,0,0,9,68,0,1,68,0,0,132,0,0,68,38,68,9,1,121,68,3,0,1,7,52,0,119,0,144,1,33,9,13,0,120,5,184,0,120,9,64,0,120,12,2,0,119,0,114,1,1,68,0,0,85,52,68,0,1,70,0,0,109,52,4,70,1,68,0,0,109,52,8,68,135,14,17,0,12,0,0,0,1,68,0,0,132,0,0,68,1,70,75,0,135,68,9,0,70,52,12,14,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,62,0,119,0,118,1,1,68,0,0,85,54,68,0,1,70,0,0,109,54,4,70,1,68,0,0,109,54,8,68,135,14,17,0,2,0,0,0,1,68,0,0,132,0,0,68,1,70,75,0,135,68,9,0,70,54,2,14,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,94,0,119,0,97,1,1,68,0,0,132,0,0,68,1,70,22,0,135,68,12,0,70,0,4,52,54,0,0,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,95,0,119,0,83,1,135,68,10,0,54,0,0,0,135,68,10,0,52,0,0,0,119,0,53,1,120,12,13,0,1,68,0,0,132,0,0,68,135,68,4,0,61,54,60,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,24,0,1,7,62,0,119,0,65,1,1,68,0,0,85,54,68,0,1,70,0,0,109,54,4,70,1,68,0,0,109,54,8,68,135,11,17,0,12,0,0,0,1,68,0,0,132,0,0,68,1,70,75,0,135,68,9,0,70,54,12,11,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,62,0,119,0,44,1,1,68,0,0,132,0,0,68,135,68,4,0,61,42,54,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,83,0,119,0,32,1,1,68,0,0,132,0,0,68,1,70,97,0,135,68,9,0,70,51,59,42,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,84,0,119,0,19,1,135,68,10,0,42,0,0,0,82,5,29,0,82,68,30,0,45,68,5,68,200,127,0,0,1,68,0,0,132,0,0,68,135,68,4,0,64,31,51,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,18,0,1,7,85,0,119,0,1,1,1,68,0,0,132,0,0,68,135,68,4,0,63,5,51,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,85,0,119,0,245,0,82,68,29,0,25,68,68,48,85,29,68,0,85,56,13,0,85,32,14,0,1,68,0,0,132,0,0,68,1,70,18,0,135,68,12,0,70,0,51,56,3,0,0,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,86,0,119,0,226,0,135,68,10,0,46,0,0,0,135,68,10,0,47,0,0,0,135,68,10,0,48,0,0,0,135,68,10,0,51,0,0,0,135,68,10,0,54,0,0,0,119,0,190,0,33,68,14,0,20,68,9,68,121,68,52,0,1,68,0,0,132,0,0,68,135,68,4,0,61,50,60,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,53,0,119,0,200,0,1,68,0,0,132,0,0,68,1,70,97,0,135,68,9,0,70,54,59,50,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,54,0,119,0,187,0,85,56,13,0,85,33,14,0,1,68,0,0,132,0,0,68,1,70,18,0,135,68,12,0,70,0,54,56,3,0,0,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,55,0,119,0,171,0,135,68,10,0,36,0,0,0,135,68,10,0,37,0,0,0,135,68,10,0,38,0,0,0,135,68,10,0,54,0,0,0,135,68,10,0,50,0,0,0,19,68,11,10,32,68,68,255,121,68,45,0,1,68,0,0,85,40,68,0,1,70,0,0,109,40,4,70,1,68,0,0,109,40,8,68,135,14,17,0,5,0,0,0,1,68,0,0,132,0,0,68,1,70,75,0,135,68,9,0,70,40,5,14,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,62,0,119,0,137,0,1,68,0,0,132,0,0,68,0,5,54,0,0,9,3,0,25,10,5,40,116,5,9,0,25,5,5,4,25,9,9,4,54,68,5,10,188,129,0,0,135,68,4,0,62,40,54,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,63,0,119,0,117,0,135,68,10,0,40,0,0,0,119,0,89,0,1,68,0,0,85,41,68,0,1,70,0,0,109,41,4,70,1,68,0,0,109,41,8,68,135,14,17,0,5,0,0,0,1,68,0,0,132,0,0,68,1,70,75,0,135,68,9,0,70,41,5,14,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,62,0,119,0,93,0,1,68,0,0,132,0,0,68,1,70,101,0,135,68,9,0,70,56,10,11,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,70,0,119,0,80,0,1,68,0,0,132,0,0,68,1,70,102,0,1,71,0,0,1,69,0,0,135,68,9,0,70,35,71,69,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,70,0,119,0,65,0,1,68,0,0,132,0,0,68,116,54,35,0,106,69,35,4,109,54,4,69,1,68,7,0,135,69,15,0,68,34,2,13,56,54,0,0,130,69,0,0,0,14,69,0,1,69,0,0,132,0,0,69,38,69,14,1,121,69,3,0,1,7,70,0,119,0,48,0,1,69,0,0,132,0,0,69,0,5,54,0,0,9,34,0,25,10,5,40,116,5,9,0,25,5,5,4,25,9,9,4,54,69,5,10,32,131,0,0,135,69,4,0,62,41,54,0,130,69,0,0,0,14,69,0,1,69,0,0,132,0,0,69,38,69,14,1,121,69,3,0,1,7,70,0,119,0,28,0,135,69,10,0,41,0,0,0,25,15,15,4,135,69,10,0,57,0,0,0,135,69,10,0,58,0,0,0,135,69,10,0,59,0,0,0,135,69,10,0,60,0,0,0,82,69,15,0,33,69,69,0,120,69,50,253,135,69,28,0,16,0,0,0,121,6,4,0,1,5,1,0,1,7,102,0,119,0,8,0,1,5,1,0,25,8,8,4,45,69,8,18,196,131,0,0,1,7,102,0,119,0,2,0,119,0,17,253,1,69,9,0,1,68,94,0,138,7,69,68,80,133,0,0,116,133,0,0,128,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,140,133,0,0,76,133,0,0,164,133,0,0,76,133,0,0,176,133,0,0,188,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,200,133,0,0,212,133,0,0,76,133,0,0,232,133,0,0,244,133,0,0,0,134,0,0,12,134,0,0,24,134,0,0,36,134,0,0,48,134,0,0,60,134,0,0,72,134,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,116,134,0,0,128,134,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,148,134,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,168,134,0,0,180,134,0,0,200,134,0,0,212,134,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,224,134,0,0,236,134,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,76,133,0,0,0,135,0,0,119,0,112,0,135,5,5,0,135,69,10,0,54,0,0,0,135,69,10,0,44,0,0,0,135,69,25,0,43,0,0,0,1,7,12,0,119,0,103,0,135,5,5,0,1,7,13,0,119,0,100,0,135,5,5,0,1,7,12,0,119,0,97,0,1,71,0,0,135,68,19,0,71,0,0,0,135,69,20,0,68,0,0,0,119,0,91,0,135,5,5,0,1,7,25,0,119,0,88,0,135,5,5,0,1,7,28,0,119,0,85,0,135,5,5,0,1,7,28,0,119,0,82,0,135,5,5,0,1,7,46,0,119,0,79,0,135,5,5,0,135,69,10,0,39,0,0,0,1,7,46,0,119,0,74,0,135,5,5,0,1,7,98,0,119,0,71,0,135,5,5,0,1,7,98,0,119,0,68,0,135,5,5,0,1,7,98,0,119,0,65,0,135,5,5,0,1,7,98,0,119,0,62,0,135,5,5,0,1,7,98,0,119,0,59,0,135,5,5,0,1,7,98,0,119,0,56,0,135,5,5,0,1,7,57,0,119,0,53,0,135,5,5,0,1,7,56,0,119,0,50,0,135,5,5,0,135,69,10,0,36,0,0,0,135,69,10,0,37,0,0,0,135,69,10,0,38,0,0,0,135,69,10,0,54,0,0,0,1,7,56,0,119,0,39,0,135,5,5,0,1,7,98,0,119,0,36,0,135,5,5,0,135,69,10,0,40,0,0,0,1,7,98,0,119,0,31,0,135,5,5,0,135,69,10,0,41,0,0,0,1,7,98,0,119,0,26,0,135,5,5,0,1,7,88,0,119,0,23,0,135,5,5,0,135,69,10,0,42,0,0,0,1,7,88,0,119,0,18,0,135,5,5,0,1,7,87,0,119,0,15,0,135,5,5,0,1,7,87,0,119,0,12,0,135,5,5,0,1,7,96,0,119,0,9,0,135,5,5,0,135,69,10,0,54,0,0,0,1,7,96,0,119,0,4,0,137,53,0,0,139,5,0,0,119,0,1,0,32,69,7,12,121,69,6,0,1,68,136,56,135,69,26,0,56,68,0,0,1,7,13,0,119,0,56,0,32,69,7,28,121,69,21,0,85,56,67,0,1,69,84,56,85,55,69,0,85,45,65,0,85,43,66,0,135,69,10,0,44,0,0,0,135,69,25,0,43,0,0,0,1,68,136,56,135,69,26,0,56,68,0,0,135,69,27,0,55,0,0,0,0,59,5,0,135,69,10,0,60,0,0,0,135,69,7,0,59,0,0,0,119,0,34,0,32,69,7,46,121,69,9,0,135,69,10,0,49,0,0,0,0,59,5,0,135,69,10,0,60,0,0,0,135,69,7,0,59,0,0,0,119,0,24,0,32,69,7,56,121,69,5,0,135,69,10,0,50,0,0,0,1,7,57,0,119,0,18,0,32,69,7,87,121,69,11,0,135,69,10,0,46,0,0,0,135,69,10,0,47,0,0,0,135,69,10,0,48,0,0,0,135,69,10,0,51,0,0,0,1,7,88,0,119,0,6,0,32,69,7,96,121,69,4,0,135,69,10,0,52,0,0,0,1,7,98,0,32,69,7,13,121,69,5,0,135,69,27,0,55,0,0,0,1,7,25,0,119,0,10,0,32,69,7,57,121,69,3,0,1,7,98,0,119,0,6,0,32,69,7,88,121,69,4,0,135,69,10,0,54,0,0,0,1,7,98,0,32,69,7,25,121,69,7,0,0,59,5,0,135,69,10,0,60,0,0,0,135,69,7,0,59,0,0,0,119,0,14,0,32,69,7,98,121,69,12,0,135,69,10,0,57,0,0,0,135,69,10,0,58,0,0,0,135,69,10,0,59,0,0,0,0,59,5,0,135,69,10,0,60,0,0,0,135,69,7,0,59,0,0,0,1,69,0,0,139,69,0,0,140,4,32,0,0,0,0,0,2,24,0,0,255,0,0,0,2,25,0,0,202,3,0,0,2,26,0,0,108,125,0,0,136,27,0,0,0,20,27,0,136,27,0,0,1,28,128,1,3,27,27,28,137,27,0,0,0,19,20,0,1,27,108,1,3,22,20,27,1,27,104,1,3,12,20,27,1,27,64,1,3,16,20,27,25,23,20,96,25,5,20,80,25,21,20,56,25,14,20,40,1,27,24,1,3,17,20,27,1,27,8,1,3,18,20,27,25,15,20,92,1,27,212,0,3,8,0,27,1,27,216,0,3,4,0,27,82,27,4,0,82,28,8,0,4,27,27,28,42,27,27,3,0,9,27,0,25,28,0,76,135,27,29,0,28,9,0,0,82,6,4,0,1,27,220,0,94,27,0,27,45,27,6,27,100,137,0,0,135,27,30,0,8,2,0,0,119,0,9,0,0,10,2,0,106,11,10,4,0,13,6,0,116,13,10,0,109,13,4,11,82,27,4,0,25,27,27,8,85,4,27,0,25,11,1,36,1,27,24,1,3,4,0,27,82,6,4,0,1,27,28,1,94,27,0,27,45,27,6,27,184,137,0,0,1,28,20,1,3,28,0,28,135,27,31,0,28,11,0,0,119,0,6,0,135,27,24,0,6,11,0,0,82,27,4,0,25,27,27,12,85,4,27,0,1,28,152,1,3,28,0,28,25,29,0,4,135,27,32,0,19,11,28,29,1,27,36,1,3,4,0,27,82,6,4,0,1,27,40,1,94,27,0,27,48,27,6,27,56,138,0,0,116,6,19,0,106,29,19,4,109,6,4,29,106,27,19,8,109,6,8,27,1,27,0,0,85,19,27,0,1,29,0,0,109,19,4,29,1,27,0,0,109,19,8,27,82,27,4,0,25,27,27,12,85,4,27,0,119,0,19,0,1,27,0,0,132,0,0,27,1,29,24,2,1,28,32,1,3,28,0,28,135,27,4,0,29,28,19,0,130,27,0,0,0,13,27,0,1,27,0,0,132,0,0,27,38,27,13,1,121,27,6,0,135,23,5,0,135,27,10,0,19,0,0,0,135,27,7,0,23,0,0,0,135,27,10,0,19,0,0,0,25,7,11,11,102,28,1,11,34,28,28,0,121,28,4,0,82,28,1,0,0,27,28,0,119,0,2,0,0,27,1,0,78,29,7,0,34,29,29,0,121,29,4,0,82,29,11,0,0,28,29,0,119,0,2,0,0,28,11,0,82,29,2,0,106,30,2,4,135,4,33,0,27,28,29,30,85,12,4,0,1,30,4,1,3,13,0,30,1,30,8,1,3,10,0,30,82,6,10,0,1,30,12,1,94,30,0,30,45,30,6,30,8,139,0,0,135,30,34,0,13,12,0,0,119,0,5,0,85,6,4,0,82,30,10,0,25,30,30,4,85,10,30,0,82,30,8,0,41,29,9,3,94,8,30,29,78,29,7,0,34,29,29,0,121,29,4,0,82,29,11,0,0,30,29,0,119,0,2,0,0,30,11,0,135,4,35,0,30,0,0,0,85,19,4,0,1,30,204,0,3,6,0,30,82,7,6,0,1,30,208,0,94,30,0,30,48,30,7,30,124,139,0,0,85,7,4,0,82,30,6,0,25,4,30,4,85,6,4,0,119,0,6,0,1,29,200,0,3,29,0,29,135,30,36,0,29,19,0,0,82,4,6,0,26,29,4,4,82,29,29,0,135,30,37,0,16,29,8,9,82,7,13,0,82,30,10,0,4,4,30,7,32,30,4,8,121,30,3,0,1,9,18,0,119,0,94,1,82,30,12,0,106,1,30,4,42,30,4,2,26,6,30,2,1,4,0,0,41,29,4,2,94,29,7,29,106,29,29,4,135,30,38,0,29,1,0,0,120,30,2,0,119,0,7,0,25,4,4,1,50,30,6,4,0,140,0,0,1,9,18,0,119,0,77,1,119,0,244,255,1,30,0,0,85,22,30,0,1,29,0,0,109,22,4,29,1,30,0,0,109,22,8,30,1,29,76,125,1,28,31,0,135,30,39,0,22,29,28,0,25,10,4,2,1,30,254,255,48,30,4,30,240,143,0,0,25,7,14,11,25,1,14,4,25,8,19,11,25,9,19,4,1,6,1,0,82,30,13,0,41,28,6,2,94,30,30,28,82,0,30,0,1,30,0,0,85,21,30,0,1,28,0,0,109,21,4,28,1,30,0,0,109,21,8,30,135,20,17,0,0,0,0,0,1,30,0,0,132,0,0,30,1,28,75,0,135,30,9,0,28,21,0,20,130,30,0,0,0,20,30,0,1,30,0,0,132,0,0,30,38,30,20,1,121,30,3,0,1,9,31,0,119,0,158,0,1,30,0,0,132,0,0,30,1,30,52,0,1,28,0,0,135,4,2,0,30,21,28,26,130,28,0,0,0,20,28,0,1,28,0,0,132,0,0,28,38,28,20,1,121,28,3,0,1,9,32,0,119,0,144,0,116,5,4,0,106,30,4,4,109,5,4,30,106,28,4,8,109,5,8,28,1,28,0,0,85,4,28,0,1,30,0,0,109,4,4,30,1,28,0,0,109,4,8,28,1,28,0,0,132,0,0,28,1,28,114,125,135,4,8,0,25,5,28,0,130,28,0,0,0,20,28,0,1,28,0,0,132,0,0,28,38,28,20,1,121,28,3,0,1,9,33,0,119,0,120,0,116,23,4,0,106,30,4,4,109,23,4,30,106,28,4,8,109,23,8,28,1,28,0,0,85,4,28,0,1,30,0,0,109,4,4,30,1,28,0,0,109,4,8,28,25,6,6,1,82,28,13,0,41,30,6,2,94,28,28,30,82,0,28,0,1,28,0,0,85,14,28,0,1,30,0,0,109,14,4,30,1,28,0,0,109,14,8,28,135,20,17,0,0,0,0,0,1,28,0,0,132,0,0,28,1,30,75,0,135,28,9,0,30,14,0,20,130,28,0,0,0,20,28,0,1,28,0,0,132,0,0,28,38,28,20,1,121,28,3,0,1,9,34,0,119,0,83,0,78,4,7,0,41,28,4,24,42,28,28,24,34,20,28,0,1,28,0,0,132,0,0,28,1,28,47,0,121,20,4,0,82,29,14,0,0,30,29,0,119,0,2,0,0,30,14,0,121,20,4,0,82,27,1,0,0,29,27,0,119,0,3,0,19,27,4,24,0,29,27,0,135,4,2,0,28,23,30,29,130,29,0,0,0,20,29,0,1,29,0,0,132,0,0,29,38,29,20,1,121,29,3,0,1,9,35,0,119,0,55,0,116,19,4,0,106,30,4,4,109,19,4,30,106,29,4,8,109,19,8,29,1,29,0,0,85,4,29,0,1,30,0,0,109,4,4,30,1,29,0,0,109,4,8,29,78,20,8,0,41,29,20,24,42,29,29,24,34,0,29,0,1,29,0,0,132,0,0,29,1,30,47,0,121,0,4,0,82,27,19,0,0,28,27,0,119,0,2,0,0,28,19,0,121,0,4,0,82,31,9,0,0,27,31,0,119,0,3,0,19,31,20,24,0,27,31,0,135,29,2,0,30,22,28,27,130,29,0,0,0,20,29,0,1,29,0,0,132,0,0,29,38,29,20,1,121,29,3,0,1,9,36,0,119,0,16,0,135,29,10,0,19,0,0,0,135,29,10,0,14,0,0,0,135,29,10,0,23,0,0,0,135,29,10,0,5,0,0,0,135,29,10,0,21,0,0,0,50,29,10,6,36,143,0,0,1,9,23,0,119,0,53,0,119,0,75,255,32,29,9,31,121,29,3,0,135,4,5,0,119,0,27,0,32,29,9,32,121,29,4,0,135,4,5,0,1,9,40,0,119,0,22,0,32,29,9,33,121,29,4,0,135,4,5,0,1,9,39,0,119,0,17,0,32,29,9,34,121,29,4,0,135,4,5,0,1,9,38,0,119,0,12,0,32,29,9,35,121,29,4,0,135,4,5,0,1,9,37,0,119,0,7,0,32,29,9,36,121,29,5,0,135,4,5,0,135,29,10,0,19,0,0,0,1,9,37,0,32,29,9,37,121,29,4,0,135,29,10,0,14,0,0,0,1,9,38,0,32,29,9,38,121,29,4,0,135,29,10,0,23,0,0,0,1,9,39,0,32,29,9,39,121,29,4,0,135,29,10,0,5,0,0,0,1,9,40,0,32,29,9,40,121,29,5,0,135,29,10,0,21,0,0,0,119,0,2,0,1,9,23,0,32,29,9,23,121,29,76,0,0,1,23,0,125,4,3,3,16,0,0,0,25,7,1,40,116,1,4,0,25,1,1,4,25,4,4,4,54,29,1,7,12,144,0,0,1,29,76,0,135,6,40,0,29,0,0,0,0,1,17,0,0,4,23,0,25,7,1,40,116,1,4,0,25,1,1,4,25,4,4,4,54,29,1,7,56,144,0,0,1,29,0,0,132,0,0,29,1,27,196,1,135,29,4,0,27,18,22,0,130,29,0,0,0,23,29,0,1,29,0,0,132,0,0,29,38,29,23,1,121,29,4,0,135,4,5,0,1,9,46,0,119,0,38,0,1,29,0,0,132,0,0,29,0,1,19,0,0,4,17,0,25,7,1,40,116,1,4,0,25,1,1,4,25,4,4,4,54,29,1,7,152,144,0,0,1,27,19,0,135,29,12,0,27,6,19,18,13,0,0,0,130,29,0,0,0,23,29,0,1,29,0,0,132,0,0,29,38,29,23,1,121,29,3,0,1,5,1,0,119,0,11,0,1,29,0,0,132,0,0,29,1,27,76,0,1,28,112,6,1,30,158,0,135,29,9,0,27,6,28,30,1,29,0,0,132,0,0,29,1,5,0,0,135,4,5,0,135,29,10,0,18,0,0,0,121,5,2,0,1,9,46,0,32,29,9,46,121,29,3,0,135,29,41,0,6,0,0,0,135,29,10,0,22,0,0,0,32,29,9,18,121,29,32,1,0,1,19,0,0,4,16,0,25,7,1,40,116,1,4,0,25,1,1,4,25,4,4,4,54,29,1,7,68,145,0,0,1,30,0,0,135,29,42,0,23,8,0,19,30,0,0,0,1,29,0,0,132,0,0,29,1,30,82,1,82,28,12,0,135,29,3,0,30,28,0,0,130,29,0,0,0,18,29,0,1,29,0,0,132,0,0,29,38,29,18,1,121,29,3,0,1,9,73,0,119,0,224,0,1,29,0,0,132,0,0,29,1,28,83,1,82,30,12,0,135,29,3,0,28,30,0,0,130,29,0,0,0,18,29,0,1,29,0,0,132,0,0,29,38,29,18,1,121,29,3,0,1,9,73,0,119,0,210,0,1,29,0,0,132,0,0,29,1,29,87,1,135,4,3,0,29,23,0,0,130,29,0,0,0,18,29,0,1,29,0,0,132,0,0,29,38,29,18,1,121,29,3,0,1,9,73,0,119,0,197,0,85,5,4,0,1,29,0,0,132,0,0,29,1,30,115,1,82,28,10,0,26,28,28,4,82,28,28,0,135,29,1,0,30,28,0,0,130,29,0,0,0,18,29,0,1,29,0,0,132,0,0,29,38,29,18,1,121,29,5,0,135,4,5,0,128,29,0,0,0,6,29,0,119,0,176,0,82,29,10,0,26,29,29,4,85,10,29,0,1,29,0,0,132,0,0,29,1,28,208,1,135,29,4,0,28,15,5,0,130,29,0,0,0,18,29,0,1,29,0,0,132,0,0,29,38,29,18,1,121,29,5,0,135,4,5,0,128,29,0,0,0,6,29,0,119,0,158,0,0,17,2,0,106,18,17,4,0,7,19,0,116,7,17,0,109,7,4,18,25,7,19,8,1,29,0,0,132,0,0,29,1,28,208,1,135,29,4,0,28,7,15,0,130,29,0,0,0,18,29,0,1,29,0,0,132,0,0,29,38,29,18,1,121,29,5,0,135,4,5,0,128,29,0,0,0,6,29,0,119,0,135,0,1,29,0,0,132,0,0,29,1,28,196,1,135,29,4,0,28,21,11,0,130,29,0,0,0,18,29,0,1,29,0,0,132,0,0,29,38,29,18,1,121,29,5,0,135,4,5,0,128,29,0,0,0,6,29,0,119,0,118,0,0,17,19,0,106,18,17,4,25,8,21,12,116,8,17,0,109,8,4,18,25,8,21,20,1,29,0,0,132,0,0,29,1,28,208,1,135,29,4,0,28,8,7,0,130,29,0,0,0,18,29,0,1,29,0,0,132,0,0,29,38,29,18,1,121,29,7,0,135,4,5,0,128,29,0,0,0,6,29,0,135,29,10,0,21,0,0,0,119,0,95,0,135,29,6,0,7,0,0,0,135,29,6,0,15,0,0,0,1,29,224,0,3,7,0,29,135,1,43,0,7,19,21,0,82,29,1,0,120,29,42,0,1,29,0,0,132,0,0,29,1,28,98,0,135,29,9,0,28,22,7,21,130,29,0,0,0,18,29,0,1,29,0,0,132,0,0,29,38,29,18,1,121,29,9,0,135,4,5,0,128,29,0,0,0,6,29,0,135,29,6,0,8,0,0,0,135,29,10,0,21,0,0,0,119,0,70,0,82,6,19,0,82,4,22,0,1,29,0,0,85,4,29,0,1,28,0,0,109,4,4,28,109,4,8,6,85,1,4,0,82,28,7,0,82,6,28,0,121,6,3,0,85,7,6,0,82,4,1,0,1,29,228,0,94,29,0,29,135,28,44,0,29,4,0,0,1,28,232,0,3,22,0,28,82,28,22,0,25,28,28,1,85,22,28,0,135,28,6,0,8,0,0,0,135,28,10,0,21,0,0,0,135,28,6,0,5,0,0,0,106,4,23,56,0,5,4,0,121,4,14,0,25,6,23,60,82,7,6,0,46,28,7,4,168,148,0,0,26,28,7,4,4,28,28,5,43,28,28,2,11,28,28,0,41,28,28,2,3,28,7,28,85,6,28,0,135,28,11,0,4,0,0,0,25,7,23,44,82,4,7,0,120,4,3,0,137,20,0,0,139,0,0,0,25,6,23,48,82,5,6,0,46,28,5,4,244,148,0,0,26,23,5,4,85,6,23,0,135,28,6,0,23,0,0,0,82,5,6,0,53,28,5,4,212,148,0,0,82,4,7,0,135,28,11,0,4,0,0,0,137,20,0,0,139,0,0,0,135,28,6,0,7,0,0,0,135,28,6,0,15,0,0,0,135,28,6,0,5,0,0,0,32,28,9,73,121,28,4,0,135,4,5,0,128,28,0,0,0,6,28,0,106,5,23,56,0,7,5,0,121,5,14,0,25,1,23,60,82,8,1,0,46,28,8,5,104,149,0,0,26,28,8,4,4,28,28,7,43,28,28,2,11,28,28,0,41,28,28,2,3,28,8,28,85,1,28,0,135,28,11,0,5,0,0,0,25,8,23,44,82,5,8,0,121,5,15,0,25,1,23,48,82,7,1,0,46,28,7,5,172,149,0,0,26,23,7,4,85,1,23,0,135,28,6,0,23,0,0,0,82,7,1,0,53,28,7,5,140,149,0,0,82,5,8,0,135,28,11,0,5,0,0,0,0,23,4,0,135,28,7,0,23,0,0,0,139,0,0,0,140,4,29,0,0,0,0,0,2,22,0,0,177,185,0,0,2,23,0,0,255,0,0,0,2,24,0,0,126,176,0,0,1,14,0,0,136,25,0,0,0,15,25,0,136,25,0,0,1,26,224,0,3,25,25,26,137,25,0,0,1,25,184,0,3,12,15,25,1,25,172,0,3,16,15,25,25,11,15,16,1,25,160,0,3,10,15,25,0,13,15,0,135,25,45,0,16,1,2,0,25,17,16,4,82,4,16,0,82,25,17,0,4,5,25,4,1,25,1,0,28,26,5,48,48,25,25,26,84,156,0,0,25,9,11,64,25,4,11,8,1,25,64,56,85,4,25,0,25,8,11,12,1,25,104,56,85,11,25,0,1,25,124,56,85,9,25,0,1,26,0,0,109,11,4,26,1,26,0,0,132,0,0,26,1,25,16,2,25,27,11,64,135,26,4,0,25,27,8,0,130,26,0,0,0,7,26,0,1,26,0,0,132,0,0,26,38,26,7,1,121,26,3,0,135,4,5,0,119,0,103,1,1,26,136,0,1,27,0,0,97,11,26,27,1,27,140,0,1,26,255,255,97,11,27,26,1,26,44,56,85,11,26,0,1,26,84,56,85,9,26,0,1,26,64,56,85,4,26,0,1,26,0,0,132,0,0,26,1,27,117,1,135,26,1,0,27,8,0,0,130,26,0,0,0,7,26,0,1,26,0,0,132,0,0,26,38,26,7,1,121,26,3,0,135,4,5,0,119,0,75,1,1,26,160,55,85,8,26,0,25,6,11,44,1,26,0,0,85,6,26,0,1,27,0,0,109,6,4,27,1,26,0,0,109,6,8,26,1,27,0,0,109,6,12,27,1,26,24,0,109,11,60,26,1,26,0,0,85,12,26,0,1,27,0,0,109,12,4,27,1,26,0,0,109,12,8,26,1,26,0,0,132,0,0,26,1,27,17,2,135,26,4,0,27,8,12,0,130,26,0,0,0,7,26,0,1,26,0,0,132,0,0,26,38,26,7,1,121,26,9,0,135,4,5,0,135,26,10,0,12,0,0,0,135,26,10,0,6,0,0,0,135,26,25,0,8,0,0,0,119,0,37,1,135,26,10,0,12,0,0,0,25,7,11,8,1,26,0,0,132,0,0,26,1,27,54,0,1,25,53,126,1,28,40,0,135,26,2,0,27,7,25,28,130,26,0,0,0,1,26,0,1,26,0,0,132,0,0,26,38,26,1,1,121,26,3,0,1,14,22,0,119,0,254,0,1,26,0,0,132,0,0,26,1,26,54,0,1,28,94,126,1,25,10,0,135,4,2,0,26,7,28,25,130,25,0,0,0,1,25,0,1,25,0,0,132,0,0,25,38,25,1,1,121,25,3,0,1,14,22,0,119,0,239,0,102,1,2,11,41,25,1,24,42,25,25,24,34,5,25,0,1,25,0,0,132,0,0,25,1,25,54,0,121,5,4,0,82,26,2,0,0,28,26,0,119,0,2,0,0,28,2,0,121,5,4,0,106,27,2,4,0,26,27,0,119,0,3,0,19,27,1,23,0,26,27,0,135,4,2,0,25,4,28,26,130,26,0,0,0,1,26,0,1,26,0,0,132,0,0,26,38,26,1,1,121,26,3,0,1,14,22,0,119,0,211,0,1,26,0,0,132,0,0,26,1,26,54,0,1,28,105,126,1,25,3,0,135,4,2,0,26,4,28,25,130,25,0,0,0,1,25,0,1,25,0,0,132,0,0,25,38,25,1,1,121,25,3,0,1,14,22,0,119,0,196,0,1,25,0,0,132,0,0,25,1,28,54,0,1,26,1,0,135,25,2,0,28,4,22,26,130,25,0,0,0,1,25,0,1,25,0,0,132,0,0,25,38,25,1,1,121,25,3,0,1,14,22,0,119,0,182,0,1,25,0,0,132,0,0,25,1,25,54,0,1,26,109,126,1,28,11,0,135,4,2,0,25,7,26,28,130,28,0,0,0,1,28,0,1,28,0,0,132,0,0,28,38,28,1,1,121,28,3,0,1,14,22,0,119,0,167,0,1,28,0,0,132,0,0,28,1,26,54,0,1,25,1,0,135,28,2,0,26,4,22,25,130,28,0,0,0,1,28,0,1,28,0,0,132,0,0,28,38,28,1,1,121,28,3,0,1,14,22,0,119,0,153,0,82,28,17,0,82,25,16,0,4,5,28,25,28,1,5,48,121,5,62,0,1,5,0,0,1,25,0,0,132,0,0,25,1,25,54,0,1,28,2,0,135,4,2,0,25,7,24,28,130,28,0,0,0,18,28,0,1,28,0,0,132,0,0,28,38,28,18,1,120,28,47,0,82,19,16,0,27,28,5,48,3,19,19,28,0,21,19,0,102,18,21,11,41,28,18,24,42,28,28,24,34,20,28,0,1,28,0,0,132,0,0,28,1,28,54,0,121,20,4,0,82,26,21,0,0,25,26,0,119,0,2,0,0,25,21,0,121,20,4,0,106,27,19,4,0,26,27,0,119,0,3,0,19,27,18,23,0,26,27,0,135,4,2,0,28,4,25,26,130,26,0,0,0,18,26,0,1,26,0,0,132,0,0,26,38,26,18,1,120,26,17,0,1,26,0,0,132,0,0,26,1,25,54,0,1,28,1,0,135,26,2,0,25,4,22,28,130,26,0,0,0,21,26,0,1,26,0,0,132,0,0,26,38,26,21,1,120,26,5,0,25,5,5,1,57,26,1,5,140,154,0,0,119,0,199,255,135,1,5,0,119,0,87,0,1,26,0,0,132,0,0,26,1,26,54,0,1,28,121,126,1,25,51,0,135,4,2,0,26,7,28,25,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,3,0,1,14,22,0,119,0,72,0,1,25,0,0,132,0,0,25,1,28,54,0,1,26,1,0,135,25,2,0,28,4,22,26,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,3,0,1,14,22,0,119,0,58,0,1,25,0,0,132,0,0,25,1,26,18,2,135,25,4,0,26,10,8,0,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,3,0,1,14,22,0,119,0,45,0,1,25,0,0,132,0,0,25,0,1,12,0,0,4,3,0,25,5,1,40,116,1,4,0,25,1,1,4,25,4,4,4,54,25,1,5,72,155,0,0,1,26,202,1,135,25,4,0,26,10,12,0,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,5,0,135,1,5,0,135,25,10,0,10,0,0,0,119,0,22,0,135,25,10,0,10,0,0,0,1,25,44,56,85,11,25,0,1,25,84,56,85,9,25,0,1,25,64,56,85,7,25,0,1,25,160,55,85,8,25,0,135,25,10,0,6,0,0,0,135,25,25,0,8,0,0,0,1,26,136,56,135,25,26,0,11,26,0,0,135,25,27,0,9,0,0,0,1,14,45,0,119,0,117,0,32,25,14,22,121,25,2,0,135,1,5,0,1,25,44,56,85,11,25,0,1,25,84,56,85,9,25,0,1,25,64,56,85,7,25,0,1,25,160,55,85,8,25,0,135,25,10,0,6,0,0,0,135,25,25,0,8,0,0,0,1,26,136,56,135,25,26,0,11,26,0,0,135,25,27,0,9,0,0,0,119,0,96,0,1,26,136,56,135,25,26,0,11,26,0,0,135,25,27,0,9,0,0,0,1,14,21,0,119,0,89,0,32,25,5,48,121,25,86,0,1,25,84,1,94,25,1,25,1,26,80,1,94,26,1,26,45,25,25,26,212,156,0,0,1,26,224,0,3,26,1,26,25,28,4,36,135,25,46,0,26,28,0,0,32,21,25,0,82,4,16,0,121,21,3,0,1,14,39,0,119,0,16,0,1,25,0,0,132,0,0,25,1,28,219,1,135,25,4,0,28,0,4,0,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,120,25,5,0,0,4,16,0,1,14,49,0,119,0,57,0,1,14,39,0,32,25,14,39,121,25,51,0,1,25,0,0,132,0,0,25,1,25,86,1,25,28,4,36,135,4,3,0,25,28,0,0,130,28,0,0,0,21,28,0,1,28,0,0,132,0,0,28,38,28,21,1,120,28,39,0,120,4,3,0,1,14,45,0,119,0,39,0,82,21,16,0,85,12,4,0,1,25,0,0,109,12,4,25,1,25,0,0,132,0,0,25,1,28,18,0,135,25,12,0,28,1,21,12,3,0,0,0,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,3,0,135,1,5,0,119,0,21,0,1,25,0,0,132,0,0,25,1,28,219,1,82,26,16,0,135,25,4,0,28,0,26,0,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,120,25,4,0,0,4,16,0,1,14,49,0,119,0,6,0,135,1,5,0,119,0,4,0,135,1,5,0,119,0,2,0,1,14,45,0,32,25,14,45,121,25,44,0,1,25,0,0,85,13,25,0,1,26,0,0,109,13,4,26,1,25,0,0,109,13,8,25,1,25,0,0,132,0,0,25,1,26,75,0,2,28,0,0,239,64,1,0,1,27,0,0,135,25,9,0,26,13,28,27,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,4,0,135,4,5,0,1,14,21,0,119,0,21,0,1,25,0,0,132,0,0,25,1,27,97,0,135,25,9,0,27,0,2,13,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,5,0,135,1,5,0,135,25,10,0,13,0,0,0,119,0,6,0,135,25,10,0,13,0,0,0,0,4,16,0,1,14,49,0,119,0,1,0,32,25,14,21,121,25,3,0,0,1,4,0,119,0,31,0,32,25,14,49,121,25,29,0,82,4,4,0,120,4,3,0,137,15,0,0,139,0,0,0,82,5,17,0,46,25,5,4,224,158,0,0,26,21,5,48,85,17,21,0,26,27,5,12,135,25,10,0,27,0,0,0,26,27,5,24,135,25,10,0,27,0,0,0,26,27,5,36,135,25,10,0,27,0,0,0,135,25,10,0,21,0,0,0,82,5,17,0,53,25,5,4,156,158,0,0,82,4,16,0,135,25,11,0,4,0,0,0,137,15,0,0,139,0,0,0,82,4,16,0,120,4,3,0,135,25,7,0,1,0,0,0,82,5,17,0,46,25,5,4,80,159,0,0,26,21,5,48,85,17,21,0,26,27,5,12,135,25,10,0,27,0,0,0,26,27,5,24,135,25,10,0,27,0,0,0,26,27,5,36,135,25,10,0,27,0,0,0,135,25,10,0,21,0,0,0,82,5,17,0,53,25,5,4,12,159,0,0,82,4,16,0,135,25,11,0,4,0,0,0,135,25,7,0,1,0,0,0,139,0,0,0,140,2,27,0,0,0,0,0,2,20,0,0,28,156,0,0,2,21,0,0,40,156,0,0,2,22,0,0,91,158,0,0,136,23,0,0,0,17,23,0,136,23,0,0,1,24,128,0,3,23,23,24,137,23,0,0,25,18,17,112,25,15,17,100,25,12,17,88,25,13,17,48,0,3,17,0,25,16,17,44,25,19,17,40,1,23,152,0,3,14,0,23,116,18,14,0,106,24,14,4,109,18,4,24,106,23,14,8,109,18,8,23,25,8,0,76,82,2,8,0,25,9,0,84,116,15,9,0,106,24,9,4,109,15,4,24,106,23,9,8,109,15,8,23,25,10,0,96,116,12,10,0,106,24,10,4],eb+30720);HEAPU8.set([109,12,4,24,106,23,10,8,109,12,8,23,25,11,0,108,0,4,13,0,0,5,11,0,25,6,4,40,116,4,5,0,25,4,4,4,25,5,5,4,54,23,4,6,28,160,0,0,1,24,1,0,1,25,0,0,135,23,47,0,0,24,25,0,1,25,1,0,1,24,0,0,135,23,48,0,0,25,24,0,120,23,106,0,0,4,11,0,0,5,13,0,25,6,4,40,116,4,5,0,25,4,4,4,25,5,5,4,54,23,4,6,96,160,0,0,116,14,18,0,106,24,18,4,109,14,4,24,106,23,18,8,109,14,8,23,85,8,2,0,116,10,12,0,106,24,12,4,109,10,4,24,106,23,12,8,109,10,8,23,116,9,15,0,106,24,15,4,109,9,4,24,106,23,15,8,109,9,8,23,1,23,0,0,85,18,23,0,1,24,0,0,109,18,4,24,1,23,0,0,109,18,8,23,1,24,11,0,135,23,39,0,18,20,24,0,1,23,0,0,85,15,23,0,1,24,0,0,109,15,4,24,1,23,0,0,109,15,8,23,1,23,0,0,132,0,0,23,1,24,75,0,1,25,7,0,135,23,9,0,24,15,21,25,130,23,0,0,0,7,23,0,1,23,0,0,132,0,0,23,38,23,7,1,121,23,3,0,135,2,5,0,119,0,48,0,1,23,0,0,85,12,23,0,1,25,0,0,109,12,4,25,1,23,0,0,109,12,8,23,1,23,0,0,132,0,0,23,1,25,75,0,2,24,0,0,70,158,0,0,1,26,20,0,135,23,9,0,25,12,24,26,130,23,0,0,0,7,23,0,1,23,0,0,132,0,0,23,38,23,7,1,121,23,3,0,135,2,5,0,119,0,24,0,1,23,0,0,132,0,0,23,1,26,25,0,135,23,12,0,26,0,18,15,12,0,0,0,130,23,0,0,0,7,23,0,1,23,0,0,132,0,0,23,38,23,7,1,121,23,5,0,135,2,5,0,135,23,10,0,12,0,0,0,119,0,8,0,135,23,10,0,12,0,0,0,135,23,10,0,15,0,0,0,135,23,10,0,18,0,0,0,119,0,8,0,135,23,10,0,15,0,0,0,135,23,10,0,18,0,0,0,0,19,2,0,135,23,7,0,19,0,0,0,1,23,88,0,135,7,13,0,23,0,0,0,0,4,3,0,0,5,11,0,25,6,4,40,116,4,5,0,25,4,4,4,25,5,5,4,54,23,4,6,16,162,0,0,1,23,0,0,132,0,0,23,1,26,110,1,135,23,1,0,26,7,0,0,130,23,0,0,0,6,23,0,1,23,0,0,132,0,0,23,38,23,6,1,121,23,3,0,135,2,5,0,119,0,86,1,25,4,7,12,0,5,3,0,25,6,4,40,116,4,5,0,25,4,4,4,25,5,5,4,54,23,4,6,100,162,0,0,1,23,132,20,85,7,23,0,1,26,0,0,109,7,52,26,1,23,0,0,109,7,56,23,1,26,0,0,107,7,60,26,25,2,7,64,1,26,92,20,85,2,26,0,25,5,7,68,25,6,7,72,1,26,0,0,85,5,26,0,1,23,0,0,109,5,4,23,1,26,0,0,109,5,8,26,1,23,0,0,109,5,12,23,1,23,0,0,132,0,0,23,1,26,49,2,1,24,0,0,135,23,4,0,26,5,24,0,130,23,0,0,0,4,23,0,1,23,0,0,132,0,0,23,38,23,4,1,121,23,20,0,135,2,5,0,128,23,0,0,0,4,23,0,82,3,5,0,121,3,40,1,82,1,6,0,46,23,1,3,60,163,0,0,26,19,1,4,85,6,19,0,135,23,6,0,19,0,0,0,82,1,6,0,53,23,1,3,28,163,0,0,82,3,5,0,135,23,11,0,3,0,0,0,119,0,26,1,1,23,212,19,85,7,23,0,1,23,52,20,85,2,23,0,38,24,1,1,107,7,84,24,1,23,0,0,107,7,85,23,135,23,14,0,19,7,0,0,25,1,0,48,82,2,1,0,106,23,0,52,45,23,2,23,196,163,0,0,1,23,0,0,132,0,0,23,1,24,50,2,25,26,0,44,135,23,4,0,24,26,19,0,130,23,0,0,0,7,23,0,1,23,0,0,132,0,0,23,38,23,7,1,121,23,3,0,1,7,27,0,119,0,20,0,1,7,24,0,119,0,18,0,1,23,0,0,132,0,0,23,1,26,208,1,135,23,4,0,26,2,19,0,130,23,0,0,0,7,23,0,1,23,0,0,132,0,0,23,38,23,7,1,121,23,3,0,1,7,27,0,119,0,5,0,82,23,1,0,25,23,23,4,85,1,23,0,1,7,24,0,32,23,7,24,121,23,224,0,1,23,0,0,132,0,0,23,1,26,237,3,1,24,0,0,135,23,8,0,26,0,24,0,130,23,0,0,0,6,23,0,1,23,0,0,132,0,0,23,38,23,6,1,121,23,3,0,1,7,27,0,119,0,210,0,116,18,14,0,106,24,14,4,109,18,4,24,106,23,14,8,109,18,8,23,82,3,8,0,116,15,9,0,106,24,9,4,109,15,4,24,106,23,9,8,109,15,8,23,116,12,10,0,106,24,10,4,109,12,4,24,106,23,10,8,109,12,8,23,0,4,13,0,0,5,11,0,25,6,4,40,116,4,5,0,25,4,4,4,25,5,5,4,54,23,4,6,148,164,0,0,1,23,0,0,132,0,0,23,1,24,61,0,1,26,1,0,1,25,0,0,135,23,2,0,24,0,26,25,130,23,0,0,0,6,23,0,1,23,0,0,132,0,0,23,38,23,6,1,121,23,3,0,1,7,27,0,119,0,171,0,1,23,0,0,132,0,0,23,1,23,146,0,1,25,1,0,1,26,0,0,135,2,2,0,23,0,25,26,130,26,0,0,0,6,26,0,1,26,0,0,132,0,0,26,38,26,6,1,121,26,3,0,1,7,27,0,119,0,156,0,120,2,113,0,0,4,11,0,0,5,13,0,25,6,4,40,116,4,5,0,25,4,4,4,25,5,5,4,54,26,4,6,48,165,0,0,116,14,18,0,106,25,18,4,109,14,4,25,106,26,18,8,109,14,8,26,85,8,3,0,116,10,12,0,106,25,12,4,109,10,4,25,106,26,12,8,109,10,8,26,116,9,15,0,106,25,15,4,109,9,4,25,106,26,15,8,109,9,8,26,1,26,0,0,85,18,26,0,1,25,0,0,109,18,4,25,1,26,0,0,109,18,8,26,1,26,0,0,132,0,0,26,1,25,75,0,1,23,11,0,135,26,9,0,25,18,20,23,130,26,0,0,0,14,26,0,1,26,0,0,132,0,0,26,38,26,14,1,121,26,3,0,135,2,5,0,119,0,111,0,1,26,0,0,85,15,26,0,1,23,0,0,109,15,4,23,1,26,0,0,109,15,8,26,1,26,0,0,132,0,0,26,1,23,75,0,1,25,7,0,135,26,9,0,23,15,21,25,130,26,0,0,0,14,26,0,1,26,0,0,132,0,0,26,38,26,14,1,121,26,3,0,135,2,5,0,119,0,46,0,1,26,0,0,85,12,26,0,1,25,0,0,109,12,4,25,1,26,0,0,109,12,8,26,1,26,0,0,132,0,0,26,1,25,75,0,1,23,20,0,135,26,9,0,25,12,22,23,130,26,0,0,0,14,26,0,1,26,0,0,132,0,0,26,38,26,14,1,121,26,3,0,135,2,5,0,119,0,24,0,1,26,0,0,132,0,0,26,1,23,25,0,135,26,12,0,23,0,18,15,12,0,0,0,130,26,0,0,0,14,26,0,1,26,0,0,132,0,0,26,38,26,14,1,121,26,5,0,135,2,5,0,135,26,10,0,12,0,0,0,119,0,8,0,135,26,10,0,12,0,0,0,135,26,10,0,15,0,0,0,135,26,10,0,18,0,0,0,119,0,6,0,135,26,10,0,15,0,0,0,135,26,10,0,18,0,0,0,119,0,43,0,1,26,0,0,132,0,0,26,1,23,52,2,82,25,19,0,135,26,4,0,23,25,11,0,130,26,0,0,0,18,26,0,1,26,0,0,132,0,0,26,38,26,18,1,121,26,3,0,1,7,27,0,119,0,29,0,82,3,1,0,26,2,3,4,26,18,3,4,85,1,18,0,135,26,6,0,18,0,0,0,82,3,1,0,53,26,3,2,36,167,0,0,1,26,0,0,132,0,0,26,1,25,226,1,82,23,19,0,135,26,4,0,25,16,23,0,130,26,0,0,0,18,26,0,1,26,0,0,132,0,0,26,38,26,18,1,121,26,3,0,1,7,27,0,119,0,6,0,135,26,6,0,19,0,0,0,137,17,0,0,82,26,16,0,139,26,0,0,32,26,7,27,121,26,2,0,135,2,5,0,135,26,6,0,19,0,0,0,0,19,2,0,135,26,7,0,19,0,0,0,135,26,11,0,7,0,0,0,0,19,2,0,135,26,7,0,19,0,0,0,1,26,0,0,139,26,0,0,140,1,24,0,0,0,0,0,2,18,0,0,196,1,0,0,2,19,0,0,36,198,0,0,136,20,0,0,0,13,20,0,136,20,0,0,1,21,176,0,3,20,20,21,137,20,0,0,1,20,156,0,3,11,13,20,1,20,160,0,3,17,13,20,1,20,144,0,3,6,13,20,1,20,132,0,3,9,13,20,25,10,13,72,25,14,13,8,25,16,13,120,25,15,13,56,25,12,13,44,0,7,13,0,1,20,176,1,3,8,0,20,82,1,8,0,120,1,8,0,1,21,0,0,135,20,14,0,11,21,0,0,0,17,11,0,82,17,17,0,137,13,0,0,139,17,0,0,106,20,0,16,102,20,20,21,121,20,36,0,1,20,0,0,85,17,20,0,1,21,0,0,109,17,4,21,1,20,0,0,109,17,8,20,135,21,17,0,1,0,0,0,135,20,39,0,17,1,21,0,1,20,0,0,132,0,0,20,1,20,206,3,1,21,33,0,135,1,8,0,20,17,21,0,130,21,0,0,0,5,21,0,1,21,0,0,132,0,0,21,38,21,5,1,120,21,8,0,135,21,10,0,17,0,0,0,82,20,8,0,135,21,49,0,20,0,0,0,85,8,1,0,119,0,7,0,135,16,5,0,135,21,10,0,17,0,0,0,0,17,16,0,135,21,7,0,17,0,0,0,25,4,0,20,1,21,128,1,3,5,0,21,102,1,5,11,41,21,1,24,42,21,21,24,34,21,21,0,121,21,4,0,1,21,132,1,94,1,0,21,119,0,4,0,1,21,255,0,19,21,1,21,0,1,21,0,120,1,13,0,1,21,0,0,85,17,21,0,1,20,0,0,109,17,4,20,1,21,0,0,109,17,8,21,2,20,0,0,139,182,0,0,1,22,5,0,135,21,39,0,17,20,22,0,119,0,3,0,135,21,24,0,17,5,0,0,1,21,0,0,132,0,0,21,1,22,199,3,135,21,8,0,22,4,17,0,130,21,0,0,0,3,21,0,1,21,0,0,132,0,0,21,38,21,3,1,121,21,7,0,135,16,5,0,135,21,10,0,17,0,0,0,0,17,16,0,135,21,7,0,17,0,0,0,135,21,10,0,17,0,0,0,1,21,0,0,85,6,21,0,1,22,0,0,109,6,4,22,1,21,0,0,109,6,8,21,1,22,1,0,135,21,39,0,6,19,22,0,1,21,0,0,132,0,0,21,1,22,119,1,135,21,1,0,22,9,0,0,130,21,0,0,0,3,21,0,1,21,0,0,132,0,0,21,38,21,3,1,121,21,3,0,135,1,5,0,119,0,44,1,1,21,0,0,132,0,0,21,1,22,17,0,135,21,12,0,22,17,4,6,9,0,0,0,130,21,0,0,0,3,21,0,1,21,0,0,132,0,0,21,38,21,3,1,121,21,5,0,135,1,5,0,135,21,10,0,9,0,0,0,119,0,28,1,135,21,10,0,9,0,0,0,135,21,10,0,6,0,0,0,1,21,0,0,132,0,0,21,1,21,84,1,102,20,17,11,34,20,20,0,121,20,4,0,82,20,17,0,0,22,20,0,119,0,2,0,0,22,17,0,135,1,3,0,21,22,0,0,130,22,0,0,0,3,22,0,1,22,0,0,132,0,0,22,38,22,3,1,121,22,3,0,135,1,5,0,119,0,255,0,85,6,1,0,1,22,204,0,3,2,0,22,82,3,2,0,1,22,208,0,94,22,0,22,45,22,3,22,16,171,0,0,1,22,0,0,132,0,0,22,1,21,25,2,1,20,200,0,3,20,0,20,135,22,4,0,21,20,6,0,130,22,0,0,0,3,22,0,1,22,0,0,132,0,0,22,38,22,3,1,121,22,3,0,1,2,40,0,119,0,8,0,1,2,20,0,119,0,6,0,85,3,1,0,82,22,2,0,25,22,22,4,85,2,22,0,1,2,20,0,32,22,2,20,121,22,220,0,102,22,4,11,34,22,22,0,121,22,3,0,82,1,4,0,119,0,2,0,0,1,4,0,1,22,180,1,3,4,0,22,1,22,0,0,132,0,0,22,1,22,8,0,82,20,6,0,82,21,8,0,82,23,4,0,135,1,50,0,22,1,20,21,23,0,0,0,130,23,0,0,0,6,23,0,1,23,0,0,132,0,0,23,38,23,6,1,121,23,3,0,1,2,40,0,119,0,195,0,85,9,1,0,1,23,8,1,3,2,0,23,82,3,2,0,1,23,12,1,94,23,0,23,45,23,3,23,244,171,0,0,1,23,0,0,132,0,0,23,1,21,21,2,1,20,4,1,3,20,0,20,135,23,4,0,21,20,9,0,130,23,0,0,0,9,23,0,1,23,0,0,132,0,0,23,38,23,9,1,121,23,3,0,1,2,41,0,119,0,8,0,1,2,27,0,119,0,6,0,85,3,1,0,82,23,2,0,25,23,23,4,85,2,23,0,1,2,27,0,32,23,2,27,121,23,160,0,1,23,0,0,132,0,0,23,135,23,4,0,18,16,5,0,130,23,0,0,0,9,23,0,1,23,0,0,132,0,0,23,38,23,9,1,121,23,3,0,135,1,5,0,119,0,148,0,1,23,0,0,85,15,23,0,1,20,0,0,109,15,4,20,1,23,0,0,109,15,8,23,1,23,0,0,132,0,0,23,1,20,75,0,1,21,1,0,135,23,9,0,20,15,19,21,130,23,0,0,0,9,23,0,1,23,0,0,132,0,0,23,38,23,9,1,121,23,3,0,135,1,5,0,119,0,126,0,1,23,0,0,132,0,0,23,1,21,96,0,135,23,9,0,21,14,16,15,130,23,0,0,0,9,23,0,1,23,0,0,132,0,0,23,38,23,9,1,121,23,3,0,135,1,5,0,119,0,111,0,1,23,0,0,132,0,0,23,135,23,4,0,18,12,5,0,130,23,0,0,0,9,23,0,1,23,0,0,132,0,0,23,38,23,9,1,121,23,3,0,135,1,5,0,119,0,91,0,1,23,0,0,132,0,0,23,1,21,97,0,135,23,9,0,21,10,14,12,130,23,0,0,0,9,23,0,1,23,0,0,132,0,0,23,38,23,9,1,121,23,3,0,135,1,5,0,119,0,76,0,82,9,4,0,116,7,8,0,109,7,4,9,1,23,0,0,132,0,0,23,1,21,18,0,1,20,0,0,135,23,12,0,21,0,10,7,20,0,0,0,130,23,0,0,0,9,23,0,1,23,0,0,132,0,0,23,38,23,9,1,121,23,14,0,135,1,5,0,25,20,10,36,135,23,10,0,20,0,0,0,25,20,10,24,135,23,10,0,20,0,0,0,25,20,10,12,135,23,10,0,20,0,0,0,135,23,10,0,10,0,0,0,119,0,47,0,25,20,10,36,135,23,10,0,20,0,0,0,25,20,10,24,135,23,10,0,20,0,0,0,25,20,10,12,135,23,10,0,20,0,0,0,135,23,10,0,10,0,0,0,135,23,10,0,12,0,0,0,25,20,14,24,135,23,10,0,20,0,0,0,25,20,14,12,135,23,10,0,20,0,0,0,135,23,10,0,14,0,0,0,135,23,10,0,15,0,0,0,135,23,10,0,16,0,0,0,1,23,0,0,132,0,0,23,82,23,0,0,106,23,23,12,135,1,3,0,23,0,0,0,130,23,0,0,0,16,23,0,1,23,0,0,132,0,0,23,38,23,16,1,121,23,3,0,1,2,41,0,119,0,22,0,85,11,1,0,135,23,10,0,17,0,0,0,0,17,11,0,82,17,17,0,137,13,0,0,139,17,0,0,135,23,10,0,12,0,0,0,25,20,14,24,135,23,10,0,20,0,0,0,25,20,14,12,135,23,10,0,20,0,0,0,135,23,10,0,14,0,0,0,135,23,10,0,15,0,0,0,135,23,10,0,16,0,0,0,32,23,2,41,121,23,2,0,135,1,5,0,32,23,2,40,121,23,2,0,135,1,5,0,135,23,10,0,17,0,0,0,0,17,1,0,135,23,7,0,17,0,0,0,135,23,10,0,6,0,0,0,0,17,1,0,135,23,7,0,17,0,0,0,1,23,0,0,139,23,0,0,140,1,23,0,0,0,0,0,2,16,0,0,92,1,0,0,2,17,0,0,208,1,0,0,2,18,0,0,164,0,0,0,1,4,0,0,136,19,0,0,0,14,19,0,136,19,0,0,25,19,19,64,137,19,0,0,25,11,14,48,25,9,14,36,25,7,14,24,25,6,14,20,25,5,14,8,25,12,14,4,0,13,14,0,120,0,4,0,1,13,1,0,137,14,0,0,139,13,0,0,82,19,0,0,1,21,0,0,1,22,2,0,138,19,21,22,96,175,0,0,244,181,0,0,1,15,255,255,137,14,0,0,139,15,0,0,119,0,170,1,106,8,0,4,120,8,4,0,1,13,1,0,137,14,0,0,139,13,0,0,106,3,0,8,120,3,4,0,1,13,1,0,137,14,0,0,139,13,0,0,106,1,8,80,121,1,4,0,0,13,1,0,137,14,0,0,139,13,0,0,1,20,16,1,97,3,20,0,1,20,1,0,85,0,20,0,1,20,0,0,132,0,0,20,1,20,207,3,106,21,8,24,2,22,0,0,239,64,1,0,135,1,8,0,20,21,22,0,130,22,0,0,0,2,22,0,1,22,0,0,132,0,0,22,38,22,2,1,121,22,3,0,1,4,15,0,119,0,224,0,1,22,0,0,85,9,22,0,1,21,0,0,109,9,4,21,1,22,0,0,109,9,8,22,135,2,17,0,1,0,0,0,1,22,0,0,132,0,0,22,1,21,75,0,135,22,9,0,21,9,1,2,130,22,0,0,0,2,22,0,1,22,0,0,132,0,0,22,38,22,2,1,121,22,3,0,1,4,15,0,119,0,203,0,1,22,0,0,132,0,0,22,1,22,207,3,106,21,8,28,2,20,0,0,239,64,1,0,135,1,8,0,22,21,20,0,130,20,0,0,0,2,20,0,1,20,0,0,132,0,0,20,38,20,2,1,121,20,3,0,1,4,16,0,119,0,179,0,1,20,0,0,85,7,20,0,1,21,0,0,109,7,4,21,1,20,0,0,109,7,8,20,135,2,17,0,1,0,0,0,1,20,0,0,132,0,0,20,1,21,75,0,135,20,9,0,21,7,1,2,130,20,0,0,0,2,20,0,1,20,0,0,132,0,0,20,38,20,2,1,121,20,3,0,1,4,16,0,119,0,158,0,106,20,8,68,32,1,20,2,1,20,0,0,132,0,0,20,82,20,3,0,106,20,20,8,135,2,3,0,20,3,0,0,130,20,0,0,0,15,20,0,1,20,0,0,132,0,0,20,38,20,15,1,121,20,5,0,1,20,0,0,135,1,19,0,20,0,0,0,119,0,138,0,85,6,2,0,120,2,21,0,1,20,0,0,132,0,0,20,1,21,226,1,1,22,0,0,135,20,4,0,21,11,22,0,130,20,0,0,0,15,20,0,1,20,0,0,132,0,0,20,38,20,15,1,121,20,6,0,1,20,0,0,135,1,19,0,20,0,0,0,1,4,38,0,119,0,105,0,0,1,6,0,1,4,37,0,119,0,102,0,1,20,0,0,132,0,0,20,1,22,42,0,106,21,3,32,135,20,12,0,22,5,3,1,21,0,0,0,130,20,0,0,0,15,20,0,1,20,0,0,132,0,0,20,38,20,15,1,121,20,5,0,1,20,0,0,135,1,19,0,20,0,0,0,119,0,84,0,1,20,0,0,132,0,0,20,25,20,8,112,1,21,0,0,135,1,2,0,18,5,20,21,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,121,21,22,0,1,21,0,0,135,1,19,0,21,0,0,0,82,2,5,0,120,2,2,0,119,0,66,0,25,4,5,4,82,3,4,0,46,21,3,2,48,178,0,0,26,15,3,12,85,4,15,0,135,21,10,0,15,0,0,0,82,3,4,0,53,21,3,2,16,178,0,0,82,2,5,0,135,21,11,0,2,0,0,0,119,0,51,0,32,4,1,0,82,1,5,0,121,1,15,0,25,3,5,4,82,2,3,0,46,21,2,1,120,178,0,0,26,15,2,12,85,3,15,0,135,21,10,0,15,0,0,0,82,2,3,0,53,21,2,1,88,178,0,0,82,1,5,0,135,21,11,0,1,0,0,0,121,4,15,0,1,21,4,0,135,15,40,0,21,0,0,0,135,21,51,0,15,0,0,0,1,21,0,0,132,0,0,21,1,20,76,0,1,22,144,17,135,21,9,0,20,15,22,16,1,21,0,0,132,0,0,21,119,0,14,0,1,21,0,0,132,0,0,21,135,21,4,0,17,11,6,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,120,21,4,0,0,1,6,0,1,4,37,0,119,0,7,0,1,21,0,0,135,1,19,0,21,0,0,0,1,4,38,0,119,0,2,0,1,4,38,0,32,21,4,37,121,21,8,0,135,21,6,0,1,0,0,0,135,21,10,0,7,0,0,0,135,21,10,0,9,0,0,0,119,0,16,0,32,21,4,38,121,21,4,0,135,21,6,0,6,0,0,0,119,0,1,0,135,21,10,0,7,0,0,0,32,21,4,16,121,21,4,0,1,21,0,0,135,1,19,0,21,0,0,0,135,21,10,0,9,0,0,0,1,4,41,0,32,21,4,15,121,21,5,0,1,21,0,0,135,1,19,0,21,0,0,0,1,4,41,0,32,21,4,41,121,21,110,0,135,21,52,0,1,0,0,0,1,21,0,0,132,0,0,21,1,22,205,1,135,21,3,0,22,8,0,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,121,21,70,0,1,21,0,0,135,15,19,0,21,0,0,0,135,21,52,0,15,0,0,0,1,21,0,0,132,0,0,21,1,22,205,1,135,21,3,0,22,8,0,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,121,21,21,0,135,1,5,0,1,21,0,0,132,0,0,21,1,22,3,0,135,21,53,0,22,0,0,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,121,21,7,0,1,21,0,0,135,15,19,0,21,0,0,0,135,21,20,0,15,0,0,0,119,0,16,0,0,10,1,0,119,0,14,0,1,21,0,0,132,0,0,21,1,22,3,0,135,21,53,0,22,0,0,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,120,21,2,0,119,0,22,0,135,10,5,0,1,21,0,0,132,0,0,21,1,22,3,0,135,21,53,0,22,0,0,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,121,21,7,0,1,21,0,0,135,15,19,0,21,0,0,0,135,21,20,0,15,0,0,0,119,0,4,0,0,15,10,0,135,21,54,0,15,0,0,0,1,21,0,0,132,0,0,21,1,22,3,0,135,21,53,0,22,0,0,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,120,21,14,0,1,21,0,0,132,0,0,21,1,22,226,1,1,20,0,0,135,21,4,0,22,11,20,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,120,21,2,0,119,0,4,0,135,15,5,0,135,21,54,0,15,0,0,0,82,15,11,0,85,13,15,0,1,21,0,0,132,0,0,21,1,20,226,1,135,21,4,0,20,12,15,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,121,21,6,0,135,15,5,0,135,21,6,0,13,0,0,0,135,21,7,0,15,0,0,0,1,21,0,0,132,0,0,21,1,20,198,3,25,22,0,12,135,21,8,0,20,22,12,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,121,21,9,0,135,15,5,0,135,21,6,0,12,0,0,0,135,21,6,0,13,0,0,0,135,21,7,0,15,0,0,0,119,0,9,0,135,21,6,0,12,0,0,0,135,21,6,0,13,0,0,0,1,15,0,0,137,14,0,0,139,15,0,0,119,0,1,0,1,15,0,0,137,14,0,0,139,15,0,0,119,0,84,254,1,19,0,0,139,19,0,0,140,3,31,0,0,0,0,0,2,25,0,0,198,3,0,0,2,26,0,0,208,1,0,0,2,27,0,0,226,1,0,0,1,24,0,0,136,28,0,0,0,22,28,0,136,28,0,0,1,29,144,0,3,28,28,29,137,28,0,0,25,18,22,96,25,13,22,88,25,14,22,84,25,23,22,80,25,3,22,40,25,7,22,36,25,8,22,32,25,15,22,28,25,9,22,24,25,16,22,20,25,10,22,16,25,11,22,12,25,17,22,8,25,19,22,4,0,20,22,0,1,29,0,0,1,30,1,0,135,28,55,0,0,29,30,0,1,28,76,0,135,12,13,0,28,0,0,0,25,21,0,108,0,4,3,0,0,5,21,0,25,6,4,40,116,4,5,0,25,4,4,4,25,5,5,4,54,28,4,6,176,182,0,0,1,28,0,0,132,0,0,28,1,30,0,0,135,28,4,0,27,7,30,0,130,28,0,0,0,6,28,0,1,28,0,0,132,0,0,28,38,28,6,1,121,28,3,0,135,3,5,0,119,0,46,1,1,28,0,0,132,0,0,28,1,30,0,0,135,28,4,0,27,8,30,0,130,28,0,0,0,6,28,0,1,28,0,0,132,0,0,28,38,28,6,1,121,28,5,0,135,3,5,0,135,28,6,0,7,0,0,0,119,0,31,1,1,28,0,0,132,0,0,28,0,4,18,0,0,5,3,0,25,6,4,40,116,4,5,0,25,4,4,4,25,5,5,4,54,28,4,6,72,183,0,0,1,30,28,0,135,28,12,0,30,12,18,7,8,0,0,0,130,28,0,0,0,6,28,0,1,28,0,0,132,0,0,28,38,28,6,1,121,28,3,0,1,4,1,0,119,0,0,1,1,28,0,0,132,0,0,28,135,28,4,0,27,23,12,0,130,28,0,0,0,6,28,0,1,28,0,0,132,0,0,28,38,28,6,1,121,28,3,0,1,4,0,0,119,0,244,0,135,28,6,0,8,0,0,0,135,28,6,0,7,0,0,0,82,4,23,0,102,28,1,12,120,28,64,0,1,28,0,0,132,0,0,28,1,28,240,3,82,30,1,0,135,3,8,0,28,0,30,0,130,30,0,0,0,16,30,0,1,30,0,0,132,0,0,30,38,30,16,1,121,30,3,0,1,24,15,0,119,0,111,0,85,17,3,0,1,30,0,0,132,0,0,30,135,30,4,0,27,11,3,0,130,30,0,0,0,16,30,0,1,30,0,0,132,0,0,30,38,30,16,1,121,30,3,0,135,3,5,0,119,0,34,0,25,3,4,68,1,30,0,0,132,0,0,30,135,30,8,0,25,3,11,0,130,30,0,0,0,16,30,0,1,30,0,0,132,0,0,30,38,30,16,1,120,30,20,0,1,30,0,0,132,0,0,30,135,30,4,0,26,13,3,0,130,30,0,0,0,16,30,0,1,30,0,0,132,0,0,30,38,30,16,1,120,30,10,0,116,10,13,0,135,30,6,0,10,0,0,0,135,30,6,0,11,0,0,0,135,30,6,0,17,0,0,0,1,24,28,0,119,0,68,0,135,3,5,0,135,30,6,0,11,0,0,0,135,30,6,0,17,0,0,0,119,0,62,0,1,30,0,0,132,0,0,30,1,30,233,3,135,3,8,0,30,0,2,0,130,30,0,0,0,17,30,0,1,30,0,0,132,0,0,30,38,30,17,1,121,30,3,0,1,24,15,0,119,0,49,0,85,16,3,0,1,30,0,0,132,0,0,30,135,30,4,0,27,9,3,0,130,30,0,0,0,17,30,0,1,30,0,0,132,0,0,30,38,30,17,1,121,30,3,0,135,3,5,0,119,0,34,0,25,3,4,68,1,30,0,0,132,0,0,30,135,30,8,0,25,3,9,0,130,30,0,0,0,17,30,0,1,30,0,0,132,0,0,30,38,30,17,1,120,30,20,0,1,30,0,0,132,0,0,30,135,30,4,0,26,14,3,0,130,30,0,0,0,17,30,0,1,30,0,0,132,0,0,30,38,30,17,1,120,30,10,0,116,15,14,0,135,30,6,0,15,0,0,0,135,30,6,0,9,0,0,0,135,30,6,0,16,0,0,0,1,24,28,0,119,0,6,0,135,3,5,0,135,30,6,0,9,0,0,0,135,30,6,0,16,0,0,0,32,30,24,28,121,30,102,0,1,30,6,0,85,18,30,0,25,1,0,60,82,3,1,0,106,30,0,64,48,30,3,30,0,186,0,0,1,30,6,0,85,3,30,0,25,30,3,4,85,1,30,0,119,0,15,0,1,30,0,0,132,0,0,30,1,28,51,2,25,29,0,56,135,30,4,0,28,29,18,0,130,30,0,0,0,17,30,0,1,30,0,0,132,0,0,30,38,30,17,1,121,30,3,0,135,3,5,0,119,0,76,0,82,4,23,0,1,30,164,0,3,5,0,30,78,6,5,0,1,30,0,0,83,5,30,0,1,30,0,0,132,0,0,30,1,30,242,3,1,29,0,0,135,3,8,0,30,0,29,0,130,29,0,0,0,0,29,0,1,29,0,0,132,0,0,29,38,29,0,1,121,29,5,0,135,3,5,0,83,5,6,0,1,24,16,0,119,0,54,0,83,5,6,0,85,20,3,0,25,3,4,64,1,29,0,0,132,0,0,29,135,29,8,0,25,3,20,0,130,29,0,0,0,0,29,0,1,29,0,0,132,0,0,29,38,29,0,1,120,29,38,0,1,29,0,0,132,0,0,29,135,29,4,0,26,18,3,0,130,29,0,0,0,0,29,0,1,29,0,0,132,0,0,29,38,29,0,1,120,29,28,0,116,19,18,0,135,29,6,0,19,0,0,0,135,29,6,0,20,0,0,0,82,29,1,0,26,29,29,4,85,1,29,0,1,29,0,0,132,0,0,29,1,30,52,2,82,28,23,0,135,29,4,0,30,28,21,0,130,29,0,0,0,24,29,0,1,29,0,0,132,0,0,29,38,29,24,1,121,29,3,0,1,24,15,0,119,0,9,0,82,24,23,0,38,28,2,1,107,24,73,28,137,22,0,0,139,24,0,0,135,3,5,0,135,28,6,0,20,0,0,0,32,28,24,15,121,28,3,0,135,3,5,0,1,24,16,0,135,28,6,0,23,0,0,0,0,24,3,0,135,28,7,0,24,0,0,0,135,3,5,0,135,28,6,0,8,0,0,0,135,28,6,0,7,0,0,0,120,4,4,0,0,24,3,0,135,28,7,0,24,0,0,0,135,28,11,0,12,0,0,0,0,24,3,0,135,28,7,0,24,0,0,0,1,28,0,0,139,28,0,0,140,1,23,0,0,0,0,0,2,16,0,0,226,1,0,0,2,17,0,0,216,0,0,0,2,18,0,0,212,0,0,0,1,15,0,0,136,19,0,0,0,11,19,0,136,19,0,0,25,19,19,80,137,19,0,0,0,13,11,0,25,14,11,68,25,7,11,64,25,12,11,52,25,8,11,40,1,19,88,0,135,9,13,0,19,0,0,0,25,10,0,108,0,3,13,0,0,4,10,0,25,5,3,40,116,3,4,0,25,3,3,4,25,4,4,4,54,19,3,5,48,188,0,0,1,19,0,0,132,0,0,19,1,20,110,1,135,19,1,0,20,9,0,0,130,19,0,0,0,6,19,0,1,19,0,0,132,0,0,19,38,19,6,1,121,19,3,0,135,1,5,0,119,0,58,1,25,3,9,12,0,4,13,0,25,5,3,40,116,3,4,0,25,3,3,4,25,4,4,4,54,19,3,5,132,188,0,0,1,19,132,20,85,9,19,0,1,20,0,0,109,9,52,20,1,19,0,0,109,9,56,19,1,20,0,0,107,9,60,20,25,1,9,64,1,20,92,20,85,1,20,0,25,5,9,68,25,6,9,72,1,20,0,0,85,5,20,0,1,19,0,0,109,5,4,19,1,20,0,0,109,5,8,20,1,19,0,0,109,5,12,19,1,19,0,0,132,0,0,19,1,20,49,2,1,21,0,0,135,19,4,0,20,5,21,0,130,19,0,0,0,4,19,0,1,19,0,0,132,0,0,19,38,19,4,1,121,19,20,0,135,1,5,0,128,19,0,0,0,4,19,0,82,2,5,0,121,2,12,1,82,3,6,0,46,19,3,2,92,189,0,0,26,15,3,4,85,6,15,0,135,19,6,0,15,0,0,0,82,3,6,0,53,19,3,2,60,189,0,0,82,2,5,0,135,19,11,0,2,0,0,0,119,0,254,0,1,19,212,19,85,9,19,0,1,19,52,20,85,1,19,0,1,21,1,0,107,9,84,21,1,19,0,0,107,9,85,19,135,19,14,0,14,9,0,0,1,19,0,0,132,0,0,19,1,21,127,1,135,19,1,0,21,0,0,0,130,19,0,0,0,9,19,0,1,19,0,0,132,0,0,19,38,19,9,1,121,19,3,0,1,15,16,0,119,0,223,0,106,1,0,40,94,19,1,17,94,21,1,18,4,19,19,21,32,19,19,8,121,19,43,0,1,19,0,0,132,0,0,19,82,21,14,0,135,19,4,0,16,7,21,0,130,19,0,0,0,9,19,0,1,19,0,0,132,0,0,19,38,19,9,1,121,19,3,0,1,15,16,0,119,0,204,0,106,2,0,12,1,19,0,0,132,0,0,19,0,3,13,0,0,4,10,0,25,5,3,40,116,3,4,0,25,3,3,4,25,4,4,4,54,19,3,5,40,190,0,0,1,21,26,0,135,19,12,0,21,1,7,2,13,0,0,0,130,19,0,0,0,9,19,0,1,19,0,0,132,0,0,19,38,19,9,1,121,19,5,0,135,1,5,0,135,19,6,0,7,0,0,0,119,0,179,0,135,19,6,0,7,0,0,0,1,1,1,0,119,0,2,0,1,1,0,0,25,3,0,48,82,2,3,0,106,19,0,52,45,19,2,19,212,190,0,0,1,19,0,0,132,0,0,19,1,21,50,2,25,20,0,44,135,19,4,0,21,20,14,0,130,19,0,0,0,9,19,0,1,19,0,0,132,0,0,19,38,19,9,1,121,19,19,0,1,15,16,0,119,0,155,0,1,19,0,0,132,0,0,19,1,20,208,1,135,19,4,0,20,2,14,0,130,19,0,0,0,9,19,0,1,19,0,0,132,0,0,19,38,19,9,1,121,19,3,0,1,15,16,0,119,0,142,0,82,19,3,0,25,19,19,4,85,3,19,0,1,19,0,0,132,0,0,19,1,20,237,3,135,19,8,0,20,0,1,0,130,19,0,0,0,9,19,0,1,19,0,0,132,0,0,19,38,19,9,1,121,19,3,0,1,15,16,0,119,0,126,0,82,2,3,0,26,1,2,4,26,9,2,4,85,3,9,0,135,19,6,0,9,0,0,0,82,2,3,0,53,19,2,1,80,191,0,0,1,19,0,0,132,0,0,19,1,20,52,2,82,21,14,0,135,19,4,0,20,21,10,0,130,19,0,0,0,10,19,0,1,19,0,0,132,0,0,19,38,19,10,1,121,19,3,0,1,15,16,0,119,0,103,0,106,19,0,76,106,21,0,80,45,19,19,21,192,191,0,0,82,15,14,0,137,11,0,0,139,15,0,0,1,19,0,0,85,13,19,0,1,21,0,0,109,13,4,21,1,19,0,0,109,13,8,19,1,19,0,0,132,0,0,19,1,21,75,0,2,20,0,0,28,156,0,0,1,22,11,0,135,19,9,0,21,13,20,22,130,19,0,0,0,10,19,0,1,19,0,0,132,0,0,19,38,19,10,1,121,19,3,0,135,1,5,0,119,0,74,0,1,19,0,0,85,12,19,0,1,22,0,0,109,12,4,22,1,19,0,0,109,12,8,19,1,19,0,0,132,0,0,19,1,22,75,0,2,20,0,0,40,156,0,0,1,21,7,0,135,19,9,0,22,12,20,21,130,19,0,0,0,10,19,0,1,19,0,0,132,0,0,19,38,19,10,1,121,19,3,0,135,1,5,0,119,0,50,0,1,19,0,0,85,8,19,0,1,21,0,0,109,8,4,21,1,19,0,0,109,8,8,19,1,19,0,0,132,0,0,19,1,21,75,0,2,20,0,0,224,157,0,0,1,22,36,0,135,19,9,0,21,8,20,22,130,19,0,0,0,10,19,0,1,19,0,0,132,0,0,19,38,19,10,1,121,19,3,0,135,1,5,0,119,0,26,0,1,19,0,0,132,0,0,19,1,22,25,0,135,19,12,0,22,0,13,12,8,0,0,0,130,19,0,0,0,10,19,0,1,19,0,0,132,0,0,19,38,19,10,1,121,19,5,0,135,1,5,0,135,19,10,0,8,0,0,0,119,0,10,0,135,19,10,0,8,0,0,0,135,19,10,0,12,0,0,0,135,19,10,0,13,0,0,0,82,15,14,0,137,11,0,0,139,15,0,0,135,19,10,0,12,0,0,0,135,19,10,0,13,0,0,0,32,19,15,16,121,19,2,0,135,1,5,0,135,19,6,0,14,0,0,0,0,15,1,0,135,19,7,0,15,0,0,0,135,19,11,0,9,0,0,0,0,15,1,0,135,19,7,0,15,0,0,0,1,19,0,0,139,19,0,0,140,2,10,0,0,0,0,0,1,2,0,0,136,7,0,0,0,6,7,0,136,7,0,0,25,7,7,16,137,7,0,0,0,5,6,0,135,4,56,0,0,1,0,0,1,7,0,0,132,0,0,7,1,8,208,1,135,7,3,0,8,4,0,0,130,7,0,0,0,1,7,0,1,7,0,0,132,0,0,7,38,7,1,1,121,7,3,0,1,2,3,0,119,0,13,0,1,7,0,0,132,0,0,7,1,8,209,1,135,7,3,0,8,4,0,0,130,7,0,0,0,1,7,0,1,7,0,0,132,0,0,7,38,7,1,1,121,7,2,0,1,2,3,0,32,7,2,3,121,7,86,0,1,7,0,0,135,2,19,0,7,0,0,0,135,7,52,0,2,0,0,0,1,7,0,0,132,0,0,7,1,8,205,1,135,7,3,0,8,0,0,0,130,7,0,0,0,2,7,0,1,7,0,0,132,0,0,7,38,7,2,1,121,7,69,0,1,7,0,0,135,2,19,0,7,0,0,0,135,7,52,0,2,0,0,0,1,7,0,0,132,0,0,7,1,8,205,1,135,7,3,0,8,0,0,0,130,7,0,0,0,2,7,0,1,7,0,0,132,0,0,7,38,7,2,1,121,7,21,0,135,1,5,0,1,7,0,0,132,0,0,7,1,8,3,0,135,7,53,0,8,0,0,0,130,7,0,0,0,2,7,0,1,7,0,0,132,0,0,7,38,7,2,1,121,7,7,0,1,7,0,0,135,2,19,0,7,0,0,0,135,7,20,0,2,0,0,0,119,0,16,0,0,3,1,0,119,0,14,0,1,7,0,0,132,0,0,7,1,8,3,0,135,7,53,0,8,0,0,0,130,7,0,0,0,3,7,0,1,7,0,0,132,0,0,7,38,7,3,1,120,7,2,0,119,0,21,0,135,3,5,0,1,7,0,0,132,0,0,7,1,8,3,0,135,7,53,0,8,0,0,0,130,7,0,0,0,2,7,0,1,7,0,0,132,0,0,7,38,7,2,1,121,7,7,0,1,7,0,0,135,3,19,0,7,0,0,0,135,7,20,0,3,0,0,0,119,0,3,0,135,7,7,0,3,0,0,0,135,7,57,0,120,4,5,0,25,5,0,80,82,5,5,0,137,6,0,0,139,5,0,0,25,1,4,8,82,2,1,0,121,2,7,0,82,8,2,0,106,8,8,4,1,9,255,1,19,8,8,9,135,7,58,0,8,2,0,0,1,7,0,0,85,1,7,0,1,8,0,0,109,4,4,8,1,7,0,0,135,8,14,0,5,7,0,0,1,8,0,0,132,0,0,8,1,7,198,3,25,9,4,12,135,8,8,0,7,9,5,0,130,8,0,0,0,3,8,0,1,8,0,0,132,0,0,8,38,8,3,1,121,8,6,0,135,6,5,0,135,8,6,0,5,0,0,0,135,8,7,0,6,0,0,0,135,8,6,0,5,0,0,0,135,8,49,0,4,0,0,0,25,5,0,80,82,5,5,0,137,6,0,0,139,5,0,0,140,1,9,0,0,0,0,0,120,0,3,0,1,4,1,0,139,4,0,0,106,1,0,80,121,1,3,0,0,4,1,0,139,4,0,0,25,2,0,116,82,5,2,0,121,5,38,0,1,5,184,1,135,1,13,0,5,0,0,0,1,5,0,0,132,0,0,5,1,6,107,2,135,5,4,0,6,1,0,0,130,5,0,0,0,4,5,0,1,5,0,0,132,0,0,5,38,5,4,1,121,5,7,0,135,4,5,0,135,5,11,0,1,0,0,0,135,5,7,0,4,0,0,0,119,0,18,0,1,5,56,57,85,1,5,0,1,5,176,1,82,6,2,0,97,1,5,6,25,4,0,120,1,6,180,1,82,5,4,0,97,1,6,5,1,5,0,0,85,2,5,0,1,5,0,0,85,4,5,0,134,4,0,0,120,193,0,0,0,1,0,0,139,4,0,0,1,5,8,0,135,1,40,0,5,0,0,0,1,5,0,0,132,0,0,5,1,6,251,1,2,7,0,0,22,178,0,0,135,5,4,0,6,1,7,0,130,5,0,0,0,2,5,0,1,5,0,0,132,0,0,5,38,5,2,1,121,5,8,0,1,5,0,0,135,2,19,0,5,0,0,0,135,5,41,0,1,0,0,0,0,1,2,0,119,0,13,0,1,5,0,0,132,0,0,5,1,7,76,0,1,6,176,17,1,8,97,1,135,5,9,0,7,1,6,8,1,5,0,0,132,0,0,5,1,5,0,0,135,1,19,0,5,0,0,0,135,5,52,0,1,0,0,0,1,5,0,0,132,0,0,5,1,5,205,1,135,1,3,0,5,0,0,0,130,5,0,0,0,2,5,0,1,5,0,0,132,0,0,5,38,5,2,1,121,5,71,0,1,5,0,0,135,1,19,0,5,0,0,0,135,5,52,0,1,0,0,0,1,5,0,0,132,0,0,5,1,5,205,1,135,1,3,0,5,0,0,0,130,5,0,0,0,0,5,0,1,5,0,0,132,0,0,5,38,5,0,1,121,5,21,0,135,1,5,0,1,5,0,0,132,0,0,5,1,8,3,0,135,5,53,0,8,0,0,0,130,5,0,0,0,0,5,0,1,5,0,0,132,0,0,5,38,5,0,1,121,5,7,0,1,5,0,0,135,0,19,0,5,0,0,0,135,5,20,0,0,0,0,0,119,0,17,0,0,4,1,0,119,0,15,0,1,5,0,0,132,0,0,5,1,8,3,0,135,5,53,0,8,0,0,0,130,5,0,0,0,4,5,0,1,5,0,0,132,0,0,5,38,5,4,1,120,5,3,0,0,3,1,0,119,0,23,0,135,4,5,0,1,5,0,0,132,0,0,5,1,8,3,0,135,5,53,0,8,0,0,0,130,5,0,0,0,0,5,0,1,5,0,0,132,0,0,5,38,5,0,1,121,5,7,0,1,5,0,0,135,4,19,0,5,0,0,0,135,5,20,0,4,0,0,0,119,0,5,0,135,5,7,0,4,0,0,0,119,0,2,0,0,3,1,0,135,5,57,0,39,5,3,1,0,4,5,0,139,4,0,0,140,17,26,0,0,0,0,0,135,0,59,0,0,0,0,0,121,2,8,0,135,19,60,0,0,0,0,0,1,17,0,0,0,18,19,0,135,19,61,0,19,0,0,0,119,0,7,0,135,19,62,0,0,0,0,0,0,17,19,0,1,18,0,0,135,19,63,0,19,0,0,0,135,0,64,0,19,0,0,0,1,20,255,255,47,20,20,5,48,199,0,0,135,20,65,0,0,5,0,0,135,20,66,0,0,4,0,0,135,20,67,0,0,6,0,0,135,20,68,0,0,9,0,0,135,20,69,0,0,8,0,0,135,20,70,0,0,10,0,0,135,20,71,0,0,7,0,0,135,20,72,0,0,15,0,0,135,20,73,0,0,16,0,0,135,20,74,0,0,13,0,0,135,20,75,0,0,14,0,0,135,20,76,0,0,1,0,0,135,20,77,0,0,12,0,0,135,20,78,0,0,11,0,0,121,3,14,0,1,20,1,0,135,9,79,0,20,0,0,0,1,21,0,0,1,23,166,0,59,24,0,0,1,25,0,0,135,22,80,0,23,24,25,0,135,20,81,0,9,21,22,0,135,20,82,0,0,9,0,0,121,2,4,0,135,0,83,0,18,0,0,0,119,0,4,0,134,0,0,0,28,196,0,0,17,0,0,0,120,0,11,0,135,8,84,0,19,0,0,0,135,9,85,0,19,0,0,0],eb+40960);HEAPU8.set([1,22,0,0,135,21,86,0,19,0,0,0,135,20,87,0,22,8,9,21,119,0,8,0,135,9,88,0,19,0,0,0,1,21,1,0,135,22,89,0,19,0,0,0,135,20,90,0,21,9,22,0,121,2,5,0,135,20,91,0,18,0,0,0,139,0,0,0,119,0,4,0,135,20,92,0,17,0,0,0,139,0,0,0,139,0,0,0,140,2,9,0,0,0,0,0,25,2,0,76,25,3,0,80,82,6,3,0,82,7,2,0,50,6,6,7,128,200,0,0,1,6,1,0,139,6,0,0,135,6,93,0,0,0,0,0,1,7,1,0,1,8,0,0,135,6,94,0,0,7,8,0,1,8,1,0,1,7,0,0,135,6,95,0,0,8,7,0,120,6,47,0,82,4,2,0,135,5,96,0,4,0,0,0,125,6,5,5,4,0,0,0,135,4,97,0,6,0,0,0,32,7,4,0,121,7,4,0,1,7,1,0,0,6,7,0,119,0,4,0,82,7,3,0,16,7,7,4,0,6,7,0,120,6,3,0,1,0,7,0,119,0,36,0,82,5,2,0,135,4,96,0,5,0,0,0,125,5,4,4,5,0,0,0,78,7,5,0,32,7,7,125,121,7,4,0,25,7,5,1,0,6,7,0,119,0,3,0,1,7,0,0,0,6,7,0,0,5,6,0,32,7,5,0,121,7,4,0,1,7,1,0,0,6,7,0,119,0,4,0,82,7,3,0,16,7,7,5,0,6,7,0,120,6,3,0,1,0,7,0,119,0,11,0,134,6,0,0,0,0,0,0,0,1,0,0,82,6,3,0,82,7,2,0,50,6,6,7,124,201,0,0,1,0,7,0,119,0,2,0,119,0,193,255,32,6,0,7,121,6,3,0,1,6,1,0,139,6,0,0,1,6,0,0,139,6,0,0,140,5,9,0,0,0,0,0,136,7,0,0,0,6,7,0,136,7,0,0,25,7,7,16,137,7,0,0,0,5,6,0,1,8,80,1,3,8,0,8,135,7,98,0,5,8,0,0,1,7,0,0,132,0,0,7,1,7,87,0,1,8,1,0,135,3,99,0,7,0,1,2,3,4,5,8,130,8,0,0,0,4,8,0,1,8,0,0,132,0,0,8,38,8,4,1,121,8,22,0,135,2,5,0,82,3,5,0,120,3,3,0,135,8,7,0,2,0,0,0,25,0,5,4,82,1,0,0,46,8,1,3,60,202,0,0,26,8,1,4,4,8,8,3,43,8,8,2,11,8,8,0,41,8,8,2,3,8,1,8,85,0,8,0,135,8,11,0,3,0,0,0,135,8,7,0,2,0,0,0,119,0,20,0,82,2,5,0,120,2,3,0,137,6,0,0,139,3,0,0,25,0,5,4,82,1,0,0,46,8,1,2,140,202,0,0,26,8,1,4,4,8,8,2,43,8,8,2,11,8,8,0,41,8,8,2,3,8,1,8,85,0,8,0,135,8,11,0,2,0,0,0,137,6,0,0,139,3,0,0,1,8,0,0,139,8,0,0,140,3,9,0,0,0,0,0,1,6,2,0,135,8,100,0,2,0,0,0,135,7,101,0,8,0,0,0,135,5,90,0,6,0,7,0,1,7,3,0,1,6,0,0,135,5,102,0,7,6,0,0,120,5,9,0,1,6,20,0,135,5,103,0,6,0,0,0,1,6,3,0,1,7,0,0,135,5,102,0,6,7,0,0,121,5,249,255,1,5,4,0,1,7,0,0,135,1,102,0,5,7,0,0,121,1,17,0,1,7,1,0,135,4,104,0,7,0,0,0,1,7,0,0,1,5,0,0,135,0,105,0,0,7,5,0,85,4,0,0,135,7,59,0,1,0,0,0,1,6,0,0,1,8,0,0,135,5,106,0,0,7,6,8,0,0,4,0,139,0,0,0,1,5,5,0,1,8,0,0,135,1,102,0,5,8,0,0,1,8,6,0,1,5,0,0,135,3,102,0,8,5,0,0,20,5,3,1,120,5,3,0,1,0,0,0,139,0,0,0,1,5,1,0,135,4,104,0,5,0,0,0,125,5,1,1,0,0,0,0,135,2,59,0,5,0,0,0,120,3,3,0,1,1,0,0,119,0,3,0,135,1,59,0,3,0,0,0,1,5,0,0,135,0,105,0,2,1,5,0,85,4,0,0,0,0,4,0,139,0,0,0],eb+51200);var relocations=[];relocations=relocations.concat([3552,3584,3588,3592,3596,3600,3604,3608,4136,4432,4528,4612,4860,4956,5e3,6108,6580,6680,6764,6844,10616,11420,11804,12352,13140,13220,13536,13708,13792,14280,14284,14288,14292,14296,14300,14304,14308,14312,14316,14320,14324,14328,14332,14336,14340,14344,14348,14352,14356,14360,14364,14368,14372,14376,14380,14384,14388,14392,14396,14400,14404,14408,14412,14416,14420,14424,14428,14432,14436,14440,14444,14448,14452,14456,14460,14464,14468,14472,14476,14480,14484,14488,14492,14496,14500,14504,14508,14512,14564,14568,14692,14852,15012,15096,15672,15832,15916,16460,16620,16704,17384,17632,17820,17844,18028,18320,18476,18480,18484,18488,18492,18496,18500,18504,18508,18512,18516,18520,18524,18528,18532,18536,18540,18544,18548,18552,18556,18560,18564,18568,18572,18576,18580,18584,18588,18592,18596,18600,18604,18608,18612,18616,18620,18624,18628,18632,18636,18640,18644,18648,18652,18656,18660,18664,18668,18672,18676,18680,18684,18688,18692,18696,18700,18704,18708,18712,18716,18720,18724,18728,18732,18736,18740,18744,18748,18752,18756,18760,18764,18768,18772,18776,18780,18784,18788,18792,18796,18800,18804,18808,18812,18816,18820,18824,18828,18832,18836,18840,18844,18848,18852,18856,18860,18864,18868,18872,18876,18880,18884,18888,18892,18896,18900,18904,18908,18912,18916,18920,18924,18928,18932,18936,18940,18944,18948,18952,18956,18960,18964,18968,18972,18976,18980,18984,18988,18992,18996,19e3,19004,19008,19012,19016,19020,19024,19028,19032,19036,19040,19044,19048,19052,19056,19060,19064,19068,19072,19076,19080,19084,19088,19092,19096,19100,19104,19108,19112,19116,19120,19124,19128,19132,19136,19140,19144,19148,19152,19156,19160,19164,19168,19172,19176,19180,19184,19188,19192,19196,19200,19204,19208,19212,19216,19220,19224,19228,19448,19476,20476,20696,20700,20704,20708,20712,20716,20720,20724,20728,20732,20736,20740,20744,20748,20752,20756,20760,20764,20768,20772,20776,20780,20784,20788,20792,20796,20800,20804,20808,20812,20816,20820,20824,20828,20832,20836,20840,20844,20848,20852,20856,20860,20864,20868,20872,20876,20880,20884,20888,20892,20896,20900,20904,20908,20912,20916,20920,20924,20928,20932,20936,20940,20944,20948,20952,20956,20960,21336,21904,22056,22084,22088,22092,22096,22100,22104,22108,22112,22116,22120,22124,22128,22132,22136,22140,22144,22148,22152,22156,22160,22164,22168,22172,22176,22180,22184,22188,22192,22196,22200,22204,22208,22212,22216,22220,22452,22472,22484,22496,22556,22596,22656,22660,22664,22668,22672,22676,22680,22684,22688,22692,22696,22700,22704,22708,22712,22716,22720,22724,22728,22732,22736,22740,22744,22748,22752,22756,22760,22764,22768,22772,22776,22780,22784,22788,22792,22796,22800,22804,22808,22812,22816,22820,22824,22828,22832,22836,22840,22844,22848,22852,22856,22860,22864,22868,22872,22876,22880,22884,22888,22892,22896,22900,22904,22908,22912,22916,22920,22924,22928,22932,22936,22940,22944,22948,22952,22956,22960,22964,22968,22972,22976,22980,22984,22988,22992,22996,23e3,23004,23008,23012,23016,23020,23024,23028,23032,23036,23040,23044,23048,23052,23056,23060,23064,23068,23072,23076,23080,23084,23088,23092,23096,23100,23104,23108,23112,23116,23120,23124,23128,23132,23136,23140,23144,23148,23152,23156,23160,23164,23168,23172,23176,23180,23184,23188,23192,23196,23200,23204,23208,23212,23216,23220,23224,23228,23232,23236,23240,23244,23248,23252,23256,23260,23264,23268,23272,23276,23280,23284,23288,23292,23296,23300,23304,23308,23312,23316,23320,23324,23328,23332,23584,23604,23756,23864,23912,23936,23960,23984,24016,24056,24404,24724,24924,24948,25680,25992,26092,26172,26384,26560,26644,26980,27060,27232,27260,27580,27752,27832,28112,28676,29296,29408,29440,29460,29592,29908,3e4,30132,30576,32660,33228,33584,33720,33748,33752,33756,33760,33764,33768,33772,33776,33780,33784,33788,33792,33796,33800,33804,33808,33812,33816,33820,33824,33828,33832,33836,33840,33844,33848,33852,33856,33860,33864,33868,33872,33876,33880,33884,33888,33892,33896,33900,33904,33908,33912,33916,33920,33924,33928,33932,33936,33940,33944,33948,33952,33956,33960,33964,33968,33972,33976,33980,33984,33988,33992,33996,34e3,34004,34008,34012,34016,34020,34024,34028,34032,34036,34040,34044,34048,34052,34056,34060,34064,34068,34072,34076,34080,34084,34088,34092,34096,34100,34104,34108,34112,34116,34120,35156,35232,35320,35576,35684,35828,35896,36632,36892,36936,37032,37204,38024,38096,38124,38216,38280,38308,38468,39548,39768,40048,40600,40664,40712,40776,41004,41072,41504,41588,41752,41780,41856,42148,42304,42812,43720,43948,44872,44876,45580,45608,45652,45680,46784,46936,47592,48192,48276,48440,48468,48696,48792,49e3,49072,50980,51316,51568,51740,51820,50388,51172,51548]);for(var i=0;i<relocations.length;i++){HEAPU32[eb+relocations[i]>>2]=HEAPU32[eb+relocations[i]>>2]+eb}}));function _atexit(func,arg){__ATEXIT__.unshift({func:func,arg:arg})}function ___cxa_atexit(){return _atexit.apply(null,arguments)}Module["_i64Subtract"]=_i64Subtract;Module["_i64Add"]=_i64Add;function __ZSt18uncaught_exceptionv(){return!!__ZSt18uncaught_exceptionv.uncaught_exception}var EXCEPTIONS={last:0,caught:[],infos:{},deAdjust:(function(adjusted){if(!adjusted||EXCEPTIONS.infos[adjusted])return adjusted;for(var ptr in EXCEPTIONS.infos){var info=EXCEPTIONS.infos[ptr];if(info.adjusted===adjusted){return ptr}}return adjusted}),addRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];info.refcount++}),decRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];assert(info.refcount>0);info.refcount--;if(info.refcount===0&&!info.rethrown){if(info.destructor){Runtime.dynCall("vi",info.destructor,[ptr])}delete EXCEPTIONS.infos[ptr];___cxa_free_exception(ptr)}}),clearRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];info.refcount=0})};function ___resumeException(ptr){if(!EXCEPTIONS.last){EXCEPTIONS.last=ptr}throw ptr}function ___cxa_find_matching_catch(){var thrown=EXCEPTIONS.last;if(!thrown){return(asm["setTempRet0"](0),0)|0}var info=EXCEPTIONS.infos[thrown];var throwntype=info.type;if(!throwntype){return(asm["setTempRet0"](0),thrown)|0}var typeArray=Array.prototype.slice.call(arguments);var pointer=Module["___cxa_is_pointer_type"](throwntype);if(!___cxa_find_matching_catch.buffer)___cxa_find_matching_catch.buffer=_malloc(4);HEAP32[___cxa_find_matching_catch.buffer>>2]=thrown;thrown=___cxa_find_matching_catch.buffer;for(var i=0;i<typeArray.length;i++){if(typeArray[i]&&Module["___cxa_can_catch"](typeArray[i],throwntype,thrown)){thrown=HEAP32[thrown>>2];info.adjusted=thrown;return(asm["setTempRet0"](typeArray[i]),thrown)|0}}thrown=HEAP32[thrown>>2];return(asm["setTempRet0"](throwntype),thrown)|0}function ___cxa_throw(ptr,type,destructor){EXCEPTIONS.infos[ptr]={ptr:ptr,adjusted:ptr,type:type,destructor:destructor,refcount:0,caught:false,rethrown:false};EXCEPTIONS.last=ptr;if(!("uncaught_exception"in __ZSt18uncaught_exceptionv)){__ZSt18uncaught_exceptionv.uncaught_exception=1}else{__ZSt18uncaught_exceptionv.uncaught_exception++}throw ptr}Module["_pthread_mutex_lock"]=_pthread_mutex_lock;var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};function ___setErrNo(value){if(Module["___errno_location"])HEAP32[Module["___errno_location"]()>>2]=value;return value}var PATH={splitPath:(function(filename){var splitPathRe=/^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;return splitPathRe.exec(filename).slice(1)}),normalizeArray:(function(parts,allowAboveRoot){var up=0;for(var i=parts.length-1;i>=0;i--){var last=parts[i];if(last==="."){parts.splice(i,1)}else if(last===".."){parts.splice(i,1);up++}else if(up){parts.splice(i,1);up--}}if(allowAboveRoot){for(;up--;up){parts.unshift("..")}}return parts}),normalize:(function(path){var isAbsolute=path.charAt(0)==="/",trailingSlash=path.substr(-1)==="/";path=PATH.normalizeArray(path.split("/").filter((function(p){return!!p})),!isAbsolute).join("/");if(!path&&!isAbsolute){path="."}if(path&&trailingSlash){path+="/"}return(isAbsolute?"/":"")+path}),dirname:(function(path){var result=PATH.splitPath(path),root=result[0],dir=result[1];if(!root&&!dir){return"."}if(dir){dir=dir.substr(0,dir.length-1)}return root+dir}),basename:(function(path){if(path==="/")return"/";var lastSlash=path.lastIndexOf("/");if(lastSlash===-1)return path;return path.substr(lastSlash+1)}),extname:(function(path){return PATH.splitPath(path)[3]}),join:(function(){var paths=Array.prototype.slice.call(arguments,0);return PATH.normalize(paths.join("/"))}),join2:(function(l,r){return PATH.normalize(l+"/"+r)}),resolve:(function(){var resolvedPath="",resolvedAbsolute=false;for(var i=arguments.length-1;i>=-1&&!resolvedAbsolute;i--){var path=i>=0?arguments[i]:FS.cwd();if(typeof path!=="string"){throw new TypeError("Arguments to path.resolve must be strings")}else if(!path){return""}resolvedPath=path+"/"+resolvedPath;resolvedAbsolute=path.charAt(0)==="/"}resolvedPath=PATH.normalizeArray(resolvedPath.split("/").filter((function(p){return!!p})),!resolvedAbsolute).join("/");return(resolvedAbsolute?"/":"")+resolvedPath||"."}),relative:(function(from,to){from=PATH.resolve(from).substr(1);to=PATH.resolve(to).substr(1);function trim(arr){var start=0;for(;start<arr.length;start++){if(arr[start]!=="")break}var end=arr.length-1;for(;end>=0;end--){if(arr[end]!=="")break}if(start>end)return[];return arr.slice(start,end-start+1)}var fromParts=trim(from.split("/"));var toParts=trim(to.split("/"));var length=Math.min(fromParts.length,toParts.length);var samePartsLength=length;for(var i=0;i<length;i++){if(fromParts[i]!==toParts[i]){samePartsLength=i;break}}var outputParts=[];for(var i=samePartsLength;i<fromParts.length;i++){outputParts.push("..")}outputParts=outputParts.concat(toParts.slice(samePartsLength));return outputParts.join("/")})};var TTY={ttys:[],init:(function(){}),shutdown:(function(){}),register:(function(dev,ops){TTY.ttys[dev]={input:[],output:[],ops:ops};FS.registerDevice(dev,TTY.stream_ops)}),stream_ops:{open:(function(stream){var tty=TTY.ttys[stream.node.rdev];if(!tty){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}stream.tty=tty;stream.seekable=false}),close:(function(stream){stream.tty.ops.flush(stream.tty)}),flush:(function(stream){stream.tty.ops.flush(stream.tty)}),read:(function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.get_char){throw new FS.ErrnoError(ERRNO_CODES.ENXIO)}var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=stream.tty.ops.get_char(stream.tty)}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead}),write:(function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.put_char){throw new FS.ErrnoError(ERRNO_CODES.ENXIO)}for(var i=0;i<length;i++){try{stream.tty.ops.put_char(stream.tty,buffer[offset+i])}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}}if(length){stream.node.timestamp=Date.now()}return i})},default_tty_ops:{get_char:(function(tty){if(!tty.input.length){var result=null;if(ENVIRONMENT_IS_NODE){var BUFSIZE=256;var buf=new Buffer(BUFSIZE);var bytesRead=0;var isPosixPlatform=process.platform!="win32";var fd=process.stdin.fd;if(isPosixPlatform){var usingDevice=false;try{fd=fs.openSync("/dev/stdin","r");usingDevice=true}catch(e){}}try{bytesRead=fs.readSync(fd,buf,0,BUFSIZE,null)}catch(e){if(e.toString().indexOf("EOF")!=-1)bytesRead=0;else throw e}if(usingDevice){fs.closeSync(fd)}if(bytesRead>0){result=buf.slice(0,bytesRead).toString("utf-8")}else{result=null}}else if(typeof window!="undefined"&&typeof window.prompt=="function"){result=window.prompt("Input: ");if(result!==null){result+="\n"}}else if(typeof readline=="function"){result=readline();if(result!==null){result+="\n"}}if(!result){return null}tty.input=intArrayFromString(result,true)}return tty.input.shift()}),put_char:(function(tty,val){if(val===null||val===10){Module["print"](UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}}),flush:(function(tty){if(tty.output&&tty.output.length>0){Module["print"](UTF8ArrayToString(tty.output,0));tty.output=[]}})},default_tty1_ops:{put_char:(function(tty,val){if(val===null||val===10){Module["printErr"](UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}}),flush:(function(tty){if(tty.output&&tty.output.length>0){Module["printErr"](UTF8ArrayToString(tty.output,0));tty.output=[]}})}};var MEMFS={ops_table:null,mount:(function(mount){return MEMFS.createNode(null,"/",16384|511,0)}),createNode:(function(parent,name,mode,dev){if(FS.isBlkdev(mode)||FS.isFIFO(mode)){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(!MEMFS.ops_table){MEMFS.ops_table={dir:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,lookup:MEMFS.node_ops.lookup,mknod:MEMFS.node_ops.mknod,rename:MEMFS.node_ops.rename,unlink:MEMFS.node_ops.unlink,rmdir:MEMFS.node_ops.rmdir,readdir:MEMFS.node_ops.readdir,symlink:MEMFS.node_ops.symlink},stream:{llseek:MEMFS.stream_ops.llseek}},file:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:{llseek:MEMFS.stream_ops.llseek,read:MEMFS.stream_ops.read,write:MEMFS.stream_ops.write,allocate:MEMFS.stream_ops.allocate,mmap:MEMFS.stream_ops.mmap,msync:MEMFS.stream_ops.msync}},link:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,readlink:MEMFS.node_ops.readlink},stream:{}},chrdev:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:FS.chrdev_stream_ops}}}var node=FS.createNode(parent,name,mode,dev);if(FS.isDir(node.mode)){node.node_ops=MEMFS.ops_table.dir.node;node.stream_ops=MEMFS.ops_table.dir.stream;node.contents={}}else if(FS.isFile(node.mode)){node.node_ops=MEMFS.ops_table.file.node;node.stream_ops=MEMFS.ops_table.file.stream;node.usedBytes=0;node.contents=null}else if(FS.isLink(node.mode)){node.node_ops=MEMFS.ops_table.link.node;node.stream_ops=MEMFS.ops_table.link.stream}else if(FS.isChrdev(node.mode)){node.node_ops=MEMFS.ops_table.chrdev.node;node.stream_ops=MEMFS.ops_table.chrdev.stream}node.timestamp=Date.now();if(parent){parent.contents[name]=node}return node}),getFileDataAsRegularArray:(function(node){if(node.contents&&node.contents.subarray){var arr=[];for(var i=0;i<node.usedBytes;++i)arr.push(node.contents[i]);return arr}return node.contents}),getFileDataAsTypedArray:(function(node){if(!node.contents)return new Uint8Array;if(node.contents.subarray)return node.contents.subarray(0,node.usedBytes);return new Uint8Array(node.contents)}),expandFileStorage:(function(node,newCapacity){if(node.contents&&node.contents.subarray&&newCapacity>node.contents.length){node.contents=MEMFS.getFileDataAsRegularArray(node);node.usedBytes=node.contents.length}if(!node.contents||node.contents.subarray){var prevCapacity=node.contents?node.contents.length:0;if(prevCapacity>=newCapacity)return;var CAPACITY_DOUBLING_MAX=1024*1024;newCapacity=Math.max(newCapacity,prevCapacity*(prevCapacity<CAPACITY_DOUBLING_MAX?2:1.125)|0);if(prevCapacity!=0)newCapacity=Math.max(newCapacity,256);var oldContents=node.contents;node.contents=new Uint8Array(newCapacity);if(node.usedBytes>0)node.contents.set(oldContents.subarray(0,node.usedBytes),0);return}if(!node.contents&&newCapacity>0)node.contents=[];while(node.contents.length<newCapacity)node.contents.push(0)}),resizeFileStorage:(function(node,newSize){if(node.usedBytes==newSize)return;if(newSize==0){node.contents=null;node.usedBytes=0;return}if(!node.contents||node.contents.subarray){var oldContents=node.contents;node.contents=new Uint8Array(new ArrayBuffer(newSize));if(oldContents){node.contents.set(oldContents.subarray(0,Math.min(newSize,node.usedBytes)))}node.usedBytes=newSize;return}if(!node.contents)node.contents=[];if(node.contents.length>newSize)node.contents.length=newSize;else while(node.contents.length<newSize)node.contents.push(0);node.usedBytes=newSize}),node_ops:{getattr:(function(node){var attr={};attr.dev=FS.isChrdev(node.mode)?node.id:1;attr.ino=node.id;attr.mode=node.mode;attr.nlink=1;attr.uid=0;attr.gid=0;attr.rdev=node.rdev;if(FS.isDir(node.mode)){attr.size=4096}else if(FS.isFile(node.mode)){attr.size=node.usedBytes}else if(FS.isLink(node.mode)){attr.size=node.link.length}else{attr.size=0}attr.atime=new Date(node.timestamp);attr.mtime=new Date(node.timestamp);attr.ctime=new Date(node.timestamp);attr.blksize=4096;attr.blocks=Math.ceil(attr.size/attr.blksize);return attr}),setattr:(function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}if(attr.size!==undefined){MEMFS.resizeFileStorage(node,attr.size)}}),lookup:(function(parent,name){throw FS.genericErrors[ERRNO_CODES.ENOENT]}),mknod:(function(parent,name,mode,dev){return MEMFS.createNode(parent,name,mode,dev)}),rename:(function(old_node,new_dir,new_name){if(FS.isDir(old_node.mode)){var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(new_node){for(var i in new_node.contents){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}}}delete old_node.parent.contents[old_node.name];old_node.name=new_name;new_dir.contents[new_name]=old_node;old_node.parent=new_dir}),unlink:(function(parent,name){delete parent.contents[name]}),rmdir:(function(parent,name){var node=FS.lookupNode(parent,name);for(var i in node.contents){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}delete parent.contents[name]}),readdir:(function(node){var entries=[".",".."];for(var key in node.contents){if(!node.contents.hasOwnProperty(key)){continue}entries.push(key)}return entries}),symlink:(function(parent,newname,oldpath){var node=MEMFS.createNode(parent,newname,511|40960,0);node.link=oldpath;return node}),readlink:(function(node){if(!FS.isLink(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return node.link})},stream_ops:{read:(function(stream,buffer,offset,length,position){var contents=stream.node.contents;if(position>=stream.node.usedBytes)return 0;var size=Math.min(stream.node.usedBytes-position,length);assert(size>=0);if(size>8&&contents.subarray){buffer.set(contents.subarray(position,position+size),offset)}else{for(var i=0;i<size;i++)buffer[offset+i]=contents[position+i]}return size}),write:(function(stream,buffer,offset,length,position,canOwn){if(!length)return 0;var node=stream.node;node.timestamp=Date.now();if(buffer.subarray&&(!node.contents||node.contents.subarray)){if(canOwn){node.contents=buffer.subarray(offset,offset+length);node.usedBytes=length;return length}else if(node.usedBytes===0&&position===0){node.contents=new Uint8Array(buffer.subarray(offset,offset+length));node.usedBytes=length;return length}else if(position+length<=node.usedBytes){node.contents.set(buffer.subarray(offset,offset+length),position);return length}}MEMFS.expandFileStorage(node,position+length);if(node.contents.subarray&&buffer.subarray)node.contents.set(buffer.subarray(offset,offset+length),position);else{for(var i=0;i<length;i++){node.contents[position+i]=buffer[offset+i]}}node.usedBytes=Math.max(node.usedBytes,position+length);return length}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.usedBytes}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position}),allocate:(function(stream,offset,length){MEMFS.expandFileStorage(stream.node,offset+length);stream.node.usedBytes=Math.max(stream.node.usedBytes,offset+length)}),mmap:(function(stream,buffer,offset,length,position,prot,flags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}var ptr;var allocated;var contents=stream.node.contents;if(!(flags&2)&&(contents.buffer===buffer||contents.buffer===buffer.buffer)){allocated=false;ptr=contents.byteOffset}else{if(position>0||position+length<stream.node.usedBytes){if(contents.subarray){contents=contents.subarray(position,position+length)}else{contents=Array.prototype.slice.call(contents,position,position+length)}}allocated=true;ptr=_malloc(length);if(!ptr){throw new FS.ErrnoError(ERRNO_CODES.ENOMEM)}buffer.set(contents,ptr)}return{ptr:ptr,allocated:allocated}}),msync:(function(stream,buffer,offset,length,mmapFlags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}if(mmapFlags&2){return 0}var bytesWritten=MEMFS.stream_ops.write(stream,buffer,0,length,offset,false);return 0})}};var IDBFS={dbs:{},indexedDB:(function(){if(typeof indexedDB!=="undefined")return indexedDB;var ret=null;if(typeof window==="object")ret=window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB;assert(ret,"IDBFS used, but indexedDB not supported");return ret}),DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:(function(mount){return MEMFS.mount.apply(null,arguments)}),syncfs:(function(mount,populate,callback){IDBFS.getLocalSet(mount,(function(err,local){if(err)return callback(err);IDBFS.getRemoteSet(mount,(function(err,remote){if(err)return callback(err);var src=populate?remote:local;var dst=populate?local:remote;IDBFS.reconcile(src,dst,callback)}))}))}),getDB:(function(name,callback){var db=IDBFS.dbs[name];if(db){return callback(null,db)}var req;try{req=IDBFS.indexedDB().open(name,IDBFS.DB_VERSION)}catch(e){return callback(e)}if(!req){return callback("Unable to connect to IndexedDB")}req.onupgradeneeded=(function(e){var db=e.target.result;var transaction=e.target.transaction;var fileStore;if(db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)){fileStore=transaction.objectStore(IDBFS.DB_STORE_NAME)}else{fileStore=db.createObjectStore(IDBFS.DB_STORE_NAME)}if(!fileStore.indexNames.contains("timestamp")){fileStore.createIndex("timestamp","timestamp",{unique:false})}});req.onsuccess=(function(){db=req.result;IDBFS.dbs[name]=db;callback(null,db)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),getLocalSet:(function(mount,callback){var entries={};function isRealDir(p){return p!=="."&&p!==".."}function toAbsolute(root){return(function(p){return PATH.join2(root,p)})}var check=FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));while(check.length){var path=check.pop();var stat;try{stat=FS.stat(path)}catch(e){return callback(e)}if(FS.isDir(stat.mode)){check.push.apply(check,FS.readdir(path).filter(isRealDir).map(toAbsolute(path)))}entries[path]={timestamp:stat.mtime}}return callback(null,{type:"local",entries:entries})}),getRemoteSet:(function(mount,callback){var entries={};IDBFS.getDB(mount.mountpoint,(function(err,db){if(err)return callback(err);var transaction=db.transaction([IDBFS.DB_STORE_NAME],"readonly");transaction.onerror=(function(e){callback(this.error);e.preventDefault()});var store=transaction.objectStore(IDBFS.DB_STORE_NAME);var index=store.index("timestamp");index.openKeyCursor().onsuccess=(function(event){var cursor=event.target.result;if(!cursor){return callback(null,{type:"remote",db:db,entries:entries})}entries[cursor.primaryKey]={timestamp:cursor.key};cursor.continue()})}))}),loadLocalEntry:(function(path,callback){var stat,node;try{var lookup=FS.lookupPath(path);node=lookup.node;stat=FS.stat(path)}catch(e){return callback(e)}if(FS.isDir(stat.mode)){return callback(null,{timestamp:stat.mtime,mode:stat.mode})}else if(FS.isFile(stat.mode)){node.contents=MEMFS.getFileDataAsTypedArray(node);return callback(null,{timestamp:stat.mtime,mode:stat.mode,contents:node.contents})}else{return callback(new Error("node type not supported"))}}),storeLocalEntry:(function(path,entry,callback){try{if(FS.isDir(entry.mode)){FS.mkdir(path,entry.mode)}else if(FS.isFile(entry.mode)){FS.writeFile(path,entry.contents,{encoding:"binary",canOwn:true})}else{return callback(new Error("node type not supported"))}FS.chmod(path,entry.mode);FS.utime(path,entry.timestamp,entry.timestamp)}catch(e){return callback(e)}callback(null)}),removeLocalEntry:(function(path,callback){try{var lookup=FS.lookupPath(path);var stat=FS.stat(path);if(FS.isDir(stat.mode)){FS.rmdir(path)}else if(FS.isFile(stat.mode)){FS.unlink(path)}}catch(e){return callback(e)}callback(null)}),loadRemoteEntry:(function(store,path,callback){var req=store.get(path);req.onsuccess=(function(event){callback(null,event.target.result)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),storeRemoteEntry:(function(store,path,entry,callback){var req=store.put(entry,path);req.onsuccess=(function(){callback(null)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),removeRemoteEntry:(function(store,path,callback){var req=store.delete(path);req.onsuccess=(function(){callback(null)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),reconcile:(function(src,dst,callback){var total=0;var create=[];Object.keys(src.entries).forEach((function(key){var e=src.entries[key];var e2=dst.entries[key];if(!e2||e.timestamp>e2.timestamp){create.push(key);total++}}));var remove=[];Object.keys(dst.entries).forEach((function(key){var e=dst.entries[key];var e2=src.entries[key];if(!e2){remove.push(key);total++}}));if(!total){return callback(null)}var completed=0;var db=src.type==="remote"?src.db:dst.db;var transaction=db.transaction([IDBFS.DB_STORE_NAME],"readwrite");var store=transaction.objectStore(IDBFS.DB_STORE_NAME);function done(err){if(err){if(!done.errored){done.errored=true;return callback(err)}return}if(++completed>=total){return callback(null)}}transaction.onerror=(function(e){done(this.error);e.preventDefault()});create.sort().forEach((function(path){if(dst.type==="local"){IDBFS.loadRemoteEntry(store,path,(function(err,entry){if(err)return done(err);IDBFS.storeLocalEntry(path,entry,done)}))}else{IDBFS.loadLocalEntry(path,(function(err,entry){if(err)return done(err);IDBFS.storeRemoteEntry(store,path,entry,done)}))}}));remove.sort().reverse().forEach((function(path){if(dst.type==="local"){IDBFS.removeLocalEntry(path,done)}else{IDBFS.removeRemoteEntry(store,path,done)}}))})};var NODEFS={isWindows:false,staticInit:(function(){NODEFS.isWindows=!!process.platform.match(/^win/)}),mount:(function(mount){assert(ENVIRONMENT_IS_NODE);return NODEFS.createNode(null,"/",NODEFS.getMode(mount.opts.root),0)}),createNode:(function(parent,name,mode,dev){if(!FS.isDir(mode)&&!FS.isFile(mode)&&!FS.isLink(mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node=FS.createNode(parent,name,mode);node.node_ops=NODEFS.node_ops;node.stream_ops=NODEFS.stream_ops;return node}),getMode:(function(path){var stat;try{stat=fs.lstatSync(path);if(NODEFS.isWindows){stat.mode=stat.mode|(stat.mode&146)>>1}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}return stat.mode}),realPath:(function(node){var parts=[];while(node.parent!==node){parts.push(node.name);node=node.parent}parts.push(node.mount.opts.root);parts.reverse();return PATH.join.apply(null,parts)}),flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:(function(flags){flags&=~2097152;flags&=~2048;flags&=~32768;flags&=~524288;if(flags in NODEFS.flagsToPermissionStringMap){return NODEFS.flagsToPermissionStringMap[flags]}else{throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}}),node_ops:{getattr:(function(node){var path=NODEFS.realPath(node);var stat;try{stat=fs.lstatSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}if(NODEFS.isWindows&&!stat.blksize){stat.blksize=4096}if(NODEFS.isWindows&&!stat.blocks){stat.blocks=(stat.size+stat.blksize-1)/stat.blksize|0}return{dev:stat.dev,ino:stat.ino,mode:stat.mode,nlink:stat.nlink,uid:stat.uid,gid:stat.gid,rdev:stat.rdev,size:stat.size,atime:stat.atime,mtime:stat.mtime,ctime:stat.ctime,blksize:stat.blksize,blocks:stat.blocks}}),setattr:(function(node,attr){var path=NODEFS.realPath(node);try{if(attr.mode!==undefined){fs.chmodSync(path,attr.mode);node.mode=attr.mode}if(attr.timestamp!==undefined){var date=new Date(attr.timestamp);fs.utimesSync(path,date,date)}if(attr.size!==undefined){fs.truncateSync(path,attr.size)}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),lookup:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);var mode=NODEFS.getMode(path);return NODEFS.createNode(parent,name,mode)}),mknod:(function(parent,name,mode,dev){var node=NODEFS.createNode(parent,name,mode,dev);var path=NODEFS.realPath(node);try{if(FS.isDir(node.mode)){fs.mkdirSync(path,node.mode)}else{fs.writeFileSync(path,"",{mode:node.mode})}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}return node}),rename:(function(oldNode,newDir,newName){var oldPath=NODEFS.realPath(oldNode);var newPath=PATH.join2(NODEFS.realPath(newDir),newName);try{fs.renameSync(oldPath,newPath)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),unlink:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);try{fs.unlinkSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),rmdir:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);try{fs.rmdirSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),readdir:(function(node){var path=NODEFS.realPath(node);try{return fs.readdirSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),symlink:(function(parent,newName,oldPath){var newPath=PATH.join2(NODEFS.realPath(parent),newName);try{fs.symlinkSync(oldPath,newPath)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),readlink:(function(node){var path=NODEFS.realPath(node);try{path=fs.readlinkSync(path);path=NODEJS_PATH.relative(NODEJS_PATH.resolve(node.mount.opts.root),path);return path}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}})},stream_ops:{open:(function(stream){var path=NODEFS.realPath(stream.node);try{if(FS.isFile(stream.node.mode)){stream.nfd=fs.openSync(path,NODEFS.flagsToPermissionString(stream.flags))}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),close:(function(stream){try{if(FS.isFile(stream.node.mode)&&stream.nfd){fs.closeSync(stream.nfd)}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),read:(function(stream,buffer,offset,length,position){if(length===0)return 0;var nbuffer=new Buffer(length);var res;try{res=fs.readSync(stream.nfd,nbuffer,0,length,position)}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}if(res>0){for(var i=0;i<res;i++){buffer[offset+i]=nbuffer[i]}}return res}),write:(function(stream,buffer,offset,length,position){var nbuffer=new Buffer(buffer.subarray(offset,offset+length));var res;try{res=fs.writeSync(stream.nfd,nbuffer,0,length,position)}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}return res}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){try{var stat=fs.fstatSync(stream.nfd);position+=stat.size}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position})}};var WORKERFS={DIR_MODE:16895,FILE_MODE:33279,reader:null,mount:(function(mount){assert(ENVIRONMENT_IS_WORKER);if(!WORKERFS.reader)WORKERFS.reader=new FileReaderSync;var root=WORKERFS.createNode(null,"/",WORKERFS.DIR_MODE,0);var createdParents={};function ensureParent(path){var parts=path.split("/");var parent=root;for(var i=0;i<parts.length-1;i++){var curr=parts.slice(0,i+1).join("/");if(!createdParents[curr]){createdParents[curr]=WORKERFS.createNode(parent,parts[i],WORKERFS.DIR_MODE,0)}parent=createdParents[curr]}return parent}function base(path){var parts=path.split("/");return parts[parts.length-1]}Array.prototype.forEach.call(mount.opts["files"]||[],(function(file){WORKERFS.createNode(ensureParent(file.name),base(file.name),WORKERFS.FILE_MODE,0,file,file.lastModifiedDate)}));(mount.opts["blobs"]||[]).forEach((function(obj){WORKERFS.createNode(ensureParent(obj["name"]),base(obj["name"]),WORKERFS.FILE_MODE,0,obj["data"])}));(mount.opts["packages"]||[]).forEach((function(pack){pack["metadata"].files.forEach((function(file){var name=file.filename.substr(1);WORKERFS.createNode(ensureParent(name),base(name),WORKERFS.FILE_MODE,0,pack["blob"].slice(file.start,file.end))}))}));return root}),createNode:(function(parent,name,mode,dev,contents,mtime){var node=FS.createNode(parent,name,mode);node.mode=mode;node.node_ops=WORKERFS.node_ops;node.stream_ops=WORKERFS.stream_ops;node.timestamp=(mtime||new Date).getTime();assert(WORKERFS.FILE_MODE!==WORKERFS.DIR_MODE);if(mode===WORKERFS.FILE_MODE){node.size=contents.size;node.contents=contents}else{node.size=4096;node.contents={}}if(parent){parent.contents[name]=node}return node}),node_ops:{getattr:(function(node){return{dev:1,ino:undefined,mode:node.mode,nlink:1,uid:0,gid:0,rdev:undefined,size:node.size,atime:new Date(node.timestamp),mtime:new Date(node.timestamp),ctime:new Date(node.timestamp),blksize:4096,blocks:Math.ceil(node.size/4096)}}),setattr:(function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}}),lookup:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}),mknod:(function(parent,name,mode,dev){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),rename:(function(oldNode,newDir,newName){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),unlink:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),rmdir:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),readdir:(function(node){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),symlink:(function(parent,newName,oldPath){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),readlink:(function(node){throw new FS.ErrnoError(ERRNO_CODES.EPERM)})},stream_ops:{read:(function(stream,buffer,offset,length,position){if(position>=stream.node.size)return 0;var chunk=stream.node.contents.slice(position,position+length);var ab=WORKERFS.reader.readAsArrayBuffer(chunk);buffer.set(new Uint8Array(ab),offset);return chunk.size}),write:(function(stream,buffer,offset,length,position){throw new FS.ErrnoError(ERRNO_CODES.EIO)}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.size}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position})}};STATICTOP+=16;STATICTOP+=16;STATICTOP+=16;var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,trackingDelegate:{},tracking:{openFlags:{READ:1,WRITE:2}},ErrnoError:null,genericErrors:{},filesystems:null,syncFSRequests:0,handleFSError:(function(e){if(!(e instanceof FS.ErrnoError))throw e+" : "+stackTrace();return ___setErrNo(e.errno)}),lookupPath:(function(path,opts){path=PATH.resolve(FS.cwd(),path);opts=opts||{};if(!path)return{path:"",node:null};var defaults={follow_mount:true,recurse_count:0};for(var key in defaults){if(opts[key]===undefined){opts[key]=defaults[key]}}if(opts.recurse_count>8){throw new FS.ErrnoError(ERRNO_CODES.ELOOP)}var parts=PATH.normalizeArray(path.split("/").filter((function(p){return!!p})),false);var current=FS.root;var current_path="/";for(var i=0;i<parts.length;i++){var islast=i===parts.length-1;if(islast&&opts.parent){break}current=FS.lookupNode(current,parts[i]);current_path=PATH.join2(current_path,parts[i]);if(FS.isMountpoint(current)){if(!islast||islast&&opts.follow_mount){current=current.mounted.root}}if(!islast||opts.follow){var count=0;while(FS.isLink(current.mode)){var link=FS.readlink(current_path);current_path=PATH.resolve(PATH.dirname(current_path),link);var lookup=FS.lookupPath(current_path,{recurse_count:opts.recurse_count});current=lookup.node;if(count++>40){throw new FS.ErrnoError(ERRNO_CODES.ELOOP)}}}}return{path:current_path,node:current}}),getPath:(function(node){var path;while(true){if(FS.isRoot(node)){var mount=node.mount.mountpoint;if(!path)return mount;return mount[mount.length-1]!=="/"?mount+"/"+path:mount+path}path=path?node.name+"/"+path:node.name;node=node.parent}}),hashName:(function(parentid,name){var hash=0;for(var i=0;i<name.length;i++){hash=(hash<<5)-hash+name.charCodeAt(i)|0}return(parentid+hash>>>0)%FS.nameTable.length}),hashAddNode:(function(node){var hash=FS.hashName(node.parent.id,node.name);node.name_next=FS.nameTable[hash];FS.nameTable[hash]=node}),hashRemoveNode:(function(node){var hash=FS.hashName(node.parent.id,node.name);if(FS.nameTable[hash]===node){FS.nameTable[hash]=node.name_next}else{var current=FS.nameTable[hash];while(current){if(current.name_next===node){current.name_next=node.name_next;break}current=current.name_next}}}),lookupNode:(function(parent,name){var err=FS.mayLookup(parent);if(err){throw new FS.ErrnoError(err,parent)}var hash=FS.hashName(parent.id,name);for(var node=FS.nameTable[hash];node;node=node.name_next){var nodeName=node.name;if(node.parent.id===parent.id&&nodeName===name){return node}}return FS.lookup(parent,name)}),createNode:(function(parent,name,mode,rdev){if(!FS.FSNode){FS.FSNode=(function(parent,name,mode,rdev){if(!parent){parent=this}this.parent=parent;this.mount=parent.mount;this.mounted=null;this.id=FS.nextInode++;this.name=name;this.mode=mode;this.node_ops={};this.stream_ops={};this.rdev=rdev});FS.FSNode.prototype={};var readMode=292|73;var writeMode=146;Object.defineProperties(FS.FSNode.prototype,{read:{get:(function(){return(this.mode&readMode)===readMode}),set:(function(val){val?this.mode|=readMode:this.mode&=~readMode})},write:{get:(function(){return(this.mode&writeMode)===writeMode}),set:(function(val){val?this.mode|=writeMode:this.mode&=~writeMode})},isFolder:{get:(function(){return FS.isDir(this.mode)})},isDevice:{get:(function(){return FS.isChrdev(this.mode)})}})}var node=new FS.FSNode(parent,name,mode,rdev);FS.hashAddNode(node);return node}),destroyNode:(function(node){FS.hashRemoveNode(node)}),isRoot:(function(node){return node===node.parent}),isMountpoint:(function(node){return!!node.mounted}),isFile:(function(mode){return(mode&61440)===32768}),isDir:(function(mode){return(mode&61440)===16384}),isLink:(function(mode){return(mode&61440)===40960}),isChrdev:(function(mode){return(mode&61440)===8192}),isBlkdev:(function(mode){return(mode&61440)===24576}),isFIFO:(function(mode){return(mode&61440)===4096}),isSocket:(function(mode){return(mode&49152)===49152}),flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:(function(str){var flags=FS.flagModes[str];if(typeof flags==="undefined"){throw new Error("Unknown file open mode: "+str)}return flags}),flagsToPermissionString:(function(flag){var perms=["r","w","rw"][flag&3];if(flag&512){perms+="w"}return perms}),nodePermissions:(function(node,perms){if(FS.ignorePermissions){return 0}if(perms.indexOf("r")!==-1&&!(node.mode&292)){return ERRNO_CODES.EACCES}else if(perms.indexOf("w")!==-1&&!(node.mode&146)){return ERRNO_CODES.EACCES}else if(perms.indexOf("x")!==-1&&!(node.mode&73)){return ERRNO_CODES.EACCES}return 0}),mayLookup:(function(dir){var err=FS.nodePermissions(dir,"x");if(err)return err;if(!dir.node_ops.lookup)return ERRNO_CODES.EACCES;return 0}),mayCreate:(function(dir,name){try{var node=FS.lookupNode(dir,name);return ERRNO_CODES.EEXIST}catch(e){}return FS.nodePermissions(dir,"wx")}),mayDelete:(function(dir,name,isdir){var node;try{node=FS.lookupNode(dir,name)}catch(e){return e.errno}var err=FS.nodePermissions(dir,"wx");if(err){return err}if(isdir){if(!FS.isDir(node.mode)){return ERRNO_CODES.ENOTDIR}if(FS.isRoot(node)||FS.getPath(node)===FS.cwd()){return ERRNO_CODES.EBUSY}}else{if(FS.isDir(node.mode)){return ERRNO_CODES.EISDIR}}return 0}),mayOpen:(function(node,flags){if(!node){return ERRNO_CODES.ENOENT}if(FS.isLink(node.mode)){return ERRNO_CODES.ELOOP}else if(FS.isDir(node.mode)){if(FS.flagsToPermissionString(flags)!=="r"||flags&512){return ERRNO_CODES.EISDIR}}return FS.nodePermissions(node,FS.flagsToPermissionString(flags))}),MAX_OPEN_FDS:4096,nextfd:(function(fd_start,fd_end){fd_start=fd_start||0;fd_end=fd_end||FS.MAX_OPEN_FDS;for(var fd=fd_start;fd<=fd_end;fd++){if(!FS.streams[fd]){return fd}}throw new FS.ErrnoError(ERRNO_CODES.EMFILE)}),getStream:(function(fd){return FS.streams[fd]}),createStream:(function(stream,fd_start,fd_end){if(!FS.FSStream){FS.FSStream=(function(){});FS.FSStream.prototype={};Object.defineProperties(FS.FSStream.prototype,{object:{get:(function(){return this.node}),set:(function(val){this.node=val})},isRead:{get:(function(){return(this.flags&2097155)!==1})},isWrite:{get:(function(){return(this.flags&2097155)!==0})},isAppend:{get:(function(){return this.flags&1024})}})}var newStream=new FS.FSStream;for(var p in stream){newStream[p]=stream[p]}stream=newStream;var fd=FS.nextfd(fd_start,fd_end);stream.fd=fd;FS.streams[fd]=stream;return stream}),closeStream:(function(fd){FS.streams[fd]=null}),chrdev_stream_ops:{open:(function(stream){var device=FS.getDevice(stream.node.rdev);stream.stream_ops=device.stream_ops;if(stream.stream_ops.open){stream.stream_ops.open(stream)}}),llseek:(function(){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)})},major:(function(dev){return dev>>8}),minor:(function(dev){return dev&255}),makedev:(function(ma,mi){return ma<<8|mi}),registerDevice:(function(dev,ops){FS.devices[dev]={stream_ops:ops}}),getDevice:(function(dev){return FS.devices[dev]}),getMounts:(function(mount){var mounts=[];var check=[mount];while(check.length){var m=check.pop();mounts.push(m);check.push.apply(check,m.mounts)}return mounts}),syncfs:(function(populate,callback){if(typeof populate==="function"){callback=populate;populate=false}FS.syncFSRequests++;if(FS.syncFSRequests>1){console.log("warning: "+FS.syncFSRequests+" FS.syncfs operations in flight at once, probably just doing extra work")}var mounts=FS.getMounts(FS.root.mount);var completed=0;function doCallback(err){assert(FS.syncFSRequests>0);FS.syncFSRequests--;return callback(err)}function done(err){if(err){if(!done.errored){done.errored=true;return doCallback(err)}return}if(++completed>=mounts.length){doCallback(null)}}mounts.forEach((function(mount){if(!mount.type.syncfs){return done(null)}mount.type.syncfs(mount,populate,done)}))}),mount:(function(type,opts,mountpoint){var root=mountpoint==="/";var pseudo=!mountpoint;var node;if(root&&FS.root){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}else if(!root&&!pseudo){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});mountpoint=lookup.path;node=lookup.node;if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}}var mount={type:type,opts:opts,mountpoint:mountpoint,mounts:[]};var mountRoot=type.mount(mount);mountRoot.mount=mount;mount.root=mountRoot;if(root){FS.root=mountRoot}else if(node){node.mounted=mount;if(node.mount){node.mount.mounts.push(mount)}}return mountRoot}),unmount:(function(mountpoint){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});if(!FS.isMountpoint(lookup.node)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node=lookup.node;var mount=node.mounted;var mounts=FS.getMounts(mount);Object.keys(FS.nameTable).forEach((function(hash){var current=FS.nameTable[hash];while(current){var next=current.name_next;if(mounts.indexOf(current.mount)!==-1){FS.destroyNode(current)}current=next}}));node.mounted=null;var idx=node.mount.mounts.indexOf(mount);assert(idx!==-1);node.mount.mounts.splice(idx,1)}),lookup:(function(parent,name){return parent.node_ops.lookup(parent,name)}),mknod:(function(path,mode,dev){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);if(!name||name==="."||name===".."){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var err=FS.mayCreate(parent,name);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.mknod){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return parent.node_ops.mknod(parent,name,mode,dev)}),create:(function(path,mode){mode=mode!==undefined?mode:438;mode&=4095;mode|=32768;return FS.mknod(path,mode,0)}),mkdir:(function(path,mode){mode=mode!==undefined?mode:511;mode&=511|512;mode|=16384;return FS.mknod(path,mode,0)}),mkdirTree:(function(path,mode){var dirs=path.split("/");var d="";for(var i=0;i<dirs.length;++i){if(!dirs[i])continue;d+="/"+dirs[i];try{FS.mkdir(d,mode)}catch(e){if(e.errno!=ERRNO_CODES.EEXIST)throw e}}}),mkdev:(function(path,mode,dev){if(typeof dev==="undefined"){dev=mode;mode=438}mode|=8192;return FS.mknod(path,mode,dev)}),symlink:(function(oldpath,newpath){if(!PATH.resolve(oldpath)){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}var lookup=FS.lookupPath(newpath,{parent:true});var parent=lookup.node;if(!parent){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}var newname=PATH.basename(newpath);var err=FS.mayCreate(parent,newname);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.symlink){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return parent.node_ops.symlink(parent,newname,oldpath)}),rename:(function(old_path,new_path){var old_dirname=PATH.dirname(old_path);var new_dirname=PATH.dirname(new_path);var old_name=PATH.basename(old_path);var new_name=PATH.basename(new_path);var lookup,old_dir,new_dir;try{lookup=FS.lookupPath(old_path,{parent:true});old_dir=lookup.node;lookup=FS.lookupPath(new_path,{parent:true});new_dir=lookup.node}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(!old_dir||!new_dir)throw new FS.ErrnoError(ERRNO_CODES.ENOENT);if(old_dir.mount!==new_dir.mount){throw new FS.ErrnoError(ERRNO_CODES.EXDEV)}var old_node=FS.lookupNode(old_dir,old_name);var relative=PATH.relative(old_path,new_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}relative=PATH.relative(new_path,old_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(old_node===new_node){return}var isdir=FS.isDir(old_node.mode);var err=FS.mayDelete(old_dir,old_name,isdir);if(err){throw new FS.ErrnoError(err)}err=new_node?FS.mayDelete(new_dir,new_name,isdir):FS.mayCreate(new_dir,new_name);if(err){throw new FS.ErrnoError(err)}if(!old_dir.node_ops.rename){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(old_node)||new_node&&FS.isMountpoint(new_node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(new_dir!==old_dir){err=FS.nodePermissions(old_dir,"w");if(err){throw new FS.ErrnoError(err)}}try{if(FS.trackingDelegate["willMovePath"]){FS.trackingDelegate["willMovePath"](old_path,new_path)}}catch(e){console.log("FS.trackingDelegate['willMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}FS.hashRemoveNode(old_node);try{old_dir.node_ops.rename(old_node,new_dir,new_name)}catch(e){throw e}finally{FS.hashAddNode(old_node)}try{if(FS.trackingDelegate["onMovePath"])FS.trackingDelegate["onMovePath"](old_path,new_path)}catch(e){console.log("FS.trackingDelegate['onMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}}),rmdir:(function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var err=FS.mayDelete(parent,name,true);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.rmdir){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){console.log("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.rmdir(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){console.log("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}}),readdir:(function(path){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;if(!node.node_ops.readdir){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}return node.node_ops.readdir(node)}),unlink:(function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var err=FS.mayDelete(parent,name,false);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.unlink){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){console.log("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.unlink(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){console.log("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}}),readlink:(function(path){var lookup=FS.lookupPath(path);var link=lookup.node;if(!link){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!link.node_ops.readlink){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return PATH.resolve(FS.getPath(link.parent),link.node_ops.readlink(link))}),stat:(function(path,dontFollow){var lookup=FS.lookupPath(path,{follow:!dontFollow});var node=lookup.node;if(!node){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!node.node_ops.getattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return node.node_ops.getattr(node)}),lstat:(function(path){return FS.stat(path,true)}),chmod:(function(path,mode,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}node.node_ops.setattr(node,{mode:mode&4095|node.mode&~4095,timestamp:Date.now()})}),lchmod:(function(path,mode){FS.chmod(path,mode,true)}),fchmod:(function(fd,mode){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}FS.chmod(stream.node,mode)}),chown:(function(path,uid,gid,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}node.node_ops.setattr(node,{timestamp:Date.now()})}),lchown:(function(path,uid,gid){FS.chown(path,uid,gid,true)}),fchown:(function(fd,uid,gid){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}FS.chown(stream.node,uid,gid)}),truncate:(function(path,len){if(len<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:true});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!FS.isFile(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var err=FS.nodePermissions(node,"w");if(err){throw new FS.ErrnoError(err)}node.node_ops.setattr(node,{size:len,timestamp:Date.now()})}),ftruncate:(function(fd,len){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}FS.truncate(stream.node,len)}),utime:(function(path,atime,mtime){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;node.node_ops.setattr(node,{timestamp:Math.max(atime,mtime)})}),open:(function(path,flags,mode,fd_start,fd_end){if(path===""){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}flags=typeof flags==="string"?FS.modeStringToFlags(flags):flags;mode=typeof mode==="undefined"?438:mode;if(flags&64){mode=mode&4095|32768}else{mode=0}var node;if(typeof path==="object"){node=path}else{path=PATH.normalize(path);try{var lookup=FS.lookupPath(path,{follow:!(flags&131072)});node=lookup.node}catch(e){}}var created=false;if(flags&64){if(node){if(flags&128){throw new FS.ErrnoError(ERRNO_CODES.EEXIST)}}else{node=FS.mknod(path,mode,0);created=true}}if(!node){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(FS.isChrdev(node.mode)){flags&=~512}if(flags&65536&&!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}if(!created){var err=FS.mayOpen(node,flags);if(err){throw new FS.ErrnoError(err)}}if(flags&512){FS.truncate(node,0)}flags&=~(128|512);var stream=FS.createStream({node:node,path:FS.getPath(node),flags:flags,seekable:true,position:0,stream_ops:node.stream_ops,ungotten:[],error:false},fd_start,fd_end);if(stream.stream_ops.open){stream.stream_ops.open(stream)}if(Module["logReadFiles"]&&!(flags&1)){if(!FS.readFiles)FS.readFiles={};if(!(path in FS.readFiles)){FS.readFiles[path]=1;Module["printErr"]("read file: "+path)}}try{if(FS.trackingDelegate["onOpenFile"]){var trackingFlags=0;if((flags&2097155)!==1){trackingFlags|=FS.tracking.openFlags.READ}if((flags&2097155)!==0){trackingFlags|=FS.tracking.openFlags.WRITE}FS.trackingDelegate["onOpenFile"](path,trackingFlags)}}catch(e){console.log("FS.trackingDelegate['onOpenFile']('"+path+"', flags) threw an exception: "+e.message)}return stream}),close:(function(stream){if(stream.getdents)stream.getdents=null;try{if(stream.stream_ops.close){stream.stream_ops.close(stream)}}catch(e){throw e}finally{FS.closeStream(stream.fd)}}),llseek:(function(stream,offset,whence){if(!stream.seekable||!stream.stream_ops.llseek){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}stream.position=stream.stream_ops.llseek(stream,offset,whence);stream.ungotten=[];return stream.position}),read:(function(stream,buffer,offset,length,position){if(length<0||position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===1){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!stream.stream_ops.read){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var seeking=true;if(typeof position==="undefined"){position=stream.position;seeking=false}else if(!stream.seekable){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}var bytesRead=stream.stream_ops.read(stream,buffer,offset,length,position);if(!seeking)stream.position+=bytesRead;return bytesRead}),write:(function(stream,buffer,offset,length,position,canOwn){if(length<0||position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!stream.stream_ops.write){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if(stream.flags&1024){FS.llseek(stream,0,2)}var seeking=true;if(typeof position==="undefined"){position=stream.position;seeking=false}else if(!stream.seekable){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}var bytesWritten=stream.stream_ops.write(stream,buffer,offset,length,position,canOwn);if(!seeking)stream.position+=bytesWritten;try{if(stream.path&&FS.trackingDelegate["onWriteToFile"])FS.trackingDelegate["onWriteToFile"](stream.path)}catch(e){console.log("FS.trackingDelegate['onWriteToFile']('"+path+"') threw an exception: "+e.message)}return bytesWritten}),allocate:(function(stream,offset,length){if(offset<0||length<=0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(!FS.isFile(stream.node.mode)&&!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}if(!stream.stream_ops.allocate){throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP)}stream.stream_ops.allocate(stream,offset,length)}),mmap:(function(stream,buffer,offset,length,position,prot,flags){if((stream.flags&2097155)===1){throw new FS.ErrnoError(ERRNO_CODES.EACCES)}if(!stream.stream_ops.mmap){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}return stream.stream_ops.mmap(stream,buffer,offset,length,position,prot,flags)}),msync:(function(stream,buffer,offset,length,mmapFlags){if(!stream||!stream.stream_ops.msync){return 0}return stream.stream_ops.msync(stream,buffer,offset,length,mmapFlags)}),munmap:(function(stream){return 0}),ioctl:(function(stream,cmd,arg){if(!stream.stream_ops.ioctl){throw new FS.ErrnoError(ERRNO_CODES.ENOTTY)}return stream.stream_ops.ioctl(stream,cmd,arg)}),readFile:(function(path,opts){opts=opts||{};opts.flags=opts.flags||"r";opts.encoding=opts.encoding||"binary";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var ret;var stream=FS.open(path,opts.flags);var stat=FS.stat(path);var length=stat.size;var buf=new Uint8Array(length);FS.read(stream,buf,0,length,0);if(opts.encoding==="utf8"){ret=UTF8ArrayToString(buf,0)}else if(opts.encoding==="binary"){ret=buf}FS.close(stream);return ret}),writeFile:(function(path,data,opts){opts=opts||{};opts.flags=opts.flags||"w";opts.encoding=opts.encoding||"utf8";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var stream=FS.open(path,opts.flags,opts.mode);if(opts.encoding==="utf8"){var buf=new Uint8Array(lengthBytesUTF8(data)+1);var actualNumBytes=stringToUTF8Array(data,buf,0,buf.length);FS.write(stream,buf,0,actualNumBytes,0,opts.canOwn)}else if(opts.encoding==="binary"){FS.write(stream,data,0,data.length,0,opts.canOwn)}FS.close(stream)}),cwd:(function(){return FS.currentPath}),chdir:(function(path){var lookup=FS.lookupPath(path,{follow:true});if(lookup.node===null){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!FS.isDir(lookup.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}var err=FS.nodePermissions(lookup.node,"x");if(err){throw new FS.ErrnoError(err)}FS.currentPath=lookup.path}),createDefaultDirectories:(function(){FS.mkdir("/tmp");FS.mkdir("/home");FS.mkdir("/home/web_user")}),createDefaultDevices:(function(){FS.mkdir("/dev");FS.registerDevice(FS.makedev(1,3),{read:(function(){return 0}),write:(function(stream,buffer,offset,length,pos){return length})});FS.mkdev("/dev/null",FS.makedev(1,3));TTY.register(FS.makedev(5,0),TTY.default_tty_ops);TTY.register(FS.makedev(6,0),TTY.default_tty1_ops);FS.mkdev("/dev/tty",FS.makedev(5,0));FS.mkdev("/dev/tty1",FS.makedev(6,0));var random_device;if(typeof crypto!=="undefined"){var randomBuffer=new Uint8Array(1);random_device=(function(){crypto.getRandomValues(randomBuffer);return randomBuffer[0]})}else if(ENVIRONMENT_IS_NODE){random_device=(function(){return require("crypto").randomBytes(1)[0]})}else{random_device=(function(){return Math.random()*256|0})}FS.createDevice("/dev","random",random_device);FS.createDevice("/dev","urandom",random_device);FS.mkdir("/dev/shm");FS.mkdir("/dev/shm/tmp")}),createSpecialDirectories:(function(){FS.mkdir("/proc");FS.mkdir("/proc/self");FS.mkdir("/proc/self/fd");FS.mount({mount:(function(){var node=FS.createNode("/proc/self","fd",16384|511,73);node.node_ops={lookup:(function(parent,name){var fd=+name;var stream=FS.getStream(fd);if(!stream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);var ret={parent:null,mount:{mountpoint:"fake"},node_ops:{readlink:(function(){return stream.path})}};ret.parent=ret;return ret})};return node})},{},"/proc/self/fd")}),createStandardStreams:(function(){if(Module["stdin"]){FS.createDevice("/dev","stdin",Module["stdin"])}else{FS.symlink("/dev/tty","/dev/stdin")}if(Module["stdout"]){FS.createDevice("/dev","stdout",null,Module["stdout"])}else{FS.symlink("/dev/tty","/dev/stdout")}if(Module["stderr"]){FS.createDevice("/dev","stderr",null,Module["stderr"])}else{FS.symlink("/dev/tty1","/dev/stderr")}var stdin=FS.open("/dev/stdin","r");assert(stdin.fd===0,"invalid handle for stdin ("+stdin.fd+")");var stdout=FS.open("/dev/stdout","w");assert(stdout.fd===1,"invalid handle for stdout ("+stdout.fd+")");var stderr=FS.open("/dev/stderr","w");assert(stderr.fd===2,"invalid handle for stderr ("+stderr.fd+")")}),ensureErrnoError:(function(){if(FS.ErrnoError)return;FS.ErrnoError=function ErrnoError(errno,node){this.node=node;this.setErrno=(function(errno){this.errno=errno;for(var key in ERRNO_CODES){if(ERRNO_CODES[key]===errno){this.code=key;break}}});this.setErrno(errno);this.message=ERRNO_MESSAGES[errno]};FS.ErrnoError.prototype=new Error;FS.ErrnoError.prototype.constructor=FS.ErrnoError;[ERRNO_CODES.ENOENT].forEach((function(code){FS.genericErrors[code]=new FS.ErrnoError(code);FS.genericErrors[code].stack="<generic error, no stack>"}))}),staticInit:(function(){FS.ensureErrnoError();FS.nameTable=new Array(4096);FS.mount(MEMFS,{},"/");FS.createDefaultDirectories();FS.createDefaultDevices();FS.createSpecialDirectories();FS.filesystems={"MEMFS":MEMFS,"IDBFS":IDBFS,"NODEFS":NODEFS,"WORKERFS":WORKERFS}}),init:(function(input,output,error){assert(!FS.init.initialized,"FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)");FS.init.initialized=true;FS.ensureErrnoError();Module["stdin"]=input||Module["stdin"];Module["stdout"]=output||Module["stdout"];Module["stderr"]=error||Module["stderr"];FS.createStandardStreams()}),quit:(function(){FS.init.initialized=false;var fflush=Module["_fflush"];if(fflush)fflush(0);for(var i=0;i<FS.streams.length;i++){var stream=FS.streams[i];if(!stream){continue}FS.close(stream)}}),getMode:(function(canRead,canWrite){var mode=0;if(canRead)mode|=292|73;if(canWrite)mode|=146;return mode}),joinPath:(function(parts,forceRelative){var path=PATH.join.apply(null,parts);if(forceRelative&&path[0]=="/")path=path.substr(1);return path}),absolutePath:(function(relative,base){return PATH.resolve(base,relative)}),standardizePath:(function(path){return PATH.normalize(path)}),findObject:(function(path,dontResolveLastLink){var ret=FS.analyzePath(path,dontResolveLastLink);if(ret.exists){return ret.object}else{___setErrNo(ret.error);return null}}),analyzePath:(function(path,dontResolveLastLink){try{var lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});path=lookup.path}catch(e){}var ret={isRoot:false,exists:false,error:0,name:null,path:null,object:null,parentExists:false,parentPath:null,parentObject:null};try{var lookup=FS.lookupPath(path,{parent:true});ret.parentExists=true;ret.parentPath=lookup.path;ret.parentObject=lookup.node;ret.name=PATH.basename(path);lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});ret.exists=true;ret.path=lookup.path;ret.object=lookup.node;ret.name=lookup.node.name;ret.isRoot=lookup.path==="/"}catch(e){ret.error=e.errno}return ret}),createFolder:(function(parent,name,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.mkdir(path,mode)}),createPath:(function(parent,path,canRead,canWrite){parent=typeof parent==="string"?parent:FS.getPath(parent);var parts=path.split("/").reverse();while(parts.length){var part=parts.pop();if(!part)continue;var current=PATH.join2(parent,part);try{FS.mkdir(current)}catch(e){}parent=current}return current}),createFile:(function(parent,name,properties,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.create(path,mode)}),createDataFile:(function(parent,name,data,canRead,canWrite,canOwn){var path=name?PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name):parent;var mode=FS.getMode(canRead,canWrite);var node=FS.create(path,mode);if(data){if(typeof data==="string"){var arr=new Array(data.length);for(var i=0,len=data.length;i<len;++i)arr[i]=data.charCodeAt(i);data=arr}FS.chmod(node,mode|146);var stream=FS.open(node,"w");FS.write(stream,data,0,data.length,0,canOwn);FS.close(stream);FS.chmod(node,mode)}return node}),createDevice:(function(parent,name,input,output){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(!!input,!!output);if(!FS.createDevice.major)FS.createDevice.major=64;var dev=FS.makedev(FS.createDevice.major++,0);FS.registerDevice(dev,{open:(function(stream){stream.seekable=false}),close:(function(stream){if(output&&output.buffer&&output.buffer.length){output(10)}}),read:(function(stream,buffer,offset,length,pos){var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=input()}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead}),write:(function(stream,buffer,offset,length,pos){for(var i=0;i<length;i++){try{output(buffer[offset+i])}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}}if(length){stream.node.timestamp=Date.now()}return i})});return FS.mkdev(path,mode,dev)}),createLink:(function(parent,name,target,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);return FS.symlink(target,path)}),forceLoadFile:(function(obj){if(obj.isDevice||obj.isFolder||obj.link||obj.contents)return true;var success=true;if(typeof XMLHttpRequest!=="undefined"){throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.")}else if(Module["read"]){try{obj.contents=intArrayFromString(Module["read"](obj.url),true);obj.usedBytes=obj.contents.length}catch(e){success=false}}else{throw new Error("Cannot load without read() or XMLHttpRequest.")}if(!success)___setErrNo(ERRNO_CODES.EIO);return success}),createLazyFile:(function(parent,name,url,canRead,canWrite){function LazyUint8Array(){this.lengthKnown=false;this.chunks=[]}LazyUint8Array.prototype.get=function LazyUint8Array_get(idx){if(idx>this.length-1||idx<0){return undefined}var chunkOffset=idx%this.chunkSize;var chunkNum=idx/this.chunkSize|0;return this.getter(chunkNum)[chunkOffset]};LazyUint8Array.prototype.setDataGetter=function LazyUint8Array_setDataGetter(getter){this.getter=getter};LazyUint8Array.prototype.cacheLength=function LazyUint8Array_cacheLength(){var xhr=new XMLHttpRequest;xhr.open("HEAD",url,false);xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);var datalength=Number(xhr.getResponseHeader("Content-length"));var header;var hasByteServing=(header=xhr.getResponseHeader("Accept-Ranges"))&&header==="bytes";var usesGzip=(header=xhr.getResponseHeader("Content-Encoding"))&&header==="gzip";var chunkSize=1024*1024;if(!hasByteServing)chunkSize=datalength;var doXHR=(function(from,to){if(from>to)throw new Error("invalid range ("+from+", "+to+") or no bytes requested!");if(to>datalength-1)throw new Error("only "+datalength+" bytes available! programmer error!");var xhr=new XMLHttpRequest;xhr.open("GET",url,false);if(datalength!==chunkSize)xhr.setRequestHeader("Range","bytes="+from+"-"+to);if(typeof Uint8Array!="undefined")xhr.responseType="arraybuffer";if(xhr.overrideMimeType){xhr.overrideMimeType("text/plain; charset=x-user-defined")}xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);if(xhr.response!==undefined){return new Uint8Array(xhr.response||[])}else{return intArrayFromString(xhr.responseText||"",true)}});var lazyArray=this;lazyArray.setDataGetter((function(chunkNum){var start=chunkNum*chunkSize;var end=(chunkNum+1)*chunkSize-1;end=Math.min(end,datalength-1);if(typeof lazyArray.chunks[chunkNum]==="undefined"){lazyArray.chunks[chunkNum]=doXHR(start,end)}if(typeof lazyArray.chunks[chunkNum]==="undefined")throw new Error("doXHR failed!");return lazyArray.chunks[chunkNum]}));if(usesGzip||!datalength){chunkSize=datalength=1;datalength=this.getter(0).length;chunkSize=datalength;console.log("LazyFiles on gzip forces download of the whole file when length is accessed")}this._length=datalength;this._chunkSize=chunkSize;this.lengthKnown=true};if(typeof XMLHttpRequest!=="undefined"){if(!ENVIRONMENT_IS_WORKER)throw"Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc";var lazyArray=new LazyUint8Array;Object.defineProperties(lazyArray,{length:{get:(function(){if(!this.lengthKnown){this.cacheLength()}return this._length})},chunkSize:{get:(function(){if(!this.lengthKnown){this.cacheLength()}return this._chunkSize})}});var properties={isDevice:false,contents:lazyArray}}else{var properties={isDevice:false,url:url}}var node=FS.createFile(parent,name,properties,canRead,canWrite);if(properties.contents){node.contents=properties.contents}else if(properties.url){node.contents=null;node.url=properties.url}Object.defineProperties(node,{usedBytes:{get:(function(){return this.contents.length})}});var stream_ops={};var keys=Object.keys(node.stream_ops);keys.forEach((function(key){var fn=node.stream_ops[key];stream_ops[key]=function forceLoadLazyFile(){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(ERRNO_CODES.EIO)}return fn.apply(null,arguments)}}));stream_ops.read=function stream_ops_read(stream,buffer,offset,length,position){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(ERRNO_CODES.EIO)}var contents=stream.node.contents;if(position>=contents.length)return 0;var size=Math.min(contents.length-position,length);assert(size>=0);if(contents.slice){for(var i=0;i<size;i++){buffer[offset+i]=contents[position+i]}}else{for(var i=0;i<size;i++){buffer[offset+i]=contents.get(position+i)}}return size};node.stream_ops=stream_ops;return node}),createPreloadedFile:(function(parent,name,url,canRead,canWrite,onload,onerror,dontCreateFile,canOwn,preFinish){Browser.init();var fullname=name?PATH.resolve(PATH.join2(parent,name)):parent;var dep=getUniqueRunDependency("cp "+fullname);function processData(byteArray){function finish(byteArray){if(preFinish)preFinish();if(!dontCreateFile){FS.createDataFile(parent,name,byteArray,canRead,canWrite,canOwn)}if(onload)onload();removeRunDependency(dep)}var handled=false;Module["preloadPlugins"].forEach((function(plugin){if(handled)return;if(plugin["canHandle"](fullname)){plugin["handle"](byteArray,fullname,finish,(function(){if(onerror)onerror();removeRunDependency(dep)}));handled=true}}));if(!handled)finish(byteArray)}addRunDependency(dep);if(typeof url=="string"){Browser.asyncLoad(url,(function(byteArray){processData(byteArray)}),onerror)}else{processData(url)}}),indexedDB:(function(){return window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB}),DB_NAME:(function(){return"EM_FS_"+window.location.pathname}),DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:(function(paths,onload,onerror){onload=onload||(function(){});onerror=onerror||(function(){});var indexedDB=FS.indexedDB();try{var openRequest=indexedDB.open(FS.DB_NAME(),FS.DB_VERSION)}catch(e){return onerror(e)}openRequest.onupgradeneeded=function openRequest_onupgradeneeded(){console.log("creating db");var db=openRequest.result;db.createObjectStore(FS.DB_STORE_NAME)};openRequest.onsuccess=function openRequest_onsuccess(){var db=openRequest.result;var transaction=db.transaction([FS.DB_STORE_NAME],"readwrite");var files=transaction.objectStore(FS.DB_STORE_NAME);var ok=0,fail=0,total=paths.length;function finish(){if(fail==0)onload();else onerror()}paths.forEach((function(path){var putRequest=files.put(FS.analyzePath(path).object.contents,path);putRequest.onsuccess=function putRequest_onsuccess(){ok++;if(ok+fail==total)finish()};putRequest.onerror=function putRequest_onerror(){fail++;if(ok+fail==total)finish()}}));transaction.onerror=onerror};openRequest.onerror=onerror}),loadFilesFromDB:(function(paths,onload,onerror){onload=onload||(function(){});onerror=onerror||(function(){});var indexedDB=FS.indexedDB();try{var openRequest=indexedDB.open(FS.DB_NAME(),FS.DB_VERSION)}catch(e){return onerror(e)}openRequest.onupgradeneeded=onerror;openRequest.onsuccess=function openRequest_onsuccess(){var db=openRequest.result;try{var transaction=db.transaction([FS.DB_STORE_NAME],"readonly")}catch(e){onerror(e);return}var files=transaction.objectStore(FS.DB_STORE_NAME);var ok=0,fail=0,total=paths.length;function finish(){if(fail==0)onload();else onerror()}paths.forEach((function(path){var getRequest=files.get(path);getRequest.onsuccess=function getRequest_onsuccess(){if(FS.analyzePath(path).exists){FS.unlink(path)}FS.createDataFile(PATH.dirname(path),PATH.basename(path),getRequest.result,true,true,true);ok++;if(ok+fail==total)finish()};getRequest.onerror=function getRequest_onerror(){fail++;if(ok+fail==total)finish()}}));transaction.onerror=onerror};openRequest.onerror=onerror})};var SYSCALLS={DEFAULT_POLLMASK:5,mappings:{},umask:511,calculateAt:(function(dirfd,path){if(path[0]!=="/"){var dir;if(dirfd===-100){dir=FS.cwd()}else{var dirstream=FS.getStream(dirfd);if(!dirstream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);dir=dirstream.path}path=PATH.join2(dir,path)}return path}),doStat:(function(func,path,buf){try{var stat=func(path)}catch(e){if(e&&e.node&&PATH.normalize(path)!==PATH.normalize(FS.getPath(e.node))){return-ERRNO_CODES.ENOTDIR}throw e}HEAP32[buf>>2]=stat.dev;HEAP32[buf+4>>2]=0;HEAP32[buf+8>>2]=stat.ino;HEAP32[buf+12>>2]=stat.mode;HEAP32[buf+16>>2]=stat.nlink;HEAP32[buf+20>>2]=stat.uid;HEAP32[buf+24>>2]=stat.gid;HEAP32[buf+28>>2]=stat.rdev;HEAP32[buf+32>>2]=0;HEAP32[buf+36>>2]=stat.size;HEAP32[buf+40>>2]=4096;HEAP32[buf+44>>2]=stat.blocks;HEAP32[buf+48>>2]=stat.atime.getTime()/1e3|0;HEAP32[buf+52>>2]=0;HEAP32[buf+56>>2]=stat.mtime.getTime()/1e3|0;HEAP32[buf+60>>2]=0;HEAP32[buf+64>>2]=stat.ctime.getTime()/1e3|0;HEAP32[buf+68>>2]=0;HEAP32[buf+72>>2]=stat.ino;return 0}),doMsync:(function(addr,stream,len,flags){var buffer=new Uint8Array(HEAPU8.subarray(addr,addr+len));FS.msync(stream,buffer,0,len,flags)}),doMkdir:(function(path,mode){path=PATH.normalize(path);if(path[path.length-1]==="/")path=path.substr(0,path.length-1);FS.mkdir(path,mode,0);return 0}),doMknod:(function(path,mode,dev){switch(mode&61440){case 32768:case 8192:case 24576:case 4096:case 49152:break;default:return-ERRNO_CODES.EINVAL}FS.mknod(path,mode,dev);return 0}),doReadlink:(function(path,buf,bufsize){if(bufsize<=0)return-ERRNO_CODES.EINVAL;var ret=FS.readlink(path);var len=Math.min(bufsize,lengthBytesUTF8(ret));var endChar=HEAP8[buf+len];stringToUTF8(ret,buf,bufsize+1);HEAP8[buf+len]=endChar;return len}),doAccess:(function(path,amode){if(amode&~7){return-ERRNO_CODES.EINVAL}var node;var lookup=FS.lookupPath(path,{follow:true});node=lookup.node;var perms="";if(amode&4)perms+="r";if(amode&2)perms+="w";if(amode&1)perms+="x";if(perms&&FS.nodePermissions(node,perms)){return-ERRNO_CODES.EACCES}return 0}),doDup:(function(path,flags,suggestFD){var suggest=FS.getStream(suggestFD);if(suggest)FS.close(suggest);return FS.open(path,flags,0,suggestFD,suggestFD).fd}),doReadv:(function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.read(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr;if(curr<len)break}return ret}),doWritev:(function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.write(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr}return ret}),varargs:0,get:(function(varargs){SYSCALLS.varargs+=4;var ret=HEAP32[SYSCALLS.varargs-4>>2];return ret}),getStr:(function(){var ret=Pointer_stringify(SYSCALLS.get());return ret}),getStreamFromFD:(function(){var stream=FS.getStream(SYSCALLS.get());if(!stream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);return stream}),getSocketFromFD:(function(){var socket=SOCKFS.getSocket(SYSCALLS.get());if(!socket)throw new FS.ErrnoError(ERRNO_CODES.EBADF);return socket}),getSocketAddress:(function(allowNull){var addrp=SYSCALLS.get(),addrlen=SYSCALLS.get();if(allowNull&&addrp===0)return null;var info=__read_sockaddr(addrp,addrlen);if(info.errno)throw new FS.ErrnoError(info.errno);info.addr=DNS.lookup_addr(info.addr)||info.addr;return info}),get64:(function(){var low=SYSCALLS.get(),high=SYSCALLS.get();if(low>=0)assert(high===0);else assert(high===-1);return low}),getZero:(function(){assert(SYSCALLS.get()===0)})};function ___syscall195(which,varargs){SYSCALLS.varargs=varargs;try{var path=SYSCALLS.getStr(),buf=SYSCALLS.get();return SYSCALLS.doStat(FS.stat,path,buf)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function _free(){}Module["_free"]=_free;function ___cxa_free_exception(ptr){try{return _free(ptr)}catch(e){}}function ___cxa_end_catch(){asm["setThrew"](0);var ptr=EXCEPTIONS.caught.pop();if(ptr){EXCEPTIONS.decRef(EXCEPTIONS.deAdjust(ptr));EXCEPTIONS.last=0}}var PTHREAD_SPECIFIC={};var PTHREAD_SPECIFIC_NEXT_KEY=1;function _pthread_key_create(key,destructor){if(key==0){return ERRNO_CODES.EINVAL}HEAP32[key>>2]=PTHREAD_SPECIFIC_NEXT_KEY;PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY]=0;PTHREAD_SPECIFIC_NEXT_KEY++;return 0}var DLFCN={error:null,errorMsg:null,loadedLibs:{},loadedLibNames:{}};function _dlerror(){if(DLFCN.errorMsg===null){return 0}else{if(DLFCN.error)_free(DLFCN.error);var msgArr=intArrayFromString(DLFCN.errorMsg);DLFCN.error=allocate(msgArr,"i8",ALLOC_NORMAL);DLFCN.errorMsg=null;return DLFCN.error}}function ___syscall54(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),op=SYSCALLS.get();switch(op){case 21505:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};case 21506:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};case 21519:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;var argp=SYSCALLS.get();HEAP32[argp>>2]=0;return 0};case 21520:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return-ERRNO_CODES.EINVAL};case 21531:{var argp=SYSCALLS.get();return FS.ioctl(stream,op,argp)};default:abort("bad ioctl syscall "+op)}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["_bitshift64Lshr"]=_bitshift64Lshr;function _pthread_cleanup_push(routine,arg){__ATEXIT__.push((function(){Runtime.dynCall("vi",routine,[arg])}));_pthread_cleanup_push.level=__ATEXIT__.length}Module["_pthread_cond_broadcast"]=_pthread_cond_broadcast;function ___cxa_find_matching_catch_6(){return ___cxa_find_matching_catch.apply(null,arguments)}function ___cxa_find_matching_catch_4(){return ___cxa_find_matching_catch.apply(null,arguments)}function ___cxa_find_matching_catch_2(){return ___cxa_find_matching_catch.apply(null,arguments)}function ___cxa_find_matching_catch_3(){return ___cxa_find_matching_catch.apply(null,arguments)}Module["_pthread_mutex_unlock"]=_pthread_mutex_unlock;function _dlclose(handle){if(!DLFCN.loadedLibs[handle]){DLFCN.errorMsg="Tried to dlclose() unopened handle: "+handle;return 1}else{var lib_record=DLFCN.loadedLibs[handle];if(--lib_record.refcount==0){if(lib_record.module.cleanups){lib_record.module.cleanups.forEach((function(cleanup){cleanup()}))}delete DLFCN.loadedLibNames[lib_record.name];delete DLFCN.loadedLibs[handle]}return 0}}function _emscripten_memcpy_big(dest,src,num){HEAPU8.set(HEAPU8.subarray(src,src+num),dest);return dest}Module["_memcpy"]=_memcpy;function ___cxa_find_matching_catch_8(){return ___cxa_find_matching_catch.apply(null,arguments)}var _llvm_pow_f64=Math_pow;Module["_sbrk"]=_sbrk;Module["_bitshift64Shl"]=_bitshift64Shl;Module["_memmove"]=_memmove;function ___gxx_personality_v0(){}var cttz_i8=allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0],"i8",ALLOC_STATIC);Module["_llvm_cttz_i32"]=_llvm_cttz_i32;Module["___udivmoddi4"]=___udivmoddi4;Module["___uremdi3"]=___uremdi3;function _pthread_cond_wait(){return 0}function ___cxa_rethrow(){var ptr=EXCEPTIONS.caught.pop();if(!EXCEPTIONS.infos[ptr].rethrown){EXCEPTIONS.caught.push(ptr);EXCEPTIONS.infos[ptr].rethrown=true}EXCEPTIONS.last=ptr;throw ptr}Module["_round"]=_round;function ___assert_fail(condition,filename,line,func){ABORT=true;throw"Assertion failed: "+Pointer_stringify(condition)+", at: "+[filename?Pointer_stringify(filename):"unknown filename",line,func?Pointer_stringify(func):"unknown function"]+" at "+stackTrace()}function _dlsym(handle,symbol){symbol=Pointer_stringify(symbol);if(!DLFCN.loadedLibs[handle]){DLFCN.errorMsg="Tried to dlsym() from an unopened handle: "+handle;return 0}else{var lib=DLFCN.loadedLibs[handle];symbol="_"+symbol;if(lib.cached_functions.hasOwnProperty(symbol)){return lib.cached_functions[symbol]}if(!lib.module.hasOwnProperty(symbol)){DLFCN.errorMsg='Tried to lookup unknown symbol "'+symbol+'" in dynamic lib: '+lib.name;return 0}else{var result=lib.module[symbol];if(typeof result=="function"){result=Runtime.addFunction(result);lib.cached_functions=result}return result}}}Module["_memset"]=_memset;function __isLeapYear(year){return year%4===0&&(year%100!==0||year%400===0)}function __arraySum(array,index){var sum=0;for(var i=0;i<=index;sum+=array[i++]);return sum}var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date,days){var newDate=new Date(date.getTime());while(days>0){var leap=__isLeapYear(newDate.getFullYear());var currentMonth=newDate.getMonth();var daysInCurrentMonth=(leap?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR)[currentMonth];if(days>daysInCurrentMonth-newDate.getDate()){days-=daysInCurrentMonth-newDate.getDate()+1;newDate.setDate(1);if(currentMonth<11){newDate.setMonth(currentMonth+1)}else{newDate.setMonth(0);newDate.setFullYear(newDate.getFullYear()+1)}}else{newDate.setDate(newDate.getDate()+days);return newDate}}return newDate}function _strftime(s,maxsize,format,tm){var tm_zone=HEAP32[tm+40>>2];var date={tm_sec:HEAP32[tm>>2],tm_min:HEAP32[tm+4>>2],tm_hour:HEAP32[tm+8>>2],tm_mday:HEAP32[tm+12>>2],tm_mon:HEAP32[tm+16>>2],tm_year:HEAP32[tm+20>>2],tm_wday:HEAP32[tm+24>>2],tm_yday:HEAP32[tm+28>>2],tm_isdst:HEAP32[tm+32>>2],tm_gmtoff:HEAP32[tm+36>>2],tm_zone:tm_zone?Pointer_stringify(tm_zone):""};var pattern=Pointer_stringify(format);var EXPANSION_RULES_1={"%c":"%a %b %d %H:%M:%S %Y","%D":"%m/%d/%y","%F":"%Y-%m-%d","%h":"%b","%r":"%I:%M:%S %p","%R":"%H:%M","%T":"%H:%M:%S","%x":"%m/%d/%y","%X":"%H:%M:%S"};for(var rule in EXPANSION_RULES_1){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_1[rule])}var WEEKDAYS=["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];var MONTHS=["January","February","March","April","May","June","July","August","September","October","November","December"];function leadingSomething(value,digits,character){var str=typeof value==="number"?value.toString():value||"";while(str.length<digits){str=character[0]+str}return str}function leadingNulls(value,digits){return leadingSomething(value,digits,"0")}function compareByDay(date1,date2){function sgn(value){return value<0?-1:value>0?1:0}var compare;if((compare=sgn(date1.getFullYear()-date2.getFullYear()))===0){if((compare=sgn(date1.getMonth()-date2.getMonth()))===0){compare=sgn(date1.getDate()-date2.getDate())}}return compare}function getFirstWeekStartDate(janFourth){switch(janFourth.getDay()){case 0:return new Date(janFourth.getFullYear()-1,11,29);case 1:return janFourth;case 2:return new Date(janFourth.getFullYear(),0,3);case 3:return new Date(janFourth.getFullYear(),0,2);case 4:return new Date(janFourth.getFullYear(),0,1);case 5:return new Date(janFourth.getFullYear()-1,11,31);case 6:return new Date(janFourth.getFullYear()-1,11,30)}}function getWeekBasedYear(date){var thisDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);var janFourthThisYear=new Date(thisDate.getFullYear(),0,4);var janFourthNextYear=new Date(thisDate.getFullYear()+1,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);if(compareByDay(firstWeekStartThisYear,thisDate)<=0){if(compareByDay(firstWeekStartNextYear,thisDate)<=0){return thisDate.getFullYear()+1}else{return thisDate.getFullYear()}}else{return thisDate.getFullYear()-1}}var EXPANSION_RULES_2={"%a":(function(date){return WEEKDAYS[date.tm_wday].substring(0,3)}),"%A":(function(date){return WEEKDAYS[date.tm_wday]}),"%b":(function(date){return MONTHS[date.tm_mon].substring(0,3)}),"%B":(function(date){return MONTHS[date.tm_mon]}),"%C":(function(date){var year=date.tm_year+1900;return leadingNulls(year/100|0,2)}),"%d":(function(date){return leadingNulls(date.tm_mday,2)}),"%e":(function(date){return leadingSomething(date.tm_mday,2," ")}),"%g":(function(date){return getWeekBasedYear(date).toString().substring(2)}),"%G":(function(date){return getWeekBasedYear(date)}),"%H":(function(date){return leadingNulls(date.tm_hour,2)}),"%I":(function(date){var twelveHour=date.tm_hour;if(twelveHour==0)twelveHour=12;else if(twelveHour>12)twelveHour-=12;return leadingNulls(twelveHour,2)}),"%j":(function(date){return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900)?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,date.tm_mon-1),3)}),"%m":(function(date){return leadingNulls(date.tm_mon+1,2)}),"%M":(function(date){return leadingNulls(date.tm_min,2)}),"%n":(function(){return"\n"}),"%p":(function(date){if(date.tm_hour>=0&&date.tm_hour<12){return"AM"}else{return"PM"}}),"%S":(function(date){return leadingNulls(date.tm_sec,2)}),"%t":(function(){return"\t"}),"%u":(function(date){var day=new Date(date.tm_year+1900,date.tm_mon+1,date.tm_mday,0,0,0,0);return day.getDay()||7}),"%U":(function(date){var janFirst=new Date(date.tm_year+1900,0,1);var firstSunday=janFirst.getDay()===0?janFirst:__addDays(janFirst,7-janFirst.getDay());var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstSunday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstSundayUntilEndJanuary=31-firstSunday.getDate();var days=firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstSunday,janFirst)===0?"01":"00"}),"%V":(function(date){var janFourthThisYear=new Date(date.tm_year+1900,0,4);var janFourthNextYear=new Date(date.tm_year+1901,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);var endDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);if(compareByDay(endDate,firstWeekStartThisYear)<0){return"53"}if(compareByDay(firstWeekStartNextYear,endDate)<=0){return"01"}var daysDifference;if(firstWeekStartThisYear.getFullYear()<date.tm_year+1900){daysDifference=date.tm_yday+32-firstWeekStartThisYear.getDate()}else{daysDifference=date.tm_yday+1-firstWeekStartThisYear.getDate()}return leadingNulls(Math.ceil(daysDifference/7),2)}),"%w":(function(date){var day=new Date(date.tm_year+1900,date.tm_mon+1,date.tm_mday,0,0,0,0);return day.getDay()}),"%W":(function(date){var janFirst=new Date(date.tm_year,0,1);var firstMonday=janFirst.getDay()===1?janFirst:__addDays(janFirst,janFirst.getDay()===0?1:7-janFirst.getDay()+1);var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstMonday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstMondayUntilEndJanuary=31-firstMonday.getDate();var days=firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstMonday,janFirst)===0?"01":"00"}),"%y":(function(date){return(date.tm_year+1900).toString().substring(2)}),"%Y":(function(date){return date.tm_year+1900}),"%z":(function(date){var off=date.tm_gmtoff;var ahead=off>=0;off=Math.abs(off)/60;off=off/60*100+off%60;return(ahead?"+":"-")+String("0000"+off).slice(-4)}),"%Z":(function(date){return date.tm_zone}),"%%":(function(){return"%"})};for(var rule in EXPANSION_RULES_2){if(pattern.indexOf(rule)>=0){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_2[rule](date))}}var bytes=intArrayFromString(pattern,false);if(bytes.length>maxsize){return 0}writeArrayToMemory(bytes,s);return bytes.length-1}function _strftime_l(s,maxsize,format,tm){return _strftime(s,maxsize,format,tm)}function _abort(){Module["abort"]()}function _emscripten_set_main_loop_timing(mode,value){Browser.mainLoop.timingMode=mode;Browser.mainLoop.timingValue=value;if(!Browser.mainLoop.func){return 1}if(mode==0){Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_setTimeout(){var timeUntilNextTick=Math.max(0,Browser.mainLoop.tickStartTime+value-_emscripten_get_now())|0;setTimeout(Browser.mainLoop.runner,timeUntilNextTick)};Browser.mainLoop.method="timeout"}else if(mode==1){Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_rAF(){Browser.requestAnimationFrame(Browser.mainLoop.runner)};Browser.mainLoop.method="rAF"}else if(mode==2){if(!window["setImmediate"]){var setImmediates=[];var emscriptenMainLoopMessageId="setimmediate";function Browser_setImmediate_messageHandler(event){if(event.source===window&&event.data===emscriptenMainLoopMessageId){event.stopPropagation();setImmediates.shift()()}}window.addEventListener("message",Browser_setImmediate_messageHandler,true);window["setImmediate"]=function Browser_emulated_setImmediate(func){setImmediates.push(func);if(ENVIRONMENT_IS_WORKER){if(Module["setImmediates"]===undefined)Module["setImmediates"]=[];Module["setImmediates"].push(func);window.postMessage({target:emscriptenMainLoopMessageId})}else window.postMessage(emscriptenMainLoopMessageId,"*")}}Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_setImmediate(){window["setImmediate"](Browser.mainLoop.runner)};Browser.mainLoop.method="immediate"}return 0}function _emscripten_get_now(){abort()}function _emscripten_set_main_loop(func,fps,simulateInfiniteLoop,arg,noSetTiming){Module["noExitRuntime"]=true;assert(!Browser.mainLoop.func,"emscripten_set_main_loop: there can only be one main loop function at once: call emscripten_cancel_main_loop to cancel the previous one before setting a new one with different parameters.");Browser.mainLoop.func=func;Browser.mainLoop.arg=arg;var browserIterationFunc;if(typeof arg!=="undefined"){var argArray=[arg];browserIterationFunc=(function(){Runtime.dynCall("vi",func,argArray)})}else{browserIterationFunc=(function(){Runtime.dynCall("v",func)})}var thisMainLoopId=Browser.mainLoop.currentlyRunningMainloop;Browser.mainLoop.runner=function Browser_mainLoop_runner(){if(ABORT)return;if(Browser.mainLoop.queue.length>0){var start=Date.now();var blocker=Browser.mainLoop.queue.shift();blocker.func(blocker.arg);if(Browser.mainLoop.remainingBlockers){var remaining=Browser.mainLoop.remainingBlockers;var next=remaining%1==0?remaining-1:Math.floor(remaining);if(blocker.counted){Browser.mainLoop.remainingBlockers=next}else{next=next+.5;Browser.mainLoop.remainingBlockers=(8*remaining+next)/9}}console.log('main loop blocker "'+blocker.name+'" took '+(Date.now()-start)+" ms");Browser.mainLoop.updateStatus();if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;setTimeout(Browser.mainLoop.runner,0);return}if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;Browser.mainLoop.currentFrameNumber=Browser.mainLoop.currentFrameNumber+1|0;if(Browser.mainLoop.timingMode==1&&Browser.mainLoop.timingValue>1&&Browser.mainLoop.currentFrameNumber%Browser.mainLoop.timingValue!=0){Browser.mainLoop.scheduler();return}else if(Browser.mainLoop.timingMode==0){Browser.mainLoop.tickStartTime=_emscripten_get_now()}if(Browser.mainLoop.method==="timeout"&&Module.ctx){Module.printErr("Looks like you are rendering without using requestAnimationFrame for the main loop. You should use 0 for the frame rate in emscripten_set_main_loop in order to use requestAnimationFrame, as that can greatly improve your frame rates!");Browser.mainLoop.method=""}Browser.mainLoop.runIter(browserIterationFunc);if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;if(typeof SDL==="object"&&SDL.audio&&SDL.audio.queueNewAudioData)SDL.audio.queueNewAudioData();Browser.mainLoop.scheduler()};if(!noSetTiming){if(fps&&fps>0)_emscripten_set_main_loop_timing(0,1e3/fps);else _emscripten_set_main_loop_timing(1,1);Browser.mainLoop.scheduler()}if(simulateInfiniteLoop){throw"SimulateInfiniteLoop"}}var Browser={mainLoop:{scheduler:null,method:"",currentlyRunningMainloop:0,func:null,arg:0,timingMode:0,timingValue:0,currentFrameNumber:0,queue:[],pause:(function(){Browser.mainLoop.scheduler=null;Browser.mainLoop.currentlyRunningMainloop++}),resume:(function(){Browser.mainLoop.currentlyRunningMainloop++;var timingMode=Browser.mainLoop.timingMode;var timingValue=Browser.mainLoop.timingValue;var func=Browser.mainLoop.func;Browser.mainLoop.func=null;_emscripten_set_main_loop(func,0,false,Browser.mainLoop.arg,true);_emscripten_set_main_loop_timing(timingMode,timingValue);Browser.mainLoop.scheduler()}),updateStatus:(function(){if(Module["setStatus"]){var message=Module["statusMessage"]||"Please wait...";var remaining=Browser.mainLoop.remainingBlockers;var expected=Browser.mainLoop.expectedBlockers;if(remaining){if(remaining<expected){Module["setStatus"](message+" ("+(expected-remaining)+"/"+expected+")")}else{Module["setStatus"](message)}}else{Module["setStatus"]("")}}}),runIter:(function(func){if(ABORT)return;if(Module["preMainLoop"]){var preRet=Module["preMainLoop"]();if(preRet===false){return}}try{func()}catch(e){if(e instanceof ExitStatus){return}else{if(e&&typeof e==="object"&&e.stack)Module.printErr("exception thrown: "+[e,e.stack]);throw e}}if(Module["postMainLoop"])Module["postMainLoop"]()})},isFullscreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:(function(){if(!Module["preloadPlugins"])Module["preloadPlugins"]=[];if(Browser.initted)return;Browser.initted=true;try{new Blob;Browser.hasBlobConstructor=true}catch(e){Browser.hasBlobConstructor=false;console.log("warning: no blob constructor, cannot create blobs with mimetypes")}Browser.BlobBuilder=typeof MozBlobBuilder!="undefined"?MozBlobBuilder:typeof WebKitBlobBuilder!="undefined"?WebKitBlobBuilder:!Browser.hasBlobConstructor?console.log("warning: no BlobBuilder"):null;Browser.URLObject=typeof window!="undefined"?window.URL?window.URL:window.webkitURL:undefined;if(!Module.noImageDecoding&&typeof Browser.URLObject==="undefined"){console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");Module.noImageDecoding=true}var imagePlugin={};imagePlugin["canHandle"]=function imagePlugin_canHandle(name){return!Module.noImageDecoding&&/\.(jpg|jpeg|png|bmp)$/i.test(name)};imagePlugin["handle"]=function imagePlugin_handle(byteArray,name,onload,onerror){var b=null;if(Browser.hasBlobConstructor){try{b=new Blob([byteArray],{type:Browser.getMimetype(name)});if(b.size!==byteArray.length){b=new Blob([(new Uint8Array(byteArray)).buffer],{type:Browser.getMimetype(name)})}}catch(e){Runtime.warnOnce("Blob constructor present but fails: "+e+"; falling back to blob builder")}}if(!b){var bb=new Browser.BlobBuilder;bb.append((new Uint8Array(byteArray)).buffer);b=bb.getBlob()}var url=Browser.URLObject.createObjectURL(b);var img=new Image;img.onload=function img_onload(){assert(img.complete,"Image "+name+" could not be decoded");var canvas=document.createElement("canvas");canvas.width=img.width;canvas.height=img.height;var ctx=canvas.getContext("2d");ctx.drawImage(img,0,0);Module["preloadedImages"][name]=canvas;Browser.URLObject.revokeObjectURL(url);if(onload)onload(byteArray)};img.onerror=function img_onerror(event){console.log("Image "+url+" could not be decoded");if(onerror)onerror()};img.src=url};Module["preloadPlugins"].push(imagePlugin);var audioPlugin={};audioPlugin["canHandle"]=function audioPlugin_canHandle(name){return!Module.noAudioDecoding&&name.substr(-4)in{".ogg":1,".wav":1,".mp3":1}};audioPlugin["handle"]=function audioPlugin_handle(byteArray,name,onload,onerror){var done=false;function finish(audio){if(done)return;done=true;Module["preloadedAudios"][name]=audio;if(onload)onload(byteArray)}function fail(){if(done)return;done=true;Module["preloadedAudios"][name]=new Audio;if(onerror)onerror()}if(Browser.hasBlobConstructor){try{var b=new Blob([byteArray],{type:Browser.getMimetype(name)})}catch(e){return fail()}var url=Browser.URLObject.createObjectURL(b);var audio=new Audio;audio.addEventListener("canplaythrough",(function(){finish(audio)}),false);audio.onerror=function audio_onerror(event){if(done)return;console.log("warning: browser could not fully decode audio "+name+", trying slower base64 approach");function encode64(data){var BASE="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";var PAD="=";var ret="";var leftchar=0;var leftbits=0;for(var i=0;i<data.length;i++){leftchar=leftchar<<8|data[i];leftbits+=8;while(leftbits>=6){var curr=leftchar>>leftbits-6&63;leftbits-=6;ret+=BASE[curr]}}if(leftbits==2){ret+=BASE[(leftchar&3)<<4];ret+=PAD+PAD}else if(leftbits==4){ret+=BASE[(leftchar&15)<<2];ret+=PAD}return ret}audio.src="data:audio/x-"+name.substr(-3)+";base64,"+encode64(byteArray);finish(audio)};audio.src=url;Browser.safeSetTimeout((function(){finish(audio)}),1e4)}else{return fail()}};Module["preloadPlugins"].push(audioPlugin);var canvas=Module["canvas"];function pointerLockChange(){Browser.pointerLock=document["pointerLockElement"]===canvas||document["mozPointerLockElement"]===canvas||document["webkitPointerLockElement"]===canvas||document["msPointerLockElement"]===canvas}if(canvas){canvas.requestPointerLock=canvas["requestPointerLock"]||canvas["mozRequestPointerLock"]||canvas["webkitRequestPointerLock"]||canvas["msRequestPointerLock"]||(function(){});canvas.exitPointerLock=document["exitPointerLock"]||document["mozExitPointerLock"]||document["webkitExitPointerLock"]||document["msExitPointerLock"]||(function(){});canvas.exitPointerLock=canvas.exitPointerLock.bind(document);document.addEventListener("pointerlockchange",pointerLockChange,false);document.addEventListener("mozpointerlockchange",pointerLockChange,false);document.addEventListener("webkitpointerlockchange",pointerLockChange,false);document.addEventListener("mspointerlockchange",pointerLockChange,false);if(Module["elementPointerLock"]){canvas.addEventListener("click",(function(ev){if(!Browser.pointerLock&&canvas.requestPointerLock){canvas.requestPointerLock();ev.preventDefault()}}),false)}}}),createContext:(function(canvas,useWebGL,setInModule,webGLContextAttributes){if(useWebGL&&Module.ctx&&canvas==Module.canvas)return Module.ctx;var ctx;var contextHandle;if(useWebGL){var contextAttributes={antialias:false,alpha:false};if(webGLContextAttributes){for(var attribute in webGLContextAttributes){contextAttributes[attribute]=webGLContextAttributes[attribute]}}contextHandle=GL.createContext(canvas,contextAttributes);if(contextHandle){ctx=GL.getContext(contextHandle).GLctx}}else{ctx=canvas.getContext("2d")}if(!ctx)return null;if(setInModule){if(!useWebGL)assert(typeof GLctx==="undefined","cannot set in module if GLctx is used, but we are a non-GL context that would replace it");Module.ctx=ctx;if(useWebGL)GL.makeContextCurrent(contextHandle);Module.useWebGL=useWebGL;Browser.moduleContextCreatedCallbacks.forEach((function(callback){callback()}));Browser.init()}return ctx}),destroyContext:(function(canvas,useWebGL,setInModule){}),fullscreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullscreen:(function(lockPointer,resizeCanvas,vrDevice){Browser.lockPointer=lockPointer;Browser.resizeCanvas=resizeCanvas;Browser.vrDevice=vrDevice;if(typeof Browser.lockPointer==="undefined")Browser.lockPointer=true;if(typeof Browser.resizeCanvas==="undefined")Browser.resizeCanvas=false;if(typeof Browser.vrDevice==="undefined")Browser.vrDevice=null;var canvas=Module["canvas"];function fullscreenChange(){Browser.isFullscreen=false;var canvasContainer=canvas.parentNode;if((document["fullscreenElement"]||document["mozFullScreenElement"]||document["msFullscreenElement"]||document["webkitFullscreenElement"]||document["webkitCurrentFullScreenElement"])===canvasContainer){canvas.exitFullscreen=document["exitFullscreen"]||document["cancelFullScreen"]||document["mozCancelFullScreen"]||document["msExitFullscreen"]||document["webkitCancelFullScreen"]||(function(){});canvas.exitFullscreen=canvas.exitFullscreen.bind(document);if(Browser.lockPointer)canvas.requestPointerLock();Browser.isFullscreen=true;if(Browser.resizeCanvas)Browser.setFullscreenCanvasSize()}else{canvasContainer.parentNode.insertBefore(canvas,canvasContainer);canvasContainer.parentNode.removeChild(canvasContainer);if(Browser.resizeCanvas)Browser.setWindowedCanvasSize()}if(Module["onFullScreen"])Module["onFullScreen"](Browser.isFullscreen);if(Module["onFullscreen"])Module["onFullscreen"](Browser.isFullscreen);Browser.updateCanvasDimensions(canvas)}if(!Browser.fullscreenHandlersInstalled){Browser.fullscreenHandlersInstalled=true;document.addEventListener("fullscreenchange",fullscreenChange,false);document.addEventListener("mozfullscreenchange",fullscreenChange,false);document.addEventListener("webkitfullscreenchange",fullscreenChange,false);document.addEventListener("MSFullscreenChange",fullscreenChange,false)}var canvasContainer=document.createElement("div");canvas.parentNode.insertBefore(canvasContainer,canvas);canvasContainer.appendChild(canvas);canvasContainer.requestFullscreen=canvasContainer["requestFullscreen"]||canvasContainer["mozRequestFullScreen"]||canvasContainer["msRequestFullscreen"]||(canvasContainer["webkitRequestFullscreen"]?(function(){canvasContainer["webkitRequestFullscreen"](Element["ALLOW_KEYBOARD_INPUT"])}):null)||(canvasContainer["webkitRequestFullScreen"]?(function(){canvasContainer["webkitRequestFullScreen"](Element["ALLOW_KEYBOARD_INPUT"])}):null);if(vrDevice){canvasContainer.requestFullscreen({vrDisplay:vrDevice})}else{canvasContainer.requestFullscreen()}}),requestFullScreen:(function(lockPointer,resizeCanvas,vrDevice){Module.printErr("Browser.requestFullScreen() is deprecated. Please call Browser.requestFullscreen instead.");Browser.requestFullScreen=(function(lockPointer,resizeCanvas,vrDevice){return Browser.requestFullscreen(lockPointer,resizeCanvas,vrDevice)});return Browser.requestFullscreen(lockPointer,resizeCanvas,vrDevice)}),nextRAF:0,fakeRequestAnimationFrame:(function(func){var now=Date.now();if(Browser.nextRAF===0){Browser.nextRAF=now+1e3/60}else{while(now+2>=Browser.nextRAF){Browser.nextRAF+=1e3/60}}var delay=Math.max(Browser.nextRAF-now,0);setTimeout(func,delay)}),requestAnimationFrame:function requestAnimationFrame(func){if(typeof window==="undefined"){Browser.fakeRequestAnimationFrame(func)}else{if(!window.requestAnimationFrame){window.requestAnimationFrame=window["requestAnimationFrame"]||window["mozRequestAnimationFrame"]||window["webkitRequestAnimationFrame"]||window["msRequestAnimationFrame"]||window["oRequestAnimationFrame"]||Browser.fakeRequestAnimationFrame}window.requestAnimationFrame(func)}},safeCallback:(function(func){return(function(){if(!ABORT)return func.apply(null,arguments)})}),allowAsyncCallbacks:true,queuedAsyncCallbacks:[],pauseAsyncCallbacks:(function(){Browser.allowAsyncCallbacks=false}),resumeAsyncCallbacks:(function(){Browser.allowAsyncCallbacks=true;if(Browser.queuedAsyncCallbacks.length>0){var callbacks=Browser.queuedAsyncCallbacks;Browser.queuedAsyncCallbacks=[];callbacks.forEach((function(func){func()}))}}),safeRequestAnimationFrame:(function(func){return Browser.requestAnimationFrame((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}else{Browser.queuedAsyncCallbacks.push(func)}}))}),safeSetTimeout:(function(func,timeout){Module["noExitRuntime"]=true;return setTimeout((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}else{Browser.queuedAsyncCallbacks.push(func)}}),timeout)}),safeSetInterval:(function(func,timeout){Module["noExitRuntime"]=true;return setInterval((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}}),timeout)}),getMimetype:(function(name){return{"jpg":"image/jpeg","jpeg":"image/jpeg","png":"image/png","bmp":"image/bmp","ogg":"audio/ogg","wav":"audio/wav","mp3":"audio/mpeg"}[name.substr(name.lastIndexOf(".")+1)]}),getUserMedia:(function(func){if(!window.getUserMedia){window.getUserMedia=navigator["getUserMedia"]||navigator["mozGetUserMedia"]}window.getUserMedia(func)}),getMovementX:(function(event){return event["movementX"]||event["mozMovementX"]||event["webkitMovementX"]||0}),getMovementY:(function(event){return event["movementY"]||event["mozMovementY"]||event["webkitMovementY"]||0}),getMouseWheelDelta:(function(event){var delta=0;switch(event.type){case"DOMMouseScroll":delta=event.detail;break;case"mousewheel":delta=event.wheelDelta;break;case"wheel":delta=event["deltaY"];break;default:throw"unrecognized mouse wheel event: "+event.type}return delta}),mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,touches:{},lastTouches:{},calculateMouseEvent:(function(event){if(Browser.pointerLock){if(event.type!="mousemove"&&"mozMovementX"in event){Browser.mouseMovementX=Browser.mouseMovementY=0}else{Browser.mouseMovementX=Browser.getMovementX(event);Browser.mouseMovementY=Browser.getMovementY(event)}if(typeof SDL!="undefined"){Browser.mouseX=SDL.mouseX+Browser.mouseMovementX;Browser.mouseY=SDL.mouseY+Browser.mouseMovementY}else{Browser.mouseX+=Browser.mouseMovementX;Browser.mouseY+=Browser.mouseMovementY}}else{var rect=Module["canvas"].getBoundingClientRect();var cw=Module["canvas"].width;var ch=Module["canvas"].height;var scrollX=typeof window.scrollX!=="undefined"?window.scrollX:window.pageXOffset;var scrollY=typeof window.scrollY!=="undefined"?window.scrollY:window.pageYOffset;if(event.type==="touchstart"||event.type==="touchend"||event.type==="touchmove"){var touch=event.touch;if(touch===undefined){return}var adjustedX=touch.pageX-(scrollX+rect.left);var adjustedY=touch.pageY-(scrollY+rect.top);adjustedX=adjustedX*(cw/rect.width);adjustedY=adjustedY*(ch/rect.height);var coords={x:adjustedX,y:adjustedY};if(event.type==="touchstart"){Browser.lastTouches[touch.identifier]=coords;Browser.touches[touch.identifier]=coords}else if(event.type==="touchend"||event.type==="touchmove"){var last=Browser.touches[touch.identifier];if(!last)last=coords;Browser.lastTouches[touch.identifier]=last;Browser.touches[touch.identifier]=coords}return}var x=event.pageX-(scrollX+rect.left);var y=event.pageY-(scrollY+rect.top);x=x*(cw/rect.width);y=y*(ch/rect.height);Browser.mouseMovementX=x-Browser.mouseX;Browser.mouseMovementY=y-Browser.mouseY;Browser.mouseX=x;Browser.mouseY=y}}),asyncLoad:(function(url,onload,onerror,noRunDep){var dep=!noRunDep?getUniqueRunDependency("al "+url):"";Module["readAsync"](url,(function(arrayBuffer){assert(arrayBuffer,'Loading data file "'+url+'" failed (no arrayBuffer).');onload(new Uint8Array(arrayBuffer));if(dep)removeRunDependency(dep)}),(function(event){if(onerror){onerror()}else{throw'Loading data file "'+url+'" failed.'}}));if(dep)addRunDependency(dep)}),resizeListeners:[],updateResizeListeners:(function(){var canvas=Module["canvas"];Browser.resizeListeners.forEach((function(listener){listener(canvas.width,canvas.height)}))}),setCanvasSize:(function(width,height,noUpdates){var canvas=Module["canvas"];Browser.updateCanvasDimensions(canvas,width,height);if(!noUpdates)Browser.updateResizeListeners()}),windowedWidth:0,windowedHeight:0,setFullscreenCanvasSize:(function(){if(typeof SDL!="undefined"){var flags=HEAPU32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2];flags=flags|8388608;HEAP32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2]=flags}Browser.updateResizeListeners()}),setWindowedCanvasSize:(function(){if(typeof SDL!="undefined"){var flags=HEAPU32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2];flags=flags&~8388608;HEAP32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2]=flags}Browser.updateResizeListeners()}),updateCanvasDimensions:(function(canvas,wNative,hNative){if(wNative&&hNative){canvas.widthNative=wNative;canvas.heightNative=hNative}else{wNative=canvas.widthNative;hNative=canvas.heightNative}var w=wNative;var h=hNative;if(Module["forcedAspectRatio"]&&Module["forcedAspectRatio"]>0){if(w/h<Module["forcedAspectRatio"]){w=Math.round(h*Module["forcedAspectRatio"])}else{h=Math.round(w/Module["forcedAspectRatio"])}}if((document["fullscreenElement"]||document["mozFullScreenElement"]||document["msFullscreenElement"]||document["webkitFullscreenElement"]||document["webkitCurrentFullScreenElement"])===canvas.parentNode&&typeof screen!="undefined"){var factor=Math.min(screen.width/w,screen.height/h);w=Math.round(w*factor);h=Math.round(h*factor)}if(Browser.resizeCanvas){if(canvas.width!=w)canvas.width=w;if(canvas.height!=h)canvas.height=h;if(typeof canvas.style!="undefined"){canvas.style.removeProperty("width");canvas.style.removeProperty("height")}}else{if(canvas.width!=wNative)canvas.width=wNative;if(canvas.height!=hNative)canvas.height=hNative;if(typeof canvas.style!="undefined"){if(w!=wNative||h!=hNative){canvas.style.setProperty("width",w+"px","important");canvas.style.setProperty("height",h+"px","important")}else{canvas.style.removeProperty("width");canvas.style.removeProperty("height")}}}}),wgetRequests:{},nextWgetRequestHandle:0,getNextWgetRequestHandle:(function(){var handle=Browser.nextWgetRequestHandle;Browser.nextWgetRequestHandle++;return handle})};var EmterpreterAsync={initted:false,state:0,saveStack:"",yieldCallbacks:[],postAsync:null,asyncFinalizers:[],ensureInit:(function(){if(this.initted)return;this.initted=true}),setState:(function(s){this.ensureInit();this.state=s;asm.setAsyncState(s)}),handle:(function(doAsyncOp,yieldDuring){Module["noExitRuntime"]=true;if(EmterpreterAsync.state===0){var stack=new Int32Array(HEAP32.subarray(EMTSTACKTOP>>2,asm.emtStackSave()>>2));var stacktop=asm.stackSave();var resumedCallbacksForYield=false;function resumeCallbacksForYield(){if(resumedCallbacksForYield)return;resumedCallbacksForYield=true;EmterpreterAsync.yieldCallbacks.forEach((function(func){func()}));Browser.resumeAsyncCallbacks()}var callingDoAsyncOp=1;doAsyncOp(function resume(post){if(callingDoAsyncOp){assert(callingDoAsyncOp===1);callingDoAsyncOp++;setTimeout((function(){resume(post)}),0);return}assert(EmterpreterAsync.state===1||EmterpreterAsync.state===3);EmterpreterAsync.setState(3);if(yieldDuring){resumeCallbacksForYield()}HEAP32.set(stack,EMTSTACKTOP>>2);EmterpreterAsync.setState(2);if(Browser.mainLoop.func){Browser.mainLoop.resume()}assert(!EmterpreterAsync.postAsync);EmterpreterAsync.postAsync=post||null;asm.emterpret(stack[0]);if(!yieldDuring&&EmterpreterAsync.state===0){Browser.resumeAsyncCallbacks()}if(EmterpreterAsync.state===0){EmterpreterAsync.asyncFinalizers.forEach((function(func){func()}));EmterpreterAsync.asyncFinalizers.length=0}});callingDoAsyncOp=0;EmterpreterAsync.setState(1);if(Browser.mainLoop.func){Browser.mainLoop.pause()}if(yieldDuring){setTimeout((function(){resumeCallbacksForYield()}),0)}else{Browser.pauseAsyncCallbacks()}}else{assert(EmterpreterAsync.state===2);EmterpreterAsync.setState(0);if(EmterpreterAsync.postAsync){var ret=EmterpreterAsync.postAsync();EmterpreterAsync.postAsync=null;return ret}}})};function _emscripten_sleep(ms){EmterpreterAsync.handle((function(resume){setTimeout((function(){if(ABORT)return;resume()}),ms)}))}function _pthread_once(ptr,func){if(!_pthread_once.seen)_pthread_once.seen={};if(ptr in _pthread_once.seen)return;Runtime.dynCall("v",func);_pthread_once.seen[ptr]=1}function ___lock(){}function ___unlock(){}function _pthread_getspecific(key){return PTHREAD_SPECIFIC[key]||0}function __exit(status){Module["exit"](status)}function _exit(status){__exit(status)}function _pthread_setspecific(key,value){if(!(key in PTHREAD_SPECIFIC)){return ERRNO_CODES.EINVAL}PTHREAD_SPECIFIC[key]=value;return 0}function _malloc(bytes){var ptr=Runtime.dynamicAlloc(bytes+8);return ptr+8&4294967288}Module["_malloc"]=_malloc;function ___cxa_allocate_exception(size){return _malloc(size)}function ___cxa_pure_virtual(){ABORT=true;throw"Pure virtual function called!"}function ___syscall183(which,varargs){SYSCALLS.varargs=varargs;try{var buf=SYSCALLS.get(),size=SYSCALLS.get();if(size===0)return-ERRNO_CODES.EINVAL;var cwd=FS.cwd();if(size<cwd.length+1)return-ERRNO_CODES.ERANGE;writeAsciiToMemory(cwd,buf);return buf}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___cxa_begin_catch(ptr){var info=EXCEPTIONS.infos[ptr];if(info&&!info.caught){info.caught=true;__ZSt18uncaught_exceptionv.uncaught_exception--}if(info)info.rethrown=false;EXCEPTIONS.caught.push(ptr);EXCEPTIONS.addRef(EXCEPTIONS.deAdjust(ptr));return ptr}function _llvm_eh_typeid_for(type){return type}function ___syscall3(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),buf=SYSCALLS.get(),count=SYSCALLS.get();return FS.read(stream,HEAP8,buf,count)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall5(which,varargs){SYSCALLS.varargs=varargs;try{var pathname=SYSCALLS.getStr(),flags=SYSCALLS.get(),mode=SYSCALLS.get();var stream=FS.open(pathname,flags,mode);return stream.fd}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var _environ=STATICTOP;STATICTOP+=16;function ___buildEnvironment(env){var MAX_ENV_VALUES=64;var TOTAL_ENV_SIZE=1024;var poolPtr;var envPtr;if(!___buildEnvironment.called){___buildEnvironment.called=true;ENV["USER"]=ENV["LOGNAME"]="web_user";ENV["PATH"]="/";ENV["PWD"]="/";ENV["HOME"]="/home/web_user";ENV["LANG"]="C";ENV["_"]=Module["thisProgram"];poolPtr=allocate(TOTAL_ENV_SIZE,"i8",ALLOC_STATIC);envPtr=allocate(MAX_ENV_VALUES*4,"i8*",ALLOC_STATIC);HEAP32[envPtr>>2]=poolPtr;HEAP32[_environ>>2]=envPtr}else{envPtr=HEAP32[_environ>>2];poolPtr=HEAP32[envPtr>>2]}var strings=[];var totalSize=0;for(var key in env){if(typeof env[key]==="string"){var line=key+"="+env[key];strings.push(line);totalSize+=line.length}}if(totalSize>TOTAL_ENV_SIZE){throw new Error("Environment size exceeded TOTAL_ENV_SIZE!")}var ptrSize=4;for(var i=0;i<strings.length;i++){var line=strings[i];writeAsciiToMemory(line,poolPtr);HEAP32[envPtr+i*ptrSize>>2]=poolPtr;poolPtr+=line.length+1}HEAP32[envPtr+strings.length*ptrSize>>2]=0}var ENV={};function _dlopen(filename,flag){abort("To use dlopen, you need to use Emscripten's linking support, see https://github.com/kripken/emscripten/wiki/Linking");var searchpaths=[];if(filename===0){filename="__self__"}else{var strfilename=Pointer_stringify(filename);var isValidFile=(function(filename){var target=FS.findObject(filename);return target&&!target.isFolder&&!target.isDevice});if(isValidFile(strfilename)){filename=strfilename}else{if(ENV["LD_LIBRARY_PATH"]){searchpaths=ENV["LD_LIBRARY_PATH"].split(":")}for(var ident in searchpaths){var searchfile=PATH.join2(searchpaths[ident],strfilename);if(isValidFile(searchfile)){filename=searchfile;break}}}}if(DLFCN.loadedLibNames[filename]){var handle=DLFCN.loadedLibNames[filename];DLFCN.loadedLibs[handle].refcount++;return handle}if(filename==="__self__"){var handle=-1;var lib_module=Module;var cached_functions={}}else{var target=FS.findObject(filename);if(!target||target.isFolder||target.isDevice){DLFCN.errorMsg="Could not find dynamic lib: "+filename;return 0}else{FS.forceLoadFile(target);var lib_data=FS.readFile(filename,{encoding:"utf8"})}try{var lib_module=eval(lib_data)(Runtime.alignFunctionTables(),Module)}catch(e){DLFCN.errorMsg="Could not evaluate dynamic lib: "+filename;return 0}var handle=1;for(var key in DLFCN.loadedLibs){if(DLFCN.loadedLibs.hasOwnProperty(key))handle++}if(flag&256){for(var ident in lib_module){if(lib_module.hasOwnProperty(ident)){if(ident[0]=="_"){Module[ident]=lib_module[ident]}}}}var cached_functions={}}DLFCN.loadedLibs[handle]={refcount:1,name:filename,module:lib_module,cached_functions:cached_functions};DLFCN.loadedLibNames[filename]=handle;return handle}function ___syscall6(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD();FS.close(stream);return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["___udivdi3"]=___udivdi3;Module["___muldsi3"]=___muldsi3;Module["___muldi3"]=___muldi3;function ___cxa_call_unexpected(exception){Module.printErr("Unexpected exception thrown, this is not properly supported - aborting");ABORT=true;throw exception}function _pthread_cleanup_pop(){assert(_pthread_cleanup_push.level==__ATEXIT__.length,"cannot pop if something else added meanwhile!");__ATEXIT__.pop();_pthread_cleanup_push.level=__ATEXIT__.length}function ___cxa_get_exception_ptr(ptr){return ptr}Module["_pthread_self"]=_pthread_self;function ___syscall140(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),offset_high=SYSCALLS.get(),offset_low=SYSCALLS.get(),result=SYSCALLS.get(),whence=SYSCALLS.get();var offset=offset_low;assert(offset_high===0);FS.llseek(stream,offset,whence);HEAP32[result>>2]=stream.position;if(stream.getdents&&offset===0&&whence===0)stream.getdents=null;return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall145(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();return SYSCALLS.doReadv(stream,iov,iovcnt)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall146(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();return SYSCALLS.doWritev(stream,iov,iovcnt)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall221(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),cmd=SYSCALLS.get();switch(cmd){case 0:{var arg=SYSCALLS.get();if(arg<0){return-ERRNO_CODES.EINVAL}var newStream;newStream=FS.open(stream.path,stream.flags,0,arg);return newStream.fd};case 1:case 2:return 0;case 3:return stream.flags;case 4:{var arg=SYSCALLS.get();stream.flags|=arg;return 0};case 12:case 12:{var arg=SYSCALLS.get();var offset=0;HEAP16[arg+offset>>1]=2;return 0};case 13:case 14:case 13:case 14:return 0;case 16:case 8:return-ERRNO_CODES.EINVAL;case 9:___setErrNo(ERRNO_CODES.EINVAL);return-1;default:{return-ERRNO_CODES.EINVAL}}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall220(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),dirp=SYSCALLS.get(),count=SYSCALLS.get();if(!stream.getdents){stream.getdents=FS.readdir(stream.path)}var pos=0;while(stream.getdents.length>0&&pos+268<=count){var id;var type;var name=stream.getdents.pop();assert(name.length<256);if(name[0]==="."){id=1;type=4}else{var child=FS.lookupNode(stream.node,name);id=child.id;type=FS.isChrdev(child.mode)?2:FS.isDir(child.mode)?4:FS.isLink(child.mode)?10:8}HEAP32[dirp+pos>>2]=id;HEAP32[dirp+pos+4>>2]=stream.position;HEAP16[dirp+pos+8>>1]=268;HEAP8[dirp+pos+10>>0]=type;for(var i=0;i<name.length;i++){HEAP8[dirp+pos+(11+i)>>0]=name.charCodeAt(i)}HEAP8[dirp+pos+(11+i)>>0]=0;pos+=268}return pos}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var ___dso_handle=STATICTOP;STATICTOP+=16;FS.staticInit();__ATINIT__.unshift((function(){if(!Module["noFSInit"]&&!FS.init.initialized)FS.init()}));__ATMAIN__.push((function(){FS.ignorePermissions=false}));__ATEXIT__.push((function(){FS.quit()}));Module["FS_createFolder"]=FS.createFolder;Module["FS_createPath"]=FS.createPath;Module["FS_createDataFile"]=FS.createDataFile;Module["FS_createPreloadedFile"]=FS.createPreloadedFile;Module["FS_createLazyFile"]=FS.createLazyFile;Module["FS_createLink"]=FS.createLink;Module["FS_createDevice"]=FS.createDevice;Module["FS_unlink"]=FS.unlink;__ATINIT__.unshift((function(){TTY.init()}));__ATEXIT__.push((function(){TTY.shutdown()}));if(ENVIRONMENT_IS_NODE){var fs=require("fs");var NODEJS_PATH=require("path");NODEFS.staticInit()}Module["requestFullScreen"]=function Module_requestFullScreen(lockPointer,resizeCanvas,vrDevice){Module.printErr("Module.requestFullScreen is deprecated. Please call Module.requestFullscreen instead.");Module["requestFullScreen"]=Module["requestFullscreen"];Browser.requestFullScreen(lockPointer,resizeCanvas,vrDevice)};Module["requestFullscreen"]=function Module_requestFullscreen(lockPointer,resizeCanvas,vrDevice){Browser.requestFullscreen(lockPointer,resizeCanvas,vrDevice)};Module["requestAnimationFrame"]=function Module_requestAnimationFrame(func){Browser.requestAnimationFrame(func)};Module["setCanvasSize"]=function Module_setCanvasSize(width,height,noUpdates){Browser.setCanvasSize(width,height,noUpdates)};Module["pauseMainLoop"]=function Module_pauseMainLoop(){Browser.mainLoop.pause()};Module["resumeMainLoop"]=function Module_resumeMainLoop(){Browser.mainLoop.resume()};Module["getUserMedia"]=function Module_getUserMedia(){Browser.getUserMedia()};Module["createContext"]=function Module_createContext(canvas,useWebGL,setInModule,webGLContextAttributes){return Browser.createContext(canvas,useWebGL,setInModule,webGLContextAttributes)};if(ENVIRONMENT_IS_NODE){_emscripten_get_now=function _emscripten_get_now_actual(){var t=process["hrtime"]();return t[0]*1e3+t[1]/1e6}}else if(typeof dateNow!=="undefined"){_emscripten_get_now=dateNow}else if(typeof self==="object"&&self["performance"]&&typeof self["performance"]["now"]==="function"){_emscripten_get_now=(function(){return self["performance"]["now"]()})}else if(typeof performance==="object"&&typeof performance["now"]==="function"){_emscripten_get_now=(function(){return performance["now"]()})}else{_emscripten_get_now=Date.now}___buildEnvironment(ENV);DYNAMICTOP_PTR=allocate(1,"i32",ALLOC_STATIC);STACK_BASE=STACKTOP=Runtime.alignMemory(STATICTOP);STACK_MAX=STACK_BASE+TOTAL_STACK;DYNAMIC_BASE=Runtime.alignMemory(STACK_MAX);HEAP32[DYNAMICTOP_PTR>>2]=DYNAMIC_BASE;staticSealed=true;function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiid(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiiiiid"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_v(index){try{Module["dynCall_v"](index)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiii(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_vi(index,a1){try{Module["dynCall_vi"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_vii(index,a1,a2){try{Module["dynCall_vii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiii(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_ii(index,a1){try{return Module["dynCall_ii"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_id(index,a1){try{return Module["dynCall_id"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiii(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiii(index,a1,a2,a3){try{return Module["dynCall_iiii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_ddi(index,a1,a2){try{return Module["dynCall_ddi"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15){try{Module["dynCall_viiiiiiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iddddii(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iddddii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_ddd(index,a1,a2){try{return Module["dynCall_ddd"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_di(index,a1){try{return Module["dynCall_di"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iddd(index,a1,a2,a3){try{return Module["dynCall_iddd"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viidii(index,a1,a2,a3,a4,a5){try{Module["dynCall_viidii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iid(index,a1,a2){try{return Module["dynCall_iid"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{return Module["dynCall_iiiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iii(index,a1,a2){try{return Module["dynCall_iii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiddi(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_iiiiiddi"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_diii(index,a1,a2,a3){try{return Module["dynCall_diii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_dii(index,a1,a2){try{return Module["dynCall_dii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_i(index){try{return Module["dynCall_i"](index)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiii(index,a1,a2,a3,a4){try{return Module["dynCall_iiiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viii(index,a1,a2,a3){try{Module["dynCall_viii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_idi(index,a1,a2){try{return Module["dynCall_idi"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiid(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiiiid"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiii(index,a1,a2,a3,a4){try{Module["dynCall_viiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}Module.asmGlobalArg={"Math":Math,"Int8Array":Int8Array,"Int16Array":Int16Array,"Int32Array":Int32Array,"Uint8Array":Uint8Array,"Uint16Array":Uint16Array,"Uint32Array":Uint32Array,"Float32Array":Float32Array,"Float64Array":Float64Array,"NaN":NaN,"Infinity":Infinity,"byteLength":byteLength};Module.asmLibraryArg={"abort":abort,"assert":assert,"enlargeMemory":enlargeMemory,"getTotalMemory":getTotalMemory,"abortOnCannotGrowMemory":abortOnCannotGrowMemory,"invoke_iiiiiiii":invoke_iiiiiiii,"invoke_iiiiiid":invoke_iiiiiid,"invoke_v":invoke_v,"invoke_viiiii":invoke_viiiii,"invoke_vi":invoke_vi,"invoke_vii":invoke_vii,"invoke_iiiiiii":invoke_iiiiiii,"invoke_ii":invoke_ii,"invoke_id":invoke_id,"invoke_iiiiii":invoke_iiiiii,"invoke_iiii":invoke_iiii,"invoke_ddi":invoke_ddi,"invoke_viiiiiiiiiiiiiii":invoke_viiiiiiiiiiiiiii,"invoke_viiiiiiii":invoke_viiiiiiii,"invoke_iddddii":invoke_iddddii,"invoke_viiiiii":invoke_viiiiii,"invoke_ddd":invoke_ddd,"invoke_di":invoke_di,"invoke_iddd":invoke_iddd,"invoke_viidii":invoke_viidii,"invoke_iid":invoke_iid,"invoke_viiiiiii":invoke_viiiiiii,"invoke_iiiiiiiiiiii":invoke_iiiiiiiiiiii,"invoke_viiiiiiiiii":invoke_viiiiiiiiii,"invoke_iii":invoke_iii,"invoke_iiiiiddi":invoke_iiiiiddi,"invoke_diii":invoke_diii,"invoke_dii":invoke_dii,"invoke_i":invoke_i,"invoke_iiiii":invoke_iiiii,"invoke_viii":invoke_viii,"invoke_idi":invoke_idi,"invoke_iiiiiiiii":invoke_iiiiiiiii,"invoke_iiiiid":invoke_iiiiid,"invoke_viiii":invoke_viiii,"___syscall221":___syscall221,"___syscall220":___syscall220,"_pthread_cond_wait":_pthread_cond_wait,"_dlerror":_dlerror,"_llvm_pow_f64":_llvm_pow_f64,"_dlsym":_dlsym,"___syscall54":___syscall54,"_abort":_abort,"___cxa_pure_virtual":___cxa_pure_virtual,"___cxa_find_matching_catch_8":___cxa_find_matching_catch_8,"___setErrNo":___setErrNo,"___gxx_personality_v0":___gxx_personality_v0,"___cxa_find_matching_catch_4":___cxa_find_matching_catch_4,"___cxa_find_matching_catch_6":___cxa_find_matching_catch_6,"___assert_fail":___assert_fail,"___cxa_free_exception":___cxa_free_exception,"___cxa_allocate_exception":___cxa_allocate_exception,"__ZSt18uncaught_exceptionv":__ZSt18uncaught_exceptionv,"___buildEnvironment":___buildEnvironment,"_emscripten_asm_const_ii":_emscripten_asm_const_ii,"__addDays":__addDays,"_strftime_l":_strftime_l,"_pthread_setspecific":_pthread_setspecific,"_emscripten_set_main_loop_timing":_emscripten_set_main_loop_timing,"_llvm_eh_typeid_for":_llvm_eh_typeid_for,"___cxa_find_matching_catch_2":___cxa_find_matching_catch_2,"_emscripten_memcpy_big":_emscripten_memcpy_big,"___cxa_end_catch":___cxa_end_catch,"___resumeException":___resumeException,"___cxa_find_matching_catch_3":___cxa_find_matching_catch_3,"__exit":__exit,"___cxa_begin_catch":___cxa_begin_catch,"_strftime":_strftime,"__arraySum":__arraySum,"___syscall195":___syscall195,"___lock":___lock,"___cxa_call_unexpected":___cxa_call_unexpected,"___cxa_get_exception_ptr":___cxa_get_exception_ptr,"_pthread_once":_pthread_once,"_pthread_getspecific":_pthread_getspecific,"_dlopen":_dlopen,"_pthread_key_create":_pthread_key_create,"___unlock":___unlock,"_dlclose":_dlclose,"_pthread_cleanup_pop":_pthread_cleanup_pop,"__isLeapYear":__isLeapYear,"_emscripten_set_main_loop":_emscripten_set_main_loop,"_emscripten_asm_const_iii":_emscripten_asm_const_iii,"___syscall5":___syscall5,"_emscripten_sleep":_emscripten_sleep,"_emscripten_asm_const_iiii":_emscripten_asm_const_iiii,"___cxa_atexit":___cxa_atexit,"___syscall3":___syscall3,"___cxa_rethrow":___cxa_rethrow,"___syscall6":___syscall6,"_pthread_cleanup_push":_pthread_cleanup_push,"___syscall183":___syscall183,"_emscripten_get_now":_emscripten_get_now,"___cxa_throw":___cxa_throw,"_atexit":_atexit,"___syscall140":___syscall140,"_exit":_exit,"___cxa_find_matching_catch":___cxa_find_matching_catch,"___syscall145":___syscall145,"___syscall146":___syscall146,"STACKTOP":STACKTOP,"STACK_MAX":STACK_MAX,"DYNAMICTOP_PTR":DYNAMICTOP_PTR,"tempDoublePtr":tempDoublePtr,"ABORT":ABORT,"cttz_i8":cttz_i8,"___dso_handle":___dso_handle};Module.asmLibraryArg["EMTSTACKTOP"]=EMTSTACKTOP;Module.asmLibraryArg["EMT_STACK_MAX"]=EMT_STACK_MAX;Module.asmLibraryArg["eb"]=eb;// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer) {
"almost asm";var a=global.Int8Array;var b=global.Int16Array;var c=global.Int32Array;var d=global.Uint8Array;var e=global.Uint16Array;var f=global.Uint32Array;var g=global.Float32Array;var h=global.Float64Array;var i=new a(buffer);var j=new b(buffer);var k=new c(buffer);var l=new d(buffer);var m=new e(buffer);var n=new f(buffer);var o=new g(buffer);var p=new h(buffer);var q=global.byteLength;var r=env.STACKTOP|0;var s=env.STACK_MAX|0;var t=env.DYNAMICTOP_PTR|0;var u=env.tempDoublePtr|0;var v=env.ABORT|0;var w=env.cttz_i8|0;var x=env.___dso_handle|0;var y=0;var z=0;var A=0;var B=0;var C=global.NaN,D=global.Infinity;var E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0.0;var N=0;var O=global.Math.floor;var P=global.Math.abs;var Q=global.Math.sqrt;var R=global.Math.pow;var S=global.Math.cos;var T=global.Math.sin;var U=global.Math.tan;var V=global.Math.acos;var W=global.Math.asin;var X=global.Math.atan;var Y=global.Math.atan2;var Z=global.Math.exp;var _=global.Math.log;var $=global.Math.ceil;var aa=global.Math.imul;var ba=global.Math.min;var ca=global.Math.max;var da=global.Math.clz32;var ea=env.abort;var fa=env.assert;var ga=env.enlargeMemory;var ha=env.getTotalMemory;var ia=env.abortOnCannotGrowMemory;var ja=env.invoke_iiiiiiii;var ka=env.invoke_iiiiiid;var la=env.invoke_v;var ma=env.invoke_viiiii;var na=env.invoke_vi;var oa=env.invoke_vii;var pa=env.invoke_iiiiiii;var qa=env.invoke_ii;var ra=env.invoke_id;var sa=env.invoke_iiiiii;var ta=env.invoke_iiii;var ua=env.invoke_ddi;var va=env.invoke_viiiiiiiiiiiiiii;var wa=env.invoke_viiiiiiii;var xa=env.invoke_iddddii;var ya=env.invoke_viiiiii;var za=env.invoke_ddd;var Aa=env.invoke_di;var Ba=env.invoke_iddd;var Ca=env.invoke_viidii;var Da=env.invoke_iid;var Ea=env.invoke_viiiiiii;var Fa=env.invoke_iiiiiiiiiiii;var Ga=env.invoke_viiiiiiiiii;var Ha=env.invoke_iii;var Ia=env.invoke_iiiiiddi;var Ja=env.invoke_diii;var Ka=env.invoke_dii;var La=env.invoke_i;var Ma=env.invoke_iiiii;var Na=env.invoke_viii;var Oa=env.invoke_idi;var Pa=env.invoke_iiiiiiiii;var Qa=env.invoke_iiiiid;var Ra=env.invoke_viiii;var Sa=env.___syscall221;var Ta=env.___syscall220;var Ua=env._pthread_cond_wait;var Va=env._dlerror;var Wa=env._llvm_pow_f64;var Xa=env._dlsym;var Ya=env.___syscall54;var Za=env._abort;var _a=env.___cxa_pure_virtual;var $a=env.___cxa_find_matching_catch_8;var ab=env.___setErrNo;var bb=env.___gxx_personality_v0;var cb=env.___cxa_find_matching_catch_4;var db=env.___cxa_find_matching_catch_6;var eb=env.___assert_fail;var fb=env.___cxa_free_exception;var gb=env.___cxa_allocate_exception;var hb=env.__ZSt18uncaught_exceptionv;var ib=env.___buildEnvironment;var jb=env._emscripten_asm_const_ii;var kb=env.__addDays;var lb=env._strftime_l;var mb=env._pthread_setspecific;var nb=env._emscripten_set_main_loop_timing;var ob=env._llvm_eh_typeid_for;var pb=env.___cxa_find_matching_catch_2;var qb=env._emscripten_memcpy_big;var rb=env.___cxa_end_catch;var sb=env.___resumeException;var tb=env.___cxa_find_matching_catch_3;var ub=env.__exit;var vb=env.___cxa_begin_catch;var wb=env._strftime;var xb=env.__arraySum;var yb=env.___syscall195;var zb=env.___lock;var Ab=env.___cxa_call_unexpected;var Bb=env.___cxa_get_exception_ptr;var Cb=env._pthread_once;var Db=env._pthread_getspecific;var Eb=env._dlopen;var Fb=env._pthread_key_create;var Gb=env.___unlock;var Hb=env._dlclose;var Ib=env._pthread_cleanup_pop;var Jb=env.__isLeapYear;var Kb=env._emscripten_set_main_loop;var Lb=env._emscripten_asm_const_iii;var Mb=env.___syscall5;var Nb=env._emscripten_sleep;var Ob=env._emscripten_asm_const_iiii;var Pb=env.___cxa_atexit;var Qb=env.___syscall3;var Rb=env.___cxa_rethrow;var Sb=env.___syscall6;var Tb=env._pthread_cleanup_push;var Ub=env.___syscall183;var Vb=env._emscripten_get_now;var Wb=env.___cxa_throw;var Xb=env._atexit;var Yb=env.___syscall140;var Zb=env._exit;var _b=env.___cxa_find_matching_catch;var $b=env.___syscall145;var ac=env.___syscall146;var bc=0.0;var cc=0;var dc=env.EMTSTACKTOP|0;var ec=env.EMT_STACK_MAX|0;var fc=env.eb|0;function gc(newBuffer){if(q(newBuffer)&16777215||q(newBuffer)<=16777215||q(newBuffer)>2147483648)return false;i=new a(newBuffer);j=new b(newBuffer);k=new c(newBuffer);l=new d(newBuffer);m=new e(newBuffer);n=new f(newBuffer);o=new g(newBuffer);p=new h(newBuffer);buffer=newBuffer;return true}
// EMSCRIPTEN_START_FUNCS
function mv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=PK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function nv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=QK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function ov(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=KI(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function pv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=RK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function qv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=SK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function rv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=MI(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function sv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=wL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function tv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=xL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function uv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=yL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function vv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=TK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function wv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=UK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function xv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=NI(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function yv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=nU(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function zv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;e=0;f=r;r=r+32|0;c=f+16|0;d=f;g=a;k[g>>2]=0;k[g+4>>2]=0;g=a+8|0;k[g>>2]=-1;k[g+4>>2]=-1;y=0;Na(143,c|0,b|0,1);g=y;y=0;a:do if(g&1){c=tb(0)|0;d=b;a=b;e=8}else do if(i[c>>0]|0){g=k[b+(k[(k[b>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;ya(k[(k[g>>2]|0)+16>>2]|0,d|0,g|0,0,0,1,8);g=y;y=0;if(g&1){c=tb(0)|0;d=b;a=b;e=8;break a}else{k[a>>2]=k[d>>2];k[a+4>>2]=k[d+4>>2];k[a+8>>2]=k[d+8>>2];k[a+12>>2]=k[d+12>>2];break}}while(0);while(0);do if((e|0)==8){vb(c|0)|0;y=0;na(374,d+(k[(k[a>>2]|0)+-12>>2]|0)|0);g=y;y=0;if(!(g&1)){rb();break}a=pb()|0;y=0;la(3);g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}else sb(a|0)}while(0);r=f;return}function Av(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=XB(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Bv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=_K(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Cv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=OI(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Dv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=AL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Ev(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=$K(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Fv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=BL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Gv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=CL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Hv(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0;h=0;j=r;r=r+16|0;g=j;pK(g,a+60|0);e=i[g+11>>0]|0;d=e<<24>>24<0;f=d?k[g>>2]|0:g;e=d?k[g+4>>2]|0:e&255;if(e>>>0>3){d=e+-4|0;c=f;a=e;b=e;while(1){e=aa(l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24,1540483477)|0;a=(aa(e>>>24^e,1540483477)|0)^(aa(a,1540483477)|0);b=b+-4|0;if(b>>>0<=3)break;else c=c+4|0}c=d&-4;b=d-c|0;c=f+(c+4)|0}else{b=e;c=f;a=e}switch(b|0){case 3:{a=(l[c+2>>0]|0)<<16^a;h=7;break}case 2:{h=7;break}case 1:break;default:{h=a;f=h>>>13;h=f^h;h=aa(h,1540483477)|0;f=h>>>15;h=f^h;$9(g);r=j;return h|0}}if((h|0)==7)a=(l[c+1>>0]|0)<<8^a;h=aa((l[c>>0]|0)^a,1540483477)|0;f=h>>>13;h=f^h;h=aa(h,1540483477)|0;f=h>>>15;h=f^h;$9(g);r=j;return h|0}function Iv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=r;r=r+16|0;d=g+4|0;f=g;c=pd(17)|0;e=d+8|0;k[e>>2]=c;if(!c){mN(45154,15,1,k[4849]|0)|0;Zb(1)}k[d>>2]=c;k[d+4>>2]=c+16;if(!b){y=0;oa(560,d|0,a|0);c=y;y=0;if(c&1)a=5;else a=8}else{y=0;Ra(24,d|0,a|0,b|0,0);c=y;y=0;if(c&1)a=5;else a=8}if((a|0)==5){a=tb(4432)|0;g=N;if((g|0)!=(ob(4432)|0)){g=a;sb(g|0)}Bb(a|0)|0;k[f>>2]=27012;vb(a|0)|0;Pf(k[e>>2]|0);y=0;la(4);y=0;a=pb()|0;wqa(f);y=0;la(3);g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}else{g=a;sb(g|0)}}else if((a|0)==8){i[k[d>>2]>>0]=0;b=k[e>>2]|0;a=k[d>>2]|0;if(b>>>0>a>>>0)eb(39109,39052,125,39184);if((JI(b)|0)==(a-b|0)){r=g;return b|0}else eb(39109,39052,125,39184)}return 0}function Jv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;e=a+64|0;y=0;oa(464,e|0,b+64|0);f=y;y=0;if(f&1){a=pb()|0;sb(a|0)}k[a>>2]=6816;f=a+68|0;y=0;oa(452,f|0,b+68|0);c=y;y=0;if(c&1){b=pb()|0;k[a>>2]=5436;EO(e);sb(b|0)}c=a+80|0;y=0;oa(464,c|0,b+80|0);g=y;y=0;do if(g&1)c=pb()|0;else{y=0;oa(464,a+84|0,b+84|0);g=y;y=0;if(g&1){g=pb()|0;EO(c);c=g;break}else{i[a+88>>0]=i[b+88>>0]|0;k[d>>2]=21;return}}while(0);$9(f);g=c;k[a>>2]=5436;EO(e);sb(g|0)}function Kv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;i=r;r=r+16|0;h=i;d=a+8|0;f=a+4|0;e=Fc[k[c>>2]&2047](f,a)|0;g=Fc[k[c>>2]&2047](d,f)|0;do if(e){e=k[a>>2]|0;if(g){k[a>>2]=k[d>>2];k[d>>2]=e;break}k[a>>2]=k[f>>2];k[f>>2]=e;if(Fc[k[c>>2]&2047](d,f)|0){g=k[f>>2]|0;k[f>>2]=k[d>>2];k[d>>2]=g}}else if(g){g=k[f>>2]|0;k[f>>2]=k[d>>2];k[d>>2]=g;if(Fc[k[c>>2]&2047](f,a)|0){g=k[a>>2]|0;k[a>>2]=k[f>>2];k[f>>2]=g}}while(0);e=a+12|0;if((e|0)==(b|0)){r=i;return}while(1){if(Fc[k[c>>2]&2047](e,d)|0){k[h>>2]=k[e>>2];f=e;while(1){k[f>>2]=k[d>>2];if((d|0)==(a|0))break;f=d+-4|0;if(Fc[k[c>>2]&2047](h,f)|0){g=d;d=f;f=g}else break}k[d>>2]=k[h>>2]}d=e+4|0;if((d|0)==(b|0))break;else{g=e;e=d;d=g}}r=i;return}function Lv(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;d=r;r=r+16|0;c=d+4|0;e=d+8|0;f=d;_V(e,a);y=0;oa(482,f|0,0);b=y;y=0;if(b&1){f=pb()|0;EO(e);sb(f|0)}while(1){a=k[e>>2]|0;if(!a){b=14;break}y=0;Ha(966,f|0,a+76|0)|0;b=y;y=0;if(b&1){b=9;break}a=k[f>>2]|0;if(!a){b=14;break}b=k[a+76>>2]|0;if(((k[a+80>>2]|0)-b|0)!=4){b=14;break}a=k[b>>2]|0;if(!a){b=14;break}if(!(pw(a,144,384,0)|0)){b=14;break}y=0;Ha(966,e|0,(k[e>>2]|0)+80|0)|0;b=y;y=0;if(b&1){b=9;break}}do if((b|0)==9)a=pb()|0;else if((b|0)==14){y=0;oa(482,c|0,k[e>>2]|0);b=y;y=0;if(b&1){a=pb()|0;break}else{EO(f);EO(e);r=d;return k[c>>2]|0}}while(0);EO(f);f=a;EO(e);sb(f|0);return 0}function Mv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=r;r=r+16|0;h=j+12|0;i=j;e=k[b>>2]|0;g=(k[e+80>>2]|0)-(k[e+76>>2]|0)>>2;if(!g){i=1;r=j;return i|0}d=0;while(1){f=k[(k[a>>2]|0)+148>>2]|0;_V(h,k[(k[e+76>>2]|0)+(d<<2)>>2]|0);y=0;oa(452,i|0,c|0);e=y;y=0;if(e&1){e=8;break}y=0;e=ta(f|0,a|0,h|0,i|0)|0;f=y;y=0;if(f&1){e=9;break}$9(i);EO(h);d=d+1|0;if(!e){d=0;e=11;break}if(d>>>0>=g>>>0){d=1;e=11;break}e=k[b>>2]|0}if((e|0)==8){j=pb()|0;EO(h);sb(j|0)}else if((e|0)==9){j=pb()|0;$9(i);EO(h);sb(j|0)}else if((e|0)==11){r=j;return d|0}return 0}function Nv(a){a=a|0;var b=0,c=0;while(1){b=i[a>>0]|0;c=a+1|0;if(b<<24>>24==123){b=13;break}if((b<<24>>24!=125?(b<<24>>24==59?c:0):c)|0){b=13;break}b=Qz(a)|0;do if(!b){b=Do(a)|0;if(b|0){c=yq(b)|0;b=c|0?c:b;break}b=CN(a)|0;if(!b){b=rL(a)|0;if(!b){b=Lz(a)|0;if(!b)b=0;else{b=Do(b)|0;if(!b)b=0;else{c=yq(b)|0;b=c|0?c:b}}}}}while(0);if((b|0)==(a|0)|(b|0)==0){a=0;b=13;break}else a=b}if((b|0)==13)return a|0;return 0}function Ov(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=r;r=r+16|0;h=j+12|0;i=j;d=k[a+76>>2]|0;g=(k[a+80>>2]|0)-d>>2;if(!g){i=0;r=j;return i|0}f=a+76|0;a=0;while(1){d=k[d+(a<<2)>>2]|0;e=k[(k[d>>2]|0)+144>>2]|0;rT(h,b);y=0;oa(452,i|0,c|0);l=y;y=0;if(l&1){d=8;break}y=0;d=ta(e|0,d|0,h|0,i|0)|0;l=y;y=0;if(l&1){d=9;break}$9(i);EO(h);a=a+1|0;if(d){a=1;d=11;break}if(a>>>0>=g>>>0){a=0;d=11;break}d=k[f>>2]|0}if((d|0)==8){l=pb()|0;EO(h);sb(l|0)}else if((d|0)==9){l=pb()|0;$9(i);EO(h);sb(l|0)}else if((d|0)==11){r=j;return a|0}return 0}function Pv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;i=0;h=r;r=r+16|0;f=h;g=yV(b)|0;k[f>>2]=g;y=0;b=Ha(973,f|0,78176)|0;j=y;y=0;if(j&1)i=8;else{y=0;Ma(k[(k[b>>2]|0)+48>>2]|0,b|0,51509,51541,c|0)|0;j=y;y=0;if(j&1)i=8;else{y=0;c=Ha(973,f|0,78184)|0;j=y;y=0;if(j&1)i=8;else{y=0;b=qa(k[(k[c>>2]|0)+12>>2]|0,c|0)|0;j=y;y=0;if(!(j&1)){k[d>>2]=b;y=0;b=qa(k[(k[c>>2]|0)+16>>2]|0,c|0)|0;j=y;y=0;if(!(j&1)){k[e>>2]=b;y=0;oa(k[(k[c>>2]|0)+20>>2]|0,a|0,c|0);j=y;y=0;if(!(j&1)){lQ(g)|0;r=h;return}}}b=pb()|0}}}if((i|0)==8)b=pb()|0;lQ(g)|0;sb(b|0)}function Qv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=r;r=r+1040|0;j=n+8|0;l=n;i=k[b>>2]|0;k[l>>2]=i;m=(a|0)!=0;g=m?d:256;a=m?a:j;f=i;a:do if((g|0)!=0&(i|0)!=0){d=0;i=c;while(1){h=i>>>2;c=h>>>0>=g>>>0;if(!(i>>>0>131|c)){c=i;break a}f=c?g:h;c=i-f|0;f=ok(a,l,f,e)|0;if((f|0)==-1)break;i=(a|0)==(j|0);g=g-(i?0:f)|0;a=i?a:a+(f<<2)|0;d=f+d|0;f=k[l>>2]|0;if((g|0)!=0&(f|0)!=0)i=c;else break a}d=-1;g=0;f=k[l>>2]|0}else d=0;while(0);b:do if(f)if((g|0)!=0&(c|0)!=0){h=a;while(1){a=vw(h,f,c,e)|0;if((a+2|0)>>>0<3)break;f=(k[l>>2]|0)+a|0;k[l>>2]=f;c=c-a|0;g=g+-1|0;d=d+1|0;if(!((g|0)!=0&(c|0)!=0))break b;else h=h+4|0}switch(a|0){case -1:{d=-1;break b}case 0:{k[l>>2]=0;break b}default:{k[e>>2]=0;break b}}}while(0);if(m)k[b>>2]=k[l>>2];r=n;return d|0}function Rv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;j=0;h=r;r=r+16|0;f=h;g=yV(b)|0;k[f>>2]=g;y=0;b=Ha(973,f|0,78144)|0;l=y;y=0;if(l&1)j=8;else{y=0;Ma(k[(k[b>>2]|0)+32>>2]|0,b|0,51509,51541,c|0)|0;l=y;y=0;if(l&1)j=8;else{y=0;c=Ha(973,f|0,78160)|0;l=y;y=0;if(l&1)j=8;else{y=0;b=qa(k[(k[c>>2]|0)+12>>2]|0,c|0)|0;l=y;y=0;if(!(l&1)){i[d>>0]=b;y=0;b=qa(k[(k[c>>2]|0)+16>>2]|0,c|0)|0;l=y;y=0;if(!(l&1)){i[e>>0]=b;y=0;oa(k[(k[c>>2]|0)+20>>2]|0,a|0,c|0);l=y;y=0;if(!(l&1)){lQ(g)|0;r=h;return}}}b=pb()|0}}}if((j|0)==8)b=pb()|0;lQ(g)|0;sb(b|0)}function Sv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=r;r=r+16|0;h=j+12|0;i=j;e=k[b>>2]|0;g=(k[e+80>>2]|0)-(k[e+76>>2]|0)>>2;if(!g){i=1;r=j;return i|0}d=0;while(1){f=k[(k[a>>2]|0)+152>>2]|0;_V(h,k[(k[e+76>>2]|0)+(d<<2)>>2]|0);y=0;oa(452,i|0,c|0);e=y;y=0;if(e&1){e=8;break}y=0;e=ta(f|0,a|0,h|0,i|0)|0;f=y;y=0;if(f&1){e=9;break}$9(i);EO(h);d=d+1|0;if(!e){d=0;e=11;break}if(d>>>0>=g>>>0){d=1;e=11;break}e=k[b>>2]|0}if((e|0)==8){j=pb()|0;EO(h);sb(j|0)}else if((e|0)==9){j=pb()|0;$9(i);EO(h);sb(j|0)}else if((e|0)==11){r=j;return d|0}return 0}function Tv(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;if((i[a>>0]|0)!=117){e=0;return e|0}if((i[a+1>>0]|0)!=114){e=0;return e|0}if((i[a+2>>0]|0)!=108){e=0;return e|0}if((i[a+3>>0]|0)!=40){e=0;return e|0}d=a+4|0;b=w2(d)|0;if(!b){c=i[d>>0]|0;b=a+5|0;if((c|4)<<24>>24==13)e=8;else{a=c<<24>>24|0;a=(a|0)!=10?((a|0)==12?b:0):b;if(!a)b=d;else{b=a;e=8}}}else e=8;if((e|0)==8)while(1){a=w2(b)|0;if(a|0){b=a;e=8;continue}a=i[b>>0]|0;c=b+1|0;if((a|4)<<24>>24==13){b=c;e=8;continue}a=a<<24>>24|0;a=(a|0)!=10?((a|0)==12?c:0):c;if(!a)break;else{b=a;e=8}}a=yq(b)|0;if(a|0){e=a;return e|0}e=jp(b)|0;return e|0}function Uv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a+52>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;c=a+64|0;y=0;oa(464,c|0,b+64|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[a>>2]=7276;d=a+68|0;y=0;oa(452,d|0,b+68|0);e=y;y=0;if(e&1){b=pb()|0;k[a>>2]=5436;EO(c);sb(b|0)}y=0;oa(464,a+80|0,b+80|0);e=y;y=0;if(!(e&1)){k[a+84>>2]=k[b+84>>2];k[a+88>>2]=k[b+88>>2];k[a+92>>2]=k[b+92>>2];k[a+96>>2]=k[b+96>>2];k[a+100>>2]=k[b+100>>2];i[a+104>>0]=i[b+104>>0]|0;k[a+108>>2]=k[b+108>>2];return}b=pb()|0;$9(d);k[a>>2]=5436;EO(c);sb(b|0)}function Vv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;oc[k[(k[a>>2]|0)+24>>2]&511](a)|0;c=EZ(b,79936)|0;k[a+68>>2]=c;e=a+98|0;f=i[e>>0]|0;c=oc[k[(k[c>>2]|0)+28>>2]&511](c)|0;i[e>>0]=c&1;if((f&255|0)==(c&1|0))return;b=a+8|0;f=a+96|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;b=j[f>>1]|0;d=(b&255)<<24>>24!=0;b=(b&65535)>>>8&255;if(c){e=a+32|0;if(d){c=k[e>>2]|0;if(c){sqa(c);b=i[a+97>>0]|0}}i[f>>0]=b;d=a+60|0;k[a+52>>2]=k[d>>2];f=a+56|0;k[e>>2]=k[f>>2];k[d>>2]=0;k[f>>2]=0;i[a+97>>0]=0;return}if(!d){b=a+32|0;c=k[b>>2]|0;if((c|0)!=(a+44|0)){e=k[a+52>>2]|0;k[a+60>>2]=e;k[a+56>>2]=c;i[a+97>>0]=0;a=rqa(e)|0;k[b>>2]=a;i[f>>0]=1;return}}f=k[a+52>>2]|0;k[a+60>>2]=f;f=rqa(f)|0;k[a+56>>2]=f;i[a+97>>0]=1;return}function Wv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;c=g+8|0;d=g+4|0;e=g;f=a+4|0;Yw(f);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44350,9);y=0;Na(139,f|0,c|0,b|0);h=y;y=0;if(h&1){h=pb()|0;$9(c);sb(h|0)}$9(c);Nka(f);rT(c,b+68|0);h=k[c>>2]|0;k[d>>2]=h;y=0;oa(k[(k[h>>2]|0)+40>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;EO(d);sb(h|0)}EO(d);rT(c,b+64|0);h=k[c>>2]|0;k[e>>2]=h;y=0;oa(k[(k[h>>2]|0)+40>>2]|0,h|0,a|0);h=y;y=0;if(!(h&1)){EO(e);r=g;return}h=pb()|0;EO(e);sb(h|0)}function Xv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;e=0;f=r;r=r+32|0;c=f+12|0;d=f;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44202,1);y=0;oa(452,d|0,b|0);b=y;y=0;if(b&1){f=pb()|0;$9(c);sb(f|0)}if((i[((i[d+11>>0]|0)<0?k[d>>2]|0:d)>>0]|0)==46){b=i[c+11>>0]|0;g=b<<24>>24<0;y=0;b=Ma(12,d|0,0,(g?k[c>>2]|0:c)|0,(g?k[c+4>>2]|0:b&255)|0)|0;g=y;y=0;if(!(g&1))e=4}else{b=d;e=4}if((e|0)==4){y=0;oa(452,a|0,b|0);g=y;y=0;if(!(g&1)){$9(d);$9(c);r=f;return}}g=pb()|0;$9(d);$9(c);sb(g|0)}function Yv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=Fc[k[e>>2]&2047](b,a)|0;g=Fc[k[e>>2]&2047](c,b)|0;do if(f){f=k[a>>2]|0;if(g){k[a>>2]=k[c>>2];k[c>>2]=f;f=1;break}k[a>>2]=k[b>>2];k[b>>2]=f;if(Fc[k[e>>2]&2047](c,b)|0){f=k[b>>2]|0;k[b>>2]=k[c>>2];k[c>>2]=f;f=2}else f=1}else if(g){g=k[b>>2]|0;k[b>>2]=k[c>>2];k[c>>2]=g;if(Fc[k[e>>2]&2047](b,a)|0){f=k[a>>2]|0;k[a>>2]=k[b>>2];k[b>>2]=f;f=2}else f=1}else f=0;while(0);if(!(Fc[k[e>>2]&2047](d,c)|0)){e=f;return e|0}g=k[c>>2]|0;k[c>>2]=k[d>>2];k[d>>2]=g;if(!(Fc[k[e>>2]&2047](c,b)|0)){e=f+1|0;return e|0}d=k[b>>2]|0;k[b>>2]=k[c>>2];k[c>>2]=d;if(!(Fc[k[e>>2]&2047](b,a)|0)){e=f+2|0;return e|0}e=k[a>>2]|0;k[a>>2]=k[b>>2];k[b>>2]=e;e=f+3|0;return e|0}function Zv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;e=a+64|0;y=0;oa(464,e|0,b+64|0);f=y;y=0;if(f&1){a=pb()|0;sb(a|0)}k[a>>2]=5804;f=a+68|0;y=0;oa(452,f|0,b+68|0);c=y;y=0;if(c&1){b=pb()|0;k[a>>2]=5436;EO(e);sb(b|0)}c=a+80|0;y=0;oa(464,c|0,b+80|0);g=y;y=0;do if(g&1)c=pb()|0;else{y=0;oa(464,a+84|0,b+84|0);g=y;y=0;if(g&1){g=pb()|0;EO(c);c=g;break}else{k[d>>2]=3;return}}while(0);$9(f);g=c;k[a>>2]=5436;EO(e);sb(g|0)}function _v(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+96|0;e=c+56|0;f=c+16|0;h=c;if(b|0){if(pw(b,680,696,0)|0){r=c;return}if(pw(b,680,1048,0)|0){r=c;return}a=pw(b,680,1032,0)|0;if(a|0)if(!(k[a+88>>2]|0)){r=c;return}}g=gb(76)|0;d=f;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,44840,48);b=y;y=0;if(b&1)a=pb()|0;else{y=0;d=e;a=f;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(110,g|0,e|0,h|0);f=y;y=0;if(f&1)c=1;else{y=0;Na(76,g|0,2368,158);y=0;c=0}a=pb()|0;$9(h);if(!c){h=a;sb(h|0)}}fb(g|0);h=a;sb(h|0)}function $v(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;c=g+8|0;d=g+4|0;e=g;f=a+4|0;Yw(f);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44259,6);y=0;Na(139,f|0,c|0,b|0);h=y;y=0;if(h&1){h=pb()|0;$9(c);sb(h|0)}$9(c);Nka(f);rT(c,b+68|0);h=k[c>>2]|0;k[d>>2]=h;y=0;oa(k[(k[h>>2]|0)+40>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;EO(d);sb(h|0)}EO(d);rT(c,b+64|0);h=k[c>>2]|0;k[e>>2]=h;y=0;oa(k[(k[h>>2]|0)+40>>2]|0,h|0,a|0);h=y;y=0;if(!(h&1)){EO(e);r=g;return}h=pb()|0;EO(e);sb(h|0)}function aw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+64|0;d=j+48|0;b=j;e=j+40|0;g=a+76|0;f=k[g>>2]|0;if(!(i[f>>0]|0)){h=0;r=j;return h|0}h=oW(f)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){h=0;r=j;return h|0}if(!c)if((h|0)==0|(h|0)==(f|0)){h=0;r=j;return h|0}l=k[g>>2]|0;k[a+152>>2]=l;k[a+156>>2]=f;k[a+160>>2]=h;c=a+84|0;m=a+96|0;gH(d,m,l,f);k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];gH(d,m,f,h);l=k[a+12>>2]|0;f=k[a+72>>2]|0;GO(e,m,c);k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];nH(b,l,f,a+152|0,c,d);e=a+108|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));k[g>>2]=h;m=h;r=j;return m|0}function bw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;c=h+12|0;e=h+8|0;f=h+4|0;g=h;d=pw(b,40,1112,0)|0;if(!d){g=0;r=h;return g|0}if((k[a+60>>2]|0)!=(k[d+60>>2]|0)){g=0;r=h;return g|0}y=0;oa(464,c|0,a+64|0);a=y;y=0;do if(a&1){a=cb(4592,0)|0;b=N}else{b=k[c>>2]|0;k[f>>2]=b;y=0;oa(464,e|0,d+64|0);d=y;y=0;if(d&1){a=cb(4592,0)|0;b=N;EO(f);break}e=k[e>>2]|0;k[g>>2]=e;EO(g);EO(f);g=(b|0)!=0^(e|0)!=0^1;r=h;return g|0}while(0);g=(b|0)==(ob(4592)|0);vb(a|0)|0;if(g){rb();g=0;r=h;return g|0}y=0;la(4);y=0;b=pb()|0;y=0;la(3);h=y;y=0;if(h&1){h=tb(0)|0;dla(h)}else sb(b|0);return 0}function cw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=0;l=a+4|0;c=k[l>>2]|0;do if(c|0){j=i[b+11>>0]|0;h=j<<24>>24<0;j=h?k[b+4>>2]|0:j&255;h=h?k[b>>2]|0:b;a=l;a:while(1){b=c;while(1){d=b+16|0;f=i[d+11>>0]|0;e=f<<24>>24<0;f=e?k[b+20>>2]|0:f&255;c=j>>>0<f>>>0?j:f;if(!c)g=6;else{c=zM(e?k[d>>2]|0:d,h,c)|0;if(!c)g=6;else if((c|0)>=0)break}if((g|0)==6){g=0;if(f>>>0>=j>>>0)break}b=k[b+4>>2]|0;if(!b)break a}c=k[b>>2]|0;if(!c){a=b;break}else a=b}if((a|0)!=(l|0)){c=a+16|0;e=i[c+11>>0]|0;d=e<<24>>24<0;e=d?k[a+20>>2]|0:e&255;b=e>>>0<j>>>0?e:j;if(b|0){b=zM(h,d?k[c>>2]|0:c,b)|0;if(b|0){if((b|0)<0)break;return a|0}}if(j>>>0>=e>>>0){l=a;return l|0}}}while(0);return l|0}function dw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;d=k[b+52>>2]|0;i[a+52>>0]=d;i[a+53>>0]=(d&65535)>>>8;i[a+54>>0]=d>>>16;d=a+56|0;k[d>>2]=k[b+56>>2];k[a>>2]=11396;e=k[b+60>>2]|0;i[a+60>>0]=e;i[a+61>>0]=(e&65535)>>>8;i[a+62>>0]=e>>>16;k[a+64>>2]=k[b+64>>2];k[a+68>>2]=k[b+68>>2];k[d>>2]=7;k[a>>2]=13620;k[a+72>>2]=k[b+72>>2];d=a+76|0;y=0;oa(464,d|0,b+76|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}c=a+80|0;y=0;oa(464,c|0,b+80|0);e=y;y=0;do if(e&1)c=pb()|0;else{y=0;oa(464,a+84|0,b+84|0);b=y;y=0;if(b&1){b=pb()|0;EO(c);c=b;break}else return}while(0);EO(d);b=c;sb(b|0)}function ew(){var a=0,b=0,c=0,d=0,e=0;c=r;r=r+80|0;a=c;d=c+40|0;p[6869]=3.141592653589793;k[18134]=0;k[18135]=0;k[18136]=0;jI(72536,46941,6);Pb(368,72536,x|0)|0;k[18137]=0;k[18138]=0;k[18139]=0;jI(72548,46948,21);Pb(368,72548,x|0)|0;k[18140]=0;k[18141]=0;k[18142]=0;jI(72560,46970,19);Pb(368,72560,x|0)|0;k[18143]=0;k[18144]=0;k[18145]=0;jI(72572,46990,22);Pb(368,72572,x|0)|0;jN(d,44148,0,-1);b=a;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));Oda(72584);b=72596;d=a;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));i[72636]=0;i[72637]=0;i[72638]=0;k[18146]=11032;k[18160]=8;Pb(4,72584,x|0)|0;r=c;return}function fw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+64|0;d=j+48|0;b=j;e=j+40|0;g=a+76|0;f=k[g>>2]|0;if(!(i[f>>0]|0)){h=0;r=j;return h|0}h=jO(f)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){h=0;r=j;return h|0}if(!c)if((h|0)==0|(h|0)==(f|0)){h=0;r=j;return h|0}l=k[g>>2]|0;k[a+152>>2]=l;k[a+156>>2]=f;k[a+160>>2]=h;c=a+84|0;m=a+96|0;gH(d,m,l,f);k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];gH(d,m,f,h);l=k[a+12>>2]|0;f=k[a+72>>2]|0;GO(e,m,c);k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];nH(b,l,f,a+152|0,c,d);e=a+108|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));k[g>>2]=h;m=h;r=j;return m|0}function gw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+16|0;e=g+8|0;f=g+4|0;h=g;k[h>>2]=k[b>>2];k[e>>2]=k[h>>2];e=_k(a,e,f,c)|0;b=k[e>>2]|0;if(b|0){h=b;r=g;return h|0}c=ZL(20)|0;y=0;oa(464,c+16|0,d|0);h=y;y=0;if(h&1){h=pb()|0;zqa(c);sb(h|0)}b=k[f>>2]|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=b;k[e>>2]=c;b=k[k[a>>2]>>2]|0;if(!b)b=c;else{k[a>>2]=b;b=k[e>>2]|0}jn(k[a+4>>2]|0,b);h=a+8|0;k[h>>2]=(k[h>>2]|0)+1;h=c;r=g;return h|0}function hw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+64|0;d=j+48|0;b=j;e=j+40|0;g=a+76|0;f=k[g>>2]|0;if(!(i[f>>0]|0)){h=0;r=j;return h|0}h=CX(f)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){h=0;r=j;return h|0}if(!c)if((h|0)==0|(h|0)==(f|0)){h=0;r=j;return h|0}l=k[g>>2]|0;k[a+152>>2]=l;k[a+156>>2]=f;k[a+160>>2]=h;c=a+84|0;m=a+96|0;gH(d,m,l,f);k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];gH(d,m,f,h);l=k[a+12>>2]|0;f=k[a+72>>2]|0;GO(e,m,c);k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];nH(b,l,f,a+152|0,c,d);e=a+108|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));k[g>>2]=h;m=h;r=j;return m|0}function iw(a){a=a|0;var b=0,c=0,d=0;c=0;d=i[a>>0]|0;b=a+1|0;d=d<<24>>24|0;b=(d|0)!=85?((d|0)==117?b:0):b;if(!b)c=4;else if((i[b>>0]|0)==43){b=Uy(b+1|0)|0;if(!b)c=4}else c=4;if((c|0)==4){b=l5(a)|0;if(!b){b=Dz(a)|0;if(!b){d=a;return d|0}}}while(1){d=i[b>>0]|0;c=b+1|0;d=d<<24>>24|0;c=(d|0)!=85?((d|0)==117?c:0):c;if(c|0)if((i[c>>0]|0)==43){c=Uy(c+1|0)|0;if(c|0){b=c;continue}}c=l5(b)|0;if(c|0){b=c;continue}c=Dz(b)|0;if(!c)break;else b=c}return b|0}function jw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;k[a+56>>2]=k[b+56>>2];c=a+60|0;k[c>>2]=10072;y=0;oa(492,a+64|0,b+64|0);g=y;y=0;if(g&1){g=pb()|0;sb(g|0)}k[a+76>>2]=k[b+76>>2];k[a>>2]=9912;k[c>>2]=10032;y=0;oa(464,a+80|0,b+80|0);g=y;y=0;if(!(g&1)){g=j[b+84>>1]|0;i[a+84>>0]=g;i[a+85>>0]=(g&65535)>>>8;return}g=pb()|0;f=N;k[c>>2]=10072;b=a+64|0;c=k[b>>2]|0;if(!c)sb(g|0);e=a+68|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{a=d+-4|0;k[e>>2]=a;EO(a);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[b>>2]|0}zqa(c);sb(g|0)}function kw(a){a=a|0;var b=0,c=0,d=0;c=0;d=i[a>>0]|0;b=a+1|0;d=d<<24>>24|0;b=(d|0)!=85?((d|0)==117?b:0):b;if(!b)c=4;else if((i[b>>0]|0)==43){b=Uy(b+1|0)|0;if(!b)c=4}else c=4;if((c|0)==4){b=vea(a)|0;if(!b){b=Dz(a)|0;if(!b){d=0;return d|0}}}while(1){d=i[b>>0]|0;a=b+1|0;d=d<<24>>24|0;a=(d|0)!=85?((d|0)==117?a:0):a;if(a|0)if((i[a>>0]|0)==43){a=Uy(a+1|0)|0;if(a|0){b=a;continue}}a=vea(b)|0;if(a|0){b=a;continue}a=Dz(b)|0;if(!a)break;else b=a}return b|0}function lw(a){a=a|0;var b=0,c=0,d=0;c=0;d=i[a>>0]|0;b=a+1|0;d=d<<24>>24|0;b=(d|0)!=85?((d|0)==117?b:0):b;if(!b)c=4;else if((i[b>>0]|0)==43){b=Uy(b+1|0)|0;if(!b)c=4}else c=4;if((c|0)==4){b=l5(a)|0;if(!b){b=Dz(a)|0;if(!b){d=0;return d|0}}}while(1){d=i[b>>0]|0;a=b+1|0;d=d<<24>>24|0;a=(d|0)!=85?((d|0)==117?a:0):a;if(a|0)if((i[a>>0]|0)==43){a=Uy(a+1|0)|0;if(a|0){b=a;continue}}a=l5(b)|0;if(a|0){b=a;continue}a=Dz(b)|0;if(!a)break;else b=a}return b|0}function mw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+64|0;d=j+48|0;b=j;e=j+40|0;g=a+76|0;f=k[g>>2]|0;if(!(i[f>>0]|0)){h=0;r=j;return h|0}h=HI(f)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){h=0;r=j;return h|0}if(!c)if((h|0)==0|(h|0)==(f|0)){h=0;r=j;return h|0}l=k[g>>2]|0;k[a+152>>2]=l;k[a+156>>2]=f;k[a+160>>2]=h;c=a+84|0;m=a+96|0;gH(d,m,l,f);k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];gH(d,m,f,h);l=k[a+12>>2]|0;f=k[a+72>>2]|0;GO(e,m,c);k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];nH(b,l,f,a+152|0,c,d);e=a+108|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));k[g>>2]=h;m=h;r=j;return m|0}function nw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;c=a+56|0;k[c>>2]=k[b+56>>2];k[a>>2]=4736;p[a+64>>3]=+p[b+64>>3];i[a+72>>0]=i[b+72>>0]|0;g=a+76|0;y=0;oa(459,g|0,b+76|0);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}y=0;oa(459,a+88|0,b+88|0);f=y;y=0;if(!(f&1)){k[a+100>>2]=k[b+100>>2];k[c>>2]=2;return}f=pb()|0;b=N;c=k[g>>2]|0;if(!c){g=f;sb(g|0)}e=a+80|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{a=d+-12|0;k[e>>2]=a;$9(a);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[g>>2]|0}zqa(c);g=f;sb(g|0)}function ow(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;f=r;r=r+32|0;d=f+12|0;e=f;pK(d,b);y=0;oa(534,a|0,d|0);b=y;y=0;if(b&1){a=pb()|0;$9(d);sb(a|0)}$9(d);b=a+12|0;y=0;oa(452,e|0,c|0);d=y;y=0;do if(d&1)b=pb()|0;else{y=0;oa(534,b|0,e|0);d=y;y=0;if(d&1){b=pb()|0;$9(e);break}$9(e);y=0;oa(535,a+24|0,c|0);e=y;y=0;if(e&1){f=pb()|0;$9(b);b=f;break}else{r=f;return}}while(0);$9(a);a=b;sb(a|0)}function pw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0;q=r;r=r+64|0;o=q;n=k[a>>2]|0;p=a+(k[n+-8>>2]|0)|0;n=k[n+-4>>2]|0;k[o>>2]=c;k[o+4>>2]=a;k[o+8>>2]=b;k[o+12>>2]=d;a=o+16|0;b=o+20|0;d=o+24|0;e=o+28|0;f=o+32|0;g=o+40|0;h=(n|0)==(c|0);l=a;m=l+36|0;do{k[l>>2]=0;l=l+4|0}while((l|0)<(m|0));j[a+36>>1]=0;i[a+38>>0]=0;a:do if(h){k[o+48>>2]=1;wc[k[(k[c>>2]|0)+20>>2]&31](c,o,p,p,1,0);a=(k[d>>2]|0)==1?p:0}else{kc[k[(k[n>>2]|0)+24>>2]&31](n,o,p,1,0);switch(k[o+36>>2]|0){case 0:{a=(k[g>>2]|0)==1&(k[e>>2]|0)==1&(k[f>>2]|0)==1?k[b>>2]|0:0;break a}case 1:break;default:{a=0;break a}}if((k[d>>2]|0)!=1)if(!((k[g>>2]|0)==0&(k[e>>2]|0)==1&(k[f>>2]|0)==1)){a=0;break}a=k[a>>2]|0}while(0);r=q;return a|0}function qw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+48|0;f=g;h=g+40|0;rT(h,d);e=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));y=0;na(366,a|0);e=y;y=0;do if(e&1)d=pb()|0;else{e=a+12|0;b=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;d=a+64|0;y=0;oa(464,d|0,h|0);f=y;y=0;if(f&1){d=pb()|0;break}EO(h);k[a>>2]=5344;y=0;oa(464,a+68|0,c|0);h=y;y=0;if(!(h&1)){i[a+72>>0]=0;i[a+73>>0]=0;k[b>>2]=1;r=g;return}h=pb()|0;k[a>>2]=5436;EO(d);sb(h|0)}while(0);EO(h);h=d;sb(h|0)}function rw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,82159,0);g=i[b+11>>0]|0;e=g<<24>>24<0;c=e?k[b>>2]|0:b;g=e?k[b+4>>2]|0:g&255;e=c+g|0;if(!g)return;f=a+11|0;g=a+4|0;b=0;while(1){d=i[c>>0]|0;if(d<<24>>24==92){b=b&1^1;h=13}else if(b&d<<24>>24==13)b=1;else if(b&d<<24>>24==10){b=i[f>>0]|0;if(b<<24>>24<0)b=k[g>>2]|0;else b=b&255;y=0;Na(94,a|0,b+-1|0,0);d=y;y=0;if(d&1){h=12;break}else b=0}else{b=0;h=13}if((h|0)==13){h=0;y=0;oa(461,a|0,d|0);d=y;y=0;if(d&1){h=12;break}b=b<<24>>24!=0}c=c+1|0;if((c|0)==(e|0)){h=3;break}}if((h|0)==3)return;else if((h|0)==12){h=pb()|0;$9(a);sb(h|0)}}function sw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;s=r;r=r+224|0;m=s+120|0;n=s+80|0;p=s;q=s+136|0;d=n;e=d+40|0;do{k[d>>2]=0;d=d+4|0}while((d|0)<(e|0));k[m>>2]=k[c>>2];if((Ed(0,b,m,p,n)|0)<0)c=-1;else{if((k[a+76>>2]|0)>-1)o=Iqa(a)|0;else o=0;c=k[a>>2]|0;l=c&32;if((i[a+74>>0]|0)<1)k[a>>2]=c&-33;d=a+48|0;if(!(k[d>>2]|0)){e=a+44|0;f=k[e>>2]|0;k[e>>2]=q;g=a+28|0;k[g>>2]=q;h=a+20|0;k[h>>2]=q;k[d>>2]=80;j=a+16|0;k[j>>2]=q+80;c=Ed(a,b,m,p,n)|0;if(f){rc[k[a+36>>2]&255](a,0,0)|0;c=(k[h>>2]|0)==0?-1:c;k[e>>2]=f;k[d>>2]=0;k[j>>2]=0;k[g>>2]=0;k[h>>2]=0}}else c=Ed(a,b,m,p,n)|0;d=k[a>>2]|0;k[a>>2]=d|l;if(o|0)Hqa(a);c=(d&32|0)==0?c:-1}r=s;return c|0}function tw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;c=0;p=r;r=r+32|0;l=p+16|0;d=p+8|0;m=p+4|0;n=p;o=(b|0)==-1;do if(o)c=14;else{k[d>>2]=b;if(i[a+44>>0]|0)if((mN(d,4,1,k[a+32>>2]|0)|0)==1){c=14;break}else{a=-1;break}k[m>>2]=l;c=d+4|0;e=a+36|0;f=a+40|0;g=l+8|0;h=l;j=a+32|0;while(1){a=k[e>>2]|0;a=Nc[k[(k[a>>2]|0)+12>>2]&15](a,k[f>>2]|0,d,c,n,l,g,m)|0;if((k[n>>2]|0)==(d|0)){c=13;break}if((a|0)==3){c=7;break}if((a|1|0)!=1){c=13;break}d=(k[m>>2]|0)-h|0;if((mN(l,1,d,k[j>>2]|0)|0)!=(d|0)){c=13;break}if((a|0)==1)d=k[n>>2]|0;else{c=12;break}}if((c|0)==7)if((mN(d,1,1,k[j>>2]|0)|0)==1)c=12;else c=13;if((c|0)==12){c=14;break}else if((c|0)==13){a=-1;break}}while(0);if((c|0)==14)a=o?0:b;r=p;return a|0}function uw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;c=0;p=r;r=r+32|0;l=p+16|0;d=p+8|0;m=p+4|0;n=p;o=(b|0)==-1;do if(o)c=14;else{i[d>>0]=b;if(i[a+44>>0]|0)if((mN(d,1,1,k[a+32>>2]|0)|0)==1){c=14;break}else{a=-1;break}k[m>>2]=l;c=d+1|0;e=a+36|0;f=a+40|0;g=l+8|0;h=l;j=a+32|0;while(1){a=k[e>>2]|0;a=Nc[k[(k[a>>2]|0)+12>>2]&15](a,k[f>>2]|0,d,c,n,l,g,m)|0;if((k[n>>2]|0)==(d|0)){c=13;break}if((a|0)==3){c=7;break}if((a|1|0)!=1){c=13;break}d=(k[m>>2]|0)-h|0;if((mN(l,1,d,k[j>>2]|0)|0)!=(d|0)){c=13;break}if((a|0)==1)d=k[n>>2]|0;else{c=12;break}}if((c|0)==7)if((mN(d,1,1,k[j>>2]|0)|0)==1)c=12;else c=13;if((c|0)==12){c=14;break}else if((c|0)==13){a=-1;break}}while(0);if((c|0)==14)a=o?0:b;r=p;return a|0}function vw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0;h=0;j=r;r=r+16|0;e=j;g=(d|0)==0?76580:d;d=k[g>>2]|0;a:do if(!b)if(!d)d=0;else h=15;else{f=(a|0)==0?e:a;if(!c)d=-2;else{if(!d){d=i[b>>0]|0;a=d&255;if(d<<24>>24>-1){k[f>>2]=a;d=d<<24>>24!=0&1;break}d=a+-194|0;if(d>>>0>50){h=15;break}d=k[19192+(d<<2)>>2]|0;e=c+-1|0;if(e){b=b+1|0;h=9}}else{e=c;h=9}b:do if((h|0)==9){a=i[b>>0]|0;l=(a&255)>>>3;if((l+-16|l+(d>>26))>>>0>7){h=15;break a}while(1){b=b+1|0;d=(a&255)+-128|d<<6;e=e+-1|0;if((d|0)>=0)break;if(!e)break b;a=i[b>>0]|0;if((a&-64)<<24>>24!=-128){h=15;break a}}k[g>>2]=0;k[f>>2]=d;d=c-e|0;break a}while(0);k[g>>2]=d;d=-2}}while(0);if((h|0)==15){k[g>>2]=0;d=v9()|0;k[d>>2]=84;d=-1}r=j;return d|0}function ww(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=k[b+68>>2]|0;if(!f){e=gb(4)|0;ioa(e);Wb(e|0,4592,358)}f=oc[k[(k[f>>2]|0)+24>>2]&511](f)|0;g=b+64|0;if(k[g>>2]|0)if(!(((c|0)!=0|(d|0)!=0)&(f|0)<1))if(!(oc[k[(k[b>>2]|0)+24>>2]&511](b)|0)){if(e>>>0>=3){e=a;k[e>>2]=0;k[e+4>>2]=0;e=a+8|0;k[e>>2]=-1;k[e+4>>2]=-1;return}h=k[g>>2]|0;d=PQ(f|0,((f|0)<0)<<31>>31|0,c|0,d|0)|0;if(!(cQ(h,(f|0)>0?d:0,e)|0)){e=HW(k[g>>2]|0)|0;c=b+72|0;d=k[c+4>>2]|0;h=a;k[h>>2]=k[c>>2];k[h+4>>2]=d;h=a+8|0;k[h>>2]=e;k[h+4>>2]=((e|0)<0)<<31>>31;return}else{h=a;k[h>>2]=0;k[h+4>>2]=0;h=a+8|0;k[h>>2]=-1;k[h+4>>2]=-1;return}}h=a;k[h>>2]=0;k[h+4>>2]=0;h=a+8|0;k[h>>2]=-1;k[h+4>>2]=-1;return}function xw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;h=r;r=r+48|0;g=h;j=h+40|0;rT(j,d);f=g;e=b;d=f+40|0;do{k[f>>2]=k[e>>2];f=f+4|0;e=e+4|0}while((f|0)<(d|0));y=0;na(366,a|0);f=y;y=0;do if(f&1)e=pb()|0;else{f=a+12|0;e=g;d=f+40|0;do{k[f>>2]=k[e>>2];f=f+4|0;e=e+4|0}while((f|0)<(d|0));e=a+52|0;k[e>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;d=a+64|0;y=0;oa(464,d|0,j|0);g=y;y=0;if(g&1){e=pb()|0;break}EO(j);k[a>>2]=5712;y=0;oa(464,a+68|0,c|0);j=y;y=0;if(!(j&1)){k[e>>2]=2;r=h;return}j=pb()|0;k[a>>2]=5436;EO(d);sb(j|0)}while(0);EO(j);j=e;sb(j|0)}function yw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=r;r=r+32|0;c=e+12|0;f=e;d=i[b+60>>0]|0;a=a+4|0;if(!(d<<24>>24)){pK(c,b+64|0);y=0;Na(139,a|0,c|0,b|0);f=y;y=0;if(f&1){f=pb()|0;$9(c);sb(f|0)}else{$9(c);r=e;return}}pK(f,b+64|0);y=0;Na(104,c|0,f|0,d|0);d=y;y=0;do if(d&1)a=pb()|0;else{y=0;Na(139,a|0,c|0,b|0);d=y;y=0;if(d&1){a=pb()|0;$9(c);break}$9(c);$9(f);r=e;return}while(0);$9(f);f=a;sb(f|0)}function zw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+64|0;d=j+48|0;b=j;e=j+40|0;g=a+76|0;f=k[g>>2]|0;if(!(i[f>>0]|0)){h=0;r=j;return h|0}h=yO(f)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){h=0;r=j;return h|0}if(!c)if((h|0)==0|(h|0)==(f|0)){h=0;r=j;return h|0}l=k[g>>2]|0;k[a+152>>2]=l;k[a+156>>2]=f;k[a+160>>2]=h;c=a+84|0;m=a+96|0;gH(d,m,l,f);k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];gH(d,m,f,h);l=k[a+12>>2]|0;f=k[a+72>>2]|0;GO(e,m,c);k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];nH(b,l,f,a+152|0,c,d);e=a+108|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));k[g>>2]=h;m=h;r=j;return m|0}function Aw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if((a|0)==(k[b+8>>2]|0))$B(0,b,c,d,e);else{r=b+52|0;m=j[r>>1]|0;h=m&255;l=b+53|0;m=(m&65535)>>>8&255;q=k[a+12>>2]|0;n=a+16+(q<<3)|0;i[r>>0]=0;i[l>>0]=0;wK(a+16|0,b,c,d,e,f);a:do if((q|0)>1){o=b+24|0;p=a+8|0;q=b+54|0;a=a+24|0;do{if(i[q>>0]|0)break a;g=j[r>>1]|0;if(!((g&255)<<24>>24)){if((g&65535)>=256)if(!(k[p>>2]&1))break a}else{if((k[o>>2]|0)==1)break a;if(!(k[p>>2]&2))break a}i[r>>0]=0;i[l>>0]=0;wK(a,b,c,d,e,f);a=a+8|0}while(a>>>0<n>>>0)}while(0);i[r>>0]=h;i[l>>0]=m}return}function Bw(a){a=a|0;var b=0,c=0,d=0;d=0;b=w2(a)|0;if(!b){c=i[a>>0]|0;b=a+1|0;if((c|4)<<24>>24==13)d=4;else{c=c<<24>>24|0;b=(c|0)!=10?((c|0)==12?b:0):b;if(!b)b=a;else d=4}}else d=4;if((d|0)==4)while(1){c=w2(b)|0;if(c|0){b=c;d=4;continue}c=i[b>>0]|0;d=b+1|0;if((c|4)<<24>>24==13){b=d;d=4;continue}c=c<<24>>24|0;c=(c|0)!=10?((c|0)==12?d:0):d;if(!c)break;else{b=c;d=4}}b=b|0?b:a;if(b|0)if((i[b>>0]|0)==41){a=b+1|0;return a|0}if(!a){a=0;return a|0}b=i[44181]|0;a:do if(!(b<<24>>24)){c=a;b=0}else{c=a;d=44181;while(1){if((i[c>>0]|0)!=b<<24>>24)break a;c=c+1|0;d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);a=b<<24>>24==0&(c|0)!=0?a:0;return a|0}function Cw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=r;r=r+128|0;i=j+96|0;f=j+80|0;g=j;h=j+40|0;b=b+12|0;c=g;d=b;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));c=h;d=b;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));RN(f,g,h+20|0);c=a+24|0;k[i>>2]=k[f>>2];k[i+4>>2]=k[f+4>>2];k[i+8>>2]=k[f+8>>2];b=i+12|0;k[b>>2]=k[c>>2];k[b+4>>2]=k[c+4>>2];k[b+8>>2]=k[c+8>>2];b=a+16|0;c=k[b>>2]|0;if(c>>>0<(k[a+20>>2]|0)>>>0){k[c>>2]=k[i>>2];k[c+4>>2]=k[i+4>>2];k[c+8>>2]=k[i+8>>2];k[c+12>>2]=k[i+12>>2];k[c+16>>2]=k[i+16>>2];k[c+20>>2]=k[i+20>>2];k[b>>2]=(k[b>>2]|0)+24;r=j;return}else{lx(a+12|0,i);r=j;return}}function Dw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;i=r;r=r+112|0;c=i+64|0;d=i+24|0;e=i+8|0;f=i;g=ZL(80)|0;h=d;j=b+12|0;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));l=k[(k[b>>2]|0)+28>>2]|0;a=k[(k[a+4>>2]|0)+16>>2]|0;h=k[a+4>>2]|0;j=f;k[j>>2]=k[a>>2];k[j+4>>2]=h;y=0;k[c>>2]=k[f>>2];k[c+4>>2]=k[f+4>>2];Na(l|0,e|0,b|0,c|0);l=y;y=0;if(l&1){l=pb()|0;zqa(g);sb(l|0)}y=0;h=c;j=d;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));Ea(2,g|0,c|0,e|0,0,0,0,1);l=y;y=0;if(!(l&1)){$9(e);r=i;return g|0}l=pb()|0;$9(e);zqa(g);sb(l|0);return 0}function Ew(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0;h=r;r=r+16|0;d=h+8|0;e=h+4|0;f=h;y=0;g=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;c=y;y=0;if(c&1){b=pb()|0;sb(b|0)}y=0;oa(482,f|0,0);c=y;y=0;if(c&1){b=pb()|0;sb(b|0)}c=g+80|0;y=0;Ha(966,c|0,f|0)|0;j=y;y=0;if(!(j&1)){y=0;oa(464,d|0,c|0);j=y;y=0;if(!(j&1)){k[e>>2]=k[d>>2];EO(e);EO(f);k[g+72>>2]=0;i[a>>0]=0;k[a+4>>2]=0;k[a+8>>2]=0;y=0;oa(482,a+12|0,g|0);j=y;y=0;if(!(j&1)){k[a+16>>2]=0;k[a+20>>2]=0;i[a>>0]=i[b+60>>0]|0;r=h;return}j=pb()|0;sb(j|0)}}j=pb()|0;EO(f);sb(j|0)}function Fw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;i=r;r=r+112|0;c=i+64|0;d=i+24|0;e=i+8|0;f=i;g=ZL(80)|0;h=d;j=b+12|0;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));l=k[(k[b>>2]|0)+28>>2]|0;a=k[(k[a+4>>2]|0)+16>>2]|0;h=k[a+4>>2]|0;j=f;k[j>>2]=k[a>>2];k[j+4>>2]=h;y=0;k[c>>2]=k[f>>2];k[c+4>>2]=k[f+4>>2];Na(l|0,e|0,b|0,c|0);l=y;y=0;if(l&1){l=pb()|0;zqa(g);sb(l|0)}y=0;h=c;j=d;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));Ea(2,g|0,c|0,e|0,0,0,0,1);l=y;y=0;if(!(l&1)){$9(e);r=i;return g|0}l=pb()|0;$9(e);zqa(g);sb(l|0);return 0}function Gw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+16|0;e=g+8|0;f=g+4|0;h=g;k[h>>2]=k[b>>2];k[e>>2]=k[h>>2];e=Cl(a,e,f,c)|0;b=k[e>>2]|0;if(b|0){h=b;r=g;return h|0}c=ZL(28)|0;y=0;oa(452,c+16|0,d|0);h=y;y=0;if(h&1){h=pb()|0;zqa(c);sb(h|0)}b=k[f>>2]|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=b;k[e>>2]=c;b=k[k[a>>2]>>2]|0;if(!b)b=c;else{k[a>>2]=b;b=k[e>>2]|0}jn(k[a+4>>2]|0,b);h=a+8|0;k[h>>2]=(k[h>>2]|0)+1;h=c;r=g;return h|0}function Hw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+48|0;f=g;h=g+40|0;rT(h,d);e=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));y=0;na(366,a|0);e=y;y=0;do if(e&1)d=pb()|0;else{e=a+12|0;b=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;d=a+64|0;y=0;oa(464,d|0,h|0);f=y;y=0;if(f&1){d=pb()|0;break}EO(h);k[a>>2]=10232;y=0;oa(464,a+68|0,c|0);h=y;y=0;if(!(h&1)){k[b>>2]=4;r=g;return}h=pb()|0;k[a>>2]=5436;EO(d);sb(h|0)}while(0);EO(h);h=d;sb(h|0)}function Iw(a){a=a|0;var b=0,c=0,d=0,e=0;e=r;r=r+16|0;c=e+8|0;d=e+4|0;b=e;rT(c,a+72|0);a=k[c>>2]|0;k[b>>2]=a;if(!a)a=0;else a=pw(a,432,400,0)|0;y=0;oa(482,d|0,a|0);a=y;y=0;if(a&1){e=pb()|0;EO(b);sb(e|0)}EO(b);a=k[d>>2]|0;if(!a){EO(d);d=0;r=e;return d|0}a=a+60|0;y=0;a=Ha(k[(k[a>>2]|0)+16>>2]|0,a|0,0)|0;b=y;y=0;if(!(b&1)){a=k[a>>2]|0;if(!a)a=0;else a=pw(a,40,384,0)|0;y=0;oa(482,c|0,a|0);b=y;y=0;if(!(b&1)){b=k[d>>2]|0;if((k[b+68>>2]|0)==(k[b+64>>2]|0))a=0;else{a=k[c>>2]|0;if(!a)a=0;else a=(i[a+101>>0]|0)!=0}EO(c);EO(d);d=a;r=e;return d|0}}e=pb()|0;EO(d);sb(e|0);return 0}function Jw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+48|0;f=g;h=g+40|0;rT(h,c);e=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));y=0;na(366,a|0);e=y;y=0;do if(e&1)c=pb()|0;else{e=a+12|0;b=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;c=a+64|0;y=0;oa(464,c|0,h|0);f=y;y=0;if(f&1){c=pb()|0;break}EO(h);k[a>>2]=10940;y=0;oa(464,a+68|0,d|0);h=y;y=0;if(!(h&1)){k[b>>2]=5;r=g;return}h=pb()|0;k[a>>2]=5436;EO(c);sb(h|0)}while(0);EO(h);h=c;sb(h|0)}function Kw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=a+32|0;$M(g,b)|0;f=a+44|0;k[f>>2]=0;h=a+48|0;e=k[h>>2]|0;if(e&8|0){b=i[g+11>>0]|0;if(b<<24>>24<0){b=k[g>>2]|0;c=b;d=b;b=b+(k[a+36>>2]|0)|0}else{c=g;d=g;b=g+(b&255)|0}k[f>>2]=b;k[a+8>>2]=c;k[a+12>>2]=d;k[a+16>>2]=b}if(!(e&16))return;c=g+11|0;b=i[c>>0]|0;if(b<<24>>24<0){e=k[a+36>>2]|0;k[f>>2]=(k[g>>2]|0)+e;b=(k[a+40>>2]&2147483647)+-1|0;f=e}else{e=b&255;k[f>>2]=g+e;b=10;f=e}SH(g,b,0);b=i[c>>0]|0;if(b<<24>>24<0){c=k[g>>2]|0;e=c;d=k[a+36>>2]|0}else{e=g;d=b&255;c=g}b=a+24|0;k[b>>2]=c;k[a+20>>2]=c;k[a+28>>2]=e+d;if(!(k[h>>2]&3))return;k[b>>2]=c+f;return}function Lw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+48|0;f=g;h=g+40|0;rT(h,d);e=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));y=0;na(366,a|0);e=y;y=0;do if(e&1)d=pb()|0;else{e=a+12|0;b=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));k[a+52>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;d=a+64|0;y=0;oa(464,d|0,h|0);f=y;y=0;if(f&1){d=pb()|0;break}EO(h);k[a>>2]=5620;y=0;oa(452,a+68|0,c|0);h=y;y=0;if(!(h&1)){r=g;return}h=pb()|0;k[a>>2]=5436;EO(d);sb(h|0)}while(0);EO(h);h=d;sb(h|0)}function Mw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+48|0;f=g;h=g+40|0;rT(h,d);e=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));y=0;na(366,a|0);e=y;y=0;do if(e&1)d=pb()|0;else{e=a+12|0;b=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;d=a+64|0;y=0;oa(464,d|0,h|0);f=y;y=0;if(f&1){d=pb()|0;break}EO(h);k[a>>2]=7e3;y=0;oa(464,a+68|0,c|0);h=y;y=0;if(!(h&1)){k[b>>2]=19;r=g;return}h=pb()|0;k[a>>2]=5436;EO(d);sb(h|0)}while(0);EO(h);h=d;sb(h|0)}function Nw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+48|0;f=g;h=g+40|0;rT(h,d);e=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));y=0;na(366,a|0);e=y;y=0;do if(e&1)d=pb()|0;else{e=a+12|0;b=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;d=a+64|0;y=0;oa(464,d|0,h|0);f=y;y=0;if(f&1){d=pb()|0;break}EO(h);k[a>>2]=5712;y=0;oa(464,a+68|0,c|0);h=y;y=0;if(!(h&1)){k[b>>2]=2;r=g;return}h=pb()|0;k[a>>2]=5436;EO(d);sb(h|0)}while(0);EO(h);h=d;sb(h|0)}function Ow(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=r;r=r+32|0;f=d+24|0;e=d+8|0;h=d;g=k[(k[b>>2]|0)+28>>2]|0;c=a+4|0;j=k[a+72>>2]|0;i=k[j+4>>2]|0;a=h;k[a>>2]=k[j>>2];k[a+4>>2]=i;k[f>>2]=k[h>>2];k[f+4>>2]=k[h+4>>2];Lc[g&255](e,b,f);y=0;a=qa(459,b|0)|0;f=y;y=0;do if(!(f&1)){if(a){y=0;Na(139,c|0,e|0,b|0);j=y;y=0;if(j&1)break;$9(e);r=d;return}a=gb(80)|0;y=0;oa(575,a|0,b|0);j=y;y=0;if(!(j&1)){y=0;Na(76,a|0,2400,158);y=0;break}j=pb()|0;fb(a|0);$9(e);sb(j|0)}while(0);j=pb()|0;$9(e);sb(j|0)}function Pw(a){a=a|0;var b=0,c=0,d=0;if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;c=kw(b)|0;if(!c)d=5;else{c=iw(c)|0;if(!c)d=5;else{b=c;d=6}}if((d|0)==5){b=ln(b)|0;if(!b)b=0;else d=6}if((d|0)==6)b=(i[b>>0]|0)==124?b+1|0:0;b=b|0?b:a;if(!b){d=0;return d|0}if((i[b>>0]|0)==45){do b=b+1|0;while((i[b>>0]|0)==45);c=b}else c=b;b=kw(c)|0;if(!b)d=12;else{b=iw(b)|0;if(!b)d=12}if((d|0)==12){b=ln(c)|0;if(!b){d=0;return d|0}}d=(i[b>>0]|0)==47?b+1|0:0;return d|0}function Qw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+96|0;e=c+56|0;f=c+16|0;h=c;if(b|0)if(!(pw(b,680,696,0)|0)){a=pw(b,680,640,0)|0;if(a|0)if(i[a+84>>0]|0){r=c;return}}g=gb(76)|0;d=f;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,44889,52);b=y;y=0;if(b&1)a=pb()|0;else{y=0;d=e;a=f;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(110,g|0,e|0,h|0);f=y;y=0;if(f&1)c=1;else{y=0;Na(76,g|0,2368,158);y=0;c=0}a=pb()|0;$9(h);if(!c){h=a;sb(h|0)}}fb(g|0);h=a;sb(h|0)}function Rw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0.0;l=r;r=r+64|0;b=l+16|0;j=l;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,36062,7);y=0;g=b;h=e;i=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(i|0));b=sa(23,j|0,a|0,d|0,b|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;$9(j);sb(e|0)}else{$9(j);f=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;DN(f+12|0,e|0,40)|0;e=f+64|0;m=+qO(+p[e>>3],k[(k[c+16>>2]|0)+4>>2]|0);k[f+100>>2]=0;p[e>>3]=m;r=l;return f|0}return 0}function Sw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+16|0;e=g+8|0;f=g+4|0;h=g;k[h>>2]=k[b>>2];k[e>>2]=k[h>>2];e=Il(a,e,f,c)|0;b=k[e>>2]|0;if(b|0){h=b;r=g;return h|0}c=ZL(124)|0;y=0;oa(592,c+16|0,d|0);h=y;y=0;if(h&1){h=pb()|0;zqa(c);sb(h|0)}b=k[f>>2]|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=b;k[e>>2]=c;b=k[k[a>>2]>>2]|0;if(!b)b=c;else{k[a>>2]=b;b=k[e>>2]|0}jn(k[a+4>>2]|0,b);h=a+8|0;k[h>>2]=(k[h>>2]|0)+1;h=c;r=g;return h|0}function Tw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;e=a+8|0;f=a+96|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[e+16>>2]=0;k[e+20>>2]=0;e=k[f>>2]|0;d=(e&65535)>>>8&255;if((e&255)<<24>>24){e=k[a+32>>2]|0;if(e){sqa(e);d=i[a+97>>0]|0}}e=a+97|0;if(d<<24>>24){d=k[a+56>>2]|0;if(d|0)sqa(d)}d=a+52|0;k[d>>2]=c;do if(c>>>0>8){d=i[a+98>>0]|0;if((b|0)!=0&d<<24>>24!=0){k[a+32>>2]=b;i[f>>0]=0;break}else{g=rqa(c)|0;k[a+32>>2]=g;i[f>>0]=1;break}}else{k[a+32>>2]=a+44;k[d>>2]=8;i[f>>0]=0;d=i[a+98>>0]|0}while(0);if(d<<24>>24){k[a+60>>2]=0;k[a+56>>2]=0;i[e>>0]=0;return a|0}d=(c|0)<8?8:c;k[a+60>>2]=d;if((b|0)!=0&d>>>0>7){k[a+56>>2]=b;i[e>>0]=0;return a|0}else{g=rqa(d)|0;k[a+56>>2]=g;i[e>>0]=1;return a|0}return 0}function Uw(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;g=r;r=r+32|0;d=g+16|0;i=g+12|0;c=g+8|0;e=g+4|0;f=g;b=a+76|0;rT(d,b);h=k[d>>2]|0;k[i>>2]=h;EO(i);do if(!h)c=0;else{rT(d,b);b=k[d>>2]|0;k[c>>2]=b;y=0;b=qa(k[(k[b>>2]|0)+112>>2]|0,b|0)|0;i=y;y=0;if(!(i&1)){EO(c);c=b;break}i=pb()|0;EO(c);sb(i|0)}while(0);b=a+80|0;rT(d,b);i=k[d>>2]|0;k[e>>2]=i;EO(e);if(!i){i=c;r=g;return i|0}rT(d,b);b=k[d>>2]|0;k[f>>2]=b;y=0;b=qa(k[(k[b>>2]|0)+156>>2]|0,b|0)|0;i=y;y=0;if(i&1){i=pb()|0;EO(f);sb(i|0)}else{EO(f);i=b+c|0;r=g;return i|0}return 0}function Vw(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;e=0;b=a+8|0;y=0;c=qa(471,k[b>>2]|0)|0;d=y;y=0;do if(d&1)e=16;else{y=0;d=ta(173,0,0,4)|0;a=y;y=0;if(a&1){a=tb(0)|0;if(!c)break;y=0;qa(471,c|0)|0;g=y;y=0;if(!(g&1))break;g=tb(0)|0;dla(g)}if(c|0){y=0;qa(471,c|0)|0;g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}}if(!d){a=k[b>>2]|0;if(!a)f=1;else{y=0;a=qa(471,a|0)|0;g=y;y=0;if(g&1){e=16;break}if(!a)f=0;else{y=0;qa(471,a|0)|0;g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}else f=0}}}else f=-1;return f|0}while(0);if((e|0)==16)a=tb(0)|0;dla(a);return 0}function Ww(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=r;r=r+48|0;e=f;g=f+40|0;rT(g,c);d=e;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));y=0;na(366,a|0);d=y;y=0;do if(d&1)c=pb()|0;else{d=a+12|0;b=e;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;c=a+64|0;y=0;oa(464,c|0,g|0);e=y;y=0;if(e&1){c=pb()|0;break}EO(g);k[a>>2]=5896;y=0;oa(482,a+68|0,0);g=y;y=0;if(!(g&1)){k[b>>2]=8;r=f;return}g=pb()|0;k[a>>2]=5436;EO(c);sb(g|0)}while(0);EO(g);g=c;sb(g|0)}function Xw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h;f=jt(b,e,c)|0;c=k[f>>2]|0;if(c|0){b=c;g=0;k[a>>2]=b;b=a+4|0;i[b>>0]=g;r=h;return}g=ZL(28)|0;y=0;oa(452,g+16|0,d|0);d=y;y=0;if(d&1){h=pb()|0;zqa(g);sb(h|0)}c=k[e>>2]|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=c;k[f>>2]=g;c=k[k[b>>2]>>2]|0;if(!c)c=g;else{k[b>>2]=c;c=k[f>>2]|0}jn(k[b+4>>2]|0,c);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=g;g=1;k[a>>2]=b;b=a+4|0;i[b>>0]=g;r=h;return}function Yw(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;d=f;e=a+68|0;if((k[k[e>>2]>>2]&-2|0)==2){r=f;return}if(i[a+95>>0]|0)if(i[a+97>>0]|0){r=f;return}b=a+80|0;c=a+72|0;if(k[b>>2]|0)if(k[c>>2]|0)k[b>>2]=1;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;jI(d,82159,0);a:do if(k[c>>2]|0){b=0;while(1){y=0;Ha(970,d|0,k[(k[e>>2]|0)+8>>2]|0)|0;g=y;y=0;if(g&1)break;b=b+1|0;if(b>>>0>=(k[c>>2]|0)>>>0)break a}g=pb()|0;$9(d);sb(g|0)}while(0);y=0;oa(605,a|0,d|0);g=y;y=0;if(g&1){g=pb()|0;$9(d);sb(g|0)}else{$9(d);r=f;return}}function Zw(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;if(!a)return;f=a+56|0;b=k[f>>2]|0;if(b|0){c=k[b>>2]|0;if(c|0)do{Pf(c);b=b+4|0;c=k[b>>2]|0}while((c|0)!=0)}e=a+64|0;b=k[e>>2]|0;if(b|0){c=k[b>>2]|0;if(c|0)do{Pf(c);b=b+4|0;c=k[b>>2]|0}while((c|0)!=0)}d=a+60|0;b=k[d>>2]|0;if(b|0){c=k[b>>2]|0;if(c|0)do{Pf(c);b=b+4|0;c=k[b>>2]|0}while((c|0)!=0)}b=k[a+44>>2]|0;if(b|0)do{c=b;b=k[b>>2]|0;Pf(k[c+4>>2]|0);Pf(c)}while((b|0)!=0);b=k[a+40>>2]|0;if(b|0)do{c=b;b=k[b>>2]|0;Pf(k[c+4>>2]|0);Pf(c)}while((b|0)!=0);b=a+24|0;Pf(k[b>>2]|0);Pf(k[a+28>>2]|0);Pf(k[a+36>>2]|0);Pf(k[a+32>>2]|0);Pf(k[a+48>>2]|0);Pf(k[a+52>>2]|0);Pf(k[f>>2]|0);Pf(k[d>>2]|0);Pf(k[e>>2]|0);c=b+44|0;do{k[b>>2]=0;b=b+4|0}while((b|0)<(c|0));return}function _w(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=r;r=r+64|0;f=g;k[c>>2]=k[k[c>>2]>>2];if((a|0)==(b|0)|(b|0)==4680)b=1;else if(!b)b=0;else{d=pw(b,4456,4640,0)|0;if(!d)b=0;else if(!(k[d+8>>2]&~k[a+8>>2])){b=k[a+12>>2]|0;a=d+12|0;if((b|0)==4672?1:(b|0)==(k[a>>2]|0))b=1;else if(!b)b=0;else{e=pw(b,4456,4440,0)|0;if(!e)b=0;else{b=k[a>>2]|0;if(!b)b=0;else{b=pw(b,4456,4440,0)|0;if(!b)b=0;else{a=f+4|0;d=a+52|0;do{k[a>>2]=0;a=a+4|0}while((a|0)<(d|0));k[f>>2]=b;k[f+8>>2]=e;k[f+12>>2]=-1;k[f+48>>2]=1;Pc[k[(k[b>>2]|0)+28>>2]&63](b,f,k[c>>2]|0,1);if((k[f+24>>2]|0)==1){k[c>>2]=k[f+16>>2];b=1}else b=0}}}}}else b=0}r=g;return b|0}function $w(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;a=k[a+4>>2]|0;if(!a){j=0;return j|0}j=i[b+11>>0]|0;h=j<<24>>24<0;j=h?k[b+4>>2]|0:j&255;h=h?k[b>>2]|0:b;while(1){d=a+16|0;c=i[d+11>>0]|0;e=c<<24>>24<0;c=e?k[a+20>>2]|0:c&255;f=c>>>0<j>>>0;b=f?c:j;if(!b)g=5;else{b=zM(h,e?k[d>>2]|0:d,b)|0;if(!b)g=5;else if((b|0)<0)g=7;else g=8}if((g|0)==5)if(j>>>0<c>>>0)g=7;else g=8;if((g|0)!=7)if((g|0)==8){g=0;b=j>>>0<c>>>0?j:c;if(!b)g=10;else{b=zM(e?k[d>>2]|0:d,h,b)|0;if(!b)g=10;else if((b|0)>=0){a=1;g=14;break}}if((g|0)==10)if(!f){a=1;g=14;break}a=a+4|0}a=k[a>>2]|0;if(!a){a=0;g=14;break}}if((g|0)==14)return a|0;return 0}function ax(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+96|0;e=c+56|0;f=c+16|0;h=c;if(b|0){a=pw(b,680,1032,0)|0;if(a|0)if((k[a+88>>2]|0)==1){r=c;return}}g=gb(76)|0;d=f;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,44424,43);b=y;y=0;if(b&1)a=pb()|0;else{y=0;d=e;a=f;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(110,g|0,e|0,h|0);f=y;y=0;if(f&1)c=1;else{y=0;Na(76,g|0,2368,158);y=0;c=0}a=pb()|0;$9(h);if(!c){h=a;sb(h|0)}}fb(g|0);h=a;sb(h|0)}function bx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=ZL(40)|0;k[a>>2]=d;k[a+4>>2]=b+4;f=a+8|0;i[f>>0]=0;e=d+16|0;y=0;oa(452,e|0,c|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=0}else{h=c+12|0;g=k[h+4>>2]|0;b=d+28|0;k[b>>2]=k[h>>2];k[b+4>>2]=g;y=0;oa(464,d+36|0,c+20|0);c=y;y=0;if(!(c&1)){i[f>>0]=1;return}b=pb()|0;$9(e);d=k[a>>2]|0;k[a>>2]=0;if(!d){h=b;sb(h|0)}}if(i[f>>0]|0){EO(d+36|0);$9(d+16|0)}zqa(d);h=b;sb(h|0)}function cx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0;l=r;r=r+272|0;h=l+8|0;i=l;g=k[b>>2]|0;k[i>>2]=g;j=(a|0)!=0;f=j?d:256;a=j?a:h;d=g;a:do if((f|0)!=0&(g|0)!=0){e=0;g=d;while(1){d=c>>>0>=f>>>0;if(!(d|c>>>0>32)){d=g;break a}d=d?f:c;c=c-d|0;d=Kq(a,i,d,0)|0;if((d|0)==-1)break;g=(a|0)==(h|0);f=f-(g?0:d)|0;a=g?a:a+d|0;e=d+e|0;d=k[i>>2]|0;if((f|0)!=0&(d|0)!=0)g=d;else break a}e=-1;f=0;d=k[i>>2]|0}else e=0;while(0);b:do if(d)if((f|0)!=0&(c|0)!=0){g=a;while(1){a=mD(g,k[d>>2]|0,0)|0;if((a+1|0)>>>0<2)break;d=(k[i>>2]|0)+4|0;k[i>>2]=d;c=c+-1|0;f=f-a|0;e=e+1|0;if(!((f|0)!=0&(c|0)!=0))break b;else g=g+a|0}if(!a)k[i>>2]=0;else e=-1}while(0);if(j)k[b>>2]=k[i>>2];r=l;return e|0}function dx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=0;h=r;r=r+16|0;d=h+8|0;e=h;f=h+4|0;c=a+60|0;rT(f,Fc[k[(k[c>>2]|0)+16>>2]&2047](c,b)|0);c=k[f>>2]|0;if(!(i[a+84>>0]|0)){y=0;oa(482,e|0,c|0);g=y;y=0;if(!(g&1)){EO(f);g=k[e>>2]|0;r=h;return g|0}h=pb()|0;EO(f);sb(h|0)}if(!c)g=8;else{b=pw(c,40,624,0)|0;if(!b)g=8;else{y=0;oa(464,d|0,b+60|0);c=y;y=0;if(!(c&1)){k[e>>2]=k[d>>2];EO(f);g=k[e>>2]|0;r=h;return g|0}}}if((g|0)==8){y=0;oa(482,e|0,c|0);g=y;y=0;if(!(g&1)){EO(f);g=k[e>>2]|0;r=h;return g|0}}h=pb()|0;EO(f);sb(h|0);return 0}function ex(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;c=i[a>>0]|0;d=a+1|0;b=c<<24>>24==36?d:a;do if(!b){b=c;e=7}else{if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=kw(b)|0;if(b|0){b=iw(b)|0;if(b|0)break}b=i[a>>0]|0;e=7}while(0);if((e|0)==7)if(b<<24>>24==45)b=d;else{e=a;return e|0}while(1){a=i[b>>0]|0;d=b+1|0;c=a<<24>>24==36?d:b;if(!c)c=a;else{if((i[c>>0]|0)==45)do c=c+1|0;while((i[c>>0]|0)==45);c=kw(c)|0;if(c|0){c=iw(c)|0;if(c|0){b=c;continue}}c=i[b>>0]|0}if(c<<24>>24==45)b=d;else break}return b|0}function fx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;h=r;r=r+32|0;e=h+16|0;j=h+12|0;c=h+8|0;f=h+4|0;g=h;d=b+68|0;rT(e,d);i=k[e>>2]|0;k[j>>2]=i;EO(j);do if(i|0){rT(e,d);j=k[e>>2]|0;k[c>>2]=j;y=0;oa(k[(k[j>>2]|0)+40>>2]|0,j|0,a|0);j=y;y=0;if(!(j&1)){EO(c);break}j=pb()|0;EO(c);sb(j|0)}while(0);b=b+64|0;rT(e,b);j=k[e>>2]|0;k[f>>2]=j;EO(f);if(!j){r=h;return}rT(e,b);j=k[e>>2]|0;k[g>>2]=j;y=0;oa(k[(k[j>>2]|0)+40>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;EO(g);sb(j|0)}else{EO(g);r=h;return}}function gx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;a=k[a+4>>2]|0;if(!a){j=0;return j|0}j=i[b+11>>0]|0;h=j<<24>>24<0;j=h?k[b+4>>2]|0:j&255;h=h?k[b>>2]|0:b;while(1){d=a+16|0;c=i[d+11>>0]|0;e=c<<24>>24<0;c=e?k[a+20>>2]|0:c&255;f=c>>>0<j>>>0;b=f?c:j;if(!b)g=5;else{b=zM(h,e?k[d>>2]|0:d,b)|0;if(!b)g=5;else if((b|0)<0)g=7;else g=8}if((g|0)==5)if(j>>>0<c>>>0)g=7;else g=8;if((g|0)!=7)if((g|0)==8){g=0;b=j>>>0<c>>>0?j:c;if(!b)g=10;else{b=zM(e?k[d>>2]|0:d,h,b)|0;if(!b)g=10;else if((b|0)>=0){a=1;g=14;break}}if((g|0)==10)if(!f){a=1;g=14;break}a=a+4|0}a=k[a>>2]|0;if(!a){a=0;g=14;break}}if((g|0)==14)return a|0;return 0}function hx(a){a=a|0;var b=0,c=0,d=0;d=0;if(!a){d=0;return d|0}b=i[40645]|0;a:do if(b<<24>>24){c=40645;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);b=yO(a)|0;if(!b){b=ns(a)|0;if(!b){if(!a){d=0;return d|0}}else{a=b;d=7}}else{a=b;d=7}if((d|0)==7)while(1){b=yO(a)|0;if(b|0){a=b;d=7;continue}b=ns(a)|0;if(!b)break;else{a=b;d=7}}b=i[32502]|0;b:do if(b<<24>>24){c=32502;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break b}return a|0}while(0);d=aP(a)|0;return d|0}function ix(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=r;r=r+16|0;f=g;d=k[b>>2]|0;do if(d|0){e=i[c+11>>0]|0;if(e<<24>>24<0)e=k[c+4>>2]|0;else e=e&255;if(e){aU(c,54079)|0;d=k[b>>2]|0}b=k[b+4>>2]|0;Lc[k[(k[b>>2]|0)+24>>2]&255](f,b,d);b=i[f+11>>0]|0;e=b<<24>>24<0;y=0;ta(47,c|0,(e?k[f>>2]|0:f)|0,(e?k[f+4>>2]|0:b&255)|0)|0;b=y;y=0;if(b&1){g=pb()|0;$9(f);sb(g|0)}else{$9(f);break}}while(0);k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];d=0;while(1){if((d|0)==3)break;k[c+(d<<2)>>2]=0;d=d+1|0}r=g;return}function jx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;h=r;r=r+32|0;e=h+16|0;j=h+12|0;c=h+8|0;f=h+4|0;g=h;d=b+68|0;rT(e,d);i=k[e>>2]|0;k[j>>2]=i;EO(j);do if(i|0){rT(e,d);j=k[e>>2]|0;k[c>>2]=j;y=0;oa(k[(k[j>>2]|0)+40>>2]|0,j|0,a|0);j=y;y=0;if(!(j&1)){EO(c);break}j=pb()|0;EO(c);sb(j|0)}while(0);b=b+64|0;rT(e,b);j=k[e>>2]|0;k[f>>2]=j;EO(f);if(!j){r=h;return}rT(e,b);j=k[e>>2]|0;k[g>>2]=j;y=0;oa(k[(k[j>>2]|0)+40>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;EO(g);sb(j|0)}else{EO(g);r=h;return}}function kx(a){a=a|0;var b=0,c=0,d=0;c=0;d=uo(a)|0;if(!d){d=0;return d|0}a=w2(d)|0;if(!a){b=i[d>>0]|0;a=d+1|0;if((b|4)<<24>>24==13)c=5;else{b=b<<24>>24|0;a=(b|0)!=10?((b|0)==12?a:0):a;if(!a)a=d;else c=5}}else c=5;if((c|0)==5)while(1){b=w2(a)|0;if(b|0){a=b;c=5;continue}b=i[a>>0]|0;c=a+1|0;if((b|4)<<24>>24==13){a=c;c=5;continue}b=b<<24>>24|0;b=(b|0)!=10?((b|0)==12?c:0):c;if(!b)break;else{a=b;c=5}}a=a|0?a:d;if(!a)a=0;else a=(i[a>>0]|0)==41?a+1|0:0;d=a|0?a:d;return d|0}function lx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=((d-c|0)/24|0)+1|0;if(e>>>0>178956970){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=((k[i>>2]|0)-c|0)/24|0;g=h<<1;g=h>>>0<89478485?(g>>>0<e>>>0?e:g):178956970;e=(d-c|0)/24|0;do if(!g)h=0;else if(g>>>0>178956970){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g*24|0)|0;break}while(0);f=h+(e*24|0)|0;k[f>>2]=k[b>>2];k[f+4>>2]=k[b+4>>2];k[f+8>>2]=k[b+8>>2];k[f+12>>2]=k[b+12>>2];k[f+16>>2]=k[b+16>>2];k[f+20>>2]=k[b+20>>2];d=d-c|0;e=f+(((d|0)/-24|0)*24|0)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+24;k[i>>2]=h+(g*24|0);if(!c)return;zqa(c);return}function mx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=r;r=r+32|0;g=j+12|0;h=j;mc[k[(k[a>>2]|0)+32>>2]&1023](g,a);y=0;oa(k[(k[b>>2]|0)+32>>2]|0,h|0,b|0);f=y;y=0;if(f&1){j=pb()|0;$9(g);sb(j|0)}d=i[g+11>>0]|0;b=d<<24>>24<0;d=b?k[g+4>>2]|0:d&255;e=i[h+11>>0]|0;c=e<<24>>24<0;e=c?k[h+4>>2]|0:e&255;f=e>>>0<d>>>0;a=f?e:d;if(a|0){a=zM(b?k[g>>2]|0:g,c?k[h>>2]|0:h,a)|0;if(a|0){f=a;f=(f|0)<0;$9(h);$9(g);r=j;return f|0}}f=d>>>0<e>>>0?-1:f&1;f=(f|0)<0;$9(h);$9(g);r=j;return f|0}function nx(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0;e=0;g=r;r=r+80|0;c=g;f=g+8|0;p[c>>3]=b;PT(f,39229,c)|0;c=(i[f>>0]|0)==45?f+1|0:f;d=i[c>>0]|0;if(d<<24>>24==48){d=c+1|0;c=d;d=i[d>>0]|0;e=5}else if((d+-48&255)<10){do{c=c+1|0;d=i[c>>0]|0}while((d+-48&255)<10);e=5}a:do if((e|0)==5){if(d<<24>>24==46){c=c+1|0;if(((i[c>>0]|0)+-48&255)>=10)break;do{c=c+1|0;d=i[c>>0]|0}while((d+-48&255)<10)}switch(d<<24>>24){case 101:case 69:{d=c+1|0;e=i[d>>0]|0;switch(e<<24>>24){case 45:case 43:{c=c+2|0;d=c;c=i[c>>0]|0;break}default:c=e}if((c+-48&255)>=10)break a;do{d=d+1|0;c=i[d>>0]|0}while((c+-48&255)<10);break}default:c=d}if(!(c<<24>>24)){pD(a,f);r=g;return}}while(0);pD(a,44148);r=g;return}function ox(a){a=a|0;var b=0,c=0,d=0,e=0;d=0;b=w2(a)|0;if(!b){c=i[a>>0]|0;b=a+1|0;if((c|4)<<24>>24==13)d=4;else{e=c<<24>>24|0;b=(e|0)!=10?((e|0)==12?b:0):b;if(!b)b=a;else d=4}}else d=4;if((d|0)==4)while(1){c=w2(b)|0;if(c|0){b=c;d=4;continue}d=i[b>>0]|0;c=b+1|0;if((d|4)<<24>>24==13){b=c;d=4;continue}e=d<<24>>24|0;c=(e|0)!=10?((e|0)==12?c:0):c;if(!c){c=d;break}else{b=c;d=4}}if(c<<24>>24==41){e=b+1|0;return e|0}if(!a){e=0;return e|0}b=i[44181]|0;a:do if(!(b<<24>>24))b=0;else{c=44181;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);e=b<<24>>24==0?a:0;return e|0}function px(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0.0;j=r;r=r+64|0;b=j+16|0;i=j;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;jI(i,36062,7);y=0;c=b;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));b=sa(23,i|0,a|0,d|0,b|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;$9(i);sb(e|0)}else{$9(i);f=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;DN(f+12|0,e|0,40)|0;e=f+64|0;l=+O(+(+p[e>>3]));k[f+100>>2]=0;p[e>>3]=l;r=j;return f|0}return 0}function qx(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0.0;j=r;r=r+64|0;b=j+16|0;i=j;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;jI(i,36062,7);y=0;c=b;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));b=sa(23,i|0,a|0,d|0,b|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;$9(i);sb(e|0)}else{$9(i);f=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;DN(f+12|0,e|0,40)|0;e=f+64|0;l=+$(+(+p[e>>3]));k[f+100>>2]=0;p[e>>3]=l;r=j;return f|0}return 0}function rx(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0.0;j=r;r=r+64|0;b=j+16|0;i=j;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;jI(i,36062,7);y=0;c=b;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));b=sa(23,i|0,a|0,d|0,b|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;$9(i);sb(e|0)}else{$9(i);f=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;DN(f+12|0,e|0,40)|0;e=f+64|0;l=+P(+(+p[e>>3]));k[f+100>>2]=0;p[e>>3]=l;r=j;return f|0}return 0}function sx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;k[a>>2]=8024;h=a+4|0;Vh(h,b+4|0);g=a+24|0;y=0;oa(473,g|0,b+24|0);f=y;y=0;if(f&1)c=pb()|0;else{k[a+36>>2]=k[b+36>>2];y=0;oa(464,a+40|0,b+40|0);f=y;y=0;if(!(f&1))return;c=pb()|0;e=N;b=k[g>>2]|0;if(b){f=a+28|0;d=k[f>>2]|0;if((d|0)!=(b|0)){do{i=d+-4|0;k[f>>2]=i;EO(i);d=k[f>>2]|0}while((d|0)!=(b|0));b=k[g>>2]|0}zqa(b)}}b=k[a+12>>2]|0;if(b|0)do{i=b;b=k[b>>2]|0;EO(i+12|0);EO(i+8|0);zqa(i)}while((b|0)!=0);b=k[h>>2]|0;k[h>>2]=0;if(!b)sb(c|0);zqa(b);sb(c|0)}function tx(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;a=a+4|0;if(!(Bp(a,b)|0)){_V(c,0);c=k[c>>2]|0;r=d;return c|0}a=Bp(a,b)|0;if(a|0){rT(c,a+12|0);c=k[c>>2]|0;r=d;return c|0}a=gb(8)|0;y=0;oa(484,a|0,29519);d=y;y=0;if(d&1){d=pb()|0;fb(a|0);sb(d|0)}else{k[a>>2]=27092;Wb(a|0,4560,351)}return 0}function ux(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=0;h=a+76|0;b=k[h>>2]|0;if(b|0){j=b;return j|0}g=a+64|0;f=i[g+11>>0]|0;e=f<<24>>24<0;g=e?k[g>>2]|0:g;f=e?k[a+68>>2]|0:f&255;if(f>>>0>3){e=f+-4|0;d=g;b=f;c=f;while(1){f=aa(l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24,1540483477)|0;b=(aa(f>>>24^f,1540483477)|0)^(aa(b,1540483477)|0);c=c+-4|0;if(c>>>0<=3)break;else d=d+4|0}d=e&-4;c=e-d|0;d=g+(d+4)|0}else{c=f;d=g;b=f}switch(c|0){case 3:{b=(l[d+2>>0]|0)<<16^b;j=8;break}case 2:{j=8;break}case 1:{j=9;break}default:{}}if((j|0)==8){b=(l[d+1>>0]|0)<<8^b;j=9}if((j|0)==9)b=aa((l[d>>0]|0)^b,1540483477)|0;j=aa(b>>>13^b,1540483477)|0;j=j>>>15^j;j=(k[a+60>>2]|0)+-1640531527+(j<<6)+(j>>>2)^j;k[h>>2]=j;return j|0}function vx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;g=a+4|0;b=k[g>>2]|0;i=a+16|0;c=k[i>>2]|0;d=b+(((c>>>0)/170|0)<<2)|0;h=a+8|0;if((k[h>>2]|0)==(b|0)){f=0;e=a+20|0;b=0}else{e=a+20|0;f=c+(k[e>>2]|0)|0;f=(k[b+(((f>>>0)/170|0)<<2)>>2]|0)+(((f>>>0)%170|0)*24|0)|0;b=(k[d>>2]|0)+(((c>>>0)%170|0)*24|0)|0}a:while(1){do{if((b|0)==(f|0))break a;a=k[b+20>>2]|0;if(a|0)kZ(a);EO(b+12|0);b=b+24|0}while((b-(k[d>>2]|0)|0)!=4080);b=d+4|0;d=b;b=k[b>>2]|0}k[e>>2]=0;a=k[g>>2]|0;b=(k[h>>2]|0)-a>>2;if(b>>>0>2)do{zqa(k[a>>2]|0);a=(k[g>>2]|0)+4|0;k[g>>2]=a;b=(k[h>>2]|0)-a>>2}while(b>>>0>2);switch(b|0){case 1:{k[i>>2]=85;return}case 2:{k[i>>2]=170;return}default:return}}function wx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;d=r;r=r+16|0;e=d;c=d+4|0;_V(e,0);y=0;b=qa(427,a|0)|0;f=y;y=0;do if(f&1)a=pb()|0;else{k[c>>2]=b;y=0;Ha(966,e|0,c|0)|0;f=y;y=0;if(f&1){a=pb()|0;EO(c);break}f=(k[e>>2]|0)==0;EO(c);if(!f){f=k[e>>2]|0;r=d;return f|0}y=0;a=qa(428,a|0)|0;f=y;y=0;do if(f&1)a=pb()|0;else{k[c>>2]=a;y=0;Ha(966,e|0,c|0)|0;f=y;y=0;if(f&1){a=pb()|0;EO(c);break}EO(c);f=k[e>>2]|0;r=d;return f|0}while(0);f=a;EO(e);sb(f|0)}while(0);f=a;EO(e);sb(f|0);return 0}function xx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;Oda(a);h=a+12|0;g=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(g|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;i[a+60>>0]=0;i[a+61>>0]=0;i[a+62>>0]=0;k[a+64>>2]=0;k[a+68>>2]=0;k[a+56>>2]=7;k[a>>2]=13620;k[a+72>>2]=c;g=a+76|0;y=0;oa(464,g|0,d|0);d=y;y=0;if(d&1){f=pb()|0;sb(f|0)}b=a+80|0;y=0;oa(464,b|0,e|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;oa(464,a+84|0,f|0);f=y;y=0;if(f&1){f=pb()|0;EO(b);b=f;break}else return}while(0);EO(g);f=b;sb(f|0)}function yx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;h=0;g=r;r=r+16|0;e=g;f=yV(b)|0;k[e>>2]=f;y=0;b=Ha(973,e|0,78176)|0;i=y;y=0;if(i&1)h=7;else{y=0;Ma(k[(k[b>>2]|0)+48>>2]|0,b|0,51509,51535,c|0)|0;i=y;y=0;if(i&1)h=7;else{y=0;b=Ha(973,e|0,78184)|0;i=y;y=0;if(i&1)h=7;else{y=0;c=qa(k[(k[b>>2]|0)+16>>2]|0,b|0)|0;i=y;y=0;if(!(i&1)){k[d>>2]=c;y=0;oa(k[(k[b>>2]|0)+20>>2]|0,a|0,b|0);i=y;y=0;if(!(i&1)){lQ(f)|0;r=g;return}}b=pb()|0}}}if((h|0)==7)b=pb()|0;lQ(f)|0;sb(b|0)}function zx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;c=a+56|0;k[c>>2]=k[b+56>>2];k[a>>2]=11396;e=k[b+60>>2]|0;i[a+60>>0]=e;i[a+61>>0]=(e&65535)>>>8;i[a+62>>0]=e>>>16;k[a+64>>2]=k[b+64>>2];k[a+68>>2]=k[b+68>>2];k[c>>2]=7;k[a>>2]=11700;c=a+72|0;y=0;oa(452,c|0,b+72|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}y=0;oa(452,a+84|0,b+84|0);e=y;y=0;if(!(e&1)){i[a+100>>0]=i[b+100>>0]|0;k[a+96>>2]=0;return}b=pb()|0;$9(c);sb(b|0)}function Ax(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;h=0;g=r;r=r+16|0;e=g;f=yV(b)|0;k[e>>2]=f;y=0;b=Ha(973,e|0,78144)|0;j=y;y=0;if(j&1)h=7;else{y=0;Ma(k[(k[b>>2]|0)+32>>2]|0,b|0,51509,51535,c|0)|0;j=y;y=0;if(j&1)h=7;else{y=0;b=Ha(973,e|0,78160)|0;j=y;y=0;if(j&1)h=7;else{y=0;c=qa(k[(k[b>>2]|0)+16>>2]|0,b|0)|0;j=y;y=0;if(!(j&1)){i[d>>0]=c;y=0;oa(k[(k[b>>2]|0)+20>>2]|0,a|0,b|0);j=y;y=0;if(!(j&1)){lQ(f)|0;r=g;return}}b=pb()|0}}}if((h|0)==7)b=pb()|0;lQ(f)|0;sb(b|0)}function Bx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=a+52|0;k[e>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;c=a+64|0;y=0;oa(464,c|0,b+64|0);d=y;y=0;if(d&1){b=pb()|0;sb(b|0)}k[a>>2]=5988;d=a+68|0;y=0;oa(464,d|0,b+68|0);f=y;y=0;if(f&1){f=pb()|0;k[a>>2]=5436;EO(c);sb(f|0)}y=0;oa(464,a+72|0,b+72|0);f=y;y=0;if(!(f&1)){f=j[b+76>>1]|0;i[a+76>>0]=f;i[a+77>>0]=(f&65535)>>>8;k[e>>2]=9;return}f=pb()|0;EO(d);k[a>>2]=5436;EO(c);sb(f|0)}function Cx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;f=0;l=r;r=r+32|0;g=l+16|0;h=l+8|0;d=l+4|0;e=l;j=a+52|0;c=(i[j>>0]|0)!=0;a:do if((b|0)==-1)if(c)b=-1;else{b=k[a+48>>2]|0;i[j>>0]=(b|0)!=-1&1}else{b:do if(c){c=a+48|0;k[d>>2]=k[c>>2];m=k[a+36>>2]|0;switch(Nc[k[(k[m>>2]|0)+12>>2]&15](m,k[a+40>>2]|0,d,d+4|0,e,g,g+8|0,h)|0){case 1:case 2:break;case 3:{i[g>>0]=k[c>>2];k[h>>2]=g+1;f=8;break}default:f=8}c:do if((f|0)==8){a=a+32|0;while(1){d=k[h>>2]|0;if(d>>>0<=g>>>0)break;m=d+-1|0;k[h>>2]=m;if((qF(i[m>>0]|0,k[a>>2]|0)|0)==-1)break c}break b}while(0);b=-1;break a}else c=a+48|0;while(0);k[c>>2]=b;i[j>>0]=1}while(0);r=l;return b|0}function Dx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0;j=d;h=a+8|0;g=0;i=0;a:while(1){if((c|0)==(d|0)|g>>>0>=e>>>0){a=15;break}f=_8(k[h>>2]|0)|0;y=0;a=ta(174,c|0,j-c|0,b|0)|0;l=y;y=0;if(l&1){a=7;break}if(f|0){y=0;qa(471,f|0)|0;l=y;y=0;if(l&1){a=6;break}}switch(a|0){case -2:case -1:{a=15;break a}case 0:{c=c+1|0;a=1;break}default:c=c+a|0}g=g+1|0;i=a+i|0}if((a|0)==6){l=tb(0)|0;dla(l)}else if((a|0)==7){a=pb()|0;if(f|0){y=0;qa(471,f|0)|0;l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}}sb(a|0)}else if((a|0)==15)return i|0;return 0}function Ex(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;f=0;l=r;r=r+32|0;g=l+16|0;h=l+4|0;d=l+8|0;e=l;j=a+52|0;c=(i[j>>0]|0)!=0;a:do if((b|0)==-1)if(c)b=-1;else{b=k[a+48>>2]|0;i[j>>0]=(b|0)!=-1&1}else{b:do if(c){c=a+48|0;i[d>>0]=k[c>>2];m=k[a+36>>2]|0;switch(Nc[k[(k[m>>2]|0)+12>>2]&15](m,k[a+40>>2]|0,d,d+1|0,e,g,g+8|0,h)|0){case 1:case 2:break;case 3:{i[g>>0]=k[c>>2];k[h>>2]=g+1;f=8;break}default:f=8}c:do if((f|0)==8){a=a+32|0;while(1){d=k[h>>2]|0;if(d>>>0<=g>>>0)break;m=d+-1|0;k[h>>2]=m;if((qF(i[m>>0]|0,k[a>>2]|0)|0)==-1)break c}break b}while(0);b=-1;break a}else c=a+48|0;while(0);k[c>>2]=b;i[j>>0]=1}while(0);r=l;return b|0}function Fx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+48|0;f=l+16|0;e=l;d=l+32|0;k[d>>2]=b;g=d+4|0;j=a+48|0;m=k[j>>2]|0;k[g>>2]=c-((m|0)!=0&1);h=a+44|0;k[d+8>>2]=k[h>>2];k[d+12>>2]=m;if(!(k[19133]|0)){k[f>>2]=k[a+60>>2];k[f+4>>2]=d;k[f+8>>2]=2;d=m9($b(145,f|0)|0)|0}else{Tb(405,a|0);k[e>>2]=k[a+60>>2];k[e+4>>2]=d;k[e+8>>2]=2;d=m9($b(145,e|0)|0)|0;Ib(0)}if((d|0)<1){k[a>>2]=k[a>>2]|d&48^16;k[a+8>>2]=0;k[a+4>>2]=0}else{g=k[g>>2]|0;if(d>>>0>g>>>0){e=k[h>>2]|0;f=a+4|0;k[f>>2]=e;k[a+8>>2]=e+(d-g);if(!(k[j>>2]|0))d=c;else{k[f>>2]=e+1;i[b+(c+-1)>>0]=i[e>>0]|0;d=c}}}r=l;return d|0}function Gx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;c=g+8|0;d=g+4|0;e=g;f=a+76|0;b=k[f>>2]|0;if(b|0){f=b;r=g;return f|0}k[f>>2]=k[a+60>>2];rT(c,a+68|0);b=k[c>>2]|0;k[d>>2]=b;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;h=y;y=0;if(h&1){h=pb()|0;EO(d);sb(h|0)}h=k[f>>2]|0;k[f>>2]=b+-1640531527+(h<<6)+(h>>>2)^h;EO(d);rT(c,a+72|0);b=k[c>>2]|0;k[e>>2]=b;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;h=y;y=0;if(h&1){h=pb()|0;EO(e);sb(h|0)}else{h=k[f>>2]|0;k[f>>2]=b+-1640531527+(h<<6)+(h>>>2)^h;EO(e);h=k[f>>2]|0;r=g;return h|0}return 0}function Hx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;c=a+56|0;k[c>>2]=k[b+56>>2];k[a>>2]=11396;e=k[b+60>>2]|0;i[a+60>>0]=e;i[a+61>>0]=(e&65535)>>>8;i[a+62>>0]=e>>>16;k[a+64>>2]=k[b+64>>2];k[a+68>>2]=k[b+68>>2];k[c>>2]=7;c=a+72|0;k[c>>2]=13580;y=0;oa(508,a+76|0,b+76|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}else{k[a+88>>2]=k[b+88>>2];k[a>>2]=13364;k[c>>2]=13540;k[a+96>>2]=0;k[a+100>>2]=0;k[a+92>>2]=a+96;b=j[b+104>>1]|0;i[a+104>>0]=b;i[a+105>>0]=(b&65535)>>>8;return}}function Ix(a){a=a|0;var b=0,c=0,d=0,e=0;d=0;b=w2(a)|0;if(!b){c=i[a>>0]|0;b=a+1|0;if((c|4)<<24>>24==13)d=4;else{e=c<<24>>24|0;b=(e|0)!=10?((e|0)==12?b:0):b;if(!b)b=a;else d=4}}else d=4;if((d|0)==4)while(1){c=w2(b)|0;if(c|0){b=c;d=4;continue}d=i[b>>0]|0;c=b+1|0;if((d|4)<<24>>24==13){b=c;d=4;continue}e=d<<24>>24|0;c=(e|0)!=10?((e|0)==12?c:0):c;if(!c){c=d;break}else{b=c;d=4}}if(c<<24>>24==41){e=b+1|0;return e|0}if(!a){e=0;return e|0}b=i[44181]|0;a:do if(!(b<<24>>24))b=0;else{c=44181;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);e=b<<24>>24==0?a:0;return e|0}function Jx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+96|0;e=c+56|0;f=c+16|0;h=c;if(k[a+20>>2]|0){r=c;return}g=gb(76)|0;d=f;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,44950,41);d=y;y=0;if(d&1)a=pb()|0;else{y=0;d=e;a=f;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(110,g|0,e|0,h|0);f=y;y=0;if(f&1)c=1;else{y=0;Na(76,g|0,2368,158);y=0;c=0}a=pb()|0;$9(h);if(!c){h=a;sb(h|0)}}fb(g|0);h=a;sb(h|0)}function Kx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;h=a+8|0;d=k[h>>2]|0;i=a+4|0;c=k[i>>2]|0;l=d-c>>2;e=a+16|0;f=k[e>>2]|0;j=a+20|0;g=k[j>>2]|0;if((((l|0)==0?0:(l*170|0)+-1|0)|0)==(g+f|0)){pi(a);f=k[e>>2]|0;a=k[j>>2]|0;d=k[h>>2]|0;c=k[i>>2]|0}else a=g;a=f+a|0;if((d|0)==(c|0))c=0;else c=(k[c+(((a>>>0)/170|0)<<2)>>2]|0)+(((a>>>0)%170|0)*24|0)|0;k[c>>2]=k[b>>2];k[c+4>>2]=k[b+4>>2];k[c+8>>2]=k[b+8>>2];rT(c+12|0,b+12|0);k[c+16>>2]=k[b+16>>2];a=k[b+20>>2]|0;k[c+20>>2]=a;if(!a){l=k[j>>2]|0;l=l+1|0;k[j>>2]=l;return}Sba(a);l=k[j>>2]|0;l=l+1|0;k[j>>2]=l;return}function Lx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;g=r;r=r+16|0;f=g;k[e>>2]=c;c=_8(k[a+8>>2]|0)|0;y=0;a=ta(172,f|0,0,b|0)|0;b=y;y=0;if(b&1){a=pb()|0;if(c|0){y=0;qa(471,c|0)|0;g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}}sb(a|0)}if(c|0){y=0;qa(471,c|0)|0;b=y;y=0;if(b&1){b=tb(0)|0;dla(b)}}a:do switch(a|0){case 0:case -1:{a=2;break}default:{a=a+-1|0;if(a>>>0>(d-(k[e>>2]|0)|0)>>>0)a=1;else while(1){if(!a){a=0;break a}b=i[f>>0]|0;d=k[e>>2]|0;k[e>>2]=d+1;i[d>>0]=b;f=f+1|0;a=a+-1|0}}}while(0);r=g;return a|0}function Mx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+128|0;j=g+16|0;l=g+12|0;h=g;i=g+8|0;k[l>>2]=j+100;QH(a,j,l,d,e,f);f=h;k[f>>2]=0;k[f+4>>2]=0;k[i>>2]=j;f=(k[c>>2]|0)-b>>2;d=_8(k[a>>2]|0)|0;y=0;a=Ma(28,b|0,i|0,f|0,h|0)|0;f=y;y=0;if(f&1){a=pb()|0;if(d|0){y=0;qa(471,d|0)|0;l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}}sb(a|0)}if(d|0){y=0;qa(471,d|0)|0;l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}}if((a|0)==-1)_N(52611);else{k[c>>2]=b+(a<<2);r=g;return}}function Nx(a){a=a|0;var b=0,c=0;b=Lr(a)|0;if(!b){b=0;return b|0}a=st(b)|0;if(!a)a=b;else while(1){b=st(a)|0;if(!b)break;else a=b}b=yO(a)|0;if(b){a=b;while(1){b=yO(a)|0;if(!b)break;else a=b}}c=i[a>>0]|0;b=a+1|0;a=c<<24>>24|0;b=(a|0)!=59?((a|0)==125?b:0):b;return b|0}function Ox(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;e=r;r=r+16|0;f=e;pK(f,76508);y=0;oa(629,a|0,f|0);d=y;y=0;do if(d&1)a=pb()|0;else{k[a>>2]=14076;d=a+8|0;y=0;oa(452,d|0,f|0);g=y;y=0;if(g&1){g=pb()|0;cda(a);a=g;break}$9(f);k[a>>2]=19036;k[a+20>>2]=b;k[a+24>>2]=c;y=0;Ha(1006,d|0,47108)|0;g=y;y=0;if(!(g&1)){r=e;return}g=pb()|0;k[a>>2]=14076;$9(d);cda(a);sb(g|0)}while(0);$9(f);g=a;sb(g|0)}function Px(a){a=a|0;var b=0,c=0,d=0;b=j1(a)|0;if(!b)b=0;else b=ny(b)|0;b=b|0?b:a;a:do if(b|0){c=i[32571]|0;if(c<<24>>24){d=32571;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}b=aP(b)|0;if(b|0){a=b;return a|0}}while(0);a=yo(a)|0;return a|0}function Qx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;h=0;g=a+76|0;b=k[g>>2]|0;if(b|0){h=b;return h|0}f=a+64|0;e=i[f+11>>0]|0;d=e<<24>>24<0;f=d?k[f>>2]|0:f;e=d?k[a+68>>2]|0:e&255;if(e>>>0>3){d=e+-4|0;c=f;b=e;a=e;while(1){e=aa(l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24,1540483477)|0;b=(aa(e>>>24^e,1540483477)|0)^(aa(b,1540483477)|0);a=a+-4|0;if(a>>>0<=3)break;else c=c+4|0}c=d&-4;a=d-c|0;c=f+(c+4)|0}else{a=e;c=f;b=e}switch(a|0){case 3:{b=(l[c+2>>0]|0)<<16^b;h=8;break}case 2:{h=8;break}case 1:{h=9;break}default:{}}if((h|0)==8){b=(l[c+1>>0]|0)<<8^b;h=9}if((h|0)==9)b=aa((l[c>>0]|0)^b,1540483477)|0;h=aa(b>>>13^b,1540483477)|0;h=h>>>15^h;k[g>>2]=h;return h|0}function Rx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;g=a+4|0;k[g>>2]=0;k[a+8>>2]=0;f=b+4|0;c=(k[f>>2]|0)-(k[b>>2]|0)|0;d=(c|0)/24|0;if(!c)return;if(d>>>0>178956970){y=0;na(365,a|0);f=y;y=0;if(!(f&1)){f=gb(4)|0;doa(f);y=0;Na(76,f|0,4496,348);y=0}}else{y=0;e=qa(332,c|0)|0;c=y;y=0;if(!(c&1)){k[g>>2]=e;k[a>>2]=e;k[a+8>>2]=e+(d*24|0);b=k[b>>2]|0;c=(k[f>>2]|0)-b|0;if((c|0)<=0)return;GH(e|0,b|0,c|0)|0;k[g>>2]=e+(((c>>>0)/24|0)*24|0);return}}d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[g>>2]|0;if((b|0)!=(c|0))k[g>>2]=b+(~(((b+-24-c|0)>>>0)/24|0)*24|0);zqa(c);sb(d|0)}function Sx(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0;if((1073741806-b|0)>>>0<c>>>0)LM(a);l=a+8|0;if((i[l+3>>0]|0)<0)m=k[a>>2]|0;else m=a;if(b>>>0<536870887){c=c+b|0;j=b<<1;c=c>>>0<j>>>0?j:c;c=c>>>0<2?2:c+4&-4;if(c>>>0>1073741823){g=gb(4)|0;doa(g);Wb(g|0,4496,348)}}else c=1073741807;j=ZL(c<<2)|0;if(e|0)Saa(j,m,e)|0;if(g|0)Saa(j+(e<<2)|0,h,g)|0;d=d-f|0;h=d-e|0;if(h|0)Saa(j+(e<<2)+(g<<2)|0,m+(e<<2)+(f<<2)|0,h)|0;if((b|0)!=1)zqa(m);k[a>>2]=j;k[l>>2]=c|-2147483648;g=d+g|0;k[a+4>>2]=g;k[j+(g<<2)>>2]=0;return}function Tx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+32|0;c=e+12|0;d=e;a=b+64|0;if(!(i[b+60>>0]|0)){pK(d,a);y=0;a=qa(469,((i[d+11>>0]|0)<0?k[d>>2]|0:d)|0)|0;c=y;y=0;if(c&1){e=pb()|0;$9(d);sb(e|0)}else{$9(d);d=a;r=e;return d|0}}else{pK(c,a);y=0;a=qa(468,((i[c+11>>0]|0)<0?k[c>>2]|0:c)|0)|0;d=y;y=0;if(d&1){e=pb()|0;$9(c);sb(e|0)}else{$9(c);d=a;r=e;return d|0}}return 0}function Ux(a){a=a|0;var b=0,c=0;c=0;switch(i[a>>0]|0){case 42:{b=a+1|0;break}case 45:{b=a;do b=b+1|0;while((i[b>>0]|0)==45);c=3;break}default:{b=a;c=3}}do if((c|0)==3){c=kw(b)|0;if(c|0){c=iw(c)|0;if(c|0){b=c;break}}b=ln(b)|0}while(0);b=b|0?b:a;if(!b)b=0;else{c=b+1|0;if((i[b>>0]|0)==124)b=(i[c>>0]|0)==61?0:c;else b=0}b=b|0?b:a;if(!b){a=0;return a|0}if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=kw(b)|0;if(!b){a=0;return a|0}a=iw(b)|0;return a|0}function Vx(a,b){a=a|0;b=b|0;var c=0,d=0;if((b|0)==1)b=2;else if(b+-1&b)b=xe(b)|0;d=k[a+4>>2]|0;if(b>>>0>d>>>0){tl(a,b);return}if(b>>>0>=d>>>0)return;c=~~+$(+(+((k[a+12>>2]|0)>>>0)/+o[a+16>>2]))>>>0;if(d>>>0>2&(d+-1&d|0)==0)c=1<<32-(da(c+-1|0)|0);else c=xe(c)|0;b=b>>>0<c>>>0?c:b;if(b>>>0>=d>>>0)return;tl(a,b);return}function Wx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;if(!b)return;Wx(a,k[b>>2]|0);Wx(a,k[b+4>>2]|0);d=b+20|0;a=k[d>>2]|0;if(a|0){e=b+24|0;c=k[e>>2]|0;if((c|0)!=(a|0)){do{f=c+-8|0;k[e>>2]=f;EO(f);c=k[e>>2]|0}while((c|0)!=(a|0));a=k[d>>2]|0}zqa(a)}EO(b+16|0);zqa(b);return}function Xx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=r;r=r+16|0;d=g;a:do if(!b)a=0;else{do if(c|0){f=(a|0)==0?d:a;a=i[b>>0]|0;d=a&255;if(a<<24>>24>-1){k[f>>2]=d;a=a<<24>>24!=0&1;break a}a=d+-194|0;if(a>>>0<=50){d=b+1|0;e=k[19192+(a<<2)>>2]|0;if(c>>>0<4)if(e&-2147483648>>>((c*6|0)+-6|0)|0)break;a=l[d>>0]|0;c=a>>>3;if((c+-16|c+(e>>26))>>>0<=7){a=a+-128|e<<6;if((a|0)>=0){k[f>>2]=a;a=2;break a}d=(l[b+2>>0]|0)+-128|0;if(d>>>0<=63){d=d|a<<6;if((d|0)>=0){k[f>>2]=d;a=3;break a}a=(l[b+3>>0]|0)+-128|0;if(a>>>0<=63){k[f>>2]=a|d<<6;a=4;break a}}}}}while(0);a=v9()|0;k[a>>2]=84;a=-1}while(0);r=g;return a|0}function Yx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;if(!b)return;Yx(a,k[b>>2]|0);Yx(a,k[b+4>>2]|0);d=b+20|0;a=k[d>>2]|0;if(a|0){e=b+24|0;c=k[e>>2]|0;if((c|0)!=(a|0)){do{f=c+-8|0;k[e>>2]=f;EO(c+-4|0);EO(f);c=k[e>>2]|0}while((c|0)!=(a|0));a=k[d>>2]|0}zqa(a)}zqa(b);return}function Zx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;f=h+8|0;g=h;d=k[b>>2]|0;e=b+4|0;if((d|0)==(e|0)){r=h;return}b=a+92|0;while(1){a=k[d+16>>2]|0;_V(g,oc[k[(k[a>>2]|0)+16>>2]&511](a)|0);y=0;Ra(14,f|0,b|0,g|0,g|0);a=y;y=0;if(a&1){c=10;break}EO(g);c=k[d+4>>2]|0;if(!c)while(1){c=k[d+8>>2]|0;if((k[c>>2]|0)==(d|0))break;else d=c}else while(1){d=k[c>>2]|0;if(!d)break;else c=d}if((c|0)==(e|0)){c=3;break}else d=c}if((c|0)==3){r=h;return}else if((c|0)==10){h=pb()|0;EO(g);sb(h|0)}}function _x(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;pK(a,b);d=a+12|0;y=0;oa(452,d|0,b+12|0);e=y;y=0;if(e&1){e=pb()|0;$9(a);sb(e|0)}e=a+24|0;y=0;oa(452,e|0,b+24|0);b=y;y=0;if(b&1){e=pb()|0;$9(d);$9(a);sb(e|0)}y=0;oa(452,a+36|0,c|0);c=y;y=0;if(c&1){c=pb()|0;$9(e);$9(d);$9(a);sb(c|0)}else return}function $x(a){a=a|0;var b=0,c=0,d=0;c=i[32599]|0;a:do if(!(c<<24>>24))b=0;else{b=i[a>>0]|0;d=32599;while(1){if(b<<24>>24==c<<24>>24)break a;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){b=0;break}}}while(0);b=b<<24>>24?a+1|0:a;if(b|0){d=eV(b)|0;b=d|0?d:b;if(b|0)if((i[b>>0]|0)==110){b=ur(b+1|0)|0;if(b|0){a=b;return a|0}}}b=XB(a)|0;if(b|0){b=xz(b)|0;if(b|0){a=b;return a|0}}a=l5(a)|0;return a|0}function ay(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,82159,0);e=i[b+11>>0]|0;f=e<<24>>24<0;c=f?k[b>>2]|0:b;e=f?k[b+4>>2]|0:e&255;f=c+e|0;if(!e)return;else b=0;a:while(1){d=i[c>>0]|0;e=d<<24>>24;do if(d<<24>>24==10){y=0;oa(461,a|0,32);e=y;y=0;if(e&1){b=5;break a}else b=1}else{if(b)if(dma(e)|0){b=1;break}y=0;oa(461,a|0,d|0);e=y;y=0;if(e&1){b=5;break a}else b=0}while(0);c=c+1|0;if((c|0)==(f|0)){b=2;break}}if((b|0)==2)return;else if((b|0)==5){f=pb()|0;$9(a);sb(f|0)}}function by(a){a=a|0;var b=0,c=0,d=0,e=0;d=r;r=r+16|0;e=d+8|0;c=d+4|0;b=d;rT(e,a+72|0);a=k[e>>2]|0;k[b>>2]=a;if(!a)a=0;else a=pw(a,432,400,0)|0;y=0;oa(482,c|0,a|0);e=y;y=0;if(e&1){e=pb()|0;EO(b);sb(e|0)}EO(b);a=k[c>>2]|0;if(!a){EO(c);e=0;r=d;return e|0}b=a+60|0;do if((k[a+68>>2]|0)==(k[a+64>>2]|0))a=0;else{y=0;a=Ha(k[(k[b>>2]|0)+16>>2]|0,b|0,0)|0;e=y;y=0;if(e&1){e=pb()|0;EO(c);sb(e|0)}else{a=k[a>>2]|0;if(!a){a=0;break}a=(pw(a,40,384,0)|0)!=0;break}}while(0);EO(c);e=a;r=d;return e|0}function cy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=0;g=r;r=r+32|0;b=g+12|0;d=g;e=Rqa()|0;if(!(uM(a,39622)|0)){f=0;r=g;return f|0}if(!(uM(e,39622)|0)){f=0;r=g;return f|0}k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,e,JI(e)|0);c=xI(b,46,0)|0;$9(b);if((c|0)==-1)f=5;else{k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;jI(d,e,JI(e)|0);b=xI(d,46,c+1|0)|0;$9(d);if((b|0)==-1)f=5;else b=fJ(a,e,b)|0}if((f|0)==5)b=uM(a,e)|0;f=(b|0)==0;r=g;return f|0}function dy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=a+8|0;d=k[i>>2]|0;j=a+4|0;e=k[j>>2]|0;if(d-e>>2>>>0>=b>>>0){jJ(e|0,0,b<<2|0)|0;k[j>>2]=e+(b<<2);return}c=k[a>>2]|0;f=(e-c>>2)+b|0;if(f>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[i>>2]|0;e=k[j>>2]|0}d=d-c|0;g=d>>1;g=d>>2>>>0<536870911?(g>>>0<f>>>0?f:g):1073741823;d=e-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(d<<2)|0;jJ(f|0,0,b<<2|0)|0;d=e-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+(b<<2);k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function ey(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;g=a+4|0;k[g>>2]=0;k[a+8>>2]=0;f=b+4|0;c=(k[f>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;if(d>>>0>1073741823){y=0;na(365,a|0);f=y;y=0;if(!(f&1)){f=gb(4)|0;doa(f);y=0;Na(76,f|0,4496,348);y=0}}else{y=0;e=qa(332,c|0)|0;c=y;y=0;if(!(c&1)){k[g>>2]=e;k[a>>2]=e;k[a+8>>2]=e+(d<<2);b=k[b>>2]|0;c=(k[f>>2]|0)-b|0;if((c|0)<=0)return;GH(e|0,b|0,c|0)|0;k[g>>2]=e+(c>>2<<2);return}}d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[g>>2]|0;if((b|0)!=(c|0))k[g>>2]=b+(~((b+-4-c|0)>>>2)<<2);zqa(c);sb(d|0)}function fy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;g=a+4|0;k[g>>2]=0;k[a+8>>2]=0;f=b+4|0;c=(k[f>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;if(d>>>0>1073741823){y=0;na(365,a|0);f=y;y=0;if(!(f&1)){f=gb(4)|0;doa(f);y=0;Na(76,f|0,4496,348);y=0}}else{y=0;e=qa(332,c|0)|0;c=y;y=0;if(!(c&1)){k[g>>2]=e;k[a>>2]=e;k[a+8>>2]=e+(d<<2);b=k[b>>2]|0;c=(k[f>>2]|0)-b|0;if((c|0)<=0)return;GH(e|0,b|0,c|0)|0;k[g>>2]=e+(c>>2<<2);return}}d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[g>>2]|0;if((b|0)!=(c|0))k[g>>2]=b+(~((b+-4-c|0)>>>2)<<2);zqa(c);sb(d|0)}function gy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;g=a+4|0;k[g>>2]=0;k[a+8>>2]=0;f=b+4|0;c=(k[f>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;if(d>>>0>1073741823){y=0;na(365,a|0);f=y;y=0;if(!(f&1)){f=gb(4)|0;doa(f);y=0;Na(76,f|0,4496,348);y=0}}else{y=0;e=qa(332,c|0)|0;c=y;y=0;if(!(c&1)){k[g>>2]=e;k[a>>2]=e;k[a+8>>2]=e+(d<<2);b=k[b>>2]|0;c=(k[f>>2]|0)-b|0;if((c|0)<=0)return;GH(e|0,b|0,c|0)|0;k[g>>2]=e+(c>>2<<2);return}}d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[g>>2]|0;if((b|0)!=(c|0))k[g>>2]=b+(~((b+-4-c|0)>>>2)<<2);zqa(c);sb(d|0)}function hy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;c=f+4|0;d=f;e=a+4|0;Yw(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44360,8);y=0;Na(139,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;$9(c);sb(g|0)}$9(c);rq(e,0);rT(c,b+64|0);g=k[c>>2]|0;k[d>>2]=g;y=0;oa(k[(k[g>>2]|0)+40>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){EO(d);gp(e,0);r=f;return}g=pb()|0;EO(d);sb(g|0)}function iy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a+52>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;c=a+64|0;y=0;oa(464,c|0,b+64|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[a>>2]=7368;d=a+68|0;y=0;oa(452,d|0,b+68|0);e=y;y=0;if(e&1){b=pb()|0;k[a>>2]=5436;EO(c);sb(b|0)}y=0;oa(464,a+80|0,b+80|0);b=y;y=0;if(!(b&1))return;b=pb()|0;$9(d);k[a>>2]=5436;EO(c);sb(b|0)}function jy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;f=b;d=a+8|0;m=d+3|0;e=i[m>>0]|0;if(e<<24>>24<0){d=(k[d>>2]&2147483647)+-1|0;l=k[a+4>>2]|0}else{d=1;l=e&255}j=c-f>>2;do if(j|0){if((d-l|0)>>>0<j>>>0){Bz(a,d,l+j-d|0,l,l,0,0);d=i[m>>0]|0}else d=e;h=d<<24>>24<0;if(h)g=k[a>>2]|0;else g=a;f=l+((c-f|0)>>>2)|0;e=g+(l<<2)|0;d=b;while(1){if((d|0)==(c|0))break;k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}k[g+(f<<2)>>2]=0;d=l+j|0;if(h){k[a+4>>2]=d;break}else{i[m>>0]=d;break}}while(0);return a|0}function ky(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=a+52|0;k[e>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;c=a+64|0;y=0;oa(464,c|0,b+64|0);d=y;y=0;if(d&1){b=pb()|0;sb(b|0)}k[a>>2]=6724;d=a+68|0;y=0;oa(464,d|0,b+68|0);f=y;y=0;if(f&1){f=pb()|0;k[a>>2]=5436;EO(c);sb(f|0)}y=0;oa(464,a+72|0,b+72|0);f=y;y=0;if(!(f&1)){k[e>>2]=22;return}f=pb()|0;EO(d);k[a>>2]=5436;EO(c);sb(f|0)}function ly(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;g=r;r=r+16|0;b=g;f=a+76|0;k[f>>2]=0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,47425,1);y=0;oa(605,a|0,b|0);e=y;y=0;if(e&1){g=pb()|0;$9(b);sb(g|0)}$9(b);if((k[k[a+68>>2]>>2]|0)==3){r=g;return}e=a+4|0;b=i[e+11>>0]|0;c=b<<24>>24<0;if(c)d=k[a+8>>2]|0;else d=b&255;if(!d){r=g;return}if(c)b=k[a+8>>2]|0;else b=b&255;e=aN(e,b+-1|0)|0;if(dma(l[e>>0]|0)|0)if(!(i[a+84>>0]|0)){r=g;return}k[f>>2]=1;r=g;return}function my(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=0;j=i[a+11>>0]|0;h=j<<24>>24<0;g=a+4|0;e=k[g>>2]|0;j=j&255;do if((h?e:j)|0){if((b|0)!=(c|0)){e=c;f=b;while(1){e=e+-4|0;if(f>>>0>=e>>>0)break;m=k[f>>2]|0;k[f>>2]=k[e>>2];k[e>>2]=m;f=f+4|0}e=k[g>>2]|0}m=h?k[a>>2]|0:a;c=c+-4|0;a=m+(h?e:j)|0;e=m;while(1){f=i[e>>0]|0;g=f<<24>>24|0;g=(g|0)>0&(g|0)!=127;if(b>>>0>=c>>>0)break;if(g)if((f<<24>>24|0)!=(k[b>>2]|0)){l=10;break}b=b+4|0;e=(a-e|0)>1?e+1|0:e}if((l|0)==10){k[d>>2]=4;break}if(g)if(((k[c>>2]|0)+-1|0)>>>0>=f<<24>>24>>>0)k[d>>2]=4}while(0);return}function ny(a){a=a|0;var b=0,c=0;a=AD(a)|0;if(!a){c=0;return c|0}while(1){b=AD(a)|0;if(!b)break;else a=b}b=BD(a)|0;if(b){a=b;while(1){b=BD(a)|0;if(!b)break;else a=b}}a=j1(a)|0;if(!a){c=0;return c|0}while(1){b=AD(a)|0;if(!b){b=11;break}while(1){c=AD(b)|0;if(!c)break;else b=c}c=BD(b)|0;if(c){b=c;while(1){c=BD(b)|0;if(!c)break;else b=c}}b=j1(b)|0;if(!b){b=11;break}else a=b}if((b|0)==11)return a|0;return 0}function oy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;g=a+4|0;k[g>>2]=0;k[a+8>>2]=0;f=b+4|0;c=(k[f>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;if(d>>>0>1073741823){y=0;na(365,a|0);f=y;y=0;if(!(f&1)){f=gb(4)|0;doa(f);y=0;Na(76,f|0,4496,348);y=0}}else{y=0;e=qa(332,c|0)|0;c=y;y=0;if(!(c&1)){k[g>>2]=e;k[a>>2]=e;k[a+8>>2]=e+(d<<2);b=k[b>>2]|0;c=(k[f>>2]|0)-b|0;if((c|0)<=0)return;GH(e|0,b|0,c|0)|0;k[g>>2]=e+(c>>2<<2);return}}d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[g>>2]|0;if((b|0)!=(c|0))k[g>>2]=b+(~((b+-4-c|0)>>>2)<<2);zqa(c);sb(d|0)}function py(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;g=a+4|0;k[g>>2]=0;k[a+8>>2]=0;f=b+4|0;c=(k[f>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;if(d>>>0>1073741823){y=0;na(365,a|0);f=y;y=0;if(!(f&1)){f=gb(4)|0;doa(f);y=0;Na(76,f|0,4496,348);y=0}}else{y=0;e=qa(332,c|0)|0;c=y;y=0;if(!(c&1)){k[g>>2]=e;k[a>>2]=e;k[a+8>>2]=e+(d<<2);b=k[b>>2]|0;c=(k[f>>2]|0)-b|0;if((c|0)<=0)return;GH(e|0,b|0,c|0)|0;k[g>>2]=e+(c>>2<<2);return}}d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[g>>2]|0;if((b|0)!=(c|0))k[g>>2]=b+(~((b+-4-c|0)>>>2)<<2);zqa(c);sb(d|0)}function qy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+32|0;g=h;f=k[a+8>>2]|0;c=k[a+4>>2]|0;if(f-c>>2>>>0<b>>>0){e=k[a>>2]|0;c=c-e>>2;d=c+b|0;if(d>>>0>1073741823)OM(a);e=f-e|0;f=e>>1;wI(g,e>>2>>>0<536870911?(f>>>0<d>>>0?d:f):1073741823,c,a+16|0);d=g+8|0;c=k[d>>2]|0;do{k[c>>2]=0;c=(k[d>>2]|0)+4|0;k[d>>2]=c;b=b+-1|0}while((b|0)!=0);iD(a,g);nJ(g)}else iO(a,b);r=h;return}function ry(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;c=d;a=a+4|0;Yw(a);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,46431,7);y=0;Na(139,a|0,c|0,b|0);e=y;y=0;if(e&1){e=pb()|0;$9(c);sb(e|0)}$9(c);Nka(a);pK(c,b+64|0);y=0;oa(605,a|0,c|0);e=y;y=0;if(!(e&1)){$9(c);VK(a);r=d;return}e=pb()|0;$9(c);sb(e|0)}function sy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;c=g+12|0;d=g+8|0;e=g+4|0;f=g;b=a+104|0;rT(c,b);a=k[c>>2]|0;k[f>>2]=a;y=0;a=qa(k[(k[a>>2]|0)+16>>2]|0,a|0)|0;h=y;y=0;if(!(h&1)){y=0;oa(482,e|0,a|0);h=y;y=0;if(!(h&1)){y=0;Ha(966,b|0,e|0)|0;h=y;y=0;if(!(h&1)){y=0;oa(464,c|0,b|0);h=y;y=0;if(!(h&1)){k[d>>2]=k[c>>2];EO(d);EO(e);EO(f);r=g;return}}h=pb()|0;EO(e);EO(f);sb(h|0)}}h=pb()|0;EO(f);sb(h|0)}function ty(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;c=f+4|0;d=f;e=a+4|0;Yw(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,46452,7);y=0;Na(139,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;$9(c);sb(g|0)}$9(c);Nka(e);rT(c,b+64|0);g=k[c>>2]|0;k[d>>2]=g;y=0;oa(k[(k[g>>2]|0)+40>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){EO(d);VK(e);r=f;return}g=pb()|0;EO(d);sb(g|0)}function uy(a){a=a|0;var b=0;a=rj(a)|0;if(!a){b=0;return b|0}while(1){b=rj(a)|0;if(!b)break;else a=b}b=(i[a>>0]|0)==37?0:a;return b|0}function vy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=r;r=r+32|0;d=e+12|0;f=e;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;jI(f,c,JI(c)|0);y=0;Na(154,d|0,b|0,f|0);c=y;y=0;do if(c&1)a=pb()|0;else{y=0;oa(629,a|0,d|0);c=y;y=0;if(c&1){a=pb()|0;$9(d);break}else{$9(d);$9(f);k[a>>2]=26812;c=b;d=k[c+4>>2]|0;f=a+8|0;k[f>>2]=k[c>>2];k[f+4>>2]=d;r=e;return}}while(0);$9(f);sb(a|0)}function wy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;c=f+4|0;d=f;e=a+4|0;Yw(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,46369,5);y=0;Na(139,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;$9(c);sb(g|0)}$9(c);Nka(e);rT(c,b+64|0);g=k[c>>2]|0;k[d>>2]=g;y=0;oa(k[(k[g>>2]|0)+40>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){EO(d);VK(e);r=f;return}g=pb()|0;EO(d);sb(g|0)}function xy(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;e=r;r=r+48|0;g=e+32|0;d=e+24|0;h=e+16|0;f=e;e=e+36|0;a=eR()|0;if(a|0){c=k[a>>2]|0;if(c|0){a=c+48|0;b=k[a>>2]|0;a=k[a+4>>2]|0;if(!((b&-256|0)==1126902528&(a|0)==1129074247)){k[d>>2]=k[6725];fV(54168,d)}if((b|0)==1126902529&(a|0)==1129074247)a=k[c+44>>2]|0;else a=c+80|0;k[e>>2]=a;d=k[c>>2]|0;a=k[d+4>>2]|0;if(rc[k[(k[1108]|0)+16>>2]&255](4432,d,e)|0){h=k[e>>2]|0;e=k[6725]|0;h=oc[k[(k[h>>2]|0)+8>>2]&511](h)|0;k[f>>2]=e;k[f+4>>2]=a;k[f+8>>2]=h;fV(54082,f)}else{k[h>>2]=k[6725];k[h+4>>2]=a;fV(54127,h)}}}fV(54206,g)}function yy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;c=f+4|0;d=f;e=a+4|0;Yw(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,46444,7);y=0;Na(139,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;$9(c);sb(g|0)}$9(c);Nka(e);rT(c,b+64|0);g=k[c>>2]|0;k[d>>2]=g;y=0;oa(k[(k[g>>2]|0)+40>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){EO(d);VK(e);r=f;return}g=pb()|0;EO(d);sb(g|0)}function zy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0;m=r;r=r+16|0;j=m+4|0;l=m;h=a+8|0;h=oc[k[(k[h>>2]|0)+8>>2]&511](h)|0;a=i[h+8+3>>0]|0;if(a<<24>>24<0)g=k[h+4>>2]|0;else g=a&255;a=i[h+20+3>>0]|0;if(a<<24>>24<0)a=k[h+16>>2]|0;else a=a&255;do if((g|0)==(0-a|0))k[e>>2]=k[e>>2]|4;else{k[l>>2]=k[d>>2];k[j>>2]=k[l>>2];a=(jh(c,j,h,h+24|0,f,e,0)|0)-h|0;g=k[b>>2]|0;if((g|0)==12&(a|0)==0){k[b>>2]=0;break}if((g|0)<12&(a|0)==12)k[b>>2]=g+12}while(0);r=m;return}function Ay(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;c=f+4|0;d=f;e=a+4|0;Yw(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,46382,6);y=0;Na(139,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;$9(c);sb(g|0)}$9(c);Nka(e);rT(c,b+64|0);g=k[c>>2]|0;k[d>>2]=g;y=0;oa(k[(k[g>>2]|0)+40>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){EO(d);VK(e);r=f;return}g=pb()|0;EO(d);sb(g|0)}function By(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;c=f+4|0;d=f;e=a+4|0;Yw(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,46375,6);y=0;Na(139,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;$9(c);sb(g|0)}$9(c);Nka(e);rT(c,b+64|0);g=k[c>>2]|0;k[d>>2]=g;y=0;oa(k[(k[g>>2]|0)+40>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){EO(d);VK(e);r=f;return}g=pb()|0;EO(d);sb(g|0)}function Cy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0;m=r;r=r+16|0;j=m+4|0;l=m;h=a+8|0;h=oc[k[(k[h>>2]|0)+8>>2]&511](h)|0;a=i[h+11>>0]|0;if(a<<24>>24<0)g=k[h+4>>2]|0;else g=a&255;a=i[h+12+11>>0]|0;if(a<<24>>24<0)a=k[h+16>>2]|0;else a=a&255;do if((g|0)==(0-a|0))k[e>>2]=k[e>>2]|4;else{k[l>>2]=k[d>>2];k[j>>2]=k[l>>2];a=(th(c,j,h,h+24|0,f,e,0)|0)-h|0;g=k[b>>2]|0;if((g|0)==12&(a|0)==0){k[b>>2]=0;break}if((g|0)<12&(a|0)==12)k[b>>2]=g+12}while(0);r=m;return}function Dy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;e=b+84|0;g=a+4|0;if(!(i[e>>0]|0)){W8(g,b);rq(g,0)}if(!(lka(g)|0)){f=a+76|0;k[f>>2]=(k[f>>2]|0)+(k[b+56>>2]|0)}c=k[b+68>>2]|0;d=(k[b+72>>2]|0)-c>>2;if(d|0){f=b+68|0;c=k[c>>2]|0;mc[k[(k[c>>2]|0)+40>>2]&1023](c,a);if((d|0)!=1){c=1;do{h=k[(k[f>>2]|0)+(c<<2)>>2]|0;mc[k[(k[h>>2]|0)+40>>2]&1023](h,a);c=c+1|0}while((c|0)!=(d|0))}}if(!(lka(g)|0)){h=a+76|0;k[h>>2]=(k[h>>2]|0)-(k[b+56>>2]|0)}if(i[e>>0]|0)return;gp(g,0);C8(g,b);return}function Ey(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>2;g=h>>3>>>0<268435455?(g>>>0<e>>>0?e:g):536870911;e=d-c>>3;do if(!g)h=0;else if(g>>>0>536870911){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<3)|0;break}while(0);f=h+(e<<3)|0;l=b;b=k[l+4>>2]|0;e=f;k[e>>2]=k[l>>2];k[e+4>>2]=b;d=d-c|0;e=f+(0-(d>>3)<<3)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+8;k[i>>2]=h+(g<<3);if(!c)return;zqa(c);return}function Fy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>2;g=h>>3>>>0<268435455?(g>>>0<e>>>0?e:g):536870911;e=d-c>>3;do if(!g)h=0;else if(g>>>0>536870911){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<3)|0;break}while(0);f=h+(e<<3)|0;l=b;b=k[l+4>>2]|0;e=f;k[e>>2]=k[l>>2];k[e+4>>2]=b;d=d-c|0;e=f+(0-(d>>3)<<3)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+8;k[i>>2]=h+(g<<3);if(!c)return;zqa(c);return}function Gy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+96|0;d=g+56|0;e=g+16|0;h=gb(76)|0;f=e;c=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(c|0));y=0;oa(452,g|0,a|0);f=y;y=0;if(f&1)b=pb()|0;else{y=0;f=d;b=e;c=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(c|0));Ra(19,h|0,d|0,g|0,0);f=y;y=0;if(f&1)c=1;else{y=0;Na(76,h|0,1648,158);y=0;c=0}b=pb()|0;$9(g);if(!c){h=b;sb(h|0)}}fb(h|0);h=b;sb(h|0)}function Hy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=r;r=r+16|0;b=f;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,46818,1);y=0;oa(605,a|0,b|0);e=y;y=0;if(e&1){f=pb()|0;$9(b);sb(f|0)}$9(b);if((k[k[a+68>>2]>>2]|0)==3){r=f;return}e=a+4|0;b=i[e+11>>0]|0;c=b<<24>>24<0;if(c)d=k[a+8>>2]|0;else d=b&255;if(!d){r=f;return}if(c)b=k[a+8>>2]|0;else b=b&255;e=aN(e,b+-1|0)|0;if(dma(l[e>>0]|0)|0)if(!(i[a+84>>0]|0)){r=f;return}k[a+76>>2]=1;r=f;return}function Iy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;pK(a,b);c=a+12|0;y=0;oa(452,c|0,b+12|0);d=y;y=0;if(d&1){d=pb()|0;$9(a);sb(d|0)}d=a+24|0;y=0;oa(452,d|0,b+24|0);e=y;y=0;if(e&1){e=pb()|0;$9(c);$9(a);sb(e|0)}y=0;oa(452,a+36|0,b+36|0);e=y;y=0;if(e&1){e=pb()|0;$9(d);$9(c);$9(a);sb(e|0)}else return}function Jy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;f=b;l=a+11|0;d=i[l>>0]|0;if(d<<24>>24<0){e=(k[a+8>>2]&2147483647)+-1|0;j=k[a+4>>2]|0}else{e=10;j=d&255}h=c-f|0;do if(h|0){if((e-j|0)>>>0<h>>>0){_C(a,e,j+h-e|0,j,j,0,0);d=i[l>>0]|0}if(d<<24>>24<0)g=k[a>>2]|0;else g=a;f=c+(j-f)|0;e=g+j|0;d=b;while(1){if((d|0)==(c|0))break;i[e>>0]=i[d>>0]|0;e=e+1|0;d=d+1|0}i[g+f>>0]=0;d=j+h|0;if((i[l>>0]|0)<0){k[a+4>>2]=d;break}else{i[l>>0]=d;break}}while(0);return a|0}function Ky(a){a=a|0;var b=0,c=0,d=0;k[a>>2]=15244;b=a+64|0;c=k[b>>2]|0;do if(c|0){y=0;qa(258,a|0)|0;d=y;y=0;if(d&1){d=tb(0)|0;TI(c)|0;vb(d|0)|0;y=0;la(3);d=y;y=0;if(!(d&1))break;d=tb(0)|0;nba(a);dla(d)}else{if(TI(c)|0)break;k[b>>2]=0;break}}while(0);d=j[a+96>>1]|0;b=(d&65535)>>>8&255;if((d&255)<<24>>24){c=k[a+32>>2]|0;if(c){sqa(c);b=i[a+97>>0]|0}}if(!(b<<24>>24)){nba(a);return}b=k[a+56>>2]|0;if(!b){nba(a);return}sqa(b);nba(a);return}function Ly(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(88)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;b=e+56|0;k[b>>2]=k[a+56>>2];k[e>>2]=7760;c=e+60|0;k[c>>2]=7720;y=0;oa(473,e+64|0,a+64|0);d=y;y=0;if(!(d&1)){k[e+76>>2]=k[a+76>>2];k[e>>2]=7552;k[c>>2]=7680;k[e+80>>2]=k[a+80>>2];a=j[a+84>>1]|0;i[e+84>>0]=a;i[e+85>>0]=(a&65535)>>>8;k[b>>2]=5;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function My(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;g=r;r=r+16|0;f=g;d=a+68|0;c=k[d>>2]|0;if((k[c>>2]|0)!=2){r=g;return}k[a+80>>2]=1;k[a+76>>2]=0;e=a+72|0;if(!(k[e>>2]|0)){r=g;return}b=0;while(1){c=k[c+8>>2]|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;jI(f,c,JI(c)|0);y=0;oa(605,a|0,f|0);c=y;y=0;if(c&1){b=7;break}$9(f);b=b+1|0;if(b>>>0>=(k[e>>2]|0)>>>0){b=8;break}c=k[d>>2]|0}if((b|0)==7){g=pb()|0;$9(f);sb(g|0)}else if((b|0)==8){r=g;return}}function Ny(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;i=r;r=r+96|0;f=i+56|0;g=i+40|0;h=i;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,43120,42);e=h;c=b+12|0;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));b=k[a+88>>2]|0;if((b|0)==(k[a+84>>2]|0))b=0;else b=k[b+-4>>2]|0;y=0;e=f;c=h;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));Na(103,g|0,f|0,b|0);h=y;y=0;if(h&1){i=pb()|0;$9(g);sb(i|0)}else{$9(g);r=i;return 0}return 0}function Oy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;c=a+56|0;k[c>>2]=k[b+56>>2];k[a>>2]=8608;d=a+60|0;y=0;oa(452,d|0,b+60|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}y=0;oa(464,a+72|0,b+72|0);e=y;y=0;if(!(e&1)){i[a+76>>0]=i[b+76>>0]|0;k[a+80>>2]=k[b+80>>2];k[a+84>>2]=k[b+84>>2];k[c>>2]=11;return}b=pb()|0;$9(d);sb(b|0)}function Py(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;g=r;r=r+16|0;h=g+4|0;f=g;k[h+4>>2]=0;k[h+8>>2]=0;i=h+4|0;k[h>>2]=i;y=0;oa(464,f|0,a|0);a=y;y=0;do if(a&1)a=pb()|0;else{y=0;a=pa(44,f|0,b|0,c|0,d|0,e|0,h|0)|0;e=y;y=0;if(e&1){a=pb()|0;EO(f);break}else{EO(f);II(h,k[i>>2]|0);r=g;return a|0}}while(0);II(h,k[i>>2]|0);sb(a|0);return 0}function Qy(a,b){a=a|0;b=b|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;if((cc|0)==1)cc=3}Qc(fc+51288|0);return k[dc>>2]|0}function Ry(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function Sy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function Ty(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=b&255;d=(c|0)!=0;a:do if(d&(a&3|0)!=0){e=b&255;while(1){if((i[a>>0]|0)==e<<24>>24){g=6;break a}a=a+1|0;c=c+-1|0;d=(c|0)!=0;if(!(d&(a&3|0)!=0)){g=5;break}}}else g=5;while(0);if((g|0)==5)if(d)g=6;else c=0;b:do if((g|0)==6){e=b&255;if((i[a>>0]|0)!=e<<24>>24){d=aa(f,16843009)|0;c:do if(c>>>0>3)while(1){f=k[a>>2]^d;if((f&-2139062144^-2139062144)&f+-16843009|0)break;a=a+4|0;c=c+-4|0;if(c>>>0<=3){g=11;break c}}else g=11;while(0);if((g|0)==11)if(!c){c=0;break}while(1){if((i[a>>0]|0)==e<<24>>24)break b;a=a+1|0;c=c+-1|0;if(!c){c=0;break}}}}while(0);return (c|0?a:0)|0}function Uy(a){a=a|0;var b=0,c=0;if(!(k5(a)|0))b=0;else{c=a+1|0;if(!(k5(c)|0)){b=1;a=c}else{c=a+2|0;if(!(k5(c)|0)){b=2;a=c}else{c=a+3|0;if(!(k5(c)|0)){b=3;a=c}else{c=a+4|0;if(!(k5(c)|0)){b=4;a=c}else{c=a+5|0;if(!(k5(c)|0)){b=5;a=c}else{c=a+6|0;b=6;b=(b|0)!=0;c=b?c:0;return c|0}}}}}}while(1){if((i[a>>0]|0)!=63){c=6;break}a=a+1|0;b=b+1|0;if(b>>>0>=6){c=6;break}}if((c|0)==6){c=(b|0)!=0;c=c?a:0;return c|0}return 0}function Vy(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(84)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));k[e>>2]=4940;b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;k[e+56>>2]=k[a+56>>2];b=e+60|0;k[b>>2]=8568;y=0;oa(488,e+64|0,a+64|0);d=y;y=0;if(!(d&1)){k[e+76>>2]=k[a+76>>2];k[e>>2]=8404;k[b>>2]=8528;a=k[a+80>>2]|0;i[e+80>>0]=a;i[e+81>>0]=(a&65535)>>>8;i[e+82>>0]=a>>>16;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function Wy(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(112)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;b=e+56|0;k[b>>2]=k[a+56>>2];k[e>>2]=9088;p[e+64>>3]=+p[a+64>>3];p[e+72>>3]=+p[a+72>>3];p[e+80>>3]=+p[a+80>>3];p[e+88>>3]=+p[a+88>>3];y=0;oa(452,e+96|0,a+96|0);d=y;y=0;if(!(d&1)){k[e+108>>2]=k[a+108>>2];k[b>>2]=3;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function Xy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function Yy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;d=k[b+52>>2]|0;i[a+52>>0]=d;i[a+53>>0]=(d&65535)>>>8;i[a+54>>0]=d>>>16;k[a+56>>2]=k[b+56>>2];k[a>>2]=8044;d=b+60|0;e=k[d+4>>2]|0;c=a+60|0;k[c>>2]=k[d>>2];k[c+4>>2]=e;c=a+68|0;y=0;oa(464,c|0,b+68|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}y=0;oa(464,a+72|0,b+72|0);e=y;y=0;if(!(e&1)){k[a+76>>2]=k[b+76>>2];return}b=pb()|0;EO(c);sb(b|0)}function Zy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function _y(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function $y(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function az(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function bz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function cz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function dz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function ez(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function fz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function gz(a){a=a|0;var b=0,c=0,d=0,e=0;b=ZL(80)|0;y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);sb(e|0)}c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;e=k[a+60>>2]|0;i[b+60>>0]=e;i[b+61>>0]=(e&65535)>>>8;i[b+62>>0]=e>>>16;k[b+64>>2]=k[a+64>>2];k[b+68>>2]=k[a+68>>2];k[b+56>>2]=7;k[b>>2]=11548;y=0;oa(464,b+72|0,a+72|0);e=y;y=0;if(!(e&1)){i[b+76>>0]=i[a+76>>0]|0;return b|0}e=pb()|0;zqa(b);sb(e|0);return 0}function hz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function iz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function jz(a){a=a|0;var b=0,c=0,d=0,e=0;e=r;r=r+16|0;d=e+4|0;b=e;rT(d,a+68|0);a=k[d>>2]|0;k[b>>2]=a;if(!a){EO(b);d=1;r=e;return d|0}c=pw(a,88,104,0)|0;EO(b);if(!c){d=1;r=e;return d|0}d=c+76|0;a=k[d>>2]|0;b=(k[c+80>>2]|0)-a>>2;if(!b){d=1;r=e;return d|0}c=k[a>>2]|0;if(oc[k[(k[c>>2]|0)+124>>2]&511](c)|0)a=1;else{d=0;r=e;return d|0}while(1){if(a>>>0>=b>>>0){a=1;b=8;break}c=k[(k[d>>2]|0)+(a<<2)>>2]|0;if(oc[k[(k[c>>2]|0)+124>>2]&511](c)|0)a=a+1|0;else{a=0;b=8;break}}if((b|0)==8){r=e;return a|0}return 0}function kz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;g=r;r=r+48|0;c=g;e=g+40|0;f=ZL(68)|0;d=c;a=a+108|0;b=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(b|0));y=0;na(366,f|0);d=y;y=0;if(d&1){g=pb()|0;zqa(f);sb(g|0)}d=f+12|0;a=c;b=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(b|0));a=f+52|0;k[a>>2]=0;k[f+56>>2]=0;i[f+60>>0]=0;k[f>>2]=7460;y=0;oa(482,f+64|0,0);d=y;y=0;if(!(d&1)){k[a>>2]=7;_V(e,f);r=g;return k[e>>2]|0}g=pb()|0;zqa(f);sb(g|0);return 0}function lz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function mz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function nz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;if(c&2048){i[a>>0]=43;a=a+1|0}if(c&1024){i[a>>0]=35;a=a+1|0}g=c&260;d=c>>>14;f=(g|0)==260;if(f)e=0;else{i[a>>0]=46;i[a+1>>0]=42;e=1;a=a+2|0}while(1){c=i[b>>0]|0;if(!(c<<24>>24))break;i[a>>0]=c;b=b+1|0;a=a+1|0}a:do switch(g&511){case 4:if(!(d&1)){i[a>>0]=102;break a}else{i[a>>0]=70;break a}case 256:if(!(d&1)){i[a>>0]=101;break a}else{i[a>>0]=69;break a}default:{c=(d&1|0)!=0;if(f)if(c){i[a>>0]=65;break a}else{i[a>>0]=97;break a}else if(c){i[a>>0]=71;break a}else{i[a>>0]=103;break a}}}while(0);return e|0}function oz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=6172;EO(a+88|0);d=a+76|0;b=k[d>>2]|0;if(b|0){e=a+80|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-48|0;k[e>>2]=f;$9(c+-12|0);$9(c+-24|0);$9(c+-36|0);$9(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}e=a+64|0;b=k[e>>2]|0;if(!b)return;d=a+68|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{f=c+-4|0;k[d>>2]=f;EO(f);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}zqa(b);return}function pz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function qz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function rz(a){a=a|0;var b=0,c=0;b=a+4|0;a=k[b>>2]|0;a=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;do if(k[a+24>>2]|0)if(!(k[a+16>>2]|0))if(k[a+4>>2]&8192|0)if(!(hb()|0)){a=k[b>>2]|0;a=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+24>>2]|0,a|0)|0;c=y;y=0;if(!(c&1)){if((a|0)!=-1)break;c=k[b>>2]|0;c=c+(k[(k[c>>2]|0)+-12>>2]|0)|0;y=0;oa(532,c|0,k[c+16>>2]|1|0);c=y;y=0;if(!(c&1))break}c=tb(0)|0;vb(c|0)|0;y=0;la(3);c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}}while(0);return}function sz(a){a=a|0;var b=0,c=0;b=a+4|0;a=k[b>>2]|0;a=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;do if(k[a+24>>2]|0)if(!(k[a+16>>2]|0))if(k[a+4>>2]&8192|0)if(!(hb()|0)){a=k[b>>2]|0;a=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+24>>2]|0,a|0)|0;c=y;y=0;if(!(c&1)){if((a|0)!=-1)break;c=k[b>>2]|0;c=c+(k[(k[c>>2]|0)+-12>>2]|0)|0;y=0;oa(532,c|0,k[c+16>>2]|1|0);c=y;y=0;if(!(c&1))break}c=tb(0)|0;vb(c|0)|0;y=0;la(3);c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}}while(0);return}function tz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)GH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;zqa(c);return}function uz(a){a=a|0;a=a+68|0;if(!(tN(a,43538)|0)){a=1;return a|0}if(!(tN(a,43557)|0)){a=1;return a|0}if(!(tN(a,43573)|0)){a=1;return a|0}if(!(tN(a,43587)|0)){a=1;return a|0}if(!(tN(a,29157)|0)){a=1;return a|0}if(!(tN(a,29172)|0)){a=1;return a|0}if(!(tN(a,29184)|0)){a=1;return a|0}a=(tN(a,44343)|0)==0;return a|0}function vz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;i=r;r=r+16|0;f=i;if((a|0)==(b|0)){k[c>>2]=4;a=0}else{g=v9()|0;h=k[g>>2]|0;k[g>>2]=0;a=hda(a,f,d,gN()|0)|0;d=N;e=k[g>>2]|0;if(!e)k[g>>2]=h;a:do if((k[f>>2]|0)==(b|0)){do if((e|0)==34){k[c>>2]=4;if((d|0)>0|(d|0)==0&a>>>0>0){a=2147483647;break a}}else{if((d|0)<-1|(d|0)==-1&a>>>0<2147483648){k[c>>2]=4;break}if((d|0)>0|(d|0)==0&a>>>0>2147483647){k[c>>2]=4;a=2147483647;break a}else break a}while(0);a=-2147483648}else{k[c>>2]=4;a=0}while(0)}r=i;return a|0}function wz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;oy(a,b);c=a+12|0;y=0;oa(462,c|0,b+12|0);f=y;y=0;if(f&1)d=pb()|0;else{f=a+24|0;e=b+24|0;k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];y=0;oa(452,a+36|0,b+36|0);f=y;y=0;if(!(f&1))return;d=pb()|0;b=k[c>>2]|0;c=b;if(b){e=a+16|0;f=k[e>>2]|0;if((f|0)!=(b|0))k[e>>2]=f+(~(((f+-24-c|0)>>>0)/24|0)*24|0);zqa(b)}}e=k[a>>2]|0;if(!e)sb(d|0);b=a+4|0;c=k[b>>2]|0;if((c|0)!=(e|0))k[b>>2]=c+(~((c+-4-e|0)>>>2)<<2);zqa(e);sb(d|0)}function xz(a){a=a|0;var b=0,c=0;b=YA(a)|0;if(!b){c=0;return c|0}a:do if((i[b>>0]|0)==42){a=YA(b+1|0)|0;if(a)while(1){if((i[a>>0]|0)!=42){b=a;break a}b=YA(a+1|0)|0;if(!b){b=a;break}else a=b}}while(0);b:do if((i[b>>0]|0)==47){c=YA(b+1|0)|0;if(!c)a=0;else if((i[c>>0]|0)==42){a=YA(c+1|0)|0;if(!a)a=c;else while(1){if((i[a>>0]|0)!=42)break b;c=YA(a+1|0)|0;if(!c)break;else a=c}}else a=c}else a=0;while(0);c=a|0?a:b;return c|0}function yz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=0;pK(a,b);d=a+11|0;b=i[d>>0]|0;e=b<<24>>24<0;if(e){c=k[a>>2]|0;b=k[a+4>>2]|0}else{c=a;b=b&255}b=c+b|0;while(1){if((b|0)==(c|0))break;b=b+-1|0;if(!(Ty(46941,l[b>>0]|0,6)|0)){f=7;break}}if((f|0)==7){b=b-c|0;if((b|0)!=-1){y=0;ta(53,a|0,b+1|0,-1)|0;f=y;y=0;if(f&1){f=pb()|0;$9(a);sb(f|0)}else return}}if(e){i[k[a>>2]>>0]=0;k[a+4>>2]=0;return}else{i[a>>0]=0;i[d>>0]=0;return}}function zz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=a+11|0;e=i[j>>0]|0;f=e<<24>>24<0;if(f)h=k[a+4>>2]|0;else h=e&255;if(h>>>0<b>>>0)KM(a);if(f)e=(k[a+8>>2]&2147483647)+-1|0;else e=10;if((e-h|0)>>>0<d>>>0)dA(a,e,h+d-e|0,h,b,0,d,c);else if(d|0){if(f)g=k[a>>2]|0;else g=a;f=h-b|0;e=g+b|0;if(f){DN(e+d|0,e|0,f|0)|0;c=e>>>0<=c>>>0&(g+h|0)>>>0>c>>>0?c+d|0:c}DN(e|0,c|0,d|0)|0;c=h+d|0;if((i[j>>0]|0)<0)k[a+4>>2]=c;else i[j>>0]=c;i[g+c>>0]=0}return a|0}function Az(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=0;pK(a,b);d=a+11|0;b=i[d>>0]|0;e=b<<24>>24<0;if(e){c=k[a>>2]|0;b=k[a+4>>2]|0}else{c=a;b=b&255}b=c+b|0;while(1){if((b|0)==(c|0))break;b=b+-1|0;if(!(Ty(46941,l[b>>0]|0,6)|0)){f=7;break}}if((f|0)==7){b=b-c|0;if((b|0)!=-1){y=0;ta(53,a|0,b+1|0,-1)|0;f=y;y=0;if(f&1){f=pb()|0;$9(a);sb(f|0)}else return}}if(e){i[k[a>>2]>>0]=0;k[a+4>>2]=0;return}else{i[a>>0]=0;i[d>>0]=0;return}}function Bz(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0;if((1073741807-b|0)>>>0<c>>>0)LM(a);l=a+8|0;if((i[l+3>>0]|0)<0)j=k[a>>2]|0;else j=a;if(b>>>0<536870887){c=c+b|0;h=b<<1;c=c>>>0<h>>>0?h:c;c=c>>>0<2?2:c+4&-4;if(c>>>0>1073741823){l=gb(4)|0;doa(l);Wb(l|0,4496,348)}}else c=1073741807;h=ZL(c<<2)|0;if(e|0)Saa(h,j,e)|0;d=d-f-e|0;if(d|0)Saa(h+(e<<2)+(g<<2)|0,j+(e<<2)+(f<<2)|0,d)|0;if((b|0)!=1)zqa(j);k[a>>2]=h;k[l>>2]=c|-2147483648;return}function Cz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;k[dc+32>>2]=d;k[dc+40>>2]=e;if((cc|0)==1)cc=3}Qc(fc+51608|0);return k[dc>>2]|0}function Dz(a){a=a|0;var b=0,c=0;b=Tia(a)|0;if(b|0){a=b;return a|0}c=a+1|0;switch(i[a>>0]|0){case 45:case 95:{a=c;return a|0}default:{}}b=Mia(a)|0;if(b|0){a=b;return a|0}b=Mz(a)|0;if(b|0){a=b;return a|0}if((i[a>>0]|0)!=92){a=0;return a|0}if(!(k5(c)|0)){b=Lja(c)|0;if(!b){a=0;return a|0}}else{b=a+2|0;if(k5(b)|0){b=a+3|0;c=(k5(b)|0)==0;b=c?b:a+4|0}}a=(i[b>>0]|0)==32?b+1|0:b;return a|0}function Ez(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;c=a+64|0;y=0;oa(464,c|0,b+64|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[a>>2]=5344;y=0;oa(464,a+68|0,b+68|0);e=y;y=0;if(e&1){b=pb()|0;k[a>>2]=5436;EO(c);sb(b|0)}else{b=j[b+72>>1]|0;i[a+72>>0]=b;i[a+73>>0]=(b&65535)>>>8;k[d>>2]=1;return}}function Fz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;g=r;r=r+16|0;f=g;fy(f,a+324|0);y=0;d=ja(87,a|0,b|0,c|0,d|0,e|0,f|0,0)|0;e=y;y=0;if(e&1){c=pb()|0;d=k[f>>2]|0;if(!d)sb(c|0);a=f+4|0;b=k[a>>2]|0;if((b|0)!=(d|0))k[a>>2]=b+(~((b+-4-d|0)>>>2)<<2);zqa(d);sb(c|0)}else{c=k[f>>2]|0;if(!c){r=g;return d|0}a=f+4|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-4-c|0)>>>2)<<2);zqa(c);r=g;return d|0}return 0}function Gz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=r;r=r+16|0;b=e+8|0;d=e+4|0;c=e;if(i[a+54>>0]|0){d=1;r=e;return d|0}a=a+72|0;rT(b,a);f=k[b>>2]|0;k[d>>2]=f;do if(!f)a=0;else{y=0;oa(464,b|0,a|0);f=y;y=0;if(f&1){f=pb()|0;EO(d);sb(f|0)}a=k[b>>2]|0;k[c>>2]=a;y=0;a=qa(k[(k[a>>2]|0)+108>>2]|0,a|0)|0;f=y;y=0;if(!(f&1)){EO(c);break}f=pb()|0;EO(c);EO(d);sb(f|0)}while(0);EO(d);f=a;r=e;return f|0}function Hz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=r;r=r+16|0;b=e+8|0;d=e+4|0;c=e;if(i[a+54>>0]|0){d=1;r=e;return d|0}a=a+68|0;rT(b,a);f=k[b>>2]|0;k[d>>2]=f;do if(!f)a=0;else{y=0;oa(464,b|0,a|0);f=y;y=0;if(f&1){f=pb()|0;EO(d);sb(f|0)}a=k[b>>2]|0;k[c>>2]=a;y=0;a=qa(k[(k[a>>2]|0)+104>>2]|0,a|0)|0;f=y;y=0;if(!(f&1)){EO(c);break}f=pb()|0;EO(c);EO(d);sb(f|0)}while(0);EO(d);f=a;r=e;return f|0}function Iz(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(84)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;b=e+56|0;k[e>>2]=9504;k[b>>2]=4;c=e+60|0;k[c>>2]=7720;y=0;oa(473,e+64|0,a+64|0);d=y;y=0;if(!(d&1)){k[e+76>>2]=k[a+76>>2];k[e>>2]=9328;k[c>>2]=9464;k[e+80>>2]=k[a+80>>2];k[b>>2]=4;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function Jz(a){a=a|0;var b=0,c=0,d=0;if(!a)return;switch(k[a>>2]|0){case 8:{Pf(k[a+4>>2]|0);break}case 7:{Pf(k[a+4>>2]|0);break}case 1:{Pf(k[a+16>>2]|0);break}case 5:{d=a+4|0;c=a+8|0;if(k[d>>2]|0){b=0;do{Jz(k[(k[c>>2]|0)+(b<<3)>>2]|0);Jz(k[(k[c>>2]|0)+(b<<3)+4>>2]|0);b=b+1|0}while(b>>>0<(k[d>>2]|0)>>>0)}Pf(k[c>>2]|0);break}case 3:{Pf(k[a+8>>2]|0);break}case 4:{c=a+8|0;d=a+12|0;if(k[c>>2]|0){b=0;do{Jz(k[(k[d>>2]|0)+(b<<2)>>2]|0);b=b+1|0}while(b>>>0<(k[c>>2]|0)>>>0)}Pf(k[d>>2]|0);break}default:{}}Pf(a);return}function Kz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6080;c=a+64|0;y=0;oa(452,c|0,b+64|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}y=0;oa(464,a+76|0,b+76|0);e=y;y=0;if(!(e&1)){b=j[b+80>>1]|0;i[a+80>>0]=b;i[a+81>>0]=(b&65535)>>>8;k[d>>2]=10;return}b=pb()|0;$9(c);sb(b|0)}function Lz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=0;b=a+1|0;if((i[a>>0]|0)!=40){f=0;return f|0}a=i[b>>0]|0;if(!(a<<24>>24)){f=0;return f|0}else{c=0;d=0;e=0}a:while(1){b:do switch(a<<24>>24){case 92:{b=b+1|0;break}case 34:{c=c^1;break}case 39:{d=d^1;break}default:if(c)c=1;else if(d){c=0;d=1}else switch(a<<24>>24){case 40:{c=0;d=0;e=e+1|0;break b}case 41:if(!e)break a;else{c=0;d=0;e=e+-1|0;break b}default:{c=0;d=0;break b}}}while(0);b=b+1|0;a=i[b>>0]|0;if(!(a<<24>>24)){a=0;f=14;break}}if((f|0)==14)return a|0;f=b+1|0;return f|0}function Mz(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)!=92){c=0;return c|0}b=a+1|0;c=kE(b)|0;if(!c){if((i[a>>0]|0)!=92){c=0;return c|0}a=Mia(b)|0;if(a|0){c=a;return c|0}c=Dca(b)|0;return c|0}a=w2(c)|0;if(!a){b=i[c>>0]|0;a=c+1|0;if((b|4)<<24>>24!=13){b=b<<24>>24|0;a=(b|0)!=10?((b|0)==12?a:0):a;if(!a)return c|0}}while(1){b=w2(a)|0;if(b|0){a=b;continue}b=i[a>>0]|0;c=a+1|0;if((b|4)<<24>>24==13){a=c;continue}b=b<<24>>24|0;b=(b|0)!=10?((b|0)==12?c:0):c;if(!b)break;else a=b}return a|0}function Nz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=a+4|0;b=a+12|0;e=a+16|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;k[a+20>>2]=0;y=0;Ra(15,a+24|0,0,0,0);g=y;y=0;if(!(g&1)){g=a+36|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,46731,5);g=y;y=0;if(!(g&1))return}g=pb()|0;b=k[b>>2]|0;c=b;if(b|0){d=k[e>>2]|0;if((d|0)!=(b|0))k[e>>2]=d+(~(((d+-24-c|0)>>>0)/24|0)*24|0);zqa(b)}b=k[a>>2]|0;if(!b)sb(g|0);c=k[f>>2]|0;if((c|0)!=(b|0))k[f>>2]=c+(~((c+-4-b|0)>>>2)<<2);zqa(b);sb(g|0)}function Oz(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(88)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));k[e>>2]=5252;k[e+52>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;b=e+64|0;k[b>>2]=5212;y=0;oa(463,e+68|0,a+68|0);d=y;y=0;if(!(d&1)){k[e+80>>2]=k[a+80>>2];k[e>>2]=5076;k[b>>2]=5172;a=j[a+84>>1]|0;i[e+84>>0]=a;i[e+85>>0]=(a&65535)>>>8;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function Pz(a){a=a|0;var b=0,c=0;b=yq(a)|0;if(b|0){a=b;return a|0}if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=kw(b)|0;if(b|0){b=iw(b)|0;if(b|0){a=b;return a|0}}b=XB(a)|0;if(b|0)if((i[b>>0]|0)==37){a=b+1|0;return a|0}if((i[a>>0]|0)==35){b=k5(a+1|0)|0;if(!b)b=0;else while(1){c=k5(b)|0;if(!c)break;else b=c}}else b=0;a=b-a|0;a=(a|0)!=4&(a|0)!=7?0:b;return a|0}function Qz(a){a=a|0;var b=0,c=0,d=0;if(!a){d=0;return d|0}b=i[45693]|0;a:do if(b<<24>>24){c=45693;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);b=i[a>>0]|0;if(!(b<<24>>24)){d=0;return d|0}b:while(1){if(a|0){c=i[46478]|0;if(!(c<<24>>24)){b=12;break}if(b<<24>>24==c<<24>>24){b=a;c=46478;do{b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24)){a=b;b=12;break b}}while((i[b>>0]|0)==d<<24>>24)}}a=a+1|0;b=i[a>>0]|0;if(!(b<<24>>24)){a=0;b=12;break}}if((b|0)==12)return a|0;return 0}function Rz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=0;d=c+16|0;e=k[d>>2]|0;if(!e)if(!(FL(c)|0)){d=k[d>>2]|0;f=5}else d=0;else{d=e;f=5}a:do if((f|0)==5){g=c+20|0;f=k[g>>2]|0;e=f;if((d-f|0)>>>0<b>>>0){d=rc[k[c+36>>2]&255](c,a,b)|0;break}b:do if((i[c+75>>0]|0)>-1){d=b;while(1){if(!d){f=b;d=0;break b}f=d+-1|0;if((i[a+f>>0]|0)==10)break;else d=f}if((rc[k[c+36>>2]&255](c,a,d)|0)>>>0<d>>>0)break a;f=b-d|0;a=a+d|0;e=k[g>>2]|0}else{f=b;d=0}while(0);GH(e|0,a|0,f|0)|0;k[g>>2]=(k[g>>2]|0)+f;d=d+f|0}while(0);return d|0}function Sz(a){a=a|0;a=Lq(a)|0;if(!a){a=0;return a|0}a=vt(a)|0;if(!a){a=0;return a|0}if((i[a>>0]|0)!=61){a=0;return a|0}a=vt(a+1|0)|0;if(!a){a=0;return a|0}a=$k(a)|0;return a|0}function Tz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0;l=a+64|0;g=l+11|0;d=i[g>>0]|0;m=d<<24>>24<0;c=k[l>>2]|0;h=a+68|0;b=k[h>>2]|0;f=m?c:l;m=m?b:d&255;e=f+m|0;a=e;if(m){d=e;do{d=d+-1|0;b=i[d>>0]|0;c=EZ(MN()|0,78144)|0;if(b<<24>>24<=-1)break;if(!(j[(k[c+8>>2]|0)+(b<<24>>24<<1)>>1]&8192))break;a=d}while((d|0)!=(f|0));d=i[g>>0]|0;c=k[l>>2]|0;b=k[h>>2]|0}m=d<<24>>24<0;h=m?c:l;VD(l,a-h|0,h+(m?b:d&255)-a|0)|0;$M(l,l)|0;return}function Uz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;e=r;r=r+16|0;d=e;c=a+72|0;b=(k[a+80>>2]|0)-(k[a+76>>2]|0)>>2;if(!b){r=e;return}a=0;while(1){f=Fc[k[(k[c>>2]|0)+16>>2]&2047](c,a)|0;g=Fc[k[(k[c>>2]|0)+16>>2]&2047](c,a)|0;g=k[g>>2]|0;_V(d,oc[k[(k[g>>2]|0)+16>>2]&511](g)|0);y=0;Ha(966,f|0,d|0)|0;f=y;y=0;if(f&1){a=6;break}EO(d);a=a+1|0;if(a>>>0>=b>>>0){a=3;break}}if((a|0)==3){r=e;return}else if((a|0)==6){g=pb()|0;EO(d);sb(g|0)}}function Vz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+32|0;d=e;b=b+12|0;c=a+24|0;k[d>>2]=k[b>>2];k[d+4>>2]=k[b+4>>2];k[d+8>>2]=k[b+8>>2];b=d+12|0;k[b>>2]=k[c>>2];k[b+4>>2]=k[c+4>>2];k[b+8>>2]=k[c+8>>2];b=a+16|0;c=k[b>>2]|0;if(c>>>0<(k[a+20>>2]|0)>>>0){k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];k[c+12>>2]=k[d+12>>2];k[c+16>>2]=k[d+16>>2];k[c+20>>2]=k[d+20>>2];k[b>>2]=(k[b>>2]|0)+24;r=e;return}else{lx(a+12|0,d);r=e;return}}function Wz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;e=r;r=r+16|0;d=e;c=a+72|0;b=(k[a+80>>2]|0)-(k[a+76>>2]|0)>>2;if(!b){r=e;return}a=0;while(1){f=Fc[k[(k[c>>2]|0)+16>>2]&2047](c,a)|0;g=Fc[k[(k[c>>2]|0)+16>>2]&2047](c,a)|0;g=k[g>>2]|0;_V(d,oc[k[(k[g>>2]|0)+16>>2]&511](g)|0);y=0;Ha(966,f|0,d|0)|0;f=y;y=0;if(f&1){a=6;break}EO(d);a=a+1|0;if(a>>>0>=b>>>0){a=3;break}}if((a|0)==3){r=e;return}else if((a|0)==6){g=pb()|0;EO(d);sb(g|0)}}function Xz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0;l=0;j=aa(c,b)|0;if((k[d+76>>2]|0)>-1)h=Iqa(d)|0;else h=0;e=d+74|0;g=i[e>>0]|0;i[e>>0]=g+255|g;e=d+4|0;g=k[e>>2]|0;f=(k[d+8>>2]|0)-g|0;if((f|0)>0){f=f>>>0<j>>>0?f:j;GH(a|0,g|0,f|0)|0;k[e>>2]=g+f;e=j-f|0;a=a+f|0}else e=j;a:do if(!e)l=13;else{g=d+32|0;while(1){if(VH(d)|0)break;f=rc[k[g>>2]&255](d,a,e)|0;if((f+1|0)>>>0<2)break;e=e-f|0;if(!e){l=13;break a}else a=a+f|0}if(h|0)Hqa(d);c=((j-e|0)>>>0)/(b>>>0)|0}while(0);if((l|0)==13)if(h)Hqa(d);return c|0}function Yz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;f=0;g=r;r=r+16|0;e=g;b=a+-60|0;d=b+80|0;a=k[d>>2]|0;if(a|0){f=a;r=g;return f|0}a=k[b+64>>2]|0;c=k[b+68>>2]|0;if((a|0)==(c|0)){f=0;r=g;return f|0}do{rT(e,a);b=k[e>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;h=y;y=0;if(h&1){f=6;break}h=k[d>>2]|0;k[d>>2]=b+-1640531527+(h<<6)+(h>>>2)^h;EO(e);a=a+4|0}while((a|0)!=(c|0));if((f|0)==6){h=pb()|0;EO(e);sb(h|0)}h=k[d>>2]|0;r=g;return h|0}function Zz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=r;r=r+16|0;d=e;b=k[a+76>>2]|0;c=k[a+80>>2]|0;if((b|0)==(c|0)){d=0;r=e;return d|0}while(1){rT(d,b);a=k[d>>2]|0;if(a|0){y=0;a=qa(k[(k[a>>2]|0)+132>>2]|0,a|0)|0;f=y;y=0;if(f&1){b=6;break}if(a){b=7;break}}EO(d);b=b+4|0;if((b|0)==(c|0)){a=0;b=9;break}}if((b|0)==6){f=pb()|0;EO(d);sb(f|0)}else if((b|0)==7){EO(d);f=1;r=e;return f|0}else if((b|0)==9){r=e;return a|0}return 0}function _z(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;k[a>>2]=0;e=a+4|0;k[e>>2]=0;k[a+8>>2]=0;if(!b)return;if(b>>>0>1073741823){y=0;na(365,a|0);d=y;y=0;if(!(d&1)){d=gb(4)|0;doa(d);y=0;Na(76,d|0,4496,348);y=0}}else{c=b<<2;y=0;d=qa(332,c|0)|0;f=y;y=0;if(!(f&1)){k[a>>2]=d;f=d+(b<<2)|0;k[a+8>>2]=f;jJ(d|0,0,c|0)|0;k[e>>2]=f;return}}d=pb()|0;b=k[a>>2]|0;if(!b)sb(d|0);c=k[e>>2]|0;if((c|0)!=(b|0))k[e>>2]=c+(~((c+-4-b|0)>>>2)<<2);zqa(b);sb(d|0)}function $z(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+16|0;f=m+8|0;h=m+4|0;j=m;l=a+11|0;c=i[l>>0]|0;g=c<<24>>24<0;d=k[a>>2]|0;e=g?d:a;k[j>>2]=e;g=e+(g?k[a+4>>2]|0:c&255)|0;if(!b){h=c;l=d;j=e;h=h<<24>>24<0;l=h?l:a;l=j-l|0;r=m;return l|0}c=0;do{k[h>>2]=g;k[f>>2]=k[h>>2];uA(j,f)|0;c=c+1|0}while((c|0)!=(b|0));h=i[l>>0]|0;l=k[a>>2]|0;j=k[j>>2]|0;h=h<<24>>24<0;l=h?l:a;l=j-l|0;r=m;return l|0}function aA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=r;r=r+16|0;d=e;b=k[a+76>>2]|0;c=k[a+80>>2]|0;if((b|0)==(c|0)){d=0;r=e;return d|0}while(1){rT(d,b);a=k[d>>2]|0;if(a|0){y=0;a=qa(k[(k[a>>2]|0)+132>>2]|0,a|0)|0;f=y;y=0;if(f&1){b=6;break}if(a){b=7;break}}EO(d);b=b+4|0;if((b|0)==(c|0)){a=0;b=9;break}}if((b|0)==6){f=pb()|0;EO(d);sb(f|0)}else if((b|0)==7){EO(d);f=1;r=e;return f|0}else if((b|0)==9){r=e;return a|0}return 0}function bA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=r;r=r+16|0;d=e;b=k[a+76>>2]|0;c=k[a+80>>2]|0;if((b|0)==(c|0)){d=0;r=e;return d|0}while(1){rT(d,b);a=k[d>>2]|0;if(a|0){y=0;a=qa(k[(k[a>>2]|0)+128>>2]|0,a|0)|0;f=y;y=0;if(f&1){b=6;break}if(a){b=7;break}}EO(d);b=b+4|0;if((b|0)==(c|0)){a=0;b=9;break}}if((b|0)==6){f=pb()|0;EO(d);sb(f|0)}else if((b|0)==7){EO(d);f=1;r=e;return f|0}else if((b|0)==9){r=e;return a|0}return 0}function cA(a){a=a|0;var b=0,c=0,d=0,e=0;b=ZL(80)|0;y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);sb(e|0)}c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;k[b+56>>2]=4;k[b>>2]=9640;e=j[a+60>>1]|0;i[b+60>>0]=e;i[b+61>>0]=(e&65535)>>>8;y=0;oa(452,b+64|0,a+64|0);e=y;y=0;if(!(e&1)){k[b+76>>2]=k[a+76>>2];k[b>>2]=9776;return b|0}e=pb()|0;zqa(b);sb(e|0);return 0}function dA(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0;if((-18-b|0)>>>0<c>>>0)LM(a);if((i[a+11>>0]|0)<0)m=k[a>>2]|0;else m=a;if(b>>>0<2147483623){j=c+b|0;l=b<<1;j=j>>>0<l>>>0?l:j;j=j>>>0<11?11:j+16&-16}else j=-17;l=ZL(j)|0;if(e|0)GH(l|0,m|0,e|0)|0;if(g|0)GH(l+e|0,h|0,g|0)|0;c=d-f|0;d=c-e|0;if(d|0)GH(l+e+g|0,m+e+f|0,d|0)|0;if((b|0)!=10)zqa(m);k[a>>2]=l;k[a+8>>2]=j|-2147483648;g=c+g|0;k[a+4>>2]=g;i[l+g>>0]=0;return}function eA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;a=k[b>>2]|0;e=k[c>>2]|0;if(!(Fc[k[(k[a>>2]|0)+160>>2]&2047](a,e)|0))if(!(Fc[k[(k[e>>2]|0)+160>>2]&2047](e,a)|0)){LH(d,b)|0;d=1;return d|0}a=k[b>>2]|0;if(k[a+72>>2]|0){d=0;return d|0}e=k[c>>2]|0;if(k[e+72>>2]|0){d=0;return d|0}if(ff(a,e)|0){LH(d,c)|0;d=1;return d|0}if(!(ff(k[c>>2]|0,k[b>>2]|0)|0)){d=0;return d|0}LH(d,b)|0;d=1;return d|0}function fA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=r;r=r+16|0;d=e;b=k[a+76>>2]|0;c=k[a+80>>2]|0;if((b|0)==(c|0)){d=0;r=e;return d|0}while(1){rT(d,b);a=k[d>>2]|0;if(a|0){y=0;a=qa(k[(k[a>>2]|0)+128>>2]|0,a|0)|0;f=y;y=0;if(f&1){b=6;break}if(a){b=7;break}}EO(d);b=b+4|0;if((b|0)==(c|0)){a=0;b=9;break}}if((b|0)==6){f=pb()|0;EO(d);sb(f|0)}else if((b|0)==7){EO(d);f=1;r=e;return f|0}else if((b|0)==9){r=e;return a|0}return 0}function gA(a,b){a=a|0;b=b|0;var c=0,d=0;if((b|0)==1)b=2;else if(b+-1&b)b=xe(b)|0;d=k[a+4>>2]|0;if(b>>>0>d>>>0){Jj(a,b);return}if(b>>>0>=d>>>0)return;c=~~+$(+(+((k[a+12>>2]|0)>>>0)/+o[a+16>>2]))>>>0;if(d>>>0>2&(d+-1&d|0)==0)c=1<<32-(da(c+-1|0)|0);else c=xe(c)|0;b=b>>>0<c>>>0?c:b;if(b>>>0>=d>>>0)return;Jj(a,b);return}function hA(a){a=a|0;var b=0;if((i[a>>0]|0)!=47){b=0;return b|0}b=a+1|0;if((i[b>>0]|0)==45){a=b;do a=a+1|0;while((i[a>>0]|0)==45)}else a=b;a=kw(a)|0;if(!a)a=0;else{a=iw(a)|0;if(!a)a=0;else a=(i[a>>0]|0)==124?a+1|0:0}a=a|0?a:b;if(!a){b=0;return b|0}if((i[a>>0]|0)==45)do a=a+1|0;while((i[a>>0]|0)==45);a=kw(a)|0;if(!a){b=0;return b|0}a=iw(a)|0;if(!a){b=0;return b|0}b=(i[a>>0]|0)==47?a+1|0:0;return b|0}function iA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=0;m=r;r=r+128|0;e=m+112|0;l=m;f=l;g=19748;h=f+112|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));if((b+-1|0)>>>0>2147483646)if(!b){a=e;b=1;j=4}else{b=v9()|0;k[b>>2]=75;b=-1}else j=4;if((j|0)==4){j=-2-a|0;j=b>>>0>j>>>0?j:b;k[l+48>>2]=j;e=l+20|0;k[e>>2]=a;k[l+44>>2]=a;b=a+j|0;a=l+16|0;k[a>>2]=b;k[l+28>>2]=b;b=sw(l,c,d)|0;if(j){l=k[e>>2]|0;i[l+(((l|0)==(k[a>>2]|0))<<31>>31)>>0]=0}}r=m;return b|0}function jA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=0;f=b;e=c-f>>2;if(e>>>0>1073741807){LM(a);d=5}else if(e>>>0<2){i[a+8+3>>0]=e;e=a}else d=5;do if((d|0)==5){d=e+4&-4;if(d>>>0>1073741823){c=gb(4)|0;doa(c);Wb(c|0,4496,348)}else{g=ZL(d<<2)|0;k[a>>2]=g;k[a+8>>2]=d|-2147483648;k[a+4>>2]=e;e=g;break}}while(0);a=(c-f|0)>>>2;d=e;while(1){if((b|0)==(c|0))break;k[d>>2]=k[b>>2];b=b+4|0;d=d+4|0}k[e+(a<<2)>>2]=0;return}function kA(a){a=a|0;var b=0,c=0,d=0,e=0;d=r;r=r+16|0;c=d;b=a+408|0;e=i[b+11>>0]|0;if(!((e<<24>>24<0?k[a+412>>2]|0:e&255)|0)){y=0;b=sa(21,b|0,0,-1,82159,0)|0;e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}if(!b){e=0;r=d;return e|0}}c4(c,a+76|0,a);y=0;b=qa(340,((i[c+11>>0]|0)<0?k[c>>2]|0:c)|0)|0;e=y;y=0;if(e&1){e=pb()|0;$9(c);sb(e|0)}$9(c);e=b;r=d;return e|0}function lA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;k[a+56>>2]=k[b+56>>2];k[a>>2]=10112;c=a+60|0;y=0;oa(464,c|0,b+60|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}y=0;oa(464,a+64|0,b+64|0);e=y;y=0;if(!(e&1)){i[a+68>>0]=i[b+68>>0]|0;return}b=pb()|0;EO(c);sb(b|0)}function mA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;f=0;g=r;r=r+16|0;d=g;e=a+80|0;b=k[e>>2]|0;if(b|0){f=b;r=g;return f|0}b=k[a+64>>2]|0;c=k[a+68>>2]|0;if((b|0)==(c|0)){f=0;r=g;return f|0}do{rT(d,b);a=k[d>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+8>>2]|0,a|0)|0;h=y;y=0;if(h&1){f=6;break}h=k[e>>2]|0;k[e>>2]=a+-1640531527+(h<<6)+(h>>>2)^h;EO(d);b=b+4|0}while((b|0)!=(c|0));if((f|0)==6){h=pb()|0;EO(d);sb(h|0)}h=k[e>>2]|0;r=g;return h|0}function nA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;k[a+56>>2]=k[b+56>>2];k[a>>2]=10324;c=a+60|0;y=0;oa(464,c|0,b+60|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}y=0;oa(464,a+64|0,b+64|0);e=y;y=0;if(!(e&1)){k[a+68>>2]=k[b+68>>2];return}b=pb()|0;EO(c);sb(b|0)}function oA(a){a=a|0;var b=0,c=0,d=0,e=0;b=ZL(80)|0;y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);sb(e|0)}c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;k[b+56>>2]=4;k[b>>2]=9640;e=j[a+60>>1]|0;i[b+60>>0]=e;i[b+61>>0]=(e&65535)>>>8;y=0;oa(452,b+64|0,a+64|0);e=y;y=0;if(!(e&1)){k[b+76>>2]=k[a+76>>2];return b|0}e=pb()|0;zqa(b);sb(e|0);return 0}function pA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;i=a+4|0;d=(k[i>>2]|0)!=417;g=k[a>>2]|0;e=(k[c>>2]|0)-g|0;e=e>>>0<2147483647?e<<1:-1;e=(e|0)==0?4:e;f=(k[b>>2]|0)-g>>2;g=BH(d?g:0,e)|0;if(!g)Fba();do if(d){k[a>>2]=g;h=g}else{d=k[a>>2]|0;k[a>>2]=g;if(!d)h=g;else{y=0;na(k[i>>2]|0,d|0);g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}else{h=k[a>>2]|0;break}}}while(0);k[i>>2]=419;k[b>>2]=h+(f<<2);k[c>>2]=(k[a>>2]|0)+(e>>>2<<2);return}function qA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;i=a+4|0;d=(k[i>>2]|0)!=417;g=k[a>>2]|0;e=(k[c>>2]|0)-g|0;e=e>>>0<2147483647?e<<1:-1;e=(e|0)==0?4:e;f=(k[b>>2]|0)-g>>2;g=BH(d?g:0,e)|0;if(!g)Fba();do if(d){k[a>>2]=g;h=g}else{d=k[a>>2]|0;k[a>>2]=g;if(!d)h=g;else{y=0;na(k[i>>2]|0,d|0);g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}else{h=k[a>>2]|0;break}}}while(0);k[i>>2]=419;k[b>>2]=h+(f<<2);k[c>>2]=(k[a>>2]|0)+(e>>>2<<2);return}function rA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;c=a+56|0;k[c>>2]=k[b+56>>2];k[a>>2]=8728;d=a+60|0;y=0;oa(464,d|0,b+60|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}y=0;oa(464,a+64|0,b+64|0);b=y;y=0;if(!(b&1)){k[c>>2]=4;return}b=pb()|0;EO(d);sb(b|0)}function sA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;c=f+8|0;d=f+4|0;e=f;rT(c,a+72|0);g=k[c>>2]|0;k[d>>2]=g;y=0;oa(k[(k[g>>2]|0)+96>>2]|0,g|0,b|0);g=y;y=0;if(g&1){g=pb()|0;EO(d);sb(g|0)}EO(d);rT(c,a+68|0);g=k[c>>2]|0;k[e>>2]=g;y=0;oa(k[(k[g>>2]|0)+96>>2]|0,g|0,b|0);g=y;y=0;if(!(g&1)){EO(e);i[a+52>>0]=b&1;r=f;return}g=pb()|0;EO(e);sb(g|0)}function tA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;d=0;f=r;r=r+16|0;e=f;b=k[a+76>>2]|0;if(!b)d=6;else{c=k[b+80>>2]|0;b=k[b+76>>2]|0;if((c|0)==(b|0))d=6;else if((c-b|0)==4){b=k[b>>2]|0;if(b|0)if(pw(b,144,384,0)|0)d=6}}if((d|0)==6)if(!(k[a+72>>2]|0)){b=k[a+80>>2]|0;if(!b){_V(e,0);e=k[e>>2]|0;r=f;return e|0}else{i[b+60>>0]=i[a+60>>0]|0;a=tA(b)|0;k[e>>2]=a;e=k[e>>2]|0;r=f;return e|0}}_V(e,a);e=k[e>>2]|0;r=f;return e|0}function uA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=r;r=r+16|0;e=d+8|0;c=d+4|0;f=d;k[c>>2]=0;k[f>>2]=k[b>>2];k[e>>2]=k[f>>2];switch(Cn(a,e,c)|0){case 5:{f=gb(8)|0;e=k[c>>2]|0;k[f>>2]=15040;k[f+4>>2]=e;Wb(f|0,1688,200)}case 1:{f=gb(4)|0;k[f>>2]=15060;Wb(f|0,1704,200)}case 4:case 3:case 2:{f=gb(8)|0;e=i[k[a>>2]>>0]|0;k[f>>2]=15080;i[f+4>>0]=e;Wb(f|0,1720,200)}default:{r=d;return k[c>>2]|0}}return 0}function vA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=r;r=r+16|0;c=e+4|0;d=e;pK(c,b+60|0);y=0;Na(139,a+4|0,c|0,b|0);f=y;y=0;if(f&1){f=pb()|0;$9(c);sb(f|0)}$9(c);rT(c,b+72|0);f=k[c>>2]|0;k[d>>2]=f;y=0;oa(k[(k[f>>2]|0)+40>>2]|0,f|0,a|0);f=y;y=0;if(!(f&1)){EO(d);r=e;return}f=pb()|0;EO(d);sb(f|0)}function wA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=r;r=r+16|0;e=d+8|0;c=d+4|0;f=d;k[c>>2]=0;k[f>>2]=k[b>>2];k[e>>2]=k[f>>2];switch(Dn(a,e,c)|0){case 5:{f=gb(8)|0;e=k[c>>2]|0;k[f>>2]=15040;k[f+4>>2]=e;Wb(f|0,1688,200)}case 1:{f=gb(4)|0;k[f>>2]=15060;Wb(f|0,1704,200)}case 4:case 3:case 2:{f=gb(8)|0;e=i[k[a>>2]>>0]|0;k[f>>2]=15080;i[f+4>>0]=e;Wb(f|0,1720,200)}default:{r=d;return k[c>>2]|0}}return 0}function xA(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[42926]|0;a:do if(b<<24>>24){c=42926;while(1){if((i[a>>0]|0)!=b<<24>>24){b=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return b|0}while(0);b:do if((i[a>>0]|0)==45){b=vea(a+1|0)|0;if(!b)b=a;else{while(1){a=vea(b)|0;if(!a)break;else b=a}if((i[b>>0]|0)==45)do{a=vea(b+1|0)|0;if(!a)break b;else b=a;while(1){a=vea(b)|0;if(!a)break;else b=a}}while((i[b>>0]|0)==45)}}else b=a;while(0);c=(i[b>>0]|0)==40?b+1|0:0;return c|0}function yA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;k[a>>2]=17500;c=a+4|0;k[c>>2]=5060;d=a+8|0;pK(d,b+4|0);y=0;oa(453,a+20|0,b+16|0);e=y;y=0;if(e&1){e=pb()|0;$9(d);sb(e|0)}else{e=a+72|0;d=b+68|0;k[e>>2]=k[d>>2];k[e+4>>2]=k[d+4>>2];k[e+8>>2]=k[d+8>>2];k[e+12>>2]=k[d+12>>2];k[e+16>>2]=k[d+16>>2];k[e+20>>2]=k[d+20>>2];k[e+24>>2]=k[d+24>>2];j[e+28>>1]=j[d+28>>1]|0;k[a>>2]=17196;k[c>>2]=17484;return}}function zA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;j=r;r=r+16|0;h=j+4|0;i=j;d=yV(d)|0;k[h>>2]=d;y=0;g=Ha(973,h|0,78176)|0;l=y;y=0;if(l&1){l=pb()|0;lQ(d)|0;sb(l|0)}else{lQ(d)|0;k[i>>2]=k[c>>2];k[h>>2]=k[i>>2];LD(a,f+16|0,b,h,e,g);r=j;return k[b>>2]|0}return 0}function AA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;j=r;r=r+16|0;h=j+4|0;i=j;d=yV(d)|0;k[h>>2]=d;y=0;g=Ha(973,h|0,78176)|0;l=y;y=0;if(l&1){l=pb()|0;lQ(d)|0;sb(l|0)}else{lQ(d)|0;k[i>>2]=k[c>>2];k[h>>2]=k[i>>2];TD(a,f+24|0,b,h,e,g);r=j;return k[b>>2]|0}return 0}function BA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;j=r;r=r+16|0;h=j+4|0;i=j;d=yV(d)|0;k[h>>2]=d;y=0;g=Ha(973,h|0,78144)|0;l=y;y=0;if(l&1){l=pb()|0;lQ(d)|0;sb(l|0)}else{lQ(d)|0;k[i>>2]=k[c>>2];k[h>>2]=k[i>>2];MD(a,f+16|0,b,h,e,g);r=j;return k[b>>2]|0}return 0}function CA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;j=r;r=r+16|0;h=j+4|0;i=j;d=yV(d)|0;k[h>>2]=d;y=0;g=Ha(973,h|0,78144)|0;l=y;y=0;if(l&1){l=pb()|0;lQ(d)|0;sb(l|0)}else{lQ(d)|0;k[i>>2]=k[c>>2];k[h>>2]=k[i>>2];UD(a,f+24|0,b,h,e,g);r=j;return k[b>>2]|0}return 0}function DA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;c=a+64|0;y=0;oa(464,c|0,b+64|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[a>>2]=10232;y=0;oa(464,a+68|0,b+68|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=5436;EO(c);sb(b|0)}else{k[d>>2]=4;return}}function EA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;c=a+64|0;y=0;oa(464,c|0,b+64|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[a>>2]=10940;y=0;oa(464,a+68|0,b+68|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=5436;EO(c);sb(b|0)}else{k[d>>2]=5;return}}function FA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;c=a+64|0;y=0;oa(464,c|0,b+64|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[a>>2]=5896;y=0;oa(464,a+68|0,b+68|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=5436;EO(c);sb(b|0)}else{k[d>>2]=8;return}}function GA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;c=a+64|0;y=0;oa(464,c|0,b+64|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[a>>2]=5712;y=0;oa(464,a+68|0,b+68|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=5436;EO(c);sb(b|0)}else{k[d>>2]=2;return}}function HA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;c=a+104|0;b=k[c>>2]|0;if(!b)g=3;else if((k[a+108>>2]|0)<(b|0))g=3;else g=4;if((g|0)==3){b=qN(a)|0;if((b|0)<0)g=4;else{c=k[c>>2]|0;f=k[a+8>>2]|0;if(!c){d=f;g=9}else{e=k[a+4>>2]|0;c=c-(k[a+108>>2]|0)|0;d=f;if((f-e|0)<(c|0))g=9;else k[a+100>>2]=e+(c+-1)}if((g|0)==9)k[a+100>>2]=f;c=a+4|0;if(!d)c=k[c>>2]|0;else{c=k[c>>2]|0;a=a+108|0;k[a>>2]=d+1-c+(k[a>>2]|0)}c=c+-1|0;if((l[c>>0]|0|0)!=(b|0))i[c>>0]=b}}if((g|0)==4){k[a+100>>2]=0;b=-1}return b|0}function IA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;j=r;r=r+16|0;h=j+4|0;i=j;d=yV(d)|0;k[h>>2]=d;y=0;g=Ha(973,h|0,78176)|0;l=y;y=0;if(l&1){l=pb()|0;lQ(d)|0;sb(l|0)}else{lQ(d)|0;k[i>>2]=k[c>>2];k[h>>2]=k[i>>2];jF(a,f+20|0,b,h,e,g);r=j;return k[b>>2]|0}return 0}function JA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;j=r;r=r+16|0;h=j+4|0;i=j;d=yV(d)|0;k[h>>2]=d;y=0;g=Ha(973,h|0,78144)|0;l=y;y=0;if(l&1){l=pb()|0;lQ(d)|0;sb(l|0)}else{lQ(d)|0;k[i>>2]=k[c>>2];k[h>>2]=k[i>>2];kF(a,f+20|0,b,h,e,g);r=j;return k[b>>2]|0}return 0}function KA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;i=a+4|0;d=(k[i>>2]|0)!=417;g=k[a>>2]|0;e=(k[c>>2]|0)-g|0;e=e>>>0<2147483647?e<<1:-1;e=(e|0)==0?1:e;f=(k[b>>2]|0)-g|0;g=BH(d?g:0,e)|0;if(!g)Fba();do if(d){k[a>>2]=g;h=g}else{d=k[a>>2]|0;k[a>>2]=g;if(!d)h=g;else{y=0;na(k[i>>2]|0,d|0);g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}else{h=k[a>>2]|0;break}}}while(0);k[i>>2]=419;k[b>>2]=h+f;k[c>>2]=(k[a>>2]|0)+e;return}function LA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;g=r;r=r+16|0;h=g+12|0;j=g+8|0;m=g+4|0;l=g;n=a+8|0;n=oc[k[(k[n>>2]|0)+20>>2]&511](n)|0;k[m>>2]=k[b>>2];k[l>>2]=k[c>>2];c=i[n+8+3>>0]|0;o=c<<24>>24<0;b=o?k[n>>2]|0:n;c=b+((o?k[n+4>>2]|0:c&255)<<2)|0;k[j>>2]=k[m>>2];k[h>>2]=k[l>>2];f=fh(a,j,h,d,e,f,b,c)|0;r=g;return f|0}function MA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;c=a+64|0;y=0;oa(464,c|0,b+64|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[a>>2]=7e3;y=0;oa(464,a+68|0,b+68|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=5436;EO(c);sb(b|0)}else{k[d>>2]=19;return}}function NA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;e=a+72|0;f=b+72|0;g=b+76|0;d=b+80|0;b=k[d>>2]|0;c=k[g>>2]|0;if(((k[a+80>>2]|0)-(k[a+76>>2]|0)|0)!=(b-c|0)){g=0;return g|0}if((b|0)==(c|0)){g=1;return g|0}b=0;while(1){c=Fc[k[(k[e>>2]|0)+12>>2]&2047](e,b)|0;c=k[c>>2]|0;h=k[(k[c>>2]|0)+160>>2]|0;a=Fc[k[(k[f>>2]|0)+12>>2]&2047](f,b)|0;b=b+1|0;if(!(Fc[h&2047](c,k[a>>2]|0)|0)){b=0;c=6;break}if(b>>>0>=(k[d>>2]|0)-(k[g>>2]|0)>>2>>>0){b=1;c=6;break}}if((c|0)==6)return b|0;return 0}function OA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;c=f+8|0;d=f+4|0;e=f;rT(c,b+60|0);g=k[c>>2]|0;k[d>>2]=g;y=0;oa(k[(k[g>>2]|0)+40>>2]|0,g|0,a|0);g=y;y=0;if(g&1){g=pb()|0;EO(d);sb(g|0)}EO(d);rT(c,b+64|0);g=k[c>>2]|0;k[e>>2]=g;y=0;oa(k[(k[g>>2]|0)+40>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){EO(e);r=f;return}g=pb()|0;EO(e);sb(g|0)}function PA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;g=r;r=r+16|0;h=g+12|0;j=g+8|0;m=g+4|0;l=g;n=a+8|0;n=oc[k[(k[n>>2]|0)+20>>2]&511](n)|0;k[m>>2]=k[b>>2];k[l>>2]=k[c>>2];c=i[n+11>>0]|0;o=c<<24>>24<0;b=o?k[n>>2]|0:n;c=b+(o?k[n+4>>2]|0:c&255)|0;k[j>>2]=k[m>>2];k[h>>2]=k[l>>2];f=sh(a,j,h,d,e,f,b,c)|0;r=g;return f|0}function QA(a){a=a|0;var b=0,c=0,d=0,e=0;b=ZL(72)|0;y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);sb(e|0)}c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;k[b+56>>2]=k[a+56>>2];k[b>>2]=8164;k[b+60>>2]=k[a+60>>2];y=0;oa(464,b+64|0,a+64|0);e=y;y=0;if(!(e&1)){k[b+68>>2]=k[a+68>>2];return b|0}e=pb()|0;zqa(b);sb(e|0);return 0}function RA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;i=r;r=r+16|0;f=i+8|0;g=i+12|0;h=i;d=k[a+12>>2]|0;if(d)while(1){e=k[d+12>>2]|0;if(!e)break;else{a=d;d=e}}k[f>>2]=b;Yq(h,a,b,80081,f,g);LH((k[h>>2]|0)+28|0,c)|0;r=i;return}function SA(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(104)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;b=e+56|0;k[b>>2]=k[a+56>>2];k[e>>2]=7760;c=e+60|0;y=0;oa(483,c|0,a+60|0);a=y;y=0;if(!(a&1)){k[e>>2]=7880;k[c>>2]=8004;k[b>>2]=6;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function TA(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;h=r;r=r+112|0;c=h+4|0;d=h;k[d>>2]=c+100;QH(a+8|0,c,d,e,f,g);g=k[d>>2]|0;f=c;c=k[b>>2]|0;while(1){if((f|0)==(g|0))break;d=i[f>>0]|0;do if(!c)c=0;else{a=c+24|0;e=k[a>>2]|0;if((e|0)==(k[c+28>>2]|0)){b=(Fc[k[(k[c>>2]|0)+52>>2]&2047](c,d&255)|0)==-1;c=b?0:c;break}else{k[a>>2]=e+1;i[e>>0]=d;break}}while(0);f=f+1|0}r=h;return c|0}function UA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=r;r=r+16|0;f=g;c=k[a+64>>2]|0;e=k[a+68>>2]|0;if((c|0)==(e|0)){f=a+52|0;b=b&1;i[f>>0]=b;r=g;return}while(1){rT(f,c);d=k[f>>2]|0;if(d|0){y=0;oa(k[(k[d>>2]|0)+96>>2]|0,d|0,b|0);d=y;y=0;if(d&1){c=6;break}}EO(f);c=c+4|0;if((c|0)==(e|0)){c=3;break}}if((c|0)==3){f=a+52|0;b=b&1;i[f>>0]=b;r=g;return}else if((c|0)==6){g=pb()|0;EO(f);sb(g|0)}}function VA(a){a=a|0;var b=0,c=0,d=0,e=0;b=ZL(80)|0;y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);sb(e|0)}c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;k[b+56>>2]=k[a+56>>2];k[b>>2]=8968;k[b+60>>2]=k[a+60>>2];y=0;oa(452,b+64|0,a+64|0);e=y;y=0;if(!(e&1)){k[b+76>>2]=k[a+76>>2];return b|0}e=pb()|0;zqa(b);sb(e|0);return 0}function WA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;k[a+56>>2]=k[b+56>>2];k[a>>2]=10572;c=a+60|0;y=0;oa(464,c|0,b+60|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}y=0;oa(464,a+64|0,b+64|0);b=y;y=0;if(!(b&1))return;b=pb()|0;EO(c);sb(b|0)}function XA(a,b,c){a=a|0;b=b|0;c=c|0;if(!b){b=0;return b|0}do if(oc[k[(k[b>>2]|0)+76>>2]&511](b)|0)if(!c)a=1;else{if(!(pw(c,680,696,0)|0)){a=pw(c,680,640,0)|0;if(a|0)if(i[a+84>>0]|0){a=0;break}}a=(pw(c,680,1352,0)|0)==0}else a=0;while(0);if(pw(b,680,840,0)|0){b=1;return b|0}if(pw(b,680,968,0)|0){b=1;return b|0}if(pw(b,680,952,0)|0){b=1;return b|0}if(pw(b,680,936,0)|0){b=1;return b|0}if(!(pw(b,680,984,0)|0))return a|(pw(b,680,744,0)|0)!=0|0;else{b=1;return b|0}return 0}function YA(a){a=a|0;var b=0;a=(i[a>>0]|0)==45?a+1|0:a;if(!a){b=0;return b|0}b=AD(a)|0;if(!b){b=0;return b|0}a=BD(b)|0;if(!a){if((i[b>>0]|0)==45)a=b;else return b|0;do a=a+1|0;while((i[a>>0]|0)==45);a=AD(a)|0;if(!a)return b|0}while(1){b=BD(a)|0;if(b|0){a=b;continue}if((i[a>>0]|0)==45)b=a;else{b=11;break}do b=b+1|0;while((i[b>>0]|0)==45);b=AD(b)|0;if(!b){b=11;break}else a=b}if((b|0)==11)return a|0;return 0}function ZA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;k[a+56>>2]=k[b+56>>2];k[a>>2]=10820;c=a+60|0;y=0;oa(464,c|0,b+60|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}y=0;oa(464,a+64|0,b+64|0);b=y;y=0;if(!(b&1))return;b=pb()|0;EO(c);sb(b|0)}function _A(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;c=d+4|0;e=gL((i[b+11>>0]|0)<0?k[b>>2]|0:b,0,d)|0;k[a>>2]=e;do if((e|0)<0){e=v9()|0;e=k[e>>2]|0;CB(c,53752,b);y=0;oa(666,e|0,((i[c+11>>0]|0)<0?k[c>>2]|0:c)|0);e=y;y=0;if(e&1){e=pb()|0;$9(c);sb(e|0)}else{$9(c);break}}while(0);r=d;return}function $A(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;d=b+64|0;if(k[d>>2]|0)if(!(oc[k[(k[b>>2]|0)+24>>2]&511](b)|0))if(!(cQ(k[d>>2]|0,k[c+8>>2]|0,0)|0)){e=c;d=k[e+4>>2]|0;b=b+72|0;k[b>>2]=k[e>>2];k[b+4>>2]=d;k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];k[a+12>>2]=k[c+12>>2];return}else{e=a;k[e>>2]=0;k[e+4>>2]=0;e=a+8|0;k[e>>2]=-1;k[e+4>>2]=-1;return}e=a;k[e>>2]=0;k[e+4>>2]=0;e=a+8|0;k[e>>2]=-1;k[e+4>>2]=-1;return}function aB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;e=r;r=r+32|0;c=e+16|0;g=e+4|0;d=e;pK(g,b+64|0);f=i[g+11>>0]|0;f=((f<<24>>24<0?k[g+4>>2]|0:f&255)|0)==0;$9(g);if(!f){g=0;r=e;return g|0}rT(c,b+60|0);g=k[c>>2]|0;k[d>>2]=g;y=0;a=Ha(k[(k[g>>2]|0)+68>>2]|0,g|0,a|0)|0;g=y;y=0;if(g&1){g=pb()|0;EO(d);sb(g|0)}EO(d);g=a;r=e;return g|0}function bB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;e=f;if(!(k[b>>2]|0)){r=f;return}k[a+16>>2]=0;c=a+8|0;d=k[c>>2]|0;if((d|0)==(k[a+12>>2]|0))Ap(a+4|0,b);else{rT(d,b);k[c>>2]=(k[c>>2]|0)+4}d=k[k[a>>2]>>2]|0;rT(e,b);y=0;oa(d|0,a|0,e|0);a=y;y=0;if(a&1){f=pb()|0;EO(e);sb(f|0)}EO(e);r=f;return}function cB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=0;if(!(k[b>>2]|0)){if(k[b+4>>2]|0)c=3}else c=3;if((c|0)==3){c=k[a+12>>2]|0;f=k[a+16>>2]|0;if((c|0)!=(f|0)){g=b+4|0;do{d=c+12|0;e=k[d>>2]|0;if(!e){h=c+16|0;k[h>>2]=(k[h>>2]|0)+(k[g>>2]|0)}k[d>>2]=e+(k[b>>2]|0);c=c+24|0}while((c|0)!=(f|0))}}c=a+24|0;d=k[c>>2]|0;if(d|0){h=k[b>>2]|0;h=d+h|0;k[c>>2]=h;return}h=a+28|0;k[h>>2]=(k[h>>2]|0)+(k[b+4>>2]|0);h=k[b>>2]|0;h=d+h|0;k[c>>2]=h;return}function dB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;k[a>>2]=13796;f=a+72|0;k[f>>2]=13972;d=a+92|0;b=k[d>>2]|0;if(b|0){e=a+96|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{g=c+-12|0;k[e>>2]=g;$9(g);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}k[f>>2]=14012;d=a+76|0;b=k[d>>2]|0;if(!b){zqa(a);return}e=a+80|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{g=c+-4|0;k[e>>2]=g;EO(g);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b);zqa(a);return}function eB(a){a=a|0;var b=0,c=0,d=0,e=0;e=a+11|0;b=(i[e>>0]|0)<0?k[a>>2]|0:a;if(!(i[b>>0]|0))b=0;else if(oia(b)|0){c=i[e>>0]|0;d=k[a>>2]|0;if(!(i[(c<<24>>24<0?d:a)>>0]|0))b=0;else{b=0;do{if(!(Iaa((c<<24>>24<0?d:a)+b|0)|0))break;b=b+1|0;c=i[e>>0]|0;d=k[a>>2]|0}while((i[(c<<24>>24<0?d:a)+b>>0]|0)!=0);if(!b)b=0;else b=(i[((i[e>>0]|0)<0?k[a>>2]|0:a)+b>>0]|0)==58?b+1|0:0}}else b=0;return (i[((i[e>>0]|0)<0?k[a>>2]|0:a)+b>>0]|0)==47|0}function fB(a,b){a=a|0;b=b|0;if(!b)return;else{fB(a,k[b>>2]|0);fB(a,k[b+4>>2]|0);EO(b+28|0);$9(b+16|0);zqa(b);return}}function gB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;a=k[a+16>>2]|0;d=k[a+4>>2]|0;e=k[a+16>>2]|0;f=d+(((e>>>0)/170|0)<<2)|0;if((k[a+8>>2]|0)==(d|0)){g=0;d=0}else{g=e+(k[a+20>>2]|0)|0;g=(k[d+(((g>>>0)/170|0)<<2)>>2]|0)+(((g>>>0)%170|0)*24|0)|0;d=(k[f>>2]|0)+(((e>>>0)%170|0)*24|0)|0}a=0;a:while(1){do{if((d|0)==(g|0)){d=9;break a}e=vj(d,b,c)|0;a=a|e;if(e){d=9;break a}d=d+24|0}while((d-(k[f>>2]|0)|0)!=4080);d=f+4|0;f=d;d=k[d>>2]|0}if((d|0)==9)return a|0;return 0}function hB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;c=a+-72|0;e=c+68|0;a=k[e>>2]|0;if(a|0){e=a;return e|0}k[e>>2]=-1640531520;f=k[c+80>>2]|0;a=k[c+76>>2]|0;b=a;d=f;if((f|0)==(a|0)){f=-1640531520;return f|0}c=c+88|0;a=k[c>>2]|0;if(!a)if((b|0)==(d|0)){a=0;b=-1640531520}else{do{f=k[b>>2]|0;f=(oc[k[(k[f>>2]|0)+8>>2]&511](f)|0)+-1640531527|0;a=k[c>>2]|0;a=f+(a<<6)+(a>>>2)^a;k[c>>2]=a;b=b+4|0}while((b|0)!=(d|0));b=k[e>>2]|0}else b=-1640531520;f=a+-1640531527+(b<<6)+(b>>>2)^b;k[e>>2]=f;return f|0}function iB(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(76)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}k[e>>2]=4860;b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=e+52|0;k[b>>2]=11356;y=0;oa(500,e+56|0,a+56|0);d=y;y=0;if(!(d&1)){k[e+68>>2]=k[a+68>>2];k[e>>2]=11232;k[b>>2]=11316;a=j[a+72>>1]|0;i[e+72>>0]=a;i[e+73>>0]=(a&65535)>>>8;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function jB(a,b){a=a|0;b=b|0;if(!b)return;else{jB(a,k[b>>2]|0);jB(a,k[b+4>>2]|0);EO(b+28|0);$9(b+16|0);zqa(b);return}}function kB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a+52>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;c=a+64|0;y=0;oa(464,c|0,b+64|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[a>>2]=5620;y=0;oa(452,a+68|0,b+68|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=5436;EO(c);sb(b|0)}else return}function lB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;e=f;if(!(k[b>>2]|0)){r=f;return}k[a+16>>2]=0;c=a+8|0;d=k[c>>2]|0;if((d|0)==(k[a+12>>2]|0))Cp(a+4|0,b);else{rT(d,b);k[c>>2]=(k[c>>2]|0)+4}d=k[k[a>>2]>>2]|0;rT(e,b);y=0;oa(d|0,a|0,e|0);a=y;y=0;if(a&1){f=pb()|0;EO(e);sb(f|0)}EO(e);r=f;return}function mB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=a+-72|0;k[f>>2]=13796;e=f+72|0;k[e>>2]=13972;c=f+92|0;a=k[c>>2]|0;if(a|0){d=f+96|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{g=b+-12|0;k[d>>2]=g;$9(g);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}zqa(a)}k[e>>2]=14012;d=f+76|0;a=k[d>>2]|0;if(!a)return;c=f+80|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{g=b+-4|0;k[c>>2]=g;EO(g);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}zqa(a);return}function nB(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=vE(a,b,c,d,f)|0;f=k[e>>2]|0;g=k[d>>2]|0;if(f>>>0<g>>>0){k[d>>2]=f;k[e>>2]=g;f=h+1|0;g=k[d>>2]|0;e=k[c>>2]|0;if(g>>>0<e>>>0){k[c>>2]=g;k[d>>2]=e;f=h+2|0;g=k[c>>2]|0;e=k[b>>2]|0;if(g>>>0<e>>>0){k[b>>2]=g;k[c>>2]=e;f=k[b>>2]|0;g=k[a>>2]|0;if(f>>>0<g>>>0){k[a>>2]=f;k[b>>2]=g;f=h+4|0}else f=h+3|0}}}else f=h;return f|0}function oB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;e=f;if(!(k[b>>2]|0)){r=f;return}k[a+16>>2]=0;c=a+8|0;d=k[c>>2]|0;if((d|0)==(k[a+12>>2]|0))Fp(a+4|0,b);else{rT(d,b);k[c>>2]=(k[c>>2]|0)+4}d=k[k[a>>2]>>2]|0;rT(e,b);y=0;oa(d|0,a|0,e|0);a=y;y=0;if(a&1){f=pb()|0;EO(e);sb(f|0)}EO(e);r=f;return}function pB(){var a=0,b=0,c=0,d=0;c=r;r=r+16|0;b=c+12|0;a=c;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,35048,12);y=0;oa(551,b|0,a|0);d=y;y=0;if(d&1){d=pb()|0;$9(a);sb(d|0)}$9(a);y=0;a=qa(349,b|0)|0;d=y;y=0;if(!(d&1)){eT(b);N=0;r=c;return a|0}d=pb()|0;eT(b);sb(d|0);return 0}function qB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=a+64|0;e=f+11|0;d=i[e>>0]|0;g=d<<24>>24<0;c=k[f>>2]|0;b=g?c:f;g=g?k[a+68>>2]|0:d&255;a=b+g|0;if(g){while(1){c=i[b>>0]|0;d=EZ(MN()|0,78144)|0;if(c<<24>>24<=-1)break;if(!(j[(k[d+8>>2]|0)+(c<<24>>24<<1)>>1]&8192))break;b=b+1|0;if((b|0)==(a|0)){b=a;break}}d=i[e>>0]|0;c=k[f>>2]|0}VD(f,0,b-(d<<24>>24<0?c:f)|0)|0;$M(f,f)|0;return}function rB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>2;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;rT(f,c+(b<<2)|0);y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}EO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;EO(f);sb(h|0)}}function sB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;e=f;if(!(k[b>>2]|0)){r=f;return}k[a+16>>2]=0;c=a+8|0;d=k[c>>2]|0;if((d|0)==(k[a+12>>2]|0))Kp(a+4|0,b);else{rT(d,b);k[c>>2]=(k[c>>2]|0)+4}d=k[k[a>>2]>>2]|0;rT(e,b);y=0;oa(d|0,a|0,e|0);a=y;y=0;if(a&1){f=pb()|0;EO(e);sb(f|0)}EO(e);r=f;return}function tB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;e=f;if(!(k[b>>2]|0)){r=f;return}k[a+16>>2]=0;c=a+8|0;d=k[c>>2]|0;if((d|0)==(k[a+12>>2]|0))Lp(a+4|0,b);else{rT(d,b);k[c>>2]=(k[c>>2]|0)+4}d=k[k[a>>2]>>2]|0;rT(e,b);y=0;oa(d|0,a|0,e|0);a=y;y=0;if(a&1){f=pb()|0;EO(e);sb(f|0)}EO(e);r=f;return}function uB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;e=f;if(!(k[b>>2]|0)){r=f;return}k[a+16>>2]=0;c=a+8|0;d=k[c>>2]|0;if((d|0)==(k[a+12>>2]|0))Mp(a+4|0,b);else{rT(d,b);k[c>>2]=(k[c>>2]|0)+4}d=k[k[a>>2]>>2]|0;rT(e,b);y=0;oa(d|0,a|0,e|0);a=y;y=0;if(a&1){f=pb()|0;EO(e);sb(f|0)}EO(e);r=f;return}function vB(a,b,c){a=a|0;b=b|0;c=c|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;if((cc|0)==1)cc=3}Qc(fc+51876|0);return k[dc>>2]|0}function wB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=r;r=r+16|0;d=e;b=k[a+76>>2]|0;c=k[a+80>>2]|0;if((b|0)==(c|0)){d=0;r=e;return d|0}a=b;while(1){rT(d,a);b=k[d>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+120>>2]|0,b|0)|0;f=y;y=0;if(f&1){b=6;break}EO(d);a=a+4|0;if(b){a=1;b=7;break}if((a|0)==(c|0)){a=0;b=7;break}}if((b|0)==6){f=pb()|0;EO(d);sb(f|0)}else if((b|0)==7){r=e;return a|0}return 0}function xB(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;h=r;r=r+416|0;c=h+8|0;d=h;k[d>>2]=c+400;Mx(a+8|0,c,d,e,f,g);g=k[d>>2]|0;f=c;c=k[b>>2]|0;while(1){if((f|0)==(g|0))break;d=k[f>>2]|0;if(!c)c=0;else{a=c+24|0;e=k[a>>2]|0;if((e|0)==(k[c+28>>2]|0))d=Fc[k[(k[c>>2]|0)+52>>2]&2047](c,d)|0;else{k[a>>2]=e+4;k[e>>2]=d}c=(d|0)==-1?0:c}f=f+4|0}r=h;return c|0}function yB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;e=f;if(!(k[b>>2]|0)){r=f;return}k[a+16>>2]=0;c=a+8|0;d=k[c>>2]|0;if((d|0)==(k[a+12>>2]|0))Op(a+4|0,b);else{rT(d,b);k[c>>2]=(k[c>>2]|0)+4}d=k[k[a>>2]>>2]|0;rT(e,b);y=0;oa(d|0,a|0,e|0);a=y;y=0;if(a&1){f=pb()|0;EO(e);sb(f|0)}EO(e);r=f;return}function zB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>2;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;rT(f,c+(b<<2)|0);y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}EO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;EO(f);sb(h|0)}}function AB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=r;r=r+32|0;b=e+8|0;c=e+4|0;d=e;if(!(Qu(a,1,0)|0)){_V(c,0);d=k[c>>2]|0;r=e;return d|0}f=a+152|0;k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];a=Ld(a,b,1)|0;k[d>>2]=a;y=0;oa(482,c|0,a|0);a=y;y=0;if(a&1){f=pb()|0;EO(d);sb(f|0)}EO(d);f=k[c>>2]|0;r=e;return f|0}function BB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>2;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;rT(f,c+(b<<2)|0);y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}EO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;EO(f);sb(h|0)}}function CB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;d=0;while(1){if((d|0)==3)break;k[a+(d<<2)>>2]=0;d=d+1|0}f=JI(b)|0;e=c+11|0;d=i[e>>0]|0;d=d<<24>>24<0?k[c+4>>2]|0:d&255;y=0;Ra(10,a|0,b|0,f|0,d+f|0);b=y;y=0;if(!(b&1)){y=0;ta(47,a|0,((i[e>>0]|0)<0?k[c>>2]|0:c)|0,d|0)|0;f=y;y=0;if(!(f&1))return}f=pb()|0;$9(a);sb(f|0)}function DB(a){a=a|0;var b=0;do if(!(i[71984]|0))if(eca(71984)|0){if(!(i[71992]|0))if(eca(71992)|0){b=79076;do{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}b=b+12|0}while((b|0)!=79364);Pb(414,0,x|0)|0}y=0;Ha(1030,79076,24708)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79088,24720)|0;b=y;y=0;if(!(b&1)){k[19841]=79076;break}}b=pb()|0;sb(b|0)}while(0);return k[19841]|0}function EB(a){a=a|0;var b=0;do if(!(i[71904]|0))if(eca(71904)|0){if(!(i[71912]|0))if(eca(71912)|0){b=78264;do{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}b=b+12|0}while((b|0)!=78552);Pb(411,0,x|0)|0}y=0;Ha(1006,78264,52027)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78276,52030)|0;b=y;y=0;if(!(b&1)){k[19638]=78264;break}}b=pb()|0;sb(b|0)}while(0);return k[19638]|0}function FB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+68|0;b=k[e>>2]|0;if(b|0){e=b;return e|0}k[e>>2]=-1640531520;f=k[a+80>>2]|0;b=k[a+76>>2]|0;c=b;d=f;if((f|0)==(b|0)){f=-1640531520;return f|0}a=a+88|0;b=k[a>>2]|0;if(!b)if((c|0)==(d|0)){b=0;c=-1640531520}else{do{f=k[c>>2]|0;f=(oc[k[(k[f>>2]|0)+8>>2]&511](f)|0)+-1640531527|0;b=k[a>>2]|0;b=f+(b<<6)+(b>>>2)^b;k[a>>2]=b;c=c+4|0}while((c|0)!=(d|0));c=k[e>>2]|0}else c=-1640531520;f=b+-1640531527+(c<<6)+(c>>>2)^c;k[e>>2]=f;return f|0}function GB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=r;r=r+16|0;d=e;b=k[a+76>>2]|0;c=k[a+80>>2]|0;if((b|0)==(c|0)){d=0;r=e;return d|0}a=b;while(1){rT(d,a);b=k[d>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+124>>2]|0,b|0)|0;f=y;y=0;if(f&1){b=6;break}EO(d);a=a+4|0;if(b){a=1;b=7;break}if((a|0)==(c|0)){a=0;b=7;break}}if((b|0)==6){f=pb()|0;EO(d);sb(f|0)}else if((b|0)==7){r=e;return a|0}return 0}function HB(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(72)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=e+52|0;k[b>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=6632;y=0;oa(464,e+64|0,a+64|0);d=y;y=0;if(!(d&1)){i[e+68>>0]=i[a+68>>0]|0;k[b>>2]=13;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function IB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>2;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;rT(f,c+(b<<2)|0);y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}EO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;EO(f);sb(h|0)}}function JB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>2;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;rT(f,c+(b<<2)|0);y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}EO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;EO(f);sb(h|0)}}function KB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>2;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;rT(f,c+(b<<2)|0);y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}EO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;EO(f);sb(h|0)}}function LB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;k[a>>2]=13796;f=a+72|0;k[f>>2]=13972;d=a+92|0;b=k[d>>2]|0;if(b|0){e=a+96|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{g=c+-12|0;k[e>>2]=g;$9(g);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}k[f>>2]=14012;e=a+76|0;b=k[e>>2]|0;if(!b)return;d=a+80|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{g=c+-4|0;k[d>>2]=g;EO(g);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}zqa(b);return}function MB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>2;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;rT(f,c+(b<<2)|0);y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}EO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;EO(f);sb(h|0)}}function NB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;f=j;do if((a|0)==(b|0)){k[c>>2]=4;a=0}else{if((i[a>>0]|0)==45){k[c>>2]=4;a=0;break}g=v9()|0;h=k[g>>2]|0;k[g>>2]=0;a=Kca(a,f,d,gN()|0)|0;d=N;e=k[g>>2]|0;if(!e)k[g>>2]=h;do if((k[f>>2]|0)==(b|0))if(d>>>0>0|(d|0)==0&a>>>0>65535|(e|0)==34){k[c>>2]=4;a=-1;break}else{a=a&65535;break}else{k[c>>2]=4;a=0}while(0)}while(0);r=j;return a|0}function OB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=4736;d=a+88|0;b=k[d>>2]|0;if(b|0){e=a+92|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-12|0;k[e>>2]=f;$9(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}d=a+76|0;b=k[d>>2]|0;if(!b){zqa(a);return}e=a+80|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-12|0;k[e>>2]=f;$9(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b);zqa(a);return}function PB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;c=d;if(!b){e=0;r=d;return e|0}a=pw(b,680,776,0)|0;if(!a){e=0;r=d;return e|0}pK(c,a+68|0);b=i[c+11>>0]|0;do if(((b<<24>>24<0?k[c+4>>2]|0:b&255)|0)==7){y=0;a=sa(21,c|0,0,-1,44942,7)|0;b=y;y=0;if(b&1){b=tb(0)|0;dla(b)}else{e=(a|0)==0;break}}else e=0;while(0);$9(c);r=d;return e|0}function QB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=r;r=r+16|0;f=e+4|0;d=e;MO(a);k[a>>2]=23792;k[a+32>>2]=b;t8(f,a+4|0);k[d>>2]=k[f>>2];y=0;b=Ha(973,d|0,79944)|0;f=y;y=0;if(f&1){f=pb()|0;Sea(d);mba(a);sb(f|0)}else{Sea(d);k[a+36>>2]=b;k[a+40>>2]=c;f=(oc[k[(k[b>>2]|0)+28>>2]&511](b)|0)&1;i[a+44>>0]=f;r=e;return}}function RB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=r;r=r+16|0;f=e+4|0;d=e;NO(a);k[a>>2]=23856;k[a+32>>2]=b;t8(f,a+4|0);k[d>>2]=k[f>>2];y=0;b=Ha(973,d|0,79936)|0;f=y;y=0;if(f&1){f=pb()|0;Sea(d);nba(a);sb(f|0)}else{Sea(d);k[a+36>>2]=b;k[a+40>>2]=c;f=(oc[k[(k[b>>2]|0)+28>>2]&511](b)|0)&1;i[a+44>>0]=f;r=e;return}}function SB(){p[8973]=3.141592653589793;k[19016]=0;k[19017]=0;k[19018]=0;jI(76064,46941,6);Pb(368,76064,x|0)|0;k[19019]=0;k[19020]=0;k[19021]=0;jI(76076,46948,21);Pb(368,76076,x|0)|0;k[19022]=0;k[19023]=0;k[19024]=0;jI(76088,46970,19);Pb(368,76088,x|0)|0;k[19025]=0;k[19026]=0;k[19027]=0;jI(76100,46990,22);Pb(368,76100,x|0)|0;return}function TB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=r;r=r+16|0;f=e;k[f>>2]=d;d=_8(b)|0;y=0;b=ta(169,a|0,c|0,f|0)|0;c=y;y=0;if(c&1){b=pb()|0;if(d|0){y=0;qa(471,d|0)|0;f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}}sb(b|0)}else{if(d|0){y=0;qa(471,d|0)|0;f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}}r=e;return b|0}return 0}function UB(a){a=a|0;var b=0;if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=kw(b)|0;if(b|0){b=iw(b)|0;if(b|0){a=b;return a|0}}b=zk(a)|0;if(b|0){a=b;return a|0}a=Hs(a)|0;return a|0}function VB(){p[8981]=3.141592653589793;k[19121]=0;k[19122]=0;k[19123]=0;jI(76484,46941,6);Pb(368,76484,x|0)|0;k[19124]=0;k[19125]=0;k[19126]=0;jI(76496,46948,21);Pb(368,76496,x|0)|0;k[19127]=0;k[19128]=0;k[19129]=0;jI(76508,46970,19);Pb(368,76508,x|0)|0;k[19130]=0;k[19131]=0;k[19132]=0;jI(76520,46990,22);Pb(368,76520,x|0)|0;return}function WB(a,b){a=a|0;b=b|0;if(!b)return;else{WB(a,k[b>>2]|0);WB(a,k[b+4>>2]|0);EO(b+36|0);$9(b+16|0);zqa(b);return}}function XB(a){a=a|0;var b=0,c=0,d=0;c=i[32599]|0;a:do if(!(c<<24>>24))b=0;else{b=i[a>>0]|0;d=32599;while(1){if(b<<24>>24==c<<24>>24)break a;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){b=0;break}}}while(0);d=b<<24>>24?a+1|0:a;if(!d){a=0;return a|0}b=eV(d)|0;if(!b)b=d;else while(1){c=eV(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)==46){b=eV(b+1|0)|0;if(b|0){while(1){c=eV(b)|0;if(!c)break;else b=c}return b|0}}a=eV(d)|0;return a|0}function YB(){p[8972]=3.141592653589793;k[19004]=0;k[19005]=0;k[19006]=0;jI(76016,46941,6);Pb(368,76016,x|0)|0;k[19007]=0;k[19008]=0;k[19009]=0;jI(76028,46948,21);Pb(368,76028,x|0)|0;k[19010]=0;k[19011]=0;k[19012]=0;jI(76040,46970,19);Pb(368,76040,x|0)|0;k[19013]=0;k[19014]=0;k[19015]=0;jI(76052,46990,22);Pb(368,76052,x|0)|0;return}function ZB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;b=f+8|0;d=f+4|0;e=f;c=a+76|0;rT(b,c);g=k[b>>2]|0;k[d>>2]=g;if(!g){g=(k[a+72>>2]|0)==0;EO(d);r=f;return g|0}y=0;oa(464,b|0,c|0);g=y;y=0;if(g&1){g=pb()|0;EO(d);sb(g|0)}g=k[b>>2]|0;k[e>>2]=g;if((k[g+80>>2]|0)==(k[g+76>>2]|0))a=(k[a+72>>2]|0)==0;else a=0;EO(e);g=a;EO(d);r=f;return g|0}function _B(){k[19055]=0;k[19056]=0;k[19057]=0;jI(76220,46941,6);Pb(368,76220,x|0)|0;p[8976]=3.141592653589793;k[19058]=0;k[19059]=0;k[19060]=0;jI(76232,46948,21);Pb(368,76232,x|0)|0;k[19061]=0;k[19062]=0;k[19063]=0;jI(76244,46970,19);Pb(368,76244,x|0)|0;k[19064]=0;k[19065]=0;k[19066]=0;jI(76256,46990,22);Pb(368,76256,x|0)|0;return}function $B(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;i[b+53>>0]=1;do if((k[b+4>>2]|0)==(d|0)){i[b+52>>0]=1;a=b+16|0;d=k[a>>2]|0;if(!d){k[a>>2]=c;k[b+24>>2]=e;k[b+36>>2]=1;if(!((e|0)==1?(k[b+48>>2]|0)==1:0))break;i[b+54>>0]=1;break}if((d|0)!=(c|0)){e=b+36|0;k[e>>2]=(k[e>>2]|0)+1;i[b+54>>0]=1;break}d=b+24|0;a=k[d>>2]|0;if((a|0)==2){k[d>>2]=e;a=e}if((a|0)==1?(k[b+48>>2]|0)==1:0)i[b+54>>0]=1}while(0);return}function aC(){p[8975]=3.141592653589793;k[19043]=0;k[19044]=0;k[19045]=0;jI(76172,46941,6);Pb(368,76172,x|0)|0;k[19046]=0;k[19047]=0;k[19048]=0;jI(76184,46948,21);Pb(368,76184,x|0)|0;k[19049]=0;k[19050]=0;k[19051]=0;jI(76196,46970,19);Pb(368,76196,x|0)|0;k[19052]=0;k[19053]=0;k[19054]=0;jI(76208,46990,22);Pb(368,76208,x|0)|0;return}function bC(){p[8960]=3.141592653589793;k[18853]=0;k[18854]=0;k[18855]=0;jI(75412,46941,6);Pb(368,75412,x|0)|0;k[18856]=0;k[18857]=0;k[18858]=0;jI(75424,46948,21);Pb(368,75424,x|0)|0;k[18859]=0;k[18860]=0;k[18861]=0;jI(75436,46970,19);Pb(368,75436,x|0)|0;k[18862]=0;k[18863]=0;k[18864]=0;jI(75448,46990,22);Pb(368,75448,x|0)|0;return}function cC(){p[8980]=3.141592653589793;k[19109]=0;k[19110]=0;k[19111]=0;jI(76436,46941,6);Pb(368,76436,x|0)|0;k[19112]=0;k[19113]=0;k[19114]=0;jI(76448,46948,21);Pb(368,76448,x|0)|0;k[19115]=0;k[19116]=0;k[19117]=0;jI(76460,46970,19);Pb(368,76460,x|0)|0;k[19118]=0;k[19119]=0;k[19120]=0;jI(76472,46990,22);Pb(368,76472,x|0)|0;return}function dC(){p[8979]=3.141592653589793;k[19097]=0;k[19098]=0;k[19099]=0;jI(76388,46941,6);Pb(368,76388,x|0)|0;k[19100]=0;k[19101]=0;k[19102]=0;jI(76400,46948,21);Pb(368,76400,x|0)|0;k[19103]=0;k[19104]=0;k[19105]=0;jI(76412,46970,19);Pb(368,76412,x|0)|0;k[19106]=0;k[19107]=0;k[19108]=0;jI(76424,46990,22);Pb(368,76424,x|0)|0;return}function eC(){p[8974]=3.141592653589793;k[19031]=0;k[19032]=0;k[19033]=0;jI(76124,46941,6);Pb(368,76124,x|0)|0;k[19034]=0;k[19035]=0;k[19036]=0;jI(76136,46948,21);Pb(368,76136,x|0)|0;k[19037]=0;k[19038]=0;k[19039]=0;jI(76148,46970,19);Pb(368,76148,x|0)|0;k[19040]=0;k[19041]=0;k[19042]=0;jI(76160,46990,22);Pb(368,76160,x|0)|0;return}function fC(){p[8978]=3.141592653589793;k[19085]=0;k[19086]=0;k[19087]=0;jI(76340,46941,6);Pb(368,76340,x|0)|0;k[19088]=0;k[19089]=0;k[19090]=0;jI(76352,46948,21);Pb(368,76352,x|0)|0;k[19091]=0;k[19092]=0;k[19093]=0;jI(76364,46970,19);Pb(368,76364,x|0)|0;k[19094]=0;k[19095]=0;k[19096]=0;jI(76376,46990,22);Pb(368,76376,x|0)|0;return}function gC(){p[8967]=3.141592653589793;k[18941]=0;k[18942]=0;k[18943]=0;jI(75764,46941,6);Pb(368,75764,x|0)|0;k[18944]=0;k[18945]=0;k[18946]=0;jI(75776,46948,21);Pb(368,75776,x|0)|0;k[18947]=0;k[18948]=0;k[18949]=0;jI(75788,46970,19);Pb(368,75788,x|0)|0;k[18950]=0;k[18951]=0;k[18952]=0;jI(75800,46990,22);Pb(368,75800,x|0)|0;return}function hC(){p[6871]=3.141592653589793;k[18173]=0;k[18174]=0;k[18175]=0;jI(72692,46941,6);Pb(368,72692,x|0)|0;k[18176]=0;k[18177]=0;k[18178]=0;jI(72704,46948,21);Pb(368,72704,x|0)|0;k[18179]=0;k[18180]=0;k[18181]=0;jI(72716,46970,19);Pb(368,72716,x|0)|0;k[18182]=0;k[18183]=0;k[18184]=0;jI(72728,46990,22);Pb(368,72728,x|0)|0;return}function iC(){k[18892]=0;k[18893]=0;k[18894]=0;jI(75568,46941,6);Pb(368,75568,x|0)|0;p[8963]=3.141592653589793;k[18895]=0;k[18896]=0;k[18897]=0;jI(75580,46948,21);Pb(368,75580,x|0)|0;k[18898]=0;k[18899]=0;k[18900]=0;jI(75592,46970,19);Pb(368,75592,x|0)|0;k[18901]=0;k[18902]=0;k[18903]=0;jI(75604,46990,22);Pb(368,75604,x|0)|0;return}function jC(){p[8964]=3.141592653589793;k[18904]=0;k[18905]=0;k[18906]=0;jI(75616,46941,6);Pb(368,75616,x|0)|0;k[18907]=0;k[18908]=0;k[18909]=0;jI(75628,46948,21);Pb(368,75628,x|0)|0;k[18910]=0;k[18911]=0;k[18912]=0;jI(75640,46970,19);Pb(368,75640,x|0)|0;k[18913]=0;k[18914]=0;k[18915]=0;jI(75652,46990,22);Pb(368,75652,x|0)|0;return}function kC(){p[8970]=3.141592653589793;k[18977]=0;k[18978]=0;k[18979]=0;jI(75908,46941,6);Pb(368,75908,x|0)|0;k[18980]=0;k[18981]=0;k[18982]=0;jI(75920,46948,21);Pb(368,75920,x|0)|0;k[18983]=0;k[18984]=0;k[18985]=0;jI(75932,46970,19);Pb(368,75932,x|0)|0;k[18986]=0;k[18987]=0;k[18988]=0;jI(75944,46990,22);Pb(368,75944,x|0)|0;return}function lC(){p[8971]=3.141592653589793;k[18989]=0;k[18990]=0;k[18991]=0;jI(75956,46941,6);Pb(368,75956,x|0)|0;k[18992]=0;k[18993]=0;k[18994]=0;jI(75968,46948,21);Pb(368,75968,x|0)|0;k[18995]=0;k[18996]=0;k[18997]=0;jI(75980,46970,19);Pb(368,75980,x|0)|0;k[18998]=0;k[18999]=0;k[19e3]=0;jI(75992,46990,22);Pb(368,75992,x|0)|0;return}function mC(){p[8969]=3.141592653589793;k[18965]=0;k[18966]=0;k[18967]=0;jI(75860,46941,6);Pb(368,75860,x|0)|0;k[18968]=0;k[18969]=0;k[18970]=0;jI(75872,46948,21);Pb(368,75872,x|0)|0;k[18971]=0;k[18972]=0;k[18973]=0;jI(75884,46970,19);Pb(368,75884,x|0)|0;k[18974]=0;k[18975]=0;k[18976]=0;jI(75896,46990,22);Pb(368,75896,x|0)|0;return}function nC(){p[8966]=3.141592653589793;k[18929]=0;k[18930]=0;k[18931]=0;jI(75716,46941,6);Pb(368,75716,x|0)|0;k[18932]=0;k[18933]=0;k[18934]=0;jI(75728,46948,21);Pb(368,75728,x|0)|0;k[18935]=0;k[18936]=0;k[18937]=0;jI(75740,46970,19);Pb(368,75740,x|0)|0;k[18938]=0;k[18939]=0;k[18940]=0;jI(75752,46990,22);Pb(368,75752,x|0)|0;return}function oC(){p[8968]=3.141592653589793;k[18953]=0;k[18954]=0;k[18955]=0;jI(75812,46941,6);Pb(368,75812,x|0)|0;k[18956]=0;k[18957]=0;k[18958]=0;jI(75824,46948,21);Pb(368,75824,x|0)|0;k[18959]=0;k[18960]=0;k[18961]=0;jI(75836,46970,19);Pb(368,75836,x|0)|0;k[18962]=0;k[18963]=0;k[18964]=0;jI(75848,46990,22);Pb(368,75848,x|0)|0;return}function pC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=b&255;a:do if(!d)a=a+(JI(a)|0)|0;else{if(a&3){c=b&255;do{e=i[a>>0]|0;if(e<<24>>24==0?1:e<<24>>24==c<<24>>24)break a;a=a+1|0}while((a&3|0)!=0)}d=aa(d,16843009)|0;c=k[a>>2]|0;b:do if(!((c&-2139062144^-2139062144)&c+-16843009))do{e=c^d;if((e&-2139062144^-2139062144)&e+-16843009|0)break b;a=a+4|0;c=k[a>>2]|0}while(!((c&-2139062144^-2139062144)&c+-16843009|0));while(0);c=b&255;while(1){e=i[a>>0]|0;if(e<<24>>24==0?1:e<<24>>24==c<<24>>24)break;else a=a+1|0}}while(0);return a|0}function qC(){k[18880]=0;k[18881]=0;k[18882]=0;jI(75520,46941,6);Pb(368,75520,x|0)|0;p[8962]=3.141592653589793;k[18883]=0;k[18884]=0;k[18885]=0;jI(75532,46948,21);Pb(368,75532,x|0)|0;k[18886]=0;k[18887]=0;k[18888]=0;jI(75544,46970,19);Pb(368,75544,x|0)|0;k[18889]=0;k[18890]=0;k[18891]=0;jI(75556,46990,22);Pb(368,75556,x|0)|0;return}function rC(){p[8977]=3.141592653589793;k[19073]=0;k[19074]=0;k[19075]=0;jI(76292,46941,6);Pb(368,76292,x|0)|0;k[19076]=0;k[19077]=0;k[19078]=0;jI(76304,46948,21);Pb(368,76304,x|0)|0;k[19079]=0;k[19080]=0;k[19081]=0;jI(76316,46970,19);Pb(368,76316,x|0)|0;k[19082]=0;k[19083]=0;k[19084]=0;jI(76328,46990,22);Pb(368,76328,x|0)|0;return}function sC(){p[6870]=3.141592653589793;k[18161]=0;k[18162]=0;k[18163]=0;jI(72644,46941,6);Pb(368,72644,x|0)|0;k[18164]=0;k[18165]=0;k[18166]=0;jI(72656,46948,21);Pb(368,72656,x|0)|0;k[18167]=0;k[18168]=0;k[18169]=0;jI(72668,46970,19);Pb(368,72668,x|0)|0;k[18170]=0;k[18171]=0;k[18172]=0;jI(72680,46990,22);Pb(368,72680,x|0)|0;return}function tC(){p[8965]=3.141592653589793;k[18916]=0;k[18917]=0;k[18918]=0;jI(75664,46941,6);Pb(368,75664,x|0)|0;k[18919]=0;k[18920]=0;k[18921]=0;jI(75676,46948,21);Pb(368,75676,x|0)|0;k[18922]=0;k[18923]=0;k[18924]=0;jI(75688,46970,19);Pb(368,75688,x|0)|0;k[18925]=0;k[18926]=0;k[18927]=0;jI(75700,46990,22);Pb(368,75700,x|0)|0;return}function uC(){p[8961]=3.141592653589793;k[18865]=0;k[18866]=0;k[18867]=0;jI(75460,46941,6);Pb(368,75460,x|0)|0;k[18868]=0;k[18869]=0;k[18870]=0;jI(75472,46948,21);Pb(368,75472,x|0)|0;k[18871]=0;k[18872]=0;k[18873]=0;jI(75484,46970,19);Pb(368,75484,x|0)|0;k[18874]=0;k[18875]=0;k[18876]=0;jI(75496,46990,22);Pb(368,75496,x|0)|0;return}function vC(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;if(!a)return;e=k[a>>2]|0;if(e|0){c=k[a+4>>2]|0;d=a+8|0;b=k[d>>2]|0;f=c;if(!c)k[e+24>>2]=b;else{k[c+8>>2]=b;b=k[d>>2]|0}if(!b)k[e+24+4>>2]=f;else k[b+4>>2]=f;Pf(k[a+12>>2]|0);k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0}switch(k[a+16>>2]|0){case 2:{Pf(k[a+24>>2]|0);break}case 5:case 4:{b=k[a+24>>2]|0;if(b|0)do{f=b;b=k[b+8>>2]|0;vC(f)}while((b|0)!=0);break}default:{}}Pf(a);return}function wC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;f=j;do if((a|0)==(b|0)){k[c>>2]=4;a=0}else{if((i[a>>0]|0)==45){k[c>>2]=4;a=0;break}g=v9()|0;h=k[g>>2]|0;k[g>>2]=0;a=Kca(a,f,d,gN()|0)|0;d=N;e=k[g>>2]|0;if(!e)k[g>>2]=h;do if((k[f>>2]|0)==(b|0))if(d>>>0>0|(d|0)==0&a>>>0>4294967295|(e|0)==34){k[c>>2]=4;a=-1;break}else break;else{k[c>>2]=4;a=0}while(0)}while(0);r=j;return a|0}function xC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;f=j;do if((a|0)==(b|0)){k[c>>2]=4;a=0}else{if((i[a>>0]|0)==45){k[c>>2]=4;a=0;break}g=v9()|0;h=k[g>>2]|0;k[g>>2]=0;a=Kca(a,f,d,gN()|0)|0;d=N;e=k[g>>2]|0;if(!e)k[g>>2]=h;do if((k[f>>2]|0)==(b|0))if(d>>>0>0|(d|0)==0&a>>>0>4294967295|(e|0)==34){k[c>>2]=4;a=-1;break}else break;else{k[c>>2]=4;a=0}while(0)}while(0);r=j;return a|0}function yC(a){a=a|0;var b=0,c=0,d=0,e=0;b=ZL(64)|0;y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);sb(e|0)}c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;k[b+56>>2]=k[a+56>>2];k[b>>2]=10696;y=0;oa(464,b+60|0,a+60|0);e=y;y=0;if(!(e&1))return b|0;e=pb()|0;zqa(b);sb(e|0);return 0}function zC(a){a=a|0;var b=0,c=0,d=0,e=0;b=ZL(72)|0;y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);sb(e|0)}c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[b+52>>2]=k[a+52>>2];k[b+56>>2]=k[a+56>>2];i[b+60>>0]=i[a+60>>0]|0;k[b>>2]=5528;y=0;oa(464,b+64|0,a+64|0);e=y;y=0;if(!(e&1)){i[b+68>>0]=i[a+68>>0]|0;return b|0}e=pb()|0;zqa(b);sb(e|0);return 0}function AC(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=0;g=r;r=r+16|0;c=g;e=a+8|0;b=k[e>>2]|0;d=a+12|0;a:do if((b|0)<(k[d>>2]|0))f=6;else{k[c>>2]=k[a>>2];k[c+4>>2]=a+24;k[c+8>>2]=2048;b=Ta(220,c|0)|0;if((b|0)>=1){k[d>>2]=b;k[e>>2]=0;b=0;f=6;break}switch(b|0){case 0:case -2:{b=0;break a}default:{}}e=v9()|0;k[e>>2]=0-b;b=0}while(0);if((f|0)==6){f=a+24+b|0;k[e>>2]=(m[f+8>>1]|0)+b;k[a+4>>2]=k[f+4>>2];b=f}r=g;return b|0}function BC(a){a=a|0;var b=0,c=0,d=0,e=0;b=ZL(64)|0;y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);sb(e|0)}c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;k[b+56>>2]=k[a+56>>2];k[b>>2]=10448;y=0;oa(464,b+60|0,a+60|0);e=y;y=0;if(!(e&1))return b|0;e=pb()|0;zqa(b);sb(e|0);return 0}function CC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;uea(a);f=k[a+12>>2]|0;g=rqa((f|0)>-1?f:-1)|0;d=rqa((f|0)<0?-1:f<<1)|0;e=b+4|0;do{Cr(b,g,f)|0;h=k[e>>2]|0;Rs(c,d,_r(g,h,d,a)|0)|0}while((h|0)>0?(k[b+(k[(k[b>>2]|0)+-12>>2]|0)+16>>2]|0)==0:0);Rs(c,d,pH(d,a)|0)|0;uea(a);sqa(d);sqa(g);return}function DC(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;c=a+-72|0;e=c+68|0;a=k[e>>2]|0;if(a|0){e=a;return e|0}k[e>>2]=-1640531520;d=c+88|0;a=k[d>>2]|0;if(!a){b=k[c+76>>2]|0;c=k[c+80>>2]|0;if((b|0)==(c|0)){a=0;b=-1640531520}else{do{f=k[b>>2]|0;f=(oc[k[(k[f>>2]|0)+8>>2]&511](f)|0)+-1640531527|0;a=k[d>>2]|0;a=f+(a<<6)+(a>>>2)^a;k[d>>2]=a;b=b+4|0}while((b|0)!=(c|0));b=k[e>>2]|0}}else b=-1640531520;f=a+-1640531527+(b<<6)+(b>>>2)^b;k[e>>2]=f;return f|0}function EC(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(112)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=e+52|0;k[b>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=6264;y=0;oa(475,e+64|0,a+64|0);a=y;y=0;if(!(a&1)){k[b>>2]=11;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function FC(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=4736;d=a+88|0;b=k[d>>2]|0;if(b|0){e=a+92|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-12|0;k[e>>2]=f;$9(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}e=a+76|0;b=k[e>>2]|0;if(!b)return;d=a+80|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{f=c+-12|0;k[d>>2]=f;$9(f);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}zqa(b);return}function GC(a,b){a=a|0;b=b|0;var c=0,d=0;d=0;c=b;a:do if(!((c^a)&3)){if(c&3)do{c=i[b>>0]|0;i[a>>0]=c;if(!(c<<24>>24))break a;b=b+1|0;a=a+1|0}while((b&3|0)!=0);c=k[b>>2]|0;if(!((c&-2139062144^-2139062144)&c+-16843009)){d=a;while(1){b=b+4|0;a=d+4|0;k[d>>2]=c;c=k[b>>2]|0;if((c&-2139062144^-2139062144)&c+-16843009|0)break;else d=a}}d=8}else d=8;while(0);if((d|0)==8){d=i[b>>0]|0;i[a>>0]=d;if(d<<24>>24)do{b=b+1|0;a=a+1|0;d=i[b>>0]|0;i[a>>0]=d}while(d<<24>>24!=0)}return a|0}function HC(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(68)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=e+52|0;k[b>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=7184;y=0;oa(464,e+64|0,a+64|0);a=y;y=0;if(!(a&1)){k[b>>2]=16;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function IC(a,b){a=a|0;b=b|0;var c=0,d=0;d=a+12|0;c=k[d>>2]|0;if(!c){b=0;return b|0}while(1){if(!(k[c+12>>2]|0)){a=0;c=5;break}if((tu(a,b)|0)!=(a+4|0)){a=1;c=5;break}a=k[d>>2]|0;d=a+12|0;c=k[d>>2]|0;if(!c){a=0;c=5;break}}if((c|0)==5)return a|0;return 0}function JC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=r;r=r+16|0;d=e;k[a+64>>2]=b;c=k[a+76>>2]|0;a=k[a+80>>2]|0;if((c|0)==(a|0)){r=e;return}while(1){rT(d,c);f=k[d>>2]|0;y=0;oa(k[(k[f>>2]|0)+116>>2]|0,f|0,b|0);f=y;y=0;if(f&1){c=6;break}EO(d);c=c+4|0;if((c|0)==(a|0)){c=3;break}}if((c|0)==3){r=e;return}else if((c|0)==6){f=pb()|0;EO(d);sb(f|0)}}function KC(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(68)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=e+52|0;k[b>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=6356;y=0;oa(464,e+64|0,a+64|0);a=y;y=0;if(!(a&1)){k[b>>2]=14;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function LC(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(68)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=e+52|0;k[b>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=7092;y=0;oa(464,e+64|0,a+64|0);a=y;y=0;if(!(a&1)){k[b>>2]=15;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function MC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;f=j;do if((a|0)==(b|0)){k[c>>2]=4;d=0;a=0}else{if((i[a>>0]|0)==45){k[c>>2]=4;d=0;a=0;break}g=v9()|0;h=k[g>>2]|0;k[g>>2]=0;a=Kca(a,f,d,gN()|0)|0;d=N;e=k[g>>2]|0;if(!e)k[g>>2]=h;if((k[f>>2]|0)==(b|0)){if((e|0)==34){k[c>>2]=4;a=-1;d=-1}}else{k[c>>2]=4;a=0;d=0}}while(0);N=d;r=j;return a|0}function NC(a){a=a|0;var b=0,c=0,d=0,e=0;b=ZL(72)|0;y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);sb(e|0)}c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;k[b+56>>2]=k[a+56>>2];k[b>>2]=8848;y=0;oa(452,b+60|0,a+60|0);e=y;y=0;if(!(e&1))return b|0;e=pb()|0;zqa(b);sb(e|0);return 0}function OC(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(68)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=e+52|0;k[b>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=6448;y=0;oa(464,e+64|0,a+64|0);a=y;y=0;if(!(a&1)){k[b>>2]=17;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function PC(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(68)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=e+52|0;k[b>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=6540;y=0;oa(464,e+64|0,a+64|0);a=y;y=0;if(!(a&1)){k[b>>2]=18;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function QC(a,b){a=a|0;b=b|0;if(!(a>>>0<1114112&(a&-2048|0)!=55296)){b=gb(8)|0;k[b>>2]=15040;k[b+4>>2]=a;Wb(b|0,1688,200)}if(a>>>0<128){i[b>>0]=a;b=b+1|0;return b|0}if(a>>>0<2048){i[b>>0]=a>>>6|192;i[b+1>>0]=a&63|128;b=b+2|0;return b|0}if(a>>>0<65536){i[b>>0]=a>>>12|224;i[b+1>>0]=a>>>6&63|128;i[b+2>>0]=a&63|128;b=b+3|0;return b|0}else{i[b>>0]=a>>>18|240;i[b+1>>0]=a>>>12&63|128;i[b+2>>0]=a>>>6&63|128;i[b+3>>0]=a&63|128;b=b+4|0;return b|0}return 0}function RC(a,b){a=a|0;b=b|0;var c=0,d=0;zx(a,b);k[a>>2]=12784;c=a+104|0;y=0;oa(452,c|0,b+104|0);d=y;y=0;do if(d&1)b=pb()|0;else{y=0;oa(464,a+116|0,b+116|0);d=y;y=0;if(d&1){b=pb()|0;$9(c);break}else{k[a+96>>2]=1;return}}while(0);k[a>>2]=11700;$9(a+84|0);$9(a+72|0);sb(b|0)}function SC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;c=e;d=a+4|0;pK(c,b+84|0);y=0;Na(139,d|0,c|0,b|0);a=y;y=0;if(a&1){e=pb()|0;$9(c);sb(e|0)}$9(c);a=b+61|0;if(!(i[a>>0]|0)){r=e;return}cO(d);if(!(i[a>>0]|0)){r=e;return}Yw(d);r=e;return}function TC(a,b,c){a=+a;b=+b;c=+c;var d=0;if(!(a==255.0|(a==238.0|(a==221.0|(a==204.0|(a==187.0|(a==170.0|(a==153.0|(a==136.0|(a==119.0|(a==102.0|(a==85.0|(a==68.0|(a==51.0|(a==34.0|(a==0.0|a==17.0)))))))))))))))){d=0;return d|0}if(!(b==255.0|(b==238.0|(b==221.0|(b==204.0|(b==187.0|(b==170.0|(b==153.0|(b==136.0|(b==119.0|(b==102.0|(b==85.0|(b==68.0|(b==51.0|(b==34.0|(b==0.0|b==17.0)))))))))))))))){d=0;return d|0}d=c==255.0|(c==238.0|(c==221.0|(c==204.0|(c==187.0|(c==170.0|(c==153.0|(c==136.0|(c==119.0|(c==102.0|(c==85.0|(c==68.0|(c==51.0|(c==34.0|(c==0.0|c==17.0))))))))))))));return d|0}function UC(a){a=a|0;var b=0,c=0,d=0,e=0;e=ZL(68)|0;y=0;na(366,e|0);d=y;y=0;if(d&1){a=pb()|0;zqa(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=e+52|0;k[b>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=7460;y=0;oa(482,e+64|0,0);a=y;y=0;if(!(a&1)){k[b>>2]=7;return e|0}a=pb()|0;zqa(e);sb(a|0);return 0}function VC(a){a=a|0;var b=0,c=0,d=0;c=i[32599]|0;a:do if(!(c<<24>>24))b=0;else{b=i[a>>0]|0;d=32599;while(1){if(b<<24>>24==c<<24>>24)break a;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){b=0;break}}}while(0);b=b<<24>>24?a+1|0:a;if(!b){a=0;return a|0}a=eV(b)|0;b=a|0?a:b;if(!b){a=0;return a|0}if((i[b>>0]|0)!=110){a=0;return a|0}a=ur(b+1|0)|0;return a|0}function WC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=a+8|0;h=d+3|0;f=i[h>>0]|0;g=f<<24>>24<0;if(g)e=(k[d>>2]&2147483647)+-1|0;else e=1;do if(e>>>0<c>>>0){if(g)d=k[a+4>>2]|0;else d=f&255;Sx(a,e,c-e|0,d,0,d,c,b)}else{if(g)d=k[a>>2]|0;else d=a;Maa(d,b,c)|0;k[d+(c<<2)>>2]=0;if((i[h>>0]|0)<0){k[a+4>>2]=c;break}else{i[h>>0]=c;break}}while(0);return a|0}function XC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;a:do if((a|0)==(k[b+8>>2]|0))dI(0,b,c,d);else{f=k[a+12>>2]|0;e=a+16+(f<<3)|0;NL(a+16|0,b,c,d);if((f|0)>1){f=b+54|0;a=a+24|0;do{NL(a,b,c,d);if(i[f>>0]|0)break a;a=a+8|0}while(a>>>0<e>>>0)}}while(0);return}function YC(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;do if((a|0)==(k[b+8>>2]|0)){if((k[b+4>>2]|0)==(c|0)){a=b+28|0;if((k[a>>2]|0)!=1)k[a>>2]=d}}else if((a|0)==(k[b>>2]|0)){if((k[b+16>>2]|0)!=(c|0)){a=b+20|0;if((k[a>>2]|0)!=(c|0)){k[b+32>>2]=d;k[a>>2]=c;d=b+40|0;k[d>>2]=(k[d>>2]|0)+1;if((k[b+36>>2]|0)==1)if((k[b+24>>2]|0)==2)i[b+54>>0]=1;k[b+44>>2]=4;break}}if((d|0)==1)k[b+32>>2]=1}while(0);return}function ZC(a){a=a|0;var b=0,c=0,d=0;b=w2(a)|0;if(!b){c=i[a>>0]|0;b=a+1|0;if((c|4)<<24>>24!=13){d=c<<24>>24|0;b=(d|0)!=10?((d|0)==12?b:0):b;if(!b){d=a;a=c;a=a<<24>>24==41;d=d+1|0;d=a?d:0;return d|0}}}while(1){c=w2(b)|0;if(c|0){b=c;continue}c=i[b>>0]|0;a=b+1|0;if((c|4)<<24>>24==13){b=a;continue}d=c<<24>>24|0;a=(d|0)!=10?((d|0)==12?a:0):a;if(!a)break;else b=a}a=c<<24>>24==41;d=b+1|0;d=a?d:0;return d|0}function _C(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0;if((-17-b|0)>>>0<c>>>0)LM(a);if((i[a+11>>0]|0)<0)l=k[a>>2]|0;else l=a;if(b>>>0<2147483623){h=c+b|0;j=b<<1;h=h>>>0<j>>>0?j:h;h=h>>>0<11?11:h+16&-16}else h=-17;j=ZL(h)|0;if(e|0)GH(j|0,l|0,e|0)|0;c=d-f-e|0;if(c|0)GH(j+e+g|0,l+e+f|0,c|0)|0;if((b|0)!=10)zqa(l);k[a>>2]=j;k[a+8>>2]=h|-2147483648;return}function $C(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;i=0;j=r;r=r+16|0;c=j+8|0;d=j;e=a+36|0;f=a+40|0;g=c+8|0;h=c;b=a+32|0;a:while(1){a=k[e>>2]|0;a=qc[k[(k[a>>2]|0)+20>>2]&63](a,k[f>>2]|0,c,g,d)|0;l=(k[d>>2]|0)-h|0;if((mN(c,1,l,k[b>>2]|0)|0)!=(l|0)){a=-1;break}switch(a|0){case 1:break;case 2:{a=-1;break a}default:{i=4;break a}}}if((i|0)==4)a=((GE(k[b>>2]|0)|0)!=0)<<31>>31;r=j;return a|0}function aD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;i=0;j=r;r=r+16|0;c=j+8|0;d=j;e=a+36|0;f=a+40|0;g=c+8|0;h=c;b=a+32|0;a:while(1){a=k[e>>2]|0;a=qc[k[(k[a>>2]|0)+20>>2]&63](a,k[f>>2]|0,c,g,d)|0;l=(k[d>>2]|0)-h|0;if((mN(c,1,l,k[b>>2]|0)|0)!=(l|0)){a=-1;break}switch(a|0){case 1:break;case 2:{a=-1;break a}default:{i=4;break a}}}if((i|0)==4)a=((GE(k[b>>2]|0)|0)!=0)<<31>>31;r=j;return a|0}function bD(a){a=a|0;var b=0;if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=kw(b)|0;if(!b)b=0;else{b=iw(b)|0;if(!b)b=0;else b=(i[b>>0]|0)==124?b+1|0:0}b=b|0?b:a;if(!b){a=0;return a|0}if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=kw(b)|0;if(!b){a=0;return a|0}a=iw(b)|0;return a|0}function cD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+68|0;b=k[e>>2]|0;if(b|0){e=b;return e|0}k[e>>2]=-1640531520;d=a+88|0;b=k[d>>2]|0;if(!b){c=k[a+76>>2]|0;a=k[a+80>>2]|0;if((c|0)==(a|0)){b=0;c=-1640531520}else{do{f=k[c>>2]|0;f=(oc[k[(k[f>>2]|0)+8>>2]&511](f)|0)+-1640531527|0;b=k[d>>2]|0;b=f+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+4|0}while((c|0)!=(a|0));c=k[e>>2]|0}}else c=-1640531520;f=b+-1640531527+(c<<6)+(c>>>2)^c;k[e>>2]=f;return f|0}function dD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=r;r=r+64|0;f=g;if((a|0)==(b|0))b=1;else if(!b)b=0;else{b=pw(b,4456,4440,0)|0;if(!b)b=0;else{d=f+4|0;e=d+52|0;do{k[d>>2]=0;d=d+4|0}while((d|0)<(e|0));k[f>>2]=b;k[f+8>>2]=a;k[f+12>>2]=-1;k[f+48>>2]=1;Pc[k[(k[b>>2]|0)+28>>2]&63](b,f,k[c>>2]|0,1);if((k[f+24>>2]|0)==1){k[c>>2]=k[f+16>>2];b=1}else b=0}}r=g;return b|0}function eD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;i=r;r=r+16|0;f=i;if((a|0)==(b|0)){k[c>>2]=4;d=0;a=0}else{g=v9()|0;h=k[g>>2]|0;k[g>>2]=0;a=hda(a,f,d,gN()|0)|0;d=N;e=k[g>>2]|0;if(!e)k[g>>2]=h;if((k[f>>2]|0)==(b|0)){if((e|0)==34){k[c>>2]=4;d=(d|0)>0|(d|0)==0&a>>>0>0;a=d?-1:0;d=d?2147483647:-2147483648}}else{k[c>>2]=4;a=0;d=0}}N=d;r=i;return a|0}function fD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;c=e;d=a+4|0;mc[k[(k[b>>2]|0)+148>>2]&1023](c,b);y=0;Na(139,d|0,c|0,b|0);a=y;y=0;if(a&1){e=pb()|0;$9(c);sb(e|0)}$9(c);a=b+61|0;if(!(i[a>>0]|0)){r=e;return}cO(d);if(!(i[a>>0]|0)){r=e;return}Yw(d);r=e;return}function gD(a){a=a|0;var b=0,c=0,d=0;b=ZL(36)|0;k[b+4>>2]=0;k[b+8>>2]=0;k[b>>2]=14100;c=b+12|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[c+16>>2]=0;k[c+20>>2]=0;i[a>>0]=0;k[a+4>>2]=2;k[a+8>>2]=0;y=0;oa(482,a+12|0,0);d=y;y=0;if(d&1){d=pb()|0;kZ(b);sb(d|0)}else{k[a+16>>2]=c;k[a+20>>2]=b;Sba(b);kZ(b);return}}function hD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;c=e;d=a+4|0;mc[k[(k[b>>2]|0)+148>>2]&1023](c,b);y=0;Na(139,d|0,c|0,b|0);a=y;y=0;if(a&1){e=pb()|0;$9(c);sb(e|0)}$9(c);a=b+61|0;if(!(i[a>>0]|0)){r=e;return}cO(d);if(!(i[a>>0]|0)){r=e;return}Yw(d);r=e;return}function iD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;d=k[a>>2]|0;g=a+4|0;f=b+4|0;e=(k[g>>2]|0)-d|0;c=(k[f>>2]|0)+(0-(e>>2)<<2)|0;k[f>>2]=c;if((e|0)>0){GH(c|0,d|0,e|0)|0;d=f;c=k[f>>2]|0}else d=f;f=k[a>>2]|0;k[a>>2]=c;k[d>>2]=f;f=b+8|0;e=k[g>>2]|0;k[g>>2]=k[f>>2];k[f>>2]=e;f=a+8|0;g=b+12|0;a=k[f>>2]|0;k[f>>2]=k[g>>2];k[g>>2]=a;k[b>>2]=k[d>>2];return}function jD(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;k[c>>2]=0;switch(_n(a,b,c)|0){case 5:{d=gb(8)|0;c=k[c>>2]|0;k[d>>2]=15040;k[d+4>>2]=c;Wb(d|0,1688,200)}case 1:{d=gb(4)|0;k[d>>2]=15060;Wb(d|0,1704,200)}case 4:case 3:case 2:{d=gb(8)|0;c=i[k[a>>2]>>0]|0;k[d>>2]=15080;i[d+4>>0]=c;Wb(d|0,1720,200)}default:{r=d;return k[c>>2]|0}}return 0}function kD(a){a=a|0;var b=0,c=0,d=0;d=r;r=r+1024|0;b=aJ(d,1024)|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,b,JI(b)|0);b=i[a+11>>0]|0;if(b<<24>>24<0){b=k[a+4>>2]|0;c=k[a>>2]|0}else{b=b&255;c=a}if((i[c+(b+-1)>>0]|0)==47){r=d;return}y=0;oa(461,a|0,47);c=y;y=0;if(c&1){d=pb()|0;$9(a);sb(d|0)}else{r=d;return}}function lD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=r;r=r+16|0;b=f+4|0;d=f;e=a+68|0;c=k[e>>2]|0;if(c|0){e=c;r=f;return e|0}k[e>>2]=k[a+60>>2];rT(b,a+64|0);a=k[b>>2]|0;k[d>>2]=a;y=0;a=qa(k[(k[a>>2]|0)+8>>2]|0,a|0)|0;c=y;y=0;if(c&1){f=pb()|0;EO(d);sb(f|0)}c=k[e>>2]|0;k[e>>2]=a+-1640531527+(c<<6)+(c>>>2)^c;EO(d);e=k[e>>2]|0;r=f;return e|0}function mD(a,b,c){a=a|0;b=b|0;c=c|0;do if(!a)a=1;else{if(b>>>0<128){i[a>>0]=b;a=1;break}if(b>>>0<2048){i[a>>0]=b>>>6|192;i[a+1>>0]=b&63|128;a=2;break}if(b>>>0<55296|(b&-8192|0)==57344){i[a>>0]=b>>>12|224;i[a+1>>0]=b>>>6&63|128;i[a+2>>0]=b&63|128;a=3;break}if((b+-65536|0)>>>0<1048576){i[a>>0]=b>>>18|240;i[a+1>>0]=b>>>12&63|128;i[a+2>>0]=b>>>6&63|128;i[a+3>>0]=b&63|128;a=4;break}else{a=v9()|0;k[a>>2]=84;a=-1;break}}while(0);return a|0}function nD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;if(b|0){g=a+11|0;d=i[g>>0]|0;if(d<<24>>24<0){e=(k[a+8>>2]&2147483647)+-1|0;f=k[a+4>>2]|0}else{e=10;f=d&255}if((e-f|0)>>>0<b>>>0){_C(a,e,b-e+f|0,f,f,0,0);d=i[g>>0]|0}if(d<<24>>24<0)e=k[a>>2]|0;else e=a;jJ(e+f|0,c|0,b|0)|0;d=f+b|0;if((i[g>>0]|0)<0)k[a+4>>2]=d;else i[g>>0]=d;i[e+d>>0]=0}return a|0}function oD(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+4>>2]=5060;$9(a+56|0);b=k[a+32>>2]|0;c=b;if(b|0){d=a+36|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~(((e+-24-c|0)>>>0)/24|0)*24|0);zqa(b)}b=k[a+20>>2]|0;if(!b){e=a+8|0;$9(e);zqa(a);return}c=a+24|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);zqa(b);e=a+8|0;$9(e);zqa(a);return}function pD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;g=JI(b)|0;h=a+4|0;d=k[h>>2]|0;c=k[a>>2]|0;if((d-c|0)>=(g|0)){i=c;GH(i|0,b|0,g|0)|0;i=k[a>>2]|0;i=i+g|0;k[a>>2]=i;return}i=a+8|0;e=k[i>>2]|0;f=c-e|0;c=f+g|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=BH(e,d|1)|0;k[i>>2]=c;if(!c){mN(45154,15,1,k[4849]|0)|0;Zb(1)}i=c+f|0;k[a>>2]=i;k[h>>2]=c+d;GH(i|0,b|0,g|0)|0;i=k[a>>2]|0;i=i+g|0;k[a>>2]=i;return}
function Zp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=a+4|0;c=k[f>>2]|0;g=a+100|0;if(c>>>0<(k[g>>2]|0)>>>0){k[f>>2]=c+1;c=l[c>>0]|0}else c=HA(a)|0;switch(c|0){case 43:case 45:{d=(c|0)==45&1;c=k[f>>2]|0;if(c>>>0<(k[g>>2]|0)>>>0){k[f>>2]=c+1;c=l[c>>0]|0}else c=HA(a)|0;if((b|0)!=0&(c+-48|0)>>>0>9)if(k[g>>2]|0)k[f>>2]=(k[f>>2]|0)+-1;break}default:d=0}if((c+-48|0)>>>0>9)if(!(k[g>>2]|0)){d=-2147483648;c=0}else{k[f>>2]=(k[f>>2]|0)+-1;d=-2147483648;c=0}else{e=0;do{e=c+-48+(e*10|0)|0;c=k[f>>2]|0;if(c>>>0<(k[g>>2]|0)>>>0){k[f>>2]=c+1;c=l[c>>0]|0}else c=HA(a)|0}while((c+-48|0)>>>0<10&(e|0)<214748364);b=((e|0)<0)<<31>>31;if((c+-48|0)>>>0<10)do{b=PQ(e|0,b|0,10,0)|0;e=N;c=G6(c|0,((c|0)<0)<<31>>31|0,-48,-1)|0;e=G6(c|0,N|0,b|0,e|0)|0;b=N;c=k[f>>2]|0;if(c>>>0<(k[g>>2]|0)>>>0){k[f>>2]=c+1;c=l[c>>0]|0}else c=HA(a)|0}while((c+-48|0)>>>0<10&((b|0)<21474836|(b|0)==21474836&e>>>0<2061584302));if((c+-48|0)>>>0<10)do{c=k[f>>2]|0;if(c>>>0<(k[g>>2]|0)>>>0){k[f>>2]=c+1;c=l[c>>0]|0}else c=HA(a)|0}while((c+-48|0)>>>0<10);if(k[g>>2]|0)k[f>>2]=(k[f>>2]|0)+-1;g=(d|0)!=0;c=ST(0,0,e|0,b|0)|0;d=g?N:b;c=g?c:e}N=d;return c|0}function _p(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;i=r;r=r+16|0;j=i+8|0;h=i+4|0;l=i;g=b+60|0;d=b+84|0;e=b+88|0;f=nQ((k[e>>2]|0)-(k[d>>2]|0)>>2)|0;b=k[d>>2]|0;e=k[e>>2]|0;if((b|0)==(e|0)){r=i;return f|0}d=0;while(1){rT(j,b);c=k[j>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+64>>2]|0,c|0,a|0)|0;m=y;y=0;if(m&1){c=11;break}y=0;Na(145,f|0,d|0,c|0);m=y;y=0;if(m&1){c=11;break}y=0;oa(464,l|0,j|0);m=y;y=0;if(m&1){c=11;break}y=0;c=Ha(965,g|0,l|0)|0;m=y;y=0;if(m&1){c=12;break}k[h>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+64>>2]|0,c|0,a|0)|0;m=y;y=0;if(m&1){c=13;break}y=0;Na(146,f|0,d|0,c|0);m=y;y=0;if(m&1){c=13;break}EO(h);EO(l);EO(j);b=b+4|0;if((b|0)==(e|0)){c=3;break}else d=d+1|0}if((c|0)==3){r=i;return f|0}else if((c|0)==11){m=pb()|0;EO(j);sb(m|0)}else if((c|0)==12)b=pb()|0;else if((c|0)==13){b=pb()|0;EO(h)}EO(l);m=b;EO(j);sb(m|0);return 0}function $p(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;f=r;r=r+32|0;g=f+16|0;h=f+4|0;e=f;b=Fi(b,c,a)|0;k[b+84>>2]=d;pK(h,b+68|0);y=0;a=Ha(970,h|0,42903)|0;c=y;y=0;if(c&1){g=pb()|0;$9(h);sb(g|0)}k[g>>2]=k[a>>2];k[g+4>>2]=k[a+4>>2];k[g+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;y=0;a=Ha(971,d|0,g|0)|0;d=y;y=0;if(d&1)a=pb()|0;else{y=0;oa(482,e|0,b|0);d=y;y=0;do if(d&1)a=pb()|0;else{y=0;Ha(966,a|0,e|0)|0;d=y;y=0;if(d&1){a=pb()|0;EO(e);break}else{EO(e);$9(g);$9(h);r=f;return}}while(0)}$9(g);g=a;$9(h);sb(g|0)}function aq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;i=r;r=r+16|0;g=i+4|0;h=i;b=pw(b,40,216,0)|0;if(!b){g=0;h=0;h=g&h;r=i;return h|0}f=a+60|0;d=(k[a+68>>2]|0)-(k[a+64>>2]|0)>>2;e=b+60|0;if((d|0)!=((k[b+68>>2]|0)-(k[b+64>>2]|0)>>2|0)){g=1;h=0;h=g&h;r=i;return h|0}if((k[a+80>>2]|0)!=(k[b+80>>2]|0)){g=1;h=0;h=g&h;r=i;return h|0}if(!d){g=1;h=1;h=g&h;r=i;return h|0}c=0;while(1){rT(g,Fc[k[(k[e>>2]|0)+12>>2]&2047](e,c)|0);y=0;b=Ha(k[(k[f>>2]|0)+12>>2]|0,f|0,c|0)|0;a=y;y=0;if(a&1){c=10;break}y=0;oa(464,h|0,b|0);a=y;y=0;if(a&1){c=10;break}b=k[h>>2]|0;a=k[g>>2]|0;if((b|0)==0|(a|0)==0)b=1;else{y=0;b=Ha(k[(k[b>>2]|0)+88>>2]|0,b|0,a|0)|0;a=y;y=0;if(a&1){c=11;break}b=b&1^1}EO(h);EO(g);c=c+1|0;if(b|0){b=1;a=0;c=16;break}if(c>>>0>=d>>>0){b=1;a=1;c=16;break}}if((c|0)==10){i=pb()|0;EO(g);sb(i|0)}else if((c|0)==11){i=pb()|0;EO(h);EO(g);sb(i|0)}else if((c|0)==16){h=b&a;r=i;return h|0}return 0}function bq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>3;if(!d)return;do if(d>>>0>536870911){y=0;na(365,a|0);e=y;y=0;if(e&1)b=13;else{b=gb(4)|0;doa(b);y=0;Na(76,b|0,4496,348);y=0;b=13}}else{y=0;c=qa(332,c|0)|0;g=y;y=0;if(g&1)b=13;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<3);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(464,c|0,b|0);g=y;y=0;if(g&1){b=12;break}y=0;oa(464,c+4|0,b+4|0);g=y;y=0;if(g&1){b=10;break}b=b+8|0;c=(k[f>>2]|0)+8|0;k[f>>2]=c;if((b|0)==(d|0)){b=20;break}}if((b|0)==10){d=pb()|0;EO(c);break}else if((b|0)==12){d=pb()|0;break}else if((b|0)==20)return}}while(0);if((b|0)==13)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-8|0;k[f>>2]=g;EO(b+-4|0);EO(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}zqa(c);sb(d|0)}function cq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}b=PU(e)|0;b=b|0?b:e;if(!b)f=0;else{b=CN(b)|0;if(!b)f=0;else{f=Qz(b)|0;b=f|0?f:b;if(!b)f=0;else{b=(i[b>>0]|0)==40?b+1|0:0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}}}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function dq(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0;l=r;r=r+48|0;h=l;j=l+40|0;rT(j,e);g=h;e=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(e|0));y=0;na(366,a|0);g=y;y=0;do if(g&1)e=pb()|0;else{g=a+12|0;b=h;e=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(e|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;h=a+64|0;y=0;oa(464,h|0,j|0);g=y;y=0;if(g&1){e=pb()|0;break}EO(j);k[a>>2]=5804;g=a+68|0;y=0;oa(452,g|0,c|0);j=y;y=0;if(j&1)e=pb()|0;else{e=a+80|0;y=0;oa(464,e|0,d|0);d=y;y=0;do if(d&1)e=pb()|0;else{y=0;oa(464,a+84|0,f|0);f=y;y=0;if(f&1){l=pb()|0;EO(e);e=l;break}else{k[b>>2]=3;r=l;return}}while(0);$9(g)}k[a>>2]=5436;EO(h);a=e;sb(a|0)}while(0);EO(j);a=e;sb(a|0)}function eq(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0.0,t=0,u=0;u=r;r=r+64|0;t=u+16|0;b=u;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,35329,6);y=0;c=t;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));c=sa(24,b|0,a|0,d|0,t|0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;$9(b);sb(e|0)}$9(b);l=+p[c+64>>3]/255.0;m=+p[c+72>>3]/255.0;n=+p[c+80>>3]/255.0;b=m<n;j=b?n:m;j=l<j?j:l;h=n<m?n:m;h=h<l?h:l;o=j-h;i=j+h;s=i*.5;do if(j==h){i=0.0;h=0.0}else{h=o/(s<.5?i:2.0-j-h);if(l==j){i=(b?6.0:0.0)+(m-n)/o;break}if(m==j){i=(n-l)/o+2.0;break}if(n==j)i=(l-m)/o+4.0;else i=0.0}while(0);l=h*100.0;j=s*100.0;i=i/6.0*360.0+-180.0;h=+p[c+88>>3];c=t;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));e=lm(i,l,j,h,0,t)|0;r=u;return e|0}function fq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;a=r;r=r+96|0;d=a+56|0;e=a+16|0;g=a;if(b|0){if(pw(b,680,968,0)|0){r=a;return}if(pw(b,680,952,0)|0){r=a;return}if(pw(b,680,936,0)|0){r=a;return}if(pw(b,680,984,0)|0){r=a;return}if(pw(b,680,744,0)|0){r=a;return}if(pw(b,680,920,0)|0){r=a;return}if(pw(b,680,904,0)|0){r=a;return}if(pw(b,680,1e3,0)|0){r=a;return}if(pw(b,680,1200,-2)|0){r=a;return}if(pw(b,680,872,0)|0){r=a;return}if(pw(b,680,888,0)|0){r=a;return}}f=gb(76)|0;c=e;a=b+12|0;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,44626,72);c=y;y=0;if(c&1)a=pb()|0;else{y=0;c=d;a=e;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));Na(110,f|0,d|0,g|0);e=y;y=0;if(e&1)b=1;else{y=0;Na(76,f|0,2368,158);y=0;b=0}a=pb()|0;$9(g);if(!b){g=a;sb(g|0)}}fb(f|0);g=a;sb(g|0)}function gq(a,b){a=a|0;b=b|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;if((cc|0)==1)cc=3}Qc(fc+49528|0);return k[dc>>2]|0}function hq(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0;l=r;r=r+112|0;g=l+64|0;c=l+12|0;h=l+24|0;i=l;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,36464,6);y=0;j=g;m=e;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));b=sa(27,c|0,a|0,d|0,g|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;$9(c);sb(e|0)}$9(c);c=ZL(80)|0;j=h;m=e;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));y=0;oa(k[(k[b>>2]|0)+76>>2]|0,i|0,b|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;j=g;m=h;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));Ea(2,c|0,g|0,i|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;$9(i);break}else{$9(i);r=l;return c|0}}while(0);zqa(c);e=b;sb(e|0);return 0}function iq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));c=a+52|0;k[c>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6172;h=a+64|0;y=0;oa(473,h|0,b+64|0);g=y;y=0;if(g&1){h=pb()|0;sb(h|0)}g=a+76|0;y=0;oa(474,g|0,b+76|0);f=y;y=0;if(f&1){f=pb()|0;b=N}else{y=0;oa(464,a+88|0,b+88|0);f=y;y=0;if(!(f&1)){k[c>>2]=12;return}f=pb()|0;b=N;c=k[g>>2]|0;if(c){e=a+80|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{j=d+-48|0;k[e>>2]=j;$9(d+-12|0);$9(d+-24|0);$9(d+-36|0);$9(j);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[g>>2]|0}zqa(c)}}c=k[h>>2]|0;if(!c){j=f;sb(j|0)}e=a+68|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{j=d+-4|0;k[e>>2]=j;EO(j);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[h>>2]|0}zqa(c);j=f;sb(j|0)}function jq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0;j=0;n=r;r=r+16|0;h=n;m=a+68|0;b=k[m>>2]|0;if(b|0){m=b;r=n;return m|0}e=(cn(a)|0)+-1640531527|0;g=k[m>>2]|0;k[m>>2]=e+(g<<6)+(g>>>2)^g;pK(h,a+104|0);g=i[h+11>>0]|0;e=g<<24>>24<0;f=e?k[h>>2]|0:h;g=e?k[h+4>>2]|0:g&255;if(g>>>0>3){e=g+-4|0;d=f;b=g;c=g;while(1){g=aa(l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24,1540483477)|0;b=(aa(g>>>24^g,1540483477)|0)^(aa(b,1540483477)|0);c=c+-4|0;if(c>>>0<=3)break;else d=d+4|0}d=e&-4;c=e-d|0;d=f+(d+4)|0}else{c=g;d=f;b=g}switch(c|0){case 3:{b=(l[d+2>>0]|0)<<16^b;j=8;break}case 2:{j=8;break}case 1:{j=9;break}default:{}}if((j|0)==8){b=(l[d+1>>0]|0)<<8^b;j=9}if((j|0)==9)b=aa((l[d>>0]|0)^b,1540483477)|0;j=aa(b>>>13^b,1540483477)|0;b=k[m>>2]|0;k[m>>2]=(b<<6)+-1640531527+(b>>>2)+(j>>>15^j)^b;$9(h);b=k[a+116>>2]|0;if(!b){m=k[m>>2]|0;r=n;return m|0}else{h=(oc[k[(k[b>>2]|0)+8>>2]&511](b)|0)+-1640531527|0;j=k[m>>2]|0;j=h+(j<<6)+(j>>>2)^j;k[m>>2]=j;m=j;r=n;return m|0}return 0}function kq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+112|0;g=f;yD(g,b);y=0;oa(454,a|0,g|0);e=y;y=0;if(e&1){a=pb()|0;k[g>>2]=5060;$9(g+52|0);b=k[g+28>>2]|0;c=b;if(b|0){d=g+32|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~(((e+-24-c|0)>>>0)/24|0)*24|0);zqa(b)}b=k[g+16>>2]|0;c=b;if(b|0){d=g+20|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}$9(g+4|0);g=a;sb(g|0)}k[g>>2]=5060;$9(g+52|0);d=k[g+28>>2]|0;e=d;if(d|0){b=g+32|0;c=k[b>>2]|0;if((c|0)!=(d|0))k[b>>2]=c+(~(((c+-24-e|0)>>>0)/24|0)*24|0);zqa(d)}b=k[g+16>>2]|0;c=b;if(b|0){d=g+20|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}$9(g+4|0);k[a>>2]=16892;k[a+4>>2]=17180;g=a+104|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,82159,0);g=y;y=0;if(!(g&1)){k[a+116>>2]=0;k[a+120>>2]=0;k[a+124>>2]=0;r=f;return}g=pb()|0;HD(a);sb(g|0)}function lq(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0,o=0,p=0;n=0;o=k[d>>2]|0;p=(o|0)==(c|0);do if(p){m=(i[l+24>>0]|0)==a<<24>>24;if(!m)if((i[l+25>>0]|0)!=a<<24>>24){n=5;break}k[d>>2]=c+1;i[c>>0]=m?43:45;k[e>>2]=0;m=0}else n=5;while(0);a:do if((n|0)==5){n=i[g+11>>0]|0;if(a<<24>>24==f<<24>>24?((n<<24>>24<0?k[g+4>>2]|0:n&255)|0)!=0:0){m=k[j>>2]|0;if((m-h|0)>=160){m=0;break}d=k[e>>2]|0;k[j>>2]=m+4;k[m>>2]=d;k[e>>2]=0;m=0;break}g=l+26|0;f=0;while(1){m=l+f|0;if((f|0)==26){m=g;break}if((i[m>>0]|0)==a<<24>>24)break;else f=f+1|0}m=m-l|0;if((m|0)>23)m=-1;else{switch(b|0){case 10:case 8:{if((m|0)>=(b|0)){m=-1;break a}break}case 16:{if((m|0)>=22){if(p){m=-1;break a}if((o-c|0)>=3){m=-1;break a}if((i[o+-1>>0]|0)!=48){m=-1;break a}k[e>>2]=0;m=i[51509+m>>0]|0;k[d>>2]=o+1;i[o>>0]=m;m=0;break a}break}default:{}}m=i[51509+m>>0]|0;k[d>>2]=o+1;i[o>>0]=m;k[e>>2]=(k[e>>2]|0)+1;m=0}}while(0);return m|0}function mq(a){a=a|0;var b=0,c=0,d=0;a:do if(!a)b=0;else{d=0;b=a;while(1){c=Pz(b)|0;if(c|0){d=0;b=c;continue}if(d)break a;if((i[b>>0]|0)==43)break a;c=XB(b)|0;if(c|0){c=xz(c)|0;if(c|0){d=1;b=c;continue}}c=XB(b)|0;if(!c)break;else{d=1;b=c}}}while(0);b=b|0?b:a;if(!b){a=0;return a|0}b=cl(b)|0;if(!b){a=0;return a|0}while(1){d=0;a=b;while(1){c=Pz(a)|0;if(c|0){d=0;a=c;continue}if(d)break;if((i[a>>0]|0)==43)break;c=XB(a)|0;if(c|0){c=xz(c)|0;if(c|0){d=1;a=c;continue}}c=XB(a)|0;if(!c)break;else{d=1;a=c}}c=cl(a)|0;if(!c)break;else b=c}return b|0}function nq(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0,o=0,p=0;n=0;o=k[d>>2]|0;p=(o|0)==(c|0);do if(p){m=(k[l+96>>2]|0)==(a|0);if(!m)if((k[l+100>>2]|0)!=(a|0)){n=5;break}k[d>>2]=c+1;i[c>>0]=m?43:45;k[e>>2]=0;m=0}else n=5;while(0);a:do if((n|0)==5){n=i[g+11>>0]|0;if((a|0)==(f|0)?((n<<24>>24<0?k[g+4>>2]|0:n&255)|0)!=0:0){m=k[j>>2]|0;if((m-h|0)>=160){m=0;break}d=k[e>>2]|0;k[j>>2]=m+4;k[m>>2]=d;k[e>>2]=0;m=0;break}g=l+104|0;f=0;while(1){m=l+(f<<2)|0;if((f|0)==26){m=g;break}if((k[m>>2]|0)==(a|0))break;else f=f+1|0}m=m-l|0;f=m>>2;if((m|0)>92)m=-1;else{switch(b|0){case 10:case 8:{if((f|0)>=(b|0)){m=-1;break a}break}case 16:{if((m|0)>=88){if(p){m=-1;break a}if((o-c|0)>=3){m=-1;break a}if((i[o+-1>>0]|0)!=48){m=-1;break a}k[e>>2]=0;m=i[51509+f>>0]|0;k[d>>2]=o+1;i[o>>0]=m;m=0;break a}break}default:{}}m=i[51509+f>>0]|0;k[d>>2]=o+1;i[o>>0]=m;k[e>>2]=(k[e>>2]|0)+1;m=0}}while(0);return m|0}function oq(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0;l=r;r=r+48|0;h=l;j=l+40|0;rT(j,e);g=h;e=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(e|0));y=0;na(366,a|0);g=y;y=0;do if(g&1)e=pb()|0;else{g=a+12|0;b=h;e=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(e|0));k[a+52>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;b=a+64|0;y=0;oa(464,b|0,j|0);h=y;y=0;if(h&1){e=pb()|0;break}EO(j);k[a>>2]=7276;e=a+68|0;y=0;oa(452,e|0,c|0);j=y;y=0;do if(j&1)e=pb()|0;else{y=0;oa(464,a+80|0,d|0);j=y;y=0;if(j&1){l=pb()|0;$9(e);e=l;break}else{k[a+84>>2]=0;k[a+88>>2]=f;j=a+92|0;k[a+108>>2]=0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;i[j+12>>0]=0;r=l;return}}while(0);k[a>>2]=5436;EO(b);a=e;sb(a|0)}while(0);EO(j);a=e;sb(a|0)}function pq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;d=r;r=r+16|0;e=d;c=d+4|0;hw(a,1,0)|0;_V(e,0);y=0;b=qa(430,a|0)|0;f=y;y=0;do if(f&1)b=pb()|0;else{k[c>>2]=b;y=0;Ha(966,e|0,c|0)|0;f=y;y=0;if(f&1){b=pb()|0;EO(c);break}f=(k[e>>2]|0)==0;EO(c);if(!f){f=k[e>>2]|0;r=d;return f|0}y=0;b=qa(431,a|0)|0;f=y;y=0;do if(f&1)b=pb()|0;else{k[c>>2]=b;y=0;Ha(966,e|0,c|0)|0;f=y;y=0;if(f&1){b=pb()|0;EO(c);break}f=(k[e>>2]|0)==0;EO(c);if(!f){f=k[e>>2]|0;r=d;return f|0}y=0;b=qa(432,a|0)|0;f=y;y=0;do if(f&1)b=pb()|0;else{k[c>>2]=b;y=0;Ha(966,e|0,c|0)|0;f=y;y=0;if(f&1){b=pb()|0;EO(c);break}EO(c);f=k[e>>2]|0;r=d;return f|0}while(0);f=b;EO(e);sb(f|0)}while(0);f=b;EO(e);sb(f|0)}while(0);f=b;EO(e);sb(f|0);return 0}function qq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+48|0;d=h+24|0;f=h+12|0;g=h;if(i[b+52>>0]|0){g=b;r=h;return g|0}e=b+64|0;pK(d,e);y=0;a=qa(386,d|0)|0;c=y;y=0;if(c&1){h=pb()|0;$9(d);sb(h|0)}$9(d);if(!a){g=b;r=h;return g|0}pK(d,e);y=0;a=qa(386,d|0)|0;c=y;y=0;if(!(c&1)){y=0;c=qa(k[(k[a>>2]|0)+12>>2]|0,a|0)|0;a=y;y=0;if(!(a&1)){$9(d);DN(c+12|0,b+12|0,40)|0;pK(g,e);y=0;a=Ha(967,c+96|0,g|0)|0;b=y;y=0;if(!(b&1)){y=0;oa(452,f|0,a|0);b=y;y=0;if(!(b&1)){$9(f);$9(g);i[c+52>>0]=1;g=c;r=h;return g|0}}h=pb()|0;$9(g);sb(h|0)}}h=pb()|0;$9(d);sb(h|0);return 0}function rq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0;m=r;r=r+16|0;f=m;g=a+80|0;k[g>>2]=0;h=a+68|0;do if((k[k[h>>2]>>2]|0)!=3){j=a+4|0;c=i[j+11>>0]|0;d=c<<24>>24<0;if(d)e=k[a+8>>2]|0;else e=c&255;if(e|0){if(d)c=k[a+8>>2]|0;else c=c&255;j=aN(j,c+-1|0)|0;if(dma(l[j>>0]|0)|0)if(!(i[a+84>>0]|0))break;k[a+76>>2]=1}}while(0);po(a);if(b|0)Vz(a+16|0,b);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;jI(f,46488,1);y=0;oa(605,a|0,f|0);j=y;y=0;if(j&1){m=pb()|0;$9(f);sb(m|0)}$9(f);if(i[a+95>>0]|0)if(i[a+97>>0]|0){j=a+72|0;h=k[j>>2]|0;h=h+1|0;k[j>>2]=h;r=m;return}switch(k[k[h>>2]>>2]|0){case 2:{k[a+76>>2]=1;j=a+72|0;h=k[j>>2]|0;h=h+1|0;k[j>>2]=h;r=m;return}case 3:{j=a+72|0;h=k[j>>2]|0;h=h+1|0;k[j>>2]=h;r=m;return}default:{k[g>>2]=1;k[a+76>>2]=0;j=a+72|0;h=k[j>>2]|0;h=h+1|0;k[j>>2]=h;r=m;return}}}function sq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=(c|0)/48|0;if(!c)return;do if(d>>>0>89478485){y=0;na(365,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;doa(c);y=0;Na(76,c|0,4496,348);y=0;c=11}}else{y=0;c=qa(332,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d*48|0);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(475,c|0,b|0);g=y;y=0;if(g&1){c=10;break}b=b+48|0;c=(k[f>>2]|0)+48|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-48|0;k[f>>2]=g;$9(b+-12|0);$9(b+-24|0);$9(b+-36|0);$9(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}zqa(c);sb(d|0)}function tq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;h=j;f=b+4|0;e=k[f>>2]|0;do if(!e){k[h>>2]=f;g=f}else{g=k[c>>2]|0;while(1){c=k[e+16>>2]|0;if(g>>>0<c>>>0){c=k[e>>2]|0;if(!c){c=5;break}else e=c}else{if(c>>>0>=g>>>0){c=10;break}f=e+4|0;c=k[f>>2]|0;if(!c){c=9;break}else e=c}}if((c|0)==5){k[h>>2]=e;g=e;f=e;break}else if((c|0)==9){k[h>>2]=e;g=e;break}else if((c|0)==10){k[h>>2]=e;g=e;f=h;break}}while(0);e=k[f>>2]|0;if(e|0){b=e;d=0;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=j;return}c=ZL(24)|0;k[c+16>>2]=k[d>>2];y=0;oa(464,c+20|0,d+4|0);d=y;y=0;if(d&1){j=pb()|0;zqa(c);sb(j|0)}k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=g;k[f>>2]=c;e=k[k[b>>2]>>2]|0;if(!e)e=c;else{k[b>>2]=e;e=k[f>>2]|0}jn(k[b+4>>2]|0,e);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=c;d=1;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=j;return}function uq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;i=c;g=b;f=i-g|0;m=f>>2;h=a+8|0;d=k[h>>2]|0;l=k[a>>2]|0;j=l;if(m>>>0<=d-l>>2>>>0){h=a+4|0;a=(k[h>>2]|0)-l>>2;f=m>>>0>a>>>0;a=f?b+(a<<2)|0:c;e=a;d=e-g|0;c=d>>2;if(c|0)DN(l|0,b|0,d|0)|0;c=j+(c<<2)|0;if(f){d=i-e|0;if((d|0)<=0)return;GH(k[h>>2]|0,a|0,d|0)|0;k[h>>2]=(k[h>>2]|0)+(d>>2<<2);return}else{d=k[h>>2]|0;if((d|0)==(c|0))return;k[h>>2]=d+(~((d+-4-c|0)>>>2)<<2);return}}e=l;if(l){d=a+4|0;c=k[d>>2]|0;if((c|0)!=(j|0))k[d>>2]=c+(~((c+-4-l|0)>>>2)<<2);zqa(e);k[h>>2]=0;k[d>>2]=0;k[a>>2]=0;d=0}if(m>>>0>1073741823){OM(a);d=k[h>>2]|0;c=k[a>>2]|0}else c=0;l=d-c|0;d=l>>1;d=l>>2>>>0<536870911?(d>>>0<m>>>0?m:d):1073741823;if(d>>>0>1073741823){OM(a);b=gb(4)|0;doa(b);Wb(b|0,4496,348)}c=ZL(d<<2)|0;e=a+4|0;k[e>>2]=c;k[a>>2]=c;k[h>>2]=c+(d<<2);if((f|0)<=0)return;GH(c|0,b|0,f|0)|0;k[e>>2]=c+(m<<2);return}function vq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0;j=0;o=r;r=r+16|0;h=o+4|0;m=o;n=a+80|0;b=k[n>>2]|0;if(b|0){n=b;r=o;return n|0}pK(h,a+64|0);g=i[h+11>>0]|0;e=g<<24>>24<0;f=e?k[h>>2]|0:h;g=e?k[h+4>>2]|0:g&255;if(g>>>0>3){e=g+-4|0;d=f;b=g;c=g;while(1){g=aa(l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24,1540483477)|0;b=(aa(g>>>24^g,1540483477)|0)^(aa(b,1540483477)|0);c=c+-4|0;if(c>>>0<=3)break;else d=d+4|0}d=e&-4;c=e-d|0;d=f+(d+4)|0}else{c=g;d=f;b=g}switch(c|0){case 3:{b=(l[d+2>>0]|0)<<16^b;j=8;break}case 2:{j=8;break}case 1:{j=9;break}default:{}}if((j|0)==8){b=(l[d+1>>0]|0)<<8^b;j=9}if((j|0)==9)b=aa((l[d>>0]|0)^b,1540483477)|0;b=aa(b>>>13^b,1540483477)|0;k[n>>2]=b>>>15^b;$9(h);rT(h,a+60|0);b=k[h>>2]|0;k[m>>2]=b;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;j=y;y=0;if(j&1){o=pb()|0;EO(m);sb(o|0)}j=k[n>>2]|0;k[n>>2]=b+-1640531527+(j<<6)+(j>>>2)^j;EO(m);n=k[n>>2]|0;r=o;return n|0}function wq(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0;g=r;r=r+16|0;h=g;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[h+(b<<2)>>2]=0;b=b+1|0}j=i[f+11>>0]|0;l=j<<24>>24<0;b=l?k[f>>2]|0:f;f=b+(l?k[f+4>>2]|0:j&255)|0;while(1){if(b>>>0>=f>>>0){f=8;break}y=0;oa(461,h|0,i[b>>0]|0);l=y;y=0;if(l&1){f=9;break}b=b+1|0}do if((f|0)==8){y=0;b=Ma(29,((c|0)==-1?-1:c<<1)|0,d|0,e|0,((i[h+11>>0]|0)<0?k[h>>2]|0:h)|0)|0;l=y;y=0;if(l&1){b=pb()|0;break}k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;f=0;while(1){if((f|0)==3)break;k[a+(f<<2)>>2]=0;f=f+1|0}f=b+(JI(b)|0)|0;while(1){if(b>>>0>=f>>>0){f=19;break}y=0;oa(461,a|0,i[b>>0]|0);l=y;y=0;if(l&1){f=18;break}b=b+1|0}if((f|0)==18){b=pb()|0;$9(a);break}else if((f|0)==19){$9(h);r=g;return}}else if((f|0)==9)b=pb()|0;while(0);$9(h);sb(b|0)}function xq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;d=0;h=r;r=r+16|0;e=h+12|0;i=h+4|0;f=h+8|0;g=h;rT(e,b+116|0);c=k[e>>2]|0;k[i>>2]=c;a:do if(c|0){y=0;a=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;c=y;y=0;do if(c&1)d=7;else{y=0;oa(482,e|0,a|0);c=y;y=0;if(c&1)d=7;else{y=0;Ha(966,i|0,e|0)|0;c=y;y=0;if(c&1){a=pb()|0;EO(e);break}else{EO(e);break a}}}while(0);if((d|0)==7)a=pb()|0;h=a;EO(i);sb(h|0)}while(0);y=0;a=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;d=y;y=0;if(d&1){h=pb()|0;EO(i);sb(h|0)}y=0;oa(464,g|0,i|0);d=y;y=0;if(d&1){h=pb()|0;EO(i);sb(h|0)}c=a+116|0;y=0;Ha(966,c|0,g|0)|0;d=y;y=0;if(!(d&1)){y=0;oa(464,e|0,c|0);d=y;y=0;if(!(d&1)){k[f>>2]=k[e>>2];EO(f);EO(g);EO(i);r=h;return a|0}}h=pb()|0;EO(g);EO(i);sb(h|0);return 0}function yq(a){a=a|0;var b=0,c=0,d=0;b=i[a>>0]|0;d=a+1|0;do if(b<<24>>24==39){if((i[d>>0]|0)==92){b=pO(a+2|0)|0;if(!b)c=4;else c=5}else c=4;if((c|0)==4){b=Jk(d)|0;if(!b)b=d;else c=5}if((c|0)==5)while(1){if((i[b>>0]|0)==92){c=pO(b+1|0)|0;if(c|0){b=c;c=5;continue}}c=Jk(b)|0;if(!c)break;else{b=c;c=5}}if((i[b>>0]|0)==39){d=b+1|0;return d|0}else{b=i[a>>0]|0;break}}while(0);if(b<<24>>24!=34){d=0;return d|0}if((i[d>>0]|0)==92){b=pO(a+2|0)|0;if(!b)c=13;else c=14}else c=13;if((c|0)==13){b=Kk(d)|0;if(!b)b=d;else c=14}if((c|0)==14)while(1){if((i[b>>0]|0)==92){c=pO(b+1|0)|0;if(c|0){b=c;c=14;continue}}c=Kk(b)|0;if(!c)break;else{b=c;c=14}}d=(i[b>>0]|0)==34?b+1|0:0;return d|0}function zq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;if(Ix(a)|0){f=a;return f|0}f=i[32605]|0;if(!(f<<24>>24)){while(1){c=Qda(a)|0;if(!c){c=Mia(a)|0;if(!c)c=Mz(a)|0}if((c|0)==(a|0)|(c|0)==0){c=0;a=17;break}if(!(Ix(c)|0))a=c;else{a=17;break}}if((a|0)==17)return c|0}else e=a;while(1){d=i[e>>0]|0;a=32605;c=f;while(1){if(d<<24>>24==c<<24>>24){a=11;break}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=13;break}}if((a|0)==11){a=0;if(!(d<<24>>24))a=13;else b=e+1|0}if((a|0)==13){b=Qda(e)|0;if(!b){b=Mia(e)|0;if(!b)b=Mz(e)|0}if((b|0)==(e|0)|(b|0)==0){c=0;a=17;break}}if(!(Ix(b)|0))e=b;else{c=b;a=17;break}}if((a|0)==17)return c|0;return 0}function Aq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;i=c;g=b;f=i-g|0;m=f>>2;h=a+8|0;d=k[h>>2]|0;l=k[a>>2]|0;j=l;if(m>>>0<=d-l>>2>>>0){h=a+4|0;a=(k[h>>2]|0)-l>>2;f=m>>>0>a>>>0;a=f?b+(a<<2)|0:c;e=a;d=e-g|0;c=d>>2;if(c|0)DN(l|0,b|0,d|0)|0;c=j+(c<<2)|0;if(f){d=i-e|0;if((d|0)<=0)return;GH(k[h>>2]|0,a|0,d|0)|0;k[h>>2]=(k[h>>2]|0)+(d>>2<<2);return}else{d=k[h>>2]|0;if((d|0)==(c|0))return;k[h>>2]=d+(~((d+-4-c|0)>>>2)<<2);return}}e=l;if(l){d=a+4|0;c=k[d>>2]|0;if((c|0)!=(j|0))k[d>>2]=c+(~((c+-4-l|0)>>>2)<<2);zqa(e);k[h>>2]=0;k[d>>2]=0;k[a>>2]=0;d=0}if(m>>>0>1073741823){OM(a);d=k[h>>2]|0;c=k[a>>2]|0}else c=0;l=d-c|0;d=l>>1;d=l>>2>>>0<536870911?(d>>>0<m>>>0?m:d):1073741823;if(d>>>0>1073741823){OM(a);b=gb(4)|0;doa(b);Wb(b|0,4496,348)}c=ZL(d<<2)|0;e=a+4|0;k[e>>2]=c;k[a>>2]=c;k[h>>2]=c+(d<<2);if((f|0)<=0)return;GH(c|0,b|0,f|0)|0;k[e>>2]=c+(m<<2);return}function Bq(a){a=a|0;var b=0,c=0;c=0;b=Ux(a)|0;if(b|0){a=b;return a|0}switch(i[a>>0]|0){case 42:{b=a+1|0;break}case 45:{b=a;do b=b+1|0;while((i[b>>0]|0)==45);c=4;break}default:{b=a;c=4}}do if((c|0)==4){c=kw(b)|0;if(c|0){c=iw(c)|0;if(c|0){b=c;break}}b=ln(b)|0}while(0);b=b|0?b:a;if(!b)b=0;else{c=b+1|0;if((i[b>>0]|0)==124)b=(i[c>>0]|0)==61?0:c;else b=0}b=b|0?b:a;if(b|0)if((i[b>>0]|0)==42){a=b+1|0;return a|0}b=yq(a)|0;if(b|0){a=b;return a|0}b=XB(a)|0;if(b|0){b=xz(b)|0;if(b|0){a=b;return a|0}}b=XB(a)|0;if(b|0)if((i[b>>0]|0)==37){a=b+1|0;return a|0}b=XB(a)|0;if(b|0){a=b;return a|0}a=lw(a)|0;return a|0}function Cq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;h=j;f=b+4|0;e=k[f>>2]|0;do if(!e){k[h>>2]=f;c=f;g=f}else{while(1){f=e+16|0;if(Fc[k[(k[c>>2]|0)+160>>2]&2047](c,f)|0){f=k[e>>2]|0;if(!f){f=5;break}else e=f}else{if(!(Fc[k[(k[f>>2]|0)+160>>2]&2047](f,c)|0)){f=10;break}g=e+4|0;f=k[g>>2]|0;if(!f){f=9;break}else e=f}}if((f|0)==5){k[h>>2]=e;c=e;g=e;break}else if((f|0)==9){k[h>>2]=e;c=e;break}else if((f|0)==10){k[h>>2]=e;c=e;g=h;break}}while(0);e=k[g>>2]|0;if(e|0){b=e;d=0;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=j;return}f=ZL(124)|0;y=0;oa(592,f+16|0,d|0);d=y;y=0;if(d&1){j=pb()|0;zqa(f);sb(j|0)}k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=c;k[g>>2]=f;e=k[k[b>>2]>>2]|0;if(!e)e=f;else{k[b>>2]=e;e=k[g>>2]|0}jn(k[b+4>>2]|0,e);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=f;d=1;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=j;return}function Dq(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;if(!a){e=0;return e|0}c=i[46389]|0;a:do if(!(c<<24>>24)){b=a;e=5}else{b=a;d=46389;while(1){if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=5;break}}}while(0);if((e|0)==5){b=aP(b)|0;if(b|0){e=b;return e|0}}c=i[46469]|0;b:do if(!(c<<24>>24)){b=a;e=9}else{b=a;d=46469;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=9;break}}}while(0);if((e|0)==9){b=aP(b)|0;if(b|0){e=b;return e|0}}c=i[32493]|0;c:do if(!(c<<24>>24)){b=a;e=13}else{b=a;d=32493;while(1){if((i[b>>0]|0)!=c<<24>>24)break c;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=13;break}}}while(0);if((e|0)==13){b=aP(b)|0;if(b|0){e=b;return e|0}}b=i[46382]|0;d:do if(b<<24>>24){c=46382;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break d}return a|0}while(0);e=aP(a)|0;return e|0}function Eq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}f=TN(e)|0;if(!f)f=0;else{b=f+1|0;if((i[f>>0]|0)==45){m=(w2(b)|0)!=0;b=m?b:0}else b=0;b=b|0?b:f;if(b>>>0>(k[a+80>>2]|0)>>>0){m=0;r=l;return m|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){m=0;r=l;return m|0}m=k[j>>2]|0;k[a+152>>2]=m;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;c=a+96|0;gH(g,c,m,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,c,e,f);m=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,c,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,m,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Fq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+128|0;a=l+80|0;c=l+40|0;d=l+24|0;h=l+12|0;j=l;m=ZL(80)|0;e=c;f=b+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;Na(75,d|0,82159,0);g=y;y=0;do if(g&1)a=pb()|0;else{y=0;e=a;f=c;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));Ea(2,m|0,a|0,d|0,0,0,0,1);g=y;y=0;if(g&1){a=pb()|0;$9(d);break}$9(d);pK(j,b+64|0);k[m+76>>2]=0;y=0;a=Ha(967,m+64|0,j|0)|0;g=y;y=0;if(!(g&1)){y=0;oa(452,h|0,a|0);g=y;y=0;if(!(g&1)){$9(h);$9(j);i[m+60>>0]=i[b+60>>0]|0;i[m+54>>0]=i[b+54>>0]|0;r=l;return m|0}}m=pb()|0;$9(j);sb(m|0)}while(0);zqa(m);m=a;sb(m|0);return 0}function Gq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;e=k[l>>2]|0;if(!(i[e>>0]|0)){l=0;r=m;return l|0}if(b){g=oW(e)|0;e=g|0?g:e}if(!e)f=0;else{b=i[44181]|0;a:do if(!(b<<24>>24)){f=e;b=0}else{f=e;g=44181;while(1){if((i[f>>0]|0)!=b<<24>>24)break a;f=f+1|0;g=g+1|0;b=i[g>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);b=b<<24>>24==0?f:0;if(b>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;g=a+96|0;gH(h,g,c,e);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,g,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,g,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=f;l=f;r=m;return l|0}function Hq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;e=k[l>>2]|0;if(!(i[e>>0]|0)){l=0;r=m;return l|0}if(b){g=oW(e)|0;e=g|0?g:e}if(!e)f=0;else{b=i[44142]|0;a:do if(!(b<<24>>24)){f=e;b=0}else{f=e;g=44142;while(1){if((i[f>>0]|0)!=b<<24>>24)break a;f=f+1|0;g=g+1|0;b=i[g>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);b=b<<24>>24==0?f:0;if(b>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;g=a+96|0;gH(h,g,c,e);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,g,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,g,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=f;l=f;r=m;return l|0}function Iq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;e=k[l>>2]|0;if(!(i[e>>0]|0)){l=0;r=m;return l|0}if(b){g=oW(e)|0;e=g|0?g:e}if(!e)f=0;else{b=i[45708]|0;a:do if(!(b<<24>>24)){f=e;b=0}else{f=e;g=45708;while(1){if((i[f>>0]|0)!=b<<24>>24)break a;f=f+1|0;g=g+1|0;b=i[g>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);b=b<<24>>24==0?f:0;if(b>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;g=a+96|0;gH(h,g,c,e);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,g,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,g,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=f;l=f;r=m;return l|0}function Jq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+96|0;e=c+56|0;f=c+16|0;h=c;if(b|0){a=pw(b,680,1032,0)|0;if(a|0)if(!(k[a+88>>2]|0)){r=c;return}if(pw(b,680,776,0)|0){r=c;return}if(pw(b,680,840,0)|0){r=c;return}if(pw(b,680,760,0)|0){r=c;return}if(pw(b,680,1288,0)|0){r=c;return}if(pw(b,680,696,0)|0){r=c;return}if(pw(b,680,792,0)|0){r=c;return}if(pw(b,680,808,0)|0){r=c;return}if(pw(b,680,1048,0)|0){r=c;return}}g=gb(76)|0;d=f;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,44535,90);b=y;y=0;if(b&1)a=pb()|0;else{y=0;d=e;a=f;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(110,g|0,e|0,h|0);f=y;y=0;if(f&1)c=1;else{y=0;Na(76,g|0,2368,158);y=0;c=0}a=pb()|0;$9(h);if(!c){h=a;sb(h|0)}}fb(g|0);h=a;sb(h|0)}function Kq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=r;r=r+16|0;g=h;a:do if(!a){c=k[b>>2]|0;d=k[c>>2]|0;if(!d)c=0;else{a=c;c=0;do{if(d>>>0>127){d=mD(g,d,0)|0;if((d|0)==-1){c=-1;break a}}else d=1;c=d+c|0;a=a+4|0;d=k[a>>2]|0}while((d|0)!=0)}}else{b:do if(c>>>0>3){d=c;e=k[b>>2]|0;while(1){f=k[e>>2]|0;if((f+-1|0)>>>0>126){if(!f)break;f=mD(a,f,0)|0;if((f|0)==-1){c=-1;break a}a=a+f|0;d=d-f|0}else{i[a>>0]=f;a=a+1|0;d=d+-1|0;e=k[b>>2]|0}e=e+4|0;k[b>>2]=e;if(d>>>0<=3)break b}i[a>>0]=0;k[b>>2]=0;c=c-d|0;break a}else d=c;while(0);if(d){e=k[b>>2]|0;while(1){f=k[e>>2]|0;if((f+-1|0)>>>0>126){if(!f){e=19;break}f=mD(g,f,0)|0;if((f|0)==-1){c=-1;break a}if(d>>>0<f>>>0){e=22;break}mD(a,k[e>>2]|0,0)|0;a=a+f|0;d=d-f|0}else{i[a>>0]=f;a=a+1|0;d=d+-1|0;e=k[b>>2]|0}e=e+4|0;k[b>>2]=e;if(!d)break a}if((e|0)==19){i[a>>0]=0;k[b>>2]=0;c=c-d|0;break}else if((e|0)==22){c=c-d|0;break}}}while(0);r=h;return c|0}function Lq(a){a=a|0;var b=0,c=0;b=a+1|0;if((i[a>>0]|0)==36){if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=kw(b)|0;if(b|0){b=iw(b)|0;if(b|0){c=b;return c|0}}}b=rj(a)|0;if(b|0){while(1){c=rj(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)!=37){c=b;return c|0}}if((i[a>>0]|0)==45)do a=a+1|0;while((i[a>>0]|0)==45);a=kw(a)|0;if(!a){c=0;return c|0}c=iw(a)|0;return c|0}function Mq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;d=r;r=r+48|0;e=d+24|0;f=d+12|0;c=d;if(Xu(b,1,0)|0){f=b+28|0;k[a>>2]=k[f>>2];k[a+4>>2]=k[f+4>>2];k[a+8>>2]=k[f+8>>2];r=d;return}k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,39964,11);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(75,f|0,39976,7);g=y;y=0;if(g&1){g=pb()|0;$9(e);sb(g|0)}k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(75,c|0,40885,27);g=y;y=0;do if(g&1)a=pb()|0;else{y=0;Ra(25,b|0,e|0,f|0,c|0);g=y;y=0;if(g&1){a=pb()|0;$9(c);break}$9(c);$9(f);$9(e);g=b+28|0;k[a>>2]=k[g>>2];k[a+4>>2]=k[g+4>>2];k[a+8>>2]=k[g+8>>2];r=d;return}while(0);$9(f);g=a;$9(e);sb(g|0)}function Nq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;e=0;f=r;r=r+96|0;g=f+56|0;h=f+16|0;i=f;c=k[a+4>>2]|0;d=k[a+8>>2]|0;if((c|0)==(d|0)){r=f;return}while(1){a=k[c>>2]|0;if(a|0){if(pw(a,680,968,0)|0)break;if(pw(a,680,952,0)|0)break;if(pw(a,680,936,0)|0)break;if(pw(a,680,984,0)|0)break;if(pw(a,680,744,0)|0)break;if(pw(a,680,1048,0)|0)break;a=pw(a,680,1032,0)|0;if(a|0)if(!(k[a+88>>2]|0))break}c=c+4|0;if((c|0)==(d|0)){e=2;break}}if((e|0)==2){r=f;return}e=gb(76)|0;d=h;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;y=0;Na(75,i|0,44771,68);b=y;y=0;if(b&1)a=pb()|0;else{y=0;d=g;a=h;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(110,e|0,g|0,i|0);h=y;y=0;if(h&1)c=1;else{y=0;Na(76,e|0,2368,158);y=0;c=0}a=pb()|0;$9(i);if(!c){i=a;sb(i|0)}}fb(e|0);i=a;sb(i|0)}function Oq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;if(!c)c=k[b+76>>2]|0;e=oW(c)|0;e=Nv(e|0?e:c)|0;b=b+80|0;d=e>>>0<=(k[b>>2]|0)>>>0?e:0;if((d|0)==0|(c|0)==(d|0))return;a:do if(c>>>0<d>>>0){while(1){f=c;c=c+1|0;if((i[f>>0]|0)==35)if((i[c>>0]|0)==123)break;if(c>>>0>=d>>>0)break a}i[a+13>>0]=1}while(0);k[a+8>>2]=d;f=oW(e)|0;f=f|0?f:e;f=(i[f>>0]|0)==123?f+1|0:0;if(!((f|0)==0?1:f>>>0>(k[b>>2]|0)>>>0)){k[a>>2]=d;return}f=oW(e)|0;f=f|0?f:e;f=(i[f>>0]|0)==59?f+1|0:0;if(!((f|0)==0?1:f>>>0>(k[b>>2]|0)>>>0)){k[a>>2]=d;return}f=oW(e)|0;f=f|0?f:e;f=(i[f>>0]|0)==125?f+1|0:0;if((f|0)==0?1:f>>>0>(k[b>>2]|0)>>>0)return;k[a>>2]=d;return}function Pq(a,b,c,d,e,f,g,h,i,j,l,m,n,o,p,q,r){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;k[dc+32>>2]=d;k[dc+40>>2]=e;k[dc+48>>2]=f;k[dc+56>>2]=g;k[dc+64>>2]=h;k[dc+72>>2]=i;k[dc+80>>2]=j;k[dc+88>>2]=l;k[dc+96>>2]=m;k[dc+104>>2]=n;k[dc+112>>2]=o;k[dc+120>>2]=p;k[dc+128>>2]=q;k[dc+136>>2]=r;if((cc|0)==1)cc=3}Qc(fc+50892|0)}function Qq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;e=0;f=r;r=r+96|0;g=f+56|0;h=f+16|0;i=f;c=k[a+4>>2]|0;d=k[a+8>>2]|0;if((c|0)==(d|0)){r=f;return}while(1){a=k[c>>2]|0;if(a|0){if(pw(a,680,968,0)|0)break;if(pw(a,680,952,0)|0)break;if(pw(a,680,936,0)|0)break;if(pw(a,680,984,0)|0)break;if(pw(a,680,744,0)|0)break;if(pw(a,680,1048,0)|0)break;a=pw(a,680,1032,0)|0;if(a|0)if(!(k[a+88>>2]|0))break}c=c+4|0;if((c|0)==(d|0)){e=2;break}}if((e|0)==2){r=f;return}e=gb(76)|0;d=h;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;y=0;Na(75,i|0,44699,71);b=y;y=0;if(b&1)a=pb()|0;else{y=0;d=g;a=h;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(110,e|0,g|0,i|0);h=y;y=0;if(h&1)c=1;else{y=0;Na(76,e|0,2368,158);y=0;c=0}a=pb()|0;$9(i);if(!c){i=a;sb(i|0)}}fb(e|0);i=a;sb(i|0)}function Rq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=((d-c|0)/12|0)+1|0;if(e>>>0>357913941){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=((k[i>>2]|0)-c|0)/12|0;f=h<<1;f=h>>>0<178956970?(f>>>0<e>>>0?e:f):357913941;c=(d-c|0)/12|0;do if(!f)g=0;else if(f>>>0>357913941){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{g=ZL(f*12|0)|0;break}while(0);d=g+(c*12|0)|0;e=d;h=g+(f*12|0)|0;y=0;oa(452,d|0,b|0);b=y;y=0;if(b&1){c=pb()|0;if(!g)sb(c|0);zqa(g);sb(c|0)}g=d+12|0;f=k[a>>2]|0;c=k[j>>2]|0;if((c|0)==(f|0)){d=e;e=f;c=f}else{do{b=d+-12|0;c=c+-12|0;k[b>>2]=k[c>>2];k[b+4>>2]=k[c+4>>2];k[b+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;d=e+-12|0;e=d}while((c|0)!=(f|0));d=e;e=k[a>>2]|0;c=k[j>>2]|0}k[a>>2]=d;k[j>>2]=g;k[i>>2]=h;d=e;if((c|0)!=(d|0))do{c=c+-12|0;$9(c)}while((c|0)!=(d|0));if(!e)return;zqa(e);return}function Sq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;j=r;r=r+96|0;g=j;c=j+88|0;h=j+48|0;l=j+40|0;rT(g,b+60|0);e=k[g>>2]|0;k[c>>2]=e;y=0;e=Ha(k[(k[e>>2]|0)+52>>2]|0,e|0,a|0)|0;f=y;y=0;if(f&1){l=pb()|0;EO(c);sb(l|0)}EO(c);f=ZL(64)|0;d=h;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));if(!e)a=0;else a=pw(e,40,24,0)|0;y=0;oa(482,l|0,a|0);e=y;y=0;if(e&1)a=pb()|0;else{d=g;a=h;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));y=0;na(366,f|0);h=y;y=0;do if(h&1)a=pb()|0;else{d=f+12|0;a=g;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=0;k[f>>2]=10448;y=0;oa(464,f+60|0,l|0);h=y;y=0;if(h&1){a=pb()|0;break}else{EO(l);r=j;return f|0}}while(0);EO(l)}zqa(f);l=a;sb(l|0);return 0}function Tq(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=r;r=r+16|0;g=h;c=ls(b,g,c)|0;d=k[c>>2]|0;if(d|0){b=d;e=0;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=h;return}f=ZL(32)|0;d=f+16|0;e=k[e>>2]|0;k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];k[d+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;oa(482,f+28|0,0);e=y;y=0;if(e&1){b=pb()|0;$9(d);zqa(f);sb(b|0)}d=k[g>>2]|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=d;k[c>>2]=f;d=k[k[b>>2]>>2]|0;if(!d)d=f;else{k[b>>2]=d;d=k[c>>2]|0}jn(k[b+4>>2]|0,d);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=f;e=1;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=h;return}function Uq(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=r;r=r+16|0;g=h;c=ms(b,g,c)|0;d=k[c>>2]|0;if(d|0){b=d;e=0;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=h;return}f=ZL(32)|0;d=f+16|0;e=k[e>>2]|0;k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];k[d+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;oa(482,f+28|0,0);e=y;y=0;if(e&1){b=pb()|0;$9(d);zqa(f);sb(b|0)}d=k[g>>2]|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=d;k[c>>2]=f;d=k[k[b>>2]>>2]|0;if(!d)d=f;else{k[b>>2]=d;d=k[c>>2]|0}jn(k[b+4>>2]|0,d);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=f;e=1;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=h;return}function Vq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}b=UB(e)|0;if(!b)f=0;else{b=tJ(b)|0;if(!b)f=0;else{while(1){f=tJ(b)|0;if(!f)break;else b=f}if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Wq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;p=r;r=r+48|0;m=p+16|0;l=p;h=p+32|0;n=a+28|0;g=k[n>>2]|0;k[h>>2]=g;o=a+20|0;g=(k[o>>2]|0)-g|0;k[h+4>>2]=g;k[h+8>>2]=b;k[h+12>>2]=c;i=a+60|0;j=a+44|0;f=2;b=g+c|0;while(1){if(!(k[19133]|0)){k[m>>2]=k[i>>2];k[m+4>>2]=h;k[m+8>>2]=f;e=m9(ac(146,m|0)|0)|0}else{Tb(404,a|0);k[l>>2]=k[i>>2];k[l+4>>2]=h;k[l+8>>2]=f;e=m9(ac(146,l|0)|0)|0;Ib(0)}if((b|0)==(e|0)){b=6;break}if((e|0)<0){b=8;break}b=b-e|0;d=k[h+4>>2]|0;if(e>>>0>d>>>0){g=k[j>>2]|0;k[n>>2]=g;k[o>>2]=g;e=e-d|0;f=f+-1|0;g=h+8|0;d=k[h+12>>2]|0}else if((f|0)==2){k[n>>2]=(k[n>>2]|0)+e;f=2;g=h}else g=h;k[g>>2]=(k[g>>2]|0)+e;k[g+4>>2]=d-e;h=g}if((b|0)==6){m=k[j>>2]|0;k[a+16>>2]=m+(k[a+48>>2]|0);a=m;k[n>>2]=a;k[o>>2]=a}else if((b|0)==8){k[a+16>>2]=0;k[n>>2]=0;k[o>>2]=0;k[a>>2]=k[a>>2]|32;if((f|0)==2)c=0;else c=c-(k[h+4>>2]|0)|0}r=p;return c|0}function Xq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=((d-c|0)/12|0)+1|0;if(e>>>0>357913941){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=((k[i>>2]|0)-c|0)/12|0;f=h<<1;f=h>>>0<178956970?(f>>>0<e>>>0?e:f):357913941;c=(d-c|0)/12|0;do if(!f)d=0;else if(f>>>0>357913941){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{d=ZL(f*12|0)|0;break}while(0);g=d+(c*12|0)|0;e=g;h=d+(f*12|0)|0;k[g>>2]=k[b>>2];k[g+4>>2]=k[b+4>>2];k[g+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=g+12|0;f=k[a>>2]|0;c=k[j>>2]|0;if((c|0)==(f|0)){d=e;e=f;c=f}else{d=g;do{g=d+-12|0;c=c+-12|0;k[g>>2]=k[c>>2];k[g+4>>2]=k[c+4>>2];k[g+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;d=e+-12|0;e=d}while((c|0)!=(f|0));d=e;e=k[a>>2]|0;c=k[j>>2]|0}k[a>>2]=d;k[j>>2]=b;k[i>>2]=h;d=e;if((c|0)!=(d|0))do{c=c+-12|0;$9(c)}while((c|0)!=(d|0));if(!e)return;zqa(e);return}function Yq(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=r;r=r+16|0;g=h;c=ms(b,g,c)|0;d=k[c>>2]|0;if(d|0){b=d;e=0;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=h;return}f=ZL(32)|0;d=f+16|0;y=0;oa(452,d|0,k[e>>2]|0);e=y;y=0;if(e&1){b=pb()|0;zqa(f);sb(b|0)}y=0;oa(482,f+28|0,0);e=y;y=0;if(e&1){b=pb()|0;$9(d);zqa(f);sb(b|0)}d=k[g>>2]|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=d;k[c>>2]=f;d=k[k[b>>2]>>2]|0;if(!d)d=f;else{k[b>>2]=d;d=k[c>>2]|0}jn(k[b+4>>2]|0,d);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=f;e=1;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=h;return}function Zq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;g=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;e=k[l>>2]|0;if(!(i[e>>0]|0)){l=0;r=m;return l|0}if(b){f=oW(e)|0;e=f|0?f:e}b=ON(e)|0;if(!b){b=IM(e)|0;if(!b)f=0;else g=6}else g=6;if((g|0)==6){b=(i[b>>0]|0)==45?0:b;if(b>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;g=a+96|0;gH(h,g,c,e);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,g,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,g,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=f;l=f;r=m;return l|0}function _q(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;g=m+16|0;h=m;Oda(a);j=a+12|0;l=j;f=l+40|0;do{k[l>>2]=k[b>>2];l=l+4|0;b=b+4|0}while((l|0)<(f|0));k[a>>2]=11152;n=a+52|0;y=0;oa(452,n|0,c|0);l=y;y=0;if(l&1){n=pb()|0;sb(n|0)}c=a+64|0;y=0;oa(464,c|0,d|0);l=y;y=0;if(l&1)b=pb()|0;else{i[a+68>>0]=e&1;if((k[c>>2]|0)==0|e^1){r=m;return}k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,40743,54);l=y;y=0;do if(l&1)b=pb()|0;else{y=0;l=g;b=j;f=l+40|0;do{k[l>>2]=k[b>>2];l=l+4|0;b=b+4|0}while((l|0)<(f|0));oa(458,h|0,g|0);l=y;y=0;if(l&1){b=pb()|0;$9(h);break}$9(h);r=m;return}while(0);EO(c)}$9(n);n=b;sb(n|0)}function $q(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;e=k[l>>2]|0;if(!(i[e>>0]|0)){l=0;r=m;return l|0}if(b){g=oW(e)|0;e=g|0?g:e}f=i[32609]|0;a:do if(!(f<<24>>24))b=0;else{b=i[e>>0]|0;g=32609;while(1){if(b<<24>>24==f<<24>>24)break a;g=g+1|0;f=i[g>>0]|0;if(!(f<<24>>24)){b=0;break}}}while(0);f=b<<24>>24?e+1|0:0;if(f>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((f|0)==0|(f|0)==(e|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;g=a+96|0;gH(h,g,c,e);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,g,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,g,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=f;l=f;r=m;return l|0}function ar(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}b=XB(e)|0;if(!b)f=0;else{f=EM(b)|0;if(!f)f=0;else{f=(XB(f)|0)!=0;b=f?b:0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function br(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;h=0;j=r;r=r+16|0;g=j;y=0;oa(531,g|0,a|0);f=y;y=0;a:do if(f&1){b=tb(0)|0;c=a;d=a;h=12}else{do if(i[g>>0]|0){c=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;d=c;if(!c)h=8;else{e=d+24|0;f=k[e>>2]|0;if((f|0)!=(k[d+28>>2]|0)){k[e>>2]=f+1;i[f>>0]=b;break}y=0;b=Ha(k[(k[c>>2]|0)+52>>2]|0,d|0,b&255|0)|0;f=y;y=0;if(!(f&1))if((b|0)==-1)h=8;else break}if((h|0)==8){f=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,f|0,k[f+16>>2]|1|0);f=y;y=0;if(!(f&1))break}b=tb(0)|0;sz(g);c=a;d=a;h=12;break a}while(0);sz(g)}while(0);do if((h|0)==12){vb(b|0)|0;y=0;na(374,c+(k[(k[d>>2]|0)+-12>>2]|0)|0);h=y;y=0;if(!(h&1)){rb();break}b=pb()|0;y=0;la(3);h=y;y=0;if(h&1){h=tb(0)|0;dla(h)}else sb(b|0)}while(0);r=j;return a|0}function cr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;g=r;r=r+16|0;e=g;tD(e,b);cB(a+16|0,e);f=a+4|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;h=i[b+11>>0]|0;j=h<<24>>24<0;h=j?k[b+4>>2]|0:h&255;d=f+11|0;c=i[d>>0]|0;a=a+8|0;c=c<<24>>24<0?k[a>>2]|0:c&255;y=0;Ra(10,e|0,(j?k[b>>2]|0:b)|0,h|0,c+h|0);b=y;y=0;if(b&1){j=pb()|0;$9(e);sb(j|0)}y=0;ta(47,e|0,((i[d>>0]|0)<0?k[f>>2]|0:f)|0,c|0)|0;j=y;y=0;if(j&1){j=pb()|0;$9(e);sb(j|0)}if((i[d>>0]|0)<0){i[k[f>>2]>>0]=0;k[a>>2]=0}else{i[f>>0]=0;i[d>>0]=0}y=0;oa(506,f|0,0);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}else{k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;$9(e);r=g;return}}function dr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;j=r;r=r+96|0;g=j;c=j+88|0;h=j+48|0;l=j+40|0;rT(g,b+60|0);e=k[g>>2]|0;k[c>>2]=e;y=0;e=Ha(k[(k[e>>2]|0)+52>>2]|0,e|0,a|0)|0;f=y;y=0;if(f&1){l=pb()|0;EO(c);sb(l|0)}EO(c);f=ZL(64)|0;d=h;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));y=0;oa(482,l|0,e|0);e=y;y=0;if(e&1)a=pb()|0;else{d=g;a=h;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));y=0;na(366,f|0);h=y;y=0;do if(h&1)a=pb()|0;else{d=f+12|0;a=g;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=0;k[f>>2]=10696;y=0;oa(464,f+60|0,l|0);h=y;y=0;if(h&1){a=pb()|0;break}else{EO(l);r=j;return f|0}}while(0);EO(l)}zqa(f);l=a;sb(l|0);return 0}function er(a){a=a|0;var b=0,c=0;c=0;b=fp(a)|0;if(!b){if(!a){c=0;return c|0}}else while(1){a=fp(b)|0;if(!a){a=b;break}else b=a}b=yO(a)|0;if(!b){b=ns(a)|0;if(!b)b=a;else c=6}else c=6;if((c|0)==6)while(1){c=yO(b)|0;if(c|0){b=c;c=6;continue}c=ns(b)|0;if(!c)break;else{b=c;c=6}}switch(i[b>>0]|0){case 59:case 125:{b=b+1|0;break}default:b=oja(b)|0}c=b|0?a:0;return c|0}function fr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;g=0;h=r;r=r+32|0;e=h+16|0;f=h;j=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,j|0,k[j+16>>2]&-3|0);j=y;y=0;a:do if(j&1)g=7;else{y=0;Na(143,e|0,a|0,1);j=y;y=0;if(j&1)g=7;else do if(i[e>>0]|0){j=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;ya(k[(k[j>>2]|0)+16>>2]|0,f|0,j|0,b|0,c|0,d|0,8);j=y;y=0;if(j&1)b=tb(0)|0;else{j=f+8|0;if(!((k[j>>2]|0)==-1?(k[j+4>>2]|0)==-1:0))break;j=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,j|0,k[j+16>>2]|4|0);j=y;y=0;if(!(j&1))break;b=tb(0)|0}g=12;break a}while(0)}while(0);if((g|0)==7){b=tb(0)|0;g=12}do if((g|0)==12){vb(b|0)|0;y=0;na(374,a+(k[(k[a>>2]|0)+-12>>2]|0)|0);j=y;y=0;if(!(j&1)){rb();break}b=pb()|0;y=0;la(3);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}else sb(b|0)}while(0);r=h;return a|0}function gr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h+8|0;f=h+12|0;g=h;c=k[a+12>>2]|0;if(c){d=c;while(1){c=k[d+12>>2]|0;if(!c)break;else{a=d;d=c}}}c=a;while(1){if((tu(c,b)|0)!=(c+4|0)){d=5;break}c=k[c+12>>2]|0;if(!c){d=7;break}}if((d|0)==5){k[e>>2]=b;Yq(g,c,b,80081,e,f);g=k[g>>2]|0;g=g+28|0;r=h;return g|0}else if((d|0)==7){k[e>>2]=b;Yq(g,a,b,80081,e,f);g=k[g>>2]|0;g=g+28|0;r=h;return g|0}return 0}function hr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=0;j=r;r=r+16|0;h=j;Oda(a);e=a+12|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;k[a+56>>2]=4;k[a>>2]=9640;i[a+60>>0]=0;i[a+61>>0]=0;d=k[c+4>>2]|0;c=k[c+8>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;f=c-d|0;if(f>>>0>4294967279){y=0;na(377,h|0);g=y;y=0;if(g&1)g=12;else g=5}else if(f>>>0<11){i[h+11>>0]=f;b=h}else g=5;if((g|0)==5){e=f+16&-16;y=0;b=qa(332,e|0)|0;l=y;y=0;if(l&1)g=12;else{k[h>>2]=b;k[h+8>>2]=e|-2147483648;k[h+4>>2]=f}}if((g|0)==12){l=pb()|0;sb(l|0)}if((d|0)!=(c|0)){e=b;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(c|0))break;else e=e+1|0}b=b+f|0}i[b>>0]=0;y=0;oa(547,a+64|0,h|0);l=y;y=0;if(!(l&1)){$9(h);k[a+76>>2]=0;r=j;return}l=pb()|0;$9(h);sb(l|0)}function ir(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}b=yq(e)|0;if(!b)f=0;else{b=jO(b)|0;if(!b)f=0;else{b=(i[b>>0]|0)==59?b+1|0:0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function jr(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0;Oda(a);h=a+12|0;g=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(g|0));k[a>>2]=4940;i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;k[a+56>>2]=0;b=a+60|0;k[b>>2]=10072;j=a+64|0;l=a+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(572,j|0,d|0);d=y;y=0;if(d&1){c=pb()|0;h=N;b=k[j>>2]|0;if(b|0){g=k[l>>2]|0;if((g|0)!=(b|0)){do{a=g+-4|0;k[l>>2]=a;EO(a);g=k[l>>2]|0}while((g|0)!=(b|0));b=k[j>>2]|0}zqa(b)}l=c;sb(l|0)}k[a>>2]=9912;k[b>>2]=10032;y=0;oa(464,a+80|0,c|0);j=y;y=0;if(!(j&1)){i[a+84>>0]=e&1;i[a+85>>0]=f&1;return}d=pb()|0;c=N;k[b>>2]=10072;h=a+64|0;b=k[h>>2]|0;if(!b){l=d;sb(l|0)}g=k[l>>2]|0;if((g|0)!=(b|0)){do{a=g+-4|0;k[l>>2]=a;EO(a);g=k[l>>2]|0}while((g|0)!=(b|0));b=k[h>>2]|0}zqa(b);l=d;sb(l|0)}function kr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;g=h;c=k[b+64>>2]|0;f=(k[b+68>>2]|0)-c>>2;if(!f){r=h;return}d=b+64|0;e=a+4|0;b=0;while(1){if(i[(k[c+(b<<2)>>2]|0)+54>>0]|0){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,44181,2);y=0;oa(605,e|0,g|0);c=y;y=0;if(c&1){b=7;break}$9(g);c=k[d>>2]|0}c=k[c+(b<<2)>>2]|0;mc[k[(k[c>>2]|0)+40>>2]&1023](c,a);if(i[(k[(k[d>>2]|0)+(b<<2)>>2]|0)+54>>0]|0){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,45708,1);y=0;oa(605,e|0,g|0);c=y;y=0;if(c&1){b=11;break}$9(g)}b=b+1|0;if(b>>>0>=f>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=h;return}else if((b|0)==7){h=pb()|0;$9(g);sb(h|0)}else if((b|0)==11){h=pb()|0;$9(g);sb(h|0)}}function lr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;n=r;r=r+112|0;m=n+40|0;j=n+24|0;h=n+16|0;e=n;l=n+52|0;d=i[b>>0]|0;if(!(Ty(50732,d<<24>>24,4)|0)){c=v9()|0;k[c>>2]=22;c=0}else{c=pd(1144)|0;if(!c)c=0;else{f=c;g=f+112|0;do{k[f>>2]=0;f=f+4|0}while((f|0)<(g|0));if(!(aba(b,43)|0))k[c>>2]=d<<24>>24==114?8:4;if(aba(b,101)|0){k[e>>2]=a;k[e+4>>2]=2;k[e+8>>2]=1;Sa(221,e|0)|0;d=i[b>>0]|0}if(d<<24>>24==97){k[h>>2]=a;k[h+4>>2]=3;d=Sa(221,h|0)|0;if(!(d&1024)){k[j>>2]=a;k[j+4>>2]=4;k[j+8>>2]=d|1024;Sa(221,j|0)|0}b=k[c>>2]|128;k[c>>2]=b}else b=k[c>>2]|0;k[c+60>>2]=a;k[c+44>>2]=c+120;k[c+48>>2]=1024;d=c+75|0;i[d>>0]=-1;if(!(b&8)){k[m>>2]=a;k[m+4>>2]=21505;k[m+8>>2]=l;if(!(Ya(54,m|0)|0))i[d>>0]=10}k[c+32>>2]=22;k[c+36>>2]=20;k[c+40>>2]=21;k[c+12>>2]=266;if(!(k[19134]|0))k[c+76>>2]=-1;zb(76560);d=k[19139]|0;k[c+56>>2]=d;if(d|0)k[d+52>>2]=c;k[19139]=c;Gb(76560)}}r=n;return c|0}function mr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=r;r=r+80|0;d=g+32|0;e=g+20|0;h=g;f=g+8|0;c=k[(k[b>>2]|0)+28>>2]|0;l=k[a+72>>2]|0;j=k[l+4>>2]|0;a=h;k[a>>2]=k[l>>2];k[a+4>>2]=j;k[d>>2]=k[h>>2];k[d+4>>2]=k[h+4>>2];Lc[c&255](e,b,d);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;c=i[e+11>>0]|0;a=c<<24>>24<0;c=a?k[e+4>>2]|0:c&255;y=0;Ra(10,f|0,(a?k[e>>2]|0:e)|0,c|0,c+25|0);c=y;y=0;if(!(c&1)){y=0;ta(47,f|0,47179,25)|0;l=y;y=0;if(!(l&1)){y=0;c=d;a=b+12|0;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));oa(458,f|0,d|0);l=y;y=0;if(!(l&1)){$9(f);$9(e);r=g;return}l=pb()|0;$9(f);$9(e);sb(l|0)}}l=pb()|0;$9(f);$9(e);sb(l|0)}function nr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}e=e<<24>>24==42?f+1|0:f;if(!e)g=0;else{e=uy(e)|0;if(e>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=e}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function or(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}b=f+1|0;if(e<<24>>24==37){g=UW(b)|0;b=g|0?g:b;if(b>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=b}else g=0;if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;e=a+84|0;n=a+96|0;gH(h,n,c,f);k[e>>2]=k[h>>2];k[e+4>>2]=k[h+4>>2];k[e+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;b=k[a+72>>2]|0;GO(j,n,e);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,b,a+152|0,e,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=g;n=g;r=m;return n|0}function pr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=0;c=k[b+48>>2]|0;if(c&16|0){c=b+44|0;d=k[c>>2]|0;e=k[b+24>>2]|0;if(d>>>0<e>>>0)k[c>>2]=e;else e=d;c=k[b+20>>2]|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=e-c|0;if(b>>>0>4294967279){LM(a);f=8}else if(b>>>0<11)i[a+11>>0]=b;else f=8;if((f|0)==8){d=b+16&-16;f=ZL(d)|0;k[a>>2]=f;k[a+8>>2]=d|-2147483648;k[a+4>>2]=b;a=f}if((c|0)!=(e|0)){d=a;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}a=a+b|0}i[a>>0]=0;return}if(!(c&8)){k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;return}c=k[b+8>>2]|0;e=k[b+16>>2]|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=e-c|0;if(b>>>0>4294967279){LM(a);f=18}else if(b>>>0<11)i[a+11>>0]=b;else f=18;if((f|0)==18){d=b+16&-16;f=ZL(d)|0;k[a>>2]=f;k[a+8>>2]=d|-2147483648;k[a+4>>2]=b;a=f}if((c|0)!=(e|0)){d=a;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}a=a+b|0}i[a>>0]=0;return}function qr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;h=r;r=r+16|0;e=h;g=a;d=c;j=g+40|0;do{k[g>>2]=k[d>>2];g=g+4|0;d=d+4|0}while((g|0)<(j|0));k[a+40>>2]=b;m=a+44|0;n=a+48|0;f=a+56|0;l=a+60|0;b=a+84|0;g=m;j=g+40|0;do{k[g>>2]=0;g=g+4|0}while((g|0)<(j|0));k[b>>2]=k[c>>2];k[b+4>>2]=k[c+4>>2];k[b+8>>2]=k[c+8>>2];g=a+96|0;k[g>>2]=k[c>>2];k[g+4>>2]=k[c+4>>2];k[g+8>>2]=k[c+8>>2];g=a+108|0;d=c;j=g+40|0;do{k[g>>2]=k[d>>2];g=g+4|0;d=d+4|0}while((g|0)<(j|0));j=a+148|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;i[j+16>>0]=0;k[e>>2]=0;y=0;oa(563,f|0,e|0);j=y;y=0;if(!(j&1)){r=h;return}c=pb()|0;b=k[f>>2]|0;d=b;if(b|0){a=k[l>>2]|0;if((a|0)!=(b|0))k[l>>2]=a+(~((a+-4-d|0)>>>2)<<2);zqa(b)}b=k[m>>2]|0;if(!b)sb(c|0);d=k[n>>2]|0;if((d|0)!=(b|0)){do{l=d+-4|0;k[n>>2]=l;EO(l);d=k[n>>2]|0}while((d|0)!=(b|0));b=k[m>>2]|0}zqa(b);sb(c|0)}function rr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;a=r;r=r+96|0;d=a+56|0;e=a+16|0;g=a;if(b|0){if(pw(b,680,968,0)|0){r=a;return}if(pw(b,680,952,0)|0){r=a;return}if(pw(b,680,936,0)|0){r=a;return}if(pw(b,680,984,0)|0){r=a;return}if(pw(b,680,744,0)|0){r=a;return}if(pw(b,680,920,0)|0){r=a;return}if(pw(b,680,808,0)|0){r=a;return}if(pw(b,680,1048,0)|0){r=a;return}}f=gb(76)|0;c=e;a=b+12|0;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,44468,66);c=y;y=0;if(c&1)a=pb()|0;else{y=0;c=d;a=e;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));Na(110,f|0,d|0,g|0);e=y;y=0;if(e&1)b=1;else{y=0;Na(76,f|0,2368,158);y=0;b=0}a=pb()|0;$9(g);if(!b){g=a;sb(g|0)}}fb(f|0);g=a;sb(g|0)}function sr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}b=f+1|0;if(e<<24>>24==37)g=b;else{g=e<<24>>24|0;g=(g|0)!=45?((g|0)==43?b:0):b}if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;e=a+84|0;n=a+96|0;gH(h,n,c,f);k[e>>2]=k[h>>2];k[e+4>>2]=k[h+4>>2];k[e+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;b=k[a+72>>2]|0;GO(j,n,e);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,b,a+152|0,e,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=g;n=g;r=m;return n|0}function tr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;e=k[a>>2]|0;n=(((k[a+4>>2]|0)-e|0)/12|0)-c|0;o=ZN(n+1|0,4)|0;if(!o){k[b>>2]=0;o=0;return o|0}a:do if((n|0)>0){d=0;while(1){m=d+c|0;f=i[e+(m*12|0)+11>>0]|0;if(f<<24>>24<0)f=k[e+(m*12|0)+4>>2]|0;else f=f&255;g=pd(f+1|0)|0;l=o+(d<<2)|0;k[l>>2]=g;if(!g)break;f=e+(m*12|0)|0;if((i[f+11>>0]|0)<0)f=k[f>>2]|0;h=e+(m*12|0)|0;j=i[h+11>>0]|0;if(j<<24>>24<0){h=k[h>>2]|0;j=k[e+(m*12|0)+4>>2]|0}else j=j&255;h=h+j|0;if((f|0)!=(h|0)){e=f;while(1){i[g>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(h|0))break;else g=g+1|0}e=k[a>>2]|0}f=i[e+(m*12|0)+11>>0]|0;if(f<<24>>24<0)e=k[e+(m*12|0)+4>>2]|0;else e=f&255;i[(k[l>>2]|0)+e>>0]=0;d=d+1|0;if((d|0)>=(n|0))break a;e=k[a>>2]|0}d=k[o>>2]|0;if(d|0){e=o;do{Pf(d);e=e+4|0;d=k[e>>2]|0}while((d|0)!=0)}Pf(o);k[b>>2]=0;o=0;return o|0}while(0);k[o+(n<<2)>>2]=0;k[b>>2]=o;return o|0}function ur(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;g=0;e=vt(a)|0;if(!e)return a|0;c=i[32599]|0;if(!(c<<24>>24))return a|0;f=i[e>>0]|0;d=32599;while(1){if(f<<24>>24==c<<24>>24)break;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){b=a;g=17;break}}if((g|0)==17)return b|0;if(!(f<<24>>24))return a|0;b=vt(e+1|0)|0;if(!b)return a|0;b=eV(b)|0;if(!b)return a|0;a:while(1){e=vt(b)|0;if(!e){g=17;break}c=i[32599]|0;if(!(c<<24>>24)){g=17;break}f=i[e>>0]|0;d=32599;while(1){if(f<<24>>24==c<<24>>24)break;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){g=17;break a}}if(!(f<<24>>24)){g=17;break}c=vt(e+1|0)|0;if(!c){g=17;break}c=eV(c)|0;if(!c){g=17;break}else b=c}if((g|0)==17)return b|0;return 0}function vr(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;n=r;r=r+16|0;l=n;m=k[a>>2]|0;if(!m){m=0;r=n;return m|0}o=b;g=d-o|0;j=e+12|0;h=k[j>>2]|0;g=(h|0)>(g|0)?h-g|0:0;h=c;e=h-o|0;if((e|0)>0)if((rc[k[(k[m>>2]|0)+48>>2]&255](m,b,e)|0)!=(e|0)){k[a>>2]=0;o=0;r=n;return o|0}do if((g|0)>0){k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;mI(l,g,f);y=0;e=ta(k[(k[m>>2]|0)+48>>2]|0,m|0,((i[l+11>>0]|0)<0?k[l>>2]|0:l)|0,g|0)|0;o=y;y=0;if(o&1){o=pb()|0;$9(l);sb(o|0)}if((e|0)==(g|0)){$9(l);break}k[a>>2]=0;$9(l);o=0;r=n;return o|0}while(0);d=d-h|0;if((d|0)>0)if((rc[k[(k[m>>2]|0)+48>>2]&255](m,c,d)|0)!=(d|0)){k[a>>2]=0;o=0;r=n;return o|0}k[j>>2]=0;o=m;r=n;return o|0}function wr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}b=rL(e)|0;if(!b){b=XB(e)|0;if(!b)f=hA(e)|0;else f=b}else f=b;if(f>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function xr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;g=r;r=r+64|0;c=g+16|0;d=g;Oda(a);k[a>>2]=4860;e=a+12|0;f=e;h=b+12|0;j=f+40|0;do{k[f>>2]=k[h>>2];f=f+4|0;h=h+4|0}while((f|0)<(j|0));k[a>>2]=11152;m=a+52|0;y=0;oa(452,m|0,b+52|0);l=y;y=0;if(l&1){m=pb()|0;sb(m|0)}l=a+64|0;y=0;oa(464,l|0,b+64|0);j=y;y=0;if(j&1)c=pb()|0;else{j=i[b+68>>0]|0;i[a+68>>0]=j;if(j<<24>>24==0|(k[l>>2]|0)==0){r=g;return}k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;Na(75,d|0,40743,54);j=y;y=0;do if(j&1)c=pb()|0;else{y=0;f=c;h=e;j=f+40|0;do{k[f>>2]=k[h>>2];f=f+4|0;h=h+4|0}while((f|0)<(j|0));oa(458,d|0,c|0);j=y;y=0;if(j&1){c=pb()|0;$9(d);break}$9(d);r=g;return}while(0);EO(l)}$9(m);m=c;sb(m|0)}function yr(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0;l=r;r=r+48|0;h=l;j=l+40|0;rT(j,f);g=h;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));y=0;na(366,a|0);g=y;y=0;do if(g&1)f=pb()|0;else{g=a+12|0;b=h;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;g=a+64|0;y=0;oa(464,g|0,j|0);h=y;y=0;if(h&1){f=pb()|0;break}EO(j);k[a>>2]=5988;f=a+68|0;y=0;oa(464,f|0,c|0);j=y;y=0;do if(j&1)f=pb()|0;else{y=0;oa(464,a+72|0,d|0);j=y;y=0;if(j&1){l=pb()|0;EO(f);f=l;break}else{i[a+76>>0]=e&1;i[a+77>>0]=0;k[b>>2]=9;r=l;return}}while(0);k[a>>2]=5436;EO(g);a=f;sb(a|0)}while(0);EO(j);a=f;sb(a|0)}function zr(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;n=r;r=r+16|0;m=n;g=k[a>>2]|0;a:do if(!g)g=0;else{o=b;h=d-o>>2;l=e+12|0;j=k[l>>2]|0;h=(j|0)>(h|0)?j-h|0:0;j=c;o=j-o|0;e=o>>2;if((o|0)>0)if((rc[k[(k[g>>2]|0)+48>>2]&255](g,b,e)|0)!=(e|0)){k[a>>2]=0;g=0;break}do if((h|0)>0){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;EE(m,h,f);y=0;e=ta(k[(k[g>>2]|0)+48>>2]|0,g|0,((i[m+8+3>>0]|0)<0?k[m>>2]|0:m)|0,h|0)|0;o=y;y=0;if(o&1){o=pb()|0;w9(m);sb(o|0)}if((e|0)==(h|0)){w9(m);break}else{k[a>>2]=0;w9(m);g=0;break a}}while(0);o=d-j|0;d=o>>2;if((o|0)>0)if((rc[k[(k[g>>2]|0)+48>>2]&255](g,c,d)|0)!=(d|0)){k[a>>2]=0;g=0;break}k[l>>2]=0}while(0);r=n;return g|0}function Ar(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0;h=r;r=r+16|0;g=h+4|0;f=h;e=a+72|0;d=a+80|0;if((k[a+76>>2]|0)==(k[d>>2]|0)){g=b;r=h;return g|0}_V(g,oc[k[(k[b>>2]|0)+12>>2]&511](b)|0);d=(k[d>>2]|0)-(k[a+76>>2]|0)>>2;a:do if(d|0){b=0;while(1){if(!(k[g>>2]|0))break a;y=0;a=Ha(k[(k[e>>2]|0)+16>>2]|0,e|0,b|0)|0;j=y;y=0;if(j&1){a=10;break}a=k[a>>2]|0;y=0;a=ta(k[(k[a>>2]|0)+152>>2]|0,a|0,k[g>>2]|0,c|0)|0;j=y;y=0;if(j&1){a=10;break}y=0;oa(482,f|0,a|0);j=y;y=0;if(j&1){a=10;break}y=0;Ha(966,g|0,f|0)|0;j=y;y=0;if(j&1){a=11;break}EO(f);b=b+1|0;if(b>>>0>=d>>>0)break a}if((a|0)==10){j=pb()|0;EO(g);sb(j|0)}else if((a|0)==11){j=pb()|0;EO(f);EO(g);sb(j|0)}}while(0);a=k[g>>2]|0;if(!a)a=0;else i[a+8>>0]=1;EO(g);j=a;r=h;return j|0}function Br(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;h=r;r=r+208|0;f=h+168|0;i=h;g=f;e=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(e|0));ql(i,a,b,f,d);y=0;b=Ha(1001,i|0,0)|0;g=y;y=0;if(g&1){b=pb()|0;c=k[i+56>>2]|0;e=c;if(c|0){f=i+60|0;a=k[f>>2]|0;if((a|0)!=(c|0))k[f>>2]=a+(~((a+-4-e|0)>>>2)<<2);zqa(c)}a=i+44|0;c=k[a>>2]|0;if(!c)sb(b|0);f=i+48|0;e=k[f>>2]|0;if((e|0)!=(c|0)){do{i=e+-4|0;k[f>>2]=i;EO(i);e=k[f>>2]|0}while((e|0)!=(c|0));c=k[a>>2]|0}zqa(c);sb(b|0)}else{a=k[i+56>>2]|0;c=a;if(a|0){e=i+60|0;f=k[e>>2]|0;if((f|0)!=(a|0))k[e>>2]=f+(~((f+-4-c|0)>>>2)<<2);zqa(a)}a=i+44|0;c=k[a>>2]|0;if(!c){r=h;return b|0}f=i+48|0;e=k[f>>2]|0;if((e|0)!=(c|0)){do{i=e+-4|0;k[f>>2]=i;EO(i);e=k[f>>2]|0}while((e|0)!=(c|0));c=k[a>>2]|0}zqa(c);r=h;return b|0}return 0}function Cr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=r;r=r+16|0;e=g;f=a+4|0;k[f>>2]=0;y=0;Na(143,e|0,a|0,1);d=y;y=0;do if(d&1){b=tb(0)|0;d=a;e=a;c=8}else{d=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;if(!(i[e>>0]|0)){y=0;oa(532,d|0,k[d+16>>2]|4|0);f=y;y=0;if(f&1)c=7;else c=12}else{e=k[d+24>>2]|0;y=0;b=ta(k[(k[e>>2]|0)+32>>2]|0,e|0,b|0,c|0)|0;e=y;y=0;if(e&1)c=7;else{k[f>>2]=b;if((b|0)==(c|0))c=12;else{f=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,f|0,k[f+16>>2]|6|0);f=y;y=0;if(f&1)c=7;else c=12}}}if((c|0)==7){b=tb(0)|0;d=a;e=a;c=8;break}else if((c|0)==12)break}while(0);do if((c|0)==8){vb(b|0)|0;y=0;na(374,d+(k[(k[e>>2]|0)+-12>>2]|0)|0);f=y;y=0;if(!(f&1)){rb();break}b=pb()|0;y=0;la(3);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}else sb(b|0)}while(0);r=g;return a|0}function Dr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}b=f+1|0;if(e<<24>>24==47){b=(i[b>>0]|0)==42?0:b;if(b>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=b}else g=0;if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;e=a+84|0;n=a+96|0;gH(h,n,c,f);k[e>>2]=k[h>>2];k[e+4>>2]=k[h+4>>2];k[e+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;b=k[a+72>>2]|0;GO(j,n,e);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,b,a+152|0,e,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=g;n=g;r=m;return n|0}function Er(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=(c|0)/12|0;if(!c)return;do if(d>>>0>357913941){y=0;na(365,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;doa(c);y=0;Na(76,c|0,4496,348);y=0;c=11}}else{y=0;c=qa(332,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d*12|0);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(452,c|0,b|0);g=y;y=0;if(g&1){c=10;break}b=b+12|0;c=(k[f>>2]|0)+12|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-12|0;k[f>>2]=g;$9(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}zqa(c);sb(d|0)}function Fr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;e=r;r=r+32|0;f=e+16|0;g=e+4|0;d=e;c=Pi(c,a)|0;k[c+84>>2]=b;pK(g,c+68|0);y=0;a=Ha(970,g|0,42903)|0;h=y;y=0;if(h&1){h=pb()|0;$9(g);sb(h|0)}k[f>>2]=k[a>>2];k[f+4>>2]=k[a+4>>2];k[f+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;y=0;a=Ha(971,b|0,f|0)|0;h=y;y=0;if(h&1)a=pb()|0;else{y=0;oa(482,d|0,c|0);h=y;y=0;do if(h&1)a=pb()|0;else{y=0;Ha(966,a|0,d|0)|0;h=y;y=0;if(h&1){a=pb()|0;EO(d);break}else{EO(d);$9(f);$9(g);r=e;return}}while(0)}$9(f);h=a;$9(g);sb(h|0)}function Gr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;c=f+8|0;e=f;k[a+36>>2]=0;rT(c,b);y=0;d=Ha(983,a+4|0,c|0)|0;g=y;y=0;if(g&1){g=pb()|0;EO(c);sb(g|0)}EO(c);do if(!d){c=a+28|0;d=k[c>>2]|0;if((d|0)==(k[a+32>>2]|0)){Kp(a+24|0,b);break}else{rT(d,b);k[c>>2]=(k[c>>2]|0)+4;break}}else{c=a+40|0;if(!(k[c>>2]|0))LH(c,b)|0}while(0);g=b+4|0;LH(Ml(a+4|0,b)|0,g)|0;d=k[k[a>>2]>>2]|0;rT(e,b);c=e+4|0;y=0;oa(464,c|0,g|0);g=y;y=0;if(g&1){g=pb()|0;EO(e);sb(g|0)}y=0;oa(d|0,a|0,e|0);g=y;y=0;if(!(g&1)){EO(c);EO(e);r=f;return a|0}g=pb()|0;EO(c);EO(e);sb(g|0);return 0}function Hr(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;f=r;r=r+112|0;b=f+64|0;c=f+56|0;d=f+16|0;j=f+8|0;l=f+4|0;i=f;m=ZL(88)|0;e=d;g=a+12|0;h=e+40|0;do{k[e>>2]=k[g>>2];e=e+4|0;g=g+4|0}while((e|0)<(h|0));y=0;oa(482,j|0,a|0);h=y;y=0;do if(h&1)b=pb()|0;else{y=0;oa(482,l|0,0);h=y;y=0;if(h&1){b=pb()|0;EO(j);break}y=0;oa(482,i|0,0);h=y;y=0;if(h&1){b=pb()|0;a=1}else{y=0;e=b;g=d;h=e+40|0;do{k[e>>2]=k[g>>2];e=e+4|0;g=g+4|0}while((e|0)<(h|0));ya(11,m|0,b|0,0,j|0,l|0,i|0);h=y;y=0;if(h&1)a=1;else{y=0;oa(482,c|0,m|0);h=y;y=0;if(h&1)a=0;else{EO(i);EO(l);EO(j);r=f;return k[c>>2]|0}}b=pb()|0;EO(i)}EO(l);EO(j);if(!a){m=b;sb(m|0)}}while(0);zqa(m);m=b;sb(m|0);return 0}function Ir(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;i=r;r=r+16|0;g=i+4|0;h=i;b=pw(b,40,400,0)|0;if(!b){g=0;h=0;h=g&h;r=i;return h|0}e=(k[a+68>>2]|0)-(k[a+64>>2]|0)>>2;f=b+64|0;c=k[f>>2]|0;if((e|0)!=((k[b+68>>2]|0)-c>>2|0)){g=1;h=0;h=g&h;r=i;return h|0}if(!e){g=1;h=1;h=g&h;r=i;return h|0}d=a+64|0;b=0;while(1){rT(g,c+(b<<2)|0);y=0;oa(464,h|0,(k[d>>2]|0)+(b<<2)|0);a=y;y=0;if(a&1){a=9;break}c=k[h>>2]|0;a=k[g>>2]|0;if((c|0)==0|(a|0)==0)c=1;else{y=0;c=Ha(k[(k[c>>2]|0)+88>>2]|0,c|0,a|0)|0;a=y;y=0;if(a&1){a=10;break}c=c&1^1}EO(h);EO(g);b=b+1|0;if(c|0){b=1;c=0;a=15;break}if(b>>>0>=e>>>0){b=1;c=1;a=15;break}c=k[f>>2]|0}if((a|0)==9){i=pb()|0;EO(g);sb(i|0)}else if((a|0)==10){i=pb()|0;EO(h);EO(g);sb(i|0)}else if((a|0)==15){h=b&c;r=i;return h|0}return 0}function Jr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;if(!c){c=k[b+76>>2]|0;f=a+4|0;k[f>>2]=c}else{f=a+4|0;k[f>>2]=c}e=oW(c)|0;e=bm(e|0?e:c)|0;d=b+80|0;if((e|0)==0?1:e>>>0>(k[d>>2]|0)>>>0){e=a+13|0;e=i[e>>0]|0;f=a+12|0;a=e^1;i[f>>0]=a;return}a:do if(c>>>0<e>>>0){while(1){b=c+1|0;if((i[c>>0]|0)==35)if((i[b>>0]|0)==123)break;if(b>>>0<e>>>0)c=b;else{c=b;break a}}i[a+13>>0]=1;c=e}while(0);k[f>>2]=e;k[a+8>>2]=e;b=oW(e)|0;b=b|0?b:e;b=(i[b>>0]|0)==123?b+1|0:0;if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0){b=oW(e)|0;b=b|0?b:e;b=(i[b>>0]|0)==40?b+1|0:0;if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)b=15;else{k[a>>2]=e;b=14}}else{k[a>>2]=e;b=14}if((b|0)==14)if(!e)b=15;if((b|0)==15)if(i[c>>0]|0){e=a+13|0;e=i[e>>0]|0;f=a+12|0;a=e^1;i[f>>0]=a;return}k[f>>2]=0;e=a+13|0;e=i[e>>0]|0;f=a+12|0;a=e^1;i[f>>0]=a;return}function Kr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;h=r;r=r+32|0;c=h+8|0;d=h+4|0;e=h;f=a+4|0;pK(c,b+52|0);y=0;Na(139,f|0,c|0,b|0);g=y;y=0;if(g&1){h=pb()|0;$9(c);sb(h|0)}$9(c);g=b+64|0;rT(c,g);j=k[c>>2]|0;k[d>>2]=j;EO(d);if(j|0){ly(f);rT(c,g);j=k[c>>2]|0;k[e>>2]=j;y=0;oa(k[(k[j>>2]|0)+40>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;EO(e);sb(j|0)}else{EO(e);r=h;return}}if(!(i[b+68>>0]|0)){r=h;return}k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44142,3);y=0;oa(605,f|0,c|0);j=y;y=0;if(j&1){j=pb()|0;$9(c);sb(j|0)}else{$9(c);r=h;return}}function Lr(a){a=a|0;var b=0,c=0;c=0;if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=kw(b)|0;if(!b)c=5;else{b=iw(b)|0;if(!b)c=5}if((c|0)==5){b=zk(a)|0;if(!b){b=Hs(a)|0;if(!b){c=0;return c|0}}}if((i[b>>0]|0)==45){a=b;do a=a+1|0;while((i[a>>0]|0)==45)}else a=b;a=kw(a)|0;if(!a){c=b;return c|0}a=iw(a)|0;if(!a){c=b;return c|0}else b=a;while(1){if((i[b>>0]|0)==45){a=b;do a=a+1|0;while((i[a>>0]|0)==45)}else a=b;a=kw(a)|0;if(!a){c=15;break}a=iw(a)|0;if(!a){c=15;break}else b=a}if((c|0)==15)return b|0;return 0}function Mr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}b=PU(e)|0;b=b|0?b:e;if(!b)f=0;else{b=CN(b)|0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Nr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}if(e<<24>>24==36){e=CN(f+1|0)|0;if(e>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=e}else g=0;if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Or(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}if(e<<24>>24==35){e=CN(f+1|0)|0;if(e>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=e}else g=0;if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Pr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;n=r;r=r+16|0;f=n;XG(f,b,0,3,b);m=i[f+11>>0]|0;if(((m<<24>>24<0?k[f+4>>2]|0:m&255)|0)==3){y=0;e=sa(21,f|0,0,-1,38899,3)|0;m=y;y=0;if(m&1){m=tb(0)|0;dla(m)}$9(f);if(!e){pK(a,d);r=n;return}}else $9(f);g=i[c+11>>0]|0;h=g<<24>>24<0;g=g&255;j=h?k[c+4>>2]|0:g;m=i[d+11>>0]|0;e=m<<24>>24<0;a:do if((j|0)==((e?k[d+4>>2]|0:m&255)|0)){l=k[c>>2]|0;m=h?l:c;e=e?k[d>>2]|0:d;f=(j|0)==0;b:do if(h){if(!f)if(zM(m,e,j)|0)break a}else if(!f){if((l&255)<<24>>24==(i[e>>0]|0))f=c;else break a;while(1){g=g+-1|0;f=f+1|0;if(!g)break b;e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0))break a}}while(0);b=c}while(0);pK(a,b);r=n;return}function Qr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+64|0;f=g;h=g+40|0;pK(h,c);e=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));y=0;oa(629,a|0,h|0);e=y;y=0;if(e&1){a=pb()|0;$9(h);sb(a|0)}k[a>>2]=14052;c=a+8|0;y=0;oa(452,c|0,h|0);e=y;y=0;do if(e&1)c=pb()|0;else{e=a+20|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(75,e|0,47013,5);e=y;y=0;if(e&1){g=pb()|0;$9(c);c=g;break}else{e=a+32|0;b=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));k[a+72>>2]=d;$9(h);k[a>>2]=18988;r=g;return}}while(0);cda(a);a=c;$9(h);sb(a|0)}function Rr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}b=UW(e)|0;if(!b)f=0;else{f=(XB(b)|0)!=0;b=f?b:0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Sr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;j=r;r=r+48|0;g=j;h=j+40|0;rT(h,e);f=g;e=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(e|0));y=0;na(366,a|0);f=y;y=0;do if(f&1)e=pb()|0;else{f=a+12|0;b=g;e=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(e|0));k[a+52>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;b=a+64|0;y=0;oa(464,b|0,h|0);g=y;y=0;if(g&1){e=pb()|0;break}EO(h);k[a>>2]=7368;e=a+68|0;y=0;oa(452,e|0,c|0);h=y;y=0;do if(h&1)e=pb()|0;else{y=0;oa(464,a+80|0,d|0);h=y;y=0;if(h&1){j=pb()|0;$9(e);e=j;break}else{r=j;return}}while(0);k[a>>2]=5436;EO(b);a=e;sb(a|0)}while(0);EO(h);a=e;sb(a|0)}function Tr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=r;r=r+32|0;d=f+12|0;e=f;hf(d,c,b+396|0,b+4|0);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;c=d+11|0;b=i[c>>0]|0;b=b<<24>>24<0?k[d+4>>2]|0:b&255;y=0;Ra(10,e|0,31689,21,b+21|0);g=y;y=0;if(!(g&1)){y=0;ta(47,e|0,((i[c>>0]|0)<0?k[d>>2]|0:d)|0,b|0)|0;g=y;y=0;if(!(g&1)){y=0;b=Ha(970,e|0,45689)|0;g=y;y=0;if(!(g&1)){k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;$9(e);$9(d);r=f;return}g=pb()|0;$9(e);$9(d);sb(g|0)}}g=pb()|0;$9(e);$9(d);sb(g|0)}function Ur(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=0;switch(k[a+96>>2]|0){case 2:{j=Fc[k[(k[a>>2]|0)+176>>2]&2047](a,b)|0;return j|0}case 3:{j=Fc[k[(k[a>>2]|0)+180>>2]&2047](a,b)|0;return j|0}case 1:{j=Fc[k[(k[a>>2]|0)+176>>2]&2047](a,b)|0;return j|0}default:{e=a+72|0;f=b+72|0;if(ap(e,f)|0){e=a+84|0;f=b+84|0;h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[a+88>>2]|0:h&255;d=i[f+11>>0]|0;c=d<<24>>24<0;b=c?k[b+88>>2]|0:d&255;d=b>>>0<h>>>0;a=d?b:h;if(!a)j=8;else{a=zM(g?k[e>>2]|0:e,c?k[f>>2]|0:f,a)|0;if(!a)j=8}if((j|0)==8)a=h>>>0<b>>>0?-1:d&1;j=(a|0)<0;return j|0}else{h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[a+76>>2]|0:h&255;d=i[f+11>>0]|0;c=d<<24>>24<0;b=c?k[b+76>>2]|0:d&255;d=b>>>0<h>>>0;a=d?b:h;if(!a)j=12;else{a=zM(g?k[e>>2]|0:e,c?k[f>>2]|0:f,a)|0;if(!a)j=12}if((j|0)==12)a=h>>>0<b>>>0?-1:d&1;j=(a|0)<0;return j|0}}}return 0}function Vr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}if(e<<24>>24==58){e=f;do e=e+1|0;while((i[e>>0]|0)==58);if(e>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=e}else g=0;if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Wr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=f+1|0;b=e<<24>>24|0;g=(b|0)!=93?((b|0)==47?g:0):g;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Xr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}b=yq(e)|0;if(!b)f=0;else{b=(i[b>>0]|0)==45?b:0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Yr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}if((e|0)==0|(Tea(e)|0)!=0)f=0;else{b=(i[e>>0]|0)==45?e+1|0:0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Zr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=r;r=r+32|0;g=i+16|0;h=i+12|0;f=i;e=k[b>>2]|0;b=k[e+76>>2]|0;e=k[e+80>>2]|0;if((b|0)==(e|0)){h=0;r=i;return h|0}while(1){rT(g,b);d=k[(k[a>>2]|0)+152>>2]|0;y=0;oa(482,h|0,k[g>>2]|0);j=y;y=0;if(j&1){d=8;break}y=0;oa(452,f|0,c|0);j=y;y=0;if(j&1){d=9;break}y=0;d=ta(d|0,a|0,h|0,f|0)|0;j=y;y=0;if(j&1){d=10;break}$9(f);EO(h);EO(g);b=b+4|0;if(d){b=1;d=13;break}if((b|0)==(e|0)){b=0;d=13;break}}if((d|0)==8){j=pb()|0;EO(g);sb(j|0)}else if((d|0)==9)b=pb()|0;else if((d|0)==10){b=pb()|0;$9(f)}else if((d|0)==13){r=i;return b|0}EO(h);j=b;EO(g);sb(j|0);return 0}function _r(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;h=a+b|0;j=d+4|0;b=i[j>>0]|0;switch(k[d>>2]|0){case 0:{e=c;g=2;break}case 1:{f=c;g=5;break}case 2:{f=c;g=10;break}default:{d=0;return d|0}}while(1)if((g|0)==2){if((a|0)==(h|0)){g=3;break}b=i[a>>0]|0;i[e>>0]=i[47557+(b>>>2&63)>>0]|0;b=b<<4&48;f=e+1|0;a=a+1|0;g=5;continue}else if((g|0)==5){if((a|0)==(h|0)){g=6;break}e=i[a>>0]|0;b=e>>>4&15|b&255;if((b&255)<<24>>24>63)b=61;else b=i[47557+(b<<24>>24)>>0]|0;i[f>>0]=b;b=e<<2&60;f=f+1|0;a=a+1|0;g=10;continue}else if((g|0)==10){if((a|0)==(h|0)){g=11;break}e=i[a>>0]|0;b=e>>>6&3|b&255;if((b&255)<<24>>24>63)b=61;else b=i[47557+(b<<24>>24)>>0]|0;i[f>>0]=b;b=e&63;i[f+1>>0]=i[47557+b>>0]|0;e=d+8|0;k[e>>2]=(k[e>>2]|0)+1;b=b&255;e=f+2|0;a=a+1|0;g=2;continue}if((g|0)==3){i[j>>0]=b;k[d>>2]=0;d=e-c|0;return d|0}else if((g|0)==6){i[j>>0]=b;k[d>>2]=1;d=f-c|0;return d|0}else if((g|0)==11){i[j>>0]=b;k[d>>2]=2;d=f-c|0;return d|0}return 0}function $r(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;do if(d>>>0>1073741823){y=0;na(365,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;doa(c);y=0;Na(76,c|0,4496,348);y=0;c=11}}else{y=0;c=qa(332,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<2);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(464,c|0,b|0);g=y;y=0;if(g&1){c=10;break}b=b+4|0;c=(k[f>>2]|0)+4|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-4|0;k[f>>2]=g;EO(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}zqa(c);sb(d|0)}function as(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;g=r;r=r+16|0;e=g;Hn(a+16|0,b);f=a+4|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;h=i[b+11>>0]|0;j=h<<24>>24<0;h=j?k[b+4>>2]|0:h&255;d=f+11|0;c=i[d>>0]|0;a=a+8|0;c=c<<24>>24<0?k[a>>2]|0:c&255;y=0;Ra(10,e|0,(j?k[b>>2]|0:b)|0,h|0,c+h|0);b=y;y=0;if(b&1){j=pb()|0;$9(e);sb(j|0)}y=0;ta(47,e|0,((i[d>>0]|0)<0?k[f>>2]|0:f)|0,c|0)|0;j=y;y=0;if(j&1){j=pb()|0;$9(e);sb(j|0)}if((i[d>>0]|0)<0){i[k[f>>2]>>0]=0;k[a>>2]=0}else{i[f>>0]=0;i[d>>0]=0}y=0;oa(506,f|0,0);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}else{k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;$9(e);r=g;return}}function bs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;do if(d>>>0>1073741823){y=0;na(365,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;doa(c);y=0;Na(76,c|0,4496,348);y=0;c=11}}else{y=0;c=qa(332,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<2);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(464,c|0,b|0);g=y;y=0;if(g&1){c=10;break}b=b+4|0;c=(k[f>>2]|0)+4|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-4|0;k[f>>2]=g;EO(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}zqa(c);sb(d|0)}function cs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;k[a>>2]=0;h=a+4|0;k[h>>2]=0;k[a+8>>2]=0;if(!b)return;do if(b>>>0>357913941){y=0;na(365,a|0);g=y;y=0;if(g&1)b=10;else{b=gb(4)|0;doa(b);y=0;Na(76,b|0,4496,348);y=0;b=10}}else{y=0;d=qa(332,b*12|0)|0;g=y;y=0;if(g&1)b=10;else{k[h>>2]=d;k[a>>2]=d;k[a+8>>2]=d+(b*12|0);while(1){y=0;oa(604,d|0,c|0);g=y;y=0;if(g&1){b=9;break}d=(k[h>>2]|0)+12|0;k[h>>2]=d;b=b+-1|0;if(!b){b=21;break}}if((b|0)==9){g=pb()|0;break}else if((b|0)==21)return}}while(0);if((b|0)==10)g=pb()|0;b=k[a>>2]|0;if(!b)sb(g|0);d=k[h>>2]|0;if((d|0)!=(b|0)){do{c=d+-12|0;k[h>>2]=c;e=k[c>>2]|0;f=e;if(!e)d=c;else{d=d+-8|0;c=k[d>>2]|0;if((c|0)!=(e|0))k[d>>2]=c+(~((c+-4-f|0)>>>2)<<2);zqa(e);d=k[h>>2]|0}}while((d|0)!=(b|0));b=k[a>>2]|0}zqa(b);sb(g|0)}function ds(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;do if(d>>>0>1073741823){y=0;na(365,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;doa(c);y=0;Na(76,c|0,4496,348);y=0;c=11}}else{y=0;c=qa(332,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<2);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(464,c|0,b|0);g=y;y=0;if(g&1){c=10;break}b=b+4|0;c=(k[f>>2]|0)+4|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-4|0;k[f>>2]=g;EO(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}zqa(c);sb(d|0)}function es(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;do if(d>>>0>1073741823){y=0;na(365,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;doa(c);y=0;Na(76,c|0,4496,348);y=0;c=11}}else{y=0;c=qa(332,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<2);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(464,c|0,b|0);g=y;y=0;if(g&1){c=10;break}b=b+4|0;c=(k[f>>2]|0)+4|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-4|0;k[f>>2]=g;EO(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}zqa(c);sb(d|0)}function fs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;do if(d>>>0>1073741823){y=0;na(365,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;doa(c);y=0;Na(76,c|0,4496,348);y=0;c=11}}else{y=0;c=qa(332,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<2);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(464,c|0,b|0);g=y;y=0;if(g&1){c=10;break}b=b+4|0;c=(k[f>>2]|0)+4|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-4|0;k[f>>2]=g;EO(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}zqa(c);sb(d|0)}function gs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=a+11|0;if((i[c>>0]|0)<0){i[k[a>>2]>>0]=0;k[a+4>>2]=0}else{i[a>>0]=0;i[c>>0]=0}y=0;oa(506,a|0,0);e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;c=a+12|0;d=b+12|0;e=c+11|0;if((i[e>>0]|0)<0){i[k[c>>2]>>0]=0;k[a+16>>2]=0}else{i[c>>0]=0;i[e>>0]=0}y=0;oa(506,c|0,0);e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;e=a+24|0;c=b+24|0;d=e+11|0;if((i[d>>0]|0)<0){i[k[e>>2]>>0]=0;k[a+28>>2]=0}else{i[e>>0]=0;i[d>>0]=0}y=0;oa(506,e|0,0);b=y;y=0;if(b&1){a=tb(0)|0;dla(a)}else{k[e>>2]=k[c>>2];k[e+4>>2]=k[c+4>>2];k[e+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;return a|0}return 0}function hs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;do if(d>>>0>1073741823){y=0;na(365,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;doa(c);y=0;Na(76,c|0,4496,348);y=0;c=11}}else{y=0;c=qa(332,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<2);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(464,c|0,b|0);g=y;y=0;if(g&1){c=10;break}b=b+4|0;c=(k[f>>2]|0)+4|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-4|0;k[f>>2]=g;EO(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}zqa(c);sb(d|0)}function is(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;do if(d>>>0>1073741823){y=0;na(365,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;doa(c);y=0;Na(76,c|0,4496,348);y=0;c=11}}else{y=0;c=qa(332,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<2);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(464,c|0,b|0);g=y;y=0;if(g&1){c=10;break}b=b+4|0;c=(k[f>>2]|0)+4|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-4|0;k[f>>2]=g;EO(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}zqa(c);sb(d|0)}function js(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;do if(d>>>0>1073741823){y=0;na(365,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;doa(c);y=0;Na(76,c|0,4496,348);y=0;c=11}}else{y=0;c=qa(332,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<2);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(464,c|0,b|0);g=y;y=0;if(g&1){c=10;break}b=b+4|0;c=(k[f>>2]|0)+4|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-4|0;k[f>>2]=g;EO(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}zqa(c);sb(d|0)}function ks(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}b=ON(e)|0;if(!b)f=0;else{b=(i[b>>0]|0)==45?0:b;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function ls(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;a=a+4|0;d=k[a>>2]|0;if(!d){k[b>>2]=a;b=a;return b|0}l=i[c+11>>0]|0;j=l<<24>>24<0;l=j?k[c+4>>2]|0:l&255;j=j?k[c>>2]|0:c;a=d;while(1){e=a+16|0;d=i[e+11>>0]|0;f=d<<24>>24<0;d=f?k[a+20>>2]|0:d&255;g=d>>>0<l>>>0;c=g?d:l;if(!c)h=5;else{c=zM(j,f?k[e>>2]|0:e,c)|0;if(!c)h=5;else if((c|0)<0)h=7;else h=9}if((h|0)==5)if(l>>>0<d>>>0)h=7;else h=9;if((h|0)==7){c=k[a>>2]|0;if(!c){h=8;break}else a=c}else if((h|0)==9){h=0;c=l>>>0<d>>>0?l:d;if(!c)h=11;else{c=zM(f?k[e>>2]|0:e,j,c)|0;if(!c)h=11;else if((c|0)>=0){h=16;break}}if((h|0)==11)if(!g){h=16;break}d=a+4|0;c=k[d>>2]|0;if(!c){h=15;break}else a=c}}if((h|0)==8){k[b>>2]=a;b=a;return b|0}else if((h|0)==15){k[b>>2]=a;b=d;return b|0}else if((h|0)==16){k[b>>2]=a;return b|0}return 0}function ms(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;a=a+4|0;d=k[a>>2]|0;if(!d){k[b>>2]=a;b=a;return b|0}l=i[c+11>>0]|0;j=l<<24>>24<0;l=j?k[c+4>>2]|0:l&255;j=j?k[c>>2]|0:c;a=d;while(1){e=a+16|0;d=i[e+11>>0]|0;f=d<<24>>24<0;d=f?k[a+20>>2]|0:d&255;g=d>>>0<l>>>0;c=g?d:l;if(!c)h=5;else{c=zM(j,f?k[e>>2]|0:e,c)|0;if(!c)h=5;else if((c|0)<0)h=7;else h=9}if((h|0)==5)if(l>>>0<d>>>0)h=7;else h=9;if((h|0)==7){c=k[a>>2]|0;if(!c){h=8;break}else a=c}else if((h|0)==9){h=0;c=l>>>0<d>>>0?l:d;if(!c)h=11;else{c=zM(f?k[e>>2]|0:e,j,c)|0;if(!c)h=11;else if((c|0)>=0){h=16;break}}if((h|0)==11)if(!g){h=16;break}d=a+4|0;c=k[d>>2]|0;if(!c){h=15;break}else a=c}}if((h|0)==8){k[b>>2]=a;b=a;return b|0}else if((h|0)==15){k[b>>2]=a;b=d;return b|0}else if((h|0)==16){k[b>>2]=a;return b|0}return 0}function ns(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;if(!a){e=0;return e|0}b=i[45696]|0;a:do if(!(b<<24>>24)){c=a;e=5}else{c=a;d=45696;while(1){if((i[c>>0]|0)!=b<<24>>24)break a;c=c+1|0;d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24)){e=5;break}}}while(0);b:do if((e|0)==5){while(1){if(baa(c)|0)break;b=Lja(c)|0;if((b|0)==(c|0)|(b|0)==0)break b;else{c=b;e=5}}if(c|0){e=c;return e|0}}while(0);b=i[45693]|0;c:do if(b<<24>>24){c=45693;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break c}return a|0}while(0);b=i[a>>0]|0;if(!(b<<24>>24)){e=0;return e|0}else d=a;d:while(1){if(d|0){a=i[46478]|0;if(!(a<<24>>24)){a=d;e=18;break}if(b<<24>>24==a<<24>>24){a=d;b=46478;do{a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24)){e=18;break d}}while((i[a>>0]|0)==c<<24>>24)}}d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24)){a=0;e=18;break}}if((e|0)==18)return a|0;return 0}function os(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;l=r;r=r+128|0;a=l;m=l+112|0;n=l+100|0;g=l+16|0;h=l+12|0;j=l+8|0;f=l+4|0;i[m>>0]=i[51763]|0;i[m+1>>0]=i[51764]|0;i[m+2>>0]=i[51765]|0;i[m+3>>0]=i[51766]|0;i[m+4>>0]=i[51767]|0;i[m+5>>0]=i[51768]|0;FE(m+1|0,51769,0,k[c+4>>2]|0);o=gN()|0;k[a>>2]=e;e=n+(gJ(n,12,o,m,a)|0)|0;m=pF(n,e,c)|0;o=yV(c)|0;k[a>>2]=o;y=0;Ea(10,n|0,m|0,e|0,g|0,h|0,j|0,a|0);e=y;y=0;if(e&1){o=pb()|0;lQ(k[a>>2]|0)|0;sb(o|0)}else{lQ(k[a>>2]|0)|0;k[f>>2]=k[b>>2];n=k[h>>2]|0;o=k[j>>2]|0;k[a>>2]=k[f>>2];o=zr(a,g,n,o,c,d)|0;r=l;return o|0}return 0}function ps(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;l=r;r=r+128|0;a=l;m=l+122|0;n=l+108|0;g=l+16|0;h=l+12|0;j=l+8|0;f=l+4|0;i[m>>0]=i[51763]|0;i[m+1>>0]=i[51764]|0;i[m+2>>0]=i[51765]|0;i[m+3>>0]=i[51766]|0;i[m+4>>0]=i[51767]|0;i[m+5>>0]=i[51768]|0;FE(m+1|0,51769,1,k[c+4>>2]|0);o=gN()|0;k[a>>2]=e;e=n+(gJ(n,13,o,m,a)|0)|0;m=pF(n,e,c)|0;o=yV(c)|0;k[a>>2]=o;y=0;Ea(10,n|0,m|0,e|0,g|0,h|0,j|0,a|0);e=y;y=0;if(e&1){o=pb()|0;lQ(k[a>>2]|0)|0;sb(o|0)}else{lQ(k[a>>2]|0)|0;k[f>>2]=k[b>>2];n=k[h>>2]|0;o=k[j>>2]|0;k[a>>2]=k[f>>2];o=zr(a,g,n,o,c,d)|0;r=l;return o|0}return 0}function qs(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;j=r;r=r+48|0;g=j;h=j+40|0;_V(h,k[d>>2]|0);f=g;d=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(d|0));y=0;na(366,a|0);f=y;y=0;do if(f&1)d=pb()|0;else{f=a+12|0;b=g;d=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(d|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;f=a+64|0;y=0;oa(464,f|0,h|0);g=y;y=0;if(g&1){d=pb()|0;break}EO(h);k[a>>2]=6724;d=a+68|0;y=0;oa(464,d|0,c|0);h=y;y=0;do if(h&1)d=pb()|0;else{y=0;oa(464,a+72|0,e|0);h=y;y=0;if(h&1){j=pb()|0;EO(d);d=j;break}else{k[b>>2]=22;r=j;return}}while(0);k[a>>2]=5436;EO(f);a=d;sb(a|0)}while(0);EO(h);a=d;sb(a|0)}function rs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=0;e=b+76|0;d=k[e>>2]|0;c=(k[b+80>>2]|0)-d|0;f=(c|0)/12|0;a:do if(c|0){c=0;while(1){pK(a,d+(c*12|0)|0);y=0;d=qa(331,a|0)|0;h=y;y=0;if(h&1)break;if((d|0)!=1280){g=16;break}$9(a);c=c+1|0;if(c>>>0>=f>>>0)break a;d=k[e>>2]|0}if((g|0)==16)return;h=pb()|0;$9(a);sb(h|0)}while(0);f=b+88|0;d=k[f>>2]|0;h=(k[b+92>>2]|0)-d|0;e=(h|0)/12|0;b:do if(h|0){c=0;while(1){pK(a,d+(c*12|0)|0);y=0;d=qa(331,a|0)|0;h=y;y=0;if(h&1)break;if((d|0)!=1280){g=16;break}$9(a);c=c+1|0;if(c>>>0>=e>>>0)break b;d=k[f>>2]|0}if((g|0)==16)return;h=pb()|0;$9(a);sb(h|0)}while(0);k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;return}function ss(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;l=r;r=r+64|0;a=l;m=l+52|0;n=l+40|0;g=l+16|0;h=l+12|0;j=l+8|0;f=l+4|0;i[m>>0]=i[51763]|0;i[m+1>>0]=i[51764]|0;i[m+2>>0]=i[51765]|0;i[m+3>>0]=i[51766]|0;i[m+4>>0]=i[51767]|0;i[m+5>>0]=i[51768]|0;FE(m+1|0,51769,0,k[c+4>>2]|0);o=gN()|0;k[a>>2]=e;e=n+(gJ(n,12,o,m,a)|0)|0;m=pF(n,e,c)|0;o=yV(c)|0;k[a>>2]=o;y=0;Ea(8,n|0,m|0,e|0,g|0,h|0,j|0,a|0);e=y;y=0;if(e&1){o=pb()|0;lQ(k[a>>2]|0)|0;sb(o|0)}else{lQ(k[a>>2]|0)|0;k[f>>2]=k[b>>2];n=k[h>>2]|0;o=k[j>>2]|0;k[a>>2]=k[f>>2];o=vr(a,g,n,o,c,d)|0;r=l;return o|0}return 0}function ts(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;l=r;r=r+64|0;a=l;m=l+52|0;n=l+39|0;g=l+16|0;h=l+12|0;j=l+8|0;f=l+4|0;i[m>>0]=i[51763]|0;i[m+1>>0]=i[51764]|0;i[m+2>>0]=i[51765]|0;i[m+3>>0]=i[51766]|0;i[m+4>>0]=i[51767]|0;i[m+5>>0]=i[51768]|0;FE(m+1|0,51769,1,k[c+4>>2]|0);o=gN()|0;k[a>>2]=e;e=n+(gJ(n,13,o,m,a)|0)|0;m=pF(n,e,c)|0;o=yV(c)|0;k[a>>2]=o;y=0;Ea(8,n|0,m|0,e|0,g|0,h|0,j|0,a|0);e=y;y=0;if(e&1){o=pb()|0;lQ(k[a>>2]|0)|0;sb(o|0)}else{lQ(k[a>>2]|0)|0;k[f>>2]=k[b>>2];n=k[h>>2]|0;o=k[j>>2]|0;k[a>>2]=k[f>>2];o=vr(a,g,n,o,c,d)|0;r=l;return o|0}return 0}function us(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;h=r;r=r+32|0;f=h+12|0;d=h+8|0;e=h+4|0;g=h;c=a+4|0;Yw(c);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;jI(f,44333,9);y=0;Na(139,c|0,f|0,b|0);i=y;y=0;if(i&1){i=pb()|0;$9(f);sb(i|0)}$9(f);Nka(c);c=b+68|0;rT(f,c);i=k[f>>2]|0;k[d>>2]=i;EO(d);do if(i){rT(f,c);i=k[f>>2]|0;k[e>>2]=i;y=0;oa(k[(k[i>>2]|0)+40>>2]|0,i|0,a|0);i=y;y=0;if(!(i&1)){EO(e);break}i=pb()|0;EO(e);sb(i|0)}while(0);rT(f,b+64|0);i=k[f>>2]|0;k[g>>2]=i;y=0;oa(k[(k[i>>2]|0)+40>>2]|0,i|0,a|0);i=y;y=0;if(!(i&1)){EO(g);r=h;return}i=pb()|0;EO(g);sb(i|0)}function vs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;a=a+4|0;d=k[a>>2]|0;if(!d){k[b>>2]=a;b=a;return b|0}l=i[c+11>>0]|0;j=l<<24>>24<0;l=j?k[c+4>>2]|0:l&255;j=j?k[c>>2]|0:c;a=d;while(1){e=a+16|0;d=i[e+11>>0]|0;f=d<<24>>24<0;d=f?k[a+20>>2]|0:d&255;g=d>>>0<l>>>0;c=g?d:l;if(!c)h=5;else{c=zM(j,f?k[e>>2]|0:e,c)|0;if(!c)h=5;else if((c|0)<0)h=7;else h=9}if((h|0)==5)if(l>>>0<d>>>0)h=7;else h=9;if((h|0)==7){c=k[a>>2]|0;if(!c){h=8;break}else a=c}else if((h|0)==9){h=0;c=l>>>0<d>>>0?l:d;if(!c)h=11;else{c=zM(f?k[e>>2]|0:e,j,c)|0;if(!c)h=11;else if((c|0)>=0){h=16;break}}if((h|0)==11)if(!g){h=16;break}d=a+4|0;c=k[d>>2]|0;if(!c){h=15;break}else a=c}}if((h|0)==8){k[b>>2]=a;b=a;return b|0}else if((h|0)==15){k[b>>2]=a;b=d;return b|0}else if((h|0)==16){k[b>>2]=a;return b|0}return 0}function ws(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}b=uy(e)|0;if(!b)f=CN(e)|0;else f=b;if(f>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function xs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=r;r=r+64|0;e=f;g=f+40|0;pK(g,c);d=e;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));y=0;oa(629,a|0,g|0);d=y;y=0;if(d&1){a=pb()|0;$9(g);sb(a|0)}k[a>>2]=14052;c=a+8|0;y=0;oa(452,c|0,g|0);d=y;y=0;do if(d&1)c=pb()|0;else{d=a+20|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;Na(75,d|0,47013,5);d=y;y=0;if(d&1){f=pb()|0;$9(c);c=f;break}else{d=a+32|0;b=e;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));k[a+72>>2]=0;$9(g);k[a>>2]=18940;r=f;return}}while(0);cda(a);a=c;$9(g);sb(a|0)}function ys(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;n=0;o=r;r=r+16|0;f=o+12|0;h=o;j=a+60|0;m=a+64|0;l=a+68|0;c=k[l>>2]|0;b=k[m>>2]|0;g=c-b>>2;if(!(i[a+84>>0]|0)){n=g;r=o;return n|0}do if(g){d=h+11|0;e=h+4|0;a=0;b=0;while(1){rT(f,Fc[k[(k[j>>2]|0)+12>>2]&2047](j,a)|0);c=k[f>>2]|0;if(!c)n=10;else{c=pw(c,40,624,0)|0;if(!c)n=10;else{y=0;oa(452,h|0,c+64|0);c=y;y=0;if(c&1){n=9;break}c=i[d>>0]|0;c=((c<<24>>24<0?k[e>>2]|0:c&255)|0)==0;$9(h);if(c)n=10;else{c=0;b=a}}}if((n|0)==10){n=0;c=1}EO(f);a=a+1|0;if(!c){n=14;break}if(a>>>0>=g>>>0){n=12;break}}if((n|0)==9){o=pb()|0;EO(f);sb(o|0)}else if((n|0)==12){c=k[l>>2]|0;b=k[m>>2]|0;break}else if((n|0)==14){r=o;return b|0}}while(0);n=c-b>>2;r=o;return n|0}function zs(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,l=0;l=r;r=r+16|0;e=l+4|0;f=l;NO(a);k[a>>2]=15244;k[a+32>>2]=0;k[a+36>>2]=0;k[a+40>>2]=0;b=a+52|0;g=a+68|0;h=a+98|0;c=b;d=c+44|0;do{k[c>>2]=0;c=c+4|0}while((c|0)<(d|0));j[b+44>>1]=0;i[b+46>>0]=0;c=a+4|0;t8(e,c);k[f>>2]=k[e>>2];y=0;b=Ha(992,f|0,79936)|0;d=y;y=0;if(d&1){d=tb(0)|0;dla(d)}Sea(f);do if(b){t8(e,c);k[f>>2]=k[e>>2];y=0;b=Ha(973,f|0,79936)|0;e=y;y=0;if(!(e&1)){k[g>>2]=b;Sea(f);g=k[g>>2]|0;g=(oc[k[(k[g>>2]|0)+28>>2]&511](g)|0)&1;i[h>>0]=g;break}l=pb()|0;Sea(f);nba(a);sb(l|0)}while(0);y=0;ta(k[(k[a>>2]|0)+12>>2]|0,a|0,0,4096)|0;h=y;y=0;if(!(h&1)){r=l;return}l=pb()|0;nba(a);sb(l|0)}function As(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;a:do if(a|0){c=i[44242]|0;b:do if(!(c<<24>>24)){b=a;e=5}else{b=a;d=44242;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=5;break}}}while(0);if((e|0)==5){b=aP(b)|0;if(b|0){a=b;return a|0}}c=i[46460]|0;if(!(c<<24>>24))b=a;else{b=a;d=46460;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}b=aP(b)|0;if(b|0){a=b;return a|0}}while(0);a=sm(a)|0;return a|0}function Bs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}b=Nx(e)|0;if(!b)f=VC(e)|0;else f=b;if(f>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Cs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}b=yO(e)|0;if(!b)f=Qz(e)|0;else f=b;if(f>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Ds(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;a=a+4|0;d=k[a>>2]|0;if(!d){k[b>>2]=a;b=a;return b|0}l=i[c+11>>0]|0;j=l<<24>>24<0;l=j?k[c+4>>2]|0:l&255;j=j?k[c>>2]|0:c;a=d;while(1){e=a+16|0;d=i[e+11>>0]|0;f=d<<24>>24<0;d=f?k[a+20>>2]|0:d&255;g=d>>>0<l>>>0;c=g?d:l;if(!c)h=5;else{c=zM(j,f?k[e>>2]|0:e,c)|0;if(!c)h=5;else if((c|0)<0)h=7;else h=9}if((h|0)==5)if(l>>>0<d>>>0)h=7;else h=9;if((h|0)==7){c=k[a>>2]|0;if(!c){h=8;break}else a=c}else if((h|0)==9){h=0;c=l>>>0<d>>>0?l:d;if(!c)h=11;else{c=zM(f?k[e>>2]|0:e,j,c)|0;if(!c)h=11;else if((c|0)>=0){h=16;break}}if((h|0)==11)if(!g){h=16;break}d=a+4|0;c=k[d>>2]|0;if(!c){h=15;break}else a=c}}if((h|0)==8){k[b>>2]=a;b=a;return b|0}else if((h|0)==15){k[b>>2]=a;b=d;return b|0}else if((h|0)==16){k[b>>2]=a;return b|0}return 0}function Es(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;Oda(a);d=a+12|0;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6172;f=a+64|0;g=a+68|0;d=a+76|0;e=a+80|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[f+16>>2]=0;k[f+20>>2]=0;y=0;oa(482,a+88|0,0);a=y;y=0;if(!(a&1)){k[b>>2]=12;return}a=pb()|0;b=k[d>>2]|0;if(b|0){c=k[e>>2]|0;if((c|0)!=(b|0)){do{h=c+-48|0;k[e>>2]=h;$9(c+-12|0);$9(c+-24|0);$9(c+-36|0);$9(h);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}b=k[f>>2]|0;if(!b)sb(a|0);c=k[g>>2]|0;if((c|0)!=(b|0)){do{h=c+-4|0;k[g>>2]=h;EO(h);c=k[g>>2]|0}while((c|0)!=(b|0));b=k[f>>2]|0}zqa(b);sb(a|0)}function Fs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;c=f+4|0;d=f;e=a+4|0;pK(c,b+64|0);y=0;Na(139,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;$9(c);sb(g|0)}$9(c);ly(e);rT(c,b+76|0);g=k[c>>2]|0;k[d>>2]=g;y=0;oa(k[(k[g>>2]|0)+40>>2]|0,g|0,a|0);g=y;y=0;if(g&1){g=pb()|0;EO(d);sb(g|0)}EO(d);if(!(i[b+80>>0]|0)){VK(e);r=f;return}uI(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44313,8);y=0;oa(605,e|0,c|0);g=y;y=0;if(g&1){g=pb()|0;$9(c);sb(g|0)}else{$9(c);VK(e);r=f;return}}function Gs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h;f=a+4|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44122,1);y=0;oa(605,f|0,e|0);g=y;y=0;if(g&1){h=pb()|0;$9(e);sb(h|0)}$9(e);g=b+56|0;c=k[g>>2]|0;d=b+60|0;if((c|0)!=(k[d>>2]|0)){c=k[c>>2]|0;mc[k[(k[c>>2]|0)+40>>2]&1023](c,a);c=(k[d>>2]|0)-(k[b+56>>2]|0)>>2;if(c>>>0>1){b=1;do{Hy(f);d=k[(k[g>>2]|0)+(b<<2)>>2]|0;mc[k[(k[d>>2]|0)+40>>2]&1023](d,a);b=b+1|0}while((b|0)!=(c|0))}}k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44127,1);y=0;oa(605,f|0,e|0);g=y;y=0;if(!(g&1)){$9(e);r=h;return}h=pb()|0;$9(e);sb(h|0)}function Hs(a){a=a|0;var b=0,c=0;b=XB(a)|0;if(b|0)if((i[b>>0]|0)==37){a=b+1|0;return a|0}if((i[a>>0]|0)==35){b=k5(a+1|0)|0;if(!b)b=0;else while(1){c=k5(b)|0;if(!c)break;else b=c}}else b=0;c=b-a|0;b=(c|0)!=4&(c|0)!=7?0:b;if(b|0){a=b;return a|0}b=a+1|0;if((i[a>>0]|0)==124){a=b;return a|0}c=XB(a)|0;if(c|0){c=xz(c)|0;if(c|0){a=c;return a|0}}c=XB(a)|0;if(c|0){a=c;return a|0}if((i[a>>0]|0)!=33){a=0;return a|0}c=i[32548]|0;a:do if(c<<24>>24){a=32548;while(1){if((i[b>>0]|0)!=c<<24>>24){b=0;break}b=b+1|0;a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24))break a}return b|0}while(0);a=aP(b)|0;return a|0}function Is(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0;f=r;r=r+16|0;e=f;g=ZL(16)|0;k[a>>2]=g;k[a+4>>2]=b+8;d=a+8|0;i[d>>0]=0;h=g+8|0;y=0;oa(464,h|0,c|0);j=y;y=0;if(j&1){j=pb()|0;k[a>>2]=0;zqa(g);sb(j|0)}y=0;oa(464,g+12|0,c+4|0);j=y;y=0;if(j&1){j=pb()|0;EO(h);k[a>>2]=0;zqa(g);sb(j|0)}i[d>>0]=1;y=0;oa(464,e|0,h|0);j=y;y=0;do if(j&1)d=pb()|0;else{y=0;d=Ha(987,b+12|0,e|0)|0;j=y;y=0;if(j&1){d=pb()|0;EO(e);break}else{EO(e);k[g+4>>2]=d;k[g>>2]=0;r=f;return}}while(0);k[a>>2]=0;EO(g+12|0);EO(h);j=d;zqa(g);sb(j|0)}function Js(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;c=k[a+16>>2]|0;a=k[a+20>>2]|0;if(a|0){Sba(a);kZ(a)}h=k[b+16>>2]|0;a=k[b+20>>2]|0;if(a|0){Sba(a);kZ(a)}e=c+16|0;f=c+20|0;a=k[f>>2]|0;if(!a)return;g=c+4|0;d=c+8|0;while(1){b=a+-1+(k[e>>2]|0)|0;a=k[(k[g>>2]|0)+(((b>>>0)/170|0)<<2)>>2]|0;b=(b>>>0)%170|0;if((k[a+(b*24|0)+4>>2]|0)!=1){a=13;break}Kx(h,a+(b*24|0)|0);b=(k[f>>2]|0)+-1+(k[e>>2]|0)|0;a=k[(k[g>>2]|0)+(((b>>>0)/170|0)<<2)>>2]|0;b=(b>>>0)%170|0;c=k[a+(b*24|0)+20>>2]|0;if(c|0)kZ(c);EO(a+(b*24|0)+12|0);i=k[f>>2]|0;a=i+-1|0;k[f>>2]=a;b=k[d>>2]|0;c=b-(k[g>>2]|0)>>2;if((1-i-(k[e>>2]|0)+((c|0)==0?0:(c*170|0)+-1|0)|0)>>>0>339){zqa(k[b+-4>>2]|0);k[d>>2]=(k[d>>2]|0)+-4;a=k[f>>2]|0}if(!a){a=13;break}}if((a|0)==13)return}function Ks(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=r;r=r+32|0;c=e+8|0;d=e;po(a);if(i[a+92>>0]|0)if((k[k[a+68>>2]>>2]|0)==2){gn(c,b);b=i[c+11>>0]|0;f=b<<24>>24<0;y=0;ta(47,a+4|0,(f?k[c>>2]|0:c)|0,(f?k[c+4>>2]|0:b&255)|0)|0;b=y;y=0;if(b&1){f=pb()|0;$9(c);sb(f|0)}y=0;oa(613,d|0,c|0);f=y;y=0;if(!(f&1)){y=0;oa(614,a+16|0,d|0);f=y;y=0;if(!(f&1)){$9(c);r=e;return}}f=pb()|0;$9(c);sb(f|0)}f=i[b+11>>0]|0;d=f<<24>>24<0;DD(a+4|0,d?k[b>>2]|0:b,d?k[b+4>>2]|0:f&255)|0;tD(c,b);Mba(a+16|0,c);r=e;return}function Ls(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+11|0;c=i[d>>0]|0;e=a+4|0;b=k[e>>2]|0;do if(((c<<24>>24<0?b:c&255)|0)==7){y=0;b=sa(21,a|0,0,-1,30828,7)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=1;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==6){y=0;b=sa(21,a|0,0,-1,30836,6)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=1;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==11){y=0;b=sa(21,a|0,0,-1,30843,11)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=1;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);if(((c<<24>>24<0?b:c&255)|0)!=13){a=0;return a|0}y=0;b=sa(21,a|0,0,-1,30855,13)|0;a=y;y=0;if(a&1){a=tb(0)|0;dla(a)}a=(b|0)==0;return a|0}function Ms(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;if(b>>>0>4294967279)LM(a);m=a+11|0;h=i[m>>0]|0;d=h<<24>>24<0;if(d){l=k[a+4>>2]|0;c=(k[a+8>>2]&2147483647)+-1|0}else{l=h&255;c=10}j=l>>>0>b>>>0?l:b;b=j>>>0<11;j=b?10:(j+16&-16)+-1|0;a:do if((j|0)!=(c|0)){do if(b){b=k[a>>2]|0;if(d){c=b;d=0;b=a;g=16}else{c=b;d=0;e=1;b=a;g=17}}else{b=j+1|0;if(j>>>0>c>>>0)b=ZL(b)|0;else{y=0;b=qa(332,b|0)|0;g=y;y=0;if(g&1){m=tb(0)|0;vb(m|0)|0;rb();break a}}if(d){c=k[a>>2]|0;d=1;g=16;break}else{c=a;d=1;e=0;g=17;break}}while(0);if((g|0)==16){f=d;e=1;d=k[a+4>>2]|0}else if((g|0)==17){f=d;d=h&255}d=d+1|0;if(d|0)GH(b|0,c|0,d|0)|0;if(e)zqa(c);if(f){k[a+8>>2]=j+1|-2147483648;k[a+4>>2]=l;k[a>>2]=b;break}else{i[m>>0]=l;break}}while(0);return}function Ns(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;switch(b-a>>2|0){case 1:case 0:{c=1;break}case 2:{c=b+-4|0;d=k[c>>2]|0;e=k[a>>2]|0;if(d>>>0<e>>>0){k[a>>2]=d;k[c>>2]=e;c=1}else c=1;break}case 3:{wD(a,a+4|0,b+-4|0,c)|0;c=1;break}case 4:{vE(a,a+4|0,a+8|0,b+-4|0,c)|0;c=1;break}case 5:{nB(a,a+4|0,a+8|0,a+12|0,b+-4|0,c)|0;c=1;break}default:{d=a+8|0;wD(a,a+4|0,d,c)|0;h=a+12|0;c=0;while(1){if((h|0)==(b|0)){d=1;c=0;break}g=k[h>>2]|0;f=k[d>>2]|0;if(g>>>0<f>>>0){e=h;while(1){k[e>>2]=f;if((d|0)==(a|0)){d=a;break}e=d+-4|0;f=k[e>>2]|0;if(g>>>0>=f>>>0)break;else{i=d;d=e;e=i}}k[d>>2]=g;c=c+1|0;if((c|0)==8){d=0;c=(h+4|0)==(b|0);break}}d=h;h=h+4|0}c=c|d}}return c|0}function Os(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;a=a+4|0;d=k[a>>2]|0;if(!d){k[b>>2]=a;b=a;return b|0}l=i[c+11>>0]|0;j=l<<24>>24<0;l=j?k[c+4>>2]|0:l&255;j=j?k[c>>2]|0:c;a=d;while(1){e=a+16|0;d=i[e+11>>0]|0;f=d<<24>>24<0;d=f?k[a+20>>2]|0:d&255;g=d>>>0<l>>>0;c=g?d:l;if(!c)h=5;else{c=zM(j,f?k[e>>2]|0:e,c)|0;if(!c)h=5;else if((c|0)<0)h=7;else h=9}if((h|0)==5)if(l>>>0<d>>>0)h=7;else h=9;if((h|0)==7){c=k[a>>2]|0;if(!c){h=8;break}else a=c}else if((h|0)==9){h=0;c=l>>>0<d>>>0?l:d;if(!c)h=11;else{c=zM(f?k[e>>2]|0:e,j,c)|0;if(!c)h=11;else if((c|0)>=0){h=16;break}}if((h|0)==11)if(!g){h=16;break}d=a+4|0;c=k[d>>2]|0;if(!c){h=15;break}else a=c}}if((h|0)==8){k[b>>2]=a;b=a;return b|0}else if((h|0)==15){k[b>>2]=a;b=d;return b|0}else if((h|0)==16){k[b>>2]=a;return b|0}return 0}function Ps(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));c=a+52|0;k[c>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=5436;h=a+64|0;y=0;oa(464,h|0,b+64|0);g=y;y=0;if(g&1){a=pb()|0;sb(a|0)}k[a>>2]=6908;g=a+68|0;y=0;oa(459,g|0,b+68|0);f=y;y=0;if(f&1){g=pb()|0;k[a>>2]=5436;EO(h);sb(g|0)}y=0;oa(464,a+80|0,b+80|0);f=y;y=0;if(!(f&1)){k[c>>2]=20;return}f=pb()|0;e=N;c=k[g>>2]|0;if(!c){g=f;k[a>>2]=5436;EO(h);sb(g|0)}b=a+72|0;d=k[b>>2]|0;if((d|0)!=(c|0)){do{j=d+-12|0;k[b>>2]=j;$9(j);d=k[b>>2]|0}while((d|0)!=(c|0));c=k[g>>2]|0}zqa(c);j=f;k[a>>2]=5436;EO(h);sb(j|0)}function Qs(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0;l=r;r=r+64|0;i=l+16|0;m=l+12|0;j=l;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,37040,9);y=0;h=i;b=e;g=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(g|0));b=pa(41,j|0,a|0,d|0,i|0,f|0,c|0)|0;f=y;y=0;if(f&1){m=pb()|0;$9(j);sb(m|0)}k[m>>2]=b;$9(j);y=0;na(379,i|0);f=y;y=0;do if(f&1)b=pb()|0;else{b=k[m>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,i|0)|0;f=y;y=0;if(f&1){b=pb()|0;break}else{EO(m);r=l;return b|0}}while(0);EO(m);m=b;sb(m|0);return 0}function Rs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;e=0;f=r;r=r+16|0;d=f;y=0;oa(531,d|0,a|0);g=y;y=0;a:do if(g&1){b=tb(0)|0;c=a;d=a;e=8}else{do if((c|0)!=0&(i[d>>0]|0)!=0){g=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;b=ta(k[(k[g>>2]|0)+48>>2]|0,g|0,b|0,c|0)|0;g=y;y=0;if(!(g&1)){if((b|0)==(c|0))break;g=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,g|0,k[g+16>>2]|1|0);g=y;y=0;if(!(g&1))break}b=tb(0)|0;sz(d);c=a;d=a;e=8;break a}while(0);sz(d)}while(0);do if((e|0)==8){vb(b|0)|0;y=0;na(374,c+(k[(k[d>>2]|0)+-12>>2]|0)|0);g=y;y=0;if(!(g&1)){rb();break}b=pb()|0;y=0;la(3);g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}else sb(b|0)}while(0);r=f;return a|0}function Ss(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=r;r=r+32|0;d=g+12|0;e=g+8|0;c=g+4|0;f=g;rT(d,a+72|0);b=k[d>>2]|0;k[e>>2]=b;if(!b)b=0;else b=pw(b,40,536,0)|0;y=0;oa(482,c|0,b|0);a=y;y=0;if(!(a&1)){a=(k[c>>2]|0)==0;EO(c);if(!a){f=1;EO(e);r=g;return f|0}b=k[e>>2]|0;if(!b)b=0;else b=pw(b,40,520,0)|0;y=0;oa(482,f|0,b|0);c=y;y=0;if(!(c&1)){b=k[f>>2]|0;if(!b){EO(f);f=1;EO(e);r=g;return f|0}y=0;oa(452,d|0,b+64|0);c=y;y=0;if(c&1){g=pb()|0;EO(f);EO(e);sb(g|0)}else{c=i[d+11>>0]|0;c=((c<<24>>24<0?k[d+4>>2]|0:c&255)|0)!=0;$9(d);EO(f);f=c;EO(e);r=g;return f|0}}}g=pb()|0;EO(e);sb(g|0);return 0}function Ts(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==126?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Us(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==125?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Vs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==123?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Ws(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;Oda(a);k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;c=a+56|0;k[c>>2]=k[b+56>>2];k[a>>2]=11396;g=k[b+60>>2]|0;i[a+60>>0]=g;i[a+61>>0]=(g&65535)>>>8;i[a+62>>0]=g>>>16;k[a+64>>2]=k[b+64>>2];k[a+68>>2]=k[b+68>>2];k[c>>2]=7;c=a+72|0;k[c>>2]=14012;y=0;oa(511,a+76|0,b+76|0);g=y;y=0;if(g&1){g=pb()|0;sb(g|0)}k[a+88>>2]=k[b+88>>2];k[a>>2]=13796;k[c>>2]=13972;y=0;oa(459,a+92|0,b+92|0);g=y;y=0;if(!(g&1))return;g=pb()|0;f=N;k[c>>2]=14012;b=a+76|0;c=k[b>>2]|0;if(!c)sb(g|0);e=a+80|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{a=d+-4|0;k[e>>2]=a;EO(a);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[b>>2]|0}zqa(c);sb(g|0)}function Xs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==91?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Ys(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==62?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Zs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==61?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function _s(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==59?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function $s(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==58?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function at(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==47?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function bt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==45?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function ct(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==44?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function dt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==43?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function et(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==41?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function ft(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==40?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function gt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==38?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function ht(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==36?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function it(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){DN(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}h=ZL(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){zqa(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function jt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;a=a+4|0;d=k[a>>2]|0;if(!d){k[b>>2]=a;b=a;return b|0}l=i[c+11>>0]|0;j=l<<24>>24<0;l=j?k[c+4>>2]|0:l&255;j=j?k[c>>2]|0:c;a=d;while(1){e=a+16|0;d=i[e+11>>0]|0;f=d<<24>>24<0;d=f?k[a+20>>2]|0:d&255;g=d>>>0<l>>>0;c=g?d:l;if(!c)h=5;else{c=zM(j,f?k[e>>2]|0:e,c)|0;if(!c)h=5;else if((c|0)<0)h=7;else h=9}if((h|0)==5)if(l>>>0<d>>>0)h=7;else h=9;if((h|0)==7){c=k[a>>2]|0;if(!c){h=8;break}else a=c}else if((h|0)==9){h=0;c=l>>>0<d>>>0?l:d;if(!c)h=11;else{c=zM(f?k[e>>2]|0:e,j,c)|0;if(!c)h=11;else if((c|0)>=0){h=16;break}}if((h|0)==11)if(!g){h=16;break}d=a+4|0;c=k[d>>2]|0;if(!c){h=15;break}else a=c}}if((h|0)==8){k[b>>2]=a;b=a;return b|0}else if((h|0)==15){k[b>>2]=a;b=d;return b|0}else if((h|0)==16){k[b>>2]=a;return b|0}return 0}function kt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){DN(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}h=ZL(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){zqa(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function lt(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;o=r;r=r+192|0;j=o;a=o+176|0;l=o+156|0;m=o+4|0;n=o+152|0;i[a>>0]=i[51752]|0;i[a+1>>0]=i[51753]|0;i[a+2>>0]=i[51754]|0;i[a+3>>0]=i[51755]|0;i[a+4>>0]=i[51756]|0;i[a+5>>0]=i[51757]|0;f=gN()|0;k[j>>2]=e;a=gJ(l,20,f,a,j)|0;e=l+a|0;f=pF(l,e,c)|0;g=yV(c)|0;k[j>>2]=g;y=0;h=Ha(973,j|0,78176)|0;p=y;y=0;if(p&1){p=pb()|0;lQ(g)|0;sb(p|0)}else{lQ(g)|0;Kc[k[(k[h>>2]|0)+48>>2]&31](h,l,e,m)|0;p=m+(a<<2)|0;k[n>>2]=k[b>>2];k[j>>2]=k[n>>2];p=zr(j,m,(f|0)==(e|0)?p:m+(f-l<<2)|0,p,c,d)|0;r=o;return p|0}return 0}function mt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){DN(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}h=ZL(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){zqa(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function nt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;f=r;r=r+16|0;g=f+4|0;h=f;d=k[a>>2]|0;if(!d)d=0;else d=pw(d,40,448,0)|0;_V(g,d);d=k[b>>2]|0;if(!d)d=0;else d=pw(d,40,448,0)|0;y=0;oa(482,h|0,d|0);e=y;y=0;if(e&1){h=pb()|0;EO(g);sb(h|0)}d=k[g>>2]|0;if(!d)e=9;else{e=k[h>>2]|0;if(!e)e=9;else{y=0;d=Ha(k[(k[d>>2]|0)+112>>2]|0,d|0,e|0)|0;c=y;y=0;if(c&1)e=11;else{EO(h);EO(g);r=f;return d|0}}}do if((e|0)==9){d=gb(40)|0;y=0;Ra(33,d|0,k[a>>2]|0,k[b>>2]|0,c|0);c=y;y=0;if(c&1){c=pb()|0;fb(d|0);d=c;break}else{y=0;Na(76,d|0,2448,217);y=0;e=11;break}}while(0);if((e|0)==11)d=pb()|0;EO(h);h=d;EO(g);sb(h|0);return 0}function ot(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){DN(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}h=ZL(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){zqa(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function pt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){DN(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}h=ZL(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){zqa(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function qt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;m=0;j=r;r=r+112|0;i=j+64|0;d=j+24|0;g=j+16|0;l=gb(76)|0;h=k[a+12>>2]|0;e=k[a+72>>2]|0;f=k[c>>2]|0;y=0;Na(102,g|0,0,0);n=y;y=0;if(n&1)m=6;else{y=0;k[i>>2]=k[g>>2];k[i+4>>2]=k[g+4>>2];ma(7,d|0,h|0,e|0,(f|0?c:a+84|0)|0,i|0);n=y;y=0;if(n&1)m=6;else{y=0;oa(452,j|0,b|0);n=y;y=0;if(n&1)m=6;else{y=0;b=i;a=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(a|0));Na(110,l|0,i|0,j|0);n=y;y=0;if(n&1)a=1;else{y=0;Na(76,l|0,2368,158);y=0;a=0}d=pb()|0;$9(j);if(!a){n=d;sb(n|0)}}}}if((m|0)==6)d=pb()|0;fb(l|0);n=d;sb(n|0)}function rt(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=15740;b=k[a+84>>2]|0;c=b;if(b|0){d=a+88|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}b=k[a+72>>2]|0;c=b;if(b|0){d=a+76|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}d=a+60|0;b=k[d>>2]|0;if(b|0){e=a+64|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-4|0;k[e>>2]=f;EO(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}d=a+48|0;b=k[d>>2]|0;if(b|0){e=a+52|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-4|0;k[e>>2]=f;EO(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}b=k[a+36>>2]|0;c=b;if(b|0){d=a+40|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}b=k[a+24>>2]|0;if(!b){f=a+8|0;Eqa(f);return}c=a+28|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);zqa(b);f=a+8|0;Eqa(f);return}function st(a){a=a|0;var b=0,c=0,d=0;d=0;b=jO(a)|0;do if(!b)d=5;else{c=i[b>>0]|0;b=b+1|0;if(c<<24>>24!=47){c=c<<24>>24|0;b=(c|0)!=44?((c|0)==32?b:0):b;if(!b){d=5;break}}b=jO(b)|0;if(!b)d=5}while(0);if((d|0)==5){b=yO(a)|0;if(!b){d=0;return d|0}}if((i[b>>0]|0)==45){c=b;do c=c+1|0;while((i[c>>0]|0)==45)}else c=b;c=kw(c)|0;if(c|0){c=iw(c)|0;if(c|0){d=c;return d|0}}c=zk(b)|0;if(c|0){d=c;return d|0}d=Hs(b)|0;return d|0}function tt(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;o=r;r=r+80|0;j=o;a=o+68|0;l=o+48|0;m=o+8|0;n=o+4|0;i[a>>0]=i[51752]|0;i[a+1>>0]=i[51753]|0;i[a+2>>0]=i[51754]|0;i[a+3>>0]=i[51755]|0;i[a+4>>0]=i[51756]|0;i[a+5>>0]=i[51757]|0;f=gN()|0;k[j>>2]=e;a=gJ(l,20,f,a,j)|0;e=l+a|0;f=pF(l,e,c)|0;g=yV(c)|0;k[j>>2]=g;y=0;h=Ha(973,j|0,78144)|0;p=y;y=0;if(p&1){p=pb()|0;lQ(g)|0;sb(p|0)}else{lQ(g)|0;Kc[k[(k[h>>2]|0)+32>>2]&31](h,l,e,m)|0;p=m+a|0;k[n>>2]=k[b>>2];k[j>>2]=k[n>>2];p=vr(j,m,(f|0)==(e|0)?p:m+(f-l)|0,p,c,d)|0;r=o;return p|0}return 0}function ut(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=r;r=r+16|0;d=g+8|0;e=g+12|0;f=g;a:do if(a|0){c=a;while(1){if((tu(c,b)|0)!=(c+4|0))break;c=k[c+12>>2]|0;if(!c)break a}k[d>>2]=b;Yq(f,c,b,80081,d,e);f=k[f>>2]|0;f=f+28|0;r=g;return f|0}while(0);k[d>>2]=b;Yq(f,a,b,80081,d,e);f=k[f>>2]|0;f=f+28|0;r=g;return f|0}function vt(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=0;b=yO(a)|0;if(!b){if(!a){f=0;return f|0}c=i[45696]|0;a:do if(!(c<<24>>24))b=a;else{b=a;d=45696;while(1){if((i[b>>0]|0)!=c<<24>>24){e=a;break}b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24))break a}return e|0}while(0);while(1){if(baa(b)|0)break;c=Lja(b)|0;if((c|0)==(b|0)|(c|0)==0){e=a;f=16;break}else b=c}if((f|0)==16)return e|0;if(!b){f=a;return f|0}else e=b}else e=b;b:while(1){b=yO(e)|0;if(b|0){e=b;continue}c=i[45696]|0;if(!(c<<24>>24))b=e;else{b=e;d=45696;do{if((i[b>>0]|0)!=c<<24>>24){f=16;break b}b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}while(1){if(baa(b)|0)break;c=Lja(b)|0;if((c|0)==(b|0)|(c|0)==0){f=16;break b}else b=c}if(!b){f=16;break}else e=b}if((f|0)==16)return e|0;return 0}function wt(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;l=r;r=r+224|0;a=l+8|0;n=l;m=l+200|0;i=l+28|0;j=l+24|0;g=l+16|0;h=l+20|0;o=n;k[o>>2]=37;k[o+4>>2]=0;FE(n+1|0,51760,0,k[c+4>>2]|0);o=gN()|0;p=a;k[p>>2]=e;k[p+4>>2]=f;f=m+(gJ(m,23,o,n,a)|0)|0;e=pF(m,f,c)|0;n=yV(c)|0;k[a>>2]=n;y=0;Ea(10,m|0,e|0,f|0,i|0,j|0,g|0,a|0);f=y;y=0;if(f&1){p=pb()|0;lQ(k[a>>2]|0)|0;sb(p|0)}else{lQ(k[a>>2]|0)|0;k[h>>2]=k[b>>2];o=k[j>>2]|0;p=k[g>>2]|0;k[a>>2]=k[h>>2];p=zr(a,i,o,p,c,d)|0;r=l;return p|0}return 0}function xt(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;l=r;r=r+224|0;a=l+8|0;n=l;m=l+200|0;i=l+28|0;j=l+24|0;g=l+16|0;h=l+20|0;o=n;k[o>>2]=37;k[o+4>>2]=0;FE(n+1|0,51760,1,k[c+4>>2]|0);o=gN()|0;p=a;k[p>>2]=e;k[p+4>>2]=f;f=m+(gJ(m,23,o,n,a)|0)|0;e=pF(m,f,c)|0;n=yV(c)|0;k[a>>2]=n;y=0;Ea(10,m|0,e|0,f|0,i|0,j|0,g|0,a|0);f=y;y=0;if(f&1){p=pb()|0;lQ(k[a>>2]|0)|0;sb(p|0)}else{lQ(k[a>>2]|0)|0;k[h>>2]=k[b>>2];o=k[j>>2]|0;p=k[g>>2]|0;k[a>>2]=k[h>>2];p=zr(a,i,o,p,c,d)|0;r=l;return p|0}return 0}function yt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;g=r;r=r+32|0;e=g+24|0;j=g+20|0;h=g+16|0;i=g+12|0;f=g;rT(e,(k[b>>2]|0)+76|0);d=k[e>>2]|0;k[j>>2]=d;EO(j);if(!d){j=0;r=g;return j|0}d=k[(k[a>>2]|0)+148>>2]|0;rT(e,(k[b>>2]|0)+76|0);j=k[e>>2]|0;k[i>>2]=j;y=0;oa(482,h|0,j|0);j=y;y=0;if(j&1){j=pb()|0;EO(i);sb(j|0)}y=0;oa(452,f|0,c|0);j=y;y=0;do if(j&1)a=pb()|0;else{y=0;a=ta(d|0,a|0,h|0,f|0)|0;j=y;y=0;if(j&1){a=pb()|0;$9(f);break}$9(f);EO(h);EO(i);j=a;r=g;return j|0}while(0);EO(h);j=a;EO(i);sb(j|0);return 0}function zt(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;l=r;r=r+96|0;a=l+8|0;n=l;m=l+71|0;i=l+28|0;j=l+24|0;g=l+16|0;h=l+20|0;o=n;k[o>>2]=37;k[o+4>>2]=0;FE(n+1|0,51760,0,k[c+4>>2]|0);o=gN()|0;p=a;k[p>>2]=e;k[p+4>>2]=f;f=m+(gJ(m,23,o,n,a)|0)|0;e=pF(m,f,c)|0;n=yV(c)|0;k[a>>2]=n;y=0;Ea(8,m|0,e|0,f|0,i|0,j|0,g|0,a|0);f=y;y=0;if(f&1){p=pb()|0;lQ(k[a>>2]|0)|0;sb(p|0)}else{lQ(k[a>>2]|0)|0;k[h>>2]=k[b>>2];o=k[j>>2]|0;p=k[g>>2]|0;k[a>>2]=k[h>>2];p=vr(a,i,o,p,c,d)|0;r=l;return p|0}return 0}function At(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;l=r;r=r+96|0;a=l+8|0;n=l;m=l+71|0;i=l+28|0;j=l+24|0;g=l+16|0;h=l+20|0;o=n;k[o>>2]=37;k[o+4>>2]=0;FE(n+1|0,51760,1,k[c+4>>2]|0);o=gN()|0;p=a;k[p>>2]=e;k[p+4>>2]=f;f=m+(gJ(m,23,o,n,a)|0)|0;e=pF(m,f,c)|0;n=yV(c)|0;k[a>>2]=n;y=0;Ea(8,m|0,e|0,f|0,i|0,j|0,g|0,a|0);f=y;y=0;if(f&1){p=pb()|0;lQ(k[a>>2]|0)|0;sb(p|0)}else{lQ(k[a>>2]|0)|0;k[h>>2]=k[b>>2];o=k[j>>2]|0;p=k[g>>2]|0;k[a>>2]=k[h>>2];p=vr(a,i,o,p,c,d)|0;r=l;return p|0}return 0}function Bt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=r;r=r+16|0;g=i+12|0;h=i;d=k[a+76>>2]|0;f=(k[a+80>>2]|0)-d>>2;if(!f){h=0;r=i;return h|0}e=a+76|0;c=0;a=d;while(1){a=k[a+(c<<2)>>2]|0;d=k[(k[a>>2]|0)+148>>2]|0;rT(g,b);k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,82159,0);j=y;y=0;if(j&1){a=8;break}y=0;a=ta(d|0,a|0,g|0,h|0)|0;j=y;y=0;if(j&1){a=9;break}$9(h);EO(g);c=c+1|0;if(a){c=1;a=11;break}if(c>>>0>=f>>>0){c=0;a=11;break}a=k[e>>2]|0}if((a|0)==8){j=pb()|0;EO(g);sb(j|0)}else if((a|0)==9){j=pb()|0;$9(h);EO(g);sb(j|0)}else if((a|0)==11){r=i;return c|0}return 0}function Ct(a){a=a|0;var b=0,c=0,d=0,e=0;d=0;if((i[a>>0]|0)==45)do a=a+1|0;while((i[a>>0]|0)==45);a=kw(a)|0;if(!a){e=0;return e|0}e=iw(a)|0;if(!e){e=0;return e|0}b=i[45693]|0;a:do if(!(b<<24>>24)){a=e;d=8}else{a=e;c=45693;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break a}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){d=8;break}}}while(0);b:do if((d|0)==8){b=i[a>>0]|0;if(!(b<<24>>24))a=0;else{d=a;while(1){if(d|0){a=i[46478]|0;if(!(a<<24>>24)){a=d;break b}if(b<<24>>24==a<<24>>24){a=d;b=46478;do{a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break b}while((i[a>>0]|0)==c<<24>>24)}}d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24)){a=0;break}}}}while(0);a=a|0?a:e;if(!a){e=0;return e|0}e=(i[a>>0]|0)==40?a+1|0:0;return e|0}function Dt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;c=f+4|0;d=f;e=a+4|0;do if(!(k[b+60>>2]|0)){k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,46419,1);y=0;oa(605,e|0,c|0);e=y;y=0;if(!(e&1)){$9(c);break}f=pb()|0;$9(c);sb(f|0)}else{k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44216,1);y=0;oa(605,e|0,c|0);e=y;y=0;if(!(e&1)){$9(c);break}f=pb()|0;$9(c);sb(f|0)}while(0);rT(c,b+64|0);e=k[c>>2]|0;k[d>>2]=e;y=0;oa(k[(k[e>>2]|0)+40>>2]|0,e|0,a|0);e=y;y=0;if(!(e&1)){EO(d);r=f;return}f=pb()|0;EO(d);sb(f|0)}function Et(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){DN(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}h=ZL(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){zqa(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function Ft(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;do if((a|0)==(k[b+8>>2]|0)){if((k[b+4>>2]|0)==(c|0)){f=b+28|0;if((k[f>>2]|0)!=1)k[f>>2]=d}}else{if((a|0)!=(k[b>>2]|0)){h=k[a+8>>2]|0;kc[k[(k[h>>2]|0)+24>>2]&31](h,b,c,d,e);break}if((k[b+16>>2]|0)!=(c|0)){g=b+20|0;if((k[g>>2]|0)!=(c|0)){k[b+32>>2]=d;h=b+44|0;if((k[h>>2]|0)==4)break;f=b+52|0;i[f>>0]=0;d=b+53|0;i[d>>0]=0;a=k[a+8>>2]|0;wc[k[(k[a>>2]|0)+20>>2]&31](a,b,c,c,1,e);if(!(i[d>>0]|0)){f=0;d=13}else if(!(i[f>>0]|0)){f=1;d=13}else d=17;do if((d|0)==13){k[g>>2]=c;c=b+40|0;k[c>>2]=(k[c>>2]|0)+1;if((k[b+36>>2]|0)==1)if((k[b+24>>2]|0)==2){i[b+54>>0]=1;if(f){d=17;break}else{f=4;break}}if(f)d=17;else f=4}while(0);if((d|0)==17)f=3;k[h>>2]=f;break}}if((d|0)==1)k[b+32>>2]=1}while(0);return}function Gt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){DN(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}h=ZL(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){zqa(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function Ht(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){DN(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}h=ZL(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){zqa(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function It(a){a=a|0;var b=0,c=0,d=0,e=0;d=r;r=r+16|0;b=d;a:do if(k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0){y=0;oa(631,b|0,a|0);c=y;y=0;b:do if(c&1)b=tb(0)|0;else{do if(i[b>>0]|0){c=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+24>>2]|0,c|0)|0;e=y;y=0;if(!(e&1)){if((c|0)!=-1)break;e=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,e|0,k[e+16>>2]|1|0);e=y;y=0;if(!(e&1))break}e=tb(0)|0;rz(b);b=e;break b}while(0);rz(b);break a}while(0);vb(b|0)|0;y=0;na(374,a+(k[(k[a>>2]|0)+-12>>2]|0)|0);e=y;y=0;if(!(e&1)){rb();break}b=pb()|0;y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}else sb(b|0)}while(0);r=d;return a|0}function Jt(a){a=a|0;var b=0,c=0,d=0,e=0;d=r;r=r+16|0;b=d;a:do if(k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0){y=0;oa(531,b|0,a|0);c=y;y=0;b:do if(c&1)b=tb(0)|0;else{do if(i[b>>0]|0){c=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+24>>2]|0,c|0)|0;e=y;y=0;if(!(e&1)){if((c|0)!=-1)break;e=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,e|0,k[e+16>>2]|1|0);e=y;y=0;if(!(e&1))break}e=tb(0)|0;sz(b);b=e;break b}while(0);sz(b);break a}while(0);vb(b|0)|0;y=0;na(374,a+(k[(k[a>>2]|0)+-12>>2]|0)|0);e=y;y=0;if(!(e&1)){rb();break}b=pb()|0;y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}else sb(b|0)}while(0);r=d;return a|0}function Kt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=a+8|0;i=k[n>>2]|0;j=a+12|0;m=k[j>>2]|0;e=m;g=i;do if((i|0)==(m|0)){m=a+4|0;l=k[m>>2]|0;d=k[a>>2]|0;c=d;if(l>>>0>d>>>0){d=l;e=((d-c>>2)+1|0)/-2|0;f=l+(e<<2)|0;c=g-d|0;d=c>>2;if(!d)c=l;else{DN(f|0,l|0,c|0)|0;c=k[m>>2]|0}l=f+(d<<2)|0;k[n>>2]=l;k[m>>2]=c+(e<<2);c=l;break}c=e-c>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=gb(4)|0;doa(n);Wb(n|0,4496,348)}f=ZL(c<<2)|0;g=f;e=f+(c>>>2<<2)|0;h=e;f=f+(c<<2)|0;if((l|0)==(i|0))c=h;else{c=h;d=l;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(i|0));d=k[a>>2]|0}k[a>>2]=g;k[m>>2]=h;k[n>>2]=c;k[j>>2]=f;if(d){zqa(d);c=k[n>>2]|0}}else c=i;while(0);k[c>>2]=k[b>>2];k[n>>2]=(k[n>>2]|0)+4;return}function Lt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=a+16|0;c=k[d>>2]|0;if(!c)return 1;e=(b|0)==0;if(!e)if(pw(b,680,1064,0)|0)Jx(a,c);if(PB(0,b)|0)Qw(a,k[d>>2]|0);if(!e){if(pw(b,680,1016,0)|0)_v(0,k[d>>2]|0);c=pw(b,680,1032,0)|0;if(c|0)if(!(k[c+88>>2]|0))Nq(a,k[d>>2]|0);c=pw(b,680,1032,0)|0;if(c|0)if((k[c+88>>2]|0)==1)Qq(a,k[d>>2]|0)}c=k[d>>2]|0;if(c|0){c=pw(c,680,1032,0)|0;if(c|0)if((k[c+88>>2]|0)==1)fq(0,b)}if(!e)if(pw(b,680,808,0)|0)Jq(a,k[d>>2]|0);c=k[d>>2]|0;if(c|0)if(pw(c,680,808,0)|0)rr(0,b);if(e)return 1;if(!(pw(b,680,1e3,0)|0))return 1;ax(0,k[d>>2]|0);return 1}function Mt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=a+8|0;i=k[n>>2]|0;j=a+12|0;m=k[j>>2]|0;e=m;g=i;do if((i|0)==(m|0)){m=a+4|0;l=k[m>>2]|0;d=k[a>>2]|0;c=d;if(l>>>0>d>>>0){d=l;e=((d-c>>2)+1|0)/-2|0;f=l+(e<<2)|0;c=g-d|0;d=c>>2;if(!d)c=l;else{DN(f|0,l|0,c|0)|0;c=k[m>>2]|0}l=f+(d<<2)|0;k[n>>2]=l;k[m>>2]=c+(e<<2);c=l;break}c=e-c>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=gb(4)|0;doa(n);Wb(n|0,4496,348)}f=ZL(c<<2)|0;g=f;e=f+(c>>>2<<2)|0;h=e;f=f+(c<<2)|0;if((l|0)==(i|0))c=h;else{c=h;d=l;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(i|0));d=k[a>>2]|0}k[a>>2]=g;k[m>>2]=h;k[n>>2]=c;k[j>>2]=f;if(d){zqa(d);c=k[n>>2]|0}}else c=i;while(0);k[c>>2]=k[b>>2];k[n>>2]=(k[n>>2]|0)+4;return}function Nt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=CN(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Ot(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=a+8|0;i=k[n>>2]|0;j=a+12|0;m=k[j>>2]|0;e=m;g=i;do if((i|0)==(m|0)){m=a+4|0;l=k[m>>2]|0;d=k[a>>2]|0;c=d;if(l>>>0>d>>>0){d=l;e=((d-c>>2)+1|0)/-2|0;f=l+(e<<2)|0;c=g-d|0;d=c>>2;if(!d)c=l;else{DN(f|0,l|0,c|0)|0;c=k[m>>2]|0}l=f+(d<<2)|0;k[n>>2]=l;k[m>>2]=c+(e<<2);c=l;break}c=e-c>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=gb(4)|0;doa(n);Wb(n|0,4496,348)}f=ZL(c<<2)|0;g=f;e=f+(c>>>2<<2)|0;h=e;f=f+(c<<2)|0;if((l|0)==(i|0))c=h;else{c=h;d=l;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(i|0));d=k[a>>2]|0}k[a>>2]=g;k[m>>2]=h;k[n>>2]=c;k[j>>2]=f;if(d){zqa(d);c=k[n>>2]|0}}else c=i;while(0);k[c>>2]=k[b>>2];k[n>>2]=(k[n>>2]|0)+4;return}function Pt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=a+8|0;i=k[n>>2]|0;j=a+12|0;m=k[j>>2]|0;e=m;g=i;do if((i|0)==(m|0)){m=a+4|0;l=k[m>>2]|0;d=k[a>>2]|0;c=d;if(l>>>0>d>>>0){d=l;e=((d-c>>2)+1|0)/-2|0;f=l+(e<<2)|0;c=g-d|0;d=c>>2;if(!d)c=l;else{DN(f|0,l|0,c|0)|0;c=k[m>>2]|0}l=f+(d<<2)|0;k[n>>2]=l;k[m>>2]=c+(e<<2);c=l;break}c=e-c>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=gb(4)|0;doa(n);Wb(n|0,4496,348)}f=ZL(c<<2)|0;g=f;e=f+(c>>>2<<2)|0;h=e;f=f+(c<<2)|0;if((l|0)==(i|0))c=h;else{c=h;d=l;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(i|0));d=k[a>>2]|0}k[a>>2]=g;k[m>>2]=h;k[n>>2]=c;k[j>>2]=f;if(d){zqa(d);c=k[n>>2]|0}}else c=i;while(0);k[c>>2]=k[b>>2];k[n>>2]=(k[n>>2]|0)+4;return}function Qt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=bD(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Rt(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=r;r=r+16|0;g=h;c=Ds(b,g,c)|0;d=k[c>>2]|0;if(d|0){b=d;e=0;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=h;return}f=ZL(32)|0;y=0;oa(452,f+16|0,k[e>>2]|0);e=y;y=0;if(e&1){b=pb()|0;zqa(f);sb(b|0)}k[f+28>>2]=0;d=k[g>>2]|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=d;k[c>>2]=f;d=k[k[b>>2]>>2]|0;if(!d)d=f;else{k[b>>2]=d;d=k[c>>2]|0}jn(k[b+4>>2]|0,d);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=f;e=1;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=h;return}function St(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=vp(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Tt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=wp(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Ut(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=hK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Vt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;i=r;r=r+32|0;d=i+20|0;m=i+16|0;e=i+12|0;f=i+8|0;j=i+4|0;h=i;g=a+80|0;rT(d,g);l=k[d>>2]|0;k[m>>2]=l;EO(m);if(!l){rT(f,b);y=0;Ha(966,g|0,f|0)|0;m=y;y=0;if(!(m&1)){y=0;oa(464,d|0,g|0);m=y;y=0;if(!(m&1)){k[e>>2]=k[d>>2];EO(e);EO(f);k[a+72>>2]=c;r=i;return}}m=pb()|0;EO(f);sb(m|0)}rT(d,g);a=k[d>>2]|0;k[j>>2]=a;y=0;oa(464,h|0,b|0);m=y;y=0;do if(m&1)a=pb()|0;else{y=0;Na(83,a|0,h|0,c|0);m=y;y=0;if(m&1){a=pb()|0;EO(h);break}EO(h);EO(j);r=i;return}while(0);EO(j);m=a;sb(m|0)}function Wt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;pqa(79984)|0;while(1){if((k[a>>2]|0)!=1)break;Ua(80012,79984)|0}do if(!(k[a>>2]|0)){k[a>>2]=1;y=0;qa(473,79984)|0;d=y;y=0;if(!(d&1)){y=0;na(c|0,b|0);d=y;y=0;if(!(d&1)){y=0;qa(474,79984)|0;d=y;y=0;if(!(d&1)){k[a>>2]=-1;y=0;qa(473,79984)|0;d=y;y=0;if(!(d&1)){y=0;qa(475,80012)|0;d=y;y=0;if(!(d&1))break}}}}d=tb(0)|0;vb(d|0)|0;y=0;qa(474,79984)|0;d=y;y=0;if(!(d&1)){k[a>>2]=0;y=0;qa(473,79984)|0;d=y;y=0;if(!(d&1)){y=0;qa(475,80012)|0;d=y;y=0;if(!(d&1)){y=0;la(4);y=0}}}a=pb()|0;y=0;la(3);d=y;y=0;if(d&1){d=tb(0)|0;dla(d)}else sb(a|0)}else jqa(79984)|0;while(0);return}function Xt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=MI(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Yt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=_o(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Zt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=$o(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function _t(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=YD(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function $t(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=jK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function au(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=kK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function bu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=lK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function cu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=GM(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function du(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=As(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function eu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=nK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function fu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=kx(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function gu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=qK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function hu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=Tv(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function iu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=sK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function ju(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=tK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function ku(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;b=yO(a)|0;if(!b){if(!a){e=0;return e|0}b=i[45696]|0;a:do if(b<<24>>24){c=45696;while(1){if((i[a>>0]|0)!=b<<24>>24){d=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return d|0}while(0);while(1){if(baa(a)|0)break;b=Lja(a)|0;if((b|0)==(a|0)|(b|0)==0){d=0;e=16;break}else a=b}if((e|0)==16)return d|0;if(!a){e=0;return e|0}else d=a}else d=b;b:while(1){a=yO(d)|0;if(a|0){d=a;continue}b=i[45696]|0;if(!(b<<24>>24))a=d;else{a=d;c=45696;do{if((i[a>>0]|0)!=b<<24>>24){e=16;break b}a=a+1|0;c=c+1|0;b=i[c>>0]|0}while(b<<24>>24!=0)}while(1){if(baa(a)|0)break;b=Lja(a)|0;if((b|0)==(a|0)|(b|0)==0){e=16;break b}else a=b}if(!a){e=16;break}else d=a}if((e|0)==16)return d|0;return 0}function lu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=uK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function mu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=uy(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function nu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=$G(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function ou(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=IO(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function pu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=xK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function qu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=hx(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function ru(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;h=r;r=r+16|0;e=h+12|0;b=h+8|0;f=h+4|0;g=h;d=a+64|0;rT(e,d);c=k[e>>2]|0;k[b>>2]=c;c=(k[c+72>>2]|0)-(k[c+68>>2]|0)>>2;EO(b);if(!c){g=1;r=h;return g|0}b=0;while(1){rT(e,d);a=k[e>>2]|0;k[g>>2]=a;a=a+64|0;y=0;a=Ha(k[(k[a>>2]|0)+16>>2]|0,a|0,b|0)|0;i=y;y=0;if(i&1){b=8;break}y=0;oa(464,f|0,a|0);i=y;y=0;if(i&1){b=8;break}EO(g);a=k[f>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+72>>2]|0,a|0)|0;i=y;y=0;if(i&1){b=9;break}EO(f);b=b+1|0;if(!a){a=0;b=10;break}if(b>>>0>=c>>>0){a=1;b=10;break}}if((b|0)==8){i=pb()|0;EO(g);sb(i|0)}else if((b|0)==9){i=pb()|0;EO(f);sb(i|0)}else if((b|0)==10){r=h;return a|0}return 0}function su(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;l=a+8|0;e=k[a>>2]|0;c=e;if((k[l>>2]|0)-e>>2>>>0>=b>>>0)return;n=a+4|0;f=k[n>>2]|0;d=f-e>>2;do if(!b)m=0;else if(b>>>0>1073741823){n=gb(4)|0;doa(n);Wb(n|0,4496,348)}else{m=ZL(b<<2)|0;break}while(0);h=m+(d<<2)|0;j=h;i=m+(b<<2)|0;do if((f|0)==(c|0))d=j;else{e=f;d=j;b=h;while(1){e=e+-4|0;y=0;oa(464,b+-4|0,e|0);f=y;y=0;if(f&1)break;b=d+-4|0;d=b;if((e|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[n>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-4|0;EO(c)}while((c|0)!=(d|0))}if(!m)sb(e|0);zqa(m);sb(e|0)}while(0);k[a>>2]=d;k[n>>2]=j;k[l>>2]=i;d=e;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!e)return;zqa(e);return}function tu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=0;l=a+4|0;c=k[l>>2]|0;do if(c|0){j=i[b+11>>0]|0;h=j<<24>>24<0;j=h?k[b+4>>2]|0:j&255;h=h?k[b>>2]|0:b;a=l;a:while(1){b=c;while(1){d=b+16|0;f=i[d+11>>0]|0;e=f<<24>>24<0;f=e?k[b+20>>2]|0:f&255;c=j>>>0<f>>>0?j:f;if(!c)g=6;else{c=zM(e?k[d>>2]|0:d,h,c)|0;if(!c)g=6;else if((c|0)>=0)break}if((g|0)==6){g=0;if(f>>>0>=j>>>0)break}b=k[b+4>>2]|0;if(!b)break a}c=k[b>>2]|0;if(!c){a=b;break}else a=b}if((a|0)!=(l|0)){c=a+16|0;e=i[c+11>>0]|0;d=e<<24>>24<0;e=d?k[a+20>>2]|0:e&255;b=e>>>0<j>>>0?e:j;if(b|0){b=zM(h,d?k[c>>2]|0:c,b)|0;if(b|0){if((b|0)<0)break;return a|0}}if(j>>>0>=e>>>0){l=a;return l|0}}}while(0);return l|0}function uu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=er(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function vu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=ZC(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function wu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=PM(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function xu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=SI(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function yu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;i=r;r=r+64|0;g=i+16|0;h=i;pK(h,c);y=0;f=g;c=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(c|0));Na(88,a|0,g|0,h|0);g=y;y=0;if(g&1){a=pb()|0;$9(h);sb(a|0)}$9(h);k[a>>2]=12784;c=a+104|0;y=0;oa(452,c|0,d|0);d=y;y=0;do if(d&1)c=pb()|0;else{y=0;oa(464,a+116|0,e|0);e=y;y=0;if(e&1){i=pb()|0;$9(c);c=i;break}else{k[a+96>>2]=1;r=i;return}}while(0);k[a>>2]=11700;$9(a+84|0);$9(a+72|0);a=c;sb(a|0)}function zu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;e=0;i=r;r=r+48|0;h=i+8|0;f=i;g=a+72|0;_V(f,b);do if(k[f>>2]|0){k[a+88>>2]=0;c=a+80|0;d=k[c>>2]|0;if((d|0)==(k[a+84>>2]|0)){y=0;oa(501,a+76|0,f|0);d=y;y=0;if(!(d&1))e=6}else{y=0;oa(464,d|0,f|0);d=y;y=0;if(!(d&1)){k[c>>2]=(k[c>>2]|0)+4;e=6}}if((e|0)==6){c=k[k[g>>2]>>2]|0;y=0;oa(464,h|0,f|0);e=y;y=0;if(!(e&1)){y=0;oa(c|0,g|0,h|0);g=y;y=0;if(!(g&1)){EO(h);break}i=pb()|0;EO(h);EO(f);sb(i|0)}}i=pb()|0;EO(f);sb(i|0)}while(0);EO(f);e=a+32|0;a=h;c=b+12|0;d=a+40|0;do{k[a>>2]=k[c>>2];a=a+4|0;c=c+4|0}while((a|0)<(d|0));mQ(e,h+20|0);r=i;return}function Au(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=yq(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Bu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=PU(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Cu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=FK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Du(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=rF(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Eu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=Qz(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Fu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;d=g+8|0;e=g+4|0;f=g;c=a+4|0;Yw(c);k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;jI(d,44343,6);y=0;Na(139,c|0,d|0,b|0);h=y;y=0;if(h&1){h=pb()|0;$9(d);sb(h|0)}$9(d);Nka(c);c=a+98|0;i[c>>0]=1;rT(d,b+68|0);h=k[d>>2]|0;k[e>>2]=h;y=0;oa(k[(k[h>>2]|0)+40>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;EO(e);sb(h|0)}EO(e);i[c>>0]=0;rT(d,b+64|0);h=k[d>>2]|0;k[f>>2]=h;y=0;oa(k[(k[h>>2]|0)+40>>2]|0,h|0,a|0);h=y;y=0;if(!(h&1)){EO(f);r=g;return}h=pb()|0;EO(f);sb(h|0)}function Gu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;l=a+8|0;e=k[a>>2]|0;c=e;if((k[l>>2]|0)-e>>2>>>0>=b>>>0)return;n=a+4|0;f=k[n>>2]|0;d=f-e>>2;do if(!b)m=0;else if(b>>>0>1073741823){n=gb(4)|0;doa(n);Wb(n|0,4496,348)}else{m=ZL(b<<2)|0;break}while(0);h=m+(d<<2)|0;j=h;i=m+(b<<2)|0;do if((f|0)==(c|0))d=j;else{e=f;d=j;b=h;while(1){e=e+-4|0;y=0;oa(464,b+-4|0,e|0);f=y;y=0;if(f&1)break;b=d+-4|0;d=b;if((e|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[n>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-4|0;EO(c)}while((c|0)!=(d|0))}if(!m)sb(e|0);zqa(m);sb(e|0)}while(0);k[a>>2]=d;k[n>>2]=j;k[l>>2]=i;d=e;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!e)return;zqa(e);return}function Hu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=k[a+16>>2]|0;a=k[a+20>>2]|0;if(a|0){Sba(a);kZ(a)}g=k[b+16>>2]|0;a=k[b+20>>2]|0;if(a|0){Sba(a);kZ(a)}e=c+4|0;f=c+20|0;if(!(k[f>>2]|0))return;d=c+16|0;a=k[d>>2]|0;while(1){b=k[(k[e>>2]|0)+(((a>>>0)/170|0)<<2)>>2]|0;a=(a>>>0)%170|0;if((k[b+(a*24|0)+4>>2]|0)!=1){a=13;break}Kx(g,b+(a*24|0)|0);b=k[d>>2]|0;a=k[(k[e>>2]|0)+(((b>>>0)/170|0)<<2)>>2]|0;b=(b>>>0)%170|0;c=k[a+(b*24|0)+20>>2]|0;if(c|0)kZ(c);EO(a+(b*24|0)+12|0);b=(k[f>>2]|0)+-1|0;k[f>>2]=b;a=(k[d>>2]|0)+1|0;k[d>>2]=a;if(a>>>0>339){zqa(k[k[e>>2]>>2]|0);k[e>>2]=(k[e>>2]|0)+4;a=(k[d>>2]|0)+-170|0;k[d>>2]=a;b=k[f>>2]|0}if(!b){a=13;break}}if((a|0)==13)return}function Iu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=Nx(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Ju(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=tF(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Ku(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=BK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Lu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=uF(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Mu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;l=a+8|0;e=k[a>>2]|0;c=e;if((k[l>>2]|0)-e>>2>>>0>=b>>>0)return;n=a+4|0;f=k[n>>2]|0;d=f-e>>2;do if(!b)m=0;else if(b>>>0>1073741823){n=gb(4)|0;doa(n);Wb(n|0,4496,348)}else{m=ZL(b<<2)|0;break}while(0);h=m+(d<<2)|0;j=h;i=m+(b<<2)|0;do if((f|0)==(c|0))d=j;else{e=f;d=j;b=h;while(1){e=e+-4|0;y=0;oa(464,b+-4|0,e|0);f=y;y=0;if(f&1)break;b=d+-4|0;d=b;if((e|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[n>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-4|0;EO(c)}while((c|0)!=(d|0))}if(!m)sb(e|0);zqa(m);sb(e|0)}while(0);k[a>>2]=d;k[n>>2]=j;k[l>>2]=i;d=e;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!e)return;zqa(e);return}function Nu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=QT(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Ou(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=DK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Pu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=EK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Qu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=Do(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Ru(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=c8(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Su(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=zF(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Tu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=GK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Uu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=UW(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Vu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=HK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Wu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=IK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Xu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=CN(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Yu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=kL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Zu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=lL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function _u(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=xA(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function $u(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;l=a+8|0;e=k[a>>2]|0;c=e;if((k[l>>2]|0)-e>>2>>>0>=b>>>0)return;n=a+4|0;f=k[n>>2]|0;d=f-e>>2;do if(!b)m=0;else if(b>>>0>1073741823){n=gb(4)|0;doa(n);Wb(n|0,4496,348)}else{m=ZL(b<<2)|0;break}while(0);h=m+(d<<2)|0;j=h;i=m+(b<<2)|0;do if((f|0)==(c|0))d=j;else{e=f;d=j;b=h;while(1){e=e+-4|0;y=0;oa(464,b+-4|0,e|0);f=y;y=0;if(f&1)break;b=d+-4|0;d=b;if((e|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[n>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-4|0;EO(c)}while((c|0)!=(d|0))}if(!m)sb(e|0);zqa(m);sb(e|0)}while(0);k[a>>2]=d;k[n>>2]=j;k[l>>2]=i;d=e;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!e)return;zqa(e);return}function av(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;l=a+8|0;e=k[a>>2]|0;c=e;if((k[l>>2]|0)-e>>2>>>0>=b>>>0)return;n=a+4|0;f=k[n>>2]|0;d=f-e>>2;do if(!b)m=0;else if(b>>>0>1073741823){n=gb(4)|0;doa(n);Wb(n|0,4496,348)}else{m=ZL(b<<2)|0;break}while(0);h=m+(d<<2)|0;j=h;i=m+(b<<2)|0;do if((f|0)==(c|0))d=j;else{e=f;d=j;b=h;while(1){e=e+-4|0;y=0;oa(464,b+-4|0,e|0);f=y;y=0;if(f&1)break;b=d+-4|0;d=b;if((e|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[n>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-4|0;EO(c)}while((c|0)!=(d|0))}if(!m)sb(e|0);zqa(m);sb(e|0)}while(0);k[a>>2]=d;k[n>>2]=j;k[l>>2]=i;d=e;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!e)return;zqa(e);return}function bv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;l=a+8|0;e=k[a>>2]|0;c=e;if((k[l>>2]|0)-e>>2>>>0>=b>>>0)return;n=a+4|0;f=k[n>>2]|0;d=f-e>>2;do if(!b)m=0;else if(b>>>0>1073741823){n=gb(4)|0;doa(n);Wb(n|0,4496,348)}else{m=ZL(b<<2)|0;break}while(0);h=m+(d<<2)|0;j=h;i=m+(b<<2)|0;do if((f|0)==(c|0))d=j;else{e=f;d=j;b=h;while(1){e=e+-4|0;y=0;oa(464,b+-4|0,e|0);f=y;y=0;if(f&1)break;b=d+-4|0;d=b;if((e|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[n>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-4|0;EO(c)}while((c|0)!=(d|0))}if(!m)sb(e|0);zqa(m);sb(e|0)}while(0);k[a>>2]=d;k[n>>2]=j;k[l>>2]=i;d=e;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!e)return;zqa(e);return}function cv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=a+8|0;i=k[n>>2]|0;j=a+12|0;m=k[j>>2]|0;e=m;g=i;do if((i|0)==(m|0)){m=a+4|0;l=k[m>>2]|0;d=k[a>>2]|0;c=d;if(l>>>0>d>>>0){d=l;e=((d-c>>2)+1|0)/-2|0;f=l+(e<<2)|0;c=g-d|0;d=c>>2;if(!d)c=l;else{DN(f|0,l|0,c|0)|0;c=k[m>>2]|0}l=f+(d<<2)|0;k[n>>2]=l;k[m>>2]=c+(e<<2);c=l;break}c=e-c>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=gb(4)|0;doa(n);Wb(n|0,4496,348)}f=ZL(c<<2)|0;g=f;e=f+(c>>>2<<2)|0;h=e;f=f+(c<<2)|0;if((l|0)==(i|0))c=h;else{c=h;d=l;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(i|0));d=k[a>>2]|0}k[a>>2]=g;k[m>>2]=h;k[n>>2]=c;k[j>>2]=f;if(d){zqa(d);c=k[n>>2]|0}}else c=i;while(0);k[c>>2]=k[b>>2];k[n>>2]=(k[n>>2]|0)+4;return}function dv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=KK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function ev(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=LK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function fv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=MK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function gv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=TN(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function hv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=dia(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function iv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;l=a+8|0;e=k[a>>2]|0;c=e;if((k[l>>2]|0)-e>>2>>>0>=b>>>0)return;n=a+4|0;f=k[n>>2]|0;d=f-e>>2;do if(!b)m=0;else if(b>>>0>1073741823){n=gb(4)|0;doa(n);Wb(n|0,4496,348)}else{m=ZL(b<<2)|0;break}while(0);h=m+(d<<2)|0;j=h;i=m+(b<<2)|0;do if((f|0)==(c|0))d=j;else{e=f;d=j;b=h;while(1){e=e+-4|0;y=0;oa(464,b+-4|0,e|0);f=y;y=0;if(f&1)break;b=d+-4|0;d=b;if((e|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[n>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-4|0;EO(c)}while((c|0)!=(d|0))}if(!m)sb(e|0);zqa(m);sb(e|0)}while(0);k[a>>2]=d;k[n>>2]=j;k[l>>2]=i;d=e;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!e)return;zqa(e);return}function jv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=a+8|0;i=k[n>>2]|0;j=a+12|0;m=k[j>>2]|0;e=m;g=i;do if((i|0)==(m|0)){m=a+4|0;l=k[m>>2]|0;d=k[a>>2]|0;c=d;if(l>>>0>d>>>0){d=l;e=((d-c>>2)+1|0)/-2|0;f=l+(e<<2)|0;c=g-d|0;d=c>>2;if(!d)c=l;else{DN(f|0,l|0,c|0)|0;c=k[m>>2]|0}l=f+(d<<2)|0;k[n>>2]=l;k[m>>2]=c+(e<<2);c=l;break}c=e-c>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=gb(4)|0;doa(n);Wb(n|0,4496,348)}f=ZL(c<<2)|0;g=f;e=f+(c>>>2<<2)|0;h=e;f=f+(c<<2)|0;if((l|0)==(i|0))c=h;else{c=h;d=l;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(i|0));d=k[a>>2]|0}k[a>>2]=g;k[m>>2]=h;k[n>>2]=c;k[j>>2]=f;if(d){zqa(d);c=k[n>>2]|0}}else c=i;while(0);k[c>>2]=k[b>>2];k[n>>2]=(k[n>>2]|0)+4;return}function kv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;switch(k[a+96>>2]|0){case 2:{b=Fc[k[(k[a>>2]|0)+168>>2]&2047](a,b)|0;return b|0}case 3:{b=Fc[k[(k[a>>2]|0)+168>>2]&2047](a,b)|0;return b|0}case 1:{b=Fc[k[(k[a>>2]|0)+168>>2]&2047](a,b)|0;return b|0}default:{c=a+84|0;d=b+84|0;e=i[c+11>>0]|0;g=e<<24>>24<0;e=e&255;h=g?k[a+88>>2]|0:e;l=i[d+11>>0]|0;f=l<<24>>24<0;if((h|0)!=((f?k[b+88>>2]|0:l&255)|0)){b=0;return b|0}j=k[c>>2]|0;l=g?j:c;d=f?k[d>>2]|0:d;f=(h|0)==0;a:do if(g){if(!f)if(zM(l,d,h)|0){b=0;return b|0}}else if(!f){if((j&255)<<24>>24!=(i[d>>0]|0)){b=0;return b|0}while(1){e=e+-1|0;c=c+1|0;if(!e)break a;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;break}}return c|0}while(0);b=ap(a+72|0,b+72|0)|0;return b|0}}return 0}function lv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=oW(e)|0;e=h|0?h:e}h=rL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=h;b=a+84|0;m=a+96|0;gH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];gH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];nH(d,c,e,a+152|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}
function qD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=0;if((k[b+76>>2]|0)<0)e=3;else if(!(Iqa(b)|0))e=3;else{if((i[b+75>>0]|0)==(a|0))e=10;else{c=b+20|0;d=k[c>>2]|0;if(d>>>0<(k[b+16>>2]|0)>>>0){k[c>>2]=d+1;i[d>>0]=a;c=a&255}else e=10}if((e|0)==10)c=jE(b,a)|0;Hqa(b)}do if((e|0)==3){if((i[b+75>>0]|0)!=(a|0)){c=b+20|0;d=k[c>>2]|0;if(d>>>0<(k[b+16>>2]|0)>>>0){k[c>>2]=d+1;i[d>>0]=a;c=a&255;break}}c=jE(b,a)|0}while(0);return c|0}function rD(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=5060;$9(a+52|0);b=k[a+28>>2]|0;c=b;if(b|0){d=a+32|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~(((e+-24-c|0)>>>0)/24|0)*24|0);zqa(b)}b=k[a+16>>2]|0;if(!b){e=a+4|0;$9(e);zqa(a);return}c=a+20|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);zqa(b);e=a+4|0;$9(e);zqa(a);return}function sD(a){a=a|0;var b=0,c=0,d=0,e=0;e=a+-4|0;k[e+4>>2]=5060;$9(e+56|0);a=k[e+32>>2]|0;b=a;if(a|0){c=e+36|0;d=k[c>>2]|0;if((d|0)!=(a|0))k[c>>2]=d+(~(((d+-24-b|0)>>>0)/24|0)*24|0);zqa(a)}a=k[e+20>>2]|0;if(!a){e=e+8|0;$9(e);return}b=e+24|0;c=k[b>>2]|0;if((c|0)!=(a|0))k[b>>2]=c+(~((c+-4-a|0)>>>2)<<2);zqa(a);e=e+8|0;$9(e);return}function tD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;k[a>>2]=0;k[a+4>>2]=0;e=i[b+11>>0]|0;f=e<<24>>24<0;c=f?k[b>>2]|0:b;e=f?k[b+4>>2]|0:e&255;f=c+e|0;a:do if((e|0)>0){e=0;b=0;d=0;while(1){switch(i[c>>0]|0){case 0:{c=e;break a}case 10:{d=d+1|0;e=d;b=0;break}default:b=b+1|0}c=c+1|0;if(c>>>0>=f>>>0){c=e;break a}}}else{c=0;b=0}while(0);k[a>>2]=c;k[a+4>>2]=b;return}function uD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;d=a+8|0;g=d+3|0;c=i[g>>0]|0;e=c<<24>>24<0;if(e){f=k[a+4>>2]|0;c=(k[d>>2]&2147483647)+-1|0}else{f=c&255;c=1}if((f|0)==(c|0)){Bz(a,c,1,c,c,0,0);if((i[g>>0]|0)>-1)c=7;else c=8}else if(e)c=8;else c=7;if((c|0)==7)i[g>>0]=f+1;else if((c|0)==8){g=k[a>>2]|0;k[a+4>>2]=f+1;a=g}g=a+(f<<2)|0;k[g>>2]=b;k[g+4>>2]=0;return}function vD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=a+11|0;d=i[g>>0]|0;e=d<<24>>24<0;if(e)f=(k[a+8>>2]&2147483647)+-1|0;else f=10;do if(f>>>0<c>>>0){if(e)d=k[a+4>>2]|0;else d=d&255;dA(a,f,c-f|0,d,0,d,c,b)}else{if(e)d=k[a>>2]|0;else d=a;if(c|0)DN(d|0,b|0,c|0)|0;i[d+c>>0]=0;if((i[g>>0]|0)<0){k[a+4>>2]=c;break}else{i[g>>0]=c;break}}while(0);return a|0}function wD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;d=k[b>>2]|0;g=k[a>>2]|0;e=k[c>>2]|0;f=e>>>0<d>>>0;do if(d>>>0<g>>>0){if(f){k[a>>2]=e;k[c>>2]=g;d=1;break}k[a>>2]=d;k[b>>2]=g;d=k[c>>2]|0;if(d>>>0<g>>>0){k[b>>2]=d;k[c>>2]=g;d=2}else d=1}else if(f){k[b>>2]=e;k[c>>2]=d;e=k[b>>2]|0;d=k[a>>2]|0;if(e>>>0<d>>>0){k[a>>2]=e;k[b>>2]=d;d=2}else d=1}else d=0;while(0);return d|0}function xD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=a+44|0;c=k[d>>2]|0;e=k[a+24>>2]|0;if(c>>>0<e>>>0){k[d>>2]=e;c=e}f=a+12|0;d=k[f>>2]|0;if((k[a+8>>2]|0)>>>0>=d>>>0){b=-1;return b|0}if((b|0)==-1){k[f>>2]=d+-1;k[a+16>>2]=c;b=0;return b|0}if(!(k[a+48>>2]&16)){e=b&255;d=d+-1|0;if(e<<24>>24!=(i[d>>0]|0)){b=-1;return b|0}}else{e=b&255;d=d+-1|0}k[f>>2]=d;k[a+16>>2]=c;i[d>>0]=e;return b|0}function yD(a,b){a=a|0;b=b|0;var c=0,d=0;k[a>>2]=5060;c=a+4|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,82159,0);y=0;na(401,a+16|0);d=y;y=0;if(d&1){d=pb()|0;$9(c);sb(d|0)}else{k[a+68>>2]=b;c=a+72|0;d=a+88|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;i[c+12>>0]=0;k[d>>2]=0;k[d+4>>2]=0;j[d+8>>1]=0;return}}function zD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=0;e=b;d=c-e|0;if(d>>>0>4294967279){LM(a);f=5}else if(d>>>0<11){i[a+11>>0]=d;g=a}else f=5;if((f|0)==5){f=d+16&-16;g=ZL(f)|0;k[a>>2]=g;k[a+8>>2]=f|-2147483648;k[a+4>>2]=d}d=c-e|0;a=g;while(1){if((b|0)==(c|0))break;i[a>>0]=i[b>>0]|0;b=b+1|0;a=a+1|0}i[g+d>>0]=0;return}function AD(a){a=a|0;var b=0,c=0,d=0;b=vea(a)|0;if(b|0){a=b;return a|0}b=Tia(a)|0;if(b|0){a=b;return a|0}c=a+1|0;do if((i[a>>0]|0)==92){if(!(k5(c)|0)){b=Lja(c)|0;if(!b)break}else{b=a+2|0;if(k5(b)|0){b=a+3|0;d=(k5(b)|0)==0;b=d?b:a+4|0}}b=(i[b>>0]|0)==32?b+1|0:b;if(b|0){d=b;return d|0}}while(0);d=(i[a>>0]|0)==95?c:0;return d|0}function BD(a){a=a|0;var b=0,c=0,d=0;b=l5(a)|0;if(b|0){a=b;return a|0}b=Tia(a)|0;if(b|0){a=b;return a|0}c=a+1|0;do if((i[a>>0]|0)==92){if(!(k5(c)|0)){b=Lja(c)|0;if(!b)break}else{b=a+2|0;if(k5(b)|0){b=a+3|0;d=(k5(b)|0)==0;b=d?b:a+4|0}}b=(i[b>>0]|0)==32?b+1|0:b;if(b|0){d=b;return d|0}}while(0);d=(i[a>>0]|0)==95?c:0;return d|0}function CD(a,b){a=a|0;b=b|0;var c=0,d=0;c=k[a+12>>2]|0;if(c)while(1){d=k[c+12>>2]|0;if(!d)break;else{a=c;c=d}}while(1){if((tu(a,b)|0)!=(a+4|0)){a=1;c=5;break}a=k[a+12>>2]|0;if(!a){a=0;c=5;break}}if((c|0)==5)return a|0;return 0}function DD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=a+11|0;d=i[g>>0]|0;f=d<<24>>24<0;if(f){e=(k[a+8>>2]&2147483647)+-1|0;d=k[a+4>>2]|0}else{e=10;d=d&255}if((e-d|0)>>>0<c>>>0)dA(a,e,c-e+d|0,d,d,0,c,b);else if(c|0){if(f)e=k[a>>2]|0;else e=a;GH(e+d|0,b|0,c|0)|0;d=d+c|0;if((i[g>>0]|0)<0)k[a+4>>2]=d;else i[g>>0]=d;i[e+d>>0]=0}return a|0}function ED(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=r;r=r+16|0;f=e+4|0;d=e;MO(a);k[a>>2]=23920;k[a+32>>2]=b;k[a+40>>2]=c;k[a+48>>2]=-1;i[a+52>>0]=0;t8(f,a+4|0);k[d>>2]=k[f>>2];y=0;oa(417,a|0,d|0);c=y;y=0;if(c&1){f=pb()|0;Sea(d);mba(a);sb(f|0)}else{Sea(d);r=e;return}}function FD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=r;r=r+16|0;f=e+4|0;d=e;NO(a);k[a>>2]=23984;k[a+32>>2]=b;k[a+40>>2]=c;k[a+48>>2]=-1;i[a+52>>0]=0;t8(f,a+4|0);k[d>>2]=k[f>>2];y=0;oa(418,a|0,d|0);c=y;y=0;if(c&1){f=pb()|0;Sea(d);nba(a);sb(f|0)}else{Sea(d);r=e;return}}function GD(a,b){a=a|0;b=b|0;if(!b)return;else{GD(a,k[b>>2]|0);GD(a,k[b+4>>2]|0);$9(b+16|0);zqa(b);return}}function HD(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+4>>2]=5060;$9(a+56|0);b=k[a+32>>2]|0;c=b;if(b|0){d=a+36|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~(((e+-24-c|0)>>>0)/24|0)*24|0);zqa(b)}b=k[a+20>>2]|0;if(!b){a=a+8|0;$9(a);return}c=a+24|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);zqa(b);a=a+8|0;$9(a);return}function ID(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,82159,0);if((c|0)<0)b=0-c<<1|1;else b=c<<1;while(1){d=b&31;b=b>>5;c=(b|0)>0;y=0;oa(461,a|0,i[(k[4797]|0)+(c?d|32:d)>>0]|0);d=y;y=0;if(d&1){b=6;break}if(!c){b=7;break}}if((b|0)==6){d=pb()|0;$9(a);sb(d|0)}else if((b|0)==7)return}function JD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=14100;e=a+12|0;vx(e);c=a+16|0;b=k[c>>2]|0;f=a+20|0;d=k[f>>2]|0;if((b|0)!=(d|0)){do{zqa(k[b>>2]|0);b=b+4|0}while((b|0)!=(d|0));b=k[c>>2]|0;c=k[f>>2]|0;if((c|0)!=(b|0))k[f>>2]=c+(~((c+-4-b|0)>>>2)<<2)}b=k[e>>2]|0;if(!b){Ppa(a);zqa(a);return}zqa(b);Ppa(a);zqa(a);return}function KD(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=5060;$9(a+52|0);b=k[a+28>>2]|0;c=b;if(b|0){d=a+32|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~(((e+-24-c|0)>>>0)/24|0)*24|0);zqa(b)}b=k[a+16>>2]|0;if(!b){a=a+4|0;$9(a);return}c=a+20|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);zqa(b);a=a+4|0;$9(a);return}function LD(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=r;r=r+16|0;h=g+4|0;i=g;a=a+8|0;a=oc[k[(k[a>>2]|0)+4>>2]&511](a)|0;k[i>>2]=k[d>>2];k[h>>2]=k[i>>2];a=(jh(c,h,a,a+288|0,f,e,0)|0)-a|0;if((a|0)<288)k[b>>2]=((a|0)/12|0|0)%12|0;r=g;return}function MD(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=r;r=r+16|0;h=g+4|0;i=g;a=a+8|0;a=oc[k[(k[a>>2]|0)+4>>2]&511](a)|0;k[i>>2]=k[d>>2];k[h>>2]=k[i>>2];a=(th(c,h,a,a+288|0,f,e,0)|0)-a|0;if((a|0)<288)k[b>>2]=((a|0)/12|0|0)%12|0;r=g;return}function ND(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;d=r;r=r+16|0;b=d+8|0;f=d+4|0;c=d;a=a+104|0;rT(b,a);e=k[b>>2]|0;k[f>>2]=e;EO(f);if(!e){f=0;r=d;return f|0}rT(b,a);a=k[b>>2]|0;k[c>>2]=a;y=0;a=qa(k[(k[a>>2]|0)+132>>2]|0,a|0)|0;f=y;y=0;if(f&1){f=pb()|0;EO(c);sb(f|0)}EO(c);f=a;r=d;return f|0}function OD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=r;r=r+16|0;f=d+8|0;e=d;k[f>>2]=b;Yq(e,a,b,80081,f,d+12|0);LH((k[e>>2]|0)+28|0,c)|0;r=d;return}function PD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=8024;EO(a+40|0);d=a+24|0;b=k[d>>2]|0;if(b|0){e=a+28|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-4|0;k[e>>2]=f;EO(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}b=k[a+12>>2]|0;if(b|0)do{f=b;b=k[b>>2]|0;EO(f+12|0);EO(f+8|0);zqa(f)}while((b|0)!=0);f=a+4|0;b=k[f>>2]|0;k[f>>2]=0;if(!b)return;zqa(b);return}function QD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;Bca(b);e=a+8|0;d=k[e>>2]|0;do if((k[a+12>>2]|0)-d>>2>>>0>c>>>0)f=e;else{y=0;oa(665,e|0,c+1|0);f=y;y=0;if(!(f&1)){f=e;d=k[e>>2]|0;break}d=pb()|0;if(b|0)lQ(b)|0;sb(d|0)}while(0);a=k[d+(c<<2)>>2]|0;if(a){lQ(a)|0;d=k[f>>2]|0}k[d+(c<<2)>>2]=b;return}function RD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=a+11|0;c=i[f>>0]|0;d=c<<24>>24<0;if(d){e=k[a+4>>2]|0;c=(k[a+8>>2]&2147483647)+-1|0}else{e=c&255;c=10}if((e|0)==(c|0)){_C(a,c,1,c,c,0,0);if((i[f>>0]|0)>-1)c=7;else c=8}else if(d)c=8;else c=7;if((c|0)==7)i[f>>0]=e+1;else if((c|0)==8){f=k[a>>2]|0;k[a+4>>2]=e+1;a=f}f=a+e|0;i[f>>0]=b;i[f+1>>0]=0;return}function SD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;d=r;r=r+16|0;b=d+8|0;f=d+4|0;c=d;a=a+104|0;rT(b,a);e=k[b>>2]|0;k[f>>2]=e;EO(f);if(!e){f=0;r=d;return f|0}rT(b,a);a=k[b>>2]|0;k[c>>2]=a;y=0;a=qa(k[(k[a>>2]|0)+128>>2]|0,a|0)|0;f=y;y=0;if(f&1){f=pb()|0;EO(c);sb(f|0)}EO(c);f=a;r=d;return f|0}function TD(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=r;r=r+16|0;h=g+4|0;i=g;a=a+8|0;a=oc[k[k[a>>2]>>2]&511](a)|0;k[i>>2]=k[d>>2];k[h>>2]=k[i>>2];a=(jh(c,h,a,a+168|0,f,e,0)|0)-a|0;if((a|0)<168)k[b>>2]=((a|0)/12|0|0)%7|0;r=g;return}function UD(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=r;r=r+16|0;h=g+4|0;i=g;a=a+8|0;a=oc[k[k[a>>2]>>2]&511](a)|0;k[i>>2]=k[d>>2];k[h>>2]=k[i>>2];a=(th(c,h,a,a+168|0,f,e,0)|0)-a|0;if((a|0)<168)k[b>>2]=((a|0)/12|0|0)%7|0;r=g;return}function VD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;h=a+11|0;e=i[h>>0]|0;d=e<<24>>24<0;if(d)f=k[a+4>>2]|0;else f=e&255;if(f>>>0<b>>>0)KM(a);if(c|0){if(d)g=k[a>>2]|0;else g=a;d=f-b|0;c=d>>>0<c>>>0?d:c;d=d-c|0;if(d){e=g+b|0;DN(e|0,e+c|0,d|0)|0;e=i[h>>0]|0}d=f-c|0;if(e<<24>>24<0)k[a+4>>2]=d;else i[h>>0]=d;i[g+d>>0]=0}return a|0}function WD(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;a=a+4|0;Yw(a);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,46469,8);y=0;Na(139,a|0,c|0,b|0);b=y;y=0;if(b&1){d=pb()|0;$9(c);sb(d|0)}else{$9(c);VK(a);r=d;return}}function XD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-72|0;k[e>>2]=13364;c=e+72|0;k[c>>2]=13540;TG(e+92|0,k[e+96>>2]|0);k[c>>2]=13580;c=e+76|0;a=k[c>>2]|0;if(!a){zqa(e);return}d=e+80|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-4|0;k[d>>2]=f;EO(f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}zqa(a);zqa(e);return}function YD(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)==45){b=l5(a+1|0)|0;if(!b)b=0;else{while(1){c=l5(b)|0;if(!c)break;else b=c}b=(i[b>>0]|0)==45?b+1|0:0}}else b=0;b=b|0?b:a;if(!b){a=0;return a|0}c=i[44350]|0;a:do if(!(c<<24>>24))c=0;else{a=44350;while(1){if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){c=0;break}}}while(0);a=c<<24>>24==0?b:0;return a|0}function ZD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;e=r;r=r+16|0;c=e+8|0;g=e+4|0;d=e;b=b+64|0;rT(c,b);f=k[c>>2]|0;k[g>>2]=f;EO(g);if(!f){r=e;return}rT(c,b);g=k[c>>2]|0;k[d>>2]=g;y=0;oa(k[(k[g>>2]|0)+40>>2]|0,g|0,a|0);g=y;y=0;if(g&1){g=pb()|0;EO(d);sb(g|0)}EO(d);r=e;return}function _D(a){a=a|0;var b=0,c=0,d=0,e=0;b=ZL(68)|0;y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);sb(e|0)}else{c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;k[b>>2]=9208;i[b+60>>0]=i[a+60>>0]|0;k[b+64>>2]=k[a+64>>2];k[b+56>>2]=1;return b|0}return 0}function $D(a){a=a|0;var b=0,c=0,d=0,e=0;if(!a)return;e=a+72|0;b=k[e>>2]|0;if(b|0)Pf(b);d=a+76|0;b=k[d>>2]|0;if(b|0)Pf(b);b=k[a+92>>2]|0;if(b|0)Pf(b);b=k[a+88>>2]|0;if(b|0)Pf(b);c=a+84|0;b=k[c>>2]|0;if(b|0)Pf(b);b=k[a+96>>2]|0;if(b|0)Pf(b);b=a+112|0;nR(k[b>>2]|0);k[e>>2]=0;k[d>>2]=0;k[b>>2]=0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;Zw(a);return}function aE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;g=a+24|0;h=a+28|0;d=0;while(1){if((d|0)>=(c|0))break;e=k[g>>2]|0;f=k[h>>2]|0;if(e>>>0<f>>>0){f=f-e>>2;i=c-d|0;f=(i|0)<(f|0)?i:f;Saa(e,b,f)|0;k[g>>2]=(k[g>>2]|0)+(f<<2);b=b+(f<<2)|0;d=f+d|0;continue}if((Fc[k[(k[a>>2]|0)+52>>2]&2047](a,k[b>>2]|0)|0)==-1)break;b=b+4|0;d=d+1|0}return d|0}function bE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c;e=(k[a+24>>2]|0)==0;k[a+16>>2]=e&1|b;if(!((e&1|b)&k[a+20>>2])){r=c;return}a=gb(16)|0;DZ()|0;k[d>>2]=1;k[d+4>>2]=77092;y=0;Na(149,a|0,51295,d|0);e=y;y=0;if(e&1){e=pb()|0;fb(a|0);a=e}else{y=0;Na(76,a|0,3112,272);y=0;a=pb()|0}sb(a|0)}function cE(a){a=a|0;var b=0,c=0,d=0;d=r;r=r+16|0;c=d;b=k[a+76>>2]|0;if((k[a+80>>2]|0)==(b|0)){c=0;r=d;return c|0}rT(c,b);a=k[c>>2]|0;if(a|0){y=0;a=qa(k[(k[a>>2]|0)+120>>2]|0,a|0)|0;b=y;y=0;if(b&1){d=pb()|0;EO(c);sb(d|0)}if(a){EO(c);c=1;r=d;return c|0}}EO(c);c=0;r=d;return c|0}function dE(a){a=a|0;var b=0,c=0,d=0;d=a+68|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=(k[a+72>>2]|0)+1403242537^-1640531520;k[d>>2]=c;b=k[a+76>>2]|0;if(b){b=(oc[k[(k[b>>2]|0)+8>>2]&511](b)|0)+-1640531527|0;c=k[d>>2]|0;c=b+(c<<6)+(c>>>2)^c;k[d>>2]=c}b=k[a+80>>2]|0;if(!b){d=c;return d|0}c=(oc[k[(k[b>>2]|0)+8>>2]&511](b)|0)+-1640531527|0;a=k[d>>2]|0;a=c+(a<<6)+(a>>>2)^a;k[d>>2]=a;d=a;return d|0}function eE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=b+64|0;f=b+68|0;e=zO((k[f>>2]|0)-(k[c>>2]|0)>>2,k[b+80>>2]|0)|0;c=k[c>>2]|0;f=(k[f>>2]|0)-c>>2;if(!f)return e|0;d=b+64|0;c=k[c>>2]|0;vba(e,0,Fc[k[(k[c>>2]|0)+64>>2]&2047](c,a)|0);if((f|0)==1)return e|0;else b=1;do{c=k[(k[d>>2]|0)+(b<<2)>>2]|0;vba(e,b,Fc[k[(k[c>>2]|0)+64>>2]&2047](c,a)|0);b=b+1|0}while((b|0)!=(f|0));return e|0}function fE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=14100;e=a+12|0;vx(e);c=a+16|0;b=k[c>>2]|0;f=a+20|0;d=k[f>>2]|0;if((b|0)!=(d|0)){do{zqa(k[b>>2]|0);b=b+4|0}while((b|0)!=(d|0));b=k[c>>2]|0;c=k[f>>2]|0;if((c|0)!=(b|0))k[f>>2]=c+(~((c+-4-b|0)>>>2)<<2)}b=k[e>>2]|0;if(!b){Ppa(a);return}zqa(b);Ppa(a);return}function gE(a){a=a|0;var b=0,c=0,d=0;d=r;r=r+16|0;c=d;b=k[a+76>>2]|0;if((k[a+80>>2]|0)==(b|0)){c=0;r=d;return c|0}rT(c,b);a=k[c>>2]|0;if(a|0){y=0;a=qa(k[(k[a>>2]|0)+124>>2]|0,a|0)|0;b=y;y=0;if(b&1){d=pb()|0;EO(c);sb(d|0)}if(a){EO(c);c=1;r=d;return c|0}}EO(c);c=0;r=d;return c|0}function hE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;g=a+24|0;h=a+28|0;f=0;while(1){if((f|0)>=(c|0))break;d=k[g>>2]|0;e=k[h>>2]|0;if(d>>>0>=e>>>0){if((Fc[k[(k[a>>2]|0)+52>>2]&2047](a,l[b>>0]|0)|0)==-1)break;b=b+1|0;f=f+1|0;continue}e=e-d|0;i=c-f|0;e=(i|0)<(e|0)?i:e;if(e){GH(d|0,b|0,e|0)|0;d=k[g>>2]|0}k[g>>2]=d+e;b=b+e|0;f=e+f|0}return f|0}function iE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;e=r;r=r+16|0;c=e+8|0;g=e+4|0;d=e;b=b+64|0;rT(c,b);f=k[c>>2]|0;k[g>>2]=f;EO(g);if(!f){r=e;return}rT(c,b);g=k[c>>2]|0;k[d>>2]=g;y=0;oa(k[(k[g>>2]|0)+40>>2]|0,g|0,a|0);g=y;y=0;if(g&1){g=pb()|0;EO(d);sb(g|0)}EO(d);r=e;return}function jE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;e=0;j=r;r=r+16|0;g=j;h=b&255;i[g>>0]=h;c=a+16|0;d=k[c>>2]|0;if(!d)if(!(FL(a)|0)){d=k[c>>2]|0;e=4}else c=-1;else e=4;do if((e|0)==4){f=a+20|0;e=k[f>>2]|0;if(e>>>0<d>>>0){c=b&255;if((c|0)!=(i[a+75>>0]|0)){k[f>>2]=e+1;i[e>>0]=h;break}}if((rc[k[a+36>>2]&255](a,g,1)|0)==1)c=l[g>>0]|0;else c=-1}while(0);r=j;return c|0}function kE(a){a=a|0;var b=0,c=0;if(!(Kia(i[a>>0]|0)|0)){a=0;return a|0}b=a+1|0;if(!(Kia(i[b>>0]|0)|0)){a=b;return a|0}b=a+2|0;if(!(Kia(i[b>>0]|0)|0)){a=b;return a|0}b=a+3|0;if(!(Kia(i[b>>0]|0)|0)){a=b;return a|0}b=a+4|0;if(!(Kia(i[b>>0]|0)|0)){a=b;return a|0}b=a+5|0;if(!(Kia(i[b>>0]|0)|0)){a=b;return a|0}else{b=a+6|0;c=(Kia(i[b>>0]|0)|0)==0;return (c?b:a+7|0)|0}return 0}function lE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=13364;d=a+72|0;k[d>>2]=13540;TG(a+92|0,k[a+96>>2]|0);k[d>>2]=13580;d=a+76|0;b=k[d>>2]|0;if(!b){zqa(a);return}e=a+80|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-4|0;k[e>>2]=f;EO(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b);zqa(a);return}function mE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=b+64|0;e=b+68|0;f=zO((k[e>>2]|0)-(k[c>>2]|0)>>2,0)|0;c=k[c>>2]|0;e=(k[e>>2]|0)-c>>2;if(!e)return f|0;d=b+64|0;c=k[c>>2]|0;vba(f,0,Fc[k[(k[c>>2]|0)+64>>2]&2047](c,a)|0);if((e|0)==1)return f|0;else b=1;do{c=k[(k[d>>2]|0)+(b<<2)>>2]|0;vba(f,b,Fc[k[(k[c>>2]|0)+64>>2]&2047](c,a)|0);b=b+1|0}while((b|0)!=(e|0));return f|0}function nE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=k[b+76>>2]|0;d=(k[b+80>>2]|0)-c>>2;if(d|0){e=b+76|0;c=k[c>>2]|0;mc[k[(k[c>>2]|0)+40>>2]&1023](c,a);if((d|0)!=1){c=1;do{f=k[(k[e>>2]|0)+(c<<2)>>2]|0;mc[k[(k[f>>2]|0)+40>>2]&1023](f,a);c=c+1|0}while((c|0)!=(d|0))}}if(!(i[b+61>>0]|0))return;c=a+4|0;if((lka(c)|0)==2)return;cO(c);return}function oE(a){a=a|0;var b=0,c=0,d=0,e=0;d=r;r=r+16|0;c=d;pK(c,a+84|0);a=i[c+11>>0]|0;do if(((a<<24>>24<0?k[c+4>>2]|0:a&255)|0)==1){y=0;a=sa(21,c|0,0,-1,44238,1)|0;e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}else{b=(a|0)==0;break}}else b=0;while(0);$9(c);r=d;return (b?0:k[3669]|0)|0}function pE(a){a=a|0;var b=0,c=0;b=ZL(108)|0;y=0;oa(503,b|0,a|0);c=y;y=0;if(c&1){c=pb()|0;zqa(b);sb(c|0)}k[b>>2]=13168;y=0;oa(464,b+104|0,a+104|0);c=y;y=0;if(!(c&1)){k[b+96>>2]=3;return b|0}c=pb()|0;k[b>>2]=11700;$9(b+84|0);$9(b+72|0);zqa(b);sb(c|0);return 0}function qE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;d=r;r=r+16|0;b=d+8|0;f=d+4|0;c=d;a=a+80|0;rT(b,a);e=k[b>>2]|0;k[f>>2]=e;EO(f);if(!e){f=1;r=d;return f|0}rT(b,a);a=k[b>>2]|0;k[c>>2]=a;y=0;a=qa(334,a|0)|0;f=y;y=0;if(f&1){f=pb()|0;EO(c);sb(f|0)}EO(c);f=a+1|0;r=d;return f|0}function rE(a){a=a|0;var b=0,c=0;b=ZL(108)|0;y=0;oa(503,b|0,a|0);c=y;y=0;if(c&1){c=pb()|0;zqa(b);sb(c|0)}k[b>>2]=12976;y=0;oa(464,b+104|0,a+104|0);c=y;y=0;if(!(c&1)){k[b+96>>2]=2;return b|0}c=pb()|0;k[b>>2]=11700;$9(b+84|0);$9(b+72|0);zqa(b);sb(c|0);return 0}function sE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;f=0;if((c|0)==1)b=b-(k[a+8>>2]|0)+(k[a+4>>2]|0)|0;d=a+20|0;e=a+28|0;if((k[d>>2]|0)>>>0>(k[e>>2]|0)>>>0){rc[k[a+36>>2]&255](a,0,0)|0;if(!(k[d>>2]|0))b=-1;else f=5}else f=5;if((f|0)==5){k[a+16>>2]=0;k[e>>2]=0;k[d>>2]=0;if((rc[k[a+40>>2]&255](a,b,c)|0)<0)b=-1;else{k[a+8>>2]=0;k[a+4>>2]=0;k[a>>2]=k[a>>2]&-17;b=0}}return b|0}function tE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;g=a+8|0;wD(a,a+4|0,g,c)|0;f=a+12|0;c=g;while(1){if((f|0)==(b|0))break;g=k[f>>2]|0;e=k[c>>2]|0;if(g>>>0<e>>>0){d=f;while(1){k[d>>2]=e;if((c|0)==(a|0)){c=a;break}d=c+-4|0;e=k[d>>2]|0;if(g>>>0>=e>>>0)break;else{h=c;c=d;d=h}}k[c>>2]=g}c=f;f=f+4|0}return}function uE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;c=d;e=(i[b+60>>0]|0)!=0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,e?53643:53637,e?4:5);y=0;Na(139,a+4|0,c|0,b|0);b=y;y=0;if(b&1){e=pb()|0;$9(c);sb(e|0)}else{$9(c);r=d;return}}function vE(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;e=wD(a,b,c,e)|0;f=k[d>>2]|0;g=k[c>>2]|0;if(f>>>0<g>>>0){k[c>>2]=f;k[d>>2]=g;d=e+1|0;f=k[c>>2]|0;g=k[b>>2]|0;if(f>>>0<g>>>0){k[b>>2]=f;k[c>>2]=g;f=k[b>>2]|0;g=k[a>>2]|0;if(f>>>0<g>>>0){k[a>>2]=f;k[b>>2]=g;e=e+3|0}else e=e+2|0}else e=d}return e|0}function wE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=0;g=r;r=r+16|0;e=g;c=4;d=e;while(1){if(!c)break;a:while(1){b=IP(k[a>>2]|0,d,c)|0;switch(b|0){case 0:{f=4;break a}case -1:break;default:break a}b=v9()|0;b=k[b>>2]|0;if((b|0)==4)continue;lH(b,53804)}if((f|0)==4){f=0;lH(61,53782);b=0}c=c-b|0;d=d+b|0}r=g;return k[e>>2]|0}function xE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;e=d+8|0;c=d;k[e>>2]=b;Yq(c,a,b,80081,e,d+12|0);r=d;return (k[c>>2]|0)+28|0}function yE(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-72|0;k[b>>2]=13364;d=b+72|0;k[d>>2]=13540;TG(b+92|0,k[b+96>>2]|0);k[d>>2]=13580;d=b+76|0;a=k[d>>2]|0;if(!a)return;c=b+80|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-4|0;k[c>>2]=e;EO(e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}zqa(a);return}function zE(a){a=a|0;var b=0,c=0,d=0;d=(i[a+11>>0]|0)<0?k[a>>2]|0:a;b=k[18829]|0;if(!b){d=0;return d|0}else{a=75316;c=b}a:while(1){b=c;while(1){if((uM(k[b+16>>2]|0,d)|0)>=0)break;b=k[b+4>>2]|0;if(!b)break a}c=k[b>>2]|0;if(!c){a=b;break}else a=b}if((a|0)==75316){d=0;return d|0}if((uM(d,k[a+16>>2]|0)|0)<0){d=0;return d|0}d=k[a+20>>2]|0;return d|0}function AE(a,b){a=a|0;b=b|0;if(!b)return;else{AE(a,k[b>>2]|0);AE(a,k[b+4>>2]|0);EO(b+20|0);zqa(b);return}}function BE(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;if(!(i[b+101>>0]|0)){r=d;return}k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44146,1);y=0;oa(605,a+4|0,c|0);b=y;y=0;if(b&1){d=pb()|0;$9(c);sb(d|0)}$9(c);r=d;return}function CE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;f=j+8|0;g=j+4|0;h=j;e=(i[a+11>>0]|0)<0?k[a>>2]|0:a;d=e+c|0;k[h>>2]=e+b;e=d;if((b|0)>=(c|0)){h=0;r=j;return h|0}a=0;do{k[g>>2]=e;k[f>>2]=k[g>>2];uA(h,f)|0;a=a+1|0}while((k[h>>2]|0)>>>0<d>>>0);r=j;return a|0}function DE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;if(c>>>0>1073741807)LM(a);do if(c>>>0<2)i[a+8+3>>0]=c;else{d=c+4&-4;if(d>>>0>1073741823){c=gb(4)|0;doa(c);Wb(c|0,4496,348)}else{e=ZL(d<<2)|0;k[a>>2]=e;k[a+8>>2]=d|-2147483648;k[a+4>>2]=c;a=e;break}}while(0);Saa(a,b,c)|0;k[a+(c<<2)>>2]=0;return}function EE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;if(b>>>0>1073741807)LM(a);do if(b>>>0<2)i[a+8+3>>0]=b;else{d=b+4&-4;if(d>>>0>1073741823){c=gb(4)|0;doa(c);Wb(c|0,4496,348)}else{e=ZL(d<<2)|0;k[a>>2]=e;k[a+8>>2]=d|-2147483648;k[a+4>>2]=b;a=e;break}}while(0);Raa(a,b,c)|0;k[a+(b<<2)>>2]=0;return}function FE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if(d&2048){i[a>>0]=43;a=a+1|0}if(d&512){i[a>>0]=35;a=a+1|0}while(1){e=i[b>>0]|0;if(!(e<<24>>24))break;i[a>>0]=e;b=b+1|0;a=a+1|0}a:do switch(d&74){case 64:{i[a>>0]=111;break}case 8:if(!(d&16384)){i[a>>0]=120;break a}else{i[a>>0]=88;break a}default:if(c){i[a>>0]=100;break a}else{i[a>>0]=117;break a}}while(0);return}function GE(a){a=a|0;var b=0,c=0;do if(!a){if(!(k[4936]|0))b=0;else b=GE(k[4936]|0)|0;zb(76560);a=k[19139]|0;if(a)do{if((k[a+76>>2]|0)>-1)c=Iqa(a)|0;else c=0;if((k[a+20>>2]|0)>>>0>(k[a+28>>2]|0)>>>0)b=xF(a)|0|b;if(c|0)Hqa(a);a=k[a+56>>2]|0}while((a|0)!=0);Gb(76560)}else{if((k[a+76>>2]|0)<=-1){b=xF(a)|0;break}c=(Iqa(a)|0)==0;b=xF(a)|0;if(!c)Hqa(a)}while(0);return b|0}function HE(a){a=a|0;var b=0,c=0,d=0,e=0;Wx(a+12|0,k[a+16>>2]|0);b=k[a>>2]|0;if(!b)return;d=a+4|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{e=c+-8|0;k[d>>2]=e;EO(c+-4|0);EO(e);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[a>>2]|0}zqa(b);return}function IE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;d=e;c=k[b>>2]|0;if(!c)c=0;else c=pw(c,24,56,0)|0;_V(d,c);c=k[d>>2]|0;if(c|0){b=(k[c+68>>2]|0)!=(k[a+68>>2]|0);EO(d);d=b;r=e;return d|0}EO(d);c=k[b>>2]|0;if(!c){d=0;r=e;return d|0}d=(pw(c,24,72,0)|0)!=0;r=e;return d|0}function JE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;f=h+4|0;c=h;k[c>>2]=b;g=a+336|0;d=a+340|0;e=k[d>>2]|0;if((e|0)==(k[a+344>>2]|0)){dz(g,c);a=k[d>>2]|0}else{k[e>>2]=b;a=(k[d>>2]|0)+4|0;k[d>>2]=a}g=k[g>>2]|0;k[f>>2]=977;wg(g,a,f);r=h;return}function KE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;f=h+4|0;c=h;k[c>>2]=b;g=a+324|0;d=a+328|0;e=k[d>>2]|0;if((e|0)==(k[a+332>>2]|0)){dz(g,c);a=k[d>>2]|0}else{k[e>>2]=b;a=(k[d>>2]|0)+4|0;k[d>>2]=a}g=k[g>>2]|0;k[f>>2]=977;wg(g,a,f);r=h;return}function LE(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;h=r;r=r+256|0;g=h;do if((c|0)>(d|0)&(e&73728|0)==0){e=c-d|0;jJ(g|0,b|0,(e>>>0>256?256:e)|0)|0;b=k[a>>2]|0;f=(b&32|0)==0;if(e>>>0>255){c=c-d|0;do{if(f){Rz(g,256,a)|0;b=k[a>>2]|0}e=e+-256|0;f=(b&32|0)==0}while(e>>>0>255);if(f)e=c&255;else break}else if(!f)break;Rz(g,e,a)|0}while(0);r=h;return}function ME(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=13364;d=a+72|0;k[d>>2]=13540;TG(a+92|0,k[a+96>>2]|0);k[d>>2]=13580;d=a+76|0;b=k[d>>2]|0;if(!b)return;c=a+80|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-4|0;k[c>>2]=e;EO(e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}zqa(b);return}function NE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(!((a|0)!=0&(b|0)!=0&(c|0)!=0))return;if((k[a+16>>2]|0)!=5)eb(39315,39052,620,39342);if(k[c>>2]|0)eb(39361,39052,621,39342);d=pd((JI(b)|0)+1|0)|0;if(!d){mN(45154,15,1,k[4849]|0)|0;Zb(1)}wma(d,b)|0;k[c+12>>2]=d;k[c>>2]=a;a=a+24|0;b=a+4|0;d=k[b>>2]|0;k[c+4>>2]=d;k[c+8>>2]=0;if(!d)k[a>>2]=c;else k[d+8>>2]=c;k[b>>2]=c;return}function OE(a){a=a|0;var b=0,c=0,d=0,e=0;e=r;r=r+16|0;b=e+4|0;d=e;c=k[a+68>>2]|0;if((c|0)==(k[a+64>>2]|0)){d=0;r=e;return d|0}rT(b,c+-4|0);a=k[b>>2]|0;k[d>>2]=a;y=0;a=qa(k[(k[a>>2]|0)+108>>2]|0,a|0)|0;c=y;y=0;if(c&1){e=pb()|0;EO(d);sb(e|0)}EO(d);d=a;r=e;return d|0}function PE(a){a=a|0;var b=0,c=0;b=j1(a)|0;if(!b)b=0;else b=ny(b)|0;b=b|0?b:a;if(!b){c=0;return c|0}a=i[32571]|0;a:do if(a<<24>>24){c=32571;while(1){if((i[b>>0]|0)!=a<<24>>24){b=0;break}b=b+1|0;c=c+1|0;a=i[c>>0]|0;if(!(a<<24>>24))break a}return b|0}while(0);c=aP(b)|0;return c|0}function QE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=6908;EO(a+80|0);d=a+68|0;b=k[d>>2]|0;if(!b){k[a>>2]=5436;e=a+64|0;EO(e);zqa(a);return}e=a+72|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-12|0;k[e>>2]=f;$9(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b);k[a>>2]=5436;f=a+64|0;EO(f);zqa(a);return}function RE(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=fh(a,i,h,d,e,f,25752,25784)|0;r=g;return f|0}function SE(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=sh(a,i,h,d,e,f,52288,52296)|0;r=g;return f|0}function TE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;pK(a,b);e=a+11|0;c=i[e>>0]|0;if(c<<24>>24<0)f=k[a+4>>2]|0;else f=c&255;if(!f)return;b=0;while(1){c=c<<24>>24<0;if(c)d=k[a>>2]|0;else d=a;if((i[d+b>>0]|0)==95){if(c)c=k[a>>2]|0;else c=a;i[c+b>>0]=45}b=b+1|0;if((b|0)==(f|0))break;c=i[e>>0]|0}return}function UE(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=ph(a,i,h,d,e,f)|0;r=g;return f|0}function VE(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=qh(a,i,h,d,e,f)|0;r=g;return f|0}function WE(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=rh(a,i,h,d,e,f)|0;r=g;return f|0}function XE(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Mh(a,i,h,d,e,f)|0;r=g;return f|0}function YE(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Nh(a,i,h,d,e,f)|0;r=g;return f|0}function ZE(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Oh(a,i,h,d,e,f)|0;r=g;return f|0}function _E(a,b){a=+a;b=b|0;var c=0;if((b|0)>1023){a=a*8988465674311579538646525.0e283;c=b+-1023|0;b=b+-2046|0;if((c|0)>1023){a=a*8988465674311579538646525.0e283;b=(b|0)>1023?1023:b}else b=c}else if((b|0)<-1022){a=a*2.2250738585072014e-308;c=b+1022|0;b=b+2044|0;if((c|0)<-1022){a=a*2.2250738585072014e-308;b=(b|0)<-1022?-1022:b}else b=c}b=MU(b+1023|0,0,52)|0;c=N;k[u>>2]=b;k[u+4>>2]=c;return +(a*+p[u>>3])}function $E(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=i[a+11>>0]|0;g=f<<24>>24<0;if(g)f=k[a+4>>2]|0;else f=f&255;if((e|0)==-1|f>>>0<b>>>0)KM(a);f=f-b|0;c=f>>>0<c>>>0?f:c;if(g)a=k[a>>2]|0;f=c>>>0>e>>>0;a=n9(a+b|0,d,f?e:c)|0;if(!a)return (c>>>0<e>>>0?-1:f&1)|0;else return a|0;return 0}function aF(a){a=a|0;var b=0,c=0,d=0,e=0;e=r;r=r+16|0;b=e+4|0;d=e;c=k[a+64>>2]|0;if((k[a+68>>2]|0)==(c|0)){d=0;r=e;return d|0}rT(b,c);a=k[b>>2]|0;k[d>>2]=a;y=0;a=qa(k[(k[a>>2]|0)+104>>2]|0,a|0)|0;c=y;y=0;if(c&1){e=pb()|0;EO(d);sb(e|0)}EO(d);d=a;r=e;return d|0}function bF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Hh(a,i,h,d,e,f)|0;r=g;return f|0}function cF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=ai(a,i,h,d,e,f)|0;r=g;return f|0}function dF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=xh(a,i,h,d,e,f)|0;r=g;return f|0}function eF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Fh(a,i,h,d,e,f)|0;r=g;return f|0}function fF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Gh(a,i,h,d,e,f)|0;r=g;return f|0}function gF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Rh(a,i,h,d,e,f)|0;r=g;return f|0}function hF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=_h(a,i,h,d,e,f)|0;r=g;return f|0}function iF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=$h(a,i,h,d,e,f)|0;r=g;return f|0}function jF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=Qj(c,a,e,f,4)|0;if(!(k[e>>2]&4)){if((a|0)<69)a=a+2e3|0;else a=(a|0)<100?a+1900|0:a;k[b>>2]=a+-1900}r=g;return}function kF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,4)|0;if(!(k[e>>2]&4)){if((a|0)<69)a=a+2e3|0;else a=(a|0)<100?a+1900|0:a;k[b>>2]=a+-1900}r=g;return}function lF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=yh(a,i,h,d,e,f)|0;r=g;return f|0}function mF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Ih(a,i,h,d,e,f)|0;r=g;return f|0}function nF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Sh(a,i,h,d,e,f)|0;r=g;return f|0}function oF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=bi(a,i,h,d,e,f)|0;r=g;return f|0}function pF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=0;a:do switch((k[c+4>>2]&176)<<24>>24){case 16:{c=i[a>>0]|0;switch(c<<24>>24){case 43:case 45:{a=a+1|0;break a}default:{}}if((b-a|0)>1&c<<24>>24==48){switch(i[a+1>>0]|0){case 88:case 120:break;default:{d=7;break a}}a=a+2|0}else d=7;break}case 32:{a=b;break}default:d=7}while(0);return a|0}function qF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=0;do if((a|0)==-1)a=-1;else{if((k[b+76>>2]|0)>-1)e=Iqa(b)|0;else e=0;if(!(k[b+8>>2]|0)){if(!(VH(b)|0))c=6}else c=6;if((c|0)==6){c=b+4|0;d=k[c>>2]|0;if(d>>>0>((k[b+44>>2]|0)+-8|0)>>>0){d=d+-1|0;k[c>>2]=d;i[d>>0]=a;k[b>>2]=k[b>>2]&-17;if(!e)break;Hqa(b);break}}if(!e)a=-1;else{Hqa(b);a=-1}}while(0);return a|0}function rF(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)!=33){c=0;return c|0}a=vt(a+1|0)|0;if(!a){c=0;return c|0}b=i[32548]|0;a:do if(b<<24>>24){c=32548;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function sF(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=a+12|0;vx(f);d=a+16|0;b=k[d>>2]|0;e=a+20|0;c=k[e>>2]|0;if((b|0)!=(c|0)){a=b;do{zqa(k[a>>2]|0);a=a+4|0}while((a|0)!=(c|0));a=k[d>>2]|0;b=k[e>>2]|0;if((b|0)!=(a|0))k[e>>2]=b+(~((b+-4-a|0)>>>2)<<2)}a=k[f>>2]|0;if(!a)return;zqa(a);return}function tF(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)!=33){c=0;return c|0}a=vt(a+1|0)|0;if(!a){c=0;return c|0}b=i[32531]|0;a:do if(b<<24>>24){c=32531;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function uF(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)!=33){c=0;return c|0}a=vt(a+1|0)|0;if(!a){c=0;return c|0}b=i[32516]|0;a:do if(b<<24>>24){c=32516;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function vF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1320,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function wF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1272,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function xF(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;c=0;f=a+20|0;g=a+28|0;if((k[f>>2]|0)>>>0>(k[g>>2]|0)>>>0){rc[k[a+36>>2]&255](a,0,0)|0;if(!(k[f>>2]|0))b=-1;else c=3}else c=3;if((c|0)==3){b=a+4|0;c=k[b>>2]|0;d=a+8|0;e=k[d>>2]|0;if(c>>>0<e>>>0)rc[k[a+40>>2]&255](a,c-e|0,1)|0;k[a+16>>2]=0;k[g>>2]=0;k[f>>2]=0;k[d>>2]=0;k[b>>2]=0;b=0}return b|0}function yF(a){a=a|0;var b=0,c=0,d=0,e=0;e=r;r=r+16|0;d=e;a:do if(i[a+82>>0]|0){b=k[a+64>>2]|0;c=k[a+68>>2]|0;if((b|0)!=(c|0)){a=b;while(1){rT(d,a);b=k[d>>2]|0;if(i[b+77>>0]|0)break;EO(d);a=a+4|0;if((a|0)==(c|0))break a}d=b;r=e;return d|0}}while(0);_V(d,0);d=k[d>>2]|0;r=e;return d|0}function zF(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)!=33){c=0;return c|0}a=vt(a+1|0)|0;if(!a){c=0;return c|0}b=i[32524]|0;a:do if(b<<24>>24){c=32524;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function AF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1304,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function BF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1184,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function CF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,368,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function DF(a){a=a|0;var b=0,c=0,d=0,e=0;e=r;r=r+16|0;d=e;a:do if(i[a+81>>0]|0){b=k[a+64>>2]|0;c=k[a+68>>2]|0;if((b|0)!=(c|0)){a=b;while(1){rT(d,a);b=k[d>>2]|0;if(i[b+76>>0]|0)break;EO(d);a=a+4|0;if((a|0)==(c|0))break a}d=b;r=e;return d|0}}while(0);_V(d,0);d=k[d>>2]|0;r=e;return d|0}function EF(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[45696]|0;a:do if(b<<24>>24){c=45696;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);while(1){if(baa(a)|0){b=7;break}c=a;a=Lja(a)|0;if((a|0)==(c|0)|(a|0)==0){a=0;b=7;break}}if((b|0)==7)return a|0;return 0}function FF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,352,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function GF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1080,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function HF(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a+24>>2]|0;c=b;if(b|0){d=a+28|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}b=k[a+12>>2]|0;c=b;if(b|0){d=a+16|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}d=k[a>>2]|0;if(!d)return;b=a+4|0;c=k[b>>2]|0;if((c|0)!=(d|0))k[b>>2]=c+(~((c+-4-d|0)>>>2)<<2);zqa(d);return}function IF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,24,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function JF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,176,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function KF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1112,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function LF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,56,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function MF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,72,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function NF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,288,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function OF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,304,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function PF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,160,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function QF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,520,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function RF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1440,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function SF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,272,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function TF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,384,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function UF(a,b){a=a|0;b=b|0;if(!a){b=0;return b|0}while(1){if((tu(a,b)|0)!=(a+4|0)){a=1;b=4;break}a=k[a+12>>2]|0;if(!a){a=0;b=4;break}}if((b|0)==4)return a|0;return 0}function VF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,488,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function WF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,320,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function XF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1168,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function YF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1336,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function ZF(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,400,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function _F(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,536,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function $F(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,104,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function aG(a){a=a|0;var b=0,c=0,d=0,e=0;b=ZL(60)|0;y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);sb(e|0)}else{c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;k[b>>2]=11032;k[b+56>>2]=8;return b|0}return 0}function bG(a){a=a|0;var b=0,c=0,d=0,e=0;c=a+68|0;b=k[c>>2]|0;d=(k[a+72>>2]|0)-b>>2;a:do if(d|0){b=k[b>>2]|0;if(oc[k[(k[b>>2]|0)+80>>2]&511](b)|0){d=1;return d|0}else b=1;while(1){if(b>>>0>=d>>>0)break a;e=k[(k[c>>2]|0)+(b<<2)>>2]|0;if(oc[k[(k[e>>2]|0)+80>>2]&511](e)|0){b=1;break}else b=b+1|0}return b|0}while(0);e=(k[a+52>>2]|0)==7;return e|0}function cG(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=6908;EO(a+80|0);d=a+68|0;b=k[d>>2]|0;if(!b){k[a>>2]=5436;a=a+64|0;EO(a);return}e=a+72|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-12|0;k[e>>2]=f;$9(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b);k[a>>2]=5436;f=a+64|0;EO(f);return}function dG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,504,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function eG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1232,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function fG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,336,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function gG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1400,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function hG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=Qj(c,a,e,f,2)|0;c=k[e>>2]|0;if((a+-1|0)>>>0<12&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function iG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,2)|0;c=k[e>>2]|0;if((a+-1|0)>>>0<12&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function jG(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44148,4);y=0;Na(139,a+4|0,c|0,b|0);b=y;y=0;if(b&1){d=pb()|0;$9(c);sb(d|0)}else{$9(c);r=d;return}}function kG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1384,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function lG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1128,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function mG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1200,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function nG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,624,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function oG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1216,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function pG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,552,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function qG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,448,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function rG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=Qj(c,a,e,f,2)|0;c=k[e>>2]|0;if((a+-1|0)>>>0<31&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function sG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=Qj(c,a,e,f,3)|0;c=k[e>>2]|0;if((a|0)<366&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function tG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,2)|0;c=k[e>>2]|0;if((a+-1|0)>>>0<31&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function uG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,3)|0;c=k[e>>2]|0;if((a|0)<366&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function vG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,8,680,0)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function wG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,568,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function xG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,1368,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function yG(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;pK(c,b+60|0);y=0;a=qa(466,((i[c+11>>0]|0)<0?k[c>>2]|0:c)|0)|0;b=y;y=0;if(b&1){d=pb()|0;$9(c);sb(d|0)}else{$9(c);r=d;return a|0}return 0}function zG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,216,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function AG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(!(k[a+64>>2]|0)){e=-1;return e|0}e=a+12|0;d=k[e>>2]|0;if((k[a+8>>2]|0)>>>0>=d>>>0){e=-1;return e|0}if((b|0)==-1){k[e>>2]=d+-1;e=0;return e|0}if(!(k[a+88>>2]&16)){c=b&255;a=d+-1|0;if(c<<24>>24!=(i[a>>0]|0)){e=-1;return e|0}}else{c=b&255;a=d+-1|0}k[e>>2]=a;i[a>>0]=c;e=b;return e|0}function BG(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;pK(c,b+64|0);y=0;a=qa(468,((i[c+11>>0]|0)<0?k[c>>2]|0:c)|0)|0;b=y;y=0;if(b&1){d=pb()|0;$9(c);sb(d|0)}else{$9(c);r=d;return a|0}return 0}function CG(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){Lt(a,0)|0;c=0;d=0;b=0}else{b=pw(b,584,680,-2)|0;Lt(a,b)|0;if(!b){c=0;d=0;b=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}}if(!(c|d)){a=b;return a|0}a=Mg(a,b)|0;return a|0}function DG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=Qj(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<13&(c&4|0)==0)k[b>>2]=a+-1;else k[e>>2]=c|4;r=g;return}function EG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<13&(c&4|0)==0)k[b>>2]=a+-1;else k[e>>2]=c|4;r=g;return}function FG(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;pK(c,b+60|0);y=0;a=qa(467,((i[c+11>>0]|0)<0?k[c>>2]|0:c)|0)|0;b=y;y=0;if(b&1){d=pb()|0;$9(c);sb(d|0)}else{$9(c);r=d;return a|0}return 0}function GG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=Qj(c,a,e,f,1)|0;c=k[e>>2]|0;if((a|0)<7&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function HG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=Qj(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<61&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function IG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=Qj(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<60&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function JG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,1)|0;c=k[e>>2]|0;if((a|0)<7&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function KG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<61&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function LG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<60&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function MG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=Qj(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<24&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function NG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<24&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function OG(a,b){a=+a;b=b|0;var c=0,d=0,e=0;p[u>>3]=a;c=k[u>>2]|0;d=k[u+4>>2]|0;e=xV(c|0,d|0,52)|0;switch(e&2047){case 0:{if(a!=0.0){a=+OG(a*18446744073709551616.0,b);c=(k[b>>2]|0)+-64|0}else c=0;k[b>>2]=c;break}case 2047:break;default:{k[b>>2]=(e&2047)+-1022;k[u>>2]=c;k[u+4>>2]=d&-2146435073|1071644672;a=+p[u>>3]}}return +a}function PG(a){a=a|0;var b=0,c=0;b=w2(a)|0;if(!b){c=i[a>>0]|0;b=a+1|0;if((c|4)<<24>>24!=13){c=c<<24>>24|0;b=(c|0)!=10?((c|0)==12?b:0):b;if(!b)return a|0}}while(1){c=w2(b)|0;if(c|0){b=c;continue}c=i[b>>0]|0;a=b+1|0;if((c|4)<<24>>24==13){b=a;continue}c=c<<24>>24|0;c=(c|0)!=10?((c|0)==12?a:0):a;if(!c)break;else b=c}return b|0}function QG(a,b){a=a|0;b=b|0;var c=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;i[a+128>>0]=0;do if(b|0){y=0;oa(664,a|0,b|0);c=y;y=0;if(c&1){c=pb()|0;aL(a);sb(c|0)}else{iO(a,b);break}}while(0);return}function RG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0;d=r;r=r+16|0;c=d;e=+p[b+64>>3];dp(c,b);y=0;a=Oa(1,+e,((i[c+11>>0]|0)<0?k[c>>2]|0:c)|0)|0;b=y;y=0;if(b&1){d=pb()|0;$9(c);sb(d|0)}else{$9(c);r=d;return a|0}return 0}function SG(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a+76>>2]|0;d=(k[a+80>>2]|0)-b>>2;if(!d){d=0;return d|0}c=a+76|0;a=k[b>>2]|0;a=oc[k[(k[a>>2]|0)+156>>2]&511](a)|0;if((d|0)==1){d=a;return d|0}else b=1;do{e=k[(k[c>>2]|0)+(b<<2)>>2]|0;e=oc[k[(k[e>>2]|0)+156>>2]&511](e)|0;a=a>>>0<e>>>0?e:a;b=b+1|0}while((b|0)!=(d|0));return a|0}function TG(a,b){a=a|0;b=b|0;if(!b)return;else{TG(a,k[b>>2]|0);TG(a,k[b+4>>2]|0);EO(b+16|0);zqa(b);return}}function UG(a,b){a=a|0;b=b|0;var c=0;c=pw(b,88,104,0)|0;if(c|0){b=Fc[k[(k[a>>2]|0)+164>>2]&2047](a,c)|0;return b|0}c=pw(b,88,160,0)|0;if(c|0){b=Fc[k[(k[a>>2]|0)+140>>2]&2047](a,c)|0;return b|0}c=pw(b,88,176,0)|0;if(!c){b=(a|0)==(b|0);return b|0}else{b=Fc[k[(k[a>>2]|0)+140>>2]&2047](a,c)|0;return b|0}return 0}function VG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;po(a);d=a+16|0;Vz(d,c);e=a+88|0;f=k[e>>2]|0;if(f|0){Vz(d,f);k[e>>2]=0}Ks(a,b);Cw(d,c);return}function WG(a){a=a|0;var b=0;b=0;y=0;qa(442,77272)|0;a=y;y=0;if(a&1)b=6;else{y=0;qa(470,77356)|0;a=y;y=0;if(a&1)b=6;else{y=0;qa(442,77608)|0;a=y;y=0;if(!(a&1)){y=0;qa(470,77692)|0;a=y;y=0;if(!(a&1))return}a=tb(0)|0}}if((b|0)==6)a=tb(0)|0;dla(a)}function XG(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;e=i[b+11>>0]|0;f=e<<24>>24<0;e=f?k[b+4>>2]|0:e&255;if(e>>>0<c>>>0)KM(a);else{e=e-c|0;jI(a,(f?k[b>>2]|0:b)+c|0,e>>>0<d>>>0?e:d);return}}function YG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=r;r=r+16|0;f=e+4|0;c=e;d=a+96|0;i[d>>0]=1;rT(f,b+64|0);b=k[f>>2]|0;k[c>>2]=b;y=0;oa(k[(k[b>>2]|0)+40>>2]|0,b|0,a|0);b=y;y=0;if(b&1){f=pb()|0;EO(c);sb(f|0)}else{EO(c);i[d>>0]=0;r=e;return}}function ZG(a){a=a|0;var b=0,c=0,d=0,e=0;e=r;r=r+16|0;b=e+4|0;d=e;c=k[a+68>>2]|0;if((k[a+64>>2]|0)==(c|0)){r=e;return}rT(b,c+-4|0);a=k[b>>2]|0;k[d>>2]=a;if(!a){EO(d);r=e;return}a=pw(a,40,432,0)|0;EO(d);if(!a){r=e;return}lc[k[(k[a>>2]|0)+112>>2]&511](a);r=e;return}function _G(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=r;r=r+32|0;d=e+16|0;c=e;if(!(Ty(50732,i[b>>0]|0,4)|0)){a=v9()|0;k[a>>2]=22;a=0}else{f=mM(b)|0|32768;k[c>>2]=a;k[c+4>>2]=f;k[c+8>>2]=438;c=m9(Mb(5,c|0)|0)|0;if((c|0)<0)a=0;else{a=lr(c,b)|0;if(!a){k[d>>2]=c;Sb(6,d|0)|0;a=0}}}r=e;return a|0}function $G(a){a=a|0;var b=0;a=Sl(a)|0;if(!a){a=0;return a|0}b=i[a>>0]|0;b=b<<24>>24|0;a=(b|0)==37?0:(b|0)==40?a:0;return a|0}function aH(a,b){a=a|0;b=b|0;if(!b)return;else{aH(a,k[b>>2]|0);aH(a,k[b+4>>2]|0);zqa(b);return}}function bH(a){a=a|0;var b=0,c=0,d=0,e=0;e=r;r=r+16|0;b=e+4|0;d=e;c=k[a+64>>2]|0;if((c|0)==(k[a+68>>2]|0)){r=e;return}rT(b,c);a=k[b>>2]|0;k[d>>2]=a;if(!a){EO(d);r=e;return}a=pw(a,40,432,0)|0;EO(d);if(!a){r=e;return}lc[k[(k[a>>2]|0)+116>>2]&511](a);r=e;return}function cH(a,b){a=a|0;b=b|0;if(!b)return;else{cH(a,k[b>>2]|0);cH(a,k[b+4>>2]|0);$9(b+16|0);zqa(b);return}}function dH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h;if((a|0)==(b|0)){k[c>>2]=4;d=0.0}else{f=v9()|0;g=k[f>>2]|0;k[f>>2]=0;d=+Tka(a,e,gN()|0);a=k[f>>2]|0;if(!a)k[f>>2]=g;if((k[e>>2]|0)==(b|0)){if((a|0)==34)k[c>>2]=4}else{k[c>>2]=4;d=0.0}}r=h;return +d}function eH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h;if((a|0)==(b|0)){k[c>>2]=4;d=0.0}else{f=v9()|0;g=k[f>>2]|0;k[f>>2]=0;d=+Tka(a,e,gN()|0);a=k[f>>2]|0;if(!a)k[f>>2]=g;if((k[e>>2]|0)==(b|0)){if((a|0)==34)k[c>>2]=4}else{k[c>>2]=4;d=0.0}}r=h;return +d}function fH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h;if((a|0)==(b|0)){k[c>>2]=4;d=0.0}else{f=v9()|0;g=k[f>>2]|0;k[f>>2]=0;d=+Tka(a,e,gN()|0);a=k[f>>2]|0;if(!a)k[f>>2]=g;if((k[e>>2]|0)==(b|0)){if((a|0)==34)k[c>>2]=4}else{k[c>>2]=4;d=0.0}}r=h;return +d}function gH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;a:do if(c>>>0<d>>>0){f=b+4|0;while(1){switch(i[c>>0]|0){case 0:break a;case 10:{k[b>>2]=(k[b>>2]|0)+1;e=0;break}default:e=(k[f>>2]|0)+1|0}k[f>>2]=e;c=c+1|0;if(c>>>0>=d>>>0)break a}}while(0);k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];return}function hH(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+4|0}while((c|0)!=(a|0));return b|0}function iH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0,g=0,h=0;h=r;r=r+112|0;g=h;e=g;f=e+112|0;do{k[e>>2]=0;e=e+4|0}while((e|0)<(f|0));e=g+4|0;k[e>>2]=a;f=g+8|0;k[f>>2]=-1;k[g+44>>2]=a;k[g+76>>2]=-1;vO(g,0);d=+Gd(g,c,1);c=(k[e>>2]|0)-(k[f>>2]|0)+(k[g+108>>2]|0)|0;if(b|0)k[b>>2]=c|0?a+c|0:a;r=h;return +d}function jH(a){a=a|0;var b=0;b=r;r=r+16|0;y=0;la(a|0);a=y;y=0;if(!(a&1)){y=0;oa(668,54509,b|0);y=0}a=tb(0)|0;vb(a|0)|0;y=0;oa(668,54549,b+8|0);y=0;a=tb(0)|0;y=0;la(3);b=y;y=0;if(b&1){b=tb(0)|0;dla(b)}else dla(a)}function kH(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a+76>>2]|0;d=(k[a+80>>2]|0)-b>>2;if(!d){d=0;return d|0}c=a+76|0;a=k[b>>2]|0;a=oc[k[(k[a>>2]|0)+112>>2]&511](a)|0;if((d|0)==1){d=a;return d|0}else b=1;do{e=k[(k[c>>2]|0)+(b<<2)>>2]|0;a=(oc[k[(k[e>>2]|0)+112>>2]&511](e)|0)+a|0;b=b+1|0}while((b|0)!=(d|0));return a|0}function lH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;d=e+8|0;c=gb(16)|0;Lca()|0;k[e>>2]=a;k[e+4>>2]=80064;y=0;k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];Na(155,c|0,d|0,b|0);b=y;y=0;if(b&1){e=pb()|0;fb(c|0);sb(e|0)}else Wb(c|0,4368,339)}function mH(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+4|0}while((c|0)!=(a|0));return b|0}function nH(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;k[a>>2]=k[e>>2];k[a+4>>2]=k[e+4>>2];k[a+8>>2]=k[e+8>>2];k[a+12>>2]=b;k[a+16>>2]=c;c=f;e=k[c+4>>2]|0;f=a+20|0;k[f>>2]=k[c>>2];k[f+4>>2]=e;f=a+28|0;k[f>>2]=k[d>>2];k[f+4>>2]=k[d+4>>2];k[f+8>>2]=k[d+8>>2];return}function oH(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+4|0}while((c|0)!=(a|0));return b|0}function pH(a,b){a=a|0;b=b|0;switch(k[b>>2]|0){case 1:{b=i[b+4>>0]|0;if(b<<24>>24>63)b=61;else b=i[47557+(b<<24>>24)>>0]|0;i[a>>0]=b;i[a+1>>0]=61;i[a+2>>0]=61;b=a+3|0;break}case 2:{b=i[b+4>>0]|0;if(b<<24>>24>63)b=61;else b=i[47557+(b<<24>>24)>>0]|0;i[a>>0]=b;i[a+1>>0]=61;b=a+2|0;break}default:b=a}i[b>>0]=10;return b+1-a|0}function qH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;f=r;r=r+16|0;d=f;e=pd(240)|0;do if(!e)d=-1;else{k[d>>2]=k[c>>2];d=iA(e,240,b,d)|0;if(d>>>0<240){c=BH(e,d+1|0)|0;k[a>>2]=c|0?c:e;break}Pf(e);if((d|0)<0)d=-1;else{d=d+1|0;e=pd(d)|0;k[a>>2]=e;if(!e)d=-1;else d=iA(e,d,b,c)|0}}while(0);r=f;return d|0}function rH(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-60|0;k[e>>2]=9912;c=e+60|0;k[c>>2]=10032;EO(e+80|0);k[c>>2]=10072;c=e+64|0;a=k[c>>2]|0;if(!a){zqa(e);return}d=e+68|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-4|0;k[d>>2]=f;EO(f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}zqa(a);zqa(e);return}function sH(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+4|0}while((c|0)!=(a|0));return b|0}function tH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=r;r=r+16|0;f=d+4|0;c=d;e=k[(k[a>>2]|0)+12>>2]|0;rT(f,b+64|0);b=k[f>>2]|0;k[c>>2]=b;y=0;oa(e|0,a|0,b|0);b=y;y=0;if(b&1){f=pb()|0;EO(c);sb(f|0)}else{EO(c);r=d;return}}function uH(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+4|0}while((c|0)!=(a|0));return b|0}function vH(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+4|0}while((c|0)!=(a|0));return b|0}function wH(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;pK(c,b+64|0);y=0;Na(139,a+4|0,c|0,b|0);b=y;y=0;if(b&1){d=pb()|0;$9(c);sb(d|0)}else{$9(c);r=d;return}}function xH(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+4|0}while((c|0)!=(a|0));return b|0}function yH(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;pK(c,b+60|0);y=0;Na(139,a+4|0,c|0,b|0);b=y;y=0;if(b&1){d=pb()|0;$9(c);sb(d|0)}else{$9(c);r=d;return}}function zH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=r;r=r+16|0;f=d+4|0;c=d;e=k[(k[a>>2]|0)+12>>2]|0;rT(f,b+64|0);b=k[f>>2]|0;k[c>>2]=b;y=0;oa(e|0,a|0,b|0);b=y;y=0;if(b&1){f=pb()|0;EO(c);sb(f|0)}else{EO(c);r=d;return}}function AH(a){a=a|0;var b=0,c=0,d=0;d=a+68|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}b=(cn(a)|0)+-1640531527|0;c=k[d>>2]|0;c=b+(c<<6)+(c>>>2)^c;k[d>>2]=c;b=k[a+104>>2]|0;if(!b){d=c;return d|0}a=(oc[k[(k[b>>2]|0)+8>>2]&511](b)|0)+-1640531527|0;c=k[d>>2]|0;c=a+(c<<6)+(c>>>2)^c;k[d>>2]=c;d=c;return d|0}function BH(a,b){a=a|0;b=b|0;var c=0,d=0;if(!a){b=pd(b)|0;return b|0}if(b>>>0>4294967231){b=v9()|0;k[b>>2]=12;b=0;return b|0}c=sj(a+-8|0,b>>>0<11?16:b+11&-8)|0;if(c|0){b=c+8|0;return b|0}c=pd(b)|0;if(!c){b=0;return b|0}d=k[a+-4>>2]|0;d=(d&-8)-((d&3|0)==0?8:4)|0;GH(c|0,a|0,(d>>>0<b>>>0?d:b)|0)|0;Pf(a);b=c;return b|0}function CH(a){a=a|0;var b=0,c=0,d=0;d=a+68|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}b=(cn(a)|0)+-1640531527|0;c=k[d>>2]|0;c=b+(c<<6)+(c>>>2)^c;k[d>>2]=c;b=k[a+104>>2]|0;if(!b){d=c;return d|0}a=(oc[k[(k[b>>2]|0)+8>>2]&511](b)|0)+-1640531527|0;c=k[d>>2]|0;c=a+(c<<6)+(c>>>2)^c;k[d>>2]=c;d=c;return d|0}function DH(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;pK(c,b+60|0);y=0;Na(139,a+4|0,c|0,b|0);b=y;y=0;if(b&1){d=pb()|0;$9(c);sb(d|0)}else{$9(c);r=d;return}}function EH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=b+64|0;d=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>2;if(!d){e=0;return e|0}c=0;while(1){b=Fc[k[(k[e>>2]|0)+16>>2]&2047](e,c)|0;b=k[b>>2]|0;b=Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a)|0;c=c+1|0;if(b|0){c=5;break}if(c>>>0>=d>>>0){b=0;c=5;break}}if((c|0)==5)return b|0;return 0}function FH(a){a=a|0;var b=0,c=0;c=0;b=eV(a)|0;if(!b){if(a|0){b=a;c=4}}else while(1){c=eV(b)|0;if(!c){c=4;break}else b=c}if((c|0)==4)if((i[b>>0]|0)==46){b=eV(b+1|0)|0;if(b|0){while(1){c=eV(b)|0;if(!c)break;else b=c}return b|0}}a=eV(a)|0;return a|0}function GH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if((c|0)>=4096)return qb(a|0,b|0,c|0)|0;d=a|0;if((a&3)==(b&3)){while(a&3){if(!c)return d|0;i[a>>0]=i[b>>0]|0;a=a+1|0;b=b+1|0;c=c-1|0}while((c|0)>=4){k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0;c=c-4|0}}while((c|0)>0){i[a>>0]=i[b>>0]|0;a=a+1|0;b=b+1|0;c=c-1|0}return d|0}function HH(a){a=a|0;var b=0,c=0,d=0;d=0;if((k[a+76>>2]|0)<0)d=3;else if(!(Iqa(a)|0))d=3;else{b=a+4|0;c=k[b>>2]|0;if(c>>>0<(k[a+8>>2]|0)>>>0){k[b>>2]=c+1;b=l[c>>0]|0}else b=qN(a)|0}do if((d|0)==3){b=a+4|0;c=k[b>>2]|0;if(c>>>0<(k[a+8>>2]|0)>>>0){k[b>>2]=c+1;b=l[c>>0]|0;break}else{b=qN(a)|0;break}}while(0);return b|0}function IH(a){a=a|0;var b=0,c=0;a=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[a>>2]=14380;b=a+64|0;k[b>>2]=14420;k[a+8>>2]=14400;c=a+12|0;k[c>>2]=14240;$9(a+44|0);nba(c);zka(a,14472);dja(b);zqa(a);return}function JH(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;pK(c,b+60|0);y=0;Na(139,a+4|0,c|0,b|0);b=y;y=0;if(b&1){d=pb()|0;$9(c);sb(d|0)}else{$9(c);r=d;return}}function KH(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;pK(c,b+64|0);y=0;Na(139,a+4|0,c|0,b|0);b=y;y=0;if(b&1){d=pb()|0;$9(c);sb(d|0)}else{$9(c);r=d;return}}function LH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=k[a>>2]|0;e=k[b>>2]|0;c=e;if((d|0)==(e|0))return a|0;if(d){f=d+4|0;e=(k[f>>2]|0)+-1|0;k[f>>2]=e;if(!e)if(!(i[d+8>>0]|0)){lc[k[(k[d>>2]|0)+4>>2]&511](d);c=k[b>>2]|0}}k[a>>2]=c;b=c;if(!c)return a|0;f=b+4|0;k[f>>2]=(k[f>>2]|0)+1;i[b+8>>0]=0;return a|0}function MH(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=Qj(c,a,e,f,4)|0;if(!(k[e>>2]&4))k[b>>2]=a+-1900;r=g;return}function NH(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,4)|0;if(!(k[e>>2]&4))k[b>>2]=a+-1900;r=g;return}function OH(a){a=+a;var b=0,c=0,d=0,e=0;e=~~a;c=k[18826]|0;if(!c){e=0;return e|0}else{b=75304;d=c}a:while(1){c=d;while(1){if((k[c+16>>2]|0)>=(e|0))break;c=k[c+4>>2]|0;if(!c)break a}d=k[c>>2]|0;if(!d){b=c;break}else b=c}if((b|0)==75304){e=0;return e|0}if((k[b+16>>2]|0)>(e|0)){e=0;return e|0}e=k[b+20>>2]|0;return e|0}function PH(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;mc[k[(k[b>>2]|0)+148>>2]&1023](c,b);y=0;Na(139,a+4|0,c|0,b|0);b=y;y=0;if(b&1){d=pb()|0;$9(c);sb(d|0)}else{$9(c);r=d;return}}function QH(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0;l=r;r=r+16|0;g=l;i[g>>0]=37;h=g+1|0;i[h>>0]=e;j=g+2|0;i[j>>0]=f;i[g+3>>0]=0;if(f<<24>>24){i[h>>0]=f;i[j>>0]=e}j=b+(lb(b|0,(k[c>>2]|0)-b|0,g|0,d|0,k[a>>2]|0)|0)|0;k[c>>2]=j;r=l;return}function RH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;e=d+4|0;c=d;rT(e,b+60|0);b=k[e>>2]|0;k[c>>2]=b;y=0;a=Ha(k[(k[b>>2]|0)+64>>2]|0,b|0,a|0)|0;b=y;y=0;if(b&1){e=pb()|0;EO(c);sb(e|0)}else{EO(c);r=d;return a|0}return 0}function SH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=a+11|0;d=i[e>>0]|0;f=d<<24>>24<0;if(f)d=k[a+4>>2]|0;else d=d&255;do if(d>>>0<b>>>0)nD(a,b-d|0,c)|0;else if(f){i[(k[a>>2]|0)+b>>0]=0;k[a+4>>2]=b;break}else{i[a+b>>0]=0;i[e>>0]=b;break}while(0);return}function TH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;e=d+4|0;c=d;rT(e,b+64|0);b=k[e>>2]|0;k[c>>2]=b;y=0;a=Ha(k[(k[b>>2]|0)+48>>2]|0,b|0,a|0)|0;b=y;y=0;if(b&1){e=pb()|0;EO(c);sb(e|0)}else{EO(c);r=d;return a|0}return 0}function UH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;e=d+4|0;c=d;rT(e,b+64|0);b=k[e>>2]|0;k[c>>2]=b;y=0;a=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,a|0)|0;b=y;y=0;if(b&1){e=pb()|0;EO(c);sb(e|0)}else{EO(c);r=d;return a|0}return 0}function VH(a){a=a|0;var b=0,c=0;b=a+74|0;c=i[b>>0]|0;i[b>>0]=c+255|c;b=a+20|0;c=a+44|0;if((k[b>>2]|0)>>>0>(k[c>>2]|0)>>>0)rc[k[a+36>>2]&255](a,0,0)|0;k[a+16>>2]=0;k[a+28>>2]=0;k[b>>2]=0;b=k[a>>2]|0;if(!(b&20)){b=k[c>>2]|0;k[a+8>>2]=b;k[a+4>>2]=b;b=0}else if(!(b&4))b=-1;else{k[a>>2]=b|32;b=-1}return b|0}function WH(a){a=a|0;var b=0,c=0;b=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[b>>2]=14380;a=b+64|0;k[a>>2]=14420;k[b+8>>2]=14400;c=b+12|0;k[c>>2]=14240;$9(b+44|0);nba(c);zka(b,14472);dja(a);return}function XH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=a+12|0;g=a+16|0;e=0;while(1){if((e|0)>=(c|0))break;d=k[f>>2]|0;if(d>>>0<(k[g>>2]|0)>>>0){k[f>>2]=d+1;d=i[d>>0]|0}else{d=oc[k[(k[a>>2]|0)+40>>2]&511](a)|0;if((d|0)==-1)break;d=d&255}i[b>>0]=d;e=e+1|0;b=b+1|0}return e|0}function YH(a){a=a|0;var b=0;do if(!(i[71960]|0))if(eca(71960)|0){k[19760]=0;k[19761]=0;k[19762]=0;y=0;a=qa(472,24540)|0;b=y;y=0;if(!(b&1)){y=0;Na(150,79040,24540,a|0);b=y;y=0;if(!(b&1)){Pb(415,79040,x|0)|0;break}}b=pb()|0;sb(b|0)}while(0);return 79040}function ZH(a){a=a|0;var b=0;do if(!(i[71968]|0))if(eca(71968)|0){k[19763]=0;k[19764]=0;k[19765]=0;y=0;a=qa(472,24576)|0;b=y;y=0;if(!(b&1)){y=0;Na(150,79052,24576,a|0);b=y;y=0;if(!(b&1)){Pb(415,79052,x|0)|0;break}}b=pb()|0;sb(b|0)}while(0);return 79052}function _H(a){a=a|0;var b=0;do if(!(i[71976]|0))if(eca(71976)|0){k[19766]=0;k[19767]=0;k[19768]=0;y=0;a=qa(472,24624)|0;b=y;y=0;if(!(b&1)){y=0;Na(150,79064,24624,a|0);b=y;y=0;if(!(b&1)){Pb(415,79064,x|0)|0;break}}b=pb()|0;sb(b|0)}while(0);return 79064}function $H(a){a=a|0;var b=0;do if(!(i[71952]|0))if(eca(71952)|0){k[19757]=0;k[19758]=0;k[19759]=0;y=0;a=qa(472,24504)|0;b=y;y=0;if(!(b&1)){y=0;Na(150,79028,24504,a|0);b=y;y=0;if(!(b&1)){Pb(415,79028,x|0)|0;break}}b=pb()|0;sb(b|0)}while(0);return 79028}function aI(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=9912;d=a+60|0;k[d>>2]=10032;EO(a+80|0);k[d>>2]=10072;d=a+64|0;b=k[d>>2]|0;if(!b){zqa(a);return}e=a+68|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-4|0;k[e>>2]=f;EO(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b);zqa(a);return}function bI(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;i=r;r=r+112|0;g=i;k[g>>2]=0;h=g+4|0;k[h>>2]=a;k[g+44>>2]=a;f=g+8|0;k[f>>2]=(a|0)<0?-1:a+2147483647|0;k[g+76>>2]=-1;vO(g,0);c=Eg(g,c,1,d,e)|0;if(b|0)k[b>>2]=a+((k[h>>2]|0)+(k[g+108>>2]|0)-(k[f>>2]|0));r=i;return c|0}function cI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;e=d+4|0;c=d;rT(e,b+60|0);b=k[e>>2]|0;k[c>>2]=b;y=0;oa(k[(k[b>>2]|0)+40>>2]|0,b|0,a|0);b=y;y=0;if(b&1){e=pb()|0;EO(c);sb(e|0)}else{EO(c);r=d;return}}function dI(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;a=b+16|0;e=k[a>>2]|0;do if(!e){k[a>>2]=c;k[b+24>>2]=d;k[b+36>>2]=1}else{if((e|0)!=(c|0)){d=b+36|0;k[d>>2]=(k[d>>2]|0)+1;k[b+24>>2]=2;i[b+54>>0]=1;break}a=b+24|0;if((k[a>>2]|0)==2)k[a>>2]=d}while(0);return}function eI(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;g=0;a=b;while(1){if((d|0)==(e|0)){g=7;break}if((a|0)==(c|0)){a=-1;break}b=i[a>>0]|0;f=i[d>>0]|0;if(b<<24>>24<f<<24>>24){a=-1;break}if(f<<24>>24<b<<24>>24){a=1;break}d=d+1|0;a=a+1|0}if((g|0)==7)a=(a|0)!=(c|0)&1;return a|0}function fI(a,b){a=a|0;b=b|0;if(!b)return;else{fI(a,k[b>>2]|0);fI(a,k[b+4>>2]|0);zqa(b);return}}function gI(a){a=+a;var b=0,c=0,d=0,e=0;p[u>>3]=a;d=k[u>>2]|0;e=k[u+4>>2]|0;b=xV(d|0,e|0,52)|0;b=(b&2047)+-1011|0;if((b|0)<=63){c=(b|0)<12;b=xV(-1,-1,b|0)|0;b=c?-1:b;c=c?2147483647:N;if(!((b&d|0)==0&(c&e|0)==0)){k[u>>2]=d&~b;k[u+4>>2]=e&~c;a=+p[u>>3]}}return +a}function hI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;e=d+4|0;c=d;rT(e,b+72|0);b=k[e>>2]|0;k[c>>2]=b;y=0;oa(k[(k[b>>2]|0)+40>>2]|0,b|0,a|0);b=y;y=0;if(b&1){e=pb()|0;EO(c);sb(e|0)}else{EO(c);r=d;return}}function iI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(b>>>0>0|(b|0)==0&a>>>0>4294967295){while(1){d=ZP(a|0,b|0,10,0)|0;c=c+-1|0;i[c>>0]=d|48;d=a;a=Ada(a|0,b|0,10,0)|0;if(!(b>>>0>9|(b|0)==9&d>>>0>4294967295))break;else b=N}b=a}else b=a;if(b)while(1){c=c+-1|0;i[c>>0]=(b>>>0)%10|0|48;if(b>>>0<10)break;else b=(b>>>0)/10|0}return c|0}function jI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=0;if(c>>>0>4294967279)LM(a);if(c>>>0<11){i[a+11>>0]=c;if(c)d=6}else{e=c+16&-16;d=ZL(e)|0;k[a>>2]=d;k[a+8>>2]=e|-2147483648;k[a+4>>2]=c;a=d;d=6}if((d|0)==6)GH(a|0,b|0,c|0)|0;i[a+c>>0]=0;return}function kI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;e=d+4|0;c=d;rT(e,b+64|0);b=k[e>>2]|0;k[c>>2]=b;y=0;oa(k[(k[b>>2]|0)+40>>2]|0,b|0,a|0);b=y;y=0;if(b&1){e=pb()|0;EO(c);sb(e|0)}else{EO(c);r=d;return}}function lI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=a+12|0;g=a+16|0;e=0;while(1){if((e|0)>=(c|0))break;d=k[f>>2]|0;if(d>>>0<(k[g>>2]|0)>>>0){k[f>>2]=d+4;d=k[d>>2]|0}else{d=oc[k[(k[a>>2]|0)+40>>2]&511](a)|0;if((d|0)==-1)break}k[b>>2]=d;e=e+1|0;b=b+4|0}return e|0}function mI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=0;if(b>>>0>4294967279)LM(a);if(b>>>0<11){i[a+11>>0]=b;if(b)d=6}else{e=b+16&-16;d=ZL(e)|0;k[a>>2]=d;k[a+8>>2]=e|-2147483648;k[a+4>>2]=b;a=d;d=6}if((d|0)==6)jJ(a|0,c|0,b|0)|0;i[a+b>>0]=0;return}function nI(a){a=a|0;k[a>>2]=15100;$9(a+100|0);$9(a+88|0);$9(a+76|0);k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);zqa(a);return}function oI(a){a=a|0;var b=0,c=0;a=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[a>>2]=14324;b=a+56|0;k[b>>2]=14344;c=a+4|0;k[c>>2]=14240;$9(a+36|0);nba(c);Kka(a,14356);dja(b);zqa(a);return}function pI(a){a=a|0;var b=0,c=0;a=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[a>>2]=14204;b=a+60|0;k[b>>2]=14224;c=a+8|0;k[c>>2]=14240;$9(a+40|0);nba(c);Lka(a,14300);dja(b);zqa(a);return}function qI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;e=d+4|0;c=d;rT(e,b+64|0);b=k[e>>2]|0;k[c>>2]=b;y=0;oa(k[(k[b>>2]|0)+40>>2]|0,b|0,a|0);b=y;y=0;if(b&1){e=pb()|0;EO(c);sb(e|0)}else{EO(c);r=d;return}}function rI(a){a=a|0;k[a>>2]=15124;$9(a+100|0);$9(a+88|0);$9(a+76|0);k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);zqa(a);return}function sI(a){a=a|0;var b=0,c=0,d=0;b=a+44|0;d=k[b>>2]|0;c=k[a+24>>2]|0;if(d>>>0<c>>>0){k[b>>2]=c;d=c}if(!(k[a+48>>2]&8)){a=-1;return a|0}b=a+16|0;c=k[b>>2]|0;if(c>>>0<d>>>0){k[b>>2]=d;c=d}b=k[a+12>>2]|0;if(b>>>0>=c>>>0){a=-1;return a|0}a=l[b>>0]|0;return a|0}function tI(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-60|0;k[b>>2]=9912;d=b+60|0;k[d>>2]=10032;EO(b+80|0);k[d>>2]=10072;d=b+64|0;a=k[d>>2]|0;if(!a)return;c=b+68|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-4|0;k[c>>2]=e;EO(e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}zqa(a);return}function uI(a){a=a|0;var b=0,c=0,d=0,e=0;if((k[k[a+68>>2]>>2]|0)==3)return;e=a+4|0;c=i[e+11>>0]|0;d=c<<24>>24<0;if(d)b=k[a+8>>2]|0;else b=c&255;if(!b)return;if(d)b=k[a+8>>2]|0;else b=c&255;e=aN(e,b+-1|0)|0;if(dma(l[e>>0]|0)|0)if(!(i[a+84>>0]|0))return;k[a+76>>2]=1;return}function vI(a){a=a|0;var b=0,c=0;a=k[a+8>>2]|0;if(!a)b=1;else{y=0;a=qa(471,a|0)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!a)b=4;else{y=0;qa(471,a|0)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}else b=4}}return b|0}function wI(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;k[a+12>>2]=0;k[a+16>>2]=d;do if(!b)d=0;else{e=d+112|0;if(b>>>0<29&(i[e>>0]|0)==0){i[e>>0]=1;break}else{d=ZL(b<<2)|0;break}}while(0);k[a>>2]=d;c=d+(c<<2)|0;k[a+8>>2]=c;k[a+4>>2]=c;k[a+12>>2]=d+(b<<2);return}function xI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;f=r;r=r+16|0;e=f;d=i[a+11>>0]|0;if(d<<24>>24<0){d=k[a+4>>2]|0;a=k[a>>2]|0}else d=d&255;i[e>>0]=b;if(d>>>0>c>>>0){e=C4(a+c|0,d-c|0,e)|0;a=(e|0)==0?-1:e-a|0}else a=-1;r=f;return a|0}function yI(a){a=a|0;k[a>>2]=15100;$9(a+100|0);$9(a+88|0);$9(a+76|0);k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);return}function zI(a){a=a|0;var b=0,c=0;b=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[b>>2]=14324;a=b+56|0;k[a>>2]=14344;c=b+4|0;k[c>>2]=14240;$9(b+36|0);nba(c);Kka(b,14356);dja(a);return}function AI(a){a=a|0;var b=0,c=0;b=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[b>>2]=14204;a=b+60|0;k[a>>2]=14224;c=b+8|0;k[c>>2]=14240;$9(b+40|0);nba(c);Lka(b,14300);dja(a);return}function BI(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;g=0;a=b;while(1){if((d|0)==(e|0)){g=7;break}if((a|0)==(c|0)){a=-1;break}b=k[a>>2]|0;f=k[d>>2]|0;if((b|0)<(f|0)){a=-1;break}if((f|0)<(b|0)){a=1;break}d=d+4|0;a=a+4|0}if((g|0)==7)a=(a|0)!=(c|0)&1;return a|0}function CI(a,b){a=a|0;b=b|0;var c=0;c=LI(b,47,-1)|0;if((c|0)==-1){k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,82159,0);return}else{XG(a,b,0,c+1|0,b);return}}function DI(a){a=a|0;var b=0,c=0;a=a+-8|0;k[a>>2]=14380;b=a+64|0;k[b>>2]=14420;k[a+8>>2]=14400;c=a+12|0;k[c>>2]=14240;$9(a+44|0);nba(c);zka(a,14472);dja(b);zqa(a);return}function EI(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=26384;d=a+8|0;e=a+12|0;c=0;while(1){b=k[d>>2]|0;if(c>>>0>=(k[e>>2]|0)-b>>2>>>0)break;b=k[b+(c<<2)>>2]|0;if(b|0)lQ(b)|0;c=c+1|0}$9(a+144|0);aL(d);return}function FI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=a+4|0;c=k[f>>2]|0;e=k[a>>2]|0;d=c-e>>2;a:do if(d>>>0<b>>>0)qy(a,b-d|0);else if(d>>>0>b>>>0){a=e+(b<<2)|0;while(1){if((c|0)==(a|0))break a;e=c+-4|0;k[f>>2]=e;c=e}}while(0);return}function GI(a){a=a|0;k[a>>2]=15124;$9(a+100|0);$9(a+88|0);$9(a+76|0);k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);return}function HI(a){a=a|0;var b=0;b=yO(a)|0;if(!b){b=ns(a)|0;if(!b){a=0;return a|0}}while(1){a=yO(b)|0;if(a|0){b=a;continue}a=ns(b)|0;if(!a)break;else b=a}return b|0}function II(a,b){a=a|0;b=b|0;if(!b)return;else{II(a,k[b>>2]|0);II(a,k[b+4>>2]|0);a=b+16|0;lc[k[k[a>>2]>>2]&511](a);zqa(b);return}}function JI(a){a=a|0;var b=0,c=0,d=0;c=0;d=a;a:do if(!(d&3))c=4;else{b=d;while(1){if(!(i[a>>0]|0)){a=b;break a}a=a+1|0;b=a;if(!(b&3)){c=4;break}}}while(0);if((c|0)==4){while(1){b=k[a>>2]|0;if(!((b&-2139062144^-2139062144)&b+-16843009))a=a+4|0;else break}if((b&255)<<24>>24)do a=a+1|0;while((i[a>>0]|0)!=0)}return a-d|0}function KI(a){a=a|0;var b=0,c=0,d=0;if(!a){d=0;return d|0}b=i[43533]|0;a:do if(b<<24>>24){d=43533;while(1){c=i[a>>0]|0;if(c<<24>>24!=b<<24>>24)if(((c<<24>>24)+32|0)!=(b<<24>>24|0)){a=0;break}a=a+1|0;d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);d=aP(a)|0;return d|0}function LI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=i[a+11>>0]|0;if(d<<24>>24<0){d=k[a+4>>2]|0;a=k[a>>2]|0}else d=d&255;a:do if(!d)d=-1;else{d=a+(d>>>0>c>>>0?c+1|0:d)|0;do{if((d|0)==(a|0)){d=-1;break a}d=d+-1|0}while((i[d>>0]|0)!=b<<24>>24);d=d-a|0}while(0);return d|0}function MI(a){a=a|0;var b=0,c=0,d=0;if(!a){d=0;return d|0}b=i[44170]|0;a:do if(b<<24>>24){d=44170;while(1){c=i[a>>0]|0;if(c<<24>>24!=b<<24>>24)if(((c<<24>>24)+32|0)!=(b<<24>>24|0)){a=0;break}a=a+1|0;d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);d=aP(a)|0;return d|0}function NI(a){a=a|0;var b=0,c=0,d=0;if(!a){d=0;return d|0}b=i[44174]|0;a:do if(b<<24>>24){d=44174;while(1){c=i[a>>0]|0;if(c<<24>>24!=b<<24>>24)if(((c<<24>>24)+32|0)!=(b<<24>>24|0)){a=0;break}a=a+1|0;d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);d=aP(a)|0;return d|0}function OI(a){a=a|0;var b=0,c=0,d=0;if(!a){d=0;return d|0}b=i[44178]|0;a:do if(b<<24>>24){d=44178;while(1){c=i[a>>0]|0;if(c<<24>>24!=b<<24>>24)if(((c<<24>>24)+32|0)!=(b<<24>>24|0)){a=0;break}a=a+1|0;d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);d=aP(a)|0;return d|0}function PI(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;b=r;r=r+16|0;i=b+4|0;a=b;k[i>>2]=c;k[a>>2]=f;g=Cm(c,d,i,f,g,a,1114111,0)|0;k[e>>2]=k[i>>2];k[h>>2]=k[a>>2];r=b;return g|0}function QI(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;b=r;r=r+16|0;i=b+4|0;a=b;k[i>>2]=c;k[a>>2]=f;g=Rl(c,d,i,f,g,a,1114111,0)|0;k[e>>2]=k[i>>2];k[h>>2]=k[a>>2];r=b;return g|0}function RI(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;b=r;r=r+16|0;i=b+4|0;a=b;k[i>>2]=c;k[a>>2]=f;g=Zo(c,d,i,f,g,a,1114111,0)|0;k[e>>2]=k[i>>2];k[h>>2]=k[a>>2];r=b;return g|0}function SI(a){a=a|0;var b=0;b=Ux(a)|0;if(b|0)return b|0;if((i[a>>0]|0)==45)do a=a+1|0;while((i[a>>0]|0)==45);a=kw(a)|0;if(!a){b=0;return b|0}b=iw(a)|0;return b|0}function TI(a){a=a|0;var b=0,c=0,d=0;d=(k[a>>2]&1|0)!=0;if(!d){zb(76560);c=k[a+52>>2]|0;b=a+56|0;if(c|0)k[c+56>>2]=k[b>>2];b=k[b>>2]|0;if(b|0)k[b+52>>2]=c;if((k[19139]|0)==(a|0))k[19139]=b;Gb(76560)}b=GE(a)|0;b=oc[k[a+12>>2]&511](a)|0|b;c=k[a+92>>2]|0;if(c|0)Pf(c);if(!d)Pf(a);return b|0}function UI(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;b=r;r=r+16|0;i=b+4|0;a=b;k[i>>2]=c;k[a>>2]=f;g=Bm(c,d,i,f,g,a,1114111,0)|0;k[e>>2]=k[i>>2];k[h>>2]=k[a>>2];r=b;return g|0}function VI(a){a=a|0;var b=0;b=yO(a)|0;if(!b){b=ns(a)|0;if(!b)return a|0}while(1){a=yO(b)|0;if(a|0){b=a;continue}a=ns(b)|0;if(!a)break;else b=a}return b|0}function WI(a){a=a|0;var b=0,c=0;b=a+-8|0;k[b>>2]=14380;a=b+64|0;k[a>>2]=14420;k[b+8>>2]=14400;c=b+12|0;k[c>>2]=14240;$9(b+44|0);nba(c);zka(b,14472);dja(a);return}function XI(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=9912;d=a+60|0;k[d>>2]=10032;EO(a+80|0);k[d>>2]=10072;d=a+64|0;b=k[d>>2]|0;if(!b)return;c=a+68|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-4|0;k[c>>2]=e;EO(e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}zqa(b);return}function YI(a,b){a=a|0;b=b|0;var c=0,d=0;d=EZ(b,79944)|0;c=a+36|0;k[c>>2]=d;d=oc[k[(k[d>>2]|0)+24>>2]&511](d)|0;b=a+44|0;k[b>>2]=d;c=k[c>>2]|0;c=(oc[k[(k[c>>2]|0)+28>>2]&511](c)|0)&1;i[a+53>>0]=c;if((k[b>>2]|0)>8)_N(51361);return}function ZI(a,b){a=a|0;b=b|0;var c=0,d=0;d=EZ(b,79936)|0;c=a+36|0;k[c>>2]=d;d=oc[k[(k[d>>2]|0)+24>>2]&511](d)|0;b=a+44|0;k[b>>2]=d;c=k[c>>2]|0;c=(oc[k[(k[c>>2]|0)+28>>2]&511](c)|0)&1;i[a+53>>0]=c;if((k[b>>2]|0)>8)_N(51361);return}function _I(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if(d>>>0>4294967279)LM(a);if(d>>>0<11)i[a+11>>0]=c;else{e=d+16&-16;d=ZL(e)|0;k[a>>2]=d;k[a+8>>2]=e|-2147483648;k[a+4>>2]=c;a=d}if(c|0)GH(a|0,b|0,c|0)|0;i[a+c>>0]=0;return}function $I(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=16316;b=k[a+20>>2]|0;c=b;if(b|0){d=a+24|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}b=k[a+8>>2]|0;if(!b){zqa(a);return}c=a+12|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);zqa(b);zqa(a);return}function aJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=0;f=r;r=r+4112|0;d=f;c=f+8|0;if(!a){b=4096;a=c;e=4}else if(!b){a=v9()|0;k[a>>2]=22;a=0}else e=4;if((e|0)==4){k[d>>2]=a;k[d+4>>2]=b;if((m9(Ub(183,d|0)|0)|0)<0)a=0;else if((a|0)==(c|0))a=B4(c)|0}r=f;return a|0}function bJ(a){a=a|0;var b=0,c=0;k[a>>2]=14380;b=a+64|0;k[b>>2]=14420;k[a+8>>2]=14400;c=a+12|0;k[c>>2]=14240;$9(a+44|0);nba(c);zka(a,14472);dja(b);zqa(a);return}function cJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;c=f;k[c>>2]=b;d=a+352|0;e=k[d>>2]|0;if((e|0)==(k[a+356>>2]|0)){ez(a+348|0,c);r=f;return}else{k[e>>2]=b;k[d>>2]=(k[d>>2]|0)+4;r=f;return}}function dJ(a,b){a=a|0;b=b|0;var c=0;if(a|0){c=pw(a,88,104,0)|0;if(c|0){b=Fc[k[(k[c>>2]|0)+136>>2]&2047](c,b)|0;return b|0}a=pw(a,88,144,0)|0;if(a|0){b=Fc[k[(k[a>>2]|0)+136>>2]&2047](a,b)|0;return b|0}}b=gb(4)|0;k[b>>2]=30751;Wb(b|0,4696,0);return 0}function eJ(a,b){a=a|0;b=b|0;var c=0;if(a|0){c=pw(a,88,104,0)|0;if(c|0){b=Fc[k[(k[c>>2]|0)+140>>2]&2047](c,b)|0;return b|0}a=pw(a,88,144,0)|0;if(a|0){b=Fc[k[(k[a>>2]|0)+140>>2]&2047](a,b)|0;return b|0}}b=gb(4)|0;k[b>>2]=30751;Wb(b|0,4696,0);return 0}function fJ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;if(!c)d=0;else{d=i[a>>0]|0;a:do if(!(d<<24>>24))d=0;else while(1){c=c+-1|0;e=i[b>>0]|0;if(!(d<<24>>24==e<<24>>24&((c|0)!=0&e<<24>>24!=0)))break a;a=a+1|0;b=b+1|0;d=i[a>>0]|0;if(!(d<<24>>24)){d=0;break}}while(0);d=(d&255)-(l[b>>0]|0)|0}return d|0}function gJ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=r;r=r+16|0;g=f;k[g>>2]=e;e=_8(c)|0;c=iA(a,b,d,g)|0;if(e|0){y=0;qa(471,e|0)|0;g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}}r=f;return c|0}function hJ(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=26336;b=a+8|0;c=k[b>>2]|0;y=0;d=La(3)|0;e=y;y=0;do if(!(e&1)){if((c|0)!=(d|0)){y=0;na(416,k[b>>2]|0);e=y;y=0;if(e&1)break}return}while(0);e=tb(0)|0;Ypa(a);dla(e)}function iJ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;k[a>>2]=k[d>>2];k[a+4>>2]=k[d+4>>2];k[a+8>>2]=k[d+8>>2];k[a+12>>2]=b;k[a+16>>2]=c;c=e;d=k[c+4>>2]|0;e=a+20|0;k[e>>2]=k[c>>2];k[e+4>>2]=d;k[a+28>>2]=0;k[a+32>>2]=0;k[a+36>>2]=0;return}function jJ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=a+c|0;if((c|0)>=20){b=b&255;f=a&3;g=b|b<<8|b<<16|b<<24;e=d&~3;if(f){f=a+4-f|0;while((a|0)<(f|0)){i[a>>0]=b;a=a+1|0}}while((a|0)<(e|0)){k[a>>2]=g;a=a+4|0}}while((a|0)<(d|0)){i[a>>0]=b;a=a+1|0}return a-c|0}function kJ(a){a=a|0;var b=0,c=0;k[a>>2]=14380;b=a+64|0;k[b>>2]=14420;k[a+8>>2]=14400;c=a+12|0;k[c>>2]=14240;$9(a+44|0);nba(c);zka(a,14472);dja(b);return}function lJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;c=f;k[c>>2]=b;d=a+120|0;e=k[d>>2]|0;if(e>>>0<(k[a+124>>2]|0)>>>0){k[e>>2]=b;k[d>>2]=(k[d>>2]|0)+4;r=f;return}else{fz(a+116|0,c);r=f;return}}function mJ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=r;r=r+16|0;e=d+8|0;f=d;h=c;g=k[h+4>>2]|0;c=f;k[c>>2]=k[h>>2];k[c+4>>2]=g;k[e>>2]=k[f>>2];k[e+4>>2]=k[f+4>>2];vy(a,e,b);k[a>>2]=23736;r=d;return}function nJ(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a+4>>2]|0;c=a+8|0;d=k[c>>2]|0;while(1){if((d|0)==(b|0))break;e=d+-4|0;k[c>>2]=e;d=e}c=k[a>>2]|0;do if(c|0){b=k[a+16>>2]|0;if((b|0)==(c|0)){i[b+112>>0]=0;break}else{zqa(c);break}}while(0);return}function oJ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-60|0;k[e+60>>2]=7720;c=e+64|0;a=k[c>>2]|0;if(!a){zqa(e);return}d=e+68|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-4|0;k[d>>2]=f;EO(f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}zqa(a);zqa(e);return}function pJ(a,b){a=a|0;b=b|0;var c=0,d=0;if(!((a|0)!=0&(b|0)!=0))return;if((k[a+16>>2]|0)!=4)eb(39027,39052,602,39065);if(k[b>>2]|0)eb(39085,39052,603,39065);k[b>>2]=a;d=a+24|0;a=d+4|0;c=k[a>>2]|0;k[b+4>>2]=c;k[b+8>>2]=0;if(!c)k[d>>2]=b;else k[c+8>>2]=b;k[a>>2]=b;return}function qJ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-52|0;k[e+52>>2]=11356;c=e+56|0;a=k[c>>2]|0;if(!a){zqa(e);return}d=e+60|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-4|0;k[d>>2]=f;EO(f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}zqa(a);zqa(e);return}function rJ(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a>>2]|0;if(!b)return;d=a+4|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{e=c+-12|0;k[d>>2]=e;$9(e);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[a>>2]|0}zqa(b);return}function sJ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-60|0;k[e+60>>2]=8568;c=e+64|0;a=k[c>>2]|0;if(!a){zqa(e);return}d=e+68|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-4|0;k[d>>2]=f;EO(f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}zqa(a);zqa(e);return}function tJ(a){a=a|0;var b=0;a=AD(a)|0;if(!a){b=0;return b|0}else b=a;while(1){a=AD(b)|0;if(!a)break;else b=a}a=BD(b)|0;if(!a)return b|0;while(1){b=BD(a)|0;if(!b)break;else a=b}return a|0}function uJ(a){a=a|0;var b=0,c=0;k[a>>2]=14324;b=a+56|0;k[b>>2]=14344;c=a+4|0;k[c>>2]=14240;$9(a+36|0);nba(c);Kka(a,14356);dja(b);zqa(a);return}function vJ(a){a=a|0;var b=0,c=0;k[a>>2]=14204;b=a+60|0;k[b>>2]=14224;c=a+8|0;k[c>>2]=14240;$9(a+40|0);nba(c);Lka(a,14300);dja(b);zqa(a);return}function wJ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-64|0;k[e+64>>2]=5212;c=e+68|0;a=k[c>>2]|0;if(!a){zqa(e);return}d=e+72|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-4|0;k[d>>2]=f;EO(f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}zqa(a);zqa(e);return}function xJ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=r;r=r+16|0;f=e;k[f>>2]=d;d=_8(b)|0;b=TL(a,c,f)|0;if(d|0){y=0;qa(471,d|0)|0;f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}}r=e;return b|0}function yJ(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=16316;b=k[a+20>>2]|0;c=b;if(b|0){d=a+24|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}d=k[a+8>>2]|0;if(!d)return;b=a+12|0;c=k[b>>2]|0;if((c|0)!=(d|0))k[b>>2]=c+(~((c+-4-d|0)>>>2)<<2);zqa(d);return}function zJ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-60|0;k[e+60>>2]=7720;c=e+64|0;a=k[c>>2]|0;if(!a){zqa(e);return}d=e+68|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-4|0;k[d>>2]=f;EO(f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}zqa(a);zqa(e);return}function AJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function BJ(a){a=a|0;var b=0,c=0;c=0;while(1){if((l[48819+c>>0]|0)==(a|0)){a=2;break}b=c+1|0;if((b|0)==87){b=48907;c=87;a=5;break}else c=b}if((a|0)==2)if(!c)b=48907;else{b=48907;a=5}if((a|0)==5)while(1){do{a=b;b=b+1|0}while((i[a>>0]|0)!=0);c=c+-1|0;if(!c)break;else a=5}return b|0}function CJ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;if((a|0)==(k[b+8>>2]|0))$B(0,b,c,d,e);else{a=k[a+8>>2]|0;wc[k[(k[a>>2]|0)+20>>2]&31](a,b,c,d,e,f)}return}function DJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function EJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function FJ(a){a=a|0;var b=0,c=0;c=a+84|0;a=(i[c+11>>0]|0)<0;if(a)b=k[c>>2]|0;else b=c;if((i[b>>0]|0)!=58){c=0;return c|0}if(a)a=k[c>>2]|0;else a=c;if((i[a+1>>0]|0)==58){c=0;return c|0}c=(Ls(c)|0)^1;return c|0}function GJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function HJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function IJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function JJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function KJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function LJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function MJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function NJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function OJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function PJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function QJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function RJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function SJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function TJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function UJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function VJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function WJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function XJ(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function YJ(a){a=a|0;var b=0,c=0,d=0,e=0;a=a+-4|0;k[a>>2]=16892;k[a+4>>2]=17180;b=k[a+116>>2]|0;c=b;if(b|0){d=a+120|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}$9(a+104|0);HD(a);zqa(a);return}function ZJ(a){a=a|0;var b=0,c=0;k[a>>2]=14324;b=a+56|0;k[b>>2]=14344;c=a+4|0;k[c>>2]=14240;$9(a+36|0);nba(c);Kka(a,14356);dja(b);return}function _J(a){a=a|0;var b=0,c=0;k[a>>2]=14204;b=a+60|0;k[b>>2]=14224;c=a+8|0;k[c>>2]=14240;$9(a+40|0);nba(c);Lka(a,14300);dja(b);return}function $J(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function aK(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;tc[a&3](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0,m|0,n|0,o|0,p|0)}function bK(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function cK(a,b){a=a|0;b=b|0;var c=0,d=0;Lt(a,b)|0;if(!b){c=0;d=0}else{c=pw(b,680,640,0)|0;c=(c|0)!=0;d=(pw(b,680,712,0)|0)!=0}if(!(c|d)){d=b;return d|0}d=Mg(a,b)|0;return d|0}function dK(a,b){a=a|0;b=b|0;b=pw(b,40,568,0)|0;if(!b){a=0;return a|0}if(!(+p[a+64>>3]==+p[b+64>>3])){a=0;return a|0}if(!(+p[a+72>>3]==+p[b+72>>3])){a=0;return a|0}if(!(+p[a+80>>3]==+p[b+80>>3])){a=0;return a|0}a=+p[a+88>>3]==+p[b+88>>3];return a|0}function eK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a+60>>2]=7720;d=a+64|0;b=k[d>>2]|0;if(!b){zqa(a);return}e=a+68|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-4|0;k[e>>2]=f;EO(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b);zqa(a);return}function fK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a+52>>2]=11356;d=a+56|0;b=k[d>>2]|0;if(!b){zqa(a);return}e=a+60|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-4|0;k[e>>2]=f;EO(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b);zqa(a);return}function gK(){var a=0,b=0;y=0;a=La(10)|0;b=y;y=0;if(b&1){b=tb(0)|0;dla(b)}if(a|0){a=k[a>>2]|0;if(a|0){b=a+48|0;if((k[b>>2]&-256|0)==1126902528?(k[b+4>>2]|0)==1129074247:0)jH(k[a+12>>2]|0)}}jH(Vja()|0)}function hK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44350]|0;a:do if(b<<24>>24){c=44350;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function iK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[32540]|0;a:do if(b<<24>>24){c=32540;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function jK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[46460]|0;a:do if(b<<24>>24){c=46460;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function kK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[46469]|0;a:do if(b<<24>>24){c=46469;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function lK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[46389]|0;a:do if(b<<24>>24){c=46389;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function mK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a+60>>2]=8568;d=a+64|0;b=k[d>>2]|0;if(!b){zqa(a);return}e=a+68|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-4|0;k[e>>2]=f;EO(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b);zqa(a);return}function nK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[46444]|0;a:do if(b<<24>>24){c=46444;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function oK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;c=f;k[c>>2]=b;d=a+20|0;e=k[d>>2]|0;if((e|0)==(k[a+24>>2]|0)){tz(a+16|0,c);r=f;return}else{k[e>>2]=b;k[d>>2]=e+4;r=f;return}}function pK(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;if((i[b+11>>0]|0)<0)jI(a,k[b>>2]|0,k[b+4>>2]|0);else{k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2]}return}function qK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44259]|0;a:do if(b<<24>>24){c=44259;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function rK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[30956]|0;a:do if(b<<24>>24){c=30956;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function sK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[40645]|0;a:do if(b<<24>>24){c=40645;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function tK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44266]|0;a:do if(b<<24>>24){c=44266;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function uK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44277]|0;a:do if(b<<24>>24){c=44277;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function vK(a){a=a|0;var b=0,c=0,d=0,e=0;a=a+-4|0;k[a>>2]=16892;k[a+4>>2]=17180;b=k[a+116>>2]|0;c=b;if(b|0){d=a+120|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}$9(a+104|0);HD(a);return}function wK(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=k[a+4>>2]|0;g=h>>8;if(h&1)g=k[(k[d>>2]|0)+g>>2]|0;a=k[a>>2]|0;wc[k[(k[a>>2]|0)+20>>2]&31](a,b,c,d+g|0,h&2|0?e:2,f);return}function xK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44304]|0;a:do if(b<<24>>24){c=44304;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function yK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a+64>>2]=5212;d=a+68|0;b=k[d>>2]|0;if(!b){zqa(a);return}e=a+72|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-4|0;k[e>>2]=f;EO(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b);zqa(a);return}function zK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=r;r=r+32|0;f=e;d=e+20|0;k[f>>2]=k[a+60>>2];k[f+4>>2]=0;k[f+8>>2]=b;k[f+12>>2]=d;k[f+16>>2]=c;if((m9(Yb(140,f|0)|0)|0)<0){k[d>>2]=-1;a=-1}else a=k[d>>2]|0;r=e;return a|0}function AK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a+60>>2]=7720;d=a+64|0;b=k[d>>2]|0;if(!b){zqa(a);return}e=a+68|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-4|0;k[e>>2]=f;EO(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b);zqa(a);return}function BK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44249]|0;a:do if(b<<24>>24){c=44249;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function CK(a){a=a|0;var b=0,c=0;c=a+84|0;a=(i[c+11>>0]|0)<0;if(a)b=k[c>>2]|0;else b=c;if((i[b>>0]|0)==58){if(a)a=k[c>>2]|0;else a=c;if((i[a+1>>0]|0)==58){c=1;return c|0}}c=Ls(c)|0;return c|0}function DK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[32508]|0;a:do if(b<<24>>24){c=32508;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function EK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[32493]|0;a:do if(b<<24>>24){c=32493;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function FK(a){a=a|0;var b=0;b=i[a>>0]|0;a=a+1|0;if(b<<24>>24==43){b=a;return b|0}if(b<<24>>24!=45){b=0;return b|0}a=vt(a)|0;if(!a){b=0;return b|0}b=(i[a>>0]|0)==45?a+1|0:0;return b|0}function GK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[32558]|0;a:do if(b<<24>>24){c=32558;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function HK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[46431]|0;a:do if(b<<24>>24){c=46431;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function IK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[46452]|0;a:do if(b<<24>>24){c=46452;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function JK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=b+64|0;c=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>2;if(!c)return;b=0;do{e=Fc[k[(k[d>>2]|0)+16>>2]&2047](d,b)|0;e=k[e>>2]|0;mc[k[(k[e>>2]|0)+40>>2]&1023](e,a);b=b+1|0}while((b|0)!=(c|0));return}function KK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44242]|0;a:do if(b<<24>>24){c=44242;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function LK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44343]|0;a:do if(b<<24>>24){c=44343;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function MK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[53637]|0;a:do if(b<<24>>24){c=53637;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function NK(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-60|0;k[b+60>>2]=7720;d=b+64|0;a=k[d>>2]|0;if(!a)return;c=b+68|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-4|0;k[c>>2]=e;EO(e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}zqa(a);return}function OK(a,b){a=a|0;b=b|0;return (tu(a,b)|0)!=(a+4|0)|0}function PK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[46369]|0;a:do if(b<<24>>24){c=46369;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function QK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[53643]|0;a:do if(b<<24>>24){c=53643;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function RK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44148]|0;a:do if(b<<24>>24){c=44148;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function SK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[42568]|0;a:do if(b<<24>>24){c=42568;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function TK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[46382]|0;a:do if(b<<24>>24){c=46382;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function UK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[46375]|0;a:do if(b<<24>>24){c=46375;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function VK(a){a=a|0;i[a+84>>0]=1;switch(k[k[a+68>>2]>>2]|0){case 2:if(!(k[a+72>>2]|0)){k[a+80>>2]=1;k[a+76>>2]=0;return}else{k[a+76>>2]=1;return}case 3:return;default:{if(i[a+95>>0]|0)if(i[a+97>>0]|0)return;k[a+80>>2]=1;k[a+76>>2]=0;return}}}function WK(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=16892;k[a+4>>2]=17180;b=k[a+116>>2]|0;c=b;if(b|0){d=a+120|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}$9(a+104|0);HD(a);zqa(a);return}function XK(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-52|0;k[b+52>>2]=11356;d=b+56|0;a=k[d>>2]|0;if(!a)return;c=b+60|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-4|0;k[c>>2]=e;EO(e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}zqa(a);return}function YK(a){a=a|0;do if(!(i[71888]|0))if(eca(71888)|0){k[19560]=0;k[19561]=0;k[19562]=0;y=0;Na(75,78240,51994,11);a=y;y=0;if(a&1){a=pb()|0;sb(a|0)}else{Pb(368,78240,x|0)|0;break}}while(0);return 78240}function ZK(a){a=a|0;do if(!(i[71896]|0))if(eca(71896)|0){k[19563]=0;k[19564]=0;k[19565]=0;y=0;Na(75,78252,52006,20);a=y;y=0;if(a&1){a=pb()|0;sb(a|0)}else{Pb(368,78252,x|0)|0;break}}while(0);return 78252}function _K(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[32505]|0;a:do if(b<<24>>24){c=32505;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function $K(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[39398]|0;a:do if(b<<24>>24){c=39398;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=aP(a)|0;return c|0}function aL(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a>>2]|0;do if(b|0){c=a+4|0;d=k[c>>2]|0;while(1){if((d|0)==(b|0))break;e=d+-4|0;k[c>>2]=e;d=e}if((a+16|0)==(b|0)){i[a+128>>0]=0;break}else{zqa(b);break}}while(0);return}function bL(a){a=a|0;do if(!(i[71880]|0))if(eca(71880)|0){k[19557]=0;k[19558]=0;k[19559]=0;y=0;Na(75,78228,51985,8);a=y;y=0;if(a&1){a=pb()|0;sb(a|0)}else{Pb(368,78228,x|0)|0;break}}while(0);return 78228}function cL(a){a=a|0;do if(!(i[71872]|0))if(eca(71872)|0){k[19554]=0;k[19555]=0;k[19556]=0;y=0;Na(75,78216,51976,8);a=y;y=0;if(a&1){a=pb()|0;sb(a|0)}else{Pb(368,78216,x|0)|0;break}}while(0);return 78216}function dL(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-60|0;k[b+60>>2]=8568;d=b+64|0;a=k[d>>2]|0;if(!a)return;c=b+68|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-4|0;k[c>>2]=e;EO(e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}zqa(a);return}function eL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=(c|0)==0;if(a-b>>2>>>0<c>>>0){if(!d)do{c=c+-1|0;k[a+(c<<2)>>2]=k[b+(c<<2)>>2]}while((c|0)!=0)}else if(!d){d=b;b=a;while(1){c=c+-1|0;k[b>>2]=k[d>>2];if(!c)break;else{d=d+4|0;b=b+4|0}}}return a|0}function fL(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-64|0;k[b+64>>2]=5212;d=b+68|0;a=k[d>>2]|0;if(!a)return;c=b+72|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-4|0;k[c>>2]=e;EO(e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}zqa(a);return}function gL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=r;r=r+32|0;e=d;f=d+16|0;k[f>>2]=c;g=(k[f>>2]|0)+(4-1)&~(4-1);c=k[g>>2]|0;k[f>>2]=g+4;k[e>>2]=a;k[e+4>>2]=b|32768;k[e+8>>2]=c;c=m9(Mb(5,e|0)|0)|0;r=d;return c|0}function hL(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-60|0;k[b+60>>2]=7720;d=b+64|0;a=k[d>>2]|0;if(!a)return;c=b+68|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-4|0;k[c>>2]=e;EO(e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}zqa(a);return}function iL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[32596]|0;a:do if(!(b<<24>>24))b=0;else{c=32596;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function jL(a,b){a=a|0;b=b|0;var c=0;if(b>>>0>1073741823)OM(a);c=a+128|0;if(b>>>0<29&(i[c>>0]|0)==0){i[c>>0]=1;c=a+16|0}else c=ZL(b<<2)|0;k[a+4>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(b<<2);return}function kL(a){a=a|0;var b=0;b=a+1|0;if((i[a>>0]|0)!=46){a=0;return a|0}if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=kw(b)|0;if(!b){a=0;return a|0}a=iw(b)|0;return a|0}function lL(a){a=a|0;var b=0;b=a+1|0;if((i[a>>0]|0)!=64){a=0;return a|0}if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=kw(b)|0;if(!b){a=0;return a|0}a=iw(b)|0;return a|0}function mL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a:do if(!(i[a+44>>0]|0)){d=0;while(1){if((d|0)>=(c|0))break a;if((Fc[k[(k[a>>2]|0)+52>>2]&2047](a,k[b>>2]|0)|0)==-1)break a;d=d+1|0;b=b+4|0}}else d=mN(b,4,c,k[a+32>>2]|0)|0;while(0);return d|0}function nL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a:do if(!(i[a+44>>0]|0)){d=0;while(1){if((d|0)>=(c|0))break a;if((Fc[k[(k[a>>2]|0)+52>>2]&2047](a,l[b>>0]|0)|0)==-1)break a;d=d+1|0;b=b+1|0}}else d=mN(b,1,c,k[a+32>>2]|0)|0;while(0);return d|0}function oL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[32593]|0;a:do if(!(b<<24>>24))b=0;else{c=32593;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function pL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[32590]|0;a:do if(!(b<<24>>24))b=0;else{c=32590;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function qL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[32584]|0;a:do if(!(b<<24>>24))b=0;else{c=32584;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function rL(a){a=a|0;var b=0;b=a+1|0;if((i[a>>0]|0)!=36){a=0;return a|0}if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=kw(b)|0;if(!b){a=0;return a|0}a=iw(b)|0;return a|0}function sL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[32587]|0;a:do if(!(b<<24>>24))b=0;else{c=32587;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function tL(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=16892;k[a+4>>2]=17180;b=k[a+116>>2]|0;c=b;if(b|0){d=a+120|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}$9(a+104|0);HD(a);return}function uL(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;g=k[a+4>>2]|0;f=g>>8;if(g&1)f=k[(k[c>>2]|0)+f>>2]|0;a=k[a>>2]|0;kc[k[(k[a>>2]|0)+24>>2]&31](a,b,c+f|0,g&2|0?d:2,e);return}function vL(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=ZN(1,28)|0;if(!e){e=0;return e|0}if(!a)a=0;else a=hP(a)|0;k[e>>2]=a;if(!b)a=0;else a=hP(b)|0;k[e+4>>2]=a;k[e+8>>2]=c;k[e+12>>2]=d;k[e+20>>2]=-1;k[e+24>>2]=-1;return e|0}function wL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44227]|0;a:do if(!(b<<24>>24))b=0;else{c=44227;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function xL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44235]|0;a:do if(!(b<<24>>24))b=0;else{c=44235;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function yL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44230]|0;a:do if(!(b<<24>>24))b=0;else{c=44230;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function zL(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((a|0)==(k[b+8>>2]|0))dI(0,b,c,d);else{a=k[a+8>>2]|0;Pc[k[(k[a>>2]|0)+28>>2]&63](a,b,c,d)}return}function AL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44233]|0;a:do if(!(b<<24>>24))b=0;else{c=44233;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function BL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44129]|0;a:do if(!(b<<24>>24))b=0;else{c=44129;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function CL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44224]|0;a:do if(!(b<<24>>24))b=0;else{c=44224;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function DL(a){a=a|0;var b=0,c=0,d=0,e=0;e=r;r=r+32|0;b=e+16|0;c=e+12|0;d=e;k[d>>2]=a;k[d+4>>2]=407;k[d+8>>2]=0;if((k[a>>2]|0)!=-1){k[b>>2]=d;k[c>>2]=b;Wt(a,c,408)}r=e;return (k[a+4>>2]|0)+-1|0}function EL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=ZN(1,28)|0;if(!d){d=0;return d|0}if(!a)a=0;else{e=hP(a)|0;k[d>>2]=e;a=hP(a)|0}k[d+4>>2]=a;k[d+8>>2]=b;k[d+12>>2]=c;k[d+20>>2]=-1;k[d+24>>2]=-1;e=d;return e|0}function FL(a){a=a|0;var b=0,c=0;b=a+74|0;c=i[b>>0]|0;i[b>>0]=c+255|c;b=k[a>>2]|0;if(!(b&8)){k[a+8>>2]=0;k[a+4>>2]=0;c=k[a+44>>2]|0;k[a+28>>2]=c;k[a+20>>2]=c;k[a+16>>2]=c+(k[a+48>>2]|0);a=0}else{k[a>>2]=b|32;a=-1}return a|0}function GL(a){a=a|0;var b=0,c=0,d=0;d=r;r=r+16|0;b=d;c=k[a+64>>2]|0;if((c|0)==(k[a+60>>2]|0)){_V(b,0);c=k[b>>2]|0;r=d;return c|0}else{rT(b,c+-4|0);c=k[b>>2]|0;r=d;return c|0}return 0}function HL(a){a=a|0;var b=0,c=0,d=0;b=i[a+11>>0]|0;d=b<<24>>24<0;c=d?k[a>>2]|0:a;a=d?k[a+4>>2]|0:b&255;b=c+a|0;if(!a)return;else a=c;do{if((i[a>>0]|0)==10)i[a>>0]=32;a=a+1|0}while((a|0)!=(b|0));return}function IL(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+60>>2]=7720;d=a+64|0;b=k[d>>2]|0;if(!b)return;c=a+68|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-4|0;k[c>>2]=e;EO(e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}zqa(b);return}function JL(a){a=a|0;var b=0;b=k[a+64>>2]|0;if(b|0)if(oc[k[(k[b>>2]|0)+80>>2]&511](b)|0){b=1;return b|0}if((k[a+52>>2]|0)==7){b=1;return b|0}a=k[a+72>>2]|0;if(!a){b=0;return b|0}b=oc[k[(k[a>>2]|0)+80>>2]&511](a)|0;return b|0}function KL(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+52>>2]=11356;d=a+56|0;b=k[d>>2]|0;if(!b)return;c=a+60|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-4|0;k[c>>2]=e;EO(e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}zqa(b);return}function LL(a){a=a|0;var b=0;k[a>>2]=23432;y=0;oa(630,a|0,0);b=y;y=0;if(b&1){b=tb(0)|0;dla(b)}else{Sea(a+28|0);Pf(k[a+32>>2]|0);Pf(k[a+36>>2]|0);Pf(k[a+48>>2]|0);Pf(k[a+60>>2]|0);return}}function ML(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function NL(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;f=k[a+4>>2]|0;e=f>>8;if(f&1)e=k[(k[c>>2]|0)+e>>2]|0;a=k[a>>2]|0;Pc[k[(k[a>>2]|0)+28>>2]&63](a,b,c+e|0,f&2|0?d:2);return}function OL(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+60>>2]=8568;d=a+64|0;b=k[d>>2]|0;if(!b)return;c=a+68|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-4|0;k[c>>2]=e;EO(e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}zqa(b);return}function PL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;e=r;r=r+80|0;d=e;k[a+36>>2]=20;if(!(k[a>>2]&64)){k[d>>2]=k[a+60>>2];k[d+4>>2]=21505;k[d+8>>2]=e+12;if(Ya(54,d|0)|0)i[a+75>>0]=-1}d=Wq(a,b,c)|0;r=e;return d|0}function QL(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function RL(a){a=a|0;var b=0,c=0;c=a+15&-16|0;b=k[t>>2]|0;a=b+c|0;if((c|0)>0&(a|0)<(b|0)|(a|0)<0){ia()|0;ab(12);return -1}k[t>>2]=a;if((a|0)>(ha()|0))if(!(ga()|0)){ab(12);k[t>>2]=b;return -1}return b|0}function SL(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+64>>2]=5212;d=a+68|0;b=k[d>>2]|0;if(!b)return;c=a+72|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-4|0;k[c>>2]=e;EO(e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}zqa(b);return}function TL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=r;r=r+112|0;d=f;e=d;g=e+112|0;do{k[e>>2]=0;e=e+4|0}while((e|0)<(g|0));k[d+32>>2]=167;k[d+44>>2]=a;k[d+76>>2]=-1;k[d+84>>2]=a;g=Ce(d,b,c)|0;r=f;return g|0}function UL(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+60>>2]=7720;d=a+64|0;b=k[d>>2]|0;if(!b)return;c=a+68|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-4|0;k[c>>2]=e;EO(e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}zqa(b);return}function VL(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function WL(a){a=a|0;return $k(a)|0}function XL(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function YL(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function ZL(a){a=a|0;var b=0,c=0;b=(a|0)==0?1:a;while(1){c=pd(b)|0;if(c|0){a=6;break}a=bja()|0;if(!a){a=5;break}jc[a&7]()}if((a|0)==5){c=gb(4)|0;doa(c);Wb(c|0,4496,348)}else if((a|0)==6)return c|0;return 0}function _L(a){a=a|0;var b=0,c=0,d=0;b=k[a>>2]|0;y=0;c=La(3)|0;d=y;y=0;do if(!(d&1)){if((b|0)!=(c|0)){y=0;na(416,k[a>>2]|0);d=y;y=0;if(d&1)break}return}while(0);d=tb(0)|0;dla(d)}function $L(a){a=a|0;var b=0,c=0;if((i[a+11>>0]|0)<0)a=k[a>>2]|0;b=(JI(a)|0)+1|0;c=pd(b)|0;if(!c){wT(77440,45154)|0;Zb(1)}else{GH(c|0,a|0,b|0)|0;return c|0}return 0}function aM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function bM(a){a=a|0;var b=0;a=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[a>>2]=15192;b=a+108|0;k[b>>2]=15212;Ky(a+8|0);Lka(a,15224);dja(b);zqa(a);return}function cM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function dM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;e=r;r=r+16|0;d=e;Lc[k[(k[a>>2]|0)+12>>2]&255](d,a,b);if((k[d+4>>2]|0)==(k[c+4>>2]|0))a=(k[d>>2]|0)==(k[c>>2]|0);else a=0;r=e;return a|0}function eM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function fM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function gM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function hM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function iM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function jM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function kM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=a+84|0;f=k[d>>2]|0;g=c+256|0;e=Ty(f,0,g)|0;e=(e|0)==0?g:e-f|0;c=e>>>0<c>>>0?e:c;GH(b|0,f|0,c|0)|0;k[a+4>>2]=f+c;b=f+e|0;k[a+8>>2]=b;k[d>>2]=b;return c|0}function lM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>2>>>0>b>>>0){d=d+(b<<2)|0;return d|0}else{NM(c);d=k[c>>2]|0;d=d+(b<<2)|0;return d|0}return 0}function mM(a){a=a|0;var b=0,c=0,d=0;c=(aba(a,43)|0)==0;b=i[a>>0]|0;b=b<<24>>24|0;c=c?(b|0)!=114&1:2;d=(aba(a,120)|0)==0;c=d?c:c|128;a=(aba(a,101)|0)==0;a=a?c:c|524288;a=(b|0)==114?a:a|64;a=(b|0)==119?a|512:a;return ((b|0)==97?a|1024:a)|0}function nM(a,b){a=a|0;b=b|0;var c=0;k[a+24>>2]=b;k[a+16>>2]=(b|0)==0&1;k[a+20>>2]=0;k[a+4>>2]=4098;k[a+12>>2]=0;k[a+8>>2]=6;c=a+28|0;b=a+32|0;a=b+40|0;do{k[b>>2]=0;b=b+4|0}while((b|0)<(a|0));aO(c);return}function oM(a){a=a|0;k[a>>2]=6264;$9(a+100|0);$9(a+88|0);$9(a+76|0);$9(a+64|0);zqa(a);return}function pM(a){a=a|0;var b=0,c=0;if(!a)return;b=k[a>>2]|0;if(b|0){c=a;do{Pf(k[b>>2]|0);Pf(k[b+4>>2]|0);Pf(k[b+8>>2]|0);Pf(k[b+12>>2]|0);Pf(k[b+16>>2]|0);Pf(b);c=c+4|0;b=k[c>>2]|0}while((b|0)!=0)}Pf(a);return}function qM(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+16|0;d=c+8|0;f=c;e=k[(k[b>>2]|0)+28>>2]|0;k[f>>2]=5;k[f+4>>2]=5;k[d>>2]=k[f>>2];k[d+4>>2]=k[f+4>>2];Lc[e&255](a,b,d);r=c;return}function rM(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+16|0;d=c+8|0;f=c;e=k[(k[b>>2]|0)+28>>2]|0;k[f>>2]=4;k[f+4>>2]=5;k[d>>2]=k[f>>2];k[d+4>>2]=k[f+4>>2];Lc[e&255](a,b,d);r=c;return}function sM(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=k[c>>2]|0;d=a;c=b-a>>2;while(1){if(!c)break;b=(c|0)/2|0;f=d+(b<<2)|0;a=(k[f>>2]|0)>>>0<e>>>0;d=a?f+4|0:d;c=a?c+-1-b|0:b}return d|0}function tM(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+16|0;d=c+8|0;f=c;e=k[(k[b>>2]|0)+28>>2]|0;k[f>>2]=0;k[f+4>>2]=5;k[d>>2]=k[f>>2];k[d+4>>2]=k[f+4>>2];Lc[e&255](a,b,d);r=c;return}function uM(a,b){a=a|0;b=b|0;var c=0,d=0;c=i[a>>0]|0;d=i[b>>0]|0;if(c<<24>>24==0?1:c<<24>>24!=d<<24>>24)a=d;else{do{a=a+1|0;b=b+1|0;c=i[a>>0]|0;d=i[b>>0]|0}while(!(c<<24>>24==0?1:c<<24>>24!=d<<24>>24));a=d}return (c&255)-(a&255)|0}function vM(a){a=a|0;var b=0,c=0,d=0;d=r;r=r+16|0;b=d;c=k[a+80>>2]|0;if(!c){_V(b,a);c=k[b>>2]|0;r=d;return c|0}else{c=vM(c)|0;k[b>>2]=c;r=d;return c|0}return 0}function wM(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+16|0;d=c+8|0;f=c;e=k[(k[b>>2]|0)+28>>2]|0;k[f>>2]=5;k[f+4>>2]=5;k[d>>2]=k[f>>2];k[d+4>>2]=k[f+4>>2];Lc[e&255](a,b,d);r=c;return}function xM(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+16|0;d=c+8|0;f=c;e=k[(k[b>>2]|0)+28>>2]|0;k[f>>2]=4;k[f+4>>2]=5;k[d>>2]=k[f>>2];k[d+4>>2]=k[f+4>>2];Lc[e&255](a,b,d);r=c;return}function yM(a,b){a=a|0;b=b|0;var c=0;c=pw(b,40,216,0)|0;if(c|0)return Fc[k[(k[a>>2]|0)+88>>2]&2047](a,c)|0;b=pw(b,40,88,0)|0;if(!b){a=0;return a|0}a=Fc[k[(k[a>>2]|0)+140>>2]&2047](a,b)|0;return a|0}function zM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a:do if(!c)a=0;else{while(1){d=i[a>>0]|0;e=i[b>>0]|0;if(d<<24>>24!=e<<24>>24)break;c=c+-1|0;if(!c){a=0;break a}else{a=a+1|0;b=b+1|0}}a=(d&255)-(e&255)|0}while(0);return a|0}function AM(a){a=a|0;var b=0;b=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[b>>2]=15192;a=b+108|0;k[a>>2]=15212;Ky(b+8|0);Lka(b,15224);dja(a);return}function BM(a){a=a|0;k[a>>2]=12784;EO(a+116|0);$9(a+104|0);k[a>>2]=11700;$9(a+84|0);$9(a+72|0);zqa(a);return}function CM(a){a=a|0;var b=0;b=k[a+76>>2]|0;if(b|0)if(oc[k[(k[b>>2]|0)+120>>2]&511](b)|0){b=1;return b|0}a=k[a+80>>2]|0;if(a|0)if(oc[k[(k[a>>2]|0)+120>>2]&511](a)|0){b=1;return b|0}b=0;return b|0}function DM(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b)return b|0;c=pw(b,680,1032,0)|0;if(!c)return b|0;if(k[c+88>>2]|0)return b|0;c=a+20|0;d=k[c>>2]|0;k[c>>2]=b;Mg(a,b)|0;k[c>>2]=d;return b|0}function EM(a){a=a|0;var b=0,c=0,d=0;c=i[32602]|0;a:do if(!(c<<24>>24))b=0;else{b=i[a>>0]|0;d=32602;while(1){if(b<<24>>24==c<<24>>24)break a;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){b=0;break}}}while(0);return (b<<24>>24?a+1|0:0)|0}function FM(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;if(!a){f=0;return f|0}f=a+16|0;e=k[f>>2]|0;if(e|0)Pf(e);if(!b)b=0;else b=hP(b)|0;k[f>>2]=b;k[a+20>>2]=c|0?c:-1;k[a+24>>2]=d|0?d:-1;f=a;return f|0}function GM(a){a=a|0;a=XB(a)|0;if(!a)a=0;else{a=jO(a)|0;if(!a)a=0;else if((i[a>>0]|0)==47){a=jO(a+1|0)|0;if(!a)a=0;else a=XB(a)|0}else a=0}return a|0}function HM(a){a=a|0;k[a>>2]=6264;$9(a+100|0);$9(a+88|0);$9(a+76|0);$9(a+64|0);return}function IM(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)==48)if((i[a+1>>0]|0)==120){b=k5(a+2|0)|0;if(!b)b=0;else while(1){c=k5(b)|0;if(!c)break;else b=c}}else b=0;else b=0;a=b-a|0;return ((a|0)!=5&(a|0)!=8?0:b)|0}function JM(a){a=a|0;var b=0;b=k[a+76>>2]|0;if(b|0)if(oc[k[(k[b>>2]|0)+124>>2]&511](b)|0){b=1;return b|0}a=k[a+80>>2]|0;if(a|0)if(oc[k[(k[a>>2]|0)+124>>2]&511](a)|0){b=1;return b|0}b=0;return b|0}function KM(a){a=a|0;var b=0;a=gb(8)|0;y=0;oa(484,a|0,53842);b=y;y=0;if(b&1){b=pb()|0;fb(a|0);sb(b|0)}else{k[a>>2]=27092;Wb(a|0,4560,351)}}function LM(a){a=a|0;var b=0;a=gb(8)|0;y=0;oa(484,a|0,53842);b=y;y=0;if(b&1){b=pb()|0;fb(a|0);sb(b|0)}else{k[a>>2]=27072;Wb(a|0,4544,351)}}function MM(a){a=a|0;k[a>>2]=15716;$9(a+80|0);k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);zqa(a);return}function NM(a){a=a|0;var b=0;a=gb(8)|0;y=0;oa(484,a|0,53690);b=y;y=0;if(b&1){b=pb()|0;fb(a|0);sb(b|0)}else{k[a>>2]=27092;Wb(a|0,4560,351)}}function OM(a){a=a|0;var b=0;a=gb(8)|0;y=0;oa(484,a|0,53690);b=y;y=0;if(b&1){b=pb()|0;fb(a|0);sb(b|0)}else{k[a>>2]=27072;Wb(a|0,4544,351)}}function PM(a){a=a|0;return zq(a)|0}function QM(a){a=a|0;var b=0;if(!(k[a>>2]&128))b=1;else b=(k[a+20>>2]|0)>>>0>(k[a+28>>2]|0)>>>0?2:1;b=rc[k[a+40>>2]&255](a,0,b)|0;if((b|0)>=0)b=b-(k[a+8>>2]|0)+(k[a+4>>2]|0)+(k[a+20>>2]|0)-(k[a+28>>2]|0)|0;return b|0}function RM(a){a=a|0;WB(a,k[a+4>>2]|0);return}function SM(a){a=a|0;var b=0,c=0,d=0;d=r;r=r+16|0;c=d+8|0;b=gL(a,589824,d)|0;do if((b|0)<0)a=0;else{a=ZN(1,2072)|0;if(!a){k[c>>2]=b;Sb(6,c|0)|0;a=0;break}else{k[a>>2]=b;break}}while(0);r=d;return a|0}function TM(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;while(1){if((b|0)==(c|0))break;a=k[b>>2]|0;if(a>>>0<128){a=(TQ()|0)+(a<<1)|0;a=m[a>>1]|0}else a=0;j[d>>1]=a;d=d+2|0;b=b+4|0}return c|0}function UM(a){a=a|0;k[a>>2]=12784;EO(a+116|0);$9(a+104|0);k[a>>2]=11700;$9(a+84|0);$9(a+72|0);return}function VM(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=a+32|0;e=a+36|0;c=k[a+40>>2]|0;while(1){if(!c)break;f=c+-1|0;Lc[k[(k[d>>2]|0)+(f<<2)>>2]&255](b,a,k[(k[e>>2]|0)+(f<<2)>>2]|0);c=f}return}function WM(a){a=a|0;var b=0,c=0;b=ZL(104)|0;y=0;oa(503,b|0,a|0);c=y;y=0;if(c&1){c=pb()|0;zqa(b);sb(c|0)}else{k[b>>2]=11880;i[b+101>>0]=i[a+101>>0]|0;return b|0}return 0}function XM(a,b){a=a|0;b=b|0;k[a>>2]=27052;y=0;oa(667,a+4|0,((i[b+11>>0]|0)<0?k[b>>2]|0:b)|0);b=y;y=0;if(b&1){b=pb()|0;sb(b|0)}else return}function YM(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;while(1){if((c|0)==(d|0)){c=d;break}a=k[c>>2]|0;if(a>>>0>=128)break;a=(TQ()|0)+(a<<1)|0;if(!((j[a>>1]&b)<<16>>16))break;c=c+4|0}return c|0}function ZM(a){a=a|0;k[a>>2]=15716;$9(a+80|0);k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);return}function _M(a,b){a=a|0;b=b|0;var c=0;k[a+64>>2]=b;c=k[a+80>>2]|0;if(c|0)mc[k[(k[c>>2]|0)+116>>2]&1023](c,b);a=k[a+76>>2]|0;if(!a)return;mc[k[(k[a>>2]|0)+116>>2]&1023](a,b);return}function $M(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)!=(b|0)){c=i[b+11>>0]|0;d=c<<24>>24<0;vD(a,d?k[b>>2]|0:b,d?k[b+4>>2]|0:c&255)|0}return a|0}function aN(a,b){a=a|0;b=b|0;var c=0,d=0;c=i[a+11>>0]|0;d=c<<24>>24<0;if(d)c=k[a+4>>2]|0;else c=c&255;if(c>>>0<=b>>>0)KM(a);if(d)a=k[a>>2]|0;return a+b|0}function bN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=a&65535;e=b&65535;c=aa(e,f)|0;d=a>>>16;a=(c>>>16)+(aa(e,d)|0)|0;e=b>>>16;b=aa(e,f)|0;return (N=(a>>>16)+(aa(e,d)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|c&65535|0)|0}function cN(a,b){a=a|0;b=b|0;var c=0,d=0;c=i[a+11>>0]|0;d=c<<24>>24<0;if(d)c=k[a+4>>2]|0;else c=c&255;if(c>>>0<=b>>>0)KM(a);if(d)a=k[a>>2]|0;return a+b|0}function dN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;while(1){if((c|0)==(d|0)){c=d;break}a=k[c>>2]|0;if(a>>>0<128){a=(TQ()|0)+(a<<1)|0;if((j[a>>1]&b)<<16>>16)break}c=c+4|0}return c|0}function eN(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=(c-b|0)>>>2;a=e;e=b;while(1){if((e|0)==(c|0))break;g=k[e>>2]|0;i[a>>0]=g>>>0<128?g&255:d;a=a+1|0;e=e+4|0}return b+(f<<2)|0}function fN(a,b){a=+a;b=+b;var c=0,d=0;p[u>>3]=a;d=k[u>>2]|0;c=k[u+4>>2]|0;p[u>>3]=b;c=k[u+4>>2]&-2147483648|c&2147483647;k[u>>2]=d;k[u+4>>2]=c;return +(+p[u>>3])}function gN(){var a=0,b=0;do if(!(i[71864]|0))if(eca(71864)|0){y=0;a=ta(168,2147483647,51545,0)|0;b=y;y=0;if(b&1){b=pb()|0;sb(b|0)}else{k[19538]=a;break}}while(0);return k[19538]|0}function hN(a,b){a=a|0;b=b|0;i[a>>0]=0;k[a+4>>2]=b;b=b+(k[(k[b>>2]|0)+-12>>2]|0)|0;if(!(k[b+16>>2]|0)){b=k[b+72>>2]|0;if(b|0)It(b)|0;i[a>>0]=1}return}function iN(a,b){a=a|0;b=b|0;i[a>>0]=0;k[a+4>>2]=b;b=b+(k[(k[b>>2]|0)+-12>>2]|0)|0;if(!(k[b+16>>2]|0)){b=k[b+72>>2]|0;if(b|0)Jt(b)|0;i[a>>0]=1}return}function jN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=d;k[a+12>>2]=b;k[a+16>>2]=c;d=a+20|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[d+16>>2]=0;return}function kN(a,b,c){a=a|0;b=b|0;c=c|0;a=0;if(!(i[b>>0]|0))a=4;else if(!(uM(b,51545)|0))a=4;else if(!(uM(b,50726)|0))a=4;else c=0;do if((a|0)==4)if(!c)if(!(k[19146]|0)){k[19146]=1;c=76588;break}else{c=ZN(1,4)|0;break}while(0);return c|0}function lN(a){a=a|0;var b=0;b=pd((JI(a)|0)+1|0)|0;if(!b){mN(45154,15,1,k[4849]|0)|0;Zb(1)}wma(b,a)|0;a=ZN(1,32)|0;if(!a){mN(45154,15,1,k[4849]|0)|0;Zb(1)}else{k[a+16>>2]=2;k[a+24>>2]=b;return a|0}return 0}function mN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=aa(c,b)|0;if((k[d+76>>2]|0)>-1){f=(Iqa(d)|0)==0;a=Rz(a,e,d)|0;if(!f)Hqa(d)}else a=Rz(a,e,d)|0;if((a|0)!=(e|0))c=(a>>>0)/(b>>>0)|0;return c|0}function nN(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;return Dc[a&3](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0)|0}function oN(a,b){a=a|0;b=b|0;k[a+4>>2]=b+-1;k[a>>2]=26496;k[a+8>>2]=46;k[a+12>>2]=44;b=a+16|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}return}function pN(a){a=a|0;var b=0,c=0;b=a+68|0;c=k[b>>2]|0;if(c|0)return c|0;a=k[a+72>>2]|0;a=(oc[k[(k[a>>2]|0)+8>>2]&511](a)|0)+-1640531527|0;c=k[b>>2]|0;c=a+(c<<6)+(c>>>2)^c;k[b>>2]=c;return c|0}function qN(a){a=a|0;var b=0,c=0,d=0;c=0;d=r;r=r+16|0;b=d;if(!(k[a+8>>2]|0))if(!(VH(a)|0))c=3;else a=-1;else c=3;if((c|0)==3)if((rc[k[a+32>>2]&255](a,b,1)|0)==1)a=l[b>>0]|0;else a=-1;r=d;return a|0}function rN(a,b,c){a=a|0;b=b|0;c=c|0;while(1){if((b|0)==(c|0))break;a=i[b>>0]|0;if(a<<24>>24>-1){a=(xQ()|0)+(a<<24>>24<<2)|0;a=k[a>>2]&255}i[b>>0]=a;b=b+1|0}return c|0}function sN(a,b,c){a=a|0;b=b|0;c=c|0;while(1){if((b|0)==(c|0))break;a=i[b>>0]|0;if(a<<24>>24>-1){a=(yQ()|0)+(a<<24>>24<<2)|0;a=k[a>>2]&255}i[b>>0]=a;b=b+1|0}return c|0}function tN(a,b){a=a|0;b=b|0;var c=0;c=JI(b)|0;y=0;a=sa(21,a|0,0,-1,b|0,c|0)|0;b=y;y=0;if(b&1){c=tb(0)|0;dla(c)}else return a|0;return 0}function uN(a,b){a=a|0;b=b|0;k[a+4>>2]=b+-1;k[a>>2]=26456;i[a+8>>0]=46;i[a+9>>0]=44;b=a+12|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}return}function vN(a,b){a=a|0;b=b|0;a=gb(8)|0;y=0;oa(507,a|0,46607);b=y;y=0;if(b&1){b=pb()|0;fb(a|0);sb(b|0)}else Wb(a|0,4528,353);return 0}function wN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=a+8|0;e=k[d>>2]|0;f=k[b>>2]|0;b=k[b+4>>2]|0;c=a+4|0;if(!f)b=b+(k[c>>2]|0)|0;k[a>>2]=f+(k[a>>2]|0);k[c>>2]=b;k[d>>2]=e;return}function xN(a){a=a|0;var b=0,c=0,d=0.0,e=0;b=Vqa()|0;b=i[k[b>>2]>>0]|0;if(b<<24>>24!=46){c=aba(a,46)|0;if(c|0){e=hP(a)|0;i[e+(c-a)>>0]=b;d=+hqa(e);Pf(e);return +d}}d=+hqa(a);return +d}function yN(a){a=a|0;var b=0,c=0;b=k[k[a>>2]>>2]|0;a=k[b+4>>2]|0;c=k[b+8>>2]|0;b=(k[b>>2]|0)+(c>>1)|0;if(c&1)a=k[(k[b>>2]|0)+a>>2]|0;lc[a&511](b);return}function zN(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)!=1&(c|0)<257)FP(a,b,c);else{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,51220,35)}return}function AN(a,b,c){a=a|0;b=b|0;c=c|0;b=k[b>>2]|0;if(!b){c=0;return c|0}a=k[c>>2]|0;if(!a){c=0;return c|0}c=Fc[k[(k[b>>2]|0)+168>>2]&2047](b,a)|0;return c|0}function BN(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;if((a|0)==(k[b+8>>2]|0))$B(0,b,c,d,e);return}function CN(a){a=a|0;if((i[a>>0]|0)==45)do a=a+1|0;while((i[a>>0]|0)==45);a=kw(a)|0;if(!a){a=0;return a|0}a=iw(a)|0;return a|0}function DN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if((b|0)<(a|0)&(a|0)<(b+c|0)){d=a;b=b+c|0;a=a+c|0;while((c|0)>0){a=a-1|0;b=b-1|0;c=c-1|0;i[a>>0]=i[b>>0]|0}a=d}else GH(a,b,c)|0;return a|0}function EN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c+8|0;e=c;GO(e,b,a+12|0);jQ(d,e,b+20|0);mQ(a+32|0,d);r=c;return}function FN(a,b){a=a|0;b=b|0;oc[k[(k[a>>2]|0)+24>>2]&511](a)|0;b=EZ(b,79944)|0;k[a+36>>2]=b;b=(oc[k[(k[b>>2]|0)+28>>2]&511](b)|0)&1;i[a+44>>0]=b;return}function GN(a,b){a=a|0;b=b|0;oc[k[(k[a>>2]|0)+24>>2]&511](a)|0;b=EZ(b,79936)|0;k[a+36>>2]=b;b=(oc[k[(k[b>>2]|0)+28>>2]&511](b)|0)&1;i[a+44>>0]=b;return}function HN(a){a=a|0;var b=0;k[a>>2]=15192;b=a+108|0;k[b>>2]=15212;Ky(a+8|0);Lka(a,15224);dja(b);zqa(a);return}function IN(){var a=0;do if(!(i[72512]|0))if(eca(72512)|0){y=0;La(8)|0;a=y;y=0;if(a&1){a=pb()|0;sb(a|0)}else{k[19995]=79976;break}}while(0);return k[19995]|0}function JN(a,b,c){a=a|0;b=b|0;c=c|0;while(1){if((b|0)==(c|0))break;a=k[b>>2]|0;if(a>>>0<128){a=(xQ()|0)+(a<<2)|0;a=k[a>>2]|0}k[b>>2]=a;b=b+4|0}return c|0}function KN(a,b,c){a=a|0;b=b|0;c=c|0;while(1){if((b|0)==(c|0))break;a=k[b>>2]|0;if(a>>>0<128){a=(yQ()|0)+(a<<2)|0;a=k[a>>2]|0}k[b>>2]=a;b=b+4|0}return c|0}function LN(a,b,c){a=a|0;b=b|0;c=c|0;b=k[b>>2]|0;if(!b){c=0;return c|0}a=k[c>>2]|0;if(!a){c=0;return c|0}c=Fc[k[(k[b>>2]|0)+92>>2]&2047](b,a)|0;return c|0}function MN(){var a=0;do if(!(i[72344]|0))if(eca(72344)|0){y=0;La(7)|0;a=y;y=0;if(a&1){a=pb()|0;sb(a|0)}else{k[19993]=79968;break}}while(0);return k[19993]|0}function NN(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=16316;k[a+4>>2]=b;b=a+8|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;k[a+32>>2]=c;return}function ON(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)==35){b=k5(a+1|0)|0;if(!b)b=0;else while(1){c=k5(b)|0;if(!c)break;else b=c}}else b=0;a=b-a|0;return ((a|0)!=4&(a|0)!=7?0:b)|0}function PN(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)>256){k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,53926,34)}else FP(a,0,c);return}function QN(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)>256){k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,54004,33)}else FP(a,0,c);return}function RN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=k[b+8>>2]|0;e=k[c>>2]|0;c=k[c+4>>2]|0;if(!e)c=c+(k[b+4>>2]|0)|0;k[a>>2]=e+(k[b>>2]|0);k[a+4>>2]=c;k[a+8>>2]=d;return}function SN(a,b){a=a|0;b=b|0;k[a+76>>2]=0;if(!((k[k[a+68>>2]>>2]|0)!=3|b^1))i[a+84>>0]=0;b=a+80|0;if(!(k[b>>2]|0)){po(a);return}k[b>>2]=1;po(a);return}function TN(a){a=a|0;a=XB(a)|0;if(!a){a=0;return a|0}a=xz(a)|0;return a|0}function UN(a){a=a|0;var b=0;b=i[w+(a&255)>>0]|0;if((b|0)<8)return b|0;b=i[w+(a>>8&255)>>0]|0;if((b|0)<8)return b+8|0;b=i[w+(a>>16&255)>>0]|0;if((b|0)<8)return b+16|0;return (i[w+(a>>>24)>>0]|0)+24|0}function VN(a,b){a=a|0;b=b|0;var c=0;k[a+4>>2]=b+-1;k[a>>2]=26336;y=0;b=La(3)|0;c=y;y=0;if(c&1){c=pb()|0;sb(c|0)}else{k[a+8>>2]=b;return}}function WN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jA(a,c,d);return}function XN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;zD(a,c,d);return}function YN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;e=r;r=r+16|0;d=e;k[d>>2]=k[c>>2];a=rc[k[(k[a>>2]|0)+16>>2]&255](a,b,d)|0;if(a)k[c>>2]=k[d>>2];r=e;return a&1|0}function ZN(a,b){a=a|0;b=b|0;var c=0;if(!a)c=0;else{c=aa(b,a)|0;if((b|a)>>>0>65535)c=((c>>>0)/(a>>>0)|0|0)==(b|0)?c:-1}a=pd(c)|0;if(!a)return a|0;if(!(k[a+-4>>2]&3))return a|0;jJ(a|0,0,c|0)|0;return a|0}function _N(a){a=a|0;var b=0;b=gb(8)|0;y=0;oa(507,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;fb(b|0);sb(a|0)}else Wb(b|0,4528,353)}function $N(a){a=a|0;var b=0;k[a>>2]=15192;b=a+108|0;k[b>>2]=15212;Ky(a+8|0);Lka(a,15224);dja(b);return}function aO(a){a=a|0;var b=0,c=0;y=0;b=La(9)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}else{c=k[b>>2]|0;k[a>>2]=c;Bca(c);return}}function bO(a){a=a|0;var b=0;b=ZL(104)|0;y=0;oa(503,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else{k[b>>2]=12060;return b|0}return 0}function cO(a){a=a|0;if(i[a+95>>0]|0)if(i[a+97>>0]|0)return;switch(k[k[a+68>>2]>>2]|0){case 2:{k[a+76>>2]=1;return}case 3:return;default:{k[a+80>>2]=1;k[a+76>>2]=0;return}}}function dO(a,b){a=a|0;b=b|0;var c=0;c=k[a+4>>2]|0;return ad(b,k[a+8>>2]|0,c+60|0,(i[c+98>>0]|0)==0)|0}function eO(a,b){a=a|0;b=b|0;var c=0;c=k[a>>2]|0;if(!c){c=0;return c|0}a=k[b>>2]|0;if(!a){c=0;return c|0}c=Fc[k[(k[c>>2]|0)+88>>2]&2047](c,a)|0;return c|0}function fO(a){a=a|0;var b=0;b=ZL(104)|0;y=0;oa(503,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else{k[b>>2]=12240;return b|0}return 0}function gO(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;Ec[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)}function hO(a){a=a|0;var b=0;b=ZL(104)|0;y=0;oa(503,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else{k[b>>2]=12424;return b|0}return 0}function iO(a,b){a=a|0;b=b|0;var c=0;c=a+4|0;a=b;b=k[c>>2]|0;do{k[b>>2]=0;b=(k[c>>2]|0)+4|0;k[c>>2]=b;a=a+-1|0}while((a|0)!=0);return}function jO(a){a=a|0;var b=0;b=i[a>>0]|0;if(b<<24>>24!=32&((b<<24>>24)+-9|0)>>>0>4){b=a;return b|0}do{a=a+1|0;b=i[a>>0]|0}while(!(b<<24>>24!=32&((b<<24>>24)+-9|0)>>>0>4));return a|0}function kO(a){a=a|0;var b=0,c=0,d=0;k[a>>2]=17788;b=k[a+4>>2]|0;if(!b){zqa(a);return}c=a+8|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);zqa(b);zqa(a);return}function lO(a){a=a|0;var b=0;b=ZL(104)|0;y=0;oa(503,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else{k[b>>2]=12604;return b|0}return 0}function mO(a){a=a|0;k[a>>2]=15692;$9(a+28|0);k[a>>2]=14076;$9(a+8|0);cda(a);zqa(a);return}function nO(a){a=a|0;k[a>>2]=15668;$9(a+28|0);k[a>>2]=14076;$9(a+8|0);cda(a);zqa(a);return}function oO(a){a=a|0;k[a>>2]=15668;$9(a+28|0);k[a>>2]=14076;$9(a+8|0);cda(a);zqa(a);return}function pO(a){a=a|0;var b=0;switch(i[a>>0]|0){case 10:case 0:{a=a+1|0;return a|0}case 13:{b=a+1|0;a=(i[b>>0]|0)==10?a+2|0:b;return a|0}default:{b=0;return b|0}}return 0}function qO(a,b){a=+a;b=b|0;var c=0.0;c=+cm(a,1.0)+-.5;if(c>-+R(.1,+(+((b+1|0)>>>0)))){c=+$(+a);return +c}if(c>+R(.1,+(+(b>>>0)))){c=+O(+a);return +c}else{c=+cma(+a);return +c}return 0.0}function rO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;c=c+8|0;wc[k[(k[b>>2]|0)+16>>2]&31](a,b,k[c>>2]|0,k[c+4>>2]|0,0,d);return}function sO(a){a=a|0;k[a>>2]=13168;EO(a+104|0);k[a>>2]=11700;$9(a+84|0);$9(a+72|0);zqa(a);return}function tO(a){a=a|0;k[a>>2]=12976;EO(a+104|0);k[a>>2]=11700;$9(a+84|0);$9(a+72|0);zqa(a);return}function uO(a,b){a=+a;b=b|0;var c=0;c=ZN(1,40)|0;if(!c){c=0;return c|0}k[c>>2]=1;p[c+8>>3]=a;if(b|0){b=hP(b)|0;k[c+16>>2]=b;if(b|0)return c|0}Pf(c);c=0;return c|0}function vO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;k[a+104>>2]=b;c=k[a+8>>2]|0;d=k[a+4>>2]|0;e=c-d|0;k[a+108>>2]=e;if((b|0)!=0&(e|0)>(b|0))k[a+100>>2]=d+b;else k[a+100>>2]=c;return}function wO(a,b){a=a|0;b=b|0;a=k[b>>2]|0;if(!a){b=0;return b|0}if(pw(a,24,72,0)|0){b=1;return b|0}b=(pw(a,24,56,0)|0)!=0;return b|0}function xO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((a|0)==(k[b+8>>2]|0))dI(0,b,c,d);return}function yO(a){a=a|0;var b=0;b=i[a>>0]|0;if(b<<24>>24!=32&((b<<24>>24)+-9|0)>>>0>4){b=0;return b|0}do{a=a+1|0;b=i[a>>0]|0}while(!(b<<24>>24!=32&((b<<24>>24)+-9|0)>>>0>4));return a|0}function zO(a,b){a=a|0;b=b|0;var c=0;c=ZN(1,40)|0;if(!c){c=0;return c|0}k[c>>2]=4;k[c+8>>2]=a;k[c+4>>2]=b;b=ZN(a,4)|0;k[c+12>>2]=b;if(b|0)return c|0;Pf(c);c=0;return c|0}function AO(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;f=a;k[f>>2]=0;k[f+4>>2]=0;f=a+8|0;k[f>>2]=-1;k[f+4>>2]=-1;return}function BO(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;f=a;k[f>>2]=0;k[f+4>>2]=0;f=a+8|0;k[f>>2]=-1;k[f+4>>2]=-1;return}function CO(a,b){a=a|0;b=b|0;b=k[b>>2]|0;i[a>>0]=0;k[a+4>>2]=1;k[a+8>>2]=b;_V(a+12|0,0);k[a+16>>2]=0;k[a+20>>2]=0;return}function DO(a){a=a|0;k[a>>2]=15692;$9(a+28|0);k[a>>2]=14076;$9(a+8|0);cda(a);return}function EO(a){a=a|0;var b=0,c=0;a=k[a>>2]|0;if(!a)return;c=a+4|0;b=(k[c>>2]|0)+-1|0;k[c>>2]=b;if(b|0)return;if(i[a+8>>0]|0)return;lc[k[(k[a>>2]|0)+4>>2]&511](a);return}function FO(a){a=a|0;k[a>>2]=15668;$9(a+28|0);k[a>>2]=14076;$9(a+8|0);cda(a);return}function GO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;e=k[b>>2]|0;d=k[c>>2]|0;c=(k[b+4>>2]|0)-((e|0)==(d|0)?k[c+4>>2]|0:0)|0;k[a>>2]=e-d;k[a+4>>2]=c;return}function HO(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)>256){Lca()|0;b=80064}else{zca()|0;b=80060}k[a>>2]=c;k[a+4>>2]=b;return}function IO(a){a=a|0;return Bq(a)|0}function JO(a){a=a|0;k[a>>2]=13168;EO(a+104|0);k[a>>2]=11700;$9(a+84|0);$9(a+72|0);return}function KO(a){a=a|0;k[a>>2]=12976;EO(a+104|0);k[a>>2]=11700;$9(a+84|0);$9(a+72|0);return}function LO(a,b){a=a|0;b=b|0;var c=0,d=0;d=JI(b)|0;c=ZL(d+13|0)|0;k[c>>2]=d;k[c+4>>2]=d;k[c+8>>2]=0;c=c+12|0;GH(c|0,b|0,d+1|0)|0;k[a>>2]=c;return}function MO(a){a=a|0;k[a>>2]=23512;aO(a+4|0);a=a+8|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;k[a+20>>2]=0;return}function NO(a){a=a|0;k[a>>2]=23448;aO(a+4|0);a=a+8|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;k[a+20>>2]=0;return}function OO(a){a=a|0;var b=0;if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1)a=-1;else{b=a+12|0;a=k[b>>2]|0;k[b>>2]=a+4;a=k[a>>2]|0}return a|0}function PO(a){a=a|0;var b=0;if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1)a=-1;else{b=a+12|0;a=k[b>>2]|0;k[b>>2]=a+1;a=l[a>>0]|0}return a|0}function QO(a){a=a|0;k[a>>2]=5804;EO(a+84|0);EO(a+80|0);$9(a+68|0);k[a>>2]=5436;EO(a+64|0);zqa(a);return}function RO(a){a=a|0;aH(a,k[a+4>>2]|0);return}function SO(a,b){a=a|0;b=b|0;if(xS(a,b)|0)return k[(k[a+8>>2]|0)+(b<<2)>>2]|0;else{b=gb(4)|0;ioa(b);Wb(b|0,4592,358)}return 0}function TO(a){a=a|0;var b=0;b=ZL(72)|0;y=0;oa(493,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function UO(a){a=a|0;var b=0;b=ZN(1,40)|0;if(!b){b=0;return b|0}i[b+4>>0]=1;k[b>>2]=3;if(a|0){a=hP(a)|0;k[b+8>>2]=a;if(a|0)return b|0}Pf(b);b=0;return b|0}function VO(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;while(1){if((b|0)==(c|0))break;a=i[b>>0]|0;i[e>>0]=a<<24>>24>-1?a:d;e=e+1|0;b=b+1|0}return c|0}function WO(a){a=a|0;var b=0;b=ZL(68)|0;y=0;oa(496,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function XO(a){a=a|0;var b=0;b=ZL(68)|0;y=0;oa(490,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function YO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=a+20|0;e=k[d>>2]|0;a=(k[a+16>>2]|0)-e|0;a=a>>>0>c>>>0?c:a;GH(e|0,b|0,a|0)|0;k[d>>2]=(k[d>>2]|0)+a;return c|0}function ZO(a){a=a|0;var b=0;b=ZL(120)|0;y=0;oa(504,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function _O(a,b,c,d){a=+a;b=+b;c=+c;d=+d;var e=0;e=ZN(1,40)|0;if(!e){e=0;return e|0}k[e>>2]=2;p[e+8>>3]=a;p[e+16>>3]=b;p[e+24>>3]=c;p[e+32>>3]=d;return e|0}function $O(a){a=a|0;var b=0;b=ZL(108)|0;y=0;oa(505,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function aP(a){a=a|0;var b=0,c=0;b=i[a>>0]|0;c=b<<24>>24;if(b<<24>>24==45|(b<<24>>24<0|((c+-48|0)>>>0<10|((c&-33)+-65|0)>>>0<26)))return 0;else return (b<<24>>24==35?0:a)|0;return 0}function bP(a){a=a|0;var b=0;b=ZL(72)|0;y=0;oa(495,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function cP(a){a=a|0;var b=0;b=ZL(80)|0;y=0;oa(486,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function dP(a){a=a|0;k[a>>2]=6816;EO(a+84|0);EO(a+80|0);$9(a+68|0);k[a>>2]=5436;EO(a+64|0);zqa(a);return}function eP(a){a=a|0;var b=0;b=ZL(88)|0;y=0;oa(509,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function fP(a){a=a|0;k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);zqa(a);return}function gP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=0;while(1){if((b|0)==(c|0))break;d=(k[b>>2]|0)+(a<<4)|0;e=d&-268435456;a=(e>>>24|e)^d;b=b+4|0}return a|0}function hP(a){a=a|0;var b=0,c=0;b=(JI(a)|0)+1|0;c=pd(b)|0;if(!c){wT(77440,45154)|0;Zb(1)}else{GH(c|0,a|0,b|0)|0;return c|0}return 0}function iP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=0;while(1){if((b|0)==(c|0))break;d=(i[b>>0]|0)+(a<<4)|0;e=d&-268435456;a=(e>>>24|e)^d;b=b+1|0}return a|0}function jP(a){a=a|0;var b=0;b=ZL(72)|0;y=0;oa(494,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function kP(a){a=a|0;var b=0;b=ZL(104)|0;y=0;oa(510,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function lP(a){a=a|0;var b=0;b=ZL(72)|0;y=0;oa(469,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function mP(a){a=a|0;var b=0;b=ZL(88)|0;y=0;oa(489,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function nP(a){a=a|0;var b=0;b=ZL(68)|0;y=0;oa(497,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function oP(a){a=a|0;var b=0;b=ZL(72)|0;y=0;oa(498,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function pP(a){a=a|0;k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);zqa(a);return}function qP(a){a=a|0;var b=0,c=0;c=k[a>>2]|0;if(!c)return;a=a+4|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-4-c|0)>>>2)<<2);zqa(c);return}function rP(a){a=a|0;var b=0,c=0;c=k[a>>2]|0;if(!c)return;a=a+4|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-4-c|0)>>>2)<<2);zqa(c);return}function sP(a){a=a|0;var b=0,c=0;c=k[a>>2]|0;if(!c)return;a=a+4|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-8-c|0)>>>3)<<3);zqa(c);return}function tP(a){a=a|0;k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);zqa(a);return}function uP(a){a=a|0;k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);zqa(a);return}function vP(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;ea(12)}function wP(a){a=a|0;var b=0;b=ZL(88)|0;y=0;oa(491,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function xP(a){a=a|0;var b=0;b=ZL(72)|0;y=0;oa(467,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function yP(a){a=a|0;var b=0;b=ZL(80)|0;y=0;oa(470,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function zP(a){a=a|0;var b=0;b=ZL(112)|0;y=0;oa(480,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function AP(a){a=a|0;k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);zqa(a);return}function BP(a){a=a|0;var b=0,c=0;c=k[a>>2]|0;if(!c)return;a=a+4|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-4-c|0)>>>2)<<2);zqa(c);return}function CP(a){a=a|0;var b=0;b=ZL(84)|0;y=0;oa(481,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function DP(a){a=a|0;var b=0;b=ZL(84)|0;y=0;oa(471,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function EP(a){a=a|0;k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);zqa(a);return}function FP(a,b,c){a=a|0;b=b|0;c=c|0;c=BJ(c)|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,c,JI(c)|0);return}function GP(a){a=a|0;k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);zqa(a);return}function HP(a){a=a|0;k[a>>2]=5804;EO(a+84|0);EO(a+80|0);$9(a+68|0);k[a>>2]=5436;EO(a+64|0);return}function IP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=r;r=r+16|0;e=d;k[e>>2]=a;k[e+4>>2]=b;k[e+8>>2]=c;c=m9(Qb(3,e|0)|0)|0;r=d;return c|0}function JP(a){a=a|0;var b=0;b=ZL(72)|0;y=0;oa(499,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function KP(a){a=a|0;var b=0;b=ZL(88)|0;y=0;oa(468,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function LP(a){a=a|0;var b=0;b=ZL(84)|0;y=0;oa(487,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function MP(a){a=a|0;var b=0;b=ZL(76)|0;y=0;oa(465,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function NP(a){a=a|0;var b=0;b=ZL(104)|0;y=0;oa(451,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function OP(a){a=a|0;var b=0;b=ZL(92)|0;y=0;oa(472,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function PP(a){a=a|0;cH(a,k[a+4>>2]|0);return}function QP(a){a=a|0;var b=0;b=ZL(72)|0;y=0;oa(479,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function RP(a){a=a|0;var b=0;b=ZL(80)|0;y=0;oa(466,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function SP(a){a=a|0;var b=0;b=ZL(84)|0;y=0;oa(478,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function TP(a){a=a|0;k[a>>2]=6816;EO(a+84|0);EO(a+80|0);$9(a+68|0);k[a>>2]=5436;EO(a+64|0);return}function UP(a){a=a|0;var b=0,c=0;k[a>>2]=17788;c=k[a+4>>2]|0;if(!c)return;a=a+8|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-4-c|0)>>>2)<<2);zqa(c);return}function VP(a){a=a|0;var b=0;b=ZL(92)|0;y=0;oa(477,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function WP(a){a=a|0;k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);zqa(a);return}function XP(a){a=a|0;var b=0;b=ZL(76)|0;y=0;oa(476,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;zqa(b);sb(a|0)}else return b|0;return 0}function YP(a,b){a=a|0;b=b|0;b=(i[b+84>>0]|0)!=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,b?29511:36148,b?7:4);return}function ZP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;f=r;r=r+16|0;e=f|0;Ik(a,b,c,d,e)|0;r=f;return (N=k[e+4>>2]|0,k[e>>2]|0)|0}function _P(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=a;k[d>>2]=0;k[d+4>>2]=0;d=a+8|0;k[d>>2]=-1;k[d+4>>2]=-1;return}function $P(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=a;k[d>>2]=0;k[d+4>>2]=0;d=a+8|0;k[d>>2]=-1;k[d+4>>2]=-1;return}function aQ(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return Nc[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function bQ(a){a=a|0;var b=0,c=0;c=k[a>>2]|0;if(!c)return;a=a+4|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-4-c|0)>>>2)<<2);zqa(c);return}function cQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if((k[a+76>>2]|0)>-1){d=(Iqa(a)|0)==0;b=sE(a,b,c)|0;if(!d)Hqa(a)}else b=sE(a,b,c)|0;return b|0}function dQ(a){a=a|0;var b=0;b=ZN(1,40)|0;if(!b){b=0;return b|0}k[b>>2]=8;if(a|0){a=hP(a)|0;k[b+4>>2]=a;if(a|0)return b|0}Pf(b);b=0;return b|0}function eQ(a,b,c){a=a|0;b=b|0;c=c|0;c=xpa((i[b+11>>0]|0)<0?k[b>>2]|0:b,1)|0;return c>>>((c|0)!=(-1|0)&1)|0}function fQ(a,b,c){a=a|0;b=b|0;c=c|0;c=xpa((i[b+11>>0]|0)<0?k[b>>2]|0:b,1)|0;return c>>>((c|0)!=(-1|0)&1)|0}function gQ(a){a=a|0;var b=0;b=ZN(1,40)|0;if(!b){b=0;return b|0}k[b>>2]=3;if(a|0){a=hP(a)|0;k[b+8>>2]=a;if(a|0)return b|0}Pf(b);b=0;return b|0}function hQ(a){a=a|0;var b=0;b=ZN(1,40)|0;if(!b){b=0;return b|0}k[b>>2]=7;if(a|0){a=hP(a)|0;k[b+4>>2]=a;if(a|0)return b|0}Pf(b);b=0;return b|0}function iQ(a){a=a|0;var b=0;b=i[a+64+11>>0]|0;if(b<<24>>24<0)b=k[a+68>>2]|0;else b=b&255;if(b|0){a=0;return a|0}a=(i[a+60>>0]|0)==0;return a|0}function jQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=k[c>>2]|0;c=k[c+4>>2]|0;if(!d)c=c+(k[b+4>>2]|0)|0;k[a>>2]=d+(k[b>>2]|0);k[a+4>>2]=c;return}function kQ(a){a=a|0;k[a>>2]=14240;$9(a+32|0);nba(a);zqa(a);return}function lQ(a){a=a|0;var b=0,c=0;c=a+4|0;b=k[c>>2]|0;k[c>>2]=b+-1;if(!b){lc[k[(k[a>>2]|0)+8>>2]&511](a);a=1}else a=0;return a|0}function mQ(a,b){a=a|0;b=b|0;var c=0,d=0;c=k[b>>2]|0;b=k[b+4>>2]|0;if(!c)b=b+(k[a+4>>2]|0)|0;d=a;k[d>>2]=c+(k[a>>2]|0);k[d+4>>2]=b;return}function nQ(a){a=a|0;var b=0;b=ZN(1,40)|0;if(!b){b=0;return b|0}k[b>>2]=5;k[b+4>>2]=a;a=ZN(a,8)|0;k[b+8>>2]=a;if(a|0)return b|0;Pf(b);b=0;return b|0}function oQ(a,b){a=a|0;b=b|0;k[a>>2]=27052;y=0;oa(667,a+4|0,b|0);b=y;y=0;if(b&1){b=pb()|0;sb(b|0)}else return}function pQ(a){a=a|0;k[a>>2]=14052;$9(a+20|0);$9(a+8|0);cda(a);return}function qQ(a){a=a|0;fI(a,k[a+4>>2]|0);return}function rQ(a,b,c){a=a|0;b=b|0;c=c|0;b=k[b>>2]|0;return Fc[k[(k[b>>2]|0)+160>>2]&2047](b,k[c>>2]|0)|0}function sQ(a,b,c){a=a|0;b=b|0;c=c|0;i[b+61>>0]=i[a+61>>0]|0;return ji(a,b,c)|0}function tQ(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;uc[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function uQ(a,b){a=a|0;b=b|0;k[a>>2]=27032;y=0;oa(667,a+4|0,b|0);b=y;y=0;if(b&1){b=pb()|0;sb(b|0)}else return}function vQ(a){a=a|0;k[a>>2]=7368;EO(a+80|0);$9(a+68|0);k[a>>2]=5436;EO(a+64|0);zqa(a);return}function wQ(a){a=a|0;k[a>>2]=7276;EO(a+80|0);$9(a+68|0);k[a>>2]=5436;EO(a+64|0);zqa(a);return}function xQ(){var a=0,b=0;y=0;a=La(5)|0;b=y;y=0;if(b&1){b=tb(0)|0;dla(b)}else return k[a>>2]|0;return 0}function yQ(){var a=0,b=0;y=0;a=La(4)|0;b=y;y=0;if(b&1){b=tb(0)|0;dla(b)}else return k[a>>2]|0;return 0}function zQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function AQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function BQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function CQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function DQ(a){a=a|0;if(oc[k[(k[a>>2]|0)+104>>2]&511](a)|0){a=1;return a|0}a=oc[k[(k[a>>2]|0)+108>>2]&511](a)|0;return a|0}function EQ(a){a=a|0;var b=0;b=k[a+64>>2]|0;if(b|0)if(oc[k[(k[b>>2]|0)+80>>2]&511](b)|0){b=1;return b|0}b=(k[a+52>>2]|0)==7;return b|0}function FQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function GQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function HQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function IQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function JQ(a,b){a=a|0;b=b|0;a=k[b>>2]|0;if(!a){b=0;return b|0}b=oc[k[(k[a>>2]|0)+8>>2]&511](a)|0;return b|0}function KQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function LQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function MQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function NQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function OQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(c|0){d=a;while(1){c=c+-1|0;k[d>>2]=k[b>>2];if(!c)break;else{b=b+4|0;d=d+4|0}}}return a|0}function PQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;f=c;c=bN(e,f)|0;a=N;return (N=(aa(b,f)|0)+(aa(d,e)|0)+a|a&0,c|0|0)|0}function QQ(a){a=a|0;k[a>>2]=11700;$9(a+84|0);$9(a+72|0);zqa(a);return}function RQ(a){a=a|0;k[a>>2]=14240;$9(a+32|0);nba(a);return}function SQ(a,b){a=a|0;b=b|0;b=pw(b,88,144,0)|0;if(!b){a=0;return a|0}a=Fc[k[(k[a>>2]|0)+168>>2]&2047](a,b)|0;return a|0}function TQ(){var a=0,b=0;y=0;a=La(6)|0;b=y;y=0;if(b&1){b=tb(0)|0;dla(b)}else return k[a>>2]|0;return 0}function UQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;DE(a,26528,uba(26528)|0);return}function VQ(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;k[e>>2]=c;k[h>>2]=f;return 3}function WQ(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+196>>2]&255](a,c,b);return}function XQ(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+204>>2]&255](a,c,b);return}function YQ(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;DE(a,26552,uba(26552)|0);return}function ZQ(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;k[e>>2]=c;k[h>>2]=f;return 3}function _Q(a,b){a=a|0;b=b|0;b=pw(b,88,104,0)|0;if(!b){a=0;return a|0}a=Fc[k[(k[a>>2]|0)+160>>2]&2047](a,b)|0;return a|0}function $Q(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+192>>2]&255](a,c,b);return}function aR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+240>>2]&255](a,c,b);return}function bR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+136>>2]&255](a,c,b);return}function cR(a){a=a|0;k[a>>2]=11700;$9(a+84|0);$9(a+72|0);zqa(a);return}function dR(a){a=a|0;k[a>>2]=11700;$9(a+84|0);$9(a+72|0);zqa(a);return}function eR(){var a=0,b=0;a=r;r=r+16|0;if(!(Cb(80068,7)|0)){b=Db(k[20018]|0)|0;r=a;return b|0}else fV(54357,a);return 0}function fR(a){a=a|0;switch(k[a+4>>2]&74){case 64:{a=8;break}case 8:{a=16;break}case 0:{a=0;break}default:a=10}return a|0}function gR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+256>>2]&255](a,c,b);return}function hR(a){a=a|0;k[a>>2]=11700;$9(a+84|0);$9(a+72|0);zqa(a);return}function iR(a,b,c){a=a|0;b=b|0;c=c|0;k[a+4>>2]=0;k[a+8>>2]=0;k[a>>2]=a+4;k[a+12>>2]=b;i[a+16>>0]=c&1;return}function jR(a){a=a|0;k[a>>2]=7368;EO(a+80|0);$9(a+68|0);k[a>>2]=5436;EO(a+64|0);return}function kR(a){a=a|0;k[a>>2]=7276;EO(a+80|0);$9(a+68|0);k[a>>2]=5436;EO(a+64|0);return}function lR(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return hc[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function mR(a,b){a=a|0;b=b|0;a=k[b>>2]|0;if(!a){b=0;return b|0}b=oc[k[(k[a>>2]|0)+8>>2]&511](a)|0;return b|0}function nR(a){a=a|0;var b=0,c=0;if(!a)return;b=k[a>>2]|0;if(b|0){c=a;do{Pf(b);c=c+4|0;b=k[c>>2]|0}while((b|0)!=0)}Pf(a);return}function oR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+184>>2]&255](a,c,b);return}function pR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+188>>2]&255](a,c,b);return}function qR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+268>>2]&255](a,c,b);return}function rR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+124>>2]&255](a,c,b);return}function sR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+264>>2]&255](a,c,b);return}function tR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+128>>2]&255](a,c,b);return}function uR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+244>>2]&255](a,c,b);return}function vR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+272>>2]&255](a,c,b);return}function wR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+176>>2]&255](a,c,b);return}function xR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+236>>2]&255](a,c,b);return}function yR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+260>>2]&255](a,c,b);return}function zR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+216>>2]&255](a,c,b);return}function AR(a){a=a|0;k[a>>2]=11700;$9(a+84|0);$9(a+72|0);zqa(a);return}function BR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+248>>2]&255](a,c,b);return}function CR(a,b){a=a|0;b=b|0;var c=0,d=0;c=r;r=r+16|0;d=c;k[d>>2]=a;k[d+4>>2]=b;b=m9(yb(195,d|0)|0)|0;r=c;return b|0}function DR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+28>>2]&255](a,c,b);return}function ER(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+168>>2]&255](a,c,b);return}function FR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+276>>2]&255](a,c,b);return}function GR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+132>>2]&255](a,c,b);return}function HR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+208>>2]&255](a,c,b);return}function IR(a){a=a|0;if((((k[a+80>>2]|0)-(k[a+76>>2]|0)|0)/12|0)>>>0>=2){a=0;return a|0}a=(k[a+92>>2]|0)==(k[a+88>>2]|0);return a|0}function JR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+172>>2]&255](a,c,b);return}function KR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+44>>2]&255](a,c,b);return}function LR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+36>>2]&255](a,c,b);return}function MR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;EE(a,1,45);return}function NR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;EE(a,1,45);return}function OR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;mI(a,1,45);return}function PR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;mI(a,1,45);return}function QR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+200>>2]&255](a,c,b);return}function RR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+252>>2]&255](a,c,b);return}function SR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+32>>2]&255](a,c,b);return}function TR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+60>>2]&255](a,c,b);return}function UR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+48>>2]&255](a,c,b);return}function VR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+224>>2]&255](a,c,b);return}function WR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+112>>2]&255](a,c,b);return}function XR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+108>>2]&255](a,c,b);return}function YR(a,b,c){a=a|0;b=b|0;c=c|0;if(c>>>0<128){a=(TQ()|0)+(c<<1)|0;a=(j[a>>1]&b)<<16>>16!=0}else a=0;return a|0}function ZR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+52>>2]&255](a,c,b);return}function _R(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;while(1){if((b|0)==(c|0))break;i[d>>0]=i[b>>0]|0;d=d+1|0;b=b+1|0}return c|0}function $R(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+220>>2]&255](a,c,b);return}function aS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+104>>2]&255](a,c,b);return}function bS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+232>>2]&255](a,c,b);return}function cS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+40>>2]&255](a,c,b);return}function dS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+148>>2]&255](a,c,b);return}function eS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+228>>2]&255](a,c,b);return}function fS(a){a=a|0;var b=0;b=r;r=r+16|0;Pf(a);if(!(mb(k[20018]|0,0)|0)){r=b;return}else fV(54456,b)}function gS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=r;r=r+16|0;f=e;k[f>>2]=d;d=iA(a,b,c,f)|0;r=e;return d|0}function hS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+152>>2]&255](a,c,b);return}function iS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+100>>2]&255](a,c,b);return}function jS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+164>>2]&255](a,c,b);return}function kS(){k[19067]=0;k[19068]=0;k[19069]=0;jI(76268,46941,6);Pb(368,76268,x|0)|0;return}function lS(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Cc[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function mS(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,53637,5);return}function nS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;while(1){if((b|0)==(c|0))break;k[d>>2]=i[b>>0];d=d+4|0;b=b+1|0}return c|0}function oS(a,b){a=a|0;b=b|0;b=pw(b,40,552,0)|0;if(!b){a=0;return a|0}a=(i[a+60>>0]|0)!=0^(i[b+60>>0]|0)!=0^1;return a|0}function pS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+64>>2]&255](a,c,b);return}function qS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+16>>2]&255](a,c,b);return}function rS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+76>>2]&255](a,c,b);return}function sS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+156>>2]&255](a,c,b);return}function tS(a){a=a|0;k[a>>2]=11700;$9(a+84|0);$9(a+72|0);return}function uS(a){a=a|0;var b=0,c=0;c=a+8|0;b=k[c>>2]|0;k[c>>2]=b+-1;if(!b)lc[k[(k[a>>2]|0)+16>>2]&511](a);return}function vS(a,b,c){a=a|0;b=b|0;c=c|0;return zz(a,b,c,JI(c)|0)|0}function wS(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,53643,4);return}function xS(a,b){a=a|0;b=b|0;var c=0;c=k[a+8>>2]|0;if((k[a+12>>2]|0)-c>>2>>>0>b>>>0)a=(k[c+(b<<2)>>2]|0)!=0;else a=0;return a|0}function yS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+96>>2]&255](a,c,b);return}function zS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+56>>2]&255](a,c,b);return}function AS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+20>>2]&255](a,c,b);return}function BS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+160>>2]&255](a,c,b);return}function CS(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;return Gc[a&1](b|0,c|0,d|0,e|0,+f,+g,h|0)|0}function DS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+92>>2]&255](a,c,b);return}function ES(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+24>>2]&255](a,c,b);return}function FS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+68>>2]&255](a,c,b);return}function GS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+72>>2]&255](a,c,b);return}function HS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+12>>2]&255](a,c,b);return}function IS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+212>>2]&255](a,c,b);return}function JS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+116>>2]&255](a,c,b);return}function KS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[k[c>>2]>>2]&255](a,c,b);return}function LS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+88>>2]&255](a,c,b);return}function MS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+120>>2]&255](a,c,b);return}function NS(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return om(c,d,e,1114111,0)|0}function OS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+84>>2]&255](a,c,b);return}function PS(){k[19070]=0;k[19071]=0;k[19072]=0;jI(76280,46941,6);Pb(368,76280,x|0)|0;return}function QS(a,b,c){a=a|0;b=+b;c=c|0;var d=0;d=ZN(1,24)|0;if(!d){d=0;return d|0}k[d>>2]=a;p[d+8>>3]=b;k[d+16>>2]=c;return d|0}function RS(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Am(c,d,e,1114111,0)|0}function SS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+80>>2]&255](a,c,b);return}function TS(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;k[c>>2]=a;a=Sb(6,c|0)|0;a=m9((a|0)==-4?-115:a)|0;r=b;return a|0}function US(a,b){a=a|0;b=b|0;QD(a,b,DL(79912)|0);return}function VS(a,b){a=a|0;b=b|0;QD(a,b,DL(79904)|0);return}function WS(a,b){a=a|0;b=b|0;QD(a,b,DL(79896)|0);return}function XS(a,b){a=a|0;b=b|0;QD(a,b,DL(79888)|0);return}function YS(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,36011,6);return}function ZS(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,30819,8);return}function _S(a){a=a|0;var b=0,c=0;c=(k[a>>2]|0)+-4|0;b=k[c>>2]|0;k[c>>2]=b+-1;if((b+-1|0)<0)zqa((k[a>>2]|0)+-12|0);return}function $S(){k[19001]=0;k[19002]=0;k[19003]=0;jI(76004,46941,6);Pb(368,76004,x|0)|0;return}function aT(a,b){a=a|0;b=b|0;QD(a,b,DL(79848)|0);return}function bT(a,b){a=a|0;b=b|0;QD(a,b,DL(79840)|0);return}function cT(a,b){a=a|0;b=b|0;QD(a,b,DL(79832)|0);return}function dT(a,b){a=a|0;b=b|0;QD(a,b,DL(79020)|0);return}function eT(a){a=a|0;y=0;qa(476,k[a>>2]|0)|0;a=y;y=0;if(a&1){a=tb(0)|0;dla(a)}else return}function fT(a,b){a=a|0;b=b|0;QD(a,b,DL(78208)|0);return}function gT(a,b){a=a|0;b=b|0;QD(a,b,DL(78200)|0);return}function hT(a,b){a=a|0;b=b|0;QD(a,b,DL(78192)|0);return}function iT(a,b){a=a|0;b=b|0;QD(a,b,DL(78168)|0);return}function jT(a,b){a=a|0;b=b|0;var c=0;c=k[a+60>>2]|0;if(c|0)mc[k[(k[c>>2]|0)+96>>2]&1023](c,b);i[a+52>>0]=b&1;return}function kT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,36011,6);return}function lT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,36148,4);return}function mT(a){a=+a;var b=0;b=ZN(1,32)|0;if(!b){mN(45154,15,1,k[4849]|0)|0;Zb(1)}else{k[b+16>>2]=3;p[b+24>>3]=a;return b|0}return 0}function nT(){k[19028]=0;k[19029]=0;k[19030]=0;jI(76112,46941,6);Pb(368,76112,x|0)|0;return}function oT(){k[18877]=0;k[18878]=0;k[18879]=0;jI(75508,46941,6);Pb(368,75508,x|0)|0;return}function pT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[k[c>>2]>>2]&255](a,c,b);return}function qT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,82159,0);return}function rT(a,b){a=a|0;b=b|0;b=k[b>>2]|0;k[a>>2]=b;a=b;if(!b)return;b=a+4|0;k[b>>2]=(k[b>>2]|0)+1;i[a+8>>0]=0;return}function sT(a){a=a|0;return Ct(a)|0}function tT(a,b){a=a|0;b=b|0;$M(a+52|0,b)|0;return}function uT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[k[c>>2]>>2]&255](a,c,b);return}function vT(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;k[c>>2]=k[a+60>>2];a=m9(Sb(6,c|0)|0)|0;r=b;return a|0}function wT(a,b){a=a|0;b=b|0;return Bn(a,b,JI(b)|0)|0}function xT(a,b){a=a|0;b=b|0;b=pw(b,88,144,0)|0;if(!b){a=0;return a|0}a=Ur(a,b)|0;return a|0}function yT(a,b){a=a|0;b=b|0;if(b<<24>>24>-1){b=(yQ()|0)+(b<<24>>24<<2)|0;b=k[b>>2]&255}return b|0}function zT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,30130,4);return}function AT(a){a=a|0;i[a>>0]=0;k[a+4>>2]=3;k[a+8>>2]=0;_V(a+12|0,0);k[a+16>>2]=0;k[a+20>>2]=0;return}function BT(a,b){a=a|0;b=b|0;k[a+4>>2]=0;k[a+8>>2]=0;k[a>>2]=a+4;k[a+12>>2]=0;i[a+16>>0]=0;return}function CT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,35148,6);return}function DT(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return nc[a&63](b|0,c|0,d|0,e|0,f|0,g|0)|0}function ET(a){a=a|0;return Ct(a)|0}function FT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,35336,5);return}function GT(a){a=a|0;k[a>>2]=5988;EO(a+72|0);EO(a+68|0);k[a>>2]=5436;EO(a+64|0);zqa(a);return}function HT(a){a=a|0;k[a>>2]=5620;$9(a+68|0);k[a>>2]=5436;EO(a+64|0);zqa(a);return}function IT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44148,4);return}function JT(a,b){a=a|0;b=b|0;if(b<<24>>24>-1){b=(xQ()|0)+((b&255)<<2)|0;b=k[b>>2]&255}return b|0}function KT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,35125,3);return}function LT(a){a=a|0;a=k[a+104>>2]|0;if(!a){a=0;return a|0}a=oc[k[(k[a>>2]|0)+112>>2]&511](a)|0;return a|0}function MT(a,b){a=a|0;b=b|0;return vF(a,b)|0}function NT(a,b){a=a|0;b=b|0;return wF(a,b)|0}function OT(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;ea(22);return 0}function PT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=r;r=r+16|0;e=d;k[e>>2]=c;c=wha(a,b,e)|0;r=d;return c|0}function QT(a){a=a|0;if((i[a>>0]|0)!=37){a=0;return a|0}a=lw(a+1|0)|0;return a|0}function RT(){}function ST(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=b-d|0;d=(d|0)-(c>>>0>a>>>0|0)>>>0;return (N=d,a-c>>>0|0)|0}function TT(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;return ic[a&3](b|0,c|0,d|0,e|0,f|0,+g)|0}function UT(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function VT(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function WT(a,b){a=a|0;b=b|0;return AF(a,b)|0}function XT(a,b){a=a|0;b=b|0;return CF(a,b)|0}function YT(a,b){a=a|0;b=b|0;return BF(a,b)|0}function ZT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=r;r=r+16|0;e=d;k[e>>2]=c;c=TL(a,b,e)|0;r=d;return c|0}function _T(a,b){a=a|0;b=b|0;return WC(a,b,uba(b)|0)|0}function $T(a,b){a=a|0;b=b|0;return vD(a,b,JI(b)|0)|0}function aU(a,b){a=a|0;b=b|0;return DD(a,b,JI(b)|0)|0}function bU(a){a=a|0;k[a>>2]=17788;a=a+4|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;return}function cU(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(c|0){d=a;while(1){c=c+-1|0;k[d>>2]=b;if(!c)break;else d=d+4|0}}return a|0}function dU(a){a=a|0;if((k[a+76>>2]|0)!=(k[a+80>>2]|0)){a=0;return a|0}a=(k[a+88>>2]|0)==(k[a+92>>2]|0);return a|0}function eU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function fU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function gU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function hU(a,b){a=a|0;b=b|0;pl(a+-52|0,b);return}function iU(a){a=a|0;k[a>>2]=14076;$9(a+8|0);cda(a);zqa(a);return}function jU(a){a=a|0;k[a>>2]=14076;$9(a+8|0);cda(a);zqa(a);return}function kU(a){a=a|0;k[a>>2]=6724;EO(a+72|0);EO(a+68|0);k[a>>2]=5436;EO(a+64|0);zqa(a);return}function lU(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;wc[a&31](b|0,c|0,d|0,e|0,f|0,g|0)}function mU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function nU(a){a=a|0;if((i[a>>0]|0)!=35){a=0;return a|0}a=lw(a+1|0)|0;return a|0}function oU(a,b){a=a|0;b=b|0;k[a>>2]=15380;k[a+4>>2]=b;k[a+8>>2]=k[b+4>>2];i[a+12>>0]=0;i[a+13>>0]=0;return}function pU(a,b){a=a|0;b=b|0;return IF(a,b)|0}function qU(a,b){a=a|0;b=b|0;return FF(a,b)|0}function rU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function sU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function tU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function uU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function vU(a,b){a=a|0;b=b|0;var c=0.0;c=+jna(k[a>>2]|0);return c>+jna(k[b>>2]|0)|0}function wU(a){a=a|0;Pf(k[a>>2]|0);Pf(k[a+4>>2]|0);Pf(k[a+8>>2]|0);Pf(k[a+12>>2]|0);Pf(k[a+16>>2]|0);Pf(a);return}function xU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function yU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function zU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function AU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function BU(a){a=a|0;k[a>>2]=14076;$9(a+8|0);cda(a);zqa(a);return}function CU(a,b){a=a|0;b=b|0;return LF(a,b)|0}function DU(a,b){a=a|0;b=b|0;return MF(a,b)|0}function EU(a,b){a=a|0;b=b|0;return JF(a,b)|0}function FU(a,b){a=a|0;b=b|0;return GF(a,b)|0}function GU(a,b,c){a=a|0;b=b|0;c=c|0;zg(a,b,c);return}function HU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function IU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function JU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function KU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function LU(a){a=a|0;k[a>>2]=5988;EO(a+72|0);EO(a+68|0);k[a>>2]=5436;EO(a+64|0);return}function MU(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){N=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}N=a<<c-32;return 0}function NU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function OU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function PU(a){a=a|0;var b=0;b=a+1|0;if((i[a>>0]|0)!=58){b=0;return b|0}b=(i[b>>0]|0)==58?a+2|0:b;return b|0}function QU(a){a=a|0;var b=0;b=k[a+28>>2]|0;if((b|0)==(k[a+24>>2]|0)){b=0;return b|0}b=k[b+-4>>2]|0;return b|0}function RU(a){a=a|0;k[a>>2]=5620;$9(a+68|0);k[a>>2]=5436;EO(a+64|0);return}function SU(a,b){a=a|0;b=b|0;return NF(a,b)|0}function TU(a,b){a=a|0;b=b|0;return KF(a,b)|0}function UU(a,b){a=a|0;b=b|0;return OF(a,b)|0}function VU(a,b){a=a|0;b=b|0;return PF(a,b)|0}function WU(a,b){a=a|0;b=b|0;var c=0;c=a+52|0;Pf(k[c>>2]|0);if(!b)a=0;else a=hP(b)|0;k[c>>2]=a;return}function XU(a,b){a=a|0;b=b|0;var c=0;c=a+48|0;Pf(k[c>>2]|0);if(!b)a=0;else a=hP(b)|0;k[c>>2]=a;return}function YU(a,b){a=a|0;b=b|0;Ni(a+-60|0,b);return}function ZU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function _U(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function $U(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function aV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function bV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function cV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function dV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function eV(a){a=a|0;if(((i[a>>0]|0)+-48|0)>>>0>9){a=0;return a|0}do a=a+1|0;while(((i[a>>0]|0)+-48|0)>>>0<=9);return a|0}function fV(a,b){a=a|0;b=b|0;var c=0;c=r;r=r+16|0;k[c>>2]=b;b=k[4849]|0;sw(b,a,c)|0;qD(10,b)|0;Za()}function gV(a,b){a=a|0;b=b|0;if(b>>>0<128){b=(xQ()|0)+(b<<2)|0;b=k[b>>2]|0}return b|0}function hV(a,b){a=a|0;b=b|0;if(b>>>0<128){b=(yQ()|0)+(b<<2)|0;b=k[b>>2]|0}return b|0}function iV(a){a=a|0;a=k[a+12>>2]|0;if(!a){a=0;return a|0}a=(k[a+12>>2]|0)!=0;return a|0}function jV(a,b){a=a|0;b=b|0;return QF(a,b)|0}function kV(a,b){a=a|0;b=b|0;return RF(a,b)|0}function lV(a,b){a=a|0;b=b|0;return SF(a,b)|0}function mV(a,b){a=a|0;b=b|0;return TF(a,b)|0}function nV(a,b){a=a|0;b=b|0;F4(a,b)|0;return 0}function oV(a,b){a=a|0;b=b|0;G4(a,b)|0;return 0}function pV(a){a=a|0;k[a>>2]=8608;EO(a+72|0);$9(a+60|0);zqa(a);return}function qV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function rV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function sV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function tV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function uV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function vV(a){a=a|0;var b=0;b=k[a+88>>2]|0;if((b|0)==(k[a+84>>2]|0)){b=0;return b|0}b=k[b+-4>>2]|0;return b|0}function wV(a,b){a=a|0;b=b|0;var c=0;c=a+32|0;Pf(k[c>>2]|0);if(!b)a=0;else a=hP(b)|0;k[c>>2]=a;return}function xV(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){N=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}N=0;return b>>>c-32|0}function yV(a){a=a|0;var b=0,c=0;c=r;r=r+16|0;b=c;t8(b,a+28|0);r=c;return k[b>>2]|0}function zV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function AV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function BV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function CV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function DV(a){a=a|0;k[a>>2]=13620;EO(a+84|0);EO(a+80|0);EO(a+76|0);zqa(a);return}function EV(a,b){a=a|0;b=b|0;return VF(a,b)|0}function FV(a,b){a=a|0;b=b|0;return WF(a,b)|0}function GV(){var a=0;a=r;r=r+16|0;if(!(Fb(80072,420)|0)){r=a;return}else fV(54406,a)}function HV(a,b){a=a|0;b=b|0;var c=0;c=a+28|0;Pf(k[c>>2]|0);if(!b)a=0;else a=hP(b)|0;k[c>>2]=a;return}function IV(a){a=a|0;k[a>>2]=6080;EO(a+76|0);$9(a+64|0);zqa(a);return}function JV(a,b){a=a|0;b=b|0;var c=0;c=a+24|0;Pf(k[c>>2]|0);if(!b)a=0;else a=hP(b)|0;k[c>>2]=a;return}function KV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function LV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function MV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function NV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function OV(a){a=a|0;k[a>>2]=11152;EO(a+64|0);$9(a+52|0);zqa(a);return}function PV(a,b){a=a|0;b=b|0;return ZF(a,b)|0}function QV(a,b){a=a|0;b=b|0;return _F(a,b)|0}function RV(a,b){a=a|0;b=b|0;return $F(a,b)|0}function SV(a,b){a=a|0;b=b|0;return XF(a,b)|0}function TV(a,b){a=a|0;b=b|0;return YF(a,b)|0}function UV(a,b){a=a|0;b=b|0;R5(a,b)|0;return 0}function VV(a,b){a=a|0;b=b|0;S5(a,b)|0;return 0}function WV(a,b){a=a|0;b=b|0;T5(a,b)|0;return 0}function XV(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;d=d-c|0;return (d>>>0<e>>>0?d:e)|0}function YV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function ZV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function _V(a,b){a=a|0;b=b|0;k[a>>2]=b;if(!b)return;a=b+4|0;k[a>>2]=(k[a>>2]|0)+1;i[b+8>>0]=0;return}function $V(a){a=a|0;var b=0;b=a+16|0;k[b>>2]=k[b>>2]|1;if(!(k[a+20>>2]&1))return;else Rb()}function aW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function bW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function cW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function dW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function eW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function fW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function gW(a){a=a|0;k[a>>2]=8284;$9(a+64|0);EO(a+60|0);zqa(a);return}function hW(a,b){a=a|0;b=b|0;return dG(a,b)|0}function iW(a,b){a=a|0;b=b|0;QD(a,b,DL(79952)|0);return}function jW(a,b){a=a|0;b=b|0;QD(a,b,DL(79960)|0);return}function kW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function lW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function mW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function nW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function oW(a){a=a|0;return vt(a)|0}function pW(a){a=a|0;k[a>>2]=6724;EO(a+72|0);EO(a+68|0);k[a>>2]=5436;EO(a+64|0);return}function qW(a,b,c,d,e,f,g){a=a|0;b=+b;c=+c;d=+d;e=+e;f=f|0;g=g|0;return vc[a&1](+b,+c,+d,+e,f|0,g|0)|0}function rW(a,b){a=a|0;b=b|0;QD(a,b,DL(79944)|0);return}function sW(a,b){a=a|0;b=b|0;QD(a,b,DL(79936)|0);return}function tW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function uW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function vW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function wW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function xW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function yW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function zW(a,b){a=a|0;b=b|0;return eG(a,b)|0}function AW(a,b){a=a|0;b=b|0;return fG(a,b)|0}function BW(a,b){a=a|0;b=b|0;I6(a,b)|0;return 0}function CW(a,b){a=a|0;b=b|0;J6(a,b)|0;return 0}function DW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function EW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function FW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function GW(a){a=a|0;var b=0,c=0;b=a+64|0;c=k[b>>2]|0;if(c|0)return c|0;c=l[a+60>>0]|0;k[b>>2]=c;return c|0}function HW(a){a=a|0;var b=0;if((k[a+76>>2]|0)>-1){b=(Iqa(a)|0)==0;a=QM(a)|0}else a=QM(a)|0;return a|0}function IW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function JW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function KW(a){a=a|0;k[a>>2]=14076;$9(a+8|0);cda(a);return}function LW(a,b){a=+a;b=+b;if(!(a>0.0&b<0.0))if(!(a<0.0&b>0.0)){b=+cm(a,b);return +b}a=+cm(a,b);b=a!=0.0?a+b:a;return +b}function MW(a,b){a=a|0;b=b|0;return gG(a,b)|0}function NW(a,b){a=a|0;b=b|0;c7(a,b)|0;return 0}function OW(a,b){a=a|0;b=b|0;d7(a,b)|0;return 0}function PW(a,b){a=a|0;b=b|0;e7(a,b)|0;return 0}function QW(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return qc[a&63](b|0,c|0,d|0,e|0,f|0)|0}function RW(){var a=0;a=MN()|0;a=k[a>>2]|0;k[19994]=a;Bca(a);return 79976}function SW(a,b,c){a=a|0;b=b|0;c=c|0;return ((k[b>>2]|0)==(c|0)?(k[b+4>>2]|0)==(a|0):0)|0}function TW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function UW(a){a=a|0;a=XB(a)|0;if(!a){a=0;return a|0}a=(i[a>>0]|0)==37?a+1|0:0;return a|0}function VW(a,b){a=a|0;b=b|0;q7(a,b)|0;return 0}function WW(a,b){a=a|0;b=b|0;r7(a,b)|0;return 0}function XW(a,b){a=a|0;b=b|0;s7(a,b)|0;return 0}function YW(a,b){a=a|0;b=b|0;t7(a,b)|0;return 0}function ZW(a){a=a|0;lc[k[(k[a>>2]|0)+112>>2]&511](a);lc[k[(k[a>>2]|0)+116>>2]&511](a);return}function _W(a,b){a=a|0;b=b|0;QD(a,b,DL(79880)|0);return}function $W(a,b){a=a|0;b=b|0;QD(a,b,DL(79872)|0);return}function aX(a,b){a=a|0;b=b|0;QD(a,b,DL(79864)|0);return}function bX(a,b){a=a|0;b=b|0;QD(a,b,DL(79856)|0);return}function cX(a,b){a=a|0;b=b|0;return kG(a,b)|0}function dX(a,b){a=a|0;b=b|0;return lG(a,b)|0}function eX(a,b){a=a|0;b=b|0;F7(a,b)|0;return 0}function fX(a,b){a=a|0;b=b|0;G7(a,b)|0;return 0}function gX(a,b){a=a|0;b=b|0;H7(a,b)|0;return 0}function hX(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function iX(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function jX(a){a=a|0;k[a>>2]=8608;EO(a+72|0);$9(a+60|0);return}function kX(a){a=a|0;lc[k[(k[a>>2]|0)+112>>2]&511](a);lc[k[(k[a>>2]|0)+116>>2]&511](a);return}function lX(a){a=a|0;a=79364;do{a=a+-12|0;w9(a)}while((a|0)!=79076);return}function mX(a){a=a|0;a=78552;do{a=a+-12|0;$9(a)}while((a|0)!=78264);return}function nX(a){a=a|0;Aca(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function oX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+196>>2]&2047](b,a)|0}function pX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+204>>2]&2047](b,a)|0}function qX(a){a=a|0;k[a>>2]=13620;EO(a+84|0);EO(a+80|0);EO(a+76|0);return}function rX(a,b){a=a|0;b=b|0;return mG(a,b)|0}function sX(a,b){a=a|0;b=b|0;return nG(a,b)|0}function tX(a,b){a=a|0;b=b|0;return vG(a,b)|0}function uX(a,b){a=a|0;b=b|0;Q7(a,b)|0;return 0}function vX(a,b){a=a|0;b=b|0;R7(a,b)|0;return 0}function wX(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function xX(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function yX(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function zX(a){a=a|0;a=79656;do{a=a+-12|0;w9(a)}while((a|0)!=79368);return}function AX(a){a=a|0;a=78844;do{a=a+-12|0;$9(a)}while((a|0)!=78556);return}function BX(a){a=a|0;a=79828;do{a=a+-12|0;w9(a)}while((a|0)!=79660);return}function CX(a){a=a|0;return ku(a)|0}function DX(a){a=a|0;k[a>>2]=6080;EO(a+76|0);$9(a+64|0);return}function EX(){var a=0;a=ZN(1,32)|0;if(!a){mN(45154,15,1,k[4849]|0)|0;Zb(1)}else{k[a+16>>2]=5;return a|0}return 0}function FX(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;return Oc[a&7](b|0,c|0,d|0,e|0,+f)|0}function GX(a){a=a|0;Yca(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function HX(a){a=a|0;Zca(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function IX(a){a=a|0;_ca(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function JX(a){a=a|0;$ca(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function KX(a){a=a|0;k[a>>2]=11152;EO(a+64|0);$9(a+52|0);return}function LX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+196>>2]&2047](b,a)|0}function MX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+204>>2]&2047](b,a)|0}function NX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+192>>2]&2047](b,a)|0}function OX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+240>>2]&2047](b,a)|0}function PX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+136>>2]&2047](b,a)|0}function QX(a){a=a|0;k[a>>2]=10232;EO(a+68|0);k[a>>2]=5436;EO(a+64|0);zqa(a);return}function RX(a,b){a=a|0;b=b|0;return oG(a,b)|0}function SX(a,b){a=a|0;b=b|0;return pG(a,b)|0}function TX(a,b){a=a|0;b=b|0;Z7(a,b)|0;return 0}function UX(a,b){a=a|0;b=b|0;_7(a,b)|0;return 0}function VX(a,b){a=a|0;b=b|0;$7(a,b)|0;return 0}function WX(a,b){a=a|0;b=b|0;a8(a,b)|0;return 0}function XX(a,b){a=a|0;b=b|0;b8(a,b)|0;return 0}function YX(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function ZX(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function _X(){var a=0;a=ZN(1,32)|0;if(!a){mN(45154,15,1,k[4849]|0)|0;Zb(1)}else{k[a+16>>2]=4;return a|0}return 0}function $X(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ea(23)}function aY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+196>>2]&2047](b,a)|0}function bY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+196>>2]&2047](b,a)|0}function cY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+204>>2]&2047](b,a)|0}function dY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+204>>2]&2047](b,a)|0}function eY(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function fY(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function gY(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function hY(a){a=a|0;k[a>>2]=10940;EO(a+68|0);k[a>>2]=5436;EO(a+64|0);zqa(a);return}function iY(a){a=a|0;a=79016;do{a=a+-12|0;$9(a)}while((a|0)!=78848);return}function jY(a){a=a|0;k[a>>2]=8284;$9(a+64|0);EO(a+60|0);return}function kY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+196>>2]&2047](b,a)|0}function lY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+204>>2]&2047](b,a)|0}function mY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+192>>2]&2047](b,a)|0}function nY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+240>>2]&2047](b,a)|0}function oY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+136>>2]&2047](b,a)|0}function pY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+256>>2]&2047](b,a)|0}function qY(a,b){a=a|0;b=b|0;return qG(a,b)|0}function rY(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function sY(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function tY(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function uY(a){a=a|0;k[a>>2]=5896;EO(a+68|0);k[a>>2]=5436;EO(a+64|0);zqa(a);return}function vY(a,b){a=a|0;b=b|0;QD(a,b,DL(78184)|0);return}function wY(a,b){a=a|0;b=b|0;QD(a,b,DL(78160)|0);return}function xY(a,b){a=a|0;b=b|0;QD(a,b,DL(79928)|0);return}function yY(a,b){a=a|0;b=b|0;QD(a,b,DL(79920)|0);return}function zY(a){a=a|0;a=a+8|0;if((i[a+11>>0]|0)<0){a=k[a>>2]|0;return a|0}else return a|0;return 0}function AY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+192>>2]&2047](b,a)|0}function BY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+192>>2]&2047](b,a)|0}function CY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+240>>2]&2047](b,a)|0}function DY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+240>>2]&2047](b,a)|0}function EY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+136>>2]&2047](b,a)|0}function FY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+136>>2]&2047](b,a)|0}function GY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+184>>2]&2047](b,a)|0}function HY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+188>>2]&2047](b,a)|0}function IY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+268>>2]&2047](b,a)|0}function JY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+124>>2]&2047](b,a)|0}function KY(a){a=a|0;a=oc[k[(k[a>>2]|0)+156>>2]&511](a)|0;return (a?k[3669]|0:k[3673]|0)|0}function LY(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function MY(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function NY(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function OY(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function PY(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;kc[a&31](b|0,c|0,d|0,e|0,f|0)}function QY(a,b){a=a|0;b=b|0;QD(a,b,DL(78136)|0);return}function RY(a,b){a=a|0;b=b|0;QD(a,b,DL(78128)|0);return}function SY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+196>>2]&2047](b,a)|0}function TY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+204>>2]&2047](b,a)|0}function UY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+192>>2]&2047](b,a)|0}function VY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+240>>2]&2047](b,a)|0}function WY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+136>>2]&2047](b,a)|0}function XY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+256>>2]&2047](b,a)|0}function YY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+264>>2]&2047](b,a)|0}function ZY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+128>>2]&2047](b,a)|0}function _Y(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+244>>2]&2047](b,a)|0}function $Y(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+272>>2]&2047](b,a)|0}function aZ(a,b){a=a|0;b=b|0;return wG(a,b)|0}function bZ(a,b){a=a|0;b=b|0;x8(a,b)|0;return 0}function cZ(a,b){a=a|0;b=b|0;y8(a,b)|0;return 0}function dZ(a,b){a=a|0;b=b|0;z8(a,b)|0;return 0}function eZ(a,b){a=a|0;b=b|0;A8(a,b)|0;return 0}function fZ(a,b){a=a|0;b=b|0;B8(a,b)|0;return 0}function gZ(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function hZ(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function iZ(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function jZ(a){a=a|0;k[a>>2]=5712;EO(a+68|0);k[a>>2]=5436;EO(a+64|0);zqa(a);return}function kZ(a){a=a|0;if(lQ(a)|0)uS(a);return}function lZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+256>>2]&2047](b,a)|0}function mZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+256>>2]&2047](b,a)|0}function nZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+184>>2]&2047](b,a)|0}function oZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+188>>2]&2047](b,a)|0}function pZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+268>>2]&2047](b,a)|0}function qZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+124>>2]&2047](b,a)|0}function rZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+176>>2]&2047](b,a)|0}function sZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+236>>2]&2047](b,a)|0}function tZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+260>>2]&2047](b,a)|0}function uZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+216>>2]&2047](b,a)|0}function vZ(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function wZ(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function xZ(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function yZ(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function zZ(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function AZ(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function BZ(a,b){a=a|0;b=b|0;QD(a,b,DL(78176)|0);return}function CZ(a,b){a=a|0;b=b|0;QD(a,b,DL(78144)|0);return}function DZ(){if(!(i[71856]|0))if(eca(71856)|0){k[19273]=23756;Pb(274,77092,x|0)|0}return 77092}function EZ(a,b){a=a|0;b=b|0;a=k[a>>2]|0;return SO(a,DL(b)|0)|0}function FZ(a,b){a=a|0;b=b|0;a=k[a>>2]|0;return xS(a,DL(b)|0)|0}function GZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+192>>2]&2047](b,a)|0}function HZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+240>>2]&2047](b,a)|0}function IZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+136>>2]&2047](b,a)|0}function JZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+256>>2]&2047](b,a)|0}function KZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+184>>2]&2047](b,a)|0}function LZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+184>>2]&2047](b,a)|0}function MZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+188>>2]&2047](b,a)|0}function NZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+188>>2]&2047](b,a)|0}function OZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+268>>2]&2047](b,a)|0}function PZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+268>>2]&2047](b,a)|0}function QZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+124>>2]&2047](b,a)|0}function RZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+124>>2]&2047](b,a)|0}function SZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+264>>2]&2047](b,a)|0}function TZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+128>>2]&2047](b,a)|0}function UZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+244>>2]&2047](b,a)|0}function VZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+272>>2]&2047](b,a)|0}function WZ(a,b){a=a|0;b=b|0;return xG(a,b)|0}function XZ(a,b){a=a|0;b=b|0;return zG(a,b)|0}function YZ(a,b){a=a|0;b=b|0;K8(a,b)|0;return 0}function ZZ(a,b){a=a|0;b=b|0;L8(a,b)|0;return 0}function _Z(a,b){a=a|0;b=b|0;M8(a,b)|0;return 0}function $Z(a,b){a=a|0;b=b|0;N8(a,b)|0;return 0}function a_(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function b_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+248>>2]&2047](b,a)|0}function c_(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=16604;k[a+4>>2]=b;k[a+8>>2]=c;return}function d_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+184>>2]&2047](b,a)|0}function e_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+188>>2]&2047](b,a)|0}function f_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+268>>2]&2047](b,a)|0}function g_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+124>>2]&2047](b,a)|0}function h_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+264>>2]&2047](b,a)|0}function i_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+264>>2]&2047](b,a)|0}function j_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+128>>2]&2047](b,a)|0}function k_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+128>>2]&2047](b,a)|0}function l_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+244>>2]&2047](b,a)|0}function m_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+244>>2]&2047](b,a)|0}function n_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+272>>2]&2047](b,a)|0}function o_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+272>>2]&2047](b,a)|0}function p_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+176>>2]&2047](b,a)|0}function q_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+236>>2]&2047](b,a)|0}function r_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+260>>2]&2047](b,a)|0}function s_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+216>>2]&2047](b,a)|0}function t_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+28>>2]&2047](b,a)|0}function u_(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function v_(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function w_(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function x_(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function y_(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function z_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+168>>2]&2047](b,a)|0}function A_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+172>>2]&2047](b,a)|0}function B_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+276>>2]&2047](b,a)|0}function C_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+132>>2]&2047](b,a)|0}function D_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+208>>2]&2047](b,a)|0}function E_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+256>>2]&2047](b,a)|0}function F_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+264>>2]&2047](b,a)|0}function G_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+128>>2]&2047](b,a)|0}function H_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+244>>2]&2047](b,a)|0}function I_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+272>>2]&2047](b,a)|0}function J_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+176>>2]&2047](b,a)|0}function K_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+176>>2]&2047](b,a)|0}function L_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+236>>2]&2047](b,a)|0}function M_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+236>>2]&2047](b,a)|0}function N_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+260>>2]&2047](b,a)|0}function O_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+260>>2]&2047](b,a)|0}function P_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+216>>2]&2047](b,a)|0}function Q_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+216>>2]&2047](b,a)|0}function R_(a,b){a=a|0;b=b|0;return CG(a,b)|0}function S_(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function T_(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function U_(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function V_(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function W_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+248>>2]&2047](b,a)|0}function X_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+44>>2]&2047](b,a)|0}function Y_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+36>>2]&2047](b,a)|0}function Z_(a){a=a|0;k[a>>2]=5344;EO(a+68|0);k[a>>2]=5436;EO(a+64|0);zqa(a);return}function __(a,b){a=a|0;b=b|0;return _O(+p[b+64>>3],+p[b+72>>3],+p[b+80>>3],+p[b+88>>3])|0}function $_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+184>>2]&2047](b,a)|0}function a$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+188>>2]&2047](b,a)|0}function b$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+268>>2]&2047](b,a)|0}function c$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+124>>2]&2047](b,a)|0}function d$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+176>>2]&2047](b,a)|0}function e$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+236>>2]&2047](b,a)|0}function f$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+260>>2]&2047](b,a)|0}function g$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+216>>2]&2047](b,a)|0}function h$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+28>>2]&2047](b,a)|0}function i$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+248>>2]&2047](b,a)|0}function j$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+248>>2]&2047](b,a)|0}function k$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+168>>2]&2047](b,a)|0}function l$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+172>>2]&2047](b,a)|0}function m$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+276>>2]&2047](b,a)|0}function n$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+132>>2]&2047](b,a)|0}function o$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+208>>2]&2047](b,a)|0}function p$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+200>>2]&2047](b,a)|0}function q$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+252>>2]&2047](b,a)|0}function r$(a){a=a|0;a=a+20|0;if((i[a+11>>0]|0)<0){a=k[a>>2]|0;return a|0}else return a|0;return 0}function s$(a,b){a=a|0;b=b|0;Mi(a,b+64|0,42);return}function t$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+264>>2]&2047](b,a)|0}function u$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+128>>2]&2047](b,a)|0}function v$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+244>>2]&2047](b,a)|0}function w$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+272>>2]&2047](b,a)|0}function x$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+28>>2]&2047](b,a)|0}function y$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+28>>2]&2047](b,a)|0}function z$(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function A$(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function B$(a,b){a=a|0;b=b|0;$8(a,b)|0;return 0}function C$(a,b){a=a|0;b=b|0;a9(a,b)|0;return 0}function D$(a,b){a=a|0;b=b|0;b9(a,b)|0;return 0}function E$(a,b){a=a|0;b=b|0;c9(a,b)|0;return 0}function F$(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function G$(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function H$(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function I$(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function J$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+248>>2]&2047](b,a)|0}function K$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+168>>2]&2047](b,a)|0}function L$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+168>>2]&2047](b,a)|0}function M$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+172>>2]&2047](b,a)|0}function N$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+172>>2]&2047](b,a)|0}function O$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+276>>2]&2047](b,a)|0}function P$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+276>>2]&2047](b,a)|0}
function rm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;g=h;Oda(a);e=a+12|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;i[a+60>>0]=0;i[a+61>>0]=0;i[a+62>>0]=0;k[a+64>>2]=0;k[a+68>>2]=0;k[a+56>>2]=7;k[a>>2]=11700;e=a+72|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(75,e|0,82159,0);f=y;y=0;if(f&1){h=pb()|0;sb(h|0)}f=a+84|0;y=0;oa(452,f|0,c|0);d=y;y=0;if(d&1)b=pb()|0;else{b=a+100|0;i[b>>0]=0;k[a+96>>2]=0;d=xI(c,124,0)|0;if((d|0)==-1){r=h;return}i[b>>0]=1;y=0;ma(4,g|0,c|0,0,d|0,c|0);b=y;y=0;do if(b&1)b=pb()|0;else{b=e+11|0;if((i[b>>0]|0)<0){i[k[e>>2]>>0]=0;k[a+76>>2]=0}else{i[e>>0]=0;i[b>>0]=0}y=0;oa(506,e|0,0);b=y;y=0;if(b&1){b=tb(0)|0;dla(b)}k[e>>2]=k[g>>2];k[e+4>>2]=k[g+4>>2];k[e+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;$9(g);y=0;ma(4,g|0,c|0,d+1|0,-1,c|0);c=y;y=0;if(c&1){b=pb()|0;break}b=f+11|0;if((i[b>>0]|0)<0){i[k[f>>2]>>0]=0;k[a+88>>2]=0}else{i[f>>0]=0;i[b>>0]=0}y=0;oa(506,f|0,0);a=y;y=0;if(a&1){a=tb(0)|0;dla(a)}k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];k[f+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;$9(g);r=h;return}while(0);$9(f)}$9(e);h=b;sb(h|0)}function sm(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;a:do if(a|0){c=i[44249]|0;b:do if(!(c<<24>>24)){b=a;e=5}else{b=a;d=44249;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=5;break}}}while(0);if((e|0)==5){b=aP(b)|0;if(b|0){a=b;return a|0}}c=i[46444]|0;c:do if(!(c<<24>>24)){b=a;e=9}else{b=a;d=46444;while(1){if((i[b>>0]|0)!=c<<24>>24)break c;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=9;break}}}while(0);if((e|0)==9){b=aP(b)|0;if(b|0){a=b;return a|0}}c=i[46375]|0;d:do if(!(c<<24>>24)){b=a;e=13}else{b=a;d=46375;while(1){if((i[b>>0]|0)!=c<<24>>24)break d;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=13;break}}}while(0);if((e|0)==13){b=aP(b)|0;if(b|0){a=b;return a|0}}c=i[46369]|0;if(!(c<<24>>24))b=a;else{b=a;d=46369;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}b=aP(b)|0;if(b|0){a=b;return a|0}}while(0);a=nn(a)|0;return a|0}function tm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;l=0;j=r;r=r+112|0;m=j+64|0;a=j+24|0;g=j+4|0;e=j;h=j+16|0;n=ZL(112)|0;y=0;Ra(16,a|0,35061,0,-1);f=y;y=0;if(f&1)l=12;else{y=0;oa(452,g|0,b|0);f=y;y=0;if(f&1)l=12;else{y=0;oa(482,e|0,0);f=y;y=0;do if(f&1)a=pb()|0;else{y=0;f=m;d=f+40|0;do{k[f>>2]=k[a>>2];f=f+4|0;a=a+4|0}while((f|0)<(d|0));Ea(1,n|0,m|0,0,g|0,e|0,0,1);f=y;y=0;if(f&1){a=pb()|0;EO(e);break}EO(e);$9(g);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;l=i[b+11>>0]|0;g=l<<24>>24<0;l=g?k[b+4>>2]|0:l&255;y=0;Ra(10,m|0,(g?k[b>>2]|0:b)|0,l|0,l+3|0);l=y;y=0;if(l&1){n=pb()|0;$9(m);sb(n|0)}y=0;ta(47,m|0,42903,3)|0;l=y;y=0;if(l&1){n=pb()|0;$9(m);sb(n|0)}y=0;a=Ha(971,c|0,m|0)|0;l=y;y=0;if(l&1)a=pb()|0;else{y=0;oa(482,h|0,n|0);n=y;y=0;do if(n&1)a=pb()|0;else{y=0;Ha(966,a|0,h|0)|0;n=y;y=0;if(n&1){a=pb()|0;EO(h);break}else{EO(h);$9(m);r=j;return}}while(0)}$9(m);n=a;sb(n|0)}while(0);$9(g)}}if((l|0)==12)a=pb()|0;zqa(n);n=a;sb(n|0)}function um(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=a+4|0;g=k[b>>2]|0;b=g;if((g|0)!=(h|0)){f=k[d>>2]|0;e=k[g+16>>2]|0;if((uM(f,e)|0)>=0){if((uM(e,f)|0)>=0){k[c>>2]=b;return c|0}a=g+4|0;b=k[a>>2]|0;d=(b|0)==0;if(d){e=g;while(1){b=k[e+8>>2]|0;if((k[b>>2]|0)==(e|0))break;else e=b}}else while(1){e=k[b>>2]|0;if(!e)break;else b=e}if((b|0)!=(h|0))if((uM(f,k[b+16>>2]|0)|0)>=0){b=k[h>>2]|0;if(!b){k[c>>2]=h;c=h;return c|0}while(1){e=k[b+16>>2]|0;if((uM(f,e)|0)<0){e=k[b>>2]|0;if(!e){e=33;break}else b=e}else{if((uM(e,f)|0)>=0){e=38;break}a=b+4|0;e=k[a>>2]|0;if(!e){e=37;break}else b=e}}if((e|0)==33){k[c>>2]=b;c=b;return c|0}else if((e|0)==37){k[c>>2]=b;c=a;return c|0}else if((e|0)==38){k[c>>2]=b;return c|0}}if(d){k[c>>2]=g;c=a;return c|0}else{k[c>>2]=b;c=b;return c|0}}}if((g|0)!=(k[a>>2]|0)){b=k[g>>2]|0;if(!b){e=g;while(1){b=k[e+8>>2]|0;if((k[b>>2]|0)==(e|0))e=b;else break}}else while(1){e=k[b+4>>2]|0;if(!e)break;else b=e}d=k[d>>2]|0;if((uM(k[b+16>>2]|0,d)|0)>=0){b=k[h>>2]|0;if(!b){k[c>>2]=h;c=h;return c|0}while(1){e=k[b+16>>2]|0;if((uM(d,e)|0)<0){e=k[b>>2]|0;if(!e){e=14;break}else b=e}else{if((uM(e,d)|0)>=0){e=19;break}a=b+4|0;e=k[a>>2]|0;if(!e){e=18;break}else b=e}}if((e|0)==14){k[c>>2]=b;c=b;return c|0}else if((e|0)==18){k[c>>2]=b;c=a;return c|0}else if((e|0)==19){k[c>>2]=b;return c|0}}}if(!(k[g>>2]|0)){k[c>>2]=g;c=g;return c|0}else{h=b;k[c>>2]=h;c=h+4|0;return c|0}return 0}function vm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;l=0;n=r;r=r+16|0;m=n;if(!b){r=n;return}else c=b;a:while(1){switch(i[c>>0]|0){case 0:break a;case 58:{l=4;break a}default:{}}c=c+1|0}b:do if((l|0)==4)if(c){g=m+11|0;h=m+4|0;j=a+316|0;e=a+320|0;f=a+312|0;c:while(1){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,b,c-b|0);d=i[g>>0]|0;b=d<<24>>24<0;d=b?k[h>>2]|0:d&255;do if(d|0){if((i[(b?k[m>>2]|0:m)+d+-1>>0]|0)!=47){y=0;oa(461,m|0,47);d=y;y=0;if(d&1)break c}b=k[j>>2]|0;if((b|0)==(k[e>>2]|0)){y=0;oa(460,f|0,m|0);d=y;y=0;if(d&1)break c;else break}y=0;oa(452,b|0,m|0);d=y;y=0;if(d&1)break c;k[j>>2]=(k[j>>2]|0)+12}while(0);b=c+1|0;c=b;d:while(1){d=i[c>>0]|0;switch(d<<24>>24){case 0:case 58:break d;default:{}}c=c+1|0}$9(m);if(!(d<<24>>24))break b}n=pb()|0;$9(m);sb(n|0)}while(0);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,b,JI(b)|0);c=i[m+11>>0]|0;b=c<<24>>24<0;c=b?k[m+4>>2]|0:c&255;e:do if(c|0){if((i[(b?k[m>>2]|0:m)+c+-1>>0]|0)==47)l=22;else{y=0;oa(461,m|0,47);j=y;y=0;if(!(j&1))l=22}do if((l|0)==22){b=a+316|0;c=k[b>>2]|0;if((c|0)==(k[a+320>>2]|0)){y=0;oa(460,a+312|0,m|0);a=y;y=0;if(a&1)break;else break e}y=0;oa(452,c|0,m|0);a=y;y=0;if(!(a&1)){k[b>>2]=(k[b>>2]|0)+12;break e}}while(0);n=pb()|0;$9(m);sb(n|0)}while(0);$9(m);r=n;return}function wm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;l=0;n=r;r=r+16|0;m=n;if(!b){r=n;return}else c=b;a:while(1){switch(i[c>>0]|0){case 0:break a;case 58:{l=4;break a}default:{}}c=c+1|0}b:do if((l|0)==4)if(c){g=m+11|0;h=m+4|0;j=a+304|0;e=a+308|0;f=a+300|0;c:while(1){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,b,c-b|0);d=i[g>>0]|0;b=d<<24>>24<0;d=b?k[h>>2]|0:d&255;do if(d|0){if((i[(b?k[m>>2]|0:m)+d+-1>>0]|0)!=47){y=0;oa(461,m|0,47);d=y;y=0;if(d&1)break c}b=k[j>>2]|0;if((b|0)==(k[e>>2]|0)){y=0;oa(460,f|0,m|0);d=y;y=0;if(d&1)break c;else break}y=0;oa(452,b|0,m|0);d=y;y=0;if(d&1)break c;k[j>>2]=(k[j>>2]|0)+12}while(0);b=c+1|0;c=b;d:while(1){d=i[c>>0]|0;switch(d<<24>>24){case 0:case 58:break d;default:{}}c=c+1|0}$9(m);if(!(d<<24>>24))break b}n=pb()|0;$9(m);sb(n|0)}while(0);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,b,JI(b)|0);c=i[m+11>>0]|0;b=c<<24>>24<0;c=b?k[m+4>>2]|0:c&255;e:do if(c|0){if((i[(b?k[m>>2]|0:m)+c+-1>>0]|0)==47)l=22;else{y=0;oa(461,m|0,47);j=y;y=0;if(!(j&1))l=22}do if((l|0)==22){b=a+304|0;c=k[b>>2]|0;if((c|0)==(k[a+308>>2]|0)){y=0;oa(460,a+300|0,m|0);a=y;y=0;if(a&1)break;else break e}y=0;oa(452,c|0,m|0);a=y;y=0;if(!(a&1)){k[b>>2]=(k[b>>2]|0)+12;break e}}while(0);n=pb()|0;$9(m);sb(n|0)}while(0);$9(m);r=n;return}function xm(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=0;f=r;r=r+16|0;c=f;i[80085]=1;d=ZN(1,116)|0;if(!d){b=Bn(77440,45185,40)|0;a=yV(b+(k[(k[b>>2]|0)+-12>>2]|0)|0)|0;k[c>>2]=a;y=0;a=Ha(973,c|0,78144)|0;e=y;y=0;if(e&1){f=pb()|0;Sea(c);sb(f|0)}y=0;a=Ha(k[(k[a>>2]|0)+28>>2]|0,a|0,10)|0;e=y;y=0;if(e&1){f=pb()|0;Sea(c);sb(f|0)}Sea(c);br(b,a)|0;Jt(b)|0;e=0;r=f;return e|0}k[d+68>>2]=1;k[d+4>>2]=5;k[d+8>>2]=45182;k[d+12>>2]=47537;do if(!a){a=gb(8)|0;y=0;oa(507,a|0,45226);c=y;y=0;if(c&1){c=tb(0)|0;fb(a|0);a=c;break}else{y=0;Na(76,a|0,4528,353);y=0;b=10;break}}else if(!(i[a>>0]|0)){a=gb(8)|0;y=0;oa(507,a|0,45269);c=y;y=0;if(c&1){c=tb(0)|0;fb(a|0);a=c;break}else{y=0;Na(76,a|0,4528,353);y=0;b=10;break}}else{y=0;a=qa(340,a|0)|0;c=y;y=0;if(c&1){b=10;break}k[d+24>>2]=a;e=d;r=f;return e|0}while(0);if((b|0)==10)a=tb(0)|0;vb(a|0)|0;y=0;qa(461,d|0)|0;c=y;y=0;do if(c&1){c=tb(0)|0;vb(c|0)|0;y=0;qa(461,d|0)|0;c=y;y=0;if(c&1){a=pb()|0;y=0;la(3);c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}else e=a}else{y=0;la(3);e=y;y=0;if(!(e&1))break;e=pb()|0}y=0;la(3);c=y;y=0;if(c&1){e=tb(0)|0;dla(e)}else sb(e|0)}while(0);rb();e=d;r=f;return e|0}function ym(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=(c-b|0)/12|0;l=a+8|0;d=k[l>>2]|0;f=k[a>>2]|0;e=f;if(j>>>0>((d-f|0)/12|0)>>>0){if(f){i=a+4|0;d=k[i>>2]|0;if((d|0)==(e|0))d=f;else{f=d;while(1){d=f+-12|0;k[i>>2]=d;g=k[d>>2]|0;h=g;if(g){d=f+-8|0;f=k[d>>2]|0;if((f|0)!=(g|0))k[d>>2]=f+(~((f+-4-h|0)>>>2)<<2);zqa(g);d=k[i>>2]|0}if((d|0)==(e|0))break;else f=d}d=k[a>>2]|0}zqa(d);k[l>>2]=0;k[i>>2]=0;k[a>>2]=0;d=0}if(j>>>0>357913941){OM(a);d=k[l>>2]|0;e=k[a>>2]|0}else e=0;i=(d-e|0)/12|0;e=i<<1;e=i>>>0<178956970?(e>>>0<j>>>0?j:e):357913941;if(e>>>0>357913941){OM(a);c=gb(4)|0;doa(c);Wb(c|0,4496,348)}d=ZL(e*12|0)|0;f=a+4|0;k[f>>2]=d;k[a>>2]=d;k[l>>2]=d+(e*12|0);if((b|0)==(c|0))return;do{py(d,b);b=b+12|0;d=(k[f>>2]|0)+12|0;k[f>>2]=d}while((b|0)!=(c|0));return}else{h=a+4|0;d=((k[h>>2]|0)-f|0)/12|0;g=j>>>0>d>>>0;d=b+(d*12|0)|0;f=g?d:c;if((f|0)!=(b|0))do{if((e|0)!=(b|0))Aq(e,k[b>>2]|0,k[b+4>>2]|0);b=b+12|0;e=e+12|0}while((b|0)!=(f|0));if(g){if((f|0)==(c|0))return;b=k[h>>2]|0;do{py(b,d);d=d+12|0;b=(k[h>>2]|0)+12|0;k[h>>2]=b}while((d|0)!=(c|0));return}d=k[h>>2]|0;if((d|0)==(e|0))return;do{b=d+-12|0;k[h>>2]=b;f=k[b>>2]|0;g=f;if(!f)d=b;else{d=d+-8|0;b=k[d>>2]|0;if((b|0)!=(f|0))k[d>>2]=b+(~((b+-4-g|0)>>>2)<<2);zqa(f);d=k[h>>2]|0}}while((d|0)!=(e|0));return}}function zm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+96|0;h=l;c=l+56|0;m=l+40|0;d=c;e=b+12|0;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));pK(m,76496);d=h;e=c;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;oa(629,a|0,m|0);j=y;y=0;if(j&1)c=pb()|0;else{k[a>>2]=14052;j=a+8|0;y=0;oa(452,j|0,m|0);g=y;y=0;do if(g&1)c=pb()|0;else{g=a+20|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,47013,5);f=y;y=0;if(f&1){c=pb()|0;$9(j);break}d=a+32|0;e=h;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));k[a+72>>2]=0;$9(m);k[a>>2]=19084;k[a+76>>2]=b;y=0;oa(k[(k[b>>2]|0)+32>>2]|0,h|0,b|0);m=y;y=0;do if(m&1)c=pb()|0;else{c=j+11|0;if((i[c>>0]|0)<0){i[k[j>>2]>>0]=0;k[a+12>>2]=0}else{i[j>>0]=0;i[c>>0]=0}y=0;oa(506,j|0,0);m=y;y=0;if(m&1){m=tb(0)|0;dla(m)}k[j>>2]=k[h>>2];k[j+4>>2]=k[h+4>>2];k[j+8>>2]=k[h+8>>2];k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;$9(h);y=0;Ha(970,j|0,47179)|0;m=y;y=0;if(m&1){c=pb()|0;break}else{r=l;return}}while(0);k[a>>2]=14052;$9(g);$9(j);cda(a);a=c;sb(a|0)}while(0);cda(a)}$9(m);a=c;sb(a|0)}function Am(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,m=0,n=0,o=0;o=b;if(!(e&4)){n=0;e=a}else if((o-a|0)>2)if((i[a>>0]|0)==-17)if((i[a+1>>0]|0)==-69){n=0;e=(i[a+2>>0]|0)==-65?a+3|0:a}else{n=0;e=a}else{n=0;e=a}else{n=0;e=a}a:while(1){if(!(n>>>0<c>>>0&e>>>0<b>>>0)){f=40;break}k=i[e>>0]|0;m=k&255;do if(k<<24>>24>-1){if(m>>>0>d>>>0){f=40;break a}e=e+1|0}else{if((k&255)<194){f=40;break a}if((k&255)<224){if((o-e|0)<2){f=40;break a}f=l[e+1>>0]|0;if((f&192|0)!=128){f=40;break a}if((f&63|m<<6&1984)>>>0>d>>>0){f=40;break a}e=e+2|0;break}if((k&255)<240){g=e;if((o-g|0)<3){f=40;break a}h=i[e+1>>0]|0;f=i[e+2>>0]|0;switch(k<<24>>24){case -32:{if((h&-32)<<24>>24!=-96){f=20;break a}break}case -19:{if((h&-32)<<24>>24!=-128){f=22;break a}break}default:if((h&-64)<<24>>24!=-128){f=24;break a}}f=f&255;if((f&192|0)!=128){f=40;break a}if(((h&255)<<6&4032|m<<12&61440|f&63)>>>0>d>>>0){f=40;break a}else{e=e+3|0;break}}if((k&255)>=245){f=40;break a}g=e;if((o-g|0)<4){f=40;break a}j=i[e+1>>0]|0;f=i[e+2>>0]|0;h=i[e+3>>0]|0;switch(k<<24>>24){case -16:{if((j+112&255)>=48){f=31;break a}break}case -12:{if((j&-16)<<24>>24!=-128){f=33;break a}break}default:if((j&-64)<<24>>24!=-128){f=35;break a}}g=f&255;if((g&192|0)!=128){f=40;break a}f=h&255;if((f&192|0)!=128){f=40;break a}if(((j&255)<<12&258048|m<<18&1835008|g<<6&4032|f&63)>>>0>d>>>0){f=40;break a}else e=e+4|0}while(0);n=n+1|0}if((f|0)==20)e=g-a|0;else if((f|0)==22)e=g-a|0;else if((f|0)==24)e=g-a|0;else if((f|0)==31)e=g-a|0;else if((f|0)==33)e=g-a|0;else if((f|0)==35)e=g-a|0;else if((f|0)==40)e=e-a|0;return e|0}function Bm(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,m=0,n=0,o=0,p=0,q=0,r=0;r=0;k[c>>2]=a;k[f>>2]=d;if(!(h&4))d=b;else{a=k[c>>2]|0;d=b;if((d-a|0)>2)if((i[a>>0]|0)==-17)if((i[a+1>>0]|0)==-69)if((i[a+2>>0]|0)==-65)k[c>>2]=a+3}a:while(1){p=k[c>>2]|0;a=p>>>0<b>>>0;if(!a){r=40;break}q=k[f>>2]|0;if(q>>>0>=e>>>0){r=40;break}m=i[p>>0]|0;o=m&255;do if(m<<24>>24>-1){if(o>>>0>g>>>0){a=2;break a}k[q>>2]=o;k[c>>2]=p+1}else{if((m&255)<194){a=2;break a}if((m&255)<224){if((d-p|0)<2){a=1;break a}a=l[p+1>>0]|0;if((a&192|0)!=128){a=2;break a}a=a&63|o<<6&1984;if(a>>>0>g>>>0){a=2;break a}k[q>>2]=a;k[c>>2]=p+2;break}if((m&255)<240){if((d-p|0)<3){a=1;break a}h=i[p+1>>0]|0;a=i[p+2>>0]|0;switch(m<<24>>24){case -32:{if((h&-32)<<24>>24!=-96){a=2;break a}break}case -19:{if((h&-32)<<24>>24!=-128){a=2;break a}break}default:if((h&-64)<<24>>24!=-128){a=2;break a}}a=a&255;if((a&192|0)!=128){a=2;break a}a=(h&255)<<6&4032|o<<12&61440|a&63;if(a>>>0>g>>>0){a=2;break a}k[q>>2]=a;k[c>>2]=p+3;break}if((m&255)>=245){a=2;break a}if((d-p|0)<4){a=1;break a}n=i[p+1>>0]|0;a=i[p+2>>0]|0;j=i[p+3>>0]|0;switch(m<<24>>24){case -16:{if((n+112&255)>=48){a=2;break a}break}case -12:{if((n&-16)<<24>>24!=-128){a=2;break a}break}default:if((n&-64)<<24>>24!=-128){a=2;break a}}h=a&255;if((h&192|0)!=128){a=2;break a}a=j&255;if((a&192|0)!=128){a=2;break a}a=(n&255)<<12&258048|o<<18&1835008|h<<6&4032|a&63;if(a>>>0>g>>>0){a=2;break a}k[q>>2]=a;k[c>>2]=p+4}while(0);k[f>>2]=(k[f>>2]|0)+4}if((r|0)==40)a=a&1;return a|0}function Cm(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var l=0,n=0;l=0;k[c>>2]=a;k[f>>2]=d;if(!(h&2))l=4;else if((e-d|0)<3)a=1;else{k[f>>2]=d+1;i[d>>0]=-17;l=k[f>>2]|0;k[f>>2]=l+1;i[l>>0]=-69;l=k[f>>2]|0;k[f>>2]=l+1;i[l>>0]=-65;l=4}a:do if((l|0)==4){n=b;a=k[c>>2]|0;while(1){if(a>>>0>=b>>>0){a=0;break a}d=j[a>>1]|0;l=d&65535;if(l>>>0>g>>>0){a=2;break a}do if((d&65535)<128){a=k[f>>2]|0;if((e-a|0)<1){a=1;break a}k[f>>2]=a+1;i[a>>0]=d}else{if((d&65535)<2048){a=k[f>>2]|0;if((e-a|0)<2){a=1;break a}k[f>>2]=a+1;i[a>>0]=l>>>6|192;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l&63|128;break}if((d&65535)<55296){a=k[f>>2]|0;if((e-a|0)<3){a=1;break a}k[f>>2]=a+1;i[a>>0]=l>>>12|224;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l>>>6&63|128;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l&63|128;break}if((d&65535)>=56320){if((d&65535)<57344){a=2;break a}a=k[f>>2]|0;if((e-a|0)<3){a=1;break a}k[f>>2]=a+1;i[a>>0]=l>>>12|224;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l>>>6&63|128;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l&63|128;break}if((n-a|0)<4){a=1;break a}a=a+2|0;d=m[a>>1]|0;if((d&64512|0)!=56320){a=2;break a}if((e-(k[f>>2]|0)|0)<4){a=1;break a}h=l&960;if(((h<<10)+65536|l<<10&64512|d&1023)>>>0>g>>>0){a=2;break a}k[c>>2]=a;a=(h>>>6)+1|0;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=a>>>2|240;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l>>>2&15|a<<4&48|128;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l<<4&48|d>>>6&15|128;l=k[f>>2]|0;k[f>>2]=l+1;i[l>>0]=d&63|128}while(0);a=(k[c>>2]|0)+2|0;k[c>>2]=a}}while(0);return a|0}function Dm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;i=r;r=r+32|0;j=i+12|0;g=i+8|0;m=i+16|0;l=i+4|0;h=i;d=a+8|0;Yg(a,a+4|0,d,c)|0;c=a+12|0;if((c|0)==(b|0)){r=i;return}a:while(1){rT(j,c);y=0;oa(464,g|0,d|0);f=y;y=0;if(f&1){d=16;break}e=k[j>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+160>>2]|0,e|0,k[g>>2]|0)|0;f=y;y=0;if(f&1){d=17;break}EO(g);EO(j);if(e){rT(m,c);e=c;while(1){y=0;Ha(966,e|0,d|0)|0;f=y;y=0;if(f&1){d=19;break a}if((d|0)==(a|0))break;y=0;oa(464,l|0,m|0);f=y;y=0;if(f&1){d=19;break a}e=d+-4|0;y=0;oa(464,h|0,e|0);f=y;y=0;if(f&1){d=22;break a}f=k[l>>2]|0;y=0;f=Ha(k[(k[f>>2]|0)+160>>2]|0,f|0,k[h>>2]|0)|0;n=y;y=0;if(n&1){d=23;break a}EO(h);EO(l);if(f){n=d;d=e;e=n}else break}y=0;Ha(966,d|0,m|0)|0;n=y;y=0;if(n&1){d=20;break}EO(m)}d=c+4|0;if((d|0)==(b|0)){d=3;break}else{n=c;c=d;d=n}}if((d|0)==3){r=i;return}else if((d|0)==16){c=pb()|0;d=18}else if((d|0)==17){c=pb()|0;EO(g);d=18}else if((d|0)==19){c=pb()|0;d=21}else if((d|0)==20){c=pb()|0;d=21}else if((d|0)==22){c=pb()|0;d=24}else if((d|0)==23){c=pb()|0;EO(h);d=24}if((d|0)==18){EO(j);n=c;sb(n|0)}else if((d|0)!=21)if((d|0)==24)EO(l);EO(m);n=c;sb(n|0)}function Em(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=r;r=r+32|0;h=l+12|0;j=l;c=pw(b,40,536,0)|0;if(c|0){pK(h,a+64|0);y=0;oa(452,j|0,c+64|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}a=i[h+11>>0]|0;d=a<<24>>24<0;a=a&255;e=d?k[h+4>>2]|0:a;g=i[j+11>>0]|0;b=g<<24>>24<0;a:do if((e|0)==((b?k[j+4>>2]|0:g&255)|0)){f=k[h>>2]|0;g=d?f:h;b=b?k[j>>2]|0:j;c=(e|0)==0;if(d){if(c){b=1;break}b=(zM(g,b,e)|0)==0;break}if(c)b=1;else if((f&255)<<24>>24==(i[b>>0]|0)){c=h;while(1){a=a+-1|0;c=c+1|0;if(!a){b=1;break a}b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0)){b=0;break}}}else b=0}else b=0;while(0);$9(j);$9(h);h=b;j=1;j=h&j;r=l;return j|0}b=pw(b,40,520,0)|0;if(!b){h=0;j=0;j=h&j;r=l;return j|0}pK(h,a+64|0);y=0;oa(452,j|0,b+64|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}a=i[h+11>>0]|0;d=a<<24>>24<0;a=a&255;e=d?k[h+4>>2]|0:a;g=i[j+11>>0]|0;b=g<<24>>24<0;b:do if((e|0)==((b?k[j+4>>2]|0:g&255)|0)){f=k[h>>2]|0;g=d?f:h;b=b?k[j>>2]|0:j;c=(e|0)==0;if(d){if(c){b=1;break}b=(zM(g,b,e)|0)==0;break}if(c)b=1;else if((f&255)<<24>>24==(i[b>>0]|0)){c=h;while(1){a=a+-1|0;c=c+1|0;if(!a){b=1;break b}b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0)){b=0;break}}}else b=0}else b=0;while(0);$9(j);$9(h);h=b;j=1;j=h&j;r=l;return j|0}function Fm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=r;r=r+32|0;h=l+12|0;j=l;c=pw(b,40,536,0)|0;if(c|0){pK(h,a+64|0);y=0;oa(452,j|0,c+64|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}a=i[h+11>>0]|0;d=a<<24>>24<0;a=a&255;e=d?k[h+4>>2]|0:a;g=i[j+11>>0]|0;b=g<<24>>24<0;a:do if((e|0)==((b?k[j+4>>2]|0:g&255)|0)){f=k[h>>2]|0;g=d?f:h;b=b?k[j>>2]|0:j;c=(e|0)==0;if(d){if(c){b=1;break}b=(zM(g,b,e)|0)==0;break}if(c)b=1;else if((f&255)<<24>>24==(i[b>>0]|0)){c=h;while(1){a=a+-1|0;c=c+1|0;if(!a){b=1;break a}b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0)){b=0;break}}}else b=0}else b=0;while(0);$9(j);$9(h);h=b;j=1;j=h&j;r=l;return j|0}b=pw(b,40,520,0)|0;if(!b){h=0;j=0;j=h&j;r=l;return j|0}pK(h,a+64|0);y=0;oa(452,j|0,b+64|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}a=i[h+11>>0]|0;d=a<<24>>24<0;a=a&255;e=d?k[h+4>>2]|0:a;g=i[j+11>>0]|0;b=g<<24>>24<0;b:do if((e|0)==((b?k[j+4>>2]|0:g&255)|0)){f=k[h>>2]|0;g=d?f:h;b=b?k[j>>2]|0:j;c=(e|0)==0;if(d){if(c){b=1;break}b=(zM(g,b,e)|0)==0;break}if(c)b=1;else if((f&255)<<24>>24==(i[b>>0]|0)){c=h;while(1){a=a+-1|0;c=c+1|0;if(!a){b=1;break b}b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0)){b=0;break}}}else b=0}else b=0;while(0);$9(j);$9(h);h=b;j=1;j=h&j;r=l;return j|0}function Gm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=a+4|0;g=k[b>>2]|0;b=g;if((g|0)!=(h|0)){f=k[d>>2]|0;e=k[g+16>>2]|0;if((f|0)>=(e|0)){if((e|0)>=(f|0)){k[c>>2]=b;return c|0}a=g+4|0;b=k[a>>2]|0;d=(b|0)==0;if(d){e=g;while(1){b=k[e+8>>2]|0;if((k[b>>2]|0)==(e|0))break;else e=b}}else while(1){e=k[b>>2]|0;if(!e)break;else b=e}if((b|0)!=(h|0))if((f|0)>=(k[b+16>>2]|0)){b=k[h>>2]|0;if(!b){k[c>>2]=h;c=h;return c|0}while(1){e=k[b+16>>2]|0;if((f|0)<(e|0)){e=k[b>>2]|0;if(!e){e=33;break}else b=e}else{if((e|0)>=(f|0)){e=38;break}a=b+4|0;e=k[a>>2]|0;if(!e){e=37;break}else b=e}}if((e|0)==33){k[c>>2]=b;c=b;return c|0}else if((e|0)==37){k[c>>2]=b;c=a;return c|0}else if((e|0)==38){k[c>>2]=b;return c|0}}if(d){k[c>>2]=g;c=a;return c|0}else{k[c>>2]=b;c=b;return c|0}}}if((g|0)!=(k[a>>2]|0)){b=k[g>>2]|0;if(!b){e=g;while(1){b=k[e+8>>2]|0;if((k[b>>2]|0)==(e|0))e=b;else break}}else while(1){e=k[b+4>>2]|0;if(!e)break;else b=e}d=k[d>>2]|0;if((k[b+16>>2]|0)>=(d|0)){b=k[h>>2]|0;if(!b){k[c>>2]=h;c=h;return c|0}while(1){e=k[b+16>>2]|0;if((d|0)<(e|0)){e=k[b>>2]|0;if(!e){e=14;break}else b=e}else{if((e|0)>=(d|0)){e=19;break}a=b+4|0;e=k[a>>2]|0;if(!e){e=18;break}else b=e}}if((e|0)==14){k[c>>2]=b;c=b;return c|0}else if((e|0)==18){k[c>>2]=b;c=a;return c|0}else if((e|0)==19){k[c>>2]=b;return c|0}}}if(!(k[g>>2]|0)){k[c>>2]=g;c=g;return c|0}else{h=b;k[c>>2]=h;c=h+4|0;return c|0}return 0}function Hm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;t=r;r=r+16|0;c=t+8|0;q=t+4|0;s=t;rT(c,b);y=0;d=Ha(1027,a+12|0,c|0)|0;h=y;y=0;if(h&1){t=pb()|0;EO(c);sb(t|0)}EO(c);f=k[a+4>>2]|0;if(!f){s=0;r=t;return s|0}g=f+-1|0;e=(g&f|0)==0;if(e)h=g&d;else h=(d>>>0)%(f>>>0)|0;c=k[(k[a>>2]|0)+(h<<2)>>2]|0;if(!c){s=0;r=t;return s|0}a=a+16|0;do if(e){while(1){c=k[c>>2]|0;if(!c){p=0;c=26;break}if((k[c+4>>2]&g|0)!=(h|0)){p=0;c=26;break}rT(q,c+8|0);y=0;oa(464,s|0,b|0);f=y;y=0;if(f&1){c=13;break}y=0;d=ta(165,a|0,q|0,s|0)|0;f=y;y=0;if(f&1){c=14;break}EO(s);EO(q);if(d){p=c;c=26;break}}if((c|0)==13){n=pb()|0;c=22;break}else if((c|0)==14){o=pb()|0;c=24;break}else if((c|0)==26){r=t;return p|0}}else{while(1){c=k[c>>2]|0;if(!c){p=0;c=26;break}if((((k[c+4>>2]|0)>>>0)%(f>>>0)|0|0)!=(h|0)){p=0;c=26;break}rT(q,c+8|0);y=0;oa(464,s|0,b|0);g=y;y=0;if(g&1){c=21;break}y=0;d=ta(165,a|0,q|0,s|0)|0;g=y;y=0;if(g&1){c=23;break}EO(s);EO(q);if(d){p=c;c=26;break}}if((c|0)==21){n=pb()|0;c=22;break}else if((c|0)==23){o=pb()|0;c=24;break}else if((c|0)==26){r=t;return p|0}}while(0);if((c|0)==22)m=n;else if((c|0)==24){EO(s);m=o}EO(q);t=m;sb(t|0);return 0}function Im(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=r;r=r+32|0;f=j+16|0;c=j+12|0;e=j+8|0;g=j+4|0;h=j;if(i[b+68>>0]|0){rT(f,b+60|0);h=k[f>>2]|0;k[c>>2]=h;y=0;oa(k[(k[h>>2]|0)+40>>2]|0,h|0,a|0);h=y;y=0;if(h&1){j=pb()|0;EO(c);sb(j|0)}else{EO(c);r=j;return}}d=a+4|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;jI(f,44122,1);y=0;oa(605,d|0,f|0);c=y;y=0;if(c&1){j=pb()|0;$9(f);sb(j|0)}$9(f);rT(f,b+60|0);c=k[f>>2]|0;k[e>>2]=c;y=0;oa(k[(k[c>>2]|0)+40>>2]|0,c|0,a|0);c=y;y=0;if(c&1){j=pb()|0;EO(e);sb(j|0)}EO(e);c=b+64|0;rT(f,c);e=k[f>>2]|0;k[g>>2]=e;EO(g);do if(e|0){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;jI(f,54079,2);y=0;oa(605,d|0,f|0);g=y;y=0;if(g&1){j=pb()|0;$9(f);sb(j|0)}$9(f);rT(f,c);g=k[f>>2]|0;k[h>>2]=g;y=0;oa(k[(k[g>>2]|0)+40>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){EO(h);break}j=pb()|0;EO(h);sb(j|0)}while(0);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;jI(f,44127,1);y=0;oa(605,d|0,f|0);h=y;y=0;if(h&1){j=pb()|0;$9(f);sb(j|0)}else{$9(f);r=j;return}}function Jm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;n=r;r=r+64|0;j=n+48|0;d=n;l=n+40|0;m=a+76|0;e=k[m>>2]|0;if(!(i[e>>0]|0)){m=0;r=n;return m|0}if(b){h=oW(e)|0;e=h|0?h:e}b=CN(e)|0;a:do if(!b){h=i[e>>0]|0;if(h<<24>>24==42)f=e+1|0;else{b=i[46369]|0;if(!(b<<24>>24))f=e;else{if(h<<24>>24==b<<24>>24){f=e;b=46369;do{f=f+1|0;b=b+1|0;g=i[b>>0]|0;if(!(g<<24>>24))break a}while((i[f>>0]|0)==g<<24>>24)}b=i[46382]|0;if(!(b<<24>>24))f=e;else{if(h<<24>>24==b<<24>>24){f=e;b=46382;do{f=f+1|0;b=b+1|0;g=i[b>>0]|0;if(!(g<<24>>24))break a}while((i[f>>0]|0)==g<<24>>24)}f=i[46375]|0;b:do if(!(f<<24>>24)){b=e;f=0}else if(h<<24>>24==f<<24>>24){b=e;g=46375;do{b=b+1|0;g=g+1|0;f=i[g>>0]|0;if(!(f<<24>>24)){f=0;break b}}while((i[b>>0]|0)==f<<24>>24)}else b=e;while(0);f=f<<24>>24==0?b:0}}}}else f=b;while(0);if(f>>>0>(k[a+80>>2]|0)>>>0){m=0;r=n;return m|0}if(!c)if((f|0)==0|(f|0)==(e|0)){m=0;r=n;return m|0}c=k[m>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;h=a+96|0;gH(j,h,c,e);k[b>>2]=k[j>>2];k[b+4>>2]=k[j+4>>2];k[b+8>>2]=k[j+8>>2];gH(j,h,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(l,h,b);k[j>>2]=k[l>>2];k[j+4>>2]=k[l+4>>2];nH(d,c,e,a+152|0,b,j);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[m>>2]=f;m=f;r=n;return m|0}function Km(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+16|0;j=m;l=a+64|0;if(!(k[l>>2]|0)){l=0;r=m;return l|0}h=a+68|0;c=k[h>>2]|0;if(!c){m=gb(4)|0;ioa(m);Wb(m|0,4592,358)}g=a+92|0;b=k[g>>2]|0;do if(!(b&16)){if(b&8|0){d=a+80|0;e=k[d+4>>2]|0;f=j;k[f>>2]=k[d>>2];k[f+4>>2]=e;do if(!(i[a+98>>0]|0)){d=oc[k[(k[c>>2]|0)+24>>2]&511](c)|0;f=a+36|0;e=k[f>>2]|0;b=(k[a+40>>2]|0)-e|0;if((d|0)>0){c=0;b=(aa((k[a+16>>2]|0)-(k[a+12>>2]|0)|0,d)|0)+b|0;break}c=k[a+12>>2]|0;if((c|0)==(k[a+16>>2]|0))c=0;else{d=k[h>>2]|0;h=a+32|0;e=qc[k[(k[d>>2]|0)+32>>2]&63](d,j,k[h>>2]|0,e,c-(k[a+8>>2]|0)|0)|0;c=1;b=b-e+(k[f>>2]|0)-(k[h>>2]|0)|0}}else{c=0;b=(k[a+16>>2]|0)-(k[a+12>>2]|0)|0}while(0);if(cQ(k[l>>2]|0,0-b|0,1)|0){l=-1;r=m;return l|0}if(c){h=j;j=k[h+4>>2]|0;l=a+72|0;k[l>>2]=k[h>>2];k[l+4>>2]=j}l=k[a+32>>2]|0;k[a+40>>2]=l;k[a+36>>2]=l;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;k[g>>2]=0}}else{if((k[a+24>>2]|0)!=(k[a+20>>2]|0))if((Fc[k[(k[a>>2]|0)+52>>2]&2047](a,-1)|0)==-1){l=-1;r=m;return l|0}d=a+72|0;e=a+32|0;b=a+52|0;a:while(1){g=k[h>>2]|0;c=k[e>>2]|0;c=qc[k[(k[g>>2]|0)+20>>2]&63](g,d,c,c+(k[b>>2]|0)|0,j)|0;g=k[e>>2]|0;a=(k[j>>2]|0)-g|0;if((mN(g,1,a,k[l>>2]|0)|0)!=(a|0)){b=-1;c=24;break}switch(c|0){case 1:break;case 2:{b=-1;c=24;break a}default:{c=10;break a}}}if((c|0)==10){if(!(GE(k[l>>2]|0)|0))break;else b=-1;r=m;return b|0}else if((c|0)==24){r=m;return b|0}}while(0);l=0;r=m;return l|0}function Lm(a,b){a=a|0;b=b|0;do switch(k[b+60>>2]|0){case 0:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44218,2);return}case 1:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44221,2);return}case 2:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44224,2);return}case 3:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44227,2);return}case 4:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44129,1);return}case 5:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44230,2);return}case 6:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44233,1);return}case 7:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44235,2);return}case 8:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,46419,1);return}case 9:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44216,1);return}case 10:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44238,1);return}case 11:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44131,1);return}case 12:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44240,1);return}case 13:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42308,5);return}default:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42314,7);return}}while(0)}function Mm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;m=a+4|0;d=k[m>>2]|0;c=k[a>>2]|0;e=(d-c>>4)+1|0;if(e>>>0>268435455){OM(a);c=k[a>>2]|0;d=k[m>>2]|0}l=a+8|0;i=(k[l>>2]|0)-c|0;j=i>>3;e=i>>4>>>0<134217727?(j>>>0<e>>>0?e:j):268435455;c=d-c>>4;do if(!e)j=0;else if(e>>>0>268435455){m=gb(4)|0;doa(m);Wb(m|0,4496,348)}else{j=ZL(e<<4)|0;break}while(0);h=j+(c<<4)|0;g=h|0;c=g;i=j+(e<<4)|0;k[g>>2]=k[b>>2];k[g+4>>2]=k[b+4>>2];k[g+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;oa(464,h+12|0,b+12|0);h=y;y=0;a:do if(h&1){e=pb()|0;$9(g);d=c}else{d=g+16|0;h=k[a>>2]|0;e=k[m>>2]|0;do if((e|0)==(h|0)){e=c;b=h;c=h}else{while(1){b=e;e=e+-16|0;f=g+-16|0;y=0;oa(452,f|0,e|0);n=y;y=0;if(n&1){g=21;break}y=0;oa(464,g+-4|0,b+-4|0);n=y;y=0;if(n&1){g=13;break}g=c+-16|0;c=g;if((e|0)==(h|0)){g=15;break}}if((g|0)==13){e=pb()|0;$9(f);break a}else if((g|0)==15){e=c;b=k[a>>2]|0;c=k[m>>2]|0;break}else if((g|0)==21){e=pb()|0;break a}}while(0);k[a>>2]=e;k[m>>2]=d;k[l>>2]=i;d=b;if((c|0)!=(d|0))do{EO(c+-4|0);c=c+-16|0;$9(c)}while((c|0)!=(d|0));if(!b)return;zqa(b);return}while(0);if((d|0)!=(c|0))do{EO(d+-4|0);d=d+-16|0;$9(d)}while((d|0)!=(c|0));if(!j)sb(e|0);zqa(j);sb(e|0)}function Nm(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=0;j=r;r=r+80|0;l=j+32|0;n=j+24|0;m=j+12|0;i=j;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,37018,10);y=0;b=l;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));b=pa(41,m|0,a|0,d|0,l|0,f|0,c|0)|0;h=y;y=0;if(h&1){o=pb()|0;$9(m);sb(o|0)}k[n>>2]=b;$9(m);k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;y=0;Na(75,i|0,37029,10);h=y;y=0;do if(h&1){b=pb()|0;o=12}else{y=0;b=l;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));b=pa(41,i|0,a|0,d|0,l|0,f|0,c|0)|0;f=y;y=0;if(f&1){b=pb()|0;$9(i);o=12;break}k[m>>2]=b;$9(i);y=0;b=ta(59,k[n>>2]|0,b|0,c|0)|0;c=y;y=0;if(c&1)o=13;else{y=0;oa(482,l|0,b|0);c=y;y=0;if(c&1)o=13;else{y=0;na(379,i|0);c=y;y=0;do if(c&1)b=pb()|0;else{b=k[l>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,i|0)|0;c=y;y=0;if(c&1){b=pb()|0;break}else{EO(l);EO(m);EO(n);r=j;return b|0}}while(0);EO(l)}}if((o|0)==13)b=pb()|0;EO(m)}while(0);EO(n);o=b;sb(o|0);return 0}function Om(a,b){a=a|0;b=b|0;do switch(b|0){case 0:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44174,3);return}case 1:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,44178,2);return}case 2:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42278,2);return}case 3:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42281,3);return}case 4:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42186,2);return}case 5:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42189,3);return}case 6:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42193,2);return}case 7:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42196,3);return}case 8:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42285,4);return}case 9:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42290,3);return}case 10:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42294,5);return}case 11:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42300,3);return}case 12:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42304,3);return}case 13:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42308,5);return}default:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,42314,7);return}}while(0)}function Pm(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;n=r;r=r+48|0;l=n+40|0;o=n+16|0;g=n+8|0;h=n+12|0;j=n+4|0;m=n;a:do if(!(k[d+4>>2]&1)){k[g>>2]=-1;m=k[(k[a>>2]|0)+16>>2]|0;k[h>>2]=k[b>>2];k[j>>2]=k[c>>2];k[o>>2]=k[h>>2];k[l>>2]=k[j>>2];o=nc[m&63](a,o,l,d,e,g)|0;k[b>>2]=o;switch(k[g>>2]|0){case 0:{i[f>>0]=0;break}case 1:{i[f>>0]=1;break}default:{i[f>>0]=1;k[e>>2]=4}}a=k[b>>2]|0}else{a=yV(d)|0;k[l>>2]=a;y=0;h=Ha(973,l|0,78176)|0;j=y;y=0;do if(j&1){o=pb()|0;lQ(a)|0;a=o}else{lQ(a)|0;a=yV(d)|0;k[l>>2]=a;y=0;g=Ha(973,l|0,78184)|0;d=y;y=0;if(d&1){o=pb()|0;lQ(a)|0;a=o;break}lQ(a)|0;y=0;oa(k[(k[g>>2]|0)+24>>2]|0,o|0,g|0);d=y;y=0;if(d&1){a=pb()|0;break}y=0;oa(k[(k[g>>2]|0)+28>>2]|0,o+12|0,g|0);d=y;y=0;if(d&1){a=pb()|0;w9(o);break}k[m>>2]=k[c>>2];g=o+24|0;y=0;k[l>>2]=k[m>>2];a=ja(89,b|0,l|0,o|0,g|0,h|0,e|0,1)|0;m=y;y=0;if(m&1){a=pb()|0;h=N;do{g=g+-12|0;w9(g)}while((g|0)!=(o|0));break}else{i[f>>0]=(a|0)==(o|0)&1;a=k[b>>2]|0;do{g=g+-12|0;w9(g)}while((g|0)!=(o|0));break a}}while(0);sb(a|0)}while(0);r=n;return a|0}function Qm(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;n=r;r=r+48|0;l=n+40|0;o=n+16|0;g=n+8|0;h=n+12|0;j=n+4|0;m=n;a:do if(!(k[d+4>>2]&1)){k[g>>2]=-1;m=k[(k[a>>2]|0)+16>>2]|0;k[h>>2]=k[b>>2];k[j>>2]=k[c>>2];k[o>>2]=k[h>>2];k[l>>2]=k[j>>2];o=nc[m&63](a,o,l,d,e,g)|0;k[b>>2]=o;switch(k[g>>2]|0){case 0:{i[f>>0]=0;break}case 1:{i[f>>0]=1;break}default:{i[f>>0]=1;k[e>>2]=4}}a=k[b>>2]|0}else{a=yV(d)|0;k[l>>2]=a;y=0;h=Ha(973,l|0,78144)|0;j=y;y=0;do if(j&1){o=pb()|0;lQ(a)|0;a=o}else{lQ(a)|0;a=yV(d)|0;k[l>>2]=a;y=0;g=Ha(973,l|0,78160)|0;d=y;y=0;if(d&1){o=pb()|0;lQ(a)|0;a=o;break}lQ(a)|0;y=0;oa(k[(k[g>>2]|0)+24>>2]|0,o|0,g|0);d=y;y=0;if(d&1){a=pb()|0;break}y=0;oa(k[(k[g>>2]|0)+28>>2]|0,o+12|0,g|0);d=y;y=0;if(d&1){a=pb()|0;$9(o);break}k[m>>2]=k[c>>2];g=o+24|0;y=0;k[l>>2]=k[m>>2];a=ja(88,b|0,l|0,o|0,g|0,h|0,e|0,1)|0;m=y;y=0;if(m&1){a=pb()|0;h=N;do{g=g+-12|0;$9(g)}while((g|0)!=(o|0));break}else{i[f>>0]=(a|0)==(o|0)&1;a=k[b>>2]|0;do{g=g+-12|0;$9(g)}while((g|0)!=(o|0));break a}}while(0);sb(a|0)}while(0);r=n;return a|0}function Rm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=0;l=r;r=r+32|0;h=l+12|0;j=l;c=k[a+4>>2]|0;f=k[a+8>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;e=f-c|0;if(e>>>0>4294967279){LM(h);g=5}else if(e>>>0<11){i[h+11>>0]=e;a=h}else g=5;if((g|0)==5){d=e+16&-16;a=ZL(d)|0;k[h>>2]=a;k[h+8>>2]=d|-2147483648;k[h+4>>2]=e}if((c|0)!=(f|0)){d=a;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(f|0))break;else d=d+1|0}a=a+e|0}i[a>>0]=0;c=k[b+4>>2]|0;e=k[b+8>>2]|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,j|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}else g=13}else if(f>>>0<11){i[j+11>>0]=f;a=j}else g=13;do if((g|0)==13){d=f+16&-16;y=0;a=qa(332,d|0)|0;g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}else{k[j>>2]=a;k[j+8>>2]=d|-2147483648;k[j+4>>2]=f;break}}while(0);if((c|0)!=(e|0)){d=a;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}a=a+f|0}i[a>>0]=0;d=i[h+11>>0]|0;e=d<<24>>24<0;d=d&255;f=e?k[h+4>>2]|0:d;g=i[j+11>>0]|0;a=g<<24>>24<0;a:do if((f|0)==((a?k[j+4>>2]|0:g&255)|0)){b=k[h>>2]|0;g=e?b:h;a=a?k[j>>2]|0:j;c=(f|0)==0;if(e){if(c){a=1;break}a=(zM(g,a,f)|0)==0;break}if(c)a=1;else if((b&255)<<24>>24==(i[a>>0]|0)){c=h;while(1){d=d+-1|0;c=c+1|0;if(!d){a=1;break a}a=a+1|0;if((i[c>>0]|0)!=(i[a>>0]|0)){a=0;break}}}else a=0}else a=0;while(0);$9(j);$9(h);r=l;return a|0}function Sm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;j=0;l=r;r=r+32|0;g=l+12|0;h=l;c=pw(b,144,352,0)|0;if(c|0){j=Fc[k[(k[a>>2]|0)+180>>2]&2047](a,c)|0;r=l;return j|0}c=a+72|0;pK(g,c);d=b+72|0;y=0;oa(452,h|0,d|0);f=y;y=0;if(f&1){l=pb()|0;$9(g);sb(l|0)}f=ap(g,h)|0;$9(h);$9(g);if(f){pK(g,a+84|0);y=0;oa(452,h|0,b+84|0);f=y;y=0;if(f&1){l=pb()|0;$9(g);sb(l|0)}b=i[g+11>>0]|0;d=b<<24>>24<0;b=d?k[g+4>>2]|0:b&255;e=i[h+11>>0]|0;a=e<<24>>24<0;e=a?k[h+4>>2]|0:e&255;f=e>>>0<b>>>0;c=f?e:b;if(!c)j=8;else{c=zM(d?k[g>>2]|0:g,a?k[h>>2]|0:h,c)|0;if(!c)j=8}if((j|0)==8)c=b>>>0<e>>>0?-1:f&1;$9(h);$9(g);j=(c|0)<0;r=l;return j|0}else{pK(g,c);y=0;oa(452,h|0,d|0);f=y;y=0;if(f&1){l=pb()|0;$9(g);sb(l|0)}b=i[g+11>>0]|0;d=b<<24>>24<0;b=d?k[g+4>>2]|0:b&255;e=i[h+11>>0]|0;a=e<<24>>24<0;e=a?k[h+4>>2]|0:e&255;f=e>>>0<b>>>0;c=f?e:b;if(!c)j=15;else{c=zM(d?k[g>>2]|0:g,a?k[h>>2]|0:h,c)|0;if(!c)j=15}if((j|0)==15)c=b>>>0<e>>>0?-1:f&1;$9(h);$9(g);j=(c|0)<0;r=l;return j|0}return 0}function Tm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;j=0;l=r;r=r+32|0;g=l+12|0;h=l;c=pw(b,144,288,0)|0;if(c|0){j=Fc[k[(k[a>>2]|0)+184>>2]&2047](a,c)|0;r=l;return j|0}c=a+72|0;pK(g,c);d=b+72|0;y=0;oa(452,h|0,d|0);f=y;y=0;if(f&1){l=pb()|0;$9(g);sb(l|0)}f=ap(g,h)|0;$9(h);$9(g);if(f){pK(g,a+84|0);y=0;oa(452,h|0,b+84|0);f=y;y=0;if(f&1){l=pb()|0;$9(g);sb(l|0)}b=i[g+11>>0]|0;d=b<<24>>24<0;b=d?k[g+4>>2]|0:b&255;e=i[h+11>>0]|0;a=e<<24>>24<0;e=a?k[h+4>>2]|0:e&255;f=e>>>0<b>>>0;c=f?e:b;if(!c)j=8;else{c=zM(d?k[g>>2]|0:g,a?k[h>>2]|0:h,c)|0;if(!c)j=8}if((j|0)==8)c=b>>>0<e>>>0?-1:f&1;$9(h);$9(g);j=(c|0)<0;r=l;return j|0}else{pK(g,c);y=0;oa(452,h|0,d|0);f=y;y=0;if(f&1){l=pb()|0;$9(g);sb(l|0)}b=i[g+11>>0]|0;d=b<<24>>24<0;b=d?k[g+4>>2]|0:b&255;e=i[h+11>>0]|0;a=e<<24>>24<0;e=a?k[h+4>>2]|0:e&255;f=e>>>0<b>>>0;c=f?e:b;if(!c)j=15;else{c=zM(d?k[g>>2]|0:g,a?k[h>>2]|0:h,c)|0;if(!c)j=15}if((j|0)==15)c=b>>>0<e>>>0?-1:f&1;$9(h);$9(g);j=(c|0)<0;r=l;return j|0}return 0}function Um(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;j=0;l=r;r=r+32|0;g=l+12|0;h=l;c=pw(b,144,272,0)|0;if(c|0){j=Fc[k[(k[a>>2]|0)+180>>2]&2047](a,c)|0;r=l;return j|0}c=a+72|0;pK(g,c);d=b+72|0;y=0;oa(452,h|0,d|0);f=y;y=0;if(f&1){l=pb()|0;$9(g);sb(l|0)}f=ap(g,h)|0;$9(h);$9(g);if(f){pK(g,a+84|0);y=0;oa(452,h|0,b+84|0);f=y;y=0;if(f&1){l=pb()|0;$9(g);sb(l|0)}b=i[g+11>>0]|0;d=b<<24>>24<0;b=d?k[g+4>>2]|0:b&255;e=i[h+11>>0]|0;a=e<<24>>24<0;e=a?k[h+4>>2]|0:e&255;f=e>>>0<b>>>0;c=f?e:b;if(!c)j=8;else{c=zM(d?k[g>>2]|0:g,a?k[h>>2]|0:h,c)|0;if(!c)j=8}if((j|0)==8)c=b>>>0<e>>>0?-1:f&1;$9(h);$9(g);j=(c|0)<0;r=l;return j|0}else{pK(g,c);y=0;oa(452,h|0,d|0);f=y;y=0;if(f&1){l=pb()|0;$9(g);sb(l|0)}b=i[g+11>>0]|0;d=b<<24>>24<0;b=d?k[g+4>>2]|0:b&255;e=i[h+11>>0]|0;a=e<<24>>24<0;e=a?k[h+4>>2]|0:e&255;f=e>>>0<b>>>0;c=f?e:b;if(!c)j=15;else{c=zM(d?k[g>>2]|0:g,a?k[h>>2]|0:h,c)|0;if(!c)j=15}if((j|0)==15)c=b>>>0<e>>>0?-1:f&1;$9(h);$9(g);j=(c|0)<0;r=l;return j|0}return 0}function Vm(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=0;f=r;r=r+16|0;c=f;d=ZN(1,124)|0;if(!d){b=Bn(77440,45458,40)|0;a=yV(b+(k[(k[b>>2]|0)+-12>>2]|0)|0)|0;k[c>>2]=a;y=0;a=Ha(973,c|0,78144)|0;e=y;y=0;if(e&1){f=pb()|0;Sea(c);sb(f|0)}y=0;a=Ha(k[(k[a>>2]|0)+28>>2]|0,a|0,10)|0;e=y;y=0;if(e&1){f=pb()|0;Sea(c);sb(f|0)}Sea(c);br(b,a)|0;Jt(b)|0;e=0;r=f;return e|0}k[d+68>>2]=2;k[d+4>>2]=5;k[d+8>>2]=45182;k[d+12>>2]=47537;do if(!a){a=gb(8)|0;y=0;oa(507,a|0,45499);c=y;y=0;if(c&1){c=tb(0)|0;fb(a|0);a=c;break}else{y=0;Na(76,a|0,4528,353);y=0;b=10;break}}else{if(i[a>>0]|0){k[d+116>>2]=a;e=d;r=f;return e|0}a=gb(8)|0;y=0;oa(507,a|0,45544);c=y;y=0;if(c&1){c=tb(0)|0;fb(a|0);a=c;break}else{y=0;Na(76,a|0,4528,353);y=0;b=10;break}}while(0);if((b|0)==10)a=tb(0)|0;vb(a|0)|0;y=0;qa(461,d|0)|0;c=y;y=0;do if(c&1){c=tb(0)|0;vb(c|0)|0;y=0;qa(461,d|0)|0;c=y;y=0;if(c&1){a=pb()|0;y=0;la(3);c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}else e=a}else{y=0;la(3);e=y;y=0;if(!(e&1))break;e=pb()|0}y=0;la(3);c=y;y=0;if(c&1){e=tb(0)|0;dla(e)}else sb(e|0)}while(0);rb();e=d;r=f;return e|0}function Wm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;j=r;r=r+96|0;g=j;c=j+92|0;d=j+88|0;h=j+48|0;n=j+44|0;m=j+40|0;rT(g,b+60|0);f=k[g>>2]|0;k[c>>2]=f;y=0;f=Ha(k[(k[f>>2]|0)+52>>2]|0,f|0,a|0)|0;l=y;y=0;if(l&1){n=pb()|0;EO(c);sb(n|0)}EO(c);rT(g,b+64|0);c=k[g>>2]|0;k[d>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;l=y;y=0;if(l&1){n=pb()|0;EO(d);sb(n|0)}EO(d);l=ZL(72)|0;a=h;d=b+12|0;e=a+40|0;do{k[a>>2]=k[d>>2];a=a+4|0;d=d+4|0}while((a|0)<(e|0));if(!f)a=0;else a=pw(f,40,24,0)|0;y=0;oa(482,n|0,a|0);f=y;y=0;if(f&1)a=pb()|0;else{if(!c)a=0;else a=pw(c,40,24,0)|0;y=0;oa(482,m|0,a|0);f=y;y=0;if(f&1)a=pb()|0;else{c=k[b+68>>2]|0;a=g;d=h;e=a+40|0;do{k[a>>2]=k[d>>2];a=a+4|0;d=d+4|0}while((a|0)<(e|0));y=0;na(366,l|0);h=y;y=0;if(h&1)a=pb()|0;else{a=l+12|0;d=g;e=a+40|0;do{k[a>>2]=k[d>>2];a=a+4|0;d=d+4|0}while((a|0)<(e|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=10324;a=l+60|0;y=0;oa(464,a|0,n|0);h=y;y=0;do if(h&1)a=pb()|0;else{y=0;oa(464,l+64|0,m|0);h=y;y=0;if(h&1){j=pb()|0;EO(a);a=j;break}else{k[l+68>>2]=c;EO(m);EO(n);r=j;return l|0}}while(0)}EO(m)}EO(n)}zqa(l);n=a;sb(n|0);return 0}function Xm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;i=r;r=r+32|0;j=i+12|0;g=i+8|0;m=i+16|0;l=i+4|0;h=i;d=a+8|0;kh(a,a+4|0,d,c)|0;c=a+12|0;if((c|0)==(b|0)){r=i;return}a:while(1){rT(j,c);y=0;oa(464,g|0,d|0);f=y;y=0;if(f&1){d=16;break}y=0;e=Ha(968,k[j>>2]|0,k[g>>2]|0)|0;f=y;y=0;if(f&1){d=17;break}EO(g);EO(j);if(e){rT(m,c);e=c;while(1){y=0;Ha(966,e|0,d|0)|0;f=y;y=0;if(f&1){d=19;break a}if((d|0)==(a|0))break;y=0;oa(464,l|0,m|0);f=y;y=0;if(f&1){d=19;break a}e=d+-4|0;y=0;oa(464,h|0,e|0);f=y;y=0;if(f&1){d=22;break a}y=0;f=Ha(968,k[l>>2]|0,k[h>>2]|0)|0;n=y;y=0;if(n&1){d=23;break a}EO(h);EO(l);if(f){n=d;d=e;e=n}else break}y=0;Ha(966,d|0,m|0)|0;n=y;y=0;if(n&1){d=20;break}EO(m)}d=c+4|0;if((d|0)==(b|0)){d=3;break}else{n=c;c=d;d=n}}if((d|0)==3){r=i;return}else if((d|0)==16){c=pb()|0;d=18}else if((d|0)==17){c=pb()|0;EO(g);d=18}else if((d|0)==19){c=pb()|0;d=21}else if((d|0)==20){c=pb()|0;d=21}else if((d|0)==22){c=pb()|0;d=24}else if((d|0)==23){c=pb()|0;EO(h);d=24}if((d|0)==18){EO(j);n=c;sb(n|0)}else if((d|0)!=21)if((d|0)==24)EO(l);EO(m);n=c;sb(n|0)}function Ym(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;h=0;i=r;r=r+32|0;g=i+8|0;e=i+4|0;c=i;d=b+80|0;rT(g,d);f=k[g>>2]|0;k[e>>2]=f;EO(e);do if(!f){c=k[k[b+64>>2]>>2]|0;mc[k[(k[c>>2]|0)+40>>2]&1023](c,a);c=1}else{e=j[b+84>>1]|0;do if(!((e&255)<<24>>24)){if((e&65535)>=256){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,44158,5);y=0;oa(605,a+4|0,g|0);f=y;y=0;if(!(f&1)){$9(g);break}i=pb()|0;$9(g);sb(i|0)}}else{k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,44153,4);y=0;oa(605,a+4|0,g|0);f=y;y=0;if(!(f&1)){$9(g);break}i=pb()|0;$9(g);sb(i|0)}while(0);rT(g,d);f=k[g>>2]|0;k[c>>2]=f;y=0;oa(k[(k[f>>2]|0)+40>>2]|0,f|0,a|0);f=y;y=0;if(!(f&1)){EO(c);c=0;break}i=pb()|0;EO(c);sb(i|0)}while(0);e=(k[b+68>>2]|0)-(k[b+64>>2]|0)>>2;if(c>>>0>=e>>>0){r=i;return}f=a+4|0;d=b+64|0;while(1){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,44164,5);y=0;oa(605,f|0,g|0);b=y;y=0;if(b&1)break;$9(g);b=k[(k[d>>2]|0)+(c<<2)>>2]|0;mc[k[(k[b>>2]|0)+40>>2]&1023](b,a);c=c+1|0;if(c>>>0>=e>>>0){h=16;break}}if((h|0)==16){r=i;return}i=pb()|0;$9(g);sb(i|0)}function Zm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;m=0;n=r;r=r+16|0;f=n+12|0;h=n+8|0;l=n;y=0;oa(531,l|0,a|0);j=y;y=0;a:do if(j&1){c=tb(0)|0;d=a;e=a;m=19}else{do if(i[l>>0]|0){g=yV(a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;k[f>>2]=g;y=0;g=Ha(973,f|0,78200)|0;j=y;y=0;if(j&1){c=tb(0)|0;Sea(f)}else{Sea(f);d=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;j=k[d+24>>2]|0;e=d+76|0;c=k[e>>2]|0;do if((c|0)==-1){c=yV(d)|0;k[f>>2]=c;y=0;c=Ha(973,f|0,78144)|0;o=y;y=0;if(!(o&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,32)|0;o=y;y=0;if(!(o&1)){Sea(f);c=c<<24>>24;k[e>>2]=c;m=10;break}}c=tb(0)|0;Sea(f)}else m=10;while(0);if((m|0)==10){o=k[(k[g>>2]|0)+24>>2]|0;k[h>>2]=j;y=0;k[f>>2]=k[h>>2];c=sa(o|0,g|0,f|0,d|0,c&255|0,b|0)|0;o=y;y=0;if(!(o&1)){if(c|0)break;o=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,o|0,k[o+16>>2]|5|0);o=y;y=0;if(!(o&1))break}c=tb(0)|0}}sz(l);d=a;e=a;m=19;break a}while(0);sz(l)}while(0);do if((m|0)==19){vb(c|0)|0;y=0;na(374,d+(k[(k[e>>2]|0)+-12>>2]|0)|0);o=y;y=0;if(!(o&1)){rb();break}c=pb()|0;y=0;la(3);o=y;y=0;if(o&1){o=tb(0)|0;dla(o)}else sb(c|0)}while(0);r=n;return a|0}function _m(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;m=0;n=r;r=r+16|0;f=n+12|0;h=n+8|0;l=n;y=0;oa(531,l|0,a|0);j=y;y=0;a:do if(j&1){c=tb(0)|0;d=a;e=a;m=19}else{do if(i[l>>0]|0){g=yV(a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;k[f>>2]=g;y=0;g=Ha(973,f|0,78200)|0;j=y;y=0;if(j&1){c=tb(0)|0;Sea(f)}else{Sea(f);d=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;j=k[d+24>>2]|0;e=d+76|0;c=k[e>>2]|0;do if((c|0)==-1){c=yV(d)|0;k[f>>2]=c;y=0;c=Ha(973,f|0,78144)|0;o=y;y=0;if(!(o&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,32)|0;o=y;y=0;if(!(o&1)){Sea(f);c=c<<24>>24;k[e>>2]=c;m=10;break}}c=tb(0)|0;Sea(f)}else m=10;while(0);if((m|0)==10){o=k[(k[g>>2]|0)+24>>2]|0;k[h>>2]=j;y=0;k[f>>2]=k[h>>2];c=sa(o|0,g|0,f|0,d|0,c&255|0,b|0)|0;o=y;y=0;if(!(o&1)){if(c|0)break;o=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,o|0,k[o+16>>2]|5|0);o=y;y=0;if(!(o&1))break}c=tb(0)|0}}sz(l);d=a;e=a;m=19;break a}while(0);sz(l)}while(0);do if((m|0)==19){vb(c|0)|0;y=0;na(374,d+(k[(k[e>>2]|0)+-12>>2]|0)|0);o=y;y=0;if(!(o&1)){rb();break}c=pb()|0;y=0;la(3);o=y;y=0;if(o&1){o=tb(0)|0;dla(o)}else sb(c|0)}while(0);r=n;return a|0}function $m(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=((d-c|0)/48|0)+1|0;if(e>>>0>89478485){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=((k[i>>2]|0)-c|0)/48|0;f=h<<1;f=h>>>0<44739242?(f>>>0<e>>>0?e:f):89478485;c=(d-c|0)/48|0;do if(!f)g=0;else if(f>>>0>89478485){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{g=ZL(f*48|0)|0;break}while(0);d=g+(c*48|0)|0;e=d;h=g+(f*48|0)|0;y=0;oa(475,d|0,b|0);b=y;y=0;if(b&1){c=pb()|0;if(!g)sb(c|0);zqa(g);sb(c|0)}g=d+48|0;f=k[a>>2]|0;c=k[j>>2]|0;if((c|0)==(f|0)){d=e;e=f;c=f}else{do{l=d+-48|0;b=c;c=c+-48|0;k[l>>2]=k[c>>2];k[l+4>>2]=k[c+4>>2];k[l+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;l=d+-36|0;m=b+-36|0;k[l>>2]=k[m>>2];k[l+4>>2]=k[m+4>>2];k[l+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;m=d+-24|0;l=b+-24|0;k[m>>2]=k[l>>2];k[m+4>>2]=k[l+4>>2];k[m+8>>2]=k[l+8>>2];k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;l=d+-12|0;b=b+-12|0;k[l>>2]=k[b>>2];k[l+4>>2]=k[b+4>>2];k[l+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;d=e+-48|0;e=d}while((c|0)!=(f|0));d=e;e=k[a>>2]|0;c=k[j>>2]|0}k[a>>2]=d;k[j>>2]=g;k[i>>2]=h;d=e;if((c|0)!=(d|0))do{$9(c+-12|0);$9(c+-24|0);$9(c+-36|0);c=c+-48|0;$9(c)}while((c|0)!=(d|0));if(!e)return;zqa(e);return}function an(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;m=0;n=r;r=r+16|0;f=n+12|0;h=n+8|0;l=n;y=0;oa(531,l|0,a|0);j=y;y=0;a:do if(j&1){c=tb(0)|0;d=a;e=a;m=19}else{do if(i[l>>0]|0){g=yV(a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;k[f>>2]=g;y=0;g=Ha(973,f|0,78200)|0;j=y;y=0;if(j&1){c=tb(0)|0;Sea(f)}else{Sea(f);d=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;j=k[d+24>>2]|0;e=d+76|0;c=k[e>>2]|0;do if((c|0)==-1){c=yV(d)|0;k[f>>2]=c;y=0;c=Ha(973,f|0,78144)|0;o=y;y=0;if(!(o&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,32)|0;o=y;y=0;if(!(o&1)){Sea(f);c=c<<24>>24;k[e>>2]=c;m=10;break}}c=tb(0)|0;Sea(f)}else m=10;while(0);if((m|0)==10){o=k[(k[g>>2]|0)+32>>2]|0;k[h>>2]=j;y=0;k[f>>2]=k[h>>2];c=Qa(o|0,g|0,f|0,d|0,c&255|0,+b)|0;o=y;y=0;if(!(o&1)){if(c|0)break;o=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,o|0,k[o+16>>2]|5|0);o=y;y=0;if(!(o&1))break}c=tb(0)|0}}sz(l);d=a;e=a;m=19;break a}while(0);sz(l)}while(0);do if((m|0)==19){vb(c|0)|0;y=0;na(374,d+(k[(k[e>>2]|0)+-12>>2]|0)|0);o=y;y=0;if(!(o&1)){rb();break}c=pb()|0;y=0;la(3);o=y;y=0;if(o&1){o=tb(0)|0;dla(o)}else sb(c|0)}while(0);r=n;return a|0}function bn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0;h=0;e=r;r=r+32|0;f=e;d=e+12|0;pK(f,76508);y=0;oa(629,a|0,f|0);g=y;y=0;do if(g&1)b=pb()|0;else{k[a>>2]=14076;g=a+8|0;y=0;oa(452,g|0,f|0);j=y;y=0;if(j&1){b=pb()|0;cda(a);break}$9(f);k[a>>2]=19132;k[a+20>>2]=b;k[a+24>>2]=c;y=0;Ha(1006,g|0,47243)|0;j=y;y=0;a:do if(j&1)h=14;else{y=0;oa(457,d|0,c|0);j=y;y=0;do if(j&1)b=pb()|0;else{j=i[d+11>>0]|0;f=j<<24>>24<0;y=0;ta(47,g|0,(f?k[d>>2]|0:d)|0,(f?k[d+4>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){b=pb()|0;$9(d);break}$9(d);y=0;Ha(970,g|0,47265)|0;j=y;y=0;if(j&1){h=14;break a}y=0;oa(457,d|0,b|0);j=y;y=0;do if(j&1)b=pb()|0;else{j=i[d+11>>0]|0;f=j<<24>>24<0;y=0;ta(47,g|0,(f?k[d>>2]|0:d)|0,(f?k[d+4>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){b=pb()|0;$9(d);break}$9(d);y=0;Ha(970,g|0,47273)|0;j=y;y=0;if(j&1){h=14;break a}r=e;return}while(0);break a}while(0)}while(0);if((h|0)==14)b=pb()|0;k[a>>2]=14076;$9(g);cda(a);j=b;sb(j|0)}while(0);$9(f);j=b;sb(j|0)}function cn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0;m=0;n=r;r=r+16|0;h=n;j=a+68|0;b=k[j>>2]|0;if(b|0){m=b;r=n;return m|0}k[j>>2]=-1640531520;pK(h,a+72|0);g=i[h+11>>0]|0;e=g<<24>>24<0;f=e?k[h>>2]|0:h;g=e?k[h+4>>2]|0:g&255;if(g>>>0>3){e=g+-4|0;d=f;b=g;c=g;while(1){g=aa(l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24,1540483477)|0;b=(aa(g>>>24^g,1540483477)|0)^(aa(b,1540483477)|0);c=c+-4|0;if(c>>>0<=3)break;else d=d+4|0}d=e&-4;c=e-d|0;d=f+(d+4)|0}else{c=g;d=f;b=g}switch(c|0){case 3:{b=(l[d+2>>0]|0)<<16^b;m=8;break}case 2:{m=8;break}case 1:{m=9;break}default:{}}if((m|0)==8){b=(l[d+1>>0]|0)<<8^b;m=9}if((m|0)==9)b=aa((l[d>>0]|0)^b,1540483477)|0;f=aa(b>>>13^b,1540483477)|0;g=k[j>>2]|0;k[j>>2]=(g<<6)+-1640531527+(g>>>2)+(f>>>15^f)^g;$9(h);pK(h,a+84|0);g=i[h+11>>0]|0;a=g<<24>>24<0;f=a?k[h>>2]|0:h;g=a?k[h+4>>2]|0:g&255;if(g>>>0>3){e=g+-4|0;d=f;b=g;c=g;while(1){a=aa(l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24,1540483477)|0;b=(aa(a>>>24^a,1540483477)|0)^(aa(b,1540483477)|0);c=c+-4|0;if(c>>>0<=3)break;else d=d+4|0}d=e&-4;c=e-d|0;d=f+(d+4)|0}else{c=g;d=f;b=g}switch(c|0){case 3:{b=(l[d+2>>0]|0)<<16^b;m=16;break}case 2:{m=16;break}case 1:{m=17;break}default:{}}if((m|0)==16){b=(l[d+1>>0]|0)<<8^b;m=17}if((m|0)==17)b=aa((l[d>>0]|0)^b,1540483477)|0;a=aa(b>>>13^b,1540483477)|0;m=k[j>>2]|0;k[j>>2]=(m<<6)+-1640531527+(m>>>2)+(a>>>15^a)^m;$9(h);m=k[j>>2]|0;r=n;return m|0}function dn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0;o=0;p=r;r=r+16|0;g=p+4|0;n=p;k[a>>2]=19180;c=a+4|0;d=b+4|0;k[c>>2]=k[d>>2];i[c+4>>0]=i[d+4>>0]|0;k[a>>2]=4860;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;l=b+52|0;m=k[l+4>>2]|0;h=a+52|0;k[h>>2]=k[l>>2];k[h+4>>2]=m;k[a>>2]=11396;h=a+60|0;m=b+60|0;k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];h=a+72|0;k[h>>2]=13580;y=0;oa(508,a+76|0,b+76|0);m=y;y=0;if(m&1){a=pb()|0;sb(a|0)}k[a+88>>2]=k[b+88>>2];k[a>>2]=13364;k[h>>2]=13540;l=a+92|0;k[a+96>>2]=0;k[a+100>>2]=0;m=a+96|0;k[l>>2]=m;c=k[b+92>>2]|0;e=b+96|0;if((c|0)==(e|0)){a=a+104|0;o=b+104|0;o=j[o>>1]|0;j[a>>1]=o;r=p;return}f=m;d=c;while(1){d=d+16|0;k[n>>2]=f;y=0;k[g>>2]=k[n>>2];Ma(18,l|0,g|0,d|0,d|0)|0;d=y;y=0;if(d&1)break;d=k[c+4>>2]|0;if(!d)while(1){d=k[c+8>>2]|0;if((k[d>>2]|0)==(c|0)){c=d;break}else c=d}else{c=d;while(1){d=k[c>>2]|0;if(!d)break;else c=d}}if((c|0)==(e|0)){o=9;break}else d=c}if((o|0)==9){a=a+104|0;o=b+104|0;o=j[o>>1]|0;j[a>>1]=o;r=p;return}b=pb()|0;g=N;TG(l,k[m>>2]|0);k[h>>2]=13580;f=a+76|0;c=k[f>>2]|0;if(!c){a=b;sb(a|0)}e=a+80|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{a=d+-4|0;k[e>>2]=a;EO(a);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c);a=b;sb(a|0)}function en(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;n=r;r=r+112|0;j=n+64|0;o=n+60|0;p=n+56|0;b=n+16|0;f=n+12|0;g=n+8|0;l=n+4|0;m=n;h=pq(a)|0;k[p>>2]=h;y=0;h=qa(332,72)|0;e=y;y=0;if(e&1){o=pb()|0;EO(p);sb(o|0)}c=b;d=a+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(464,f|0,p|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;oa(482,g|0,0);e=y;y=0;if(e&1){b=pb()|0;EO(f);break}y=0;c=j;d=b;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Ra(31,h|0,j|0,f|0,g|0);e=y;y=0;if(e&1)c=1;else{y=0;oa(482,o|0,h|0);e=y;y=0;if(e&1)c=0;else{EO(g);EO(f);c=k[o>>2]|0;d=a+164|0;e=i[d>>0]|0;i[d>>0]=0;y=0;b=Ha(1010,a|0,0)|0;h=y;y=0;if(h&1){b=pb()|0;i[d>>0]=e}else{i[d>>0]=e;k[m>>2]=b;b=c+64|0;y=0;Ha(966,b|0,m|0)|0;h=y;y=0;if(!(h&1)){y=0;oa(464,j|0,b|0);h=y;y=0;if(!(h&1)){k[l>>2]=k[j>>2];EO(l);EO(m);EO(p);r=n;return k[o>>2]|0}}b=pb()|0;EO(m)}EO(o);o=b;EO(p);sb(o|0)}}b=pb()|0;EO(g);EO(f);if(!c){o=b;EO(p);sb(o|0)}}while(0);zqa(h);o=b;EO(p);sb(o|0);return 0}function fn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=0;a:do switch(i[a>>0]|0){case 9:case 32:{b=a+1|0;f=14;break}default:{b=EF(a)|0;if(!b){b=Qz(a)|0;if(!b){c=i[45693]|0;b:do if(!(c<<24>>24)){b=a;f=7}else{b=a;d=45693;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){f=7;break}}}while(0);if((f|0)==7){c=i[b>>0]|0;if(c<<24>>24){e=b;do{if(e|0){b=i[46478]|0;if(!(b<<24>>24)){b=e;f=14;break a}if(c<<24>>24==b<<24>>24){b=e;c=46478;do{b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24)){f=14;break a}}while((i[b>>0]|0)==d<<24>>24)}}e=e+1|0;c=i[e>>0]|0}while(c<<24>>24!=0)}}if(!a){f=0;return f|0}else b=a}else f=14}else f=14}}while(0);c:do if((f|0)==14)d:while(1){switch(i[b>>0]|0){case 9:case 32:{b=b+1|0;f=14;continue d}default:{}}c=EF(b)|0;if(c|0){b=c;f=14;continue}c=Qz(b)|0;if(c|0){b=c;f=14;continue}d=i[45693]|0;if(!(d<<24>>24))c=b;else{c=b;e=45693;do{if((i[c>>0]|0)!=d<<24>>24)break c;c=c+1|0;e=e+1|0;d=i[e>>0]|0}while(d<<24>>24!=0)}d=i[c>>0]|0;if(!(d<<24>>24))break c;while(1){if(c|0){e=i[46478]|0;if(!(e<<24>>24)){b=c;f=14;continue d}if(d<<24>>24==e<<24>>24){d=c;e=46478;while(1){d=d+1|0;e=e+1|0;a=i[e>>0]|0;if(!(a<<24>>24)){b=d;f=14;continue d}if((i[d>>0]|0)!=a<<24>>24)break}}}c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24))break c}}while(0);f=(pO(b)|0)!=0;return f|0}function gn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=0;m=r;r=r+16|0;j=m;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,82159,0);g=i[b+11>>0]|0;h=g<<24>>24<0;d=h?k[b>>2]|0:b;g=h?k[b+4>>2]|0:g&255;h=d+g|0;if(g|0){c=0;g=0;f=0;a:while(1){e=g;g=i[d>>0]|0;b:do if(f)switch(g<<24>>24){case 13:case 10:{c=0;e=1;break b}case 9:{c=c+1|0;e=1;break b}case 32:{c=c+1|0;e=1;break b}default:{if(g<<24>>24==42){e=1;break b}y=0;oa(461,j|0,32);f=y;y=0;if(f&1){l=11;break a}if(e<<24>>24==42&g<<24>>24==47){y=0;Ha(970,j|0,46478)|0;f=y;y=0;if(f&1){l=11;break a}else{e=0;break b}}else{y=0;oa(461,j|0,g|0);f=y;y=0;if(f&1){l=11;break a}else{e=0;break b}}}}else{switch(g<<24>>24){case 10:case 13:{e=1;break b}default:{}}y=0;oa(461,j|0,g|0);f=y;y=0;if(f&1){l=11;break a}else e=0}while(0);d=d+1|0;if((d|0)==(h|0))break;else f=e}if((l|0)==11){m=pb()|0;$9(j);sb(m|0)}if(c|0){k[a>>2]=k[j>>2];k[a+4>>2]=k[j+4>>2];k[a+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;$9(j);r=m;return}}y=0;oa(452,a|0,b|0);l=y;y=0;if(!(l&1)){$9(j);r=m;return}m=pb()|0;$9(j);sb(m|0)}function hn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+48|0;j=m+32|0;n=m+20|0;e=m+16|0;f=m+12|0;g=m+8|0;l=m+4|0;h=m;d=b+64|0;pK(n,d);c=i[n+11>>0]|0;c=((c<<24>>24<0?k[n+4>>2]|0:c&255)|0)==0;$9(n);do if(!c){c=a+4|0;pK(j,d);y=0;Na(139,c|0,j|0,b|0);n=y;y=0;if(!(n&1)){$9(j);ly(c);break}n=pb()|0;$9(j);sb(n|0)}while(0);c=b+60|0;rT(j,c);n=k[j>>2]|0;k[e>>2]=n;EO(e);if(!n){r=m;return}rT(j,c);n=k[j>>2]|0;k[f>>2]=n;n=(k[n+56>>2]|0)==8;EO(f);if(n){r=m;return}rT(j,c);n=k[j>>2]|0;k[g>>2]=n;n=(k[n+56>>2]|0)==4;EO(g);rT(j,c);c=k[j>>2]|0;do if(n){k[l>>2]=c;if(!c){EO(l);break}c=pw(c,40,520,0)|0;EO(l);if(c|0)mc[k[(k[c>>2]|0)+40>>2]&1023](c,a)}else{k[h>>2]=c;y=0;oa(k[(k[c>>2]|0)+40>>2]|0,c|0,a|0);n=y;y=0;if(!(n&1)){EO(h);break}n=pb()|0;EO(h);sb(n|0)}while(0);if(!(i[b+76>>0]|0)){r=m;return}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,44142,3);y=0;oa(605,a+4|0,j|0);n=y;y=0;if(n&1){n=pb()|0;$9(j);sb(n|0)}else{$9(j);r=m;return}}function jn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=(b|0)==(a|0);i[b+12>>0]=g&1;if(g)return;while(1){g=k[b+8>>2]|0;d=g+12|0;if(i[d>>0]|0){c=37;break}f=g+8|0;e=k[f>>2]|0;c=k[e>>2]|0;if((c|0)==(g|0)){c=k[e+4>>2]|0;if(!c){c=8;break}c=c+12|0;if(i[c>>0]|0){c=8;break}i[d>>0]=1;i[e+12>>0]=(e|0)==(a|0)&1;i[c>>0]=1}else{if(!c){c=24;break}c=c+12|0;if(i[c>>0]|0){c=24;break}i[d>>0]=1;i[e+12>>0]=(e|0)==(a|0)&1;i[c>>0]=1}if((e|0)==(a|0)){c=37;break}else b=e}if((c|0)==8){if((k[g>>2]|0)==(b|0)){b=g;a=e}else{a=g+4|0;b=k[a>>2]|0;c=k[b>>2]|0;k[a>>2]=c;if(!c)c=e;else{k[c+8>>2]=g;c=k[f>>2]|0}d=b+8|0;k[d>>2]=c;c=k[f>>2]|0;if((k[c>>2]|0)==(g|0))k[c>>2]=b;else k[c+4>>2]=b;k[b>>2]=g;k[f>>2]=b;a=k[d>>2]|0}i[b+12>>0]=1;i[a+12>>0]=0;d=k[a>>2]|0;e=d+4|0;b=k[e>>2]|0;k[a>>2]=b;if(b|0)k[b+8>>2]=a;b=a+8|0;k[d+8>>2]=k[b>>2];c=k[b>>2]|0;if((k[c>>2]|0)==(a|0))k[c>>2]=d;else k[c+4>>2]=d;k[e>>2]=a;k[b>>2]=d;return}else if((c|0)==24){if((k[g>>2]|0)==(b|0)){b=k[g>>2]|0;a=b+4|0;c=k[a>>2]|0;k[g>>2]=c;if(!c)c=e;else{k[c+8>>2]=g;c=k[f>>2]|0}d=b+8|0;k[d>>2]=c;c=k[f>>2]|0;if((k[c>>2]|0)==(g|0))k[c>>2]=b;else k[c+4>>2]=b;k[a>>2]=g;k[f>>2]=b;e=k[d>>2]|0}else b=g;i[b+12>>0]=1;i[e+12>>0]=0;g=e+4|0;d=k[g>>2]|0;b=k[d>>2]|0;k[g>>2]=b;if(b|0)k[b+8>>2]=e;b=e+8|0;k[d+8>>2]=k[b>>2];c=k[b>>2]|0;if((k[c>>2]|0)==(e|0))k[c>>2]=d;else k[c+4>>2]=d;k[d>>2]=e;k[b>>2]=d;return}else if((c|0)==37)return}function kn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;h=r;r=r+96|0;c=h;g=h+92|0;m=h+88|0;d=h+48|0;j=h+40|0;if(!(Qu(a,1,0)|0)){_V(g,0);m=k[g>>2]|0;r=h;return m|0}e=a+152|0;k[c>>2]=k[e>>2];k[c+4>>2]=k[e+4>>2];k[c+8>>2]=k[e+8>>2];e=Ld(a,c,0)|0;k[m>>2]=e;a:do if(!e){y=0;oa(482,g|0,0);l=y;y=0;if(l&1)a=5;else a=16}else{y=0;l=qa(332,64)|0;f=y;y=0;if(f&1)a=5;else{f=d;a=a+108|0;b=f+40|0;do{k[f>>2]=k[a>>2];f=f+4|0;a=a+4|0}while((f|0)<(b|0));y=0;oa(482,j|0,e|0);f=y;y=0;do if(f&1)a=pb()|0;else{f=c;a=d;b=f+40|0;do{k[f>>2]=k[a>>2];f=f+4|0;a=a+4|0}while((f|0)<(b|0));y=0;na(366,l|0);f=y;y=0;if(f&1)b=1;else{f=l+12|0;a=c;b=f+40|0;do{k[f>>2]=k[a>>2];f=f+4|0;a=a+4|0}while((f|0)<(b|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=10696;y=0;oa(464,l+60|0,j|0);f=y;y=0;if(f&1){a=pb()|0;EO(j);break}y=0;oa(482,g|0,l|0);f=y;y=0;if(f&1)b=0;else{EO(j);a=16;break a}}a=pb()|0;EO(j);if(!b){l=a;EO(m);sb(l|0)}}while(0);zqa(l);l=a;EO(m);sb(l|0)}}while(0);if((a|0)==5){l=pb()|0;EO(m);sb(l|0)}else if((a|0)==16){EO(m);m=k[g>>2]|0;r=h;return m|0}return 0}function ln(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;if(!a){h=0;return h|0}h=i[44181]|0;d=h<<24>>24==0;a:do if(!d){b=44181;c=h;while(1){if((i[a>>0]|0)!=c<<24>>24){a=0;break}a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break a}return a|0}while(0);c=i[a>>0]|0;if(!(c<<24>>24)){h=0;return h|0}if(d){b=0;d=0;while(1){switch(c<<24>>24){case 92:{e=d;a=a+1|0;break}case 34:{b=b^1;e=d;break}case 39:{e=d^1;break}default:if(b){b=1;e=d}else{b=0;e=d;a=d?a:a+-1|0}}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=0;break}else d=e}return a|0}else{f=a;a=0;b=0;g=0}b:while(1){c:do switch(c<<24>>24){case 92:{e=a;a=f+1|0;d=g;break}case 34:{e=a^1;a=f;d=g;break}case 39:{e=a;b=b^1;a=f;d=g;break}default:if(a){e=1;a=f;d=g}else if(b){e=0;b=1;a=f;d=g}else if(!f){e=0;b=0;a=0;d=g}else{d:do if(c<<24>>24==h<<24>>24){a=f;b=44181;while(1){d=a+1|0;b=b+1|0;e=i[b>>0]|0;if(!(e<<24>>24))break;if((i[d>>0]|0)!=e<<24>>24)break d;else a=d}e=0;b=0;d=g+1|0;break c}while(0);a=i[45708]|0;e:do if(!(a<<24>>24))a=f;else{if(c<<24>>24==a<<24>>24){a=f;b=45708}else{e=0;b=0;a=f;d=g;break c}while(1){a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break e;if((i[a>>0]|0)!=c<<24>>24){e=0;b=0;a=f;d=g;break c}}}while(0);if(!g){b=31;break b}else{e=0;b=0;a=a+-1|0;d=g+-1|0}}}while(0);f=a+1|0;c=i[f>>0]|0;if(!(c<<24>>24)){a=0;b=31;break}else{a=e;g=d}}if((b|0)==31)return a|0;return 0}function mn(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0.0,t=0,u=0,v=0;v=r;r=r+64|0;u=v+16|0;b=v;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,35329,6);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));t=sa(24,b|0,a|0,d|0,u|0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;$9(b);sb(e|0)}$9(b);k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,35405,7);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));c=Ia(1,b|0,a|0,d|0,u|0,0.0,100.0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;$9(b);sb(e|0)}$9(b);l=+p[t+64>>3]/255.0;m=+p[t+72>>3]/255.0;n=+p[t+80>>3]/255.0;b=m<n;j=b?n:m;j=l<j?j:l;h=n<m?n:m;h=h<l?h:l;o=j-h;i=j+h;s=i*.5;do if(j==h){h=0.0;i=0.0}else{i=o/(s<.5?i:2.0-j-h);if(l==j){h=(b?6.0:0.0)+(m-n)/o;break}if(m==j){h=(n-l)/o+2.0;break}if(n==j)h=(l-m)/o+4.0;else h=0.0}while(0);l=h/6.0*360.0;j=s*100.0;i=i*100.0-+p[c+64>>3];i=i<=0.0?0.0:i;i=i>100.0?100.0:i;h=+p[t+88>>3];c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));e=lm(l,i,j,h,0,u)|0;r=v;return e|0}function nn(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;a:do if(a|0){c=i[44277]|0;b:do if(!(c<<24>>24)){b=a;e=5}else{b=a;d=44277;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=5;break}}}while(0);if((e|0)==5){b=aP(b)|0;if(b|0){a=b;return a|0}}c=i[44266]|0;c:do if(!(c<<24>>24)){b=a;e=9}else{b=a;d=44266;while(1){if((i[b>>0]|0)!=c<<24>>24)break c;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=9;break}}}while(0);if((e|0)==9){b=aP(b)|0;if(b|0){a=b;return a|0}}c=i[44259]|0;d:do if(!(c<<24>>24)){b=a;e=13}else{b=a;d=44259;while(1){if((i[b>>0]|0)!=c<<24>>24)break d;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=13;break}}}while(0);if((e|0)==13){b=aP(b)|0;if(b|0){a=b;return a|0}}c=i[44304]|0;if(!(c<<24>>24))b=a;else{b=a;d=44304;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}b=aP(b)|0;if(b|0){a=b;return a|0}}while(0);a=oo(a)|0;return a|0}function on(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;f=0;l=r;r=r+32|0;m=l+12|0;j=l;pK(m,b+64|0);h=a+4|0;if(!(i[b+61>>0]|0))f=16;else{y=0;c=qa(458,h|0)|0;g=y;y=0;if(!(g&1))if((c|0)==3){g=m+11|0;c=i[g>>0]|0;n=c<<24>>24<0;e=n?k[m>>2]|0:m;n=n?k[m+4>>2]|0:c&255;d=e+n|0;a:do if(!n)f=7;else do{if(dma(i[e>>0]|0)|0){f=7;break a}e=e+1|0}while((e|0)!=(d|0));while(0);if((f|0)==7)if((e|0)!=(d|0)){f=e+1|0;if((f|0)==(d|0))d=e;else{c=e;do{e=i[f>>0]|0;if(!(dma(e<<24>>24)|0)){i[c>>0]=e;c=c+1|0}f=f+1|0}while((f|0)!=(d|0));d=c;c=i[g>>0]|0}}n=d;g=c<<24>>24<0;f=g?k[m>>2]|0:m;y=0;ta(53,m|0,n-f|0,f+(g?k[m+4>>2]|0:c&255)-n|0)|0;n=y;y=0;if(n&1){n=pb()|0;$9(m);sb(n|0)}else f=16}else f=16}do if((f|0)==16){if(i[a+96>>0]|0){y=0;Na(139,h|0,m|0,b|0);n=y;y=0;if(n&1)break;$9(m);r=l;return}y=0;oa(578,j|0,m|0);n=y;y=0;do if(n&1)c=pb()|0;else{y=0;Na(139,h|0,j|0,b|0);n=y;y=0;if(n&1){c=pb()|0;$9(j);break}$9(j);$9(m);r=l;return}while(0);n=c;$9(m);sb(n|0)}while(0);n=pb()|0;$9(m);sb(n|0)}function pn(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0.0,t=0,u=0,v=0;v=r;r=r+64|0;u=v+16|0;b=v;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,35329,6);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));t=sa(24,b|0,a|0,d|0,u|0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;$9(b);sb(e|0)}$9(b);k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,35405,7);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));c=Ia(1,b|0,a|0,d|0,u|0,0.0,100.0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;$9(b);sb(e|0)}$9(b);l=+p[t+64>>3]/255.0;m=+p[t+72>>3]/255.0;n=+p[t+80>>3]/255.0;b=m<n;j=b?n:m;j=l<j?j:l;h=n<m?n:m;h=h<l?h:l;o=j-h;i=j+h;s=i*.5;do if(j==h){h=0.0;i=0.0}else{i=o/(s<.5?i:2.0-j-h);if(l==j){h=(b?6.0:0.0)+(m-n)/o;break}if(m==j){h=(n-l)/o+2.0;break}if(n==j)h=(l-m)/o+4.0;else h=0.0}while(0);l=h/6.0*360.0;j=i*100.0;i=s*100.0;i=(i>100.0?100.0:i)-+p[c+64>>3];h=+p[t+88>>3];c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));e=lm(l,j,i,h,0,u)|0;r=v;return e|0}function qn(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0.0,t=0,u=0,v=0;v=r;r=r+64|0;u=v+16|0;b=v;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,35329,6);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));t=sa(24,b|0,a|0,d|0,u|0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;$9(b);sb(e|0)}$9(b);k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,35405,7);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));c=Ia(1,b|0,a|0,d|0,u|0,0.0,100.0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;$9(b);sb(e|0)}$9(b);l=+p[t+64>>3]/255.0;m=+p[t+72>>3]/255.0;n=+p[t+80>>3]/255.0;b=m<n;j=b?n:m;j=l<j?j:l;h=n<m?n:m;h=h<l?h:l;o=j-h;i=j+h;s=i*.5;do if(j==h){h=0.0;i=0.0}else{i=o/(s<.5?i:2.0-j-h);if(l==j){h=(b?6.0:0.0)+(m-n)/o;break}if(m==j){h=(n-l)/o+2.0;break}if(n==j)h=(l-m)/o+4.0;else h=0.0}while(0);l=h/6.0*360.0;j=i*100.0;i=s*100.0;i=(i<0.0?0.0:i)+ +p[c+64>>3];h=+p[t+88>>3];c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));e=lm(l,j,i,h,0,u)|0;r=v;return e|0}function rn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;m=a+4|0;d=k[m>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){OM(a);c=k[a>>2]|0;d=k[m>>2]|0}l=a+8|0;i=(k[l>>2]|0)-c|0;j=i>>2;e=i>>3>>>0<268435455?(j>>>0<e>>>0?e:j):536870911;d=d-c>>3;do if(!e)j=0;else if(e>>>0>536870911){m=gb(4)|0;doa(m);Wb(m|0,4496,348)}else{j=ZL(e<<3)|0;break}while(0);g=j+(d<<3)|0;c=g;i=j+(e<<3)|0;y=0;oa(464,g|0,b|0);h=y;y=0;a:do if(h&1){e=pb()|0;d=c}else{y=0;oa(464,j+(d<<3)+4|0,b+4|0);h=y;y=0;if(h&1){e=pb()|0;EO(g);d=c;break}d=g+8|0;h=k[a>>2]|0;e=k[m>>2]|0;do if((e|0)==(h|0)){e=c;b=h;c=h}else{while(1){b=e;e=e+-8|0;f=g+-8|0;y=0;oa(464,f|0,e|0);n=y;y=0;if(n&1){g=22;break}y=0;oa(464,g+-4|0,b+-4|0);n=y;y=0;if(n&1){g=14;break}g=c+-8|0;c=g;if((e|0)==(h|0)){g=16;break}}if((g|0)==14){e=pb()|0;EO(f);break a}else if((g|0)==16){e=c;b=k[a>>2]|0;c=k[m>>2]|0;break}else if((g|0)==22){e=pb()|0;break a}}while(0);k[a>>2]=e;k[m>>2]=d;k[l>>2]=i;d=b;if((c|0)!=(d|0))do{EO(c+-4|0);c=c+-8|0;EO(c)}while((c|0)!=(d|0));if(!b)return;zqa(b);return}while(0);if((d|0)!=(c|0))do{EO(d+-4|0);d=d+-8|0;EO(d)}while((d|0)!=(c|0));if(!j)sb(e|0);zqa(j);sb(e|0)}function sn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;m=a+4|0;d=k[m>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){OM(a);c=k[a>>2]|0;d=k[m>>2]|0}l=a+8|0;i=(k[l>>2]|0)-c|0;j=i>>2;e=i>>3>>>0<268435455?(j>>>0<e>>>0?e:j):536870911;d=d-c>>3;do if(!e)j=0;else if(e>>>0>536870911){m=gb(4)|0;doa(m);Wb(m|0,4496,348)}else{j=ZL(e<<3)|0;break}while(0);g=j+(d<<3)|0;c=g;i=j+(e<<3)|0;y=0;oa(464,g|0,b|0);h=y;y=0;a:do if(h&1){e=pb()|0;d=c}else{y=0;oa(464,j+(d<<3)+4|0,b+4|0);h=y;y=0;if(h&1){e=pb()|0;EO(g);d=c;break}d=g+8|0;h=k[a>>2]|0;e=k[m>>2]|0;do if((e|0)==(h|0)){e=c;b=h;c=h}else{while(1){b=e;e=e+-8|0;f=g+-8|0;y=0;oa(464,f|0,e|0);n=y;y=0;if(n&1){g=22;break}y=0;oa(464,g+-4|0,b+-4|0);n=y;y=0;if(n&1){g=14;break}g=c+-8|0;c=g;if((e|0)==(h|0)){g=16;break}}if((g|0)==14){e=pb()|0;EO(f);break a}else if((g|0)==16){e=c;b=k[a>>2]|0;c=k[m>>2]|0;break}else if((g|0)==22){e=pb()|0;break a}}while(0);k[a>>2]=e;k[m>>2]=d;k[l>>2]=i;d=b;if((c|0)!=(d|0))do{EO(c+-4|0);c=c+-8|0;EO(c)}while((c|0)!=(d|0));if(!b)return;zqa(b);return}while(0);if((d|0)!=(c|0))do{EO(d+-4|0);d=d+-8|0;EO(d)}while((d|0)!=(c|0));if(!j)sb(e|0);zqa(j);sb(e|0)}function tn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;h=0;q=a+8|0;o=k[q>>2]|0;n=a+12|0;p=k[n>>2]|0;e=p;if((o|0)!=(p|0)){p=k[q>>2]|0;rT(p,b);b=k[q>>2]|0;b=b+4|0;k[q>>2]=b;return}p=a+4|0;f=k[p>>2]|0;c=k[a>>2]|0;d=c;if(f>>>0>c>>>0){e=((f-d>>2)+1|0)/-2|0;d=f+(e<<2)|0;if((f|0)==(o|0))c=o;else{c=f;do{LH(d,c)|0;c=c+4|0;d=d+4|0}while((c|0)!=(o|0));c=k[p>>2]|0}k[q>>2]=d;k[p>>2]=c+(e<<2);p=k[q>>2]|0;rT(p,b);b=k[q>>2]|0;b=b+4|0;k[q>>2]=b;return}d=e-d>>1;d=(d|0)==0?1:d;if(d>>>0>1073741823){q=gb(4)|0;doa(q);Wb(q|0,4496,348)}i=ZL(d<<2)|0;j=i;l=i+(d>>>2<<2)|0;m=l;g=i+(d<<2)|0;a:do if((f|0)==(o|0)){k[a>>2]=j;k[p>>2]=m;k[q>>2]=m;k[n>>2]=g}else{c=m;e=l;d=f;while(1){y=0;oa(464,e|0,d|0);f=y;y=0;if(f&1)break;e=c+4|0;f=e;d=d+4|0;if((d|0)==(o|0)){h=13;break}else c=f}if((h|0)==13){c=k[a>>2]|0;e=k[p>>2]|0;d=k[q>>2]|0;k[a>>2]=j;k[p>>2]=m;k[q>>2]=f;k[n>>2]=g;if((d|0)==(e|0))break;while(1){d=d+-4|0;EO(d);if((d|0)==(e|0))break a}}d=pb()|0;if((c|0)==(l|0)){zqa(i);sb(d|0)}do{c=c+-4|0;EO(c)}while((c|0)!=(l|0));zqa(i);sb(d|0)}while(0);if(!c){p=k[q>>2]|0;rT(p,b);b=k[q>>2]|0;b=b+4|0;k[q>>2]=b;return}zqa(c);p=k[q>>2]|0;rT(p,b);b=k[q>>2]|0;b=b+4|0;k[q>>2]=b;return}function un(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;j=r;r=r+96|0;g=j;c=j+92|0;d=j+88|0;h=j+48|0;n=j+44|0;m=j+40|0;rT(g,b+60|0);f=k[g>>2]|0;k[c>>2]=f;y=0;f=Ha(k[(k[f>>2]|0)+52>>2]|0,f|0,a|0)|0;l=y;y=0;if(l&1){n=pb()|0;EO(c);sb(n|0)}EO(c);rT(g,b+64|0);e=k[g>>2]|0;k[d>>2]=e;y=0;e=Ha(k[(k[e>>2]|0)+52>>2]|0,e|0,a|0)|0;l=y;y=0;if(l&1){n=pb()|0;EO(d);sb(n|0)}EO(d);l=ZL(68)|0;d=h;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));y=0;oa(482,n|0,f|0);f=y;y=0;if(f&1)a=pb()|0;else{y=0;oa(482,m|0,e|0);f=y;y=0;if(f&1)a=pb()|0;else{d=g;a=h;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));y=0;na(366,l|0);h=y;y=0;if(h&1)a=pb()|0;else{d=l+12|0;a=g;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=10572;a=l+60|0;y=0;oa(464,a|0,n|0);h=y;y=0;do if(h&1)a=pb()|0;else{y=0;oa(464,l+64|0,m|0);h=y;y=0;if(h&1){j=pb()|0;EO(a);a=j;break}else{EO(m);EO(n);r=j;return l|0}}while(0)}EO(m)}EO(n)}zqa(l);n=a;sb(n|0);return 0}function vn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;h=r;r=r+16|0;c=h+12|0;i=h+8|0;j=h+4|0;g=h;rT(i,b+64|0);y=0;oa(464,c|0,b+68|0);f=y;y=0;if(f&1){j=pb()|0;EO(i);sb(j|0)}b=k[c>>2]|0;k[j>>2]=b;if(!b)c=6;else{y=0;oa(k[(k[b>>2]|0)+40>>2]|0,b|0,a|0);f=y;y=0;if(f&1)c=5;else c=6}a:do if((c|0)==6){f=a+4|0;if(!(k[i>>2]|0)){y=0;na(398,f|0);g=y;y=0;if(g&1){c=5;break}EO(j);EO(i);r=h;return}y=0;oa(606,f|0,0);e=y;y=0;if(e&1)c=5;else{c=k[i>>2]|0;d=(k[c+72>>2]|0)-(k[c+68>>2]|0)>>2;b:do if(d|0){e=d+-1|0;b=0;while(1){c=c+64|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,b|0)|0;l=y;y=0;if(l&1){c=17;break}y=0;oa(464,g|0,c|0);l=y;y=0;if(l&1){c=17;break}l=k[g>>2]|0;y=0;oa(k[(k[l>>2]|0)+40>>2]|0,l|0,a|0);l=y;y=0;if(l&1){c=18;break}if(b>>>0<e>>>0){y=0;na(395,f|0);l=y;y=0;if(l&1){c=18;break}}EO(g);b=b+1|0;if(b>>>0>=d>>>0)break b;c=k[i>>2]|0}if((c|0)==17){b=pb()|0;break a}else if((c|0)==18){b=pb()|0;EO(g);break a}}while(0);y=0;oa(607,f|0,0);l=y;y=0;if(l&1)c=5;else{EO(j);EO(i);r=h;return}}}while(0);if((c|0)==5)b=pb()|0;EO(j);l=b;EO(i);sb(l|0)}function wn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;m=r;r=r+32|0;j=m+16|0;l=m+12|0;g=m+4|0;h=m+8|0;i=m;c=pw(b,40,584,0)|0;if(!c){l=0;j=0;l=j&l;r=m;return l|0}f=a+60|0;n=k[a+88>>2]|0;a=k[a+84>>2]|0;d=c+60|0;b=a;e=n;if((n-a|0)!=((k[c+88>>2]|0)-(k[c+84>>2]|0)|0)){n=0;l=1;n=l&n;r=m;return n|0}if((b|0)==(e|0)){n=1;l=1;n=l&n;r=m;return n|0}c=b;while(1){rT(j,c);y=0;oa(464,g|0,j|0);n=y;y=0;if(n&1){c=11;break}y=0;b=Ha(965,f|0,g|0)|0;n=y;y=0;if(n&1){c=12;break}k[l>>2]=b;EO(g);y=0;oa(464,i|0,j|0);n=y;y=0;if(n&1){c=13;break}y=0;b=Ha(965,d|0,i|0)|0;n=y;y=0;if(n&1){c=14;break}k[h>>2]=b;EO(i);b=k[h>>2]|0;a=k[l>>2]|0;if((b|0)!=0&(a|0)!=0){y=0;b=Ha(k[(k[a>>2]|0)+88>>2]|0,a|0,b|0)|0;n=y;y=0;if(n&1){c=15;break}b=b&1^1}else b=1;EO(h);EO(l);EO(j);c=c+4|0;if(b|0){b=0;a=1;c=21;break}if((c|0)==(e|0)){b=1;a=1;c=21;break}}if((c|0)==11){n=pb()|0;EO(j);sb(n|0)}else if((c|0)==12){n=pb()|0;EO(g);EO(j);sb(n|0)}else if((c|0)==13)b=pb()|0;else if((c|0)==14){b=pb()|0;EO(i)}else if((c|0)==15){b=pb()|0;EO(h)}else if((c|0)==21){n=a&b;r=m;return n|0}EO(l);n=b;EO(j);sb(n|0);return 0}function xn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=0;l=r;r=r+48|0;a=l;h=l+40|0;m=ZL(104)|0;c=a;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(366,m|0);g=y;y=0;do if(g&1)a=pb()|0;else{c=m+12|0;d=a;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;k[m>>2]=11396;i[m+60>>0]=0;i[m+61>>0]=0;i[m+62>>0]=0;k[m+64>>2]=0;k[m+68>>2]=0;k[m+56>>2]=7;e=m+72|0;k[e>>2]=14012;f=m+76|0;g=m+80|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(513,f|0,0);d=y;y=0;if(d&1){a=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{l=d+-4|0;k[g>>2]=l;EO(l);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[m>>2]=13796;k[e>>2]=13972;k[m+92>>2]=0;k[m+96>>2]=0;k[m+100>>2]=0;d=b+72|0;c=(k[b+80>>2]|0)-(k[b+76>>2]|0)>>2;if(!c){r=l;return m|0}a=0;while(1){b=Fc[k[(k[d>>2]|0)+16>>2]&2047](d,a)|0;if(!(Go(k[b>>2]|0)|0)){b=k[(k[e>>2]|0)+20>>2]|0;rT(h,Fc[k[(k[d>>2]|0)+16>>2]&2047](d,a)|0);y=0;oa(b|0,e|0,h|0);b=y;y=0;if(b&1)break;EO(h)}a=a+1|0;if(a>>>0>=c>>>0){j=11;break}}if((j|0)==11){r=l;return m|0}m=pb()|0;EO(h);sb(m|0)}while(0);zqa(m);m=a;sb(m|0);return 0}function yn(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0.0,t=0,u=0,v=0;v=r;r=r+64|0;u=v+16|0;b=v;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,35329,6);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));t=sa(24,b|0,a|0,d|0,u|0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;$9(b);sb(e|0)}$9(b);k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,35396,8);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));c=sa(23,b|0,a|0,d|0,u|0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;$9(b);sb(e|0)}$9(b);l=+p[t+64>>3]/255.0;m=+p[t+72>>3]/255.0;n=+p[t+80>>3]/255.0;b=m<n;j=b?n:m;j=l<j?j:l;h=n<m?n:m;h=h<l?h:l;o=j-h;i=j+h;s=i*.5;do if(j==h){i=0.0;h=0.0}else{h=o/(s<.5?i:2.0-j-h);if(l==j){i=(b?6.0:0.0)+(m-n)/o;break}if(m==j){i=(n-l)/o+2.0;break}if(n==j)i=(l-m)/o+4.0;else i=0.0}while(0);l=h*100.0;j=s*100.0;i=+p[c+64>>3]+i/6.0*360.0;h=+p[t+88>>3];c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));e=lm(i,l,j,h,0,u)|0;r=v;return e|0}function zn(a,b,c,d,e,f,g,h,j,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;m=m|0;n=n|0;o=o|0;var p=0;a:do if(a<<24>>24==f<<24>>24)if(!(i[b>>0]|0))f=-1;else{i[b>>0]=0;c=k[e>>2]|0;k[e>>2]=c+1;i[c>>0]=46;e=i[h+11>>0]|0;if(!((e<<24>>24<0?k[h+4>>2]|0:e&255)|0))f=0;else{f=k[m>>2]|0;if((f-j|0)<160){j=k[n>>2]|0;k[m>>2]=f+4;k[f>>2]=j;f=0}else f=0}}else{if(a<<24>>24==g<<24>>24){p=i[h+11>>0]|0;if((p<<24>>24<0?k[h+4>>2]|0:p&255)|0){if(!(i[b>>0]|0)){f=-1;break}f=k[m>>2]|0;if((f-j|0)>=160){f=0;break}j=k[n>>2]|0;k[m>>2]=f+4;k[f>>2]=j;k[n>>2]=0;f=0;break}}p=o+32|0;g=0;while(1){f=o+g|0;if((g|0)==32){f=p;break}if((i[f>>0]|0)==a<<24>>24)break;else g=g+1|0}g=f-o|0;if((g|0)>31)f=-1;else{p=i[51509+g>>0]|0;switch(g|0){case 24:case 25:{f=k[e>>2]|0;if((f|0)!=(d|0))if((l[f+-1>>0]&95|0)!=(l[c>>0]&127|0)){f=-1;break a}k[e>>2]=f+1;i[f>>0]=p;f=0;break a}case 23:case 22:{i[c>>0]=80;f=k[e>>2]|0;k[e>>2]=f+1;i[f>>0]=p;f=0;break a}default:{f=p&95;if((f|0)==(i[c>>0]|0)){i[c>>0]=f|128;if(i[b>>0]|0){i[b>>0]=0;c=i[h+11>>0]|0;if((c<<24>>24<0?k[h+4>>2]|0:c&255)|0){f=k[m>>2]|0;if((f-j|0)<160){j=k[n>>2]|0;k[m>>2]=f+4;k[f>>2]=j}}}}m=k[e>>2]|0;k[e>>2]=m+1;i[m>>0]=p;if((g|0)>21){f=0;break a}k[n>>2]=(k[n>>2]|0)+1;f=0;break a}}}}while(0);return f|0}function An(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=0;c=k[a+56>>2]|0;a:do if(!c)e=6;else{d=k[c>>2]|0;if(!d)e=6;else{while(1){y=0;oa(616,b|0,d|0);d=y;y=0;if(d&1)break;c=c+4|0;d=k[c>>2]|0;if(!d){e=6;break a}}c=tb(0)|0}}while(0);b:do if((e|0)==6){c=k[a+64>>2]|0;c:do if(c|0){d=k[c>>2]|0;if(d|0){while(1){y=0;oa(617,b|0,d|0);e=y;y=0;if(e&1)break;c=c+4|0;d=k[c>>2]|0;if(!d)break c}c=tb(0)|0;break b}}while(0);c=k[a+60>>2]|0;d:do if(c|0){d=k[c>>2]|0;if(d|0){while(1){y=0;oa(618,b|0,d|0);e=y;y=0;if(e&1)break;c=c+4|0;d=k[c>>2]|0;if(!d)break d}c=tb(0)|0;break b}}while(0);f=a+80|0;k[a+108>>2]=0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[f+16>>2]=0;k[a+100>>2]=-1;k[a+104>>2]=-1;f=ZN(1,16)|0;k[f+4>>2]=a;k[f+8>>2]=b;k[b+272>>2]=f;return f|0}while(0);vb(c|0)|0;y=0;qa(461,a|0)|0;b=y;y=0;do if(b&1){b=tb(0)|0;vb(b|0)|0;y=0;qa(461,a|0)|0;a=y;y=0;if(a&1){c=pb()|0;y=0;la(3);a=y;y=0;if(a&1){a=tb(0)|0;dla(a)}else f=c}else{y=0;la(3);f=y;y=0;if(!(f&1))break;f=pb()|0}y=0;la(3);a=y;y=0;if(a&1){f=tb(0)|0;dla(f)}else Ab(f|0)}while(0);y=0;la(3);f=y;y=0;if(!(f&1)){f=0;return f|0}f=pb()|0;Ab(f|0);return 0}function Bn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;l=0;n=r;r=r+16|0;f=n+12|0;m=n;j=n+8|0;y=0;oa(531,m|0,a|0);h=y;y=0;a:do if(h&1){c=tb(0)|0;d=a;e=a}else{do if(i[m>>0]|0){g=(k[a>>2]|0)+-12|0;k[j>>2]=k[a+(k[g>>2]|0)+24>>2];g=a+(k[g>>2]|0)|0;h=k[g+4>>2]|0;e=b+c|0;d=g+76|0;c=k[d>>2]|0;do if((c|0)==-1){y=0;c=qa(341,g|0)|0;o=y;y=0;if(o&1)l=13;else{k[f>>2]=c;y=0;c=Ha(973,f|0,78144)|0;o=y;y=0;if(!(o&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,32)|0;o=y;y=0;if(!(o&1)){Sea(f);c=c<<24>>24;k[d>>2]=c;l=9;break}}c=tb(0)|0;Sea(f)}}else l=9;while(0);if((l|0)==9){y=0;k[f>>2]=k[j>>2];c=pa(39,f|0,b|0,((h&176|0)==32?e:b)|0,e|0,g|0,c&255|0)|0;o=y;y=0;if(o&1)l=13;else{if(c|0)break;o=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,o|0,k[o+16>>2]|5|0);o=y;y=0;if(o&1)l=13;else break}}if((l|0)==13)c=tb(0)|0;sz(m);d=a;e=a;break a}while(0);sz(m);r=n;return a|0}while(0);vb(c|0)|0;y=0;na(374,d+(k[(k[e>>2]|0)+-12>>2]|0)|0);o=y;y=0;if(!(o&1)){rb();r=n;return a|0}c=pb()|0;y=0;la(3);o=y;y=0;if(o&1){o=tb(0)|0;dla(o)}else sb(c|0);return 0}function Cn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=0;j=k[a>>2]|0;h=j;g=i[h>>0]|0;f=g&255;do if(g<<24>>24>-1)if((h|0)==(k[b>>2]|0))b=1;else{g=1;d=f;b=h;l=21}else{if((f&224|0)==192){d=k[b>>2]|0;if((h|0)==(d|0)){b=1;break}b=h+1|0;k[a>>2]=b;if((b|0)==(d|0)){b=1;break}d=i[b>>0]|0;if((d&-64)<<24>>24==-128){g=2;d=d&63|f<<6&1984;l=21;break}else{b=3;break}}if((f&240|0)==224){d=k[b>>2]|0;if((h|0)==(d|0)){b=1;break}b=h+1|0;k[a>>2]=b;if((b|0)==(d|0)){b=1;break}e=i[b>>0]|0;if((e&-64)<<24>>24!=-128){b=3;break}b=h+2|0;k[a>>2]=b;if((b|0)==(d|0)){b=1;break}d=i[b>>0]|0;if((d&-64)<<24>>24==-128){g=3;d=(e&255)<<6&4032|f<<12&61440|d&63;l=21;break}else{b=3;break}}if((f&248|0)!=240){l=2;return l|0}d=k[b>>2]|0;if((h|0)==(d|0))b=1;else{b=h+1|0;k[a>>2]=b;if((b|0)==(d|0))b=1;else{b=i[b>>0]|0;if((b&-64)<<24>>24==-128){f=(b&255)<<12&258048|f<<18&1835008;b=h+2|0;k[a>>2]=b;if((b|0)==(d|0))b=1;else{e=i[b>>0]|0;if((e&-64)<<24>>24==-128){b=h+3|0;k[a>>2]=b;if((b|0)==(d|0))b=1;else{d=i[b>>0]|0;if((d&-64)<<24>>24==-128){g=4;d=f|(e&255)<<6&4032|d&63;l=21}else b=3}}else b=3}}else b=3}}}while(0);a:do if((l|0)==21)if(d>>>0<1114112&(d&-2048|0)!=55296){do if(d>>>0<128){if((g|0)!=1){b=4;break a}}else if(d>>>0<2048)if((g|0)==2)break;else{b=4;break a}else if((g|0)!=3&d>>>0<65536){b=4;break a}else break;while(0);k[c>>2]=d;k[a>>2]=b+1;l=0;return l|0}else b=5;while(0);k[a>>2]=j;l=b;return l|0}function Dn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=0;j=k[a>>2]|0;h=j;g=i[h>>0]|0;f=g&255;do if(g<<24>>24>-1)if((h|0)==(k[b>>2]|0))b=1;else{g=1;d=f;b=h;l=21}else{if((f&224|0)==192){d=k[b>>2]|0;if((h|0)==(d|0)){b=1;break}b=h+1|0;k[a>>2]=b;if((b|0)==(d|0)){b=1;break}d=i[b>>0]|0;if((d&-64)<<24>>24==-128){g=2;d=d&63|f<<6&1984;l=21;break}else{b=3;break}}if((f&240|0)==224){d=k[b>>2]|0;if((h|0)==(d|0)){b=1;break}b=h+1|0;k[a>>2]=b;if((b|0)==(d|0)){b=1;break}e=i[b>>0]|0;if((e&-64)<<24>>24!=-128){b=3;break}b=h+2|0;k[a>>2]=b;if((b|0)==(d|0)){b=1;break}d=i[b>>0]|0;if((d&-64)<<24>>24==-128){g=3;d=(e&255)<<6&4032|f<<12&61440|d&63;l=21;break}else{b=3;break}}if((f&248|0)!=240){l=2;return l|0}d=k[b>>2]|0;if((h|0)==(d|0))b=1;else{b=h+1|0;k[a>>2]=b;if((b|0)==(d|0))b=1;else{b=i[b>>0]|0;if((b&-64)<<24>>24==-128){f=(b&255)<<12&258048|f<<18&1835008;b=h+2|0;k[a>>2]=b;if((b|0)==(d|0))b=1;else{e=i[b>>0]|0;if((e&-64)<<24>>24==-128){b=h+3|0;k[a>>2]=b;if((b|0)==(d|0))b=1;else{d=i[b>>0]|0;if((d&-64)<<24>>24==-128){g=4;d=f|(e&255)<<6&4032|d&63;l=21}else b=3}}else b=3}}else b=3}}}while(0);a:do if((l|0)==21)if(d>>>0<1114112&(d&-2048|0)!=55296){do if(d>>>0<128){if((g|0)!=1){b=4;break a}}else if(d>>>0<2048)if((g|0)==2)break;else{b=4;break a}else if((g|0)!=3&d>>>0<65536){b=4;break a}else break;while(0);k[c>>2]=d;k[a>>2]=b+1;l=0;return l|0}else b=5;while(0);k[a>>2]=j;l=b;return l|0}function En(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0;g=b+44|0;h=k[g>>2]|0;m=b+24|0;n=k[m>>2]|0;j=n;if(h>>>0<n>>>0){k[g>>2]=n;l=j}else l=h;g=f&24;if(!g){n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=-1;k[n+4>>2]=-1;return}if((e|0)==1&(g|0)==24){n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=-1;k[n+4>>2]=-1;return}a:do switch(e|0){case 0:{g=0;h=0;break}case 1:if(!(f&8)){h=j-(k[b+20>>2]|0)|0;g=h;h=((h|0)<0)<<31>>31;break a}else{h=(k[b+12>>2]|0)-(k[b+8>>2]|0)|0;g=h;h=((h|0)<0)<<31>>31;break a}case 2:{g=b+32|0;if((i[g+11>>0]|0)<0)g=k[g>>2]|0;h=l-g|0;g=h;h=((h|0)<0)<<31>>31;break}default:{n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=-1;k[n+4>>2]=-1;return}}while(0);h=G6(g|0,h|0,c|0,d|0)|0;j=N;if((j|0)>=0){g=b+32|0;if((i[g+11>>0]|0)<0)g=k[g>>2]|0;d=l-g|0;c=((d|0)<0)<<31>>31;if(!((c|0)<(j|0)|(c|0)==(j|0)&d>>>0<h>>>0)){g=f&8;if(!((h|0)==0&(j|0)==0)){if(g|0)if(!(k[b+12>>2]|0)){n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=-1;k[n+4>>2]=-1;return}if((f&16|0)!=0&(n|0)==0){n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=-1;k[n+4>>2]=-1;return}}if(g|0){k[b+12>>2]=(k[b+8>>2]|0)+h;k[b+16>>2]=l}if(f&16|0)k[m>>2]=(k[b+20>>2]|0)+h;n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=h;k[n+4>>2]=j;return}}n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=-1;k[n+4>>2]=-1;return}function Fn(a){a=a|0;var b=0;do if(!(i[72016]|0))if(eca(72016)|0){if(!(i[72024]|0))if(eca(72024)|0){b=79660;do{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}b=b+12|0}while((b|0)!=79828);Pb(412,0,x|0)|0}y=0;Ha(1030,79660,25252)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79672,25280)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79684,25308)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79696,25340)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79708,25380)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79720,25416)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79732,25444)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79744,25480)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79756,25496)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79768,25512)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79780,25528)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79792,25544)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79804,25560)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79816,25576)|0;b=y;y=0;if(!(b&1)){k[19957]=79660;break}}}}}}}}}}}}}}b=pb()|0;sb(b|0)}while(0);return k[19957]|0}function Gn(a){a=a|0;var b=0;do if(!(i[71936]|0))if(eca(71936)|0){if(!(i[71944]|0))if(eca(71944)|0){b=78848;do{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}b=b+12|0}while((b|0)!=79016);Pb(409,0,x|0)|0}y=0;Ha(1006,78848,52163)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78860,52170)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78872,52177)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78884,52185)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78896,52195)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78908,52204)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78920,52211)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78932,52220)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78944,52224)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78956,52228)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78968,52232)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78980,52236)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78992,52240)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,79004,52244)|0;b=y;y=0;if(!(b&1)){k[19754]=78848;break}}}}}}}}}}}}}}b=pb()|0;sb(b|0)}while(0);return k[19754]|0}function Hn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;h=0;s=r;r=r+32|0;l=s+24|0;j=s+16|0;i=s+12|0;m=s+8|0;n=s+4|0;o=s;e=k[b+36>>2]|0;f=k[b+40>>2]|0;p=b+24|0;c=k[p>>2]|0;q=b+28|0;g=k[q>>2]|0;a:do if((c|0)!=(g|0)){while(1){d=k[c+12>>2]|0;if(d>>>0>e>>>0){h=14;break}if((d|0)==(e|0)?(k[c+16>>2]|0)>>>0>f>>>0:0){h=18;break}c=c+24|0;if((c|0)==(g|0))break a}if((h|0)==14){c=gb(8)|0;y=0;oa(507,c|0,46820);s=y;y=0;if(!(s&1))Wb(c|0,4528,353);s=pb()|0;fb(c|0);sb(s|0)}else if((h|0)==18){c=gb(8)|0;y=0;oa(507,c|0,46855);s=y;y=0;if(!(s&1))Wb(c|0,4528,353);s=pb()|0;fb(c|0);sb(s|0)}}while(0);tD(l,b);g=k[l>>2]|0;if(!g){if(k[l+4>>2]|0)h=5}else h=5;if((h|0)==5){c=k[a+12>>2]|0;f=k[a+16>>2]|0;if((c|0)!=(f|0)){b=k[l+4>>2]|0;do{d=c+12|0;e=k[d>>2]|0;if(!e){h=c+16|0;k[h>>2]=(k[h>>2]|0)+b}k[d>>2]=g+e;c=c+24|0}while((c|0)!=(f|0))}}c=a+24|0;d=k[c>>2]|0;if(!d){h=a+28|0;k[h>>2]=(k[h>>2]|0)+(k[l+4>>2]|0)}k[c>>2]=g+d;a=a+12|0;k[m>>2]=k[a>>2];k[n>>2]=k[p>>2];k[o>>2]=k[q>>2];k[i>>2]=k[m>>2];k[j>>2]=k[n>>2];k[l>>2]=k[o>>2];pk(a,i,j,l)|0;r=s;return}function In(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;o=r;r=r+16|0;l=o+8|0;m=o+4|0;n=o;j=b+64|0;i=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>2;if(!i){r=o;return}h=c+64|0;g=0;a:while(1){b=Fc[k[(k[j>>2]|0)+16>>2]&2047](j,g)|0;b=k[b>>2]|0;_V(l,Fc[k[(k[b>>2]|0)+48>>2]&2047](b,a)|0);b=k[l>>2]|0;do if(b|0){b=pw(b,680,640,0)|0;if(!b){b=k[(k[h>>2]|0)+20>>2]|0;y=0;oa(464,n|0,l|0);f=y;y=0;if(f&1){b=17;break a}y=0;oa(b|0,h|0,n|0);f=y;y=0;if(f&1){b=18;break a}EO(n);break}f=b+64|0;c=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>2;if(c|0){b=0;do{d=k[(k[h>>2]|0)+20>>2]|0;y=0;e=Ha(k[(k[f>>2]|0)+16>>2]|0,f|0,b|0)|0;p=y;y=0;if(p&1){b=12;break a}y=0;oa(464,m|0,e|0);p=y;y=0;if(p&1){b=12;break a}y=0;oa(d|0,h|0,m|0);p=y;y=0;if(p&1){b=13;break a}EO(m);b=b+1|0}while(b>>>0<c>>>0)}}while(0);EO(l);g=g+1|0;if(g>>>0>=i>>>0){b=3;break}}if((b|0)==3){r=o;return}else if((b|0)==12){p=pb()|0;EO(l);sb(p|0)}else if((b|0)==13){p=pb()|0;EO(m);EO(l);sb(p|0)}else if((b|0)==17){p=pb()|0;EO(l);sb(p|0)}else if((b|0)==18){p=pb()|0;EO(n);EO(l);sb(p|0)}}function Jn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=r;r=r+32|0;m=n+8|0;j=n+16|0;l=n;i=k[b>>2]|0;if((k[i+76>>2]|0)==(k[i+80>>2]|0)){n=gb(4)|0;k[n>>2]=46892;Wb(n|0,4696,0)}e=a+4|0;d=k[e>>2]|0;i=d-(k[a>>2]|0)>>3;do if((d|0)==(k[a+8>>2]|0))rn(a,c);else{rT(d,c);y=0;oa(464,d+4|0,c+4|0);h=y;y=0;if(h&1){n=pb()|0;EO(d);sb(n|0)}else{k[e>>2]=(k[e>>2]|0)+8;break}}while(0);e=k[b>>2]|0;h=(k[e+80>>2]|0)-(k[e+76>>2]|0)>>2;if(!h){r=n;return}f=a+12|0;g=m+4|0;d=0;while(1){e=(k[e+76>>2]|0)+(d<<2)|0;k[m>>2]=e;tp(l,f,e,80084,m,j);e=k[l>>2]|0;_V(m,k[b>>2]|0);k[g>>2]=i;c=e+24|0;a=k[c>>2]|0;if(a>>>0<(k[e+28>>2]|0)>>>0){y=0;oa(464,a|0,m|0);e=y;y=0;if(e&1){d=17;break}k[a+4>>2]=k[g>>2];k[c>>2]=(k[c>>2]|0)+8}else{y=0;oa(625,e+20|0,m|0);a=y;y=0;if(a&1){d=17;break}}EO(m);d=d+1|0;if(d>>>0>=h>>>0){d=10;break}e=k[b>>2]|0}if((d|0)==10){r=n;return}else if((d|0)==17){n=pb()|0;EO(m);sb(n|0)}}function Kn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=r;r=r+32|0;e=i+16|0;c=i+12|0;d=i+8|0;f=i+4|0;g=i;h=a+4|0;Yw(h);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44304,3);y=0;Na(139,h|0,e|0,b|0);j=y;y=0;if(j&1){j=pb()|0;$9(e);sb(j|0)}$9(e);Nka(h);rT(e,b+68|0);j=k[e>>2]|0;k[c>>2]=j;y=0;oa(k[(k[j>>2]|0)+40>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;EO(c);sb(j|0)}EO(c);rT(e,b+64|0);j=k[e>>2]|0;k[d>>2]=j;y=0;oa(k[(k[j>>2]|0)+40>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;EO(d);sb(j|0)}EO(d);b=b+72|0;rT(e,b);j=k[e>>2]|0;k[f>>2]=j;EO(f);if(!j){r=i;return}cO(h);Yw(h);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44308,4);y=0;oa(605,h|0,e|0);j=y;y=0;if(j&1){j=pb()|0;$9(e);sb(j|0)}$9(e);rT(e,b);j=k[e>>2]|0;k[g>>2]=j;y=0;oa(k[(k[j>>2]|0)+40>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;EO(g);sb(j|0)}else{EO(g);r=i;return}}function Ln(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;g=0;o=r;r=r+64|0;l=o+48|0;d=o;m=o+40|0;n=a+76|0;e=k[n>>2]|0;f=i[e>>0]|0;if(!(f<<24>>24)){n=0;r=o;return n|0}if(b){f=oW(e)|0;e=f|0?f:e;f=i[e>>0]|0;if(!(f<<24>>24))b=0;else g=4}else g=4;a:do if((g|0)==4){b=e;g=0;h=0;j=0;b:while(1){c:do switch(f<<24>>24){case 92:{f=b+1|0;break}case 34:{g=g^1;f=b;break}case 39:{h=h^1;f=b;break}default:if(g){g=1;f=b}else if(h){g=0;h=1;f=b}else switch(f<<24>>24){case 40:{g=0;h=0;f=b;j=j+1|0;break c}case 41:if(!j)break b;else{g=0;h=0;f=b;j=j+-1|0;break c}default:{g=0;h=0;f=b;break c}}}while(0);b=f+1|0;f=i[b>>0]|0;if(!(f<<24>>24)){b=0;break a}}f=b+1|0;if(f>>>0>(k[a+80>>2]|0)>>>0){n=0;r=o;return n|0}else b=f}while(0);if(!c)if((b|0)==0|(b|0)==(e|0)){n=0;r=o;return n|0}c=k[n>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=b;f=a+84|0;j=a+96|0;gH(l,j,c,e);k[f>>2]=k[l>>2];k[f+4>>2]=k[l+4>>2];k[f+8>>2]=k[l+8>>2];gH(l,j,e,b);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(m,j,f);k[l>>2]=k[m>>2];k[l+4>>2]=k[m+4>>2];nH(d,c,e,a+152|0,f,l);f=a+108|0;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));k[n>>2]=b;n=b;r=o;return n|0}function Mn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;if((c|0)==(b|0)){b=d;j=b;j=k[j>>2]|0;b=b+4|0;b=k[b>>2]|0;d=a;a=d;k[a>>2]=j;d=d+4|0;k[d>>2]=b;return}i=b;j=d+4|0;do{f=d;h=k[f>>2]|0;e=h;h=(k[f+4>>2]|0)-(k[h>>2]|0)|0;f=(h|0)/24|0;g=f+-1|0;if((h|0)>24){f=e+(((g>>>0)/170|0)<<2)|0;e=(k[f>>2]|0)+(((g>>>0)%170|0)*24|0)|0}else{h=170-f|0;f=e+(((h|0)/-170|0)<<2)|0;e=(k[f>>2]|0)+((169-((h|0)%170|0)|0)*24|0)|0}g=e+24|0;f=(g-(k[f>>2]|0)|0)/24|0;h=(c-i|0)/24|0;l=(h|0)>(f|0);h=l?f:h;e=c;c=l?c+((0-f|0)*24|0)|0:b;if((e|0)!=(c|0)){f=g;do{l=f;f=f+-24|0;n=e;e=e+-24|0;k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];LH(l+-12|0,n+-12|0)|0;o=n+-8|0;g=k[o>>2]|0;n=n+-4|0;m=k[n>>2]|0;k[o>>2]=0;k[n>>2]=0;k[l+-8>>2]=g;l=l+-4|0;g=k[l>>2]|0;k[l>>2]=m;if(g|0)kZ(g)}while((e|0)!=(c|0))}do if(h|0){f=k[d>>2]|0;e=(((k[j>>2]|0)-(k[f>>2]|0)|0)/24|0)-h|0;if((e|0)>0){o=f+(((e>>>0)/170|0)<<2)|0;k[d>>2]=o;k[j>>2]=(k[o>>2]|0)+(((e>>>0)%170|0)*24|0);break}else{o=169-e|0;n=f+(((o|0)/-170|0)<<2)|0;k[d>>2]=n;k[j>>2]=(k[n>>2]|0)+((169-((o|0)%170|0)|0)*24|0);break}}while(0)}while((c|0)!=(b|0));n=d;l=n;l=k[l>>2]|0;n=n+4|0;n=k[n>>2]|0;o=a;m=o;k[m>>2]=l;o=o+4|0;k[o>>2]=n;return}function Nn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;o=0;m=r;r=r+48|0;f=m+36|0;i=m+24|0;p=m+32|0;d=m+28|0;e=m+20|0;g=m+16|0;h=m+12|0;j=m+8|0;l=m+4|0;n=m;b=a+76|0;rT(f,b);c=k[f>>2]|0;k[p>>2]=c;EO(p);do if(c|0){rT(f,b);c=k[f>>2]|0;k[g>>2]=c;y=0;c=qa(k[(k[c>>2]|0)+16>>2]|0,c|0)|0;p=y;y=0;if(p&1)o=7;else{y=0;oa(482,e|0,c|0);p=y;y=0;if(p&1)o=7;else{y=0;Ha(966,b|0,e|0)|0;p=y;y=0;if(!(p&1)){y=0;oa(464,f|0,b|0);p=y;y=0;if(!(p&1)){k[d>>2]=k[f>>2];EO(d);EO(e);EO(g);break}}a=pb()|0;EO(e)}}if((o|0)==7)a=pb()|0;EO(g);p=a;sb(p|0)}while(0);b=a+80|0;rT(f,b);p=k[f>>2]|0;k[h>>2]=p;EO(h);if(!p){r=m;return}rT(f,b);a=k[f>>2]|0;k[n>>2]=a;y=0;a=qa(k[(k[a>>2]|0)+16>>2]|0,a|0)|0;p=y;y=0;if(p&1)o=16;else{y=0;oa(482,l|0,a|0);p=y;y=0;if(p&1)o=16;else{y=0;Ha(966,b|0,l|0)|0;p=y;y=0;if(!(p&1)){y=0;oa(464,i|0,b|0);p=y;y=0;if(!(p&1)){k[j>>2]=k[i>>2];EO(j);EO(l);EO(n);r=m;return}}a=pb()|0;EO(l)}}if((o|0)==16)a=pb()|0;EO(n);p=a;sb(p|0)}function On(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;g=i[a+11>>0]|0;l=g<<24>>24<0;g=g&255;m=l?k[a+4>>2]|0:g;j=i[b+11>>0]|0;e=j<<24>>24<0;a:do if((m|0)==((e?k[b+4>>2]|0:j&255)|0)){h=k[a>>2]|0;j=l?h:a;e=e?k[b>>2]|0:b;f=(m|0)==0;if(l){if(f){d=1.0;return +d}if(!(zM(j,e,m)|0))d=1.0;else break;return +d}if(f){d=1.0;return +d}if((h&255)<<24>>24==(i[e>>0]|0)){f=a;while(1){g=g+-1|0;f=f+1|0;if(!g){d=1.0;break}e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0))break a}return +d}}while(0);l=$g(a)|0;j=$g(b)|0;switch((l&65280)<<16>>16){case 0:{e=0;break}case 256:{e=256;break}case 512:{e=512;break}case 768:{e=768;break}case 1024:{e=1024;break}default:e=1280}switch((j&65280)<<16>>16){case 0:{f=0;break}case 256:{f=256;break}case 512:{f=512;break}case 768:{f=768;break}case 1024:{f=1024;break}default:f=1280}g=l-e|0;h=j-f|0;if(!((e|0)==(f|0)|c^1)){e=gb(8)|0;y=0;Na(107,e|0,l|0,j|0);c=y;y=0;if(c&1){c=pb()|0;fb(e|0);sb(c|0)}else Wb(e|0,464,200)}if(!((l|0)!=1280&(j|0)!=1280)){d=0.0;return +d}switch(e&2047){case 0:{d=+p[1816+(g*48|0)+(h<<3)>>3];return +d}case 256:{d=+p[2104+(g<<5)+(h<<3)>>3];return +d}case 512:{d=+p[2232+(g<<4)+(h<<3)>>3];return +d}case 768:{d=+p[2264+(g<<4)+(h<<3)>>3];return +d}case 1024:{d=+p[2296+(g*24|0)+(h<<3)>>3];return +d}default:{d=0.0;return +d}}return 0.0}function Pn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;h=0;m=r;r=r+48|0;f=m;l=m+44|0;j=m+40|0;g=a+4|0;e=GL(k[g>>2]|0)|0;k[l>>2]=e;if(!e){y=0;d=qa(332,60)|0;j=y;y=0;if(!(j&1)){a=f;b=b+12|0;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,d|0);j=y;y=0;if(j&1){m=pb()|0;zqa(d);EO(l);sb(m|0)}else{a=d+12|0;b=f;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d>>2]=11032;k[d+56>>2]=8;j=d;EO(l);r=m;return j|0}}}else{b=(k[g>>2]|0)+64|0;d=k[b>>2]|0;c=d+-4|0;do{f=d+-4|0;k[b>>2]=f;EO(f);d=k[b>>2]|0}while((d|0)!=(c|0));y=0;b=Ha(k[(k[a>>2]|0)+276>>2]|0,a|0,e|0)|0;f=y;y=0;if(!(f&1)){y=0;oa(482,j|0,b|0);f=y;y=0;if(!(f&1)){b=k[g>>2]|0;c=b+64|0;d=k[c>>2]|0;if((d|0)==(k[b+68>>2]|0)){y=0;oa(579,b+60|0,j|0);g=y;y=0;if(g&1)h=14}else{y=0;oa(464,d|0,j|0);g=y;y=0;if(g&1)h=14;else k[c>>2]=(k[c>>2]|0)+4}if((h|0)==14){m=pb()|0;EO(j);EO(l);sb(m|0)}b=k[j>>2]|0;if(!b)b=0;else i[b+8>>0]=1;EO(j);j=b;EO(l);r=m;return j|0}}}m=pb()|0;EO(l);sb(m|0);return 0}function Qn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;o=r;r=r+48|0;j=o+24|0;c=o+20|0;f=o+16|0;g=o+12|0;h=o+8|0;l=o+4|0;m=o;n=a+4|0;Yw(n);pK(j,b+68|0);y=0;Na(139,n|0,j|0,b|0);e=y;y=0;if(e&1){o=pb()|0;$9(j);sb(o|0)}$9(j);e=b+80|0;rT(j,e);d=k[j>>2]|0;k[c>>2]=d;EO(c);do if(d|0){Nka(n);c=a+97|0;d=i[c>>0]|0;i[c>>0]=1;rT(j,e);e=k[j>>2]|0;k[f>>2]=e;y=0;oa(k[(k[e>>2]|0)+40>>2]|0,e|0,a|0);e=y;y=0;if(!(e&1)){EO(f);i[c>>0]=d;break}o=pb()|0;EO(f);sb(o|0)}while(0);c=b+84|0;rT(j,c);f=k[j>>2]|0;k[g>>2]=f;EO(g);do if(f|0){Nka(n);rT(j,c);g=k[j>>2]|0;k[h>>2]=g;y=0;oa(k[(k[g>>2]|0)+40>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){EO(h);break}o=pb()|0;EO(h);sb(o|0)}while(0);c=b+64|0;rT(j,c);h=k[j>>2]|0;k[l>>2]=h;EO(l);if(!h){VK(n);r=o;return}rT(j,c);n=k[j>>2]|0;k[m>>2]=n;y=0;oa(k[(k[n>>2]|0)+40>>2]|0,n|0,a|0);n=y;y=0;if(n&1){o=pb()|0;EO(m);sb(o|0)}else{EO(m);r=o;return}}function Rn(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0.0;t=r;r=r+112|0;o=t+64|0;c=t+12|0;q=t+24|0;s=t;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,35329,6);y=0;b=o;g=e;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));b=sa(24,c|0,a|0,d|0,o|0,f|0)|0;n=y;y=0;if(n&1){e=pb()|0;$9(c);sb(e|0)}$9(c);l=+p[b+64>>3]/255.0;m=+p[b+72>>3]/255.0;i=+p[b+80>>3]/255.0;b=m<i;h=b?i:m;h=l<h?h:l;u=i<m?i:m;u=u<l?u:l;j=h-u;do if(h==u)h=0.0;else{if(l==h){h=(b?6.0:0.0)+(m-i)/j;break}if(m==h){h=(i-l)/j+2.0;break}if(i==h)h=(l-m)/j+4.0;else h=0.0}while(0);c=ZL(104)|0;b=q;g=e;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,39401,3);e=y;y=0;do if(e&1)b=pb()|0;else{h=h/6.0*360.0;y=0;b=o;g=q;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));Ca(1,c|0,o|0,+h,s|0,1);e=y;y=0;if(e&1){b=pb()|0;$9(s);break}else{$9(s);r=t;return c|0}}while(0);zqa(c);e=b;sb(e|0);return 0}function Sn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;l=r;r=r+32|0;f=l+20|0;d=l+16|0;e=l+12|0;g=l+8|0;h=l+4|0;i=l;j=a+4|0;Yw(j);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;jI(f,46460,8);y=0;Na(139,j|0,f|0,b|0);c=y;y=0;if(c&1){l=pb()|0;$9(f);sb(l|0)}$9(f);Nka(j);pK(f,b+68|0);y=0;oa(605,j|0,f|0);c=y;y=0;if(c&1){l=pb()|0;$9(f);sb(l|0)}$9(f);c=b+80|0;rT(f,c);m=k[f>>2]|0;k[d>>2]=m;EO(d);do if(m|0){rT(f,c);m=k[f>>2]|0;k[e>>2]=m;y=0;oa(k[(k[m>>2]|0)+40>>2]|0,m|0,a|0);m=y;y=0;if(!(m&1)){EO(e);break}m=pb()|0;EO(e);sb(m|0)}while(0);b=b+64|0;rT(f,b);m=k[f>>2]|0;k[g>>2]=m;EO(g);do if(m|0){uI(j);rT(f,b);m=k[f>>2]|0;k[h>>2]=m;y=0;oa(k[(k[m>>2]|0)+40>>2]|0,m|0,a|0);m=y;y=0;if(!(m&1)){EO(h);break}m=pb()|0;EO(h);sb(m|0)}while(0);rT(f,b);m=k[f>>2]|0;k[i>>2]=m;EO(i);if(m|0){r=l;return}VK(j);r=l;return}function Tn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;p=r;r=r+16|0;o=p;g=a+16|0;d=k[g>>2]|0;h=a+20|0;e=k[h>>2]|0;f=(e|0)==0;if(!f)Sba(e);n=k[d+4>>2]|0;a=k[d+16>>2]|0;i=n+(((a>>>0)/170|0)<<2)|0;if((k[d+8>>2]|0)==(n|0))a=0;else a=(k[i>>2]|0)+(((a>>>0)%170|0)*24|0)|0;if(!f)kZ(e);f=k[g>>2]|0;g=k[h>>2]|0;h=(g|0)==0;if(!h)Sba(g);d=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;e=k[f+4>>2]|0;if((k[f+8>>2]|0)==(e|0))n=0;else n=(k[e+(((d>>>0)/170|0)<<2)>>2]|0)+(((d>>>0)%170|0)*24|0)|0;if(!h)kZ(g);h=b+8|0;j=b+4|0;l=b+16|0;m=b+20|0;a:while(1){do{if((a|0)==(n|0)){a=16;break a}_V(o,Kd(a,c)|0);g=k[h>>2]|0;f=k[j>>2]|0;q=g-f|0;e=k[l>>2]|0;d=k[m>>2]|0;if((((q|0)==0?0:(q<<8)+-1|0)|0)==(d+e|0)){y=0;na(390,b|0);q=y;y=0;if(q&1){a=25;break a}d=k[m>>2]|0;e=k[l>>2]|0;g=k[h>>2]|0;f=k[j>>2]|0}d=d+e|0;if((g|0)==(f|0))d=0;else d=(k[f+(d>>>10<<2)>>2]|0)+((d&1023)<<2)|0;y=0;oa(464,d|0,o|0);q=y;y=0;if(q&1){a=25;break a}k[m>>2]=(k[m>>2]|0)+1;EO(o);a=a+24|0}while((a-(k[i>>2]|0)|0)!=4080);a=i+4|0;i=a;a=k[a>>2]|0}if((a|0)==16){r=p;return}else if((a|0)==25){q=pb()|0;EO(o);sb(q|0)}}function Un(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0;m=r;r=r+64|0;j=m;l=m+40|0;pK(l,c);h=j;c=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(c|0));y=0;na(366,a|0);h=y;y=0;do if(h&1)c=pb()|0;else{h=a+12|0;b=j;c=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(c|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;k[a+56>>2]=4;k[a>>2]=9640;b=a+60|0;i[b>>0]=0;i[a+61>>0]=0;h=a+64|0;y=0;oa(547,h|0,l|0);c=y;y=0;if(c&1){c=pb()|0;break}k[a+76>>2]=0;$9(l);k[a>>2]=9776;do if(!f){y=0;ma(5,j|0,h|0,b|0,e|0,g|0);l=y;y=0;if(l&1){m=pb()|0;k[a>>2]=9640;$9(h);sb(m|0)}c=h+11|0;if((i[c>>0]|0)<0){i[k[h>>2]>>0]=0;k[a+68>>2]=0}else{i[h>>0]=0;i[c>>0]=0}y=0;oa(506,h|0,0);l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}else{k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];k[h+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;$9(j);break}}while(0);if(!(d<<24>>24)){r=m;return}if(!(i[b>>0]|0)){r=m;return}i[b>>0]=d;r=m;return}while(0);$9(l);m=c;sb(m|0)}function Vn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;h=(c-b|0)/12|0;i=a+8|0;d=k[i>>2]|0;g=k[a>>2]|0;e=g;if(h>>>0<=((d-g|0)/12|0)>>>0){a=a+4|0;d=((k[a>>2]|0)-g|0)/12|0;g=h>>>0>d>>>0;d=b+(d*12|0)|0;f=g?d:c;if((f|0)!=(b|0))do{$M(e,b)|0;b=b+12|0;e=e+12|0}while((b|0)!=(f|0));if(!g){d=k[a>>2]|0;if((d|0)==(e|0))return;do{c=d+-12|0;k[a>>2]=c;$9(c);d=k[a>>2]|0}while((d|0)!=(e|0));return}if((f|0)==(c|0))return;b=k[a>>2]|0;do{pK(b,d);d=d+12|0;b=(k[a>>2]|0)+12|0;k[a>>2]=b}while((d|0)!=(c|0));return}if(g){f=a+4|0;d=k[f>>2]|0;if((d|0)==(e|0))d=g;else{do{g=d+-12|0;k[f>>2]=g;$9(g);d=k[f>>2]|0}while((d|0)!=(e|0));d=k[a>>2]|0}zqa(d);k[i>>2]=0;k[f>>2]=0;k[a>>2]=0;d=0}if(h>>>0>357913941){OM(a);d=k[i>>2]|0;e=k[a>>2]|0}else e=0;g=(d-e|0)/12|0;e=g<<1;e=g>>>0<178956970?(e>>>0<h>>>0?h:e):357913941;if(e>>>0>357913941){OM(a);c=gb(4)|0;doa(c);Wb(c|0,4496,348)}d=ZL(e*12|0)|0;f=a+4|0;k[f>>2]=d;k[a>>2]=d;k[i>>2]=d+(e*12|0);if((b|0)==(c|0))return;do{pK(d,b);b=b+12|0;d=(k[f>>2]|0)+12|0;k[f>>2]=d}while((b|0)!=(c|0));return}function Wn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;i=r;r=r+32|0;g=i+16|0;m=i+12|0;l=i+8|0;j=i;h=i+4|0;if(!a){m=0;r=i;return m|0}rT(g,a+64|0);a=k[g>>2]|0;k[m>>2]=a;f=(k[a+72>>2]|0)-(k[a+68>>2]|0)>>2;a:do if(!f)a=0;else{e=0;while(1){a=a+64|0;y=0;a=Ha(k[(k[a>>2]|0)+16>>2]|0,a|0,e|0)|0;d=y;y=0;if(d&1){c=9;break}y=0;oa(464,l|0,a|0);d=y;y=0;if(d&1){c=9;break}a=k[l>>2]|0;if(!a){d=0;c=0}else if(!(pw(a,680,808,0)|0))if(!(pw(a,680,776,0)|0))if(!(pw(a,680,712,0)|0)){d=0;c=0}else{y=0;oa(464,g|0,a+64|0);d=y;y=0;if(d&1){c=10;break}d=k[g>>2]|0;k[j>>2]=d;y=0;oa(482,h|0,d|0);d=y;y=0;if(d&1){c=18;break}y=0;a=Ha(996,h|0,b|0)|0;d=y;y=0;if(d&1){c=19;break}EO(h);EO(j);d=0;c=a}else{d=1;c=0}else{d=1;c=0}EO(l);a=e+1|0;if(d|c){a=1;break a}if(a>>>0>=f>>>0){a=0;break a}e=a;a=k[m>>2]|0}if((c|0)==9){l=pb()|0;EO(m);sb(l|0)}else if((c|0)==10)a=pb()|0;else if((c|0)==18){a=pb()|0;c=20}else if((c|0)==19){a=pb()|0;EO(h);c=20}if((c|0)==20)EO(j);EO(l);l=a;EO(m);sb(l|0)}while(0);EO(m);m=a;r=i;return m|0}function Xn(a,b,c,d,e,f,g,h,j,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;m=m|0;n=n|0;o=o|0;var p=0;a:do if((a|0)==(f|0))if(!(i[b>>0]|0))f=-1;else{i[b>>0]=0;c=k[e>>2]|0;k[e>>2]=c+1;i[c>>0]=46;e=i[h+11>>0]|0;if(!((e<<24>>24<0?k[h+4>>2]|0:e&255)|0))f=0;else{f=k[m>>2]|0;if((f-j|0)<160){j=k[n>>2]|0;k[m>>2]=f+4;k[f>>2]=j;f=0}else f=0}}else{if((a|0)==(g|0)){p=i[h+11>>0]|0;if((p<<24>>24<0?k[h+4>>2]|0:p&255)|0){if(!(i[b>>0]|0)){f=-1;break}f=k[m>>2]|0;if((f-j|0)>=160){f=0;break}j=k[n>>2]|0;k[m>>2]=f+4;k[f>>2]=j;k[n>>2]=0;f=0;break}}p=o+128|0;g=0;while(1){f=o+(g<<2)|0;if((g|0)==32){f=p;break}if((k[f>>2]|0)==(a|0))break;else g=g+1|0}g=f-o|0;f=g>>2;if((g|0)>124)f=-1;else{p=i[51509+f>>0]|0;switch(f|0){case 24:case 25:{f=k[e>>2]|0;if((f|0)!=(d|0))if((l[f+-1>>0]&95|0)!=(l[c>>0]&127|0)){f=-1;break a}k[e>>2]=f+1;i[f>>0]=p;f=0;break a}case 23:case 22:{i[c>>0]=80;break}default:{f=p&95;if((f|0)==(i[c>>0]|0)){i[c>>0]=f|128;if(i[b>>0]|0){i[b>>0]=0;c=i[h+11>>0]|0;if((c<<24>>24<0?k[h+4>>2]|0:c&255)|0){f=k[m>>2]|0;if((f-j|0)<160){j=k[n>>2]|0;k[m>>2]=f+4;k[f>>2]=j}}}}}}m=k[e>>2]|0;k[e>>2]=m+1;i[m>>0]=p;if((g|0)>84)f=0;else{k[n>>2]=(k[n>>2]|0)+1;f=0}}}while(0);return f|0}function Yn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;a=k[b>>2]|0;do if(!a)g=1;else{f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=k[f>>2]|0;if((a|0)==-1){k[b>>2]=0;g=1;break}else{g=(k[b>>2]|0)==0;break}}while(0);f=k[c>>2]|0;do if(!f)i=14;else{a=k[f+12>>2]|0;if((a|0)==(k[f+16>>2]|0))a=oc[k[(k[f>>2]|0)+36>>2]&511](f)|0;else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;i=14;break}else if(g){h=f;i=17;break}else{i=16;break}}while(0);if((i|0)==14)if(g)i=16;else{h=0;i=17}a:do if((i|0)==16)k[d>>2]=k[d>>2]|6;else if((i|0)==17){a=k[b>>2]|0;f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=k[f>>2]|0;if((rc[k[(k[e>>2]|0)+52>>2]&255](e,a,0)|0)<<24>>24!=37){k[d>>2]=k[d>>2]|4;break}a=k[b>>2]|0;f=a+12|0;g=k[f>>2]|0;if((g|0)==(k[a+16>>2]|0)){oc[k[(k[a>>2]|0)+40>>2]&511](a)|0;a=k[b>>2]|0;if(!a)f=1;else i=25}else{k[f>>2]=g+4;i=25}do if((i|0)==25){f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=k[f>>2]|0;if((a|0)==-1){k[b>>2]=0;f=1;break}else{f=(k[b>>2]|0)==0;break}}while(0);do if(!h)i=37;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0))a=oc[k[(k[h>>2]|0)+36>>2]&511](h)|0;else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;i=37;break}else if(f)break a;else break}while(0);if((i|0)==37)if(!f)break;k[d>>2]=k[d>>2]|2}while(0);return}function Zn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0;if((c|0)==(b|0)){b=d;m=b;m=k[m>>2]|0;b=b+4|0;b=k[b>>2]|0;d=a;a=d;k[a>>2]=m;d=d+4|0;k[d>>2]=b;return}l=b;m=d+4|0;do{f=d;j=k[f>>2]|0;e=j;j=(k[f+4>>2]|0)-(k[j>>2]|0)|0;f=(j|0)/24|0;g=f+-1|0;if((j|0)>24){f=e+(((g>>>0)/170|0)<<2)|0;e=(k[f>>2]|0)+(((g>>>0)%170|0)*24|0)|0}else{j=170-f|0;f=e+(((j|0)/-170|0)<<2)|0;e=(k[f>>2]|0)+((169-((j|0)%170|0)|0)*24|0)|0}g=e+24|0;i=(g-(k[f>>2]|0)|0)/24|0;j=(c-l|0)/24|0;h=(j|0)>(i|0);j=h?i:j;e=c;c=h?c+((0-i|0)*24|0)|0:b;if((e|0)!=(c|0))do{f=g;g=g+-24|0;i=e;e=e+-24|0;k[g>>2]=k[e>>2];k[g+4>>2]=k[e+4>>2];k[g+8>>2]=k[e+8>>2];LH(f+-12|0,i+-12|0)|0;h=k[i+-8>>2]|0;i=k[i+-4>>2]|0;if(i|0)Sba(i);k[f+-8>>2]=h;h=f+-4|0;f=k[h>>2]|0;k[h>>2]=i;if(f|0)kZ(f)}while((e|0)!=(c|0));do if(j|0){f=k[d>>2]|0;e=(((k[m>>2]|0)-(k[f>>2]|0)|0)/24|0)-j|0;if((e|0)>0){j=f+(((e>>>0)/170|0)<<2)|0;k[d>>2]=j;k[m>>2]=(k[j>>2]|0)+(((e>>>0)%170|0)*24|0);break}else{j=169-e|0;i=f+(((j|0)/-170|0)<<2)|0;k[d>>2]=i;k[m>>2]=(k[i>>2]|0)+((169-((j|0)%170|0)|0)*24|0);break}}while(0)}while((c|0)!=(b|0));b=d;m=b;m=k[m>>2]|0;b=b+4|0;b=k[b>>2]|0;d=a;a=d;k[a>>2]=m;d=d+4|0;k[d>>2]=b;return}function _n(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0;j=0;h=k[a>>2]|0;d=h;f=i[d>>0]|0;g=f&255;do if(f<<24>>24>-1)if((d|0)==(b|0))d=1;else{b=1;e=g;j=21}else{if((g&224|0)==192){if((d|0)==(b|0)){d=1;break}d=d+1|0;k[a>>2]=d;if((d|0)==(b|0)){d=1;break}e=i[d>>0]|0;if((e&-64)<<24>>24==-128){b=2;e=e&63|g<<6&1984;j=21;break}else{d=3;break}}if((g&240|0)==224){if((d|0)==(b|0)){d=1;break}e=d+1|0;k[a>>2]=e;if((e|0)==(b|0)){d=1;break}f=i[e>>0]|0;if((f&-64)<<24>>24!=-128){d=3;break}d=d+2|0;k[a>>2]=d;if((d|0)==(b|0)){d=1;break}e=i[d>>0]|0;if((e&-64)<<24>>24==-128){b=3;e=(f&255)<<6&4032|g<<12&61440|e&63;j=21;break}else{d=3;break}}if((g&248|0)!=240){j=2;return j|0}if((d|0)==(b|0))d=1;else{e=d+1|0;k[a>>2]=e;if((e|0)==(b|0))d=1;else{e=i[e>>0]|0;if((e&-64)<<24>>24==-128){g=(e&255)<<12&258048|g<<18&1835008;e=d+2|0;k[a>>2]=e;if((e|0)==(b|0))d=1;else{f=i[e>>0]|0;if((f&-64)<<24>>24==-128){d=d+3|0;k[a>>2]=d;if((d|0)==(b|0))d=1;else{e=i[d>>0]|0;if((e&-64)<<24>>24==-128){b=4;e=g|(f&255)<<6&4032|e&63;j=21}else d=3}}else d=3}}else d=3}}}while(0);a:do if((j|0)==21)if(e>>>0<1114112&(e&-2048|0)!=55296){do if(e>>>0<128){if((b|0)!=1){d=4;break a}}else if(e>>>0<2048)if((b|0)==2)break;else{d=4;break a}else if((b|0)!=3&e>>>0<65536){d=4;break a}else break;while(0);k[c>>2]=e;k[a>>2]=d+1;j=0;return j|0}else d=5;while(0);k[a>>2]=h;j=d;return j|0}function $n(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;d=0;f=r;r=r+32|0;g=f+12|0;c=f;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,82159,0);a:do if(i[b+100>>0]|0){h=b+72|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;e=i[h+11>>0]|0;j=e<<24>>24<0;e=j?k[b+76>>2]|0:e&255;y=0;Ra(10,c|0,(j?k[h>>2]|0:h)|0,e|0,e+1|0);e=y;y=0;do if(e&1)d=6;else{y=0;ta(47,c|0,30817,1)|0;j=y;y=0;if(j&1)d=6;else{j=i[c+11>>0]|0;h=j<<24>>24<0;y=0;ta(47,g|0,(h?k[c>>2]|0:c)|0,(h?k[c+4>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){j=pb()|0;$9(c);c=j;break}else{$9(c);break a}}}while(0);if((d|0)==6){j=pb()|0;$9(c);c=j}j=c;$9(g);sb(j|0)}while(0);d=b+84|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;j=i[g+11>>0]|0;h=j<<24>>24<0;j=h?k[g+4>>2]|0:j&255;e=d+11|0;c=i[e>>0]|0;c=c<<24>>24<0?k[b+88>>2]|0:c&255;y=0;Ra(10,a|0,(h?k[g>>2]|0:g)|0,j|0,c+j|0);j=y;y=0;if(!(j&1)){y=0;ta(47,a|0,((i[e>>0]|0)<0?k[d>>2]|0:d)|0,c|0)|0;j=y;y=0;if(!(j&1)){$9(g);r=f;return}}j=pb()|0;$9(a);$9(g);sb(j|0)}function ao(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;h=r;r=r+112|0;e=h;g=h+100|0;b=h+88|0;f=h+48|0;l=h+40|0;a:do switch(k[(k[a+60>>2]|0)+-4>>2]|0){case 6:case 4:case 1:case 2:case 0:break;default:{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,44468,66);j=a+108|0;y=0;k[e>>2]=k[j>>2];k[e+4>>2]=k[j+4>>2];k[e+8>>2]=k[j+8>>2];Na(109,a|0,b|0,e|0);j=y;y=0;if(!(j&1)){$9(b);break a}l=pb()|0;$9(b);sb(l|0)}}while(0);j=ZL(68)|0;b=f;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;b=Ha(1003,a|0,1)|0;a=y;y=0;do if(a&1)b=pb()|0;else{k[l>>2]=b;b=e;c=f;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;na(366,j|0);f=y;y=0;if(f&1)c=1;else{b=j+12|0;c=e;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=j+52|0;k[b>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;k[j>>2]=6356;y=0;oa(464,j+64|0,l|0);f=y;y=0;if(f&1){b=pb()|0;EO(l);break}k[b>>2]=14;y=0;oa(482,g|0,j|0);f=y;y=0;if(f&1)c=0;else{EO(l);r=h;return k[g>>2]|0}}b=pb()|0;EO(l);if(!c){l=b;sb(l|0)}}while(0);zqa(j);l=b;sb(l|0);return 0}function bo(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;h=r;r=r+112|0;e=h;g=h+100|0;b=h+88|0;f=h+48|0;l=h+40|0;a:do switch(k[(k[a+60>>2]|0)+-4>>2]|0){case 6:case 4:case 1:case 2:case 0:break;default:{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,44468,66);j=a+108|0;y=0;k[e>>2]=k[j>>2];k[e+4>>2]=k[j+4>>2];k[e+8>>2]=k[j+8>>2];Na(109,a|0,b|0,e|0);j=y;y=0;if(!(j&1)){$9(b);break a}l=pb()|0;$9(b);sb(l|0)}}while(0);j=ZL(68)|0;b=f;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;b=Ha(1003,a|0,1)|0;a=y;y=0;do if(a&1)b=pb()|0;else{k[l>>2]=b;b=e;c=f;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;na(366,j|0);f=y;y=0;if(f&1)c=1;else{b=j+12|0;c=e;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=j+52|0;k[b>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;k[j>>2]=6448;y=0;oa(464,j+64|0,l|0);f=y;y=0;if(f&1){b=pb()|0;EO(l);break}k[b>>2]=17;y=0;oa(482,g|0,j|0);f=y;y=0;if(f&1)c=0;else{EO(l);r=h;return k[g>>2]|0}}b=pb()|0;EO(l);if(!c){l=b;sb(l|0)}}while(0);zqa(j);l=b;sb(l|0);return 0}function co(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;h=r;r=r+112|0;e=h;g=h+100|0;b=h+88|0;f=h+48|0;l=h+40|0;a:do switch(k[(k[a+60>>2]|0)+-4>>2]|0){case 6:case 4:case 1:case 2:case 0:break;default:{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,44468,66);j=a+108|0;y=0;k[e>>2]=k[j>>2];k[e+4>>2]=k[j+4>>2];k[e+8>>2]=k[j+8>>2];Na(109,a|0,b|0,e|0);j=y;y=0;if(!(j&1)){$9(b);break a}l=pb()|0;$9(b);sb(l|0)}}while(0);j=ZL(68)|0;b=f;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;b=Ha(1003,a|0,1)|0;a=y;y=0;do if(a&1)b=pb()|0;else{k[l>>2]=b;b=e;c=f;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;na(366,j|0);f=y;y=0;if(f&1)c=1;else{b=j+12|0;c=e;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=j+52|0;k[b>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;k[j>>2]=6540;y=0;oa(464,j+64|0,l|0);f=y;y=0;if(f&1){b=pb()|0;EO(l);break}k[b>>2]=18;y=0;oa(482,g|0,j|0);f=y;y=0;if(f&1)c=0;else{EO(l);r=h;return k[g>>2]|0}}b=pb()|0;EO(l);if(!c){l=b;sb(l|0)}}while(0);zqa(j);l=b;sb(l|0);return 0}function eo(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;i=r;r=r+32|0;e=i+24|0;f=i+20|0;b=i+16|0;l=i+12|0;j=i+8|0;h=i+4|0;g=i;c=a+76|0;rT(e,c);d=k[e>>2]|0;k[l>>2]=d;do if(!d){d=0;c=6}else{y=0;oa(464,b|0,c|0);d=y;y=0;if(d&1){j=pb()|0;EO(l);sb(j|0)}b=k[b>>2]|0;k[j>>2]=b;y=0;b=qa(k[(k[b>>2]|0)+132>>2]|0,b|0)|0;d=y;y=0;if(d&1){b=pb()|0;c=19;break}else if(b){b=1;c=12;break}else{d=1;c=6;break}}while(0);a:do if((c|0)==6){b=a+80|0;y=0;oa(464,e|0,b|0);a=y;y=0;if(a&1){b=pb()|0;if(d){c=19;break}EO(l);sb(b|0)}e=k[e>>2]|0;k[h>>2]=e;if(!e){EO(h);if(d){b=0;c=12;break}else b=0;EO(l);r=i;return b|0}y=0;oa(464,f|0,b|0);e=y;y=0;do if(e&1)b=pb()|0;else{b=k[f>>2]|0;k[g>>2]=b;y=0;b=qa(k[(k[b>>2]|0)+132>>2]|0,b|0)|0;f=y;y=0;if(f&1){b=pb()|0;EO(g);break}EO(g);EO(h);if(d){c=12;break a}EO(l);r=i;return b|0}while(0);EO(h);if(d)c=19;else{j=b;EO(l);sb(j|0)}}while(0);if((c|0)==12){EO(j);j=b;EO(l);r=i;return j|0}else if((c|0)==19){EO(j);j=b;EO(l);sb(j|0)}return 0}function fo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;g=0;e=r;r=r+16|0;c=e;k[a>>2]=8024;j=a+4|0;d=a+20|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;o[d>>2]=1.0;y=0;oa(485,j|0,b|0);i=y;y=0;if(i&1){c=pb()|0;b=k[a+12>>2]|0;if(b|0)do{a=b;b=k[b>>2]|0;EO(a+12|0);EO(a+8|0);zqa(a)}while((b|0)!=0);b=k[j>>2]|0;k[j>>2]=0;if(!b)sb(c|0);zqa(b);sb(c|0)}h=a+24|0;k[h>>2]=0;i=a+28|0;k[i>>2]=0;k[a+32>>2]=0;f=a+40|0;y=0;oa(482,f|0,0);l=y;y=0;if(l&1)d=pb()|0;else{l=~~+$(+(+(b>>>0)/+o[d>>2]))>>>0;y=0;oa(485,j|0,l|0);l=y;y=0;do if(l&1)g=15;else{y=0;oa(518,h|0,b|0);l=y;y=0;if(l&1)g=15;else{y=0;oa(482,c|0,0);l=y;y=0;if(l&1)g=15;else{y=0;Ha(966,f|0,c|0)|0;l=y;y=0;if(l&1){b=pb()|0;EO(c);break}else{EO(c);r=e;return}}}}while(0);if((g|0)==15)b=pb()|0;EO(f);d=b}b=k[h>>2]|0;if(b|0){c=k[i>>2]|0;if((c|0)!=(b|0)){do{l=c+-4|0;k[i>>2]=l;EO(l);c=k[i>>2]|0}while((c|0)!=(b|0));b=k[h>>2]|0}zqa(b)}b=k[a+12>>2]|0;if(b|0)do{l=b;b=k[b>>2]|0;EO(l+12|0);EO(l+8|0);zqa(l)}while((b|0)!=0);b=k[j>>2]|0;k[j>>2]=0;if(!b)sb(d|0);zqa(b);sb(d|0)}function go(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;i=r;r=r+32|0;e=i+24|0;f=i+20|0;b=i+16|0;l=i+12|0;j=i+8|0;h=i+4|0;g=i;c=a+76|0;rT(e,c);d=k[e>>2]|0;k[l>>2]=d;do if(!d){d=0;c=6}else{y=0;oa(464,b|0,c|0);d=y;y=0;if(d&1){j=pb()|0;EO(l);sb(j|0)}b=k[b>>2]|0;k[j>>2]=b;y=0;b=qa(k[(k[b>>2]|0)+128>>2]|0,b|0)|0;d=y;y=0;if(d&1){b=pb()|0;c=19;break}else if(b){b=1;c=12;break}else{d=1;c=6;break}}while(0);a:do if((c|0)==6){b=a+80|0;y=0;oa(464,e|0,b|0);a=y;y=0;if(a&1){b=pb()|0;if(d){c=19;break}EO(l);sb(b|0)}e=k[e>>2]|0;k[h>>2]=e;if(!e){EO(h);if(d){b=0;c=12;break}else b=0;EO(l);r=i;return b|0}y=0;oa(464,f|0,b|0);e=y;y=0;do if(e&1)b=pb()|0;else{b=k[f>>2]|0;k[g>>2]=b;y=0;b=qa(k[(k[b>>2]|0)+128>>2]|0,b|0)|0;f=y;y=0;if(f&1){b=pb()|0;EO(g);break}EO(g);EO(h);if(d){c=12;break a}EO(l);r=i;return b|0}while(0);EO(h);if(d)c=19;else{j=b;EO(l);sb(j|0)}}while(0);if((c|0)==12){EO(j);j=b;EO(l);r=i;return j|0}else if((c|0)==19){EO(j);j=b;EO(l);sb(j|0)}return 0}function ho(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;c=g+8|0;d=g+4|0;e=g;f=a+4|0;Yw(f);do if(!(k[b+88>>2]|0)){k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44242,6);y=0;Na(139,f|0,c|0,b|0);h=y;y=0;if(!(h&1)){$9(c);Nka(f);break}h=pb()|0;$9(c);sb(h|0)}else{k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44249,9);y=0;Na(139,f|0,c|0,b|0);h=y;y=0;if(!(h&1)){$9(c);Nka(f);break}h=pb()|0;$9(c);sb(h|0)}while(0);pK(c,b+68|0);y=0;oa(605,f|0,c|0);h=y;y=0;if(h&1){h=pb()|0;$9(c);sb(h|0)}$9(c);rT(c,b+80|0);h=k[c>>2]|0;k[d>>2]=h;y=0;oa(k[(k[h>>2]|0)+40>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;EO(d);sb(h|0)}EO(d);rT(c,b+64|0);h=k[c>>2]|0;k[e>>2]=h;y=0;oa(k[(k[h>>2]|0)+40>>2]|0,h|0,a|0);h=y;y=0;if(!(h&1)){EO(e);r=g;return}h=pb()|0;EO(e);sb(h|0)}function io(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=r;r=r+64|0;g=i;j=i+40|0;h=oc[k[(k[c>>2]|0)+8>>2]&511](c)|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,h,JI(h)|0);h=g;d=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(d|0));y=0;oa(629,a|0,j|0);h=y;y=0;if(h&1)b=pb()|0;else{k[a>>2]=14052;e=a+8|0;y=0;oa(452,e|0,j|0);h=y;y=0;do if(h&1)b=pb()|0;else{f=a+20|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(75,f|0,47013,5);h=y;y=0;if(h&1){b=pb()|0;$9(e);break}h=a+32|0;b=g;d=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(d|0));k[a+72>>2]=0;$9(j);k[a>>2]=19156;j=oc[k[(k[c>>2]|0)+8>>2]&511](c)|0;y=0;Ha(1006,e|0,j|0)|0;j=y;y=0;if(!(j&1)){y=0;b=qa(k[(k[c>>2]|0)+12>>2]|0,c|0)|0;j=y;y=0;if(!(j&1)){y=0;Ha(1006,f|0,b|0)|0;j=y;y=0;if(!(j&1)){r=i;return}}}j=pb()|0;k[a>>2]=14052;$9(f);$9(e);cda(a);sb(j|0)}while(0);cda(a)}$9(j);j=b;sb(j|0)}function jo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;n=r;r=r+64|0;j=n+48|0;d=n;l=n+40|0;m=a+76|0;e=k[m>>2]|0;if(!(i[e>>0]|0)){m=0;r=n;return m|0}if(b){h=oW(e)|0;e=h|0?h:e}a:do if(!e)f=0;else{f=i[45693]|0;if(!(f<<24>>24))b=e;else{b=e;g=45693;do{if((i[b>>0]|0)!=f<<24>>24){f=0;break a}b=b+1|0;g=g+1|0;f=i[g>>0]|0}while(f<<24>>24!=0)}f=i[b>>0]|0;if(!(f<<24>>24))f=0;else{h=b;b:while(1){if(h|0){b=i[46478]|0;if(!(b<<24>>24)){b=h;break}if(f<<24>>24==b<<24>>24){b=h;f=46478;do{b=b+1|0;f=f+1|0;g=i[f>>0]|0;if(!(g<<24>>24))break b}while((i[b>>0]|0)==g<<24>>24)}}h=h+1|0;f=i[h>>0]|0;if(!(f<<24>>24)){f=0;break a}}if(b>>>0>(k[a+80>>2]|0)>>>0){m=0;r=n;return m|0}else f=b}}while(0);if(!c)if((f|0)==0|(f|0)==(e|0)){m=0;r=n;return m|0}c=k[m>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;h=a+96|0;gH(j,h,c,e);k[b>>2]=k[j>>2];k[b+4>>2]=k[j+4>>2];k[b+8>>2]=k[j+8>>2];gH(j,h,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(l,h,b);k[j>>2]=k[l>>2];k[j+4>>2]=k[l+4>>2];nH(d,c,e,a+152|0,b,j);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[m>>2]=f;m=f;r=n;return m|0}function ko(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;u=r;r=r+16|0;f=u;i[a>>0]=0;d=b+(k[(k[b>>2]|0)+-12>>2]|0)|0;e=k[d+16>>2]|0;if(!e){d=k[d+72>>2]|0;if(d|0)Jt(d)|0;do if(!c){d=b+(k[(k[b>>2]|0)+-12>>2]|0)|0;if(k[d+4>>2]&4096|0){e=yV(d)|0;k[f>>2]=e;y=0;e=Ha(973,f|0,78144)|0;t=y;y=0;if(t&1){u=pb()|0;Sea(f);sb(u|0)}Sea(f);d=k[b+(k[(k[b>>2]|0)+-12>>2]|0)+24>>2]|0;f=e+8|0;g=d;h=(d|0)==0;m=g+12|0;n=g+16|0;o=d;e=d;p=e+12|0;q=e+16|0;s=d;t=d;while(1){if(h){e=0;d=0;break}if((k[m>>2]|0)==(k[n>>2]|0))if((oc[k[(k[o>>2]|0)+36>>2]&511](g)|0)==-1){e=0;d=0;break}c=k[p>>2]|0;if((c|0)==(k[q>>2]|0))c=oc[k[(k[s>>2]|0)+36>>2]&511](e)|0;else c=l[c>>0]|0;if((c&255)<<24>>24<=-1)break;if(!(j[(k[f>>2]|0)+(c<<24>>24<<1)>>1]&8192))break;c=k[p>>2]|0;if((c|0)==(k[q>>2]|0)){oc[k[(k[t>>2]|0)+40>>2]&511](e)|0;continue}else{k[p>>2]=c+1;continue}}if(d|0){if((k[e+12>>2]|0)!=(k[e+16>>2]|0))break;if((oc[k[(k[d>>2]|0)+36>>2]&511](e)|0)!=-1)break}t=b+(k[(k[b>>2]|0)+-12>>2]|0)|0;bE(t,k[t+16>>2]|6)}}while(0);i[a>>0]=(k[b+(k[(k[b>>2]|0)+-12>>2]|0)+16>>2]|0)==0&1}else bE(d,e|4);r=u;return}function lo(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;p=0;l=r;r=r+128|0;h=l+80|0;i=l+40|0;j=l+12|0;m=l+24|0;n=l;o=ZL(80)|0;b=i;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(75,n|0,36062,7);g=y;y=0;if(g&1){p=pb()|0;zqa(o);sb(p|0)}y=0;b=h;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,n|0,a|0,d|0,h|0,f|0)|0;f=y;y=0;if(f&1)p=8;else{y=0;oa(457,m|0,b|0);f=y;y=0;if(f&1)p=8;else{y=0;Na(104,j|0,m|0,34);f=y;y=0;do if(f&1)b=pb()|0;else{y=0;b=h;c=i;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));Ea(2,o|0,h|0,j|0,0,0,0,1);f=y;y=0;if(f&1){b=pb()|0;$9(j);break}else{$9(j);$9(m);$9(n);r=l;return o|0}}while(0);$9(m)}}if((p|0)==8)b=pb()|0;$9(n);p=b;zqa(o);sb(p|0);return 0}function mo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;h=0;a:while(1){a=k[b>>2]|0;do if(!a)g=1;else{f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=k[f>>2]|0;if((a|0)==-1){k[b>>2]=0;g=1;break}else{g=(k[b>>2]|0)==0;break}}while(0);f=k[c>>2]|0;do if(!f)h=15;else{a=k[f+12>>2]|0;if((a|0)==(k[f+16>>2]|0))a=oc[k[(k[f>>2]|0)+36>>2]&511](f)|0;else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;h=15;break}else if(g){g=f;break}else{g=f;break a}}while(0);if((h|0)==15){h=0;if(g){g=0;break}else g=0}a=k[b>>2]|0;f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=k[f>>2]|0;if(!(rc[k[(k[e>>2]|0)+12>>2]&255](e,8192,a)|0))break;a=k[b>>2]|0;f=a+12|0;g=k[f>>2]|0;if((g|0)==(k[a+16>>2]|0)){oc[k[(k[a>>2]|0)+40>>2]&511](a)|0;continue}else{k[f>>2]=g+4;continue}}a=k[b>>2]|0;do if(!a)f=1;else{f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=k[f>>2]|0;if((a|0)==-1){k[b>>2]=0;f=1;break}else{f=(k[b>>2]|0)==0;break}}while(0);do if(!g)h=37;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0))a=oc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;h=37;break}else if(f)break;else{h=39;break}}while(0);if((h|0)==37)if(f)h=39;if((h|0)==39)k[d>>2]=k[d>>2]|2;return}function no(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+48|0;e=m;l=m+40|0;n=ZL(88)|0;c=k[b+72>>2]|0;d=k[b+68>>2]|0;j=i[b+84>>0]|0;f=e;g=b+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(366,n|0);h=y;y=0;if(h&1){m=pb()|0;zqa(n);sb(m|0)}d=c-d>>2;f=n+12|0;g=e;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));k[n>>2]=5252;k[n+52>>2]=0;k[n+56>>2]=0;i[n+60>>0]=0;c=n+64|0;k[c>>2]=5212;g=n+68|0;h=n+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,d|0);f=y;y=0;if(!(f&1)){k[n>>2]=5076;k[c>>2]=5172;i[n+84>>0]=j;i[n+85>>0]=0;k[l>>2]=n;c=a+12|0;d=k[c>>2]|0;if((d|0)==(k[a+16>>2]|0)){hz(a+8|0,l);n=k[l>>2]|0;In(a,b,n);n=k[c>>2]|0;n=n+-4|0;k[c>>2]=n;n=k[l>>2]|0;r=m;return n|0}else{k[d>>2]=n;k[c>>2]=(k[c>>2]|0)+4;n=k[l>>2]|0;In(a,b,n);n=k[c>>2]|0;n=n+-4|0;k[c>>2]=n;n=k[l>>2]|0;r=m;return n|0}}f=pb()|0;e=N;c=k[g>>2]|0;if(c|0){d=k[h>>2]|0;if((d|0)!=(c|0)){do{m=d+-4|0;k[h>>2]=m;EO(m);d=k[h>>2]|0}while((d|0)!=(c|0));c=k[g>>2]|0}zqa(c)}m=f;zqa(n);sb(m|0);return 0}function oo(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;a:do if(a|0){c=i[40645]|0;b:do if(!(c<<24>>24)){b=a;e=5}else{b=a;d=40645;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=5;break}}}while(0);if((e|0)==5){b=aP(b)|0;if(b|0){a=b;return a|0}}c=i[46452]|0;c:do if(!(c<<24>>24)){b=a;e=9}else{b=a;d=46452;while(1){if((i[b>>0]|0)!=c<<24>>24)break c;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=9;break}}}while(0);if((e|0)==9){b=aP(b)|0;if(b|0){a=b;return a|0}}c=i[46431]|0;d:do if(!(c<<24>>24)){b=a;e=13}else{b=a;d=46431;while(1){if((i[b>>0]|0)!=c<<24>>24)break d;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=13;break}}}while(0);if((e|0)==13){b=aP(b)|0;if(b|0){a=b;return a|0}}c=i[44343]|0;if(!(c<<24>>24))b=a;else{b=a;d=44343;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}b=aP(b)|0;if(b|0){a=b;return a|0}}while(0);a=Dq(a)|0;return a|0}function po(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;e=0;f=r;r=r+16|0;g=f;c=a+80|0;a:do if(!(k[c>>2]|0)){b=a+76|0;c=k[b>>2]|0;if(c|0){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;mI(g,c,32);k[b>>2]=0;y=0;oa(605,a|0,g|0);e=y;y=0;if(!(e&1)){$9(g);break}f=pb()|0;$9(g);g=f;sb(g|0)}}else{k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,82159,0);b:do if(!(k[c>>2]|0))e=4;else{d=a+68|0;b=0;while(1){y=0;Ha(970,g|0,k[(k[d>>2]|0)+12>>2]|0)|0;h=y;y=0;if(h&1)break;b=b+1|0;if(b>>>0>=(k[c>>2]|0)>>>0){e=4;break b}}b=pb()|0}while(0);do if((e|0)==4){k[a+76>>2]=0;k[c>>2]=0;y=0;oa(605,a|0,g|0);h=y;y=0;if(h&1){b=pb()|0;break}else{$9(g);break a}}while(0);$9(g);h=b;sb(h|0)}while(0);b=a+84|0;if(!(i[b>>0]|0)){r=f;return}i[b>>0]=0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,45703,1);y=0;oa(605,a|0,g|0);h=y;y=0;if(h&1){h=pb()|0;$9(g);sb(h|0)}else{$9(g);r=f;return}}function qo(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0;j=0;o=r;r=r+16|0;m=o+4|0;h=o;n=a+84|0;if(k[n>>2]|0){n=k[n>>2]|0;r=o;return n|0}pK(m,a+60|0);g=i[m+11>>0]|0;e=g<<24>>24<0;f=e?k[m>>2]|0:m;g=e?k[m+4>>2]|0:g&255;if(g>>>0>3){e=g+-4|0;d=f;b=g;c=g;while(1){g=aa(l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24,1540483477)|0;b=(aa(g>>>24^g,1540483477)|0)^(aa(b,1540483477)|0);c=c+-4|0;if(c>>>0<=3)break;else d=d+4|0}d=e&-4;c=e-d|0;d=f+(d+4)|0}else{c=g;d=f;b=g}switch(c|0){case 3:{b=(l[d+2>>0]|0)<<16^b;j=8;break}case 2:{j=8;break}case 1:{j=9;break}default:{}}if((j|0)==8){b=(l[d+1>>0]|0)<<8^b;j=9}if((j|0)==9)b=aa((l[d>>0]|0)^b,1540483477)|0;d=aa(b>>>13^b,1540483477)|0;k[n>>2]=d>>>15^d;$9(m);rT(m,a+72|0);d=k[m>>2]|0;k[h>>2]=d;EO(h);b=k[d+64>>2]|0;d=k[d+68>>2]|0;if((b|0)==(d|0)){n=k[n>>2]|0;r=o;return n|0}while(1){rT(m,b);c=k[m>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+8>>2]|0,c|0)|0;j=y;y=0;if(j&1){j=14;break}j=k[n>>2]|0;k[n>>2]=c+-1640531527+(j<<6)+(j>>>2)^j;EO(m);b=b+4|0;if((b|0)==(d|0)){j=15;break}}if((j|0)==14){o=pb()|0;EO(m);sb(o|0)}else if((j|0)==15){n=k[n>>2]|0;r=o;return n|0}return 0}function ro(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0.0;q=r;r=r+112|0;m=q+64|0;c=q+12|0;n=q+24|0;o=q;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,35329,6);y=0;b=m;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));b=sa(24,c|0,a|0,d|0,m|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;$9(c);sb(e|0)}$9(c);i=+p[b+64>>3]/255.0;j=+p[b+72>>3]/255.0;s=+p[b+80>>3]/255.0;h=j<s?s:j;h=i<h?h:i;j=s<j?s:j;i=j<i?j:i;j=h+i;if(h==i)h=0.0;else h=(h-i)/(j*.5<.5?j:2.0-h-i)*100.0;c=ZL(104)|0;b=n;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,44240,1);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;b=m;g=n;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));Ca(1,c|0,m|0,+h,o|0,1);e=y;y=0;if(e&1){b=pb()|0;$9(o);break}else{$9(o);r=q;return c|0}}while(0);zqa(c);e=b;sb(e|0);return 0}function so(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;m=r;r=r+32|0;e=m+28|0;f=m+24|0;c=m+20|0;g=m+16|0;l=m+12|0;j=m+8|0;h=m+4|0;i=m;d=pw(b,40,1080,0)|0;if(!d){l=0;r=m;return l|0}if((k[a+60>>2]|0)!=(k[d+60>>2]|0)){l=0;r=m;return l|0}y=0;oa(464,c|0,a+68|0);b=y;y=0;if(b&1){b=cb(4592,0)|0;c=N}else{b=k[c>>2]|0;k[l>>2]=b;y=0;oa(464,e|0,d+68|0);c=y;y=0;a:do if(c&1){b=cb(4592,0)|0;c=N}else{e=k[e>>2]|0;k[j>>2]=e;b:do if((b|0)!=0^(e|0)!=0)b=0;else{y=0;oa(464,f|0,a+72|0);e=y;y=0;do if(e&1){b=cb(4592,0)|0;c=N}else{b=k[f>>2]|0;k[h>>2]=b;y=0;oa(464,g|0,d+72|0);f=y;y=0;if(f&1){b=cb(4592,0)|0;c=N;EO(h);break}else{g=k[g>>2]|0;k[i>>2]=g;EO(i);EO(h);b=(b|0)!=0^(g|0)!=0^1;break b}}while(0);EO(j);break a}while(0);EO(j);EO(l);l=b;r=m;return l|0}while(0);EO(l)}l=(c|0)==(ob(4592)|0);vb(b|0)|0;if(l){rb();l=0;r=m;return l|0}y=0;la(4);y=0;b=pb()|0;y=0;la(3);m=y;y=0;if(m&1){m=tb(0)|0;dla(m)}else sb(b|0);return 0}function to(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=r;r=r+48|0;e=g+36|0;d=g+32|0;l=g+28|0;m=g+24|0;i=g+20|0;j=g+16|0;h=g+12|0;f=g;n=vM(a)|0;k[m>>2]=n;y=0;oa(464,d|0,n+76|0);n=y;y=0;if(n&1){n=pb()|0;EO(m);sb(n|0)}n=k[d>>2]|0;k[l>>2]=n;if(!n){n=0;EO(l);EO(m);r=g;return n|0}y=0;a=qa(333,a|0)|0;n=y;y=0;if(n&1)a=pb()|0;else{k[j>>2]=a;y=0;oa(464,e|0,a+76|0);n=y;y=0;if(n&1)a=pb()|0;else{d=k[e>>2]|0;k[i>>2]=d;a=d;d=k[(k[d>>2]|0)+148>>2]|0;y=0;oa(464,h|0,b|0);n=y;y=0;if(n&1)a=pb()|0;else{y=0;oa(452,f|0,c|0);n=y;y=0;do if(n&1)a=pb()|0;else{y=0;a=ta(d|0,a|0,h|0,f|0)|0;n=y;y=0;if(n&1){a=pb()|0;$9(f);break}$9(f);EO(h);EO(i);EO(j);n=a;EO(l);EO(m);r=g;return n|0}while(0);EO(h)}EO(i)}EO(j)}EO(l);n=a;EO(m);sb(n|0);return 0}function uo(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;if(Bw(a)|0){f=a;return f|0}f=i[32605]|0;if(!(f<<24>>24)){while(1){c=Qda(a)|0;if(!c){c=Mia(a)|0;if(!c)c=Mz(a)|0}if((c|0)==(a|0)|(c|0)==0){c=0;a=17;break}if(!(Bw(c)|0))a=c;else{a=17;break}}if((a|0)==17)return c|0}else e=a;while(1){d=i[e>>0]|0;a=32605;c=f;while(1){if(d<<24>>24==c<<24>>24){a=11;break}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=13;break}}if((a|0)==11){a=0;if(!(d<<24>>24))a=13;else b=e+1|0}if((a|0)==13){b=Qda(e)|0;if(!b){b=Mia(e)|0;if(!b)b=Mz(e)|0}if((b|0)==(e|0)|(b|0)==0){c=0;a=17;break}}if(!(Bw(b)|0))e=b;else{c=b;a=17;break}}if((a|0)==17)return c|0;return 0}function vo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;t=r;r=r+16|0;n=t;if((b|0)==-1){s=0;r=t;return s|0}o=a+12|0;p=a+8|0;q=(k[o>>2]|0)-(k[p>>2]|0)|0;s=a+24|0;c=k[s>>2]|0;l=a+28|0;d=k[l>>2]|0;do if((c|0)==(d|0)){h=a+48|0;if(!(k[h>>2]&16)){s=-1;r=t;return s|0}j=a+20|0;g=k[j>>2]|0;f=c-g|0;m=a+44|0;g=(k[m>>2]|0)-g|0;e=a+32|0;y=0;oa(461,e|0,0);d=y;y=0;if(!(d&1)){c=e+11|0;if((i[c>>0]|0)<0)d=(k[a+40>>2]&2147483647)+-1|0;else d=10;y=0;Na(94,e|0,d|0,0);d=y;y=0;if(!(d&1)){c=i[c>>0]|0;if(c<<24>>24<0){d=k[e>>2]|0;c=k[a+36>>2]|0}else{d=e;c=c&255}u=d+c|0;k[j>>2]=d;k[l>>2]=u;j=d+f|0;k[s>>2]=j;c=d+g|0;k[m>>2]=c;l=m;e=m;g=u;break}}u=tb(0)|0;vb(u|0)|0;rb();u=-1;r=t;return u|0}else{g=a+44|0;l=g;h=a+48|0;e=g;j=c;c=k[g>>2]|0;g=d}while(0);f=j+1|0;k[n>>2]=f;d=k[(f>>>0<c>>>0?e:n)>>2]|0;k[l>>2]=d;if(k[h>>2]&8|0){c=a+32|0;if((i[c+11>>0]|0)<0)c=k[c>>2]|0;k[p>>2]=c;k[o>>2]=c+q;k[a+16>>2]=d}if((j|0)==(g|0)){u=Fc[k[(k[a>>2]|0)+52>>2]&2047](a,b&255)|0;r=t;return u|0}else{k[s>>2]=f;i[j>>0]=b;u=b&255;r=t;return u|0}return 0}function wo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0;g=0;m=r;r=r+32|0;h=m+12|0;j=m;c=k[b+4>>2]|0;f=k[b+8>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;e=f-c|0;if(e>>>0>4294967279){LM(h);g=5}else if(e>>>0<11){i[h+11>>0]=e;b=h}else g=5;if((g|0)==5){d=e+16&-16;b=ZL(d)|0;k[h>>2]=b;k[h+8>>2]=d|-2147483648;k[h+4>>2]=e}if((c|0)!=(f|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(f|0))break;else d=d+1|0}b=b+e|0}i[b>>0]=0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,40638,6);f=y;y=0;if(f&1){m=pb()|0;$9(h);sb(m|0)}c=i[h+11>>0]|0;e=c<<24>>24<0;f=e?k[h>>2]|0:h;c=e?k[h+4>>2]|0:c&255;e=i[j+11>>0]|0;b=e<<24>>24<0;d=b?k[j>>2]|0:j;e=b?k[j+4>>2]|0:e&255;b=f+c|0;a:do if(!e)if(!c)b=0;else{b=b+-1|0;g=15}else while(1){if((b|0)==(f|0)){b=0;break a}b=b+-1|0;if(!(Ty(d,l[b>>0]|0,e)|0)){g=15;break}}while(0);if((g|0)==15)b=1-f+b|0;y=0;b=ta(53,h|0,b|0,-1)|0;g=y;y=0;if(!(g&1)){y=0;oa(452,a|0,b|0);a=y;y=0;if(!(a&1)){$9(j);$9(h);r=m;return}}m=pb()|0;$9(j);$9(h);sb(m|0)}function xo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;f=k[c>>2]|0;p=k[d>>2]|0;if((f|0)==(p|0)){q=1;return q|0}j=k[a>>2]|0;o=k[b>>2]|0;d=j;while(1){if((j|0)==(o|0)){e=0;q=20;break}l=f+16|0;b=j+16|0;n=i[l+11>>0]|0;m=n<<24>>24<0;n=m?k[f+20>>2]|0:n&255;h=i[b+11>>0]|0;g=h<<24>>24<0;h=g?k[j+20>>2]|0:h&255;e=h>>>0<n>>>0?h:n;if(!e)q=6;else{e=zM(m?k[l>>2]|0:l,g?k[b>>2]|0:b,e)|0;if(!e)q=6;else if((e|0)<0){e=0;q=20;break}}if((q|0)==6){q=0;if(n>>>0<h>>>0){e=0;q=20;break}}b=j+16|0;h=i[b+11>>0]|0;g=h<<24>>24<0;h=g?k[j+20>>2]|0:h&255;e=n>>>0<h>>>0?n:h;if(!e)q=10;else{e=zM(g?k[b>>2]|0:b,m?k[l>>2]|0:l,e)|0;if(!e)q=10;else if((e|0)<0)e=f;else q=12}if((q|0)==10){q=0;if(h>>>0<n>>>0)e=f;else q=12}if((q|0)==12){q=0;e=k[f+4>>2]|0;if(!e)while(1){e=k[f+8>>2]|0;if((k[e>>2]|0)==(f|0))break;else f=e}else while(1){f=k[e>>2]|0;if(!f)break;else e=f}k[c>>2]=e}f=k[d+4>>2]|0;if(!f)while(1){f=k[d+8>>2]|0;if((k[f>>2]|0)==(d|0)){b=f;break}else d=f}else{d=f;while(1){f=k[d>>2]|0;if(!f){b=d;break}else d=f}}k[a>>2]=b;if((e|0)==(p|0)){e=1;q=20;break}else{f=e;d=b;j=b}}if((q|0)==20)return e|0;return 0}function yo(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;c=a+1|0;do if((i[a>>0]|0)==45){b=vea(c)|0;if(!b){d=i[c>>0]|0;b=a+2|0;d=d<<24>>24|0;b=(d|0)!=43?((d|0)==45?b:0):b;if(!b){b=0;break}}while(1){c=vea(b)|0;if(c|0){b=c;continue}d=i[b>>0]|0;c=b+1|0;d=d<<24>>24|0;c=(d|0)!=43?((d|0)==45?c:0):c;if(!c)break;else b=c}}else b=0;while(0);b=b|0?b:a;if(!b){e=0;return e|0}a=i[42915]|0;a:do if(!(a<<24>>24)){c=b;e=10}else{c=b;d=42915;while(1){if((i[c>>0]|0)!=a<<24>>24)break a;c=c+1|0;d=d+1|0;a=i[d>>0]|0;if(!(a<<24>>24)){e=10;break}}}while(0);if((e|0)==10){c=aP(c)|0;if(c|0){e=c;return e|0}}c=i[32564]|0;b:do if(c<<24>>24){a=32564;while(1){if((i[b>>0]|0)!=c<<24>>24){b=0;break}b=b+1|0;a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24))break b}return b|0}while(0);c=b+1|0;if((i[b>>0]|0)!=58){e=0;return e|0}e=i[c>>0]|0;b=b+2|0;b=(e+-97&255)>25?(e<<24>>24==46?b:0):b;if(!b){e=c;return e|0}while(1){e=i[b>>0]|0;c=b+1|0;c=(e+-97&255)>25?(e<<24>>24==46?c:0):c;if(!c)break;else b=c}return b|0}function zo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;h=0;l=r;r=r+16|0;j=l+4|0;f=l;a:do if(!(k[c+4>>2]&1)){h=k[(k[a>>2]|0)+24>>2]|0;k[f>>2]=k[b>>2];k[j>>2]=k[f>>2];a=qc[h&63](a,j,c,d,e&1)|0}else{a=yV(c)|0;k[j>>2]=a;y=0;c=Ha(973,j|0,78160)|0;g=y;y=0;do if(g&1){l=pb()|0;lQ(a)|0;a=l}else{lQ(a)|0;a=k[c>>2]|0;if(e)mc[k[a+24>>2]&1023](j,c);else mc[k[a+28>>2]&1023](j,c);g=j+11|0;a=i[g>>0]|0;if(a<<24>>24<0){c=a;a=k[j>>2]|0;h=9}else e=j;b:while(1){if((h|0)==9){e=a;a=c}h=a<<24>>24<0;if((e|0)==((h?k[j>>2]|0:j)+(h?k[j+4>>2]|0:a&255)|0)){h=11;break}a=i[e>>0]|0;c=k[b>>2]|0;do if(c|0){d=c+24|0;f=k[d>>2]|0;if((f|0)!=(k[c+28>>2]|0)){k[d>>2]=f+1;i[f>>0]=a;break}y=0;a=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a&255|0)|0;h=y;y=0;if(h&1){h=20;break b}if((a|0)==-1)k[b>>2]=0}while(0);c=i[g>>0]|0;a=e+1|0;h=9}if((h|0)==11){a=k[b>>2]|0;$9(j);break a}else if((h|0)==20){a=pb()|0;$9(j);break}}while(0);sb(a|0)}while(0);r=l;return a|0}function Ao(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;j=r;r=r+48|0;h=j;f=ut(b,a)|0;f=k[f>>2]|0;if(f|0){f=pw(f,8,584,0)|0;if(f|0){e=f;r=j;return e|0}}f=ut(b,a)|0;f=k[f>>2]|0;if(f|0){f=pw(f,8,216,0)|0;if(f|0)if((k[f+68>>2]|0)==(k[f+64>>2]|0)){a=ZL(104)|0;g=h;f=d;d=g+40|0;do{k[g>>2]=k[f>>2];g=g+4|0;f=f+4|0}while((g|0)<(d|0));y=0;na(366,a|0);e=y;y=0;if(e&1){j=pb()|0;zqa(a);sb(j|0)}g=a+12|0;f=h;d=g+40|0;do{k[g>>2]=k[f>>2];g=g+4|0;f=f+4|0}while((g|0)<(d|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;f=a+56|0;k[f>>2]=0;k[a>>2]=7760;d=a+60|0;y=0;oa(553,d|0,0);e=y;y=0;if(e&1){j=pb()|0;zqa(a);sb(j|0)}else{k[a>>2]=7880;k[d>>2]=8004;k[f>>2]=6;e=a;r=j;return e|0}}}g=h;f=d;d=g+40|0;do{k[g>>2]=k[f>>2];g=g+4|0;f=f+4|0}while((g|0)<(d|0));e=_l(a,b,c,h,e)|0;r=j;return e|0}function Bo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;e=0;m=r;r=r+16|0;l=m+4|0;h=m;j=b+84|0;do if(i[j>>0]|0){_V(l,b);c=a+52|0;d=k[c>>2]|0;if(d>>>0<(k[a+56>>2]|0)>>>0){y=0;oa(464,d|0,l|0);g=y;y=0;if(!(g&1)){k[c>>2]=(k[c>>2]|0)+4;e=6}}else{y=0;oa(584,a+48|0,l|0);g=y;y=0;if(!(g&1))e=6}if((e|0)==6){EO(l);break}m=pb()|0;EO(l);sb(m|0)}while(0);g=b+64|0;d=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>2;a:do if(d|0){b=a+40|0;c=0;while(1){f=Fc[k[(k[g>>2]|0)+16>>2]&2047](g,c)|0;f=k[f>>2]|0;_V(l,Fc[k[(k[f>>2]|0)+48>>2]&2047](f,a)|0);if(k[l>>2]|0){e=(k[(k[b>>2]|0)+-4>>2]|0)+64|0;f=k[(k[e>>2]|0)+20>>2]|0;y=0;oa(464,h|0,l|0);n=y;y=0;if(n&1){e=15;break}y=0;oa(f|0,e|0,h|0);n=y;y=0;if(n&1){e=16;break}EO(h)}EO(l);c=c+1|0;if(c>>>0>=d>>>0)break a}if((e|0)==15)c=pb()|0;else if((e|0)==16){c=pb()|0;EO(h)}EO(l);n=c;sb(n|0)}while(0);if(!(i[j>>0]|0)){r=m;return}c=a+52|0;b=k[c>>2]|0;d=b+-4|0;do{n=b+-4|0;k[c>>2]=n;EO(n);b=k[c>>2]|0}while((b|0)!=(d|0));r=m;return}function Co(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;c=g+8|0;d=g+4|0;e=g;f=a+4|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44122,1);y=0;oa(605,f|0,c|0);h=y;y=0;if(h&1){h=pb()|0;$9(c);sb(h|0)}$9(c);rT(c,b+60|0);h=k[c>>2]|0;k[d>>2]=h;y=0;oa(k[(k[h>>2]|0)+40>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;EO(d);sb(h|0)}EO(d);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,54079,2);y=0;oa(605,f|0,c|0);h=y;y=0;if(h&1){h=pb()|0;$9(c);sb(h|0)}$9(c);rT(c,b+64|0);h=k[c>>2]|0;k[e>>2]=h;y=0;oa(k[(k[h>>2]|0)+40>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;EO(e);sb(h|0)}EO(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44127,1);y=0;oa(605,f|0,c|0);h=y;y=0;if(!(h&1)){$9(c);r=g;return}h=pb()|0;$9(c);sb(h|0)}function Do(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0;if(!a){j=0;return j|0}h=i[44181]|0;j=h<<24>>24==0;a:do if(!j){b=44181;c=h;while(1){if((i[a>>0]|0)!=c<<24>>24){a=0;break}a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break a}return a|0}while(0);b=i[a>>0]|0;if(!(b<<24>>24)){j=0;return j|0}else{f=a;a=0;c=0;g=0;e=b}b:while(1){c:do switch(e<<24>>24){case 92:{d=a;a=f+1|0;b=g;break}case 34:{d=a^1;a=f;b=g;break}case 39:{d=a;c=c^1;a=f;b=g;break}default:if(a){d=1;a=f;b=g}else if(c){d=0;c=1;a=f;b=g}else if(!f){d=0;c=0;a=0;b=g}else{d:do if(j)a=f;else{if(e<<24>>24==h<<24>>24){a=f;b=44181;do{a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break d}while((i[a>>0]|0)==c<<24>>24)}a=i[45708]|0;e:do if(!(a<<24>>24))a=f;else{if(e<<24>>24==a<<24>>24){a=f;b=45708}else{d=0;c=0;a=f;b=g;break c}while(1){a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break e;if((i[a>>0]|0)!=c<<24>>24){d=0;c=0;a=f;b=g;break c}}}while(0);if(!g){b=24;break b}else{d=0;c=0;a=a+-1|0;b=g+-1|0;break c}}while(0);d=0;c=0;a=a+-1|0;b=g+1|0}}while(0);f=a+1|0;e=i[f>>0]|0;if(!(e<<24>>24)){a=0;b=24;break}else{a=d;g=b}}if((b|0)==24)return a|0;return 0}function Eo(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;c=0;if(!a){e=1;return e|0}b=k[a+80>>2]|0;if(b|0){e=b;return e|0}b=k[a+24>>2]|0;do if(!b){b=gb(8)|0;y=0;oa(507,b|0,45624);f=y;y=0;if(f&1){f=tb(0)|0;fb(b|0);b=f;break}else{y=0;Na(76,b|0,4528,353);y=0;c=7;break}}else{if(!(i[b>>0]|0)){b=gb(8)|0;y=0;oa(507,b|0,45655);f=y;y=0;if(f&1){f=tb(0)|0;fb(b|0);b=f;break}else{y=0;Na(76,b|0,4528,353);y=0;c=7;break}}b=ZL(432)|0;y=0;oa(619,b|0,a|0);f=y;y=0;if(f&1){f=pb()|0;zqa(b);sb(f|0)}else{k[b>>2]=14616;f=gq(a,b)|0;return f|0}}while(0);if((c|0)==7)b=tb(0)|0;vb(b|0)|0;y=0;b=qa(461,a|0)|0;f=y;y=0;do if(f&1){b=tb(0)|0;vb(b|0)|0;y=0;b=qa(461,a|0)|0;f=y;y=0;if(f&1){b=pb()|0;y=0;la(3);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}else e=b}else{y=0;la(3);f=y;y=0;if(!(f&1)){d=b;break}e=pb()|0}y=0;la(3);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}else{f=e;sb(f|0)}}else d=b;while(0);rb();f=d|1;return f|0}function Fo(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0.0;q=r;r=r+112|0;m=q+64|0;c=q+12|0;n=q+24|0;o=q;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,35329,6);y=0;b=m;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));b=sa(24,c|0,a|0,d|0,m|0,f|0)|0;l=y;y=0;if(l&1){e=pb()|0;$9(c);sb(e|0)}$9(c);j=+p[b+64>>3]/255.0;i=+p[b+72>>3]/255.0;s=+p[b+80>>3]/255.0;h=i<s?s:i;i=s<i?s:i;c=ZL(104)|0;b=n;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,44240,1);e=y;y=0;do if(e&1)b=pb()|0;else{h=((j<h?h:j)+(i<j?i:j))*.5*100.0;y=0;b=m;g=n;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));Ca(1,c|0,m|0,+h,o|0,1);e=y;y=0;if(e&1){b=pb()|0;$9(o);break}else{$9(o);r=q;return c|0}}while(0);zqa(c);e=b;sb(e|0);return 0}function Go(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;l=r;r=r+32|0;h=l+20|0;b=l+12|0;i=l+16|0;f=l+8|0;m=l+4|0;j=l;c=a+76|0;rT(h,c);e=k[h>>2]|0;k[i>>2]=e;a:do if(!e)EO(i);else{y=0;oa(464,b|0,c|0);e=y;y=0;b:do if(e&1)b=pb()|0;else{b=k[b>>2]|0;k[f>>2]=b;c=k[b+76>>2]|0;e=(k[b+80>>2]|0)-c>>2;c:do if(e|0){d=b+76|0;b=0;while(1){c=k[c+(b<<2)>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+124>>2]|0,c|0)|0;n=y;y=0;if(n&1){g=12;break}b=b+1|0;if(c)break;if(b>>>0>=e>>>0)break c;c=k[d>>2]|0}if((g|0)==12){b=pb()|0;EO(f);break b}EO(f);EO(i);n=1;r=l;return n|0}while(0);EO(f);EO(i);break a}while(0);EO(i);n=b;sb(n|0)}while(0);b=a+80|0;rT(h,b);n=k[h>>2]|0;k[m>>2]=n;if(!n){EO(m);n=0;r=l;return n|0}y=0;oa(464,h|0,b|0);n=y;y=0;do if(n&1)b=pb()|0;else{b=k[h>>2]|0;k[j>>2]=b;y=0;b=qa(460,b|0)|0;n=y;y=0;if(n&1){b=pb()|0;EO(j);break}else{EO(j);EO(m);r=l;return b|0}}while(0);EO(m);n=b;sb(n|0);return 0}function Ho(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;s=0;t=r;r=r+32|0;p=t+16|0;q=t+8|0;m=t+4|0;n=t;e=a+52|0;if(!(i[e>>0]|0)){c=k[a+44>>2]|0;c=(c|0)>1?c:1;o=a+32|0;d=0;while(1){if((d|0)>=(c|0)){s=8;break}e=HH(k[o>>2]|0)|0;if((e|0)==-1){c=-1;break}i[p+d>>0]=e;d=d+1|0}if((s|0)==8){do if(!(i[a+53>>0]|0)){g=a+40|0;h=a+36|0;j=q+1|0;a:while(1){u=k[g>>2]|0;e=u;d=k[e>>2]|0;e=k[e+4>>2]|0;v=k[h>>2]|0;f=p+c|0;switch(Nc[k[(k[v>>2]|0)+16>>2]&15](v,u,p,f,m,q,j,n)|0){case 3:{s=15;break a}case 2:{s=17;break a}case 1:break;default:break a}v=k[g>>2]|0;k[v>>2]=d;k[v+4>>2]=e;if((c|0)==8){s=17;break}d=HH(k[o>>2]|0)|0;if((d|0)==-1){s=17;break}i[f>>0]=d;c=c+1|0}if((s|0)==15)i[q>>0]=i[p>>0]|0;else if((s|0)==17){c=-1;break}s=18}else{i[q>>0]=i[p>>0]|0;s=18}while(0);b:do if((s|0)==18){if(b){c=i[q>>0]|0;k[a+48>>2]=c&255}else{while(1){if((c|0)<=0)break;c=c+-1|0;if((qF(l[p+c>>0]|0,k[o>>2]|0)|0)==-1){c=-1;break b}}c=i[q>>0]|0}c=c&255}while(0)}}else{d=a+48|0;c=k[d>>2]|0;if(b){k[d>>2]=-1;i[e>>0]=0}}r=t;return c|0}function Io(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;h=c-b>>2;i=a+8|0;d=k[i>>2]|0;g=k[a>>2]|0;e=g;if(h>>>0<=d-g>>2>>>0){a=a+4|0;d=(k[a>>2]|0)-g>>2;g=h>>>0>d>>>0;d=b+(d<<2)|0;f=g?d:c;if((f|0)!=(b|0))do{LH(e,b)|0;b=b+4|0;e=e+4|0}while((b|0)!=(f|0));if(!g){d=k[a>>2]|0;if((d|0)==(e|0))return;do{c=d+-4|0;k[a>>2]=c;EO(c);d=k[a>>2]|0}while((d|0)!=(e|0));return}if((f|0)==(c|0))return;b=k[a>>2]|0;do{rT(b,d);d=d+4|0;b=(k[a>>2]|0)+4|0;k[a>>2]=b}while((d|0)!=(c|0));return}if(g){f=a+4|0;d=k[f>>2]|0;if((d|0)==(e|0))d=g;else{do{g=d+-4|0;k[f>>2]=g;EO(g);d=k[f>>2]|0}while((d|0)!=(e|0));d=k[a>>2]|0}zqa(d);k[i>>2]=0;k[f>>2]=0;k[a>>2]=0;d=0}if(h>>>0>1073741823){OM(a);d=k[i>>2]|0;e=k[a>>2]|0}else e=0;g=d-e|0;e=g>>1;e=g>>2>>>0<536870911?(e>>>0<h>>>0?h:e):1073741823;if(e>>>0>1073741823){OM(a);c=gb(4)|0;doa(c);Wb(c|0,4496,348)}d=ZL(e<<2)|0;f=a+4|0;k[f>>2]=d;k[a>>2]=d;k[i>>2]=d+(e<<2);if((b|0)==(c|0))return;do{rT(d,b);b=b+4|0;d=(k[f>>2]|0)+4|0;k[f>>2]=d}while((b|0)!=(c|0));return}function Jo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;h=c-b>>2;i=a+8|0;d=k[i>>2]|0;g=k[a>>2]|0;e=g;if(h>>>0<=d-g>>2>>>0){a=a+4|0;d=(k[a>>2]|0)-g>>2;g=h>>>0>d>>>0;d=b+(d<<2)|0;f=g?d:c;if((f|0)!=(b|0))do{LH(e,b)|0;b=b+4|0;e=e+4|0}while((b|0)!=(f|0));if(!g){d=k[a>>2]|0;if((d|0)==(e|0))return;do{c=d+-4|0;k[a>>2]=c;EO(c);d=k[a>>2]|0}while((d|0)!=(e|0));return}if((f|0)==(c|0))return;b=k[a>>2]|0;do{rT(b,d);d=d+4|0;b=(k[a>>2]|0)+4|0;k[a>>2]=b}while((d|0)!=(c|0));return}if(g){f=a+4|0;d=k[f>>2]|0;if((d|0)==(e|0))d=g;else{do{g=d+-4|0;k[f>>2]=g;EO(g);d=k[f>>2]|0}while((d|0)!=(e|0));d=k[a>>2]|0}zqa(d);k[i>>2]=0;k[f>>2]=0;k[a>>2]=0;d=0}if(h>>>0>1073741823){OM(a);d=k[i>>2]|0;e=k[a>>2]|0}else e=0;g=d-e|0;e=g>>1;e=g>>2>>>0<536870911?(e>>>0<h>>>0?h:e):1073741823;if(e>>>0>1073741823){OM(a);c=gb(4)|0;doa(c);Wb(c|0,4496,348)}d=ZL(e<<2)|0;f=a+4|0;k[f>>2]=d;k[a>>2]=d;k[i>>2]=d+(e<<2);if((b|0)==(c|0))return;do{rT(d,b);b=b+4|0;d=(k[f>>2]|0)+4|0;k[f>>2]=d}while((b|0)!=(c|0));return}function Ko(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;a=k[b>>2]|0;do if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0))if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1){k[b>>2]=0;a=0;break}else{a=k[b>>2]|0;break}while(0);f=(a|0)==0;a=k[c>>2]|0;do if(!a)h=11;else{if((k[a+12>>2]|0)==(k[a+16>>2]|0))if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1){k[c>>2]=0;h=11;break}if(f){g=a;h=13}else h=12}while(0);if((h|0)==11)if(f)h=12;else{g=0;h=13}a:do if((h|0)==12)k[d>>2]=k[d>>2]|6;else if((h|0)==13){a=k[b>>2]|0;f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=l[f>>0]|0;if((rc[k[(k[e>>2]|0)+36>>2]&255](e,a&255,0)|0)<<24>>24!=37){k[d>>2]=k[d>>2]|4;break}a=k[b>>2]|0;f=a+12|0;e=k[f>>2]|0;if((e|0)==(k[a+16>>2]|0)){oc[k[(k[a>>2]|0)+40>>2]&511](a)|0;a=k[b>>2]|0;if(!a)a=0;else h=21}else{k[f>>2]=e+1;h=21}do if((h|0)==21)if((k[a+12>>2]|0)==(k[a+16>>2]|0))if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1){k[b>>2]=0;a=0;break}else{a=k[b>>2]|0;break}while(0);a=(a|0)==0;do if(!g)h=30;else{if((k[g+12>>2]|0)==(k[g+16>>2]|0))if((oc[k[(k[g>>2]|0)+36>>2]&511](g)|0)==-1){k[c>>2]=0;h=30;break}if(a)break a}while(0);if((h|0)==30)if(!a)break;k[d>>2]=k[d>>2]|2}while(0);return}function Lo(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;h=r;r=r+96|0;c=h;d=h+88|0;l=h+92|0;e=h+48|0;j=h+40|0;if(!(rv(a,1,0)|0)){_V(d,0);m=k[d>>2]|0;r=h;return m|0}f=Cj(a)|0;k[l>>2]=f;y=0;m=qa(332,64)|0;g=y;y=0;if(g&1){m=pb()|0;EO(l);sb(m|0)}g=e;a=a+108|0;b=g+40|0;do{k[g>>2]=k[a>>2];g=g+4|0;a=a+4|0}while((g|0)<(b|0));y=0;oa(482,j|0,f|0);g=y;y=0;do if(g&1)a=pb()|0;else{g=c;a=e;b=g+40|0;do{k[g>>2]=k[a>>2];g=g+4|0;a=a+4|0}while((g|0)<(b|0));y=0;na(366,m|0);g=y;y=0;if(g&1)b=1;else{g=m+12|0;a=c;b=g+40|0;do{k[g>>2]=k[a>>2];g=g+4|0;a=a+4|0}while((g|0)<(b|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;k[m+56>>2]=0;k[m>>2]=10448;y=0;oa(464,m+60|0,j|0);g=y;y=0;if(g&1){a=pb()|0;EO(j);break}y=0;oa(482,d|0,m|0);g=y;y=0;if(g&1)b=0;else{EO(j);EO(l);m=k[d>>2]|0;r=h;return m|0}}a=pb()|0;EO(j);if(!b){m=a;EO(l);sb(m|0)}}while(0);zqa(m);m=a;EO(l);sb(m|0);return 0}function Mo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,82159,0);e=i[b+11>>0]|0;f=e<<24>>24<0;c=f?k[b>>2]|0:b;e=f?k[b+4>>2]|0:e&255;f=c+e|0;if(!e)return;else b=0;a:while(1){e=i[c>>0]|0;d=e<<24>>24!=92;do if(b|d){if(b&e<<24>>24==34){y=0;oa(461,a|0,92);e=y;y=0;if(e&1){b=6;break a}y=0;oa(461,a|0,34);e=y;y=0;if(e&1){b=6;break a}else{b=0;break}}if(b&e<<24>>24==39){y=0;oa(461,a|0,92);e=y;y=0;if(e&1){b=6;break a}y=0;oa(461,a|0,39);e=y;y=0;if(e&1){b=6;break a}else{b=0;break}}if(d|b^1){y=0;oa(461,a|0,e|0);e=y;y=0;if(e&1){b=6;break a}else{b=0;break}}y=0;oa(461,a|0,92);e=y;y=0;if(e&1){b=6;break a}y=0;oa(461,a|0,92);e=y;y=0;if(e&1){b=6;break a}else b=0}else{y=0;oa(461,a|0,92);e=y;y=0;if(e&1){b=6;break a}y=0;oa(461,a|0,92);e=y;y=0;if(e&1){b=6;break a}else b=1}while(0);c=c+1|0;if((c|0)==(f|0)){b=2;break}}if((b|0)==2)return;else if((b|0)==6){f=pb()|0;$9(a);sb(f|0)}}function No(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;q=0;s=r;r=r+32|0;o=s+16|0;p=s+8|0;l=s+4|0;m=s;e=a+52|0;if(!(i[e>>0]|0)){c=k[a+44>>2]|0;c=(c|0)>1?c:1;n=a+32|0;d=0;while(1){if((d|0)>=(c|0)){q=8;break}e=HH(k[n>>2]|0)|0;if((e|0)==-1){c=-1;break}i[o+d>>0]=e;d=d+1|0}if((q|0)==8){do if(!(i[a+53>>0]|0)){g=a+40|0;h=a+36|0;j=p+4|0;a:while(1){t=k[g>>2]|0;e=t;d=k[e>>2]|0;e=k[e+4>>2]|0;u=k[h>>2]|0;f=o+c|0;switch(Nc[k[(k[u>>2]|0)+16>>2]&15](u,t,o,f,l,p,j,m)|0){case 3:{q=15;break a}case 2:{q=17;break a}case 1:break;default:break a}u=k[g>>2]|0;k[u>>2]=d;k[u+4>>2]=e;if((c|0)==8){q=17;break}d=HH(k[n>>2]|0)|0;if((d|0)==-1){q=17;break}i[f>>0]=d;c=c+1|0}if((q|0)==15)k[p>>2]=i[o>>0];else if((q|0)==17){c=-1;break}q=18}else{k[p>>2]=i[o>>0];q=18}while(0);b:do if((q|0)==18){if(b){c=k[p>>2]|0;k[a+48>>2]=c;break}while(1){if((c|0)<=0)break;c=c+-1|0;if((qF(i[o+c>>0]|0,k[n>>2]|0)|0)==-1){c=-1;break b}}c=k[p>>2]|0}while(0)}}else{d=a+48|0;c=k[d>>2]|0;if(b){k[d>>2]=-1;i[e>>0]=0}}r=s;return c|0}function Oo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;p=0;l=r;r=r+96|0;c=l+88|0;g=l;h=l+48|0;m=l+44|0;n=l+40|0;j=a+21|0;i[j>>0]=1;o=ZL(72)|0;d=h;e=b+12|0;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;oa(464,c|0,b+64|0);f=y;y=0;if(f&1){p=pb()|0;zqa(o);sb(p|0)}f=k[c>>2]|0;k[n>>2]=f;y=0;a=Ha(k[(k[f>>2]|0)+52>>2]|0,f|0,a+8|0)|0;f=y;y=0;if(f&1)p=6;else{if(!a)a=0;else a=pw(a,40,432,0)|0;y=0;oa(482,m|0,a|0);f=y;y=0;if(f&1)p=6;else{c=i[b+68>>0]|0;d=g;e=h;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;na(366,o|0);h=y;y=0;do if(h&1)a=pb()|0;else{d=o+12|0;e=g;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));a=o+52|0;k[a>>2]=0;k[o+56>>2]=0;i[o+60>>0]=0;k[o>>2]=6632;y=0;oa(464,o+64|0,m|0);h=y;y=0;if(h&1){a=pb()|0;break}else{i[o+68>>0]=c;k[a>>2]=13;EO(m);EO(n);i[j>>0]=0;r=l;return o|0}}while(0);EO(m)}}if((p|0)==6)a=pb()|0;EO(n);p=a;zqa(o);sb(p|0);return 0}function Po(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;l=r;r=r+16|0;j=l+4|0;f=l;a:do if(!(k[c+4>>2]&1)){h=k[(k[a>>2]|0)+24>>2]|0;k[f>>2]=k[b>>2];k[j>>2]=k[f>>2];a=qc[h&63](a,j,c,d,e&1)|0}else{a=yV(c)|0;k[j>>2]=a;y=0;c=Ha(973,j|0,78184)|0;h=y;y=0;do if(h&1){l=pb()|0;lQ(a)|0;a=l}else{lQ(a)|0;a=k[c>>2]|0;if(e)mc[k[a+24>>2]&1023](j,c);else mc[k[a+28>>2]&1023](j,c);g=j+8+3|0;a=i[g>>0]|0;c=k[j>>2]|0;h=j+4|0;e=a<<24>>24<0?c:j;while(1){f=a<<24>>24<0;if((e|0)==((f?c:j)+((f?k[h>>2]|0:a&255)<<2)|0)){c=9;break}a=k[e>>2]|0;c=k[b>>2]|0;if(c|0){d=c+24|0;f=k[d>>2]|0;if((f|0)==(k[c+28>>2]|0)){y=0;a=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;f=y;y=0;if(f&1){c=18;break}}else{k[d>>2]=f+4;k[f>>2]=a}if((a|0)==-1)k[b>>2]=0}e=e+4|0;a=i[g>>0]|0;c=k[j>>2]|0}if((c|0)==9){a=k[b>>2]|0;w9(j);break a}else if((c|0)==18){a=pb()|0;w9(j);break}}while(0);sb(a|0)}while(0);r=l;return a|0}function Qo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;n=r;r=r+32|0;l=n+12|0;m=n;j=pw(b,40,1216,0)|0;if(!j){m=0;r=n;return m|0}y=0;oa(452,l|0,a+64|0);h=y;y=0;do if(h&1){c=cb(4592,0)|0;b=N}else{y=0;oa(452,m|0,j+64|0);h=y;y=0;if(h&1){c=cb(4592,0)|0;b=N;$9(l);break}d=i[l+11>>0]|0;e=d<<24>>24<0;d=d&255;f=e?k[l+4>>2]|0:d;h=i[m+11>>0]|0;b=h<<24>>24<0;a:do if((f|0)==((b?k[m+4>>2]|0:h&255)|0)){g=k[l>>2]|0;h=e?g:l;b=b?k[m>>2]|0:m;c=(f|0)==0;b:do if(e){if(!c)if(zM(h,b,f)|0){b=0;break a}}else if(!c){if((g&255)<<24>>24==(i[b>>0]|0))c=l;else{b=0;break a}while(1){d=d+-1|0;c=c+1|0;if(!d)break b;b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0)){b=0;break a}}}while(0);b=(k[a+60>>2]|0)==(k[j+60>>2]|0)}else b=0;while(0);$9(m);$9(l);m=b;r=n;return m|0}while(0);m=(b|0)==(ob(4592)|0);vb(c|0)|0;if(m){rb();m=0;r=n;return m|0}y=0;la(4);y=0;b=pb()|0;y=0;la(3);n=y;y=0;if(n&1){n=tb(0)|0;dla(n)}else sb(b|0);return 0}function Ro(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+32|0;c=f+12|0;g=f;d=b+60|0;e=a+4|0;if(i[d>>0]|0){pK(g,b+64|0);y=0;Na(104,c|0,g|0,i[d>>0]|0);d=y;y=0;do if(d&1)a=pb()|0;else{y=0;Na(139,e|0,c|0,b|0);e=y;y=0;if(e&1){a=pb()|0;$9(c);break}$9(c);$9(g);r=f;return}while(0);$9(g);g=a;sb(g|0)}if(i[a+96>>0]|0){pK(c,b+64|0);y=0;Na(139,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;$9(c);sb(g|0)}else{$9(c);r=f;return}}pK(g,b+64|0);y=0;oa(578,c|0,g|0);d=y;y=0;do if(d&1)a=pb()|0;else{y=0;Na(139,e|0,c|0,b|0);e=y;y=0;if(e&1){a=pb()|0;$9(c);break}$9(c);$9(g);r=f;return}while(0);$9(g);g=a;sb(g|0)}function So(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0;n=r;r=r+48|0;j=n;m=n+40|0;_V(m,0);l=j;g=b;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;na(366,a|0);l=y;y=0;do if(l&1)g=pb()|0;else{l=a+12|0;g=j;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));k[a+52>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;j=a+64|0;y=0;oa(464,j|0,m|0);l=y;y=0;if(l&1){g=pb()|0;break}EO(m);k[a>>2]=7276;b=a+68|0;y=0;oa(452,b|0,d|0);d=y;y=0;if(d&1)g=pb()|0;else{h=a+80|0;y=0;oa(464,h|0,e|0);e=y;y=0;do if(e&1)g=pb()|0;else{k[a+84>>2]=0;k[a+88>>2]=1;k[a+92>>2]=0;k[a+96>>2]=f;y=0;g=qa(351,f|0)|0;f=y;y=0;if(f&1){g=pb()|0;EO(h);break}else{k[a+100>>2]=g;i[a+104>>0]=0;k[a+108>>2]=c;r=n;return}}while(0);$9(b)}k[a>>2]=5436;EO(j);a=g;sb(a|0)}while(0);EO(m);a=g;sb(a|0)}function To(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;l=a+4|0;d=k[l>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){OM(a);c=k[a>>2]|0;d=k[l>>2]|0}j=a+8|0;h=(k[j>>2]|0)-c|0;i=h>>2;e=h>>3>>>0<268435455?(i>>>0<e>>>0?e:i):536870911;d=d-c>>3;do if(!e)i=0;else if(e>>>0>536870911){l=gb(4)|0;doa(l);Wb(l|0,4496,348)}else{i=ZL(e<<3)|0;break}while(0);f=i+(d<<3)|0;c=f;h=i+(e<<3)|0;y=0;oa(464,f|0,b|0);g=y;y=0;a:do if(g&1){e=pb()|0;d=c}else{k[i+(d<<3)+4>>2]=k[b+4>>2];d=f+8|0;g=k[a>>2]|0;e=k[l>>2]|0;do if((e|0)==(g|0)){e=c;b=g;c=g}else{while(1){b=e;e=e+-8|0;y=0;oa(464,f+-8|0,e|0);m=y;y=0;if(m&1){f=18;break}k[f+-4>>2]=k[b+-4>>2];f=c+-8|0;c=f;if((e|0)==(g|0)){f=12;break}}if((f|0)==12){e=c;b=k[a>>2]|0;c=k[l>>2]|0;break}else if((f|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[l>>2]=d;k[j>>2]=h;d=b;if((c|0)!=(d|0))do{c=c+-8|0;EO(c)}while((c|0)!=(d|0));if(!b)return;zqa(b);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;EO(d)}while((d|0)!=(c|0));if(!i)sb(e|0);zqa(i);sb(e|0)}function Uo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=a+4|0;d=k[l>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){OM(a);c=k[a>>2]|0;d=k[l>>2]|0}j=a+8|0;g=(k[j>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){l=gb(4)|0;doa(l);Wb(l|0,4496,348)}else{h=ZL(e<<3)|0;break}while(0);d=h+(c<<3)|0;f=d|0;c=f;g=h+(e<<3)|0;i[f>>0]=i[b>>0]|0;y=0;oa(464,d+4|0,b+4|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+8|0;b=k[a>>2]|0;e=k[l>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){m=e;e=e+-8|0;i[f+-8>>0]=i[e>>0]|0;y=0;oa(464,f+-4|0,m+-4|0);f=y;y=0;if(f&1){b=18;break}f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[l>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[l>>2]=d;k[j>>2]=g;d=f;if((c|0)!=(d|0))do{EO(c+-4|0);c=c+-8|0}while((c|0)!=(d|0));if(!f)return;zqa(d);return}while(0);if((d|0)!=(c|0))do{EO(d+-4|0);d=d+-8|0}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Vo(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,q=0;q=0;m=r;r=r+112|0;i=m+64|0;j=m+24|0;o=m+12|0;l=m;n=ZL(104)|0;b=j;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,35329,6);g=y;y=0;if(g&1){q=pb()|0;zqa(n);sb(q|0)}y=0;b=i;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(24,o|0,a|0,d|0,i|0,f|0)|0;f=y;y=0;do if(f&1)q=7;else{h=+p[b+72>>3];k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(75,l|0,82159,0);f=y;y=0;if(f&1)q=7;else{y=0;b=i;c=j;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));Ca(1,n|0,i|0,+h,l|0,1);f=y;y=0;if(f&1){b=pb()|0;$9(l);break}else{$9(l);$9(o);r=m;return n|0}}}while(0);if((q|0)==7)b=pb()|0;$9(o);q=b;zqa(n);sb(q|0);return 0}function Wo(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,q=0;q=0;m=r;r=r+112|0;i=m+64|0;j=m+24|0;o=m+12|0;l=m;n=ZL(104)|0;b=j;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,35329,6);g=y;y=0;if(g&1){q=pb()|0;zqa(n);sb(q|0)}y=0;b=i;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(24,o|0,a|0,d|0,i|0,f|0)|0;f=y;y=0;do if(f&1)q=7;else{h=+p[b+80>>3];k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(75,l|0,82159,0);f=y;y=0;if(f&1)q=7;else{y=0;b=i;c=j;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));Ca(1,n|0,i|0,+h,l|0,1);f=y;y=0;if(f&1){b=pb()|0;$9(l);break}else{$9(l);$9(o);r=m;return n|0}}}while(0);if((q|0)==7)b=pb()|0;$9(o);q=b;zqa(n);sb(q|0);return 0}function Xo(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,q=0;q=0;m=r;r=r+112|0;i=m+64|0;j=m+24|0;o=m+12|0;l=m;n=ZL(104)|0;b=j;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,35329,6);g=y;y=0;if(g&1){q=pb()|0;zqa(n);sb(q|0)}y=0;b=i;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(24,o|0,a|0,d|0,i|0,f|0)|0;f=y;y=0;do if(f&1)q=7;else{h=+p[b+64>>3];k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(75,l|0,82159,0);f=y;y=0;if(f&1)q=7;else{y=0;b=i;c=j;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));Ca(1,n|0,i|0,+h,l|0,1);f=y;y=0;if(f&1){b=pb()|0;$9(l);break}else{$9(l);$9(o);r=m;return n|0}}}while(0);if((q|0)==7)b=pb()|0;$9(o);q=b;zqa(n);sb(q|0);return 0}function Yo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;h=0;g=e+8|0;a:while(1){a=k[b>>2]|0;do if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0))if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1){k[b>>2]=0;a=0;break}else{a=k[b>>2]|0;break}while(0);a=(a|0)==0;e=k[c>>2]|0;do if(!e)h=12;else{if((k[e+12>>2]|0)!=(k[e+16>>2]|0))if(a)break;else break a;if((oc[k[(k[e>>2]|0)+36>>2]&511](e)|0)==-1){k[c>>2]=0;h=12;break}else if(a)break;else break a}while(0);if((h|0)==12){h=0;if(a){e=0;break}else e=0}a=k[b>>2]|0;f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=l[f>>0]|0;if((a&255)<<24>>24<=-1)break;if(!(j[(k[g>>2]|0)+(a<<24>>24<<1)>>1]&8192))break;a=k[b>>2]|0;e=a+12|0;f=k[e>>2]|0;if((f|0)==(k[a+16>>2]|0)){oc[k[(k[a>>2]|0)+40>>2]&511](a)|0;continue}else{k[e>>2]=f+1;continue}}a=k[b>>2]|0;do if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0))if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1){k[b>>2]=0;a=0;break}else{a=k[b>>2]|0;break}while(0);a=(a|0)==0;do if(!e)h=32;else{if((k[e+12>>2]|0)==(k[e+16>>2]|0))if((oc[k[(k[e>>2]|0)+36>>2]&511](e)|0)==-1){k[c>>2]=0;h=32;break}if(!a)h=33}while(0);if((h|0)==32)if(a)h=33;if((h|0)==33)k[d>>2]=k[d>>2]|2;return}function Zo(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0;j=0;k[c>>2]=a;k[f>>2]=d;l=e;if(!(h&2))j=4;else if((l-d|0)<3)a=1;else{k[f>>2]=d+1;i[d>>0]=-17;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=-69;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=-65;j=4}a:do if((j|0)==4){a=k[c>>2]|0;while(1){if(a>>>0>=b>>>0){a=0;break a}d=k[a>>2]|0;if(d>>>0>g>>>0|(d&-2048|0)==55296){a=2;break a}do if(d>>>0<128){a=k[f>>2]|0;if((l-a|0)<1){a=1;break a}k[f>>2]=a+1;i[a>>0]=d}else{if(d>>>0<2048){a=k[f>>2]|0;if((l-a|0)<2){a=1;break a}k[f>>2]=a+1;i[a>>0]=d>>>6|192;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=d&63|128;break}a=k[f>>2]|0;e=l-a|0;if(d>>>0<65536){if((e|0)<3){a=1;break a}k[f>>2]=a+1;i[a>>0]=d>>>12|224;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=d>>>6&63|128;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=d&63|128;break}else{if((e|0)<4){a=1;break a}k[f>>2]=a+1;i[a>>0]=d>>>18|240;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=d>>>12&63|128;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=d>>>6&63|128;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=d&63|128;break}}while(0);a=(k[c>>2]|0)+4|0;k[c>>2]=a}}while(0);return a|0}function _o(a){a=a|0;var b=0,c=0,d=0,e=0;if((i[a>>0]|0)!=39){e=0;return e|0}d=a+1|0;b=i[d>>0]|0;c=a+2|0;if(b<<24>>24==92){a=Lja(c)|0;if(!a){b=i[d>>0]|0;e=5}else e=11}else e=5;a:do if((e|0)==5){a=b<<24>>24==35;b:do if(a)if((i[c>>0]|0)==123)e=10;else{a=c;e=11;break a}else{switch(b<<24>>24){case 0:{a=0;break a}case 39:{a=41778;break b}default:{}}if(b<<24>>24==92)a=41779;else e=10}while(0);if((e|0)==10)a=a?41780:41781;if(!(i[a>>0]|0)){a=c;e=11}else{a=d;e=21}}while(0);if((e|0)==11){c:while(1){e=0;b=i[a>>0]|0;d=a+1|0;if(b<<24>>24==92){b=Lja(d)|0;if(b|0){a=b;e=11;continue}b=i[a>>0]|0}c=b<<24>>24==35;d:do if(c)if((i[d>>0]|0)==123)e=19;else{a=d;e=11;continue c}else{switch(b<<24>>24){case 0:break c;case 39:{c=41778;break d}default:{}}if(b<<24>>24==92)c=41779;else e=19}while(0);if((e|0)==19)c=c?41780:41781;if(!(i[c>>0]|0)){a=d;e=11}else break}if(!a){e=0;return e|0}else e=21}if((e|0)==21)if(b<<24>>24==39){e=a+1|0;return e|0}else{d=a;a=b}b=i[44181]|0;e:do if(!(b<<24>>24)){a=d;b=0}else if(a<<24>>24==b<<24>>24){a=d;c=44181;do{a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break e}}while((i[a>>0]|0)==b<<24>>24)}else a=d;while(0);e=b<<24>>24==0&(a|0)!=0?d:0;return e|0}function $o(a){a=a|0;var b=0,c=0,d=0,e=0;if((i[a>>0]|0)!=34){e=0;return e|0}d=a+1|0;b=i[d>>0]|0;c=a+2|0;if(b<<24>>24==92){a=Lja(c)|0;if(!a){b=i[d>>0]|0;e=5}else e=11}else e=5;a:do if((e|0)==5){a=b<<24>>24==35;b:do if(a)if((i[c>>0]|0)==123)e=10;else{a=c;e=11;break a}else{switch(b<<24>>24){case 0:{a=0;break a}case 34:{a=41774;break b}default:{}}if(b<<24>>24==92)a=41775;else e=10}while(0);if((e|0)==10)a=a?41776:41777;if(!(i[a>>0]|0)){a=c;e=11}else{a=d;e=21}}while(0);if((e|0)==11){c:while(1){e=0;b=i[a>>0]|0;d=a+1|0;if(b<<24>>24==92){b=Lja(d)|0;if(b|0){a=b;e=11;continue}b=i[a>>0]|0}c=b<<24>>24==35;d:do if(c)if((i[d>>0]|0)==123)e=19;else{a=d;e=11;continue c}else{switch(b<<24>>24){case 0:break c;case 34:{c=41774;break d}default:{}}if(b<<24>>24==92)c=41775;else e=19}while(0);if((e|0)==19)c=c?41776:41777;if(!(i[c>>0]|0)){a=d;e=11}else break}if(!a){e=0;return e|0}else e=21}if((e|0)==21)if(b<<24>>24==34){e=a+1|0;return e|0}else{d=a;a=b}b=i[44181]|0;e:do if(!(b<<24>>24)){a=d;b=0}else if(a<<24>>24==b<<24>>24){a=d;c=44181;do{a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break e}}while((i[a>>0]|0)==b<<24>>24)}else a=d;while(0);e=b<<24>>24==0&(a|0)!=0?d:0;return e|0}function ap(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;h=a+11|0;j=i[h>>0]|0;l=a+4|0;c=b+11|0;if(!((j<<24>>24<0?k[l>>2]|0:j&255)|0)){j=i[c>>0]|0;if(!((j<<24>>24<0?k[b+4>>2]|0:j&255)|0)){b=1;return b|0}c=b+11|0;j=i[c>>0]|0;e=b+4|0;if(((j<<24>>24<0?k[e>>2]|0:j&255)|0)==1){y=0;d=sa(21,b|0,0,-1,44238,1)|0;j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}if(!d){b=1;return b|0}}}else e=b+4|0;d=i[c>>0]|0;f=k[e>>2]|0;do if(!((d<<24>>24<0?f:d&255)|0)){j=i[h>>0]|0;if(((j<<24>>24<0?k[l>>2]|0:j&255)|0)==1){y=0;d=sa(21,a|0,0,-1,44238,1)|0;j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}if(!d){b=1;return b|0}else{g=i[c>>0]|0;f=k[e>>2]|0;break}}else g=d}else g=d;while(0);d=i[h>>0]|0;j=d<<24>>24<0;d=d&255;h=j?k[l>>2]|0:d;c=g<<24>>24<0;if((h|0)!=((c?f:g&255)|0)){b=0;return b|0}f=k[a>>2]|0;g=j?f:a;c=c?k[b>>2]|0:b;e=(h|0)==0;if(j){if(e){b=1;return b|0}b=(zM(g,c,h)|0)==0;return b|0}if(e){b=1;return b|0}if((f&255)<<24>>24!=(i[c>>0]|0)){b=0;return b|0}while(1){d=d+-1|0;a=a+1|0;if(!d){a=1;c=22;break}c=c+1|0;if((i[a>>0]|0)!=(i[c>>0]|0)){a=0;c=22;break}}if((c|0)==22)return a|0;return 0}function bp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0;l=r;r=r+64|0;f=l+16|0;g=l;Oda(a);k[a>>2]=4860;h=a+12|0;c=h;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=4940;n=k[b+52>>2]|0;i[a+52>>0]=n;i[a+53>>0]=(n&65535)>>>8;i[a+54>>0]=n>>>16;k[a+56>>2]=k[b+56>>2];k[a>>2]=8284;n=a+60|0;y=0;oa(464,n|0,b+60|0);m=y;y=0;if(m&1){n=pb()|0;sb(n|0)}m=a+64|0;y=0;oa(452,m|0,b+64|0);e=y;y=0;if(e&1)c=pb()|0;else{c=j[b+76>>1]|0;d=c&255;i[a+76>>0]=d;i[a+77>>0]=(c&65535)>>>8;k[a+80>>2]=k[b+80>>2];c=i[m+11>>0]|0;if(c<<24>>24<0)c=k[a+68>>2]|0;else c=c&255;if((c|0)==0|d<<24>>24==0){r=l;return}k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,36650,50);a=y;y=0;do if(a&1)c=pb()|0;else{y=0;c=f;d=h;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));oa(458,g|0,f|0);h=y;y=0;if(h&1){c=pb()|0;$9(g);break}$9(g);r=l;return}while(0);$9(m)}EO(n);n=c;sb(n|0)}function cp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0;a:do if(b>>>0<=20)do switch(b|0){case 9:{d=(k[c>>2]|0)+(4-1)&~(4-1);b=k[d>>2]|0;k[c>>2]=d+4;k[a>>2]=b;break a}case 10:{d=(k[c>>2]|0)+(4-1)&~(4-1);b=k[d>>2]|0;k[c>>2]=d+4;d=a;k[d>>2]=b;k[d+4>>2]=((b|0)<0)<<31>>31;break a}case 11:{d=(k[c>>2]|0)+(4-1)&~(4-1);b=k[d>>2]|0;k[c>>2]=d+4;d=a;k[d>>2]=b;k[d+4>>2]=0;break a}case 12:{d=(k[c>>2]|0)+(8-1)&~(8-1);b=d;e=k[b>>2]|0;b=k[b+4>>2]|0;k[c>>2]=d+8;d=a;k[d>>2]=e;k[d+4>>2]=b;break a}case 13:{e=(k[c>>2]|0)+(4-1)&~(4-1);d=k[e>>2]|0;k[c>>2]=e+4;d=(d&65535)<<16>>16;e=a;k[e>>2]=d;k[e+4>>2]=((d|0)<0)<<31>>31;break a}case 14:{e=(k[c>>2]|0)+(4-1)&~(4-1);d=k[e>>2]|0;k[c>>2]=e+4;e=a;k[e>>2]=d&65535;k[e+4>>2]=0;break a}case 15:{e=(k[c>>2]|0)+(4-1)&~(4-1);d=k[e>>2]|0;k[c>>2]=e+4;d=(d&255)<<24>>24;e=a;k[e>>2]=d;k[e+4>>2]=((d|0)<0)<<31>>31;break a}case 16:{e=(k[c>>2]|0)+(4-1)&~(4-1);d=k[e>>2]|0;k[c>>2]=e+4;e=a;k[e>>2]=d&255;k[e+4>>2]=0;break a}case 17:{e=(k[c>>2]|0)+(8-1)&~(8-1);f=+p[e>>3];k[c>>2]=e+8;p[a>>3]=f;break a}case 18:{e=(k[c>>2]|0)+(8-1)&~(8-1);f=+p[e>>3];k[c>>2]=e+8;p[a>>3]=f;break a}default:break a}while(0);while(0);return}function dp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;d=b+76|0;f=(k[b+80>>2]|0)-(k[d>>2]|0)|0;e=(f|0)/12|0;a:do if(f|0){c=0;while(1){if(c|0){y=0;oa(461,a|0,42);f=y;y=0;if(f&1)break}h=k[d>>2]|0;h=h+(c*12|0)|0;l=h|0;f=i[l+11>>0]|0;j=f<<24>>24<0;y=0;ta(47,a|0,(j?k[l>>2]|0:l)|0,(j?k[h+4>>2]|0:f&255)|0)|0;f=y;y=0;if(f&1)break;c=c+1|0;if(c>>>0>=e>>>0)break a}l=pb()|0;$9(a);sb(l|0)}while(0);f=b+88|0;c=k[f>>2]|0;d=b+92|0;e=k[d>>2]|0;do if((c|0)!=(e|0)){y=0;oa(461,a|0,47);l=y;y=0;if(!(l&1)){e=k[d>>2]|0;c=k[f>>2]|0;break}l=pb()|0;$9(a);sb(l|0)}while(0);l=e-c|0;d=(l|0)/12|0;if(!l)return;else c=0;while(1){if(c|0){y=0;oa(461,a|0,42);l=y;y=0;if(l&1)break}j=k[f>>2]|0;j=j+(c*12|0)|0;b=j|0;l=i[b+11>>0]|0;h=l<<24>>24<0;y=0;ta(47,a|0,(h?k[b>>2]|0:b)|0,(h?k[j+4>>2]|0:l&255)|0)|0;l=y;y=0;if(l&1)break;c=c+1|0;if(c>>>0>=d>>>0){g=19;break}}if((g|0)==19)return;l=pb()|0;$9(a);sb(l|0)}function ep(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0;o=r;r=r+96|0;j=o;l=o+56|0;m=o+40|0;n=ZL(68)|0;c=l;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,36464,6);h=y;y=0;if(h&1){f=pb()|0;zqa(n);sb(f|0)}y=0;c=j;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));b=sa(27,m|0,a|0,d|0,j|0,f|0)|0;f=y;y=0;if(!(f&1)){y=0;b=qa(k[(k[b>>2]|0)+84>>2]|0,b|0)|0;f=y;y=0;if(!(f&1)){c=j;g=l;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));y=0;na(366,n|0);f=y;y=0;if(!(f&1)){c=n+12|0;g=j;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;k[n>>2]=9208;i[n+60>>0]=b&1;k[n+64>>2]=0;k[n+56>>2]=1;$9(m);r=o;return n|0}}}f=pb()|0;$9(m);zqa(n);sb(f|0);return 0}function fp(a){a=a|0;var b=0,c=0,d=0;c=0;b=yO(a)|0;if(!b){b=ns(a)|0;if(!b){if(!a){d=0;return d|0}}else c=3}else c=3;if((c|0)==3)while(1){c=0;a=yO(b)|0;if(a|0){b=a;c=3;continue}a=ns(b)|0;if(!a){a=b;break}else{b=a;c=3}}b=a+1|0;switch(i[a>>0]|0){case 33:{c=7;break}case 41:case 40:case 44:{d=b;return d|0}default:{}}a:do if((c|0)==7){b=vt(b)|0;if(b|0){c=i[32531]|0;if(c<<24>>24){d=32531;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}b=aP(b)|0;if(b|0){d=b;return d|0}}}while(0);b=yq(a)|0;if(b|0){d=b;return d|0}d=Wj(a)|0;return d|0}function gp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0;n=0;o=r;r=r+16|0;g=o;h=a+72|0;k[h>>2]=(k[h>>2]|0)+-1;j=a+80|0;k[j>>2]=0;m=a+68|0;a:do switch(k[k[m>>2]>>2]|0){case 3:{i[a+84>>0]=0;break}case 1:{if(!(i[a+95>>0]|0))n=5;else if(!(i[a+97>>0]|0))n=5;if((n|0)==5){k[j>>2]=1;k[a+76>>2]=0}Yw(a);break}default:{f=a+4|0;c=i[f+11>>0]|0;d=c<<24>>24<0;if(d)e=k[a+8>>2]|0;else e=c&255;if(e|0){if(d)c=k[a+8>>2]|0;else c=c&255;f=aN(f,c+-1|0)|0;if(dma(l[f>>0]|0)|0)if(!(i[a+84>>0]|0))break a;k[a+76>>2]=1}}}while(0);k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,45708,1);y=0;oa(605,a|0,g|0);f=y;y=0;if(f&1){o=pb()|0;$9(g);sb(o|0)}$9(g);if(b|0)Cw(a+16|0,b);if(!(i[a+95>>0]|0))n=23;else if(!(i[a+97>>0]|0))n=23;b:do if((n|0)==23)switch(k[k[m>>2]>>2]|0){case 3:break b;case 2:{k[a+76>>2]=1;break b}default:{k[j>>2]=1;k[a+76>>2]=0;break b}}while(0);if(k[h>>2]|0){r=o;return}if((k[k[m>>2]>>2]|0)==3){r=o;return}k[j>>2]=2;r=o;return}function hp(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0;n=r;r=r+48|0;j=n;m=n+40|0;_V(m,0);l=j;h=l+40|0;do{k[l>>2]=k[b>>2];l=l+4|0;b=b+4|0}while((l|0)<(h|0));y=0;na(366,a|0);l=y;y=0;do if(l&1)b=pb()|0;else{l=a+12|0;b=j;h=l+40|0;do{k[l>>2]=k[b>>2];l=l+4|0;b=b+4|0}while((l|0)<(h|0));k[a+52>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;h=a+64|0;y=0;oa(464,h|0,m|0);l=y;y=0;if(l&1){b=pb()|0;break}EO(m);k[a>>2]=7276;b=a+68|0;y=0;oa(452,b|0,d|0);m=y;y=0;do if(m&1)b=pb()|0;else{y=0;oa(464,a+80|0,e|0);m=y;y=0;if(m&1){n=pb()|0;$9(b);b=n;break}else{k[a+84>>2]=0;k[a+88>>2]=1;k[a+92>>2]=f;k[a+96>>2]=0;k[a+100>>2]=0;i[a+104>>0]=g&1;k[a+108>>2]=c;r=n;return}}while(0);k[a>>2]=5436;EO(h);a=b;sb(a|0)}while(0);EO(m);a=b;sb(a|0)}function ip(a){a=a|0;var b=0;a=vt(a)|0;if(!a){b=0;return b|0}if((i[a>>0]|0)!=44){b=0;return b|0}a=vt(a+1|0)|0;if(!a){b=0;return b|0}a=Lq(a)|0;if(!a){b=0;return b|0}a=vt(a)|0;if(!a){b=0;return b|0}if((i[a>>0]|0)!=61){b=0;return b|0}b=vt(a+1|0)|0;if(!b){b=0;return b|0}a=b+1|0;if((i[b>>0]|0)==36){if((i[a>>0]|0)==45)do a=a+1|0;while((i[a>>0]|0)==45);a=kw(a)|0;if(a|0){a=iw(a)|0;if(a|0){b=a;return b|0}}}b=up(b)|0;return b|0}function jp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;if(ox(a)|0){f=a;return f|0}f=i[32605]|0;if(!(f<<24>>24)){while(1){c=Qda(a)|0;if(!c){c=Mia(a)|0;if(!c)c=Mz(a)|0}if((c|0)==(a|0)|(c|0)==0){c=0;a=17;break}if(!(ox(c)|0))a=c;else{a=17;break}}if((a|0)==17)return c|0}else e=a;while(1){d=i[e>>0]|0;a=32605;c=f;while(1){if(d<<24>>24==c<<24>>24){a=11;break}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=13;break}}if((a|0)==11){a=0;if(!(d<<24>>24))a=13;else b=e+1|0}if((a|0)==13){b=Qda(e)|0;if(!b){b=Mia(e)|0;if(!b)b=Mz(e)|0}if((b|0)==(e|0)|(b|0)==0){c=0;a=17;break}}if(!(ox(b)|0))e=b;else{c=b;a=17;break}}if((a|0)==17)return c|0;return 0}function kp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=r;r=r+32|0;h=l+12|0;j=l;b=pw(b,40,1200,0)|0;if(!b){j=0;r=l;return j|0}y=0;oa(452,h|0,a+60|0);g=y;y=0;do if(g&1){a=cb(4592,0)|0;b=N}else{y=0;oa(452,j|0,b+60|0);g=y;y=0;if(g&1){a=cb(4592,0)|0;b=N;$9(h);break}c=i[h+11>>0]|0;d=c<<24>>24<0;c=c&255;e=d?k[h+4>>2]|0:c;g=i[j+11>>0]|0;b=g<<24>>24<0;a:do if((e|0)==((b?k[j+4>>2]|0:g&255)|0)){f=k[h>>2]|0;g=d?f:h;b=b?k[j>>2]|0:j;a=(e|0)==0;if(d){if(a){b=1;break}b=(zM(g,b,e)|0)==0;break}if(a)b=1;else if((f&255)<<24>>24==(i[b>>0]|0)){a=h;while(1){c=c+-1|0;a=a+1|0;if(!c){b=1;break a}b=b+1|0;if((i[a>>0]|0)!=(i[b>>0]|0)){b=0;break}}}else b=0}else b=0;while(0);$9(j);$9(h);j=b;r=l;return j|0}while(0);j=(b|0)==(ob(4592)|0);vb(a|0)|0;if(j){rb();j=0;r=l;return j|0}y=0;la(4);y=0;b=pb()|0;y=0;la(3);l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}else sb(b|0);return 0}function lp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;g=r;r=r+96|0;e=g;c=g+56|0;j=g+40|0;f=c;h=b+12|0;i=f+40|0;do{k[f>>2]=k[h>>2];f=f+4|0;h=h+4|0}while((f|0)<(i|0));pK(j,76496);f=e;h=c;i=f+40|0;do{k[f>>2]=k[h>>2];f=f+4|0;h=h+4|0}while((f|0)<(i|0));y=0;oa(629,a|0,j|0);i=y;y=0;if(i&1)c=pb()|0;else{k[a>>2]=14052;d=a+8|0;y=0;oa(452,d|0,j|0);i=y;y=0;do if(i&1)c=pb()|0;else{c=a+20|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(75,c|0,47013,5);i=y;y=0;if(i&1){c=pb()|0;$9(d);break}f=a+32|0;h=e;i=f+40|0;do{k[f>>2]=k[h>>2];f=f+4|0;h=h+4|0}while((f|0)<(i|0));k[a+72>>2]=0;$9(j);k[a>>2]=19108;k[a+76>>2]=b;y=0;Ha(1006,d|0,47205)|0;j=y;y=0;if(!(j&1)){r=g;return}j=pb()|0;k[a>>2]=14052;$9(c);$9(d);cda(a);sb(j|0)}while(0);cda(a)}$9(j);j=c;sb(j|0)}function mp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h;f=a+4|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44122,1);y=0;oa(605,f|0,e|0);g=y;y=0;if(g&1){h=pb()|0;$9(e);sb(h|0)}$9(e);g=b+64|0;c=k[g>>2]|0;d=b+68|0;a:do if((c|0)!=(k[d>>2]|0)){c=k[c>>2]|0;mc[k[(k[c>>2]|0)+40>>2]&1023](c,a);c=(k[d>>2]|0)-(k[b+64>>2]|0)>>2;if(c>>>0>1){b=1;while(1){k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44139,2);y=0;oa(605,f|0,e|0);d=y;y=0;if(d&1)break;$9(e);d=k[(k[g>>2]|0)+(b<<2)>>2]|0;mc[k[(k[d>>2]|0)+40>>2]&1023](d,a);b=b+1|0;if(b>>>0>=c>>>0)break a}h=pb()|0;$9(e);sb(h|0)}}while(0);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44127,1);y=0;oa(605,f|0,e|0);g=y;y=0;if(!(g&1)){$9(e);r=h;return}h=pb()|0;$9(e);sb(h|0)}function np(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;p=r;r=r+16|0;i=p+4|0;j=p;m=a+76|0;l=a+80|0;f=k[l>>2]|0;e=k[m>>2]|0;h=f-e>>2;o=b+76|0;n=b+80|0;d=k[n>>2]|0;c=k[o>>2]|0;g=d-c>>2;h=g>>>0<h>>>0?g:h;do if(h){g=a+76|0;a=b+76|0;d=0;c=0;while(1){rT(i,e+(d<<2)|0);y=0;oa(464,j|0,(k[a>>2]|0)+(d<<2)|0);b=y;y=0;if(b&1){a=7;break}e=k[i>>2]|0;f=k[j>>2]|0;if(!f){e=0;c=0}else if(!e){e=0;c=1}else{y=0;e=Ha(k[(k[e>>2]|0)+168>>2]|0,e|0,f|0)|0;b=y;y=0;if(b&1){a=8;break}if(e)e=1;else{y=0;c=Ha(968,k[i>>2]|0,k[j>>2]|0)|0;b=y;y=0;if(b&1){a=8;break}else e=0}}EO(j);EO(i);d=d+1|0;if(!e){a=17;break}if(d>>>0>=h>>>0){a=15;break}e=k[g>>2]|0}if((a|0)==7){p=pb()|0;EO(i);sb(p|0)}else if((a|0)==8){p=pb()|0;EO(j);EO(i);sb(p|0)}else if((a|0)==15){f=k[l>>2]|0;e=k[m>>2]|0;d=k[n>>2]|0;c=k[o>>2]|0;break}else if((a|0)==17){r=p;return c|0}}while(0);o=(f-e|0)>>>0<(d-c|0)>>>0;r=p;return o|0}function op(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0;o=r;r=r+96|0;j=o;l=o+56|0;m=o+40|0;n=ZL(68)|0;c=l;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,36062,7);h=y;y=0;if(h&1){f=pb()|0;zqa(n);sb(f|0)}y=0;c=j;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));b=sa(23,m|0,a|0,d|0,j|0,f|0)|0;f=y;y=0;if(!(f&1)){y=0;b=qa(353,b|0)|0;f=y;y=0;if(!(f&1)){c=j;g=l;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));y=0;na(366,n|0);f=y;y=0;if(!(f&1)){c=n+12|0;g=j;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;k[n>>2]=9208;i[n+60>>0]=b&1;k[n+64>>2]=0;k[n+56>>2]=1;$9(m);r=o;return n|0}}}f=pb()|0;$9(m);zqa(n);sb(f|0);return 0}function pp(a){a=a|0;var b=0,c=0.0,d=0,e=0,f=0;e=a+108|0;b=k[e>>2]|0;if(b|0){e=b;return e|0}c=+p[a+88>>3];if(c==0.0)d=0;else{p[u>>3]=c;b=aa(k[u>>2]|0,1540483477)|0;d=aa(k[u+4>>2]|0,1540483477)|0;d=(aa((aa(b>>>24^b,1540483477)|0)^-561034072,1540483477)|0)^(aa(d>>>24^d,1540483477)|0);d=aa(d>>>13^d,1540483477)|0;d=d>>>15^d}k[e>>2]=d;c=+p[a+64>>3];if(c==0.0)b=-1640531527;else{p[u>>3]=c;f=aa(k[u>>2]|0,1540483477)|0;b=aa(k[u+4>>2]|0,1540483477)|0;b=(aa((aa(f>>>24^f,1540483477)|0)^-561034072,1540483477)|0)^(aa(b>>>24^b,1540483477)|0);b=aa(b>>>13^b,1540483477)|0;b=(b>>>15^b)+-1640531527|0}d=(d<<6)+b+(d>>>2)^d;k[e>>2]=d;c=+p[a+72>>3];if(c==0.0)b=-1640531527;else{p[u>>3]=c;f=aa(k[u>>2]|0,1540483477)|0;b=aa(k[u+4>>2]|0,1540483477)|0;b=(aa((aa(f>>>24^f,1540483477)|0)^-561034072,1540483477)|0)^(aa(b>>>24^b,1540483477)|0);b=aa(b>>>13^b,1540483477)|0;b=(b>>>15^b)+-1640531527|0}d=(d<<6)+b+(d>>>2)^d;k[e>>2]=d;c=+p[a+80>>3];if(c==0.0)b=-1640531527;else{p[u>>3]=c;f=aa(k[u>>2]|0,1540483477)|0;b=aa(k[u+4>>2]|0,1540483477)|0;b=(aa((aa(f>>>24^f,1540483477)|0)^-561034072,1540483477)|0)^(aa(b>>>24^b,1540483477)|0);b=aa(b>>>13^b,1540483477)|0;b=(b>>>15^b)+-1640531527|0}f=(d<<6)+b+(d>>>2)^d;k[e>>2]=f;return f|0}function qp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;m=r;r=r+48|0;f=m+32|0;b=m+28|0;c=m+24|0;h=m+20|0;d=m+16|0;e=m+12|0;i=m+8|0;j=m+4|0;l=m;g=a+80|0;rT(f,g);n=k[f>>2]|0;k[h>>2]=n;a:do if(!n)EO(h);else{y=0;oa(464,c|0,g|0);n=y;y=0;do if(n&1)a=pb()|0;else{n=k[c>>2]|0;k[e>>2]=n;y=0;oa(464,b|0,n+80|0);n=y;y=0;if(n&1){a=pb()|0;EO(e);break}n=k[b>>2]|0;k[d>>2]=n;EO(d);EO(e);EO(h);if(!n)break a;rT(f,g);a=k[f>>2]|0;k[l>>2]=a;y=0;a=qa(337,a|0)|0;n=y;y=0;if(n&1){n=pb()|0;EO(l);sb(n|0)}else{EO(l);n=a;r=m;return n|0}}while(0);EO(h);n=a;sb(n|0)}while(0);n=a+72|0;a=k[n>>2]|0;k[n>>2]=0;_V(j,0);y=0;Ha(966,g|0,j|0)|0;n=y;y=0;if(!(n&1)){y=0;oa(464,f|0,g|0);n=y;y=0;if(!(n&1)){k[i>>2]=k[f>>2];EO(i);EO(j);n=a;r=m;return n|0}}n=pb()|0;EO(j);sb(n|0);return 0}function rp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=oW(e)|0;e=f|0?f:e}b=fha(e)|0;if(!b){b=qL(e)|0;if(!b){b=sL(e)|0;if(!b){b=pL(e)|0;if(!b){b=oL(e)|0;if(!b)f=iL(e)|0;else f=b}else f=b}else f=b}else f=b}else f=b;if(f>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+152>>2]=c;k[a+156>>2]=e;k[a+160>>2]=f;b=a+84|0;m=a+96|0;gH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];gH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];nH(d,c,e,a+152|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function sp(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;n=r;r=r+64|0;j=n+16|0;l=n;Oda(a);m=a+12|0;h=m;g=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(g|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;k[a+56>>2]=0;k[a>>2]=8284;o=a+60|0;y=0;oa(464,o|0,c|0);h=y;y=0;if(h&1){o=pb()|0;sb(o|0)}c=a+64|0;y=0;oa(452,c|0,d|0);h=y;y=0;if(h&1)b=pb()|0;else{i[a+76>>0]=e&1;i[a+77>>0]=f&1;k[a+80>>2]=0;b=i[c+11>>0]|0;if(b<<24>>24<0)b=k[a+68>>2]|0;else b=b&255;if((b|0)==0|e^1){r=n;return}k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(75,l|0,36650,50);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;h=j;b=m;g=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(g|0));oa(458,l|0,j|0);m=y;y=0;if(m&1){b=pb()|0;$9(l);break}$9(l);r=n;return}while(0);$9(c)}EO(o);o=b;sb(o|0)}function tp(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=r;r=r+16|0;g=h;f=b+4|0;d=k[f>>2]|0;a:do if(!d){k[g>>2]=f;d=f;c=f}else{f=(k[d+16>>2]|0)==0;b:do if(!(k[c>>2]|0)){if(!f){f=d;while(1){d=k[f>>2]|0;if(!d)break;if(!(k[d+16>>2]|0))break b;else f=d}k[g>>2]=f;d=f;c=f;break a}}else if(f){while(1){c=d+4|0;f=k[c>>2]|0;if(!f)break;if(!(k[f+16>>2]|0))d=f;else{d=f;break b}}k[g>>2]=d;break a}while(0);k[g>>2]=d;c=g}while(0);f=k[c>>2]|0;if(f|0){b=f;e=0;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=h;return}f=ZL(32)|0;y=0;oa(464,f+16|0,k[e>>2]|0);e=y;y=0;if(e&1){b=pb()|0;zqa(f);sb(b|0)}k[f+20>>2]=0;k[f+24>>2]=0;k[f+28>>2]=0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=d;k[c>>2]=f;d=k[k[b>>2]>>2]|0;if(!d)d=f;else{k[b>>2]=d;d=k[c>>2]|0}jn(k[b+4>>2]|0,d);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=f;e=1;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=h;return}function up(a){a=a|0;var b=0,c=0;b=rj(a)|0;if(b|0){while(1){c=rj(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)!=37){a=b;return a|0}}if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=kw(b)|0;if(b|0){b=iw(b)|0;if(b|0){a=b;return a|0}}b=yq(a)|0;if(b|0){a=b;return a|0}b=XB(a)|0;if(b|0){a=b;return a|0}if((i[a>>0]|0)==35){b=k5(a+1|0)|0;if(!b)b=0;else while(1){c=k5(b)|0;if(!c)break;else b=c}}else b=0;a=b-a|0;a=(a|0)!=9&((a|0)!=4&(a|0)!=7)?0:b;return a|0}function vp(a){a=a|0;var b=0,c=0,d=0,e=0;b=i[a>>0]|0;d=a+1|0;if(b<<24>>24==92){b=Lja(d)|0;if(!b){b=i[a>>0]|0;e=4}else{d=b;e=10}}else e=4;a:do if((e|0)==4){c=b<<24>>24==35;b:do if(c)if((i[d>>0]|0)==123)e=9;else{e=10;break a}else{switch(b<<24>>24){case 0:{b=0;break a}case 39:{c=41778;break b}default:{}}if(b<<24>>24==92)c=41779;else e=9}while(0);if((e|0)==9)c=c?41780:41781;if(!(i[c>>0]|0))e=10;else{c=a;e=20}}while(0);if((e|0)==10){c:while(1){e=0;b=i[d>>0]|0;a=d+1|0;if(b<<24>>24==92){b=Lja(a)|0;if(b|0){d=b;e=10;continue}b=i[d>>0]|0}c=b<<24>>24==35;d:do if(c)if((i[a>>0]|0)==123)e=18;else{d=a;e=10;continue c}else{switch(b<<24>>24){case 0:break c;case 39:{c=41778;break d}default:{}}if(b<<24>>24==92)c=41779;else e=18}while(0);if((e|0)==18)c=c?41780:41781;if(!(i[c>>0]|0)){d=a;e=10}else break}if(!d){e=0;return e|0}else{c=d;e=20}}if((e|0)==20)if(b<<24>>24==39){e=c+1|0;return e|0}else a=c;c=i[44181]|0;e:do if(!(c<<24>>24)){b=a;c=0}else if(b<<24>>24==c<<24>>24){b=a;d=44181;do{b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){c=0;break e}}while((i[b>>0]|0)==c<<24>>24)}else b=a;while(0);e=c<<24>>24==0&(b|0)!=0?a:0;return e|0}function wp(a){a=a|0;var b=0,c=0,d=0,e=0;b=i[a>>0]|0;d=a+1|0;if(b<<24>>24==92){b=Lja(d)|0;if(!b){b=i[a>>0]|0;e=4}else{d=b;e=10}}else e=4;a:do if((e|0)==4){c=b<<24>>24==35;b:do if(c)if((i[d>>0]|0)==123)e=9;else{e=10;break a}else{switch(b<<24>>24){case 0:{b=0;break a}case 34:{c=41774;break b}default:{}}if(b<<24>>24==92)c=41775;else e=9}while(0);if((e|0)==9)c=c?41776:41777;if(!(i[c>>0]|0))e=10;else{c=a;e=20}}while(0);if((e|0)==10){c:while(1){e=0;b=i[d>>0]|0;a=d+1|0;if(b<<24>>24==92){b=Lja(a)|0;if(b|0){d=b;e=10;continue}b=i[d>>0]|0}c=b<<24>>24==35;d:do if(c)if((i[a>>0]|0)==123)e=18;else{d=a;e=10;continue c}else{switch(b<<24>>24){case 0:break c;case 34:{c=41774;break d}default:{}}if(b<<24>>24==92)c=41775;else e=18}while(0);if((e|0)==18)c=c?41776:41777;if(!(i[c>>0]|0)){d=a;e=10}else break}if(!d){e=0;return e|0}else{c=d;e=20}}if((e|0)==20)if(b<<24>>24==34){e=c+1|0;return e|0}else a=c;c=i[44181]|0;e:do if(!(c<<24>>24)){b=a;c=0}else if(b<<24>>24==c<<24>>24){b=a;d=44181;do{b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){c=0;break e}}while((i[b>>0]|0)==c<<24>>24)}else b=a;while(0);e=c<<24>>24==0&(b|0)!=0?a:0;return e|0}function xp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;h=r;r=r+112|0;c=h;d=h+96|0;e=h+100|0;f=h+56|0;l=h+40|0;Iu(a,1,0)|0;j=a+152|0;k[e>>2]=k[j>>2];k[e+4>>2]=k[j+4>>2];k[e+8>>2]=k[j+8>>2];j=a+132|0;k[j>>2]=(k[j>>2]|0)+-1;j=e+8|0;k[j>>2]=(k[j>>2]|0)+-1;j=a+76|0;k[j>>2]=(k[j>>2]|0)+-1;j=ZL(80)|0;g=f;a=a+108|0;b=g+40|0;do{k[g>>2]=k[a>>2];g=g+4|0;a=a+4|0}while((g|0)<(b|0));y=0;oa(570,l|0,e|0);g=y;y=0;if(g&1){l=pb()|0;zqa(j);sb(l|0)}g=c;a=f;b=g+40|0;do{k[g>>2]=k[a>>2];g=g+4|0;a=a+4|0}while((g|0)<(b|0));y=0;na(366,j|0);g=y;y=0;do if(g&1)a=pb()|0;else{g=j+12|0;a=c;b=g+40|0;do{k[g>>2]=k[a>>2];g=g+4|0;a=a+4|0}while((g|0)<(b|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=4;k[j>>2]=9640;i[j+60>>0]=0;i[j+61>>0]=0;y=0;oa(547,j+64|0,l|0);g=y;y=0;if(g&1){a=pb()|0;break}else{k[j+76>>2]=0;$9(l);_V(d,j);r=h;return k[d>>2]|0}}while(0);$9(l);l=a;zqa(j);sb(l|0);return 0}function yp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;h=r;r=r+32|0;d=h+12|0;c=h+8|0;e=h+4|0;f=h;g=a+4|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;jI(d,44122,1);y=0;oa(605,g|0,d|0);i=y;y=0;if(i&1){i=pb()|0;$9(d);sb(i|0)}$9(d);rT(d,b+60|0);i=k[d>>2]|0;k[c>>2]=i;y=0;oa(k[(k[i>>2]|0)+40>>2]|0,i|0,a|0);i=y;y=0;if(i&1){i=pb()|0;EO(c);sb(i|0)}EO(c);b=b+64|0;rT(d,b);i=k[d>>2]|0;k[e>>2]=i;EO(e);do if(i|0){ly(g);rT(d,b);i=k[d>>2]|0;k[f>>2]=i;y=0;oa(k[(k[i>>2]|0)+40>>2]|0,i|0,a|0);i=y;y=0;if(!(i&1)){EO(f);break}i=pb()|0;EO(f);sb(i|0)}while(0);k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;jI(d,44127,1);y=0;oa(605,g|0,d|0);i=y;y=0;if(!(i&1)){$9(d);r=h;return}i=pb()|0;$9(d);sb(i|0)}function zp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0;if((b|0)==(c|0)){c=d;l=c;l=k[l>>2]|0;c=c+4|0;c=k[c>>2]|0;d=a;a=d;k[a>>2]=l;d=d+4|0;k[d>>2]=c;return}j=d+4|0;l=c;do{f=k[j>>2]|0;h=((k[k[d>>2]>>2]|0)+4080-f|0)/24|0;i=(l-b|0)/24|0;g=(i|0)>(h|0);i=g?h:i;e=b;b=g?b+(h*24|0)|0:c;if((e|0)!=(b|0))while(1){k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];LH(f+12|0,e+12|0)|0;g=k[e+16>>2]|0;h=k[e+20>>2]|0;if(h|0)Sba(h);k[f+16>>2]=g;m=f+20|0;g=k[m>>2]|0;k[m>>2]=h;if(g|0)kZ(g);e=e+24|0;if((e|0)==(b|0))break;else f=f+24|0}do if(i|0){f=k[d>>2]|0;e=(((k[j>>2]|0)-(k[f>>2]|0)|0)/24|0)+i|0;if((e|0)>0){m=f+(((e>>>0)/170|0)<<2)|0;k[d>>2]=m;k[j>>2]=(k[m>>2]|0)+(((e>>>0)%170|0)*24|0);break}else{m=169-e|0;i=f+(((m|0)/-170|0)<<2)|0;k[d>>2]=i;k[j>>2]=(k[i>>2]|0)+((169-((m|0)%170|0)|0)*24|0);break}}while(0)}while((b|0)!=(c|0));l=d;l=k[l>>2]|0;d=d+4|0;d=k[d>>2]|0;m=a;c=m;k[c>>2]=l;m=m+4|0;k[m>>2]=d;return}function Ap(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Bp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;d=h;rT(d,b);c=k[d>>2]|0;if(!c)c=0;else{y=0;c=qa(k[(k[c>>2]|0)+8>>2]|0,c|0)|0;g=y;y=0;if(g&1){h=pb()|0;EO(d);sb(h|0)}}EO(d);e=k[a+4>>2]|0;if(!e){b=0;r=h;return b|0}f=e+-1|0;d=(f&e|0)==0;if(d)g=f&c;else g=(c>>>0)%(e>>>0)|0;c=k[(k[a>>2]|0)+(g<<2)>>2]|0;if(!c){b=0;r=h;return b|0}c=k[c>>2]|0;if(!c){b=0;r=h;return b|0}if(d){while(1){if((k[c+4>>2]&f|0)!=(g|0)){c=0;d=21;break}d=k[c+8>>2]|0;if(d|0){a=k[b>>2]|0;if(a|0)if(Fc[k[(k[d>>2]|0)+92>>2]&2047](d,a)|0){d=21;break}}c=k[c>>2]|0;if(!c){c=0;d=21;break}}if((d|0)==21){r=h;return c|0}}else{while(1){if((((k[c+4>>2]|0)>>>0)%(e>>>0)|0|0)!=(g|0)){c=0;d=21;break}d=k[c+8>>2]|0;if(d|0){a=k[b>>2]|0;if(a|0)if(Fc[k[(k[d>>2]|0)+92>>2]&2047](d,a)|0){d=21;break}}c=k[c>>2]|0;if(!c){c=0;d=21;break}}if((d|0)==21){r=h;return c|0}}return 0}function Cp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Dp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=r;r=r+16|0;e=l+4|0;f=l;g=a+4|0;h=a+97|0;j=i[h>>0]|0;i[h>>0]=1;pK(e,b+84|0);y=0;Na(139,g|0,e|0,b|0);d=y;y=0;if(d&1){l=pb()|0;$9(e);sb(l|0)}$9(e);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44122,1);y=0;oa(605,g|0,e|0);d=y;y=0;if(d&1){l=pb()|0;$9(e);sb(l|0)}$9(e);c=a+101|0;d=i[c>>0]|0;i[c>>0]=0;rT(e,b+104|0);b=k[e>>2]|0;k[f>>2]=b;y=0;oa(k[(k[b>>2]|0)+40>>2]|0,b|0,a|0);b=y;y=0;if(b&1){l=pb()|0;EO(f);sb(l|0)}EO(f);i[c>>0]=d;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44127,1);y=0;oa(605,g|0,e|0);g=y;y=0;if(!(g&1)){$9(e);i[h>>0]=j;r=l;return}l=pb()|0;$9(e);sb(l|0)}function Ep(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;j=r;r=r+48|0;g=j;h=j+40|0;rT(h,e);f=g;e=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(e|0));y=0;na(366,a|0);l=y;y=0;do if(l&1)e=pb()|0;else{f=a+12|0;b=g;e=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(e|0));e=a+52|0;k[e>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;l=a+64|0;y=0;oa(464,l|0,h|0);g=y;y=0;if(g&1){e=pb()|0;break}EO(h);k[a>>2]=6908;h=a+68|0;y=0;oa(459,h|0,c|0);c=y;y=0;if(c&1)e=pb()|0;else{y=0;oa(464,a+80|0,d|0);d=y;y=0;if(!(d&1)){k[e>>2]=20;r=j;return}e=pb()|0;g=N;b=k[h>>2]|0;if(b){c=a+72|0;f=k[c>>2]|0;if((f|0)!=(b|0)){do{j=f+-12|0;k[c>>2]=j;$9(j);f=k[c>>2]|0}while((f|0)!=(b|0));b=k[h>>2]|0}zqa(b)}}k[a>>2]=5436;EO(l);a=e;sb(a|0)}while(0);EO(h);a=e;sb(a|0)}function Fp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Gp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Hp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Ip(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Jp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Kp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Lp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Mp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Np(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Op(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Pp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0;j=0;n=r;r=r+16|0;h=n;m=a+76|0;b=k[m>>2]|0;if(b|0){m=b;r=n;return m|0}g=(k[a+80>>2]|0)==1;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;jI(h,g?47081:44139,g?1:2);g=i[h+11>>0]|0;e=g<<24>>24<0;f=e?k[h>>2]|0:h;g=e?k[h+4>>2]|0:g&255;if(g>>>0>3){e=g+-4|0;d=f;b=g;c=g;while(1){g=aa(l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24,1540483477)|0;b=(aa(g>>>24^g,1540483477)|0)^(aa(b,1540483477)|0);c=c+-4|0;if(c>>>0<=3)break;else d=d+4|0}d=e&-4;c=e-d|0;d=f+(d+4)|0}else{c=g;d=f;b=g}switch(c|0){case 3:{b=(l[d+2>>0]|0)<<16^b;j=8;break}case 2:{j=8;break}case 1:{j=9;break}default:{}}if((j|0)==8){b=(l[d+1>>0]|0)<<8^b;j=9}if((j|0)==9)b=aa((l[d>>0]|0)^b,1540483477)|0;e=aa(b>>>13^b,1540483477)|0;k[m>>2]=e>>>15^e;$9(h);e=a+64|0;b=k[e>>2]|0;d=(k[a+68>>2]|0)-b>>2;if(!d){m=k[m>>2]|0;r=n;return m|0}c=0;while(1){a=k[b+(c<<2)>>2]|0;a=(oc[k[(k[a>>2]|0)+8>>2]&511](a)|0)+-1640531527|0;b=k[m>>2]|0;b=a+(b<<6)+(b>>>2)^b;k[m>>2]=b;c=c+1|0;if((c|0)==(d|0))break;b=k[e>>2]|0}r=n;return b|0}function Qp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Rp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>1;e=g>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;c=d-c>>2;do if(!e)h=0;else if(e>>>0>1073741823){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{h=ZL(e<<2)|0;break}while(0);f=h+(c<<2)|0;c=f;g=h+(e<<2)|0;y=0;oa(464,f|0,b|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{d=f+4|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){e=e+-4|0;y=0;oa(464,f+-4|0,e|0);f=y;y=0;if(f&1){b=18;break}f=c+-4|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!f)return;zqa(f);return}while(0);if((d|0)!=(c|0))do{d=d+-4|0;EO(d)}while((d|0)!=(c|0));if(!h)sb(e|0);zqa(h);sb(e|0)}function Sp(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0;m=r;r=r+48|0;j=m;l=m+40|0;rT(l,f);h=j;f=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(f|0));y=0;na(366,a|0);h=y;y=0;do if(h&1)f=pb()|0;else{h=a+12|0;b=j;f=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(f|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=5436;j=a+64|0;y=0;oa(464,j|0,l|0);h=y;y=0;if(h&1){f=pb()|0;break}EO(l);k[a>>2]=6816;h=a+68|0;y=0;oa(452,h|0,c|0);l=y;y=0;if(l&1)f=pb()|0;else{f=a+80|0;y=0;oa(464,f|0,d|0);d=y;y=0;do if(d&1)f=pb()|0;else{y=0;oa(464,a+84|0,e|0);e=y;y=0;if(e&1){m=pb()|0;EO(f);f=m;break}else{i[a+88>>0]=g&1;k[b>>2]=21;r=m;return}}while(0);$9(h)}k[a>>2]=5436;EO(j);a=f;sb(a|0)}while(0);EO(l);a=f;sb(a|0)}function Tp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;h=j;f=b+4|0;e=k[f>>2]|0;do if(!e){k[h>>2]=f;c=f;g=f}else{while(1){f=e+16|0;g=k[c>>2]|0;if(Fc[k[(k[g>>2]|0)+160>>2]&2047](g,k[f>>2]|0)|0){f=k[e>>2]|0;if(!f){f=5;break}else e=f}else{g=k[f>>2]|0;if(!(Fc[k[(k[g>>2]|0)+160>>2]&2047](g,k[c>>2]|0)|0)){f=10;break}g=e+4|0;f=k[g>>2]|0;if(!f){f=9;break}else e=f}}if((f|0)==5){k[h>>2]=e;c=e;g=e;break}else if((f|0)==9){k[h>>2]=e;c=e;break}else if((f|0)==10){k[h>>2]=e;c=e;g=h;break}}while(0);e=k[g>>2]|0;if(e|0){b=e;d=0;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=j;return}f=ZL(20)|0;y=0;oa(464,f+16|0,d|0);d=y;y=0;if(d&1){j=pb()|0;zqa(f);sb(j|0)}k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=c;k[g>>2]=f;e=k[k[b>>2]>>2]|0;if(!e)e=f;else{k[b>>2]=e;e=k[g>>2]|0}jn(k[b+4>>2]|0,e);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=f;d=1;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=j;return}function Up(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;c=g+8|0;d=g+4|0;e=g;f=a+4|0;mc[k[(k[b>>2]|0)+148>>2]&1023](c,b);y=0;Na(139,f|0,c|0,b|0);h=y;y=0;if(h&1){h=pb()|0;$9(c);sb(h|0)}$9(c);b=b+104|0;rT(c,b);h=k[c>>2]|0;k[d>>2]=h;EO(d);if(!h){r=g;return}k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44122,1);y=0;oa(605,f|0,c|0);h=y;y=0;if(h&1){h=pb()|0;$9(c);sb(h|0)}$9(c);rT(c,b);h=k[c>>2]|0;k[e>>2]=h;y=0;oa(k[(k[h>>2]|0)+40>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;EO(e);sb(h|0)}EO(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44127,1);y=0;oa(605,f|0,c|0);h=y;y=0;if(h&1){h=pb()|0;$9(c);sb(h|0)}else{$9(c);r=g;return}}function Vp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;s=r;r=r+48|0;j=s+32|0;l=s+37|0;m=s+24|0;n=s+16|0;o=s+36|0;p=s+8|0;q=s+4|0;h=s;e=0;g=a;while(1){f=g+12|0;d=k[f>>2]|0;if(!d)d=0;else d=(k[d+12>>2]|0)!=0;if(!(e|d)){d=11;break}if((tu(g,b)|0)!=(g+4|0)){d=6;break}e=(i[g+16>>0]|0)!=0;g=k[f>>2]|0}if((d|0)==6){rT(q,c);k[j>>2]=b;y=0;ya(15,m|0,g|0,b|0,80081,j|0,l|0);p=y;y=0;if(!(p&1)){y=0;Ha(966,(k[m>>2]|0)+28|0,q|0)|0;p=y;y=0;if(!(p&1)){EO(q);r=s;return}}s=pb()|0;EO(q);sb(s|0)}else if((d|0)==11){rT(h,c);k[n>>2]=b;y=0;ya(15,p|0,a|0,b|0,80081,n|0,o|0);q=y;y=0;if(!(q&1)){y=0;Ha(966,(k[p>>2]|0)+28|0,h|0)|0;q=y;y=0;if(!(q&1)){EO(h);r=s;return}}s=pb()|0;EO(h);sb(s|0)}}function Wp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}e=e<<24>>24==42?f+1|0:f;if(!e)g=0;else{b=CN(e)|0;if(!b)g=0;else{e=Qz(b)|0;if(!e)e=b;else while(1){b=Qz(e)|0;if(!b)break;else e=b}if(e>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=e}}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;n=a+96|0;gH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];gH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];nH(d,c,e,a+152|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Xp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;g=r;r=r+16|0;h=g+8|0;e=g+4|0;i=g;d=a+60|0;f=a+96|0;b=k[f>>2]|0;if(b|0){i=b;r=g;return i|0}b=k[a+84>>2]|0;c=k[a+88>>2]|0;if((b|0)==(c|0)){i=0;r=g;return i|0}a=b;while(1){rT(h,a);b=k[h>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;j=y;y=0;if(j&1){a=9;break}j=k[f>>2]|0;k[f>>2]=b+-1640531527+(j<<6)+(j>>>2)^j;y=0;oa(464,i|0,h|0);j=y;y=0;if(j&1){a=10;break}y=0;b=Ha(965,d|0,i|0)|0;j=y;y=0;if(j&1){a=11;break}k[e>>2]=b;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;j=y;y=0;if(j&1){a=12;break}j=k[f>>2]|0;k[f>>2]=b+-1640531527+(j<<6)+(j>>>2)^j;EO(e);EO(i);EO(h);a=a+4|0;if((a|0)==(c|0)){a=15;break}}if((a|0)==9){j=pb()|0;EO(h);sb(j|0)}else if((a|0)==10){j=pb()|0;EO(h);sb(j|0)}else if((a|0)==11)b=pb()|0;else if((a|0)==12){b=pb()|0;EO(e)}else if((a|0)==15){j=k[f>>2]|0;r=g;return j|0}EO(i);j=b;EO(h);sb(j|0);return 0}function Yp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;if(b>>>0>1073741807)LM(a);l=a+8|0;h=l+3|0;e=i[h>>0]|0;f=e<<24>>24<0;if(f){j=k[a+4>>2]|0;d=(k[l>>2]&2147483647)+-1|0}else{j=e&255;d=1}g=j>>>0>b>>>0?j:b;b=g>>>0<2;g=b?1:(g+4&-4)+-1|0;a:do if((g|0)!=(d|0)){do if(b){b=k[a>>2]|0;if(f){c=b;d=0;b=a;e=21}else{Saa(a,b,(e&255)+1|0)|0;zqa(b);e=23}}else{b=g+1|0;c=b>>>0>1073741823;do if(g>>>0>d>>>0)if(c){l=gb(4)|0;doa(l);Wb(l|0,4496,348)}else{b=ZL(b<<2)|0;break}else{if(c){l=gb(4)|0;doa(l);y=0;Na(76,l|0,4496,348);y=0}else{y=0;b=qa(332,b<<2|0)|0;d=y;y=0;if(!(d&1))break}l=tb(0)|0;vb(l|0)|0;rb();break a}while(0);if(f){c=k[a>>2]|0;d=1;e=21;break}else{Saa(b,a,(e&255)+1|0)|0;e=22;break}}while(0);if((e|0)==21){Saa(b,c,(k[a+4>>2]|0)+1|0)|0;zqa(c);if(d)e=22;else e=23}if((e|0)==22){k[l>>2]=g+1|-2147483648;k[a+4>>2]=j;k[a>>2]=b;break}else if((e|0)==23){i[h>>0]=j;break}}while(0);return}
function Vj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;n=k[a>>2]|0;h=n;n=n+((k[b>>2]|0)-h>>2<<2)|0;o=a+4|0;b=k[o>>2]|0;e=a+8|0;m=k[e>>2]|0;d=b;f=m;if(b>>>0<m>>>0){if((n|0)==(b|0)){rT(n,c);k[o>>2]=(k[o>>2]|0)+4;o=n;return o|0}f=d-(n+4)>>2;d=n+(f<<2)|0;if(d>>>0<b>>>0){e=d;g=b;do{rT(g,e);e=e+4|0;g=(k[o>>2]|0)+4|0;k[o>>2]=g}while(e>>>0<b>>>0)}if(f|0)do{b=b+-4|0;d=d+-4|0;LH(b,d)|0}while((d|0)!=(n|0));if(n>>>0<=c>>>0)c=(k[o>>2]|0)>>>0>c>>>0?c+4|0:c;LH(n,c)|0;o=n;return o|0}g=(d-h>>2)+1|0;if(g>>>0>1073741823){OM(a);m=e;b=k[e>>2]|0;d=k[a>>2]|0}else{m=e;b=f;d=h}f=b-d|0;i=f>>1;i=f>>2>>>0<536870911?(i>>>0<g>>>0?g:i):1073741823;f=n-d|0;g=f>>2;do if(!i)j=0;else if(i>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}else{j=ZL(i<<2)|0;break}while(0);d=j;h=j+(g<<2)|0;b=h;e=j+(i<<2)|0;do if((g|0)==(i|0)){if((f|0)>0){b=h+(((i+1|0)/-2|0)<<2)|0;l=26;break}e=i<<2>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){c=gb(4)|0;doa(c);y=0;Na(76,c|0,4496,348);y=0;c=d;l=41;break}y=0;f=qa(332,e<<2|0)|0;l=y;y=0;if(l&1){c=d;l=41}else{d=f;b=f+(e>>>2<<2)|0;e=f+(e<<2)|0;if(!j)l=26;else{zqa(j);l=26}}}else l=26;while(0);a:do if((l|0)==26){f=b;y=0;oa(464,f|0,c|0);j=y;y=0;if(j&1){c=d;l=41}else{c=f+4|0;j=b;i=k[a>>2]|0;b:do if((i|0)==(n|0))g=j;else{h=n;g=j;while(1){h=h+-4|0;y=0;oa(464,g+-4|0,h|0);g=y;y=0;if(g&1)break;g=b+-4|0;b=g;if((h|0)==(i|0))break b}e=pb()|0;f=d;d=b;break a}while(0);h=k[o>>2]|0;do if((h|0)==(n|0)){f=c;b=g;c=n}else{g=n;while(1){y=0;oa(464,f+4|0,g|0);n=y;y=0;if(n&1){l=39;break}g=g+4|0;f=c;c=f+4|0;if((g|0)==(h|0)){l=34;break}}if((l|0)==34){f=c;c=k[o>>2]|0;break}else if((l|0)==39){e=pb()|0;f=d;d=b;break a}}while(0);d=k[a>>2]|0;k[a>>2]=b;k[o>>2]=f;k[m>>2]=e;if((c|0)!=(d|0))do{c=c+-4|0;EO(c)}while((c|0)!=(d|0));if(!d){o=j;return o|0}zqa(d);o=j;return o|0}}while(0);if((l|0)==41){e=pb()|0;f=c;d=b;c=b}b=d;if((c|0)!=(b|0))do{c=c+-4|0;EO(c)}while((c|0)!=(b|0));if(!f)sb(e|0);zqa(f);sb(e|0);return 0}function Wj(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0;a:do if(a|0){j=i[44181]|0;e=j<<24>>24==0;if(e)b=a;else{b=a;c=44181;d=j;do{if((i[b>>0]|0)!=d<<24>>24)break a;b=b+1|0;c=c+1|0;d=i[c>>0]|0}while(d<<24>>24!=0)}d=i[b>>0]|0;if(d<<24>>24){if(e){c=0;e=0;while(1){switch(d<<24>>24){case 92:{f=e;b=b+1|0;break}case 34:{c=c^1;f=e;break}case 39:{f=e^1;break}default:if(c){c=1;f=e}else{c=0;f=e;b=e?b:b+-1|0}}b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break a;else e=f}}else{c=0;e=0;h=0}b:while(1){c:do switch(d<<24>>24){case 92:{b=b+1|0;f=h;break}case 34:{c=c^1;f=h;break}case 39:{e=e^1;f=h;break}default:if(c){c=1;f=h}else if(e){c=0;e=1;f=h}else if(!b){c=0;e=0;b=0;f=h}else{d:do if(d<<24>>24==j<<24>>24){g=b;c=44181;while(1){e=g+1|0;c=c+1|0;f=i[c>>0]|0;if(!(f<<24>>24))break;if((i[e>>0]|0)!=f<<24>>24)break d;else g=e}c=0;e=0;b=g;f=h+1|0;break c}while(0);c=i[45708]|0;e:do if(c<<24>>24){if(d<<24>>24==c<<24>>24){c=b;d=45708}else{c=0;e=0;f=h;break c}while(1){c=c+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24)){b=c;break e}if((i[c>>0]|0)!=e<<24>>24){c=0;e=0;f=h;break c}}}while(0);if(!h)break b;else{c=0;e=0;b=b+-1|0;f=h+-1|0}}}while(0);b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break a;else h=f}if(b|0){a=b;return a|0}}}while(0);if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=kw(b)|0;if(b|0){b=iw(b)|0;if(b|0){a=b;return a|0}}b=XB(a)|0;if(b|0)if((i[b>>0]|0)==37){a=b+1|0;return a|0}b=XB(a)|0;if(b|0){b=xz(b)|0;if(b|0){a=b;return a|0}}c=a+1|0;if((i[a>>0]|0)==36){if((i[c>>0]|0)==45){b=c;do b=b+1|0;while((i[b>>0]|0)==45)}else b=c;b=kw(b)|0;if(b|0){b=iw(b)|0;if(b|0){a=b;return a|0}}}b=l5(a)|0;if(b|0){a=b;return a|0}if((i[a>>0]|0)!=92){a=0;return a|0}a=Lja(c)|0;return a|0}function Xj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;l=0;m=r;r=r+48|0;c=m+8|0;o=m+32|0;n=m+20|0;i=m+16|0;g=m+12|0;h=a+76|0;f=(k[a+80>>2]|0)-(k[h>>2]|0)>>2;j=b+76|0;e=(k[b+80>>2]|0)-(k[j>>2]|0)>>2;ds(o,h);y=0;oa(508,n|0,j|0);j=y;y=0;if(j&1){d=pb()|0;a=o}else{j=o+4|0;y=0;Na(77,k[o>>2]|0,k[j>>2]|0,m|0);h=y;y=0;do if(h&1)l=9;else{h=n+4|0;y=0;Na(77,k[n>>2]|0,k[h>>2]|0,c|0);d=y;y=0;if(d&1)l=9;else{a=0;b=0;while(1){if((a|0)==(f|0)){l=6;break}if((b|0)==(e|0)){l=12;break}y=0;oa(464,i|0,(k[o>>2]|0)+(a<<2)|0);d=y;y=0;if(d&1){l=8;break}y=0;oa(464,g|0,(k[n>>2]|0)+(b<<2)|0);d=y;y=0;if(d&1){l=16;break}c=k[i>>2]|0;d=((c|0)==0&1)+a|0;a=k[g>>2]|0;if(!a){b=b+1|0;l=21}else{y=0;a=Ha(k[(k[c>>2]|0)+168>>2]|0,c|0,a|0)|0;c=y;y=0;if(c&1){l=17;break}if(a)l=21;else{c=0;a=d}}if((l|0)==21){l=0;c=1;a=d+1|0;b=b+1|0}EO(g);EO(i);if(!c){c=0;break}}if((l|0)==6)c=(f|0)==(e|0);else if((l|0)==8){c=pb()|0;a=n;b=N;l=10;break}else if((l|0)==12)c=(f|0)==(e|0);else if((l|0)==16){c=pb()|0;a=N;l=23}else if((l|0)==17){c=pb()|0;a=N;EO(g);l=23}if((l|0)==23){EO(i);b=a;a=n;break}a=k[n>>2]|0;if(a|0){b=k[h>>2]|0;if((b|0)!=(a|0)){do{l=b+-4|0;k[h>>2]=l;EO(l);b=k[h>>2]|0}while((b|0)!=(a|0));a=k[n>>2]|0}zqa(a)}a=k[o>>2]|0;if(!a){r=m;return c|0}b=k[j>>2]|0;if((b|0)!=(a|0)){do{n=b+-4|0;k[j>>2]=n;EO(n);b=k[j>>2]|0}while((b|0)!=(a|0));a=k[o>>2]|0}zqa(a);r=m;return c|0}}while(0);if((l|0)==9){c=pb()|0;a=n;b=N;l=10}a=k[a>>2]|0;if(a|0){e=n+4|0;d=k[e>>2]|0;if((d|0)!=(a|0)){do{m=d+-4|0;k[e>>2]=m;EO(m);d=k[e>>2]|0}while((d|0)!=(a|0));a=k[n>>2]|0}zqa(a)}d=c;a=o}a=k[a>>2]|0;if(!a)sb(d|0);c=o+4|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{n=b+-4|0;k[c>>2]=n;EO(n);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[o>>2]|0}zqa(a);sb(d|0);return 0}function Yj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;t=r;r=r+112|0;o=t+64|0;v=t+56|0;u=t+4|0;p=t+16|0;q=t+8|0;s=t;rT(o,b+80|0);c=k[o>>2]|0;k[v>>2]=c;if(!c){c=0;e=3}else{y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;n=y;y=0;if(n&1)e=14;else e=3}do if((e|0)==3){y=0;oa(482,o|0,c|0);n=y;y=0;if(n&1)e=14;else{y=0;Ha(966,v|0,o|0)|0;n=y;y=0;if(n&1){d=pb()|0;EO(o);c=v;break}EO(o);y=0;n=qa(332,88)|0;m=y;y=0;if(m&1){u=pb()|0;EO(v);sb(u|0)}g=p;h=b+12|0;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));y=0;oa(482,q|0,k[v>>2]|0);m=y;y=0;if(m&1)c=pb()|0;else{c=b+64|0;m=b+68|0;d=(k[m>>2]|0)-(k[c>>2]|0)>>2;f=j[b+84>>1]|0;e=(f&255)<<24>>24!=0;f=(f&65535)>255;y=0;g=o;h=p;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));ya(21,n|0,o|0,q|0,d|0,e|0,f|0);p=y;y=0;if(p&1)d=1;else{y=0;oa(482,u|0,n|0);p=y;y=0;if(p&1)d=0;else{EO(q);d=k[c>>2]|0;h=(k[m>>2]|0)-d>>2;a:do if(h|0){g=b+64|0;c=0;while(1){e=(k[u>>2]|0)+60|0;f=k[(k[e>>2]|0)+20>>2]|0;d=k[d+(c<<2)>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,a|0)|0;q=y;y=0;if(q&1){e=26;break}y=0;oa(482,s|0,d|0);q=y;y=0;if(q&1){e=26;break}y=0;oa(f|0,e|0,s|0);q=y;y=0;if(q&1){e=27;break}EO(s);c=c+1|0;if(c>>>0>=h>>>0)break a;d=k[g>>2]|0}if((e|0)==26)c=pb()|0;else if((e|0)==27){c=pb()|0;EO(s)}EO(u);u=c;EO(v);sb(u|0)}while(0);c=k[u>>2]|0;if(!c){s=0;EO(u);EO(v);r=t;return s|0}i[c+8>>0]=1;s=c;EO(u);EO(v);r=t;return s|0}}c=pb()|0;EO(q);if(!d){u=c;EO(v);sb(u|0)}}zqa(n);u=c;EO(v);sb(u|0)}}while(0);if((e|0)==14){d=pb()|0;c=v}v=d;u=c;EO(u);sb(v|0);return 0}function Zj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;s=0;t=r;r=r+16|0;u=t;q=EZ(g,78144)|0;l=EZ(g,78160)|0;mc[k[(k[l>>2]|0)+20>>2]&1023](u,l);o=u+11|0;n=i[o>>0]|0;p=u+4|0;a:do if(!((n<<24>>24<0?k[p>>2]|0:n&255)|0)){y=0;Ma(k[(k[q>>2]|0)+32>>2]|0,q|0,a|0,c|0,d|0)|0;s=y;y=0;if(s&1){g=pb()|0;s=31;break}else{g=d+(c-a)|0;k[f>>2]=g;s=30;break}}else{k[f>>2]=d;g=i[a>>0]|0;switch(g<<24>>24){case 43:case 45:{y=0;g=Ha(k[(k[q>>2]|0)+28>>2]|0,q|0,g|0)|0;n=y;y=0;if(!(n&1)){j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=g;j=a+1|0;s=9}break}default:{j=a;s=9}}b:do if((s|0)==9){c:do if((c-j|0)>1)if((i[j>>0]|0)==48){g=j+1|0;switch(i[g>>0]|0){case 88:case 120:break;default:break c}y=0;h=Ha(k[(k[q>>2]|0)+28>>2]|0,q|0,48)|0;n=y;y=0;if(n&1)break b;n=k[f>>2]|0;k[f>>2]=n+1;i[n>>0]=h;y=0;g=Ha(k[(k[q>>2]|0)+28>>2]|0,q|0,i[g>>0]|0)|0;n=y;y=0;if(n&1)break b;n=k[f>>2]|0;k[f>>2]=n+1;i[n>>0]=g;j=j+2|0}while(0);d:do if((j|0)!=(c|0)){g=c;h=j;while(1){g=g+-1|0;if(h>>>0>=g>>>0)break d;n=i[h>>0]|0;i[h>>0]=i[g>>0]|0;i[g>>0]=n;h=h+1|0}}while(0);y=0;n=qa(k[(k[l>>2]|0)+16>>2]|0,l|0)|0;m=y;y=0;if(!(m&1)){m=j;g=0;h=0;while(1){if(m>>>0>=c>>>0)break;l=i[((i[o>>0]|0)<0?k[u>>2]|0:u)+g>>0]|0;if(l<<24>>24!=0&(h|0)==(l<<24>>24|0)){h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=n;h=i[o>>0]|0;g=(g>>>0<((h<<24>>24<0?k[p>>2]|0:h&255)+-1|0)>>>0&1)+g|0;h=0}y=0;l=Ha(k[(k[q>>2]|0)+28>>2]|0,q|0,i[m>>0]|0)|0;v=y;y=0;if(v&1){s=26;break}v=k[f>>2]|0;k[f>>2]=v+1;i[v>>0]=l;m=m+1|0;h=h+1|0}if((s|0)==26){g=pb()|0;s=31;break a}h=a;g=d+(j-h)|0;a=k[f>>2]|0;if((g|0)==(a|0)){a=h;s=30;break a}while(1){a=a+-1|0;if(g>>>0>=a>>>0)break;v=i[g>>0]|0;i[g>>0]=i[a>>0]|0;i[a>>0]=v;g=g+1|0}a=h;g=k[f>>2]|0;s=30;break a}}while(0);g=pb()|0;s=31}while(0);if((s|0)==30){k[e>>2]=(b|0)==(c|0)?g:d+(b-a)|0;$9(u);r=t;return}else if((s|0)==31){$9(u);sb(g|0)}}function _j(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;t=0;u=r;r=r+128|0;n=u+80|0;j=u+76|0;s=u+72|0;w=u+28|0;e=u+32|0;g=u+24|0;h=u+16|0;l=u+12|0;m=u+8|0;v=u+20|0;o=u+4|0;p=u;k[n>>2]=3;q=a+60|0;b=k[q>>2]|0;if(b>>>0<(k[a+64>>2]|0)>>>0){k[b>>2]=3;k[q>>2]=b+4}else az(a+56|0,n);f=ZL(72)|0;b=e;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(482,g|0,0);d=y;y=0;do if(d&1)b=pb()|0;else{y=0;oa(482,h|0,0);d=y;y=0;if(d&1){b=pb()|0;EO(g);break}y=0;b=n;c=e;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));Ra(29,f|0,n|0,g|0,h|0);e=y;y=0;if(e&1)c=1;else{y=0;oa(482,w|0,f|0);e=y;y=0;if(e&1)c=0;else{EO(h);EO(g);b=k[w>>2]|0;y=0;c=qa(418,a|0)|0;h=y;y=0;do if(h&1)t=23;else{k[m>>2]=c;b=b+68|0;y=0;Ha(966,b|0,m|0)|0;h=y;y=0;if(!(h&1)){y=0;oa(464,j|0,b|0);h=y;y=0;if(!(h&1)){k[l>>2]=k[j>>2];EO(l);EO(m);d=a+68|0;y=0;oa(482,v|0,k[d>>2]|0);m=y;y=0;if(m&1){t=23;break}c=k[w>>2]|0;k[d>>2]=c;y=0;b=Ha(1010,a|0,0)|0;a=y;y=0;do if(a&1)t=25;else{k[p>>2]=b;b=c+64|0;y=0;Ha(966,b|0,p|0)|0;a=y;y=0;if(!(a&1)){y=0;oa(464,n|0,b|0);a=y;y=0;if(!(a&1)){k[o>>2]=k[n>>2];EO(o);EO(p);k[d>>2]=k[v>>2];k[q>>2]=(k[q>>2]|0)+-4;b=k[w>>2]|0;if(!b)b=0;else i[b+8>>0]=1;y=0;oa(482,s|0,b|0);t=y;y=0;if(t&1){t=25;break}EO(v);EO(w);r=u;return k[s>>2]|0}}b=pb()|0;EO(p)}while(0);if((t|0)==25)b=pb()|0;EO(v);break}}b=pb()|0;EO(m)}while(0);if((t|0)==23)b=pb()|0;EO(w);w=b;sb(w|0)}}b=pb()|0;EO(h);EO(g);if(!c){w=b;sb(w|0)}}while(0);zqa(f);w=b;sb(w|0);return 0}function $j(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;p=0;m=r;r=r+160|0;g=m;l=m+156|0;q=m+144|0;h=m+104|0;s=m+96|0;j=m+56|0;n=m+44|0;o=m+40|0;Xu(a,1,0)|0;c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){LM(q);p=5}else if(f>>>0<11){i[q+11>>0]=f;b=q}else p=5;if((p|0)==5){d=f+16&-16;b=ZL(d)|0;k[q>>2]=b;k[q+8>>2]=d|-2147483648;k[q+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;b=h;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;b=qa(387,a|0)|0;a=y;y=0;if(a&1){s=pb()|0;$9(q);sb(s|0)}k[s>>2]=b;y=0;e=qa(332,88)|0;a=y;y=0;a:do if(a&1)b=pb()|0;else{b=j;c=h;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(452,n|0,q|0);h=y;y=0;do if(h&1)b=pb()|0;else{y=0;oa(464,o|0,s|0);h=y;y=0;if(h&1){b=pb()|0;$9(n);break}b=g;c=j;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;na(366,e|0);j=y;y=0;b:do if(j&1){b=1;p=25}else{b=e+12|0;c=g;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;b=e+56|0;k[b>>2]=0;k[e>>2]=8608;c=e+60|0;y=0;oa(452,c|0,n|0);j=y;y=0;do if(j&1)b=pb()|0;else{y=0;oa(464,e+72|0,o|0);j=y;y=0;if(j&1){b=pb()|0;$9(c);break}i[e+76>>0]=0;k[e+80>>2]=0;k[e+84>>2]=0;k[b>>2]=11;y=0;oa(482,l|0,e|0);p=y;y=0;if(p&1){b=0;p=25;break b}EO(o);$9(n);EO(s);$9(q);r=m;return k[l>>2]|0}while(0);c=1}while(0);if((p|0)==25){p=pb()|0;c=b;b=p}EO(o);$9(n);if(!c)break a}while(0);zqa(e)}while(0);EO(s);s=b;$9(q);sb(s|0);return 0}function ak(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;p=0;a:while(1){n=b;o=b+-4|0;while(1){b:while(1){m=a;d=n-m|0;e=d>>2;switch(e|0){case 1:case 0:break a;case 2:{p=5;break a}case 3:{p=7;break a}case 4:{p=8;break a}case 5:{p=9;break a}default:{}}if((d|0)<124){p=11;break a}i=a+(((e|0)/2|0)<<2)|0;if((d|0)>3996){d=(e|0)/4|0;d=nB(a,a+(d<<2)|0,i,i+(d<<2)|0,o,c)|0}else d=wD(a,i,o,c)|0;h=k[a>>2]|0;f=k[i>>2]|0;if(h>>>0<f>>>0){e=o;break}else e=o;while(1){e=e+-4|0;if((a|0)==(e|0))break;g=k[e>>2]|0;if(g>>>0<f>>>0){p=29;break b}}d=a+4|0;f=k[o>>2]|0;if(h>>>0>=f>>>0){while(1){if((d|0)==(o|0))break a;e=k[d>>2]|0;if(h>>>0<e>>>0)break;d=d+4|0}k[d>>2]=f;k[o>>2]=e;d=d+4|0}if((d|0)==(o|0))break a;else e=o;while(1){i=k[a>>2]|0;while(1){g=k[d>>2]|0;h=d+4|0;if(i>>>0<g>>>0)break;else d=h}do{e=e+-4|0;f=k[e>>2]|0}while(i>>>0<f>>>0);if(d>>>0>=e>>>0){a=d;continue b}k[d>>2]=f;k[e>>2]=g;d=h}}if((p|0)==29){p=0;k[a>>2]=g;k[e>>2]=h;d=d+1|0}f=a+4|0;c:do if(f>>>0<e>>>0){l=i;while(1){j=k[l>>2]|0;while(1){h=k[f>>2]|0;i=f+4|0;if(h>>>0<j>>>0)f=i;else break}do{e=e+-4|0;g=k[e>>2]|0}while(g>>>0>=j>>>0);if(f>>>0>e>>>0){g=l;h=f;break c}k[f>>2]=g;k[e>>2]=h;l=(l|0)==(f|0)?e:l;f=i;d=d+1|0}}else{g=i;h=f}while(0);if((h|0)!=(g|0)){e=k[g>>2]|0;f=k[h>>2]|0;if(e>>>0<f>>>0){k[h>>2]=e;k[g>>2]=f;d=d+1|0}}if(!d){d=Ns(a,h,c)|0;e=h+4|0;if(Ns(e,b,c)|0){p=45;break}if(d){a=e;continue}}l=h;if((l-m|0)>=(n-l|0)){p=44;break}ak(a,h,c);a=h+4|0}if((p|0)==44){p=0;ak(h+4|0,b,c);b=h;continue}else if((p|0)==45){p=0;if(d)break;else{b=h;continue}}}if((p|0)==5){b=k[o>>2]|0;d=k[a>>2]|0;if(b>>>0<d>>>0){k[a>>2]=b;k[o>>2]=d}}else if((p|0)==7)wD(a,a+4|0,o,c)|0;else if((p|0)==8)vE(a,a+4|0,a+8|0,o,c)|0;else if((p|0)==9)nB(a,a+4|0,a+8|0,a+12|0,o,c)|0;else if((p|0)==11)tE(a,b,c);return}function bk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=0;switch(i[a>>0]|0){case 42:{b=a+1|0;break}case 45:{b=a;do b=b+1|0;while((i[b>>0]|0)==45);f=3;break}default:{b=a;f=3}}do if((f|0)==3){c=kw(b)|0;if(c|0){c=iw(c)|0;if(c|0){b=c;break}}b=ln(b)|0}while(0);b=b|0?b:a;if(!b)b=0;else{c=b+1|0;if((i[b>>0]|0)==124)b=(i[c>>0]|0)==61?0:c;else b=0}b=b|0?b:a;if(!b){f=0;return f|0}c=b+1|0;switch(i[b>>0]|0){case 35:{if((i[c>>0]|0)==123)f=13;else b=c;break}case 46:{b=c;break}case 58:{b=(i[c>>0]|0)==58?b+2|0:c;break}default:f=13}c=i[b>>0]|0;if(c<<24>>24==45){do{b=b+1|0;c=i[b>>0]|0}while(c<<24>>24==45);e=b}else e=b;b=e+1|0;a:do if(c<<24>>24==33){c=vt(b)|0;b:do if(c|0){a=i[32531]|0;if(a<<24>>24){d=32531;do{if((i[c>>0]|0)!=a<<24>>24)break b;c=c+1|0;d=d+1|0;a=i[d>>0]|0}while(a<<24>>24!=0)}c=aP(c)|0;if(c|0){b=c;break a}}while(0);c=i[e>>0]|0;f=23}else f=23;while(0);if((f|0)==23)if(c<<24>>24!=42){b=sk(e)|0;if(!b){f=0;return f|0}}c:while(1){a=i[b>>0]|0;if(a<<24>>24==45){c=b;do{c=c+1|0;a=i[c>>0]|0}while(a<<24>>24==45)}else c=b;f=c+1|0;if(a<<24>>24==33){a=vt(f)|0;d:do if(a|0){d=i[32531]|0;if(d<<24>>24){e=32531;do{if((i[a>>0]|0)!=d<<24>>24)break d;a=a+1|0;e=e+1|0;d=i[e>>0]|0}while(d<<24>>24!=0)}a=aP(a)|0;if(a|0){b=a;continue c}}while(0);a=i[c>>0]|0}if(a<<24>>24==42){b=f;continue}c=sk(c)|0;if(!c)break;else b=c}if((i[b>>0]|0)!=45){f=b;return f|0}do b=b+1|0;while((i[b>>0]|0)==45);return b|0}function ck(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;v=r;r=r+16|0;u=v;Oda(a);g=a+12|0;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;q=a+56|0;k[q>>2]=0;k[a>>2]=4736;p[a+64>>3]=c;i[a+72>>0]=e&1;w=a+76|0;x=a+80|0;s=a+88|0;t=a+92|0;o=d+11|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[w+16>>2]=0;k[w+20>>2]=0;k[w+24>>2]=0;f=i[o>>0]|0;if(f<<24>>24<0)b=k[d+4>>2]|0;else b=f&255;if(!b){k[q>>2]=2;r=v;return}j=d+4|0;l=u+11|0;m=u+4|0;n=a+84|0;h=a+96|0;a=1;e=0;b=f;a:while(1){if(b<<24>>24<0){b=k[j>>2]|0;g=k[d>>2]|0}else{b=b&255;g=d}if(b>>>0>e>>>0){f=g+b|0;b=g+e|0;b:while(1){switch(i[b>>0]|0){case 42:case 47:break b;default:{}}b=b+1|0;if((b|0)==(f|0)){b=f;break}}g=(b|0)==(f|0)?-1:b-g|0}else g=-1;f=(g|0)==-1;y=0;ma(4,u|0,d|0,e|0,(f?-1:g-e|0)|0,d|0);e=y;y=0;if(e&1){b=20;break}e=i[l>>0]|0;do if((e<<24>>24<0?k[m>>2]|0:e&255)|0)if(a){b=k[x>>2]|0;if((b|0)==(k[n>>2]|0)){y=0;oa(460,w|0,u|0);e=y;y=0;if(e&1){b=21;break a}else break}y=0;oa(452,b|0,u|0);e=y;y=0;if(e&1){b=21;break a}k[x>>2]=(k[x>>2]|0)+12;break}else{b=k[t>>2]|0;if((b|0)==(k[h>>2]|0)){y=0;oa(460,s|0,u|0);e=y;y=0;if(e&1){b=21;break a}else break}y=0;oa(452,b|0,u|0);e=y;y=0;if(e&1){b=21;break a}k[t>>2]=(k[t>>2]|0)+12;break}while(0);if(f){b=30;break}if((i[o>>0]|0)<0)b=k[d>>2]|0;else b=d;e=a&(i[b+g>>0]|0)!=47;$9(u);a=e;e=g+1|0;b=i[o>>0]|0}if((b|0)==20)g=pb()|0;else if((b|0)==21){g=pb()|0;$9(u)}else if((b|0)==30){$9(u);k[q>>2]=2;r=v;return}b=k[s>>2]|0;if(b|0){f=k[t>>2]|0;if((f|0)!=(b|0)){do{v=f+-12|0;k[t>>2]=v;$9(v);f=k[t>>2]|0}while((f|0)!=(b|0));b=k[s>>2]|0}zqa(b)}b=k[w>>2]|0;if(!b)sb(g|0);f=k[x>>2]|0;if((f|0)!=(b|0)){do{v=f+-12|0;k[x>>2]=v;$9(v);f=k[x>>2]|0}while((f|0)!=(b|0));b=k[w>>2]|0}zqa(b);sb(g|0)}function dk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;n=r;r=r+32|0;m=n+24|0;g=n+20|0;f=n+16|0;j=n+12|0;h=n+8|0;o=n+4|0;l=n;i=Yg(a,b,c,e)|0;rT(g,d);y=0;oa(464,f|0,c|0);e=y;y=0;do if(e&1)e=pb()|0;else{e=k[g>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+160>>2]|0,e|0,k[f>>2]|0)|0;p=y;y=0;if(p&1){e=pb()|0;EO(f);break}EO(f);EO(g);if(!e){p=i;r=n;return p|0}rT(m,c);y=0;Ha(966,c|0,d|0)|0;p=y;y=0;if(p&1){p=pb()|0;EO(m);sb(p|0)}y=0;Ha(966,d|0,m|0)|0;p=y;y=0;if(p&1){p=pb()|0;EO(m);sb(p|0)}EO(m);e=i+1|0;rT(j,c);y=0;oa(464,h|0,b|0);p=y;y=0;do if(p&1)e=pb()|0;else{d=k[j>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+160>>2]|0,d|0,k[h>>2]|0)|0;p=y;y=0;if(p&1){e=pb()|0;EO(h);break}EO(h);EO(j);if(!d){p=e;r=n;return p|0}rT(m,b);y=0;Ha(966,b|0,c|0)|0;p=y;y=0;if(p&1){p=pb()|0;EO(m);sb(p|0)}y=0;Ha(966,c|0,m|0)|0;p=y;y=0;if(p&1){p=pb()|0;EO(m);sb(p|0)}EO(m);e=i+2|0;rT(o,b);y=0;oa(464,l|0,a|0);p=y;y=0;do if(p&1)e=pb()|0;else{d=k[o>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+160>>2]|0,d|0,k[l>>2]|0)|0;p=y;y=0;if(p&1){e=pb()|0;EO(l);break}EO(l);EO(o);if(!d){p=e;r=n;return p|0}rT(m,a);y=0;Ha(966,a|0,b|0)|0;p=y;y=0;if(p&1){p=pb()|0;EO(m);sb(p|0)}y=0;Ha(966,b|0,m|0)|0;p=y;y=0;if(p&1){p=pb()|0;EO(m);sb(p|0)}EO(m);p=i+3|0;r=n;return p|0}while(0);EO(o);p=e;sb(p|0)}while(0);EO(j);p=e;sb(p|0)}while(0);EO(g);p=e;sb(p|0);return 0}function ek(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,m=0,n=0,o=0,p=0,q=0,r=0;f=k[a>>2]|0;do if(!f)f=0;else if((k[f+12>>2]|0)==(k[f+16>>2]|0))if((oc[k[(k[f>>2]|0)+36>>2]&511](f)|0)==-1){k[a>>2]=0;f=0;break}else{f=k[a>>2]|0;break}while(0);g=(f|0)==0;f=k[b>>2]|0;do if(!f)r=11;else{if((k[f+12>>2]|0)==(k[f+16>>2]|0))if((oc[k[(k[f>>2]|0)+36>>2]&511](f)|0)==-1){k[b>>2]=0;r=11;break}if(g)r=13;else r=12}while(0);if((r|0)==11)if(g)r=12;else{f=0;r=13}a:do if((r|0)==12){k[c>>2]=k[c>>2]|6;f=0}else if((r|0)==13){g=k[a>>2]|0;h=k[g+12>>2]|0;if((h|0)==(k[g+16>>2]|0))g=oc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else g=l[h>>0]|0;h=g&255;if(h<<24>>24>-1){q=d+8|0;if(j[(k[q>>2]|0)+(g<<24>>24<<1)>>1]&2048){g=(rc[k[(k[d>>2]|0)+36>>2]&255](d,h,0)|0)<<24>>24;h=k[a>>2]|0;i=h+12|0;m=k[i>>2]|0;if((m|0)==(k[h+16>>2]|0)){oc[k[(k[h>>2]|0)+40>>2]&511](h)|0;m=f;i=f}else{k[i>>2]=m+1;m=f;i=f}while(1){f=g+-48|0;o=e+-1|0;g=k[a>>2]|0;do if(!g)g=0;else if((k[g+12>>2]|0)==(k[g+16>>2]|0))if((oc[k[(k[g>>2]|0)+36>>2]&511](g)|0)==-1){k[a>>2]=0;g=0;break}else{g=k[a>>2]|0;break}while(0);h=(g|0)==0;if(!i){p=m;n=0}else if((k[i+12>>2]|0)==(k[i+16>>2]|0))if((oc[k[(k[i>>2]|0)+36>>2]&511](i)|0)==-1){k[b>>2]=0;p=0;n=0}else{p=m;n=m}else{p=m;n=i}g=k[a>>2]|0;if(!((e|0)>1&(h^(n|0)==0)))break;h=k[g+12>>2]|0;if((h|0)==(k[g+16>>2]|0))g=oc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else g=l[h>>0]|0;h=g&255;if(h<<24>>24<=-1)break a;if(!(j[(k[q>>2]|0)+(g<<24>>24<<1)>>1]&2048))break a;g=((rc[k[(k[d>>2]|0)+36>>2]&255](d,h,0)|0)<<24>>24)+(f*10|0)|0;f=k[a>>2]|0;h=f+12|0;i=k[h>>2]|0;if((i|0)==(k[f+16>>2]|0)){oc[k[(k[f>>2]|0)+40>>2]&511](f)|0;e=o;m=p;i=n;continue}else{k[h>>2]=i+1;e=o;m=p;i=n;continue}}do if(!g)g=0;else if((k[g+12>>2]|0)==(k[g+16>>2]|0))if((oc[k[(k[g>>2]|0)+36>>2]&511](g)|0)==-1){k[a>>2]=0;g=0;break}else{g=k[a>>2]|0;break}while(0);g=(g|0)==0;do if(!p)r=50;else{if((k[p+12>>2]|0)==(k[p+16>>2]|0))if((oc[k[(k[p>>2]|0)+36>>2]&511](p)|0)==-1){k[b>>2]=0;r=50;break}if(g)break a}while(0);if((r|0)==50)if(!g)break;k[c>>2]=k[c>>2]|2;break}}k[c>>2]=k[c>>2]|4;f=0}while(0);return f|0}function fk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;t=0;p=r;r=r+128|0;i=p+80|0;g=p+72|0;l=p+68|0;f=p+64|0;q=p+20|0;m=p+24|0;u=p+16|0;v=p+12|0;o=p+8|0;s=p+4|0;n=p;h=b+64|0;rT(i,h);j=k[i>>2]|0;k[f>>2]=j;j=(k[j+72>>2]|0)==(k[j+68>>2]|0);EO(f);if(j){v=b;r=p;return v|0}d=a+20|0;j=a+24|0;e=k[j>>2]|0;f=e;if((e|0)==(k[d>>2]|0))c=k[a+8>>2]|0;else c=f+-4|0;if((k[(k[c>>2]|0)+52>>2]|0)==1){v=Te(a,b)|0;r=p;return v|0}k[i>>2]=b;if(f>>>0<(k[a+28>>2]|0)>>>0){k[e>>2]=b;k[j>>2]=(k[j>>2]|0)+4}else bz(d,i);f=ZL(72)|0;c=m;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(464,g|0,b+68|0);e=y;y=0;do if(e&1)c=pb()|0;else{g=k[g>>2]|0;k[v>>2]=g;y=0;oa(482,u|0,g|0);g=y;y=0;if(g&1){c=pb()|0;EO(v);break}c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(464,i|0,h|0);h=y;y=0;if(h&1){c=pb()|0;d=1}else{h=k[i>>2]|0;k[s>>2]=h;y=0;c=Ha(c|0,a|0,h|0)|0;h=y;y=0;if(h&1)t=24;else{y=0;oa(482,o|0,c|0);h=y;y=0;if(h&1)t=24;else{y=0;c=i;d=m;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Ra(31,f|0,i|0,u|0,o|0);m=y;y=0;if(m&1)d=1;else{y=0;oa(482,q|0,f|0);m=y;y=0;if(m&1)d=0;else{EO(o);EO(s);EO(u);EO(v);v=k[q>>2]|0;k[v+56>>2]=k[b+56>>2];k[j>>2]=(k[j>>2]|0)+-4;y=0;oa(464,l|0,v+64|0);v=y;y=0;do if(v&1)c=pb()|0;else{c=k[l>>2]|0;k[n>>2]=c;y=0;c=ta(157,a|0,c|0,k[q>>2]|0)|0;v=y;y=0;if(v&1){c=pb()|0;EO(n);break}EO(n);EO(q);v=c;r=p;return v|0}while(0);EO(q);v=c;sb(v|0)}}c=pb()|0;EO(o)}}if((t|0)==24){c=pb()|0;d=1}EO(s)}EO(u);EO(v);if(!d){v=c;sb(v|0)}}while(0);zqa(f);v=c;sb(v|0);return 0}function gk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;w=r;r=r+64|0;p=w+56|0;c=w+52|0;d=w+48|0;q=w+44|0;s=w+40|0;t=w+36|0;u=w+32|0;v=w+28|0;h=w+24|0;i=w+20|0;j=w+16|0;l=w+12|0;m=w+8|0;n=w+4|0;o=w;if(!a)c=0;else{rT(p,a+76|0);g=k[p>>2]|0;k[c>>2]=g;EO(c);c=g}rT(p,b+76|0);g=k[p>>2]|0;k[d>>2]=g;EO(d);f=c;e=b;while(1){c=(a|0)!=0;if(c)if(ZB(a)|0){rT(p,a+80|0);f=k[p>>2]|0;k[q>>2]=f;c=f;EO(q);if(!f){d=e;b=g;f=0;a=0;e=d;g=b;continue}rT(p,c+76|0);f=k[p>>2]|0;k[s>>2]=f;EO(s);d=e;b=g;a=c;e=d;g=b;continue}if(!e){c=0;d=29;break}if(ZB(e)|0){rT(p,e+80|0);g=k[p>>2]|0;k[t>>2]=g;c=g;EO(t);if(!g){d=a;b=f;g=0;e=0;a=d;f=b;continue}rT(p,c+76|0);g=k[p>>2]|0;k[u>>2]=g;EO(u);d=a;b=f;e=c;a=d;f=b;continue}if(!c){c=1;d=29;break}d=(f|0)!=0;c=(g|0)!=0;if(!(d|c)){c=k[a+72>>2]|0;b=k[e+72>>2]|0;if((c|0)!=(b|0)){d=15;break}rT(p,a+80|0);g=k[p>>2]|0;k[v>>2]=g;a=g;EO(v);rT(p,e+80|0);c=k[p>>2]|0;k[h>>2]=c;b=c;EO(h);if(!g)d=0;else{rT(p,a+76|0);d=k[p>>2]|0;k[i>>2]=d;EO(i)}if(!c){g=0;f=d;e=0;continue}rT(p,b+76|0);g=k[p>>2]|0;k[j>>2]=g;EO(j);f=d;e=b;continue}c=c^1;if(d^1|c){d=29;break}if(!(Fc[k[(k[f>>2]|0)+164>>2]&2047](f,g)|0)){d=28;break}c=k[a+72>>2]|0;b=k[e+72>>2]|0;if((c|0)!=(b|0)){d=23;break}rT(p,a+80|0);g=k[p>>2]|0;k[l>>2]=g;a=g;EO(l);rT(p,e+80|0);c=k[p>>2]|0;k[m>>2]=c;b=c;EO(m);if(!g)d=0;else{rT(p,a+76|0);d=k[p>>2]|0;k[n>>2]=d;EO(n)}if(!c){g=0;f=d;e=0;continue}rT(p,b+76|0);g=k[p>>2]|0;k[o>>2]=g;EO(o);f=d;e=b}if((d|0)==15){v=(c|0)<(b|0);r=w;return v|0}else if((d|0)==23){v=(c|0)<(b|0);r=w;return v|0}else if((d|0)==28){v=Fc[k[(k[f>>2]|0)+160>>2]&2047](f,g)|0;r=w;return v|0}else if((d|0)==29){r=w;return c|0}return 0}function hk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;c=i[a>>0]|0;if(!(c<<24>>24)){b=0;return b|0}if(!b){j=a;a=0;f=0;k=0;h=c;a:while(1){b:do switch(h<<24>>24){case 92:{g=a;a=j+1|0;c=k;break}case 34:{g=a^1;a=j;c=k;break}case 39:{g=a;f=f^1;a=j;c=k;break}default:if(a){g=1;a=j;c=k}else if(f){g=0;f=1;a=j;c=k}else if(!j){g=0;f=0;a=0;c=k}else{a=i[44181]|0;c:do if(!(a<<24>>24))a=j;else{if(h<<24>>24==a<<24>>24){a=j;c=44181;do{a=a+1|0;c=c+1|0;f=i[c>>0]|0;if(!(f<<24>>24))break c}while((i[a>>0]|0)==f<<24>>24)}a=i[45708]|0;d:do if(!(a<<24>>24))a=j;else{if(h<<24>>24==a<<24>>24){a=j;c=45708}else{g=0;f=0;a=j;c=k;break b}while(1){a=a+1|0;c=c+1|0;f=i[c>>0]|0;if(!(f<<24>>24))break d;if((i[a>>0]|0)!=f<<24>>24){g=0;f=0;a=j;c=k;break b}}}while(0);if(!k){c=40;break a}else{g=0;f=0;a=a+-1|0;c=k+-1|0;break b}}while(0);g=0;f=0;a=a+-1|0;c=k+1|0}}while(0);j=a+1|0;h=i[j>>0]|0;if(!(h<<24>>24)){a=0;c=40;break}else{a=g;k=c}}if((c|0)==40)return a|0}else{m=a;d=0;e=0;n=0;l=c}e:while(1){if(m>>>0>=b>>>0){a=0;c=40;break}f:do switch(l<<24>>24){case 92:{a=m+1|0;c=n;break}case 34:{d=d^1;a=m;c=n;break}case 39:{e=e^1;a=m;c=n;break}default:if(d){d=1;a=m;c=n}else if(e){d=0;e=1;a=m;c=n}else if(!m){d=0;e=0;a=0;c=n}else{a=i[44181]|0;g:do if(!(a<<24>>24))a=m;else{if(l<<24>>24==a<<24>>24){a=m;c=44181;do{a=a+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24))break g}while((i[a>>0]|0)==d<<24>>24)}a=i[45708]|0;h:do if(!(a<<24>>24))a=m;else{if(l<<24>>24==a<<24>>24){a=m;c=45708}else{d=0;e=0;a=m;c=n;break f}while(1){a=a+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24))break h;if((i[a>>0]|0)!=d<<24>>24){d=0;e=0;a=m;c=n;break f}}}while(0);if(!n){c=40;break e}else{d=0;e=0;a=a+-1|0;c=n+-1|0;break f}}while(0);d=0;e=0;a=a+-1|0;c=n+1|0}}while(0);m=a+1|0;l=i[m>>0]|0;if(!(l<<24>>24)){a=0;c=40;break}else n=c}if((c|0)==40)return a|0;return 0}function ik(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0.0,g=0.0,h=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0;u=0;o=r;r=r+96|0;t=o;n=o+56|0;q=o+40|0;l=b+88|0;if(+p[l>>3]!=+p[c+88>>3]){a=gb(40)|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,46419,1);u=y;y=0;if(u&1)d=pb()|0;else{y=0;Ra(34,a|0,b|0,c|0,t|0);u=y;y=0;if(u&1)e=1;else{y=0;Na(76,a|0,2464,219);y=0;e=0}d=pb()|0;$9(t);if(!e){u=d;sb(u|0)}}fb(a|0);u=d;sb(u|0)}do if((a|0)==11){if(+p[c+64>>3]!=0.0)if(+p[c+72>>3]!=0.0)if(+p[c+80>>3]!=0.0)break;d=gb(28)|0;y=0;Na(125,d|0,b|0,c|0);u=y;y=0;if(!(u&1))Wb(d|0,2480,160);u=pb()|0;fb(d|0);sb(u|0)}while(0);s=ZL(112)|0;if(!e){m=n;e=b+12|0;d=m+40|0;do{k[m>>2]=k[e>>2];m=m+4|0;e=e+4|0}while((m|0)<(d|0))}else{m=n;d=m+40|0;do{k[m>>2]=k[e>>2];m=m+4|0;e=e+4|0}while((m|0)<(d|0))}d=15320+(a<<2)|0;y=0;h=+za(k[d>>2]|0,+(+p[b+64>>3]),+(+p[c+64>>3]));m=y;y=0;if(m&1)u=26;else{y=0;j=+za(k[d>>2]|0,+(+p[b+72>>3]),+(+p[c+72>>3]));m=y;y=0;if(m&1)u=26;else{y=0;g=+za(k[d>>2]|0,+(+p[b+80>>3]),+(+p[c+80>>3]));c=y;y=0;if(c&1)u=26;else{f=+p[l>>3];k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,82159,0);c=y;y=0;if(c&1)u=26;else{m=t;e=n;d=m+40|0;do{k[m>>2]=k[e>>2];m=m+4|0;e=e+4|0}while((m|0)<(d|0));y=0;na(366,s|0);c=y;y=0;do if(c&1)d=pb()|0;else{m=s+12|0;e=t;d=m+40|0;do{k[m>>2]=k[e>>2];m=m+4|0;e=e+4|0}while((m|0)<(d|0));i[s+52>>0]=0;i[s+53>>0]=0;i[s+54>>0]=0;d=s+56|0;k[d>>2]=0;k[s>>2]=9088;p[s+64>>3]=h;p[s+72>>3]=j;p[s+80>>3]=g;p[s+88>>3]=f;y=0;oa(452,s+96|0,q|0);t=y;y=0;if(t&1){d=pb()|0;break}else{k[s+108>>2]=0;k[d>>2]=3;$9(q);r=o;return s|0}}while(0);$9(q)}}}}if((u|0)==26)d=pb()|0;zqa(s);u=d;sb(u|0);return 0}function jk(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;f=r;r=r+64|0;d=f+52|0;e=f+48|0;g=f;p[6872]=3.141592653589793;k[18185]=0;k[18186]=0;k[18187]=0;jI(72740,46941,6);Pb(368,72740,x|0)|0;k[18188]=0;k[18189]=0;k[18190]=0;jI(72752,46948,21);Pb(368,72752,x|0)|0;k[18191]=0;k[18192]=0;k[18193]=0;jI(72764,46970,19);Pb(368,72764,x|0)|0;k[18194]=0;k[18195]=0;k[18196]=0;jI(72776,46990,22);Pb(368,72776,x|0)|0;b=pB()|0;k[18197]=b;a=1;do{b=(aa(b>>>30^b,1812433253)|0)+a|0;k[72788+(a<<2)>>2]=b;a=a+1|0}while((a|0)!=624);k[18821]=0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,34971,25);c=y;y=0;if(c&1){g=pb()|0;sb(g|0)}a=g+12|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;y=0;Na(75,a|0,34997,27);c=y;y=0;if(c&1)a=1;else{b=g+24|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;Na(75,b|0,35025,8);c=y;y=0;if(c&1)a=2;else{c=g+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(75,c|0,35034,13);h=y;y=0;if(h&1)a=3;else{k[18823]=0;k[18824]=0;k[18822]=75292;k[e>>2]=75292;y=0;k[d>>2]=k[e>>2];Ma(10,75288,d|0,g|0,g|0)|0;h=y;y=0;if(!(h&1)){k[e>>2]=75292;y=0;k[d>>2]=k[e>>2];Ma(10,75288,d|0,a|0,a|0)|0;h=y;y=0;if(!(h&1)){k[e>>2]=75292;y=0;k[d>>2]=k[e>>2];Ma(10,75288,d|0,b|0,b|0)|0;h=y;y=0;if(!(h&1)){k[e>>2]=75292;y=0;k[d>>2]=k[e>>2];Ma(10,75288,d|0,c|0,c|0)|0;h=y;y=0;if(!(h&1)){$9(c);$9(b);$9(a);$9(g);Pb(378,75288,x|0)|0;r=f;return}}}}h=pb()|0;cH(75288,k[18823]|0);$9(c);$9(b);$9(a);$9(g);sb(h|0)}}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;$9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function kk(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;q=0;o=r;r=r+128|0;m=o;s=o+112|0;p=o+56|0;c=o+40|0;l=o+72|0;n=o+52|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;jI(p,36590,4);y=0;g=m;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=pa(40,p|0,a|0,d|0,m|0,f|0,0)|0;j=y;y=0;if(!(j&1)){y=0;oa(482,s|0,b|0);j=y;y=0;if(!(j&1)){$9(p);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(75,c|0,36595,4);j=y;y=0;do if(j&1){b=pb()|0;q=14}else{y=0;g=m;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=sa(27,c|0,a|0,d|0,m|0,f|0)|0;f=y;y=0;if(!(f&1)){y=0;oa(482,p|0,b|0);f=y;y=0;if(!(f&1)){$9(c);y=0;c=qa(332,68)|0;f=y;y=0;if(f&1)b=pb()|0;else{g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=k[s>>2]|0;y=0;oa(464,n|0,p|0);e=y;y=0;if(e&1)b=pb()|0;else{y=0;b=Ha(983,b+64|0,n|0)|0;e=y;y=0;if(!(e&1)){g=m;h=l;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(366,c|0);e=y;y=0;if(!(e&1)){b=(b|0)!=0;g=c+12|0;h=m;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=9208;i[c+60>>0]=b&1;k[c+64>>2]=0;k[c+56>>2]=1;EO(n);EO(p);EO(s);r=o;return c|0}}b=pb()|0;EO(n)}zqa(c)}EO(p);break}}b=pb()|0;$9(c);q=14}while(0);EO(s);s=b;sb(s|0)}}s=pb()|0;$9(p);sb(s|0);return 0}function lk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=r;r=r+32|0;n=o;l=k[a>>2]|0;h=l;l=l+((k[b>>2]|0)-h>>2<<2)|0;m=a+4|0;b=k[m>>2]|0;e=a+8|0;j=k[e>>2]|0;d=b;f=j;if(b>>>0<j>>>0){if((l|0)==(b|0)){rT(l,c);k[m>>2]=(k[m>>2]|0)+4;n=l;r=o;return n|0}f=d-(l+4)>>2;d=l+(f<<2)|0;if(d>>>0<b>>>0){e=d;g=b;do{rT(g,e);e=e+4|0;g=(k[m>>2]|0)+4|0;k[m>>2]=g}while(e>>>0<b>>>0)}if(f|0)do{b=b+-4|0;d=d+-4|0;LH(b,d)|0}while((d|0)!=(l|0));LH(l,c)|0;n=l;r=o;return n|0}g=(d-h>>2)+1|0;if(g>>>0>1073741823){OM(a);i=e;b=k[e>>2]|0;d=k[a>>2]|0}else{i=e;b=f;d=h}b=b-d|0;e=b>>1;e=b>>2>>>0<536870911?(e>>>0<g>>>0?g:e):1073741823;b=l-d>>2;k[n+12>>2]=0;k[n+16>>2]=a+8;do if(!e)d=0;else if(e>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}else{d=ZL(e<<2)|0;break}while(0);k[n>>2]=d;g=d+(b<<2)|0;j=n+8|0;k[j>>2]=g;h=n+4|0;k[h>>2]=g;g=n+12|0;k[g>>2]=d+(e<<2);y=0;oa(502,n|0,c|0);c=y;y=0;a:do if(c&1)e=pb()|0;else{c=k[h>>2]|0;e=k[a>>2]|0;b:do if((e|0)==(l|0))b=c;else{d=l;b=c;while(1){d=d+-4|0;y=0;oa(464,b+-4|0,d|0);f=y;y=0;if(f&1)break;b=(k[h>>2]|0)+-4|0;k[h>>2]=b;if((d|0)==(e|0))break b}e=pb()|0;break a}while(0);d=k[m>>2]|0;do if((d|0)==(l|0))f=h;else{b=l;e=k[j>>2]|0;while(1){y=0;oa(464,e|0,b|0);l=y;y=0;if(l&1){e=32;break}b=b+4|0;e=(k[j>>2]|0)+4|0;k[j>>2]=e;if((b|0)==(d|0)){e=25;break}}if((e|0)==25){f=h;b=k[h>>2]|0;d=k[m>>2]|0;break}else if((e|0)==32){e=pb()|0;break a}}while(0);e=k[a>>2]|0;k[a>>2]=b;k[f>>2]=e;k[m>>2]=k[j>>2];k[j>>2]=d;b=k[i>>2]|0;k[i>>2]=k[g>>2];k[g>>2]=b;b=k[f>>2]|0;k[n>>2]=b;e=k[h>>2]|0;if((d|0)!=(e|0)){b=d;do{m=b+-4|0;k[j>>2]=m;EO(m);b=k[j>>2]|0}while((b|0)!=(e|0));b=k[n>>2]|0}if(b|0)zqa(b);n=c;r=o;return n|0}while(0);d=k[h>>2]|0;b=k[j>>2]|0;if((b|0)!=(d|0))do{o=b+-4|0;k[j>>2]=o;EO(o);b=k[j>>2]|0}while((b|0)!=(d|0));b=k[n>>2]|0;if(!b)sb(e|0);zqa(b);sb(e|0);return 0}function mk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;z=0;x=r;r=r+32|0;u=x;A=ZL(36)|0;k[A+4>>2]=0;k[A+8>>2]=0;k[A>>2]=14100;v=A+12|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[v+16>>2]=0;k[v+20>>2]=0;w=v;d=k[b+16>>2]|0;a:do if(d|0){f=k[d+4>>2]|0;e=k[d+16>>2]|0;g=f+(((e>>>0)/170|0)<<2)|0;if((k[d+8>>2]|0)==(f|0)){d=0;q=0}else{q=e+(k[d+20>>2]|0)|0;d=(k[g>>2]|0)+(((e>>>0)%170|0)*24|0)|0;q=(k[f+(((q>>>0)/170|0)<<2)>>2]|0)+(((q>>>0)%170|0)*24|0)|0}l=A+20|0;m=A+16|0;n=A+28|0;o=A+32|0;t=u+12|0;p=u+16|0;s=u+20|0;b:while(1){do{if((d|0)==(q|0))break a;y=0;Na(86,u|0,d|0,c|0);j=y;y=0;if(j&1){z=16;break b}j=k[l>>2]|0;h=k[m>>2]|0;B=j-h>>2;f=k[n>>2]|0;e=k[o>>2]|0;if((((B|0)==0?0:(B*170|0)+-1|0)|0)==(e+f|0)){y=0;na(370,v|0);B=y;y=0;if(B&1){z=17;break b}e=k[o>>2]|0;f=k[n>>2]|0;j=k[l>>2]|0;h=k[m>>2]|0}e=e+f|0;if((j|0)==(h|0))e=0;else e=(k[h+(((e>>>0)/170|0)<<2)>>2]|0)+(((e>>>0)%170|0)*24|0)|0;k[e>>2]=k[u>>2];k[e+4>>2]=k[u+4>>2];k[e+8>>2]=k[u+8>>2];y=0;oa(464,e+12|0,t|0);B=y;y=0;if(B&1){z=17;break b}k[e+16>>2]=k[p>>2];k[e+20>>2]=k[s>>2];k[p>>2]=0;k[s>>2]=0;k[o>>2]=(k[o>>2]|0)+1;EO(t);d=d+24|0}while((d-(k[g>>2]|0)|0)!=4080);d=g+4|0;g=d;d=k[d>>2]|0}if((z|0)==16)d=pb()|0;else if((z|0)==17){d=pb()|0;e=k[s>>2]|0;if(e|0)kZ(e);EO(t)}B=d;kZ(A);sb(B|0)}while(0);e=b+4|0;f=k[b+8>>2]|0;d=k[b+12>>2]|0;if(!d){d=0;z=23}else{y=0;d=qa(k[(k[d>>2]|0)+12>>2]|0,d|0)|0;B=y;y=0;if(!(B&1))z=23}if((z|0)==23){i[a>>0]=0;k[a+4>>2]=k[e>>2];k[a+8>>2]=f;y=0;oa(482,a+12|0,d|0);B=y;y=0;if(!(B&1)){k[a+16>>2]=w;k[a+20>>2]=A;Sba(A);if(!d){B=i[b>>0]|0;i[a>>0]=B;kZ(A);r=x;return}i[a>>0]=i[d+60>>0]|0;B=i[b>>0]|0;i[a>>0]=B;kZ(A);r=x;return}}B=pb()|0;kZ(A);sb(B|0)}function nk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;v=0;w=r;r=r+64|0;o=w+56|0;c=w+52|0;d=w+48|0;p=w+44|0;q=w+40|0;s=w+36|0;t=w+32|0;u=w+28|0;g=w+24|0;h=w+20|0;i=w+16|0;j=w+12|0;l=w+8|0;m=w+4|0;n=w;if(!a)c=0;else{rT(o,a+76|0);f=k[o>>2]|0;k[c>>2]=f;EO(c);c=f}rT(o,b+76|0);f=k[o>>2]|0;k[d>>2]=f;EO(d);d=c;a:while(1){c=(a|0)!=0;if(c)if(ZB(a)|0){rT(o,a+80|0);e=k[o>>2]|0;k[p>>2]=e;a=e;EO(p);if(!e){c=b;e=f;d=0;a=0;b=c;f=e;continue}rT(o,a+76|0);d=k[o>>2]|0;k[q>>2]=d;EO(q);c=b;e=f;b=c;f=e;continue}if(!b){v=12;break}if(ZB(b)|0){rT(o,b+80|0);f=k[o>>2]|0;k[s>>2]=f;b=f;EO(s);if(!f){c=a;e=d;f=0;b=0;a=c;d=e;continue}rT(o,b+76|0);f=k[o>>2]|0;k[t>>2]=f;EO(t);c=a;e=d;a=c;d=e;continue}if(!c){b=0;v=31;break}c=(d|0)!=0;e=(f|0)!=0;if(!(c|e)){c=k[a+72>>2]|0;d=k[b+72>>2]|0;if((c|0)!=(d|0)){v=16;break}rT(o,a+80|0);f=k[o>>2]|0;k[u>>2]=f;a=f;EO(u);rT(o,b+80|0);c=k[o>>2]|0;k[g>>2]=c;b=c;EO(g);if(!f)d=0;else{rT(o,a+76|0);d=k[o>>2]|0;k[h>>2]=d;EO(h)}if(!c){f=0;b=0;continue}rT(o,b+76|0);f=k[o>>2]|0;k[i>>2]=f;EO(i);continue}if(c)v=23;else if((k[f+76>>2]|0)!=(k[f+80>>2]|0))v=23;do if((v|0)==23){v=0;if(!e)if((k[d+76>>2]|0)==(k[d+80>>2]|0))break;if(!(Fc[k[(k[d>>2]|0)+164>>2]&2047](d,f)|0)){b=0;v=31;break a}}while(0);if((k[a+72>>2]|0)!=(k[b+72>>2]|0)){b=0;v=31;break}rT(o,a+80|0);f=k[o>>2]|0;k[j>>2]=f;a=f;EO(j);rT(o,b+80|0);c=k[o>>2]|0;k[l>>2]=c;b=c;EO(l);if(!f)d=0;else{rT(o,a+76|0);d=k[o>>2]|0;k[m>>2]=d;EO(m)}if(!c){f=0;b=0;continue}rT(o,b+76|0);f=k[o>>2]|0;k[n>>2]=f;EO(n)}if((v|0)==12){v=c^1;r=w;return v|0}else if((v|0)==16){v=(c|0)<(d|0);r=w;return v|0}else if((v|0)==31){r=w;return b|0}return 0}function ok(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=k[b>>2]|0;if(!d)j=5;else{f=k[d>>2]|0;if(!f)j=5;else if(!a){d=c;g=e;j=17}else{k[d>>2]=0;h=a;d=c;j=38}}if((j|0)==5)if(!a){d=c;j=7}else{f=a;d=c;j=6}a:while(1)if((j|0)==6){if(!d){j=27;break}else a=f;while(1){f=i[e>>0]|0;do if(((f&255)+-1|0)>>>0<127)if(d>>>0>4&(e&3|0)==0){while(1){f=k[e>>2]|0;if((f+-16843009|f)&-2139062144|0){j=33;break}k[a>>2]=f&255;k[a+4>>2]=l[e+1>>0];k[a+8>>2]=l[e+2>>0];g=e+4|0;f=a+16|0;k[a+12>>2]=l[e+3>>0];d=d+-4|0;if(d>>>0>4){a=f;e=g}else{j=32;break}}if((j|0)==32){a=f;e=g;f=i[g>>0]|0;break}else if((j|0)==33){f=f&255;break}}while(0);f=f&255;if((f+-1|0)>>>0>=127)break;e=e+1|0;k[a>>2]=f;d=d+-1|0;if(!d){j=27;break a}else a=a+4|0}f=f+-194|0;if(f>>>0>50){j=49;break}h=a;f=k[19192+(f<<2)>>2]|0;e=e+1|0;j=38;continue}else if((j|0)==7){while(1){f=i[e>>0]|0;if(((f&255)+-1|0)>>>0<127)if(!(e&3)){j=k[e>>2]|0;f=j&255;if(!((j+-16843009|j)&-2139062144)){do{e=e+4|0;d=d+-4|0;f=k[e>>2]|0}while(!((f+-16843009|f)&-2139062144|0));f=f&255}}f=f&255;if((f+-1|0)>>>0>=127)break;e=e+1|0;d=d+-1|0}f=f+-194|0;if(f>>>0>50){j=49;break}f=k[19192+(f<<2)>>2]|0;g=e+1|0;j=17;continue}else if((j|0)==17){j=(l[g>>0]|0)>>>3;if((j+-16|j+(f>>26))>>>0>7){j=18;break}e=g+1|0;if(f&33554432){if((i[e>>0]&-64)<<24>>24!=-128){j=21;break}e=g+2|0;if(f&524288){if((i[e>>0]&-64)<<24>>24!=-128){j=24;break}e=g+3|0}}d=d+-1|0;j=7;continue}else if((j|0)==38){a=l[e>>0]|0;j=a>>>3;if((j+-16|j+(f>>26))>>>0>7){j=39;break}g=e+1|0;a=a+-128|f<<6;if((a|0)<0){f=(l[g>>0]|0)+-128|0;if(f>>>0>63){j=42;break}g=e+2|0;a=f|a<<6;if((a|0)<0){f=(l[g>>0]|0)+-128|0;if(f>>>0>63){j=45;break}a=f|a<<6;e=e+3|0}else e=g}else e=g;k[h>>2]=a;f=h+4|0;d=d+-1|0;j=6;continue}if((j|0)==18){e=g+-1|0;j=48}else if((j|0)==21){e=g+-1|0;j=48}else if((j|0)==24){e=g+-1|0;j=48}else if((j|0)==27)k[b>>2]=e;else if((j|0)==39){e=e+-1|0;a=h;j=48}else if((j|0)==42){e=e+-1|0;c=h;j=53}else if((j|0)==45){e=e+-1|0;c=h;j=53}if((j|0)==48)if(!f)j=49;else{c=a;j=53}if((j|0)==49)if(!(i[e>>0]|0)){if(a|0){k[a>>2]=0;k[b>>2]=0}c=c-d|0}else{c=a;j=53}if((j|0)==53){j=v9()|0;k[j>>2]=84;if(!c)c=-1;else{k[b>>2]=e;c=-1}}return c|0}function pk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;h=k[a>>2]|0;i=h;b=h+((((k[b>>2]|0)-i|0)/24|0)*24|0)|0;m=k[c>>2]|0;f=k[d>>2]|0;o=f-m|0;j=(o|0)/24|0;d=m;m=f;if((o|0)<=0){o=b;return o|0}n=a+8|0;e=k[n>>2]|0;o=a+4|0;l=k[o>>2]|0;g=l;if((j|0)<=((e-g|0)/24|0|0)){h=g-b|0;e=(h|0)/24|0;if((j|0)>(e|0)){g=d+(e*24|0)|0;f=g;if((g|0)==(m|0))e=l;else{e=l;do{k[e>>2]=k[g>>2];k[e+4>>2]=k[g+4>>2];k[e+8>>2]=k[g+8>>2];k[e+12>>2]=k[g+12>>2];k[e+16>>2]=k[g+16>>2];k[e+20>>2]=k[g+20>>2];g=g+24|0;e=(k[o>>2]|0)+24|0;k[o>>2]=e}while((g|0)!=(m|0))}if((h|0)>0)i=e;else{o=b;return o|0}}else i=l;h=i-(b+(j*24|0))|0;e=b+(((h|0)/24|0)*24|0)|0;if(e>>>0<l>>>0){g=i;do{k[g>>2]=k[e>>2];k[g+4>>2]=k[e+4>>2];k[g+8>>2]=k[e+8>>2];k[g+12>>2]=k[e+12>>2];k[g+16>>2]=k[e+16>>2];k[g+20>>2]=k[e+20>>2];e=e+24|0;g=(k[o>>2]|0)+24|0;k[o>>2]=g}while(e>>>0<l>>>0)}if(h){DN(i+(((h|0)/-24|0)*24|0)|0,b|0,h|0)|0;d=k[c>>2]|0}if((d|0)==(f|0)){o=b;return o|0}else e=b;while(1){k[e>>2]=k[d>>2];k[e+4>>2]=k[d+4>>2];k[e+8>>2]=k[d+8>>2];k[e+12>>2]=k[d+12>>2];k[e+16>>2]=k[d+16>>2];k[e+20>>2]=k[d+20>>2];d=d+24|0;if((d|0)==(f|0))break;else e=e+24|0}return b|0}g=((g-i|0)/24|0)+j|0;if(g>>>0>178956970){OM(a);f=k[a>>2]|0;h=f;e=k[n>>2]|0}else f=i;e=(e-f|0)/24|0;j=e<<1;g=e>>>0<89478485?(j>>>0<g>>>0?g:j):178956970;j=b;e=(j-f|0)/24|0;do if(!g)f=0;else if(g>>>0>178956970){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}else{f=ZL(g*24|0)|0;break}while(0);l=f+(e*24|0)|0;e=l;i=f+(g*24|0)|0;if((d|0)==(m|0)){d=e;f=h}else{f=l;do{k[f>>2]=k[d>>2];k[f+4>>2]=k[d+4>>2];k[f+8>>2]=k[d+8>>2];k[f+12>>2]=k[d+12>>2];k[f+16>>2]=k[d+16>>2];k[f+20>>2]=k[d+20>>2];f=e+24|0;e=f;d=d+24|0}while((d|0)!=(m|0));d=e;f=k[a>>2]|0}e=j-f|0;g=l+(((e|0)/-24|0)*24|0)|0;if((e|0)>0)GH(g|0,f|0,e|0)|0;e=(k[o>>2]|0)-j|0;if((e|0)>0){GH(d|0,b|0,e|0)|0;d=d+(((e>>>0)/24|0)*24|0)|0;b=k[a>>2]|0}else b=f;k[a>>2]=g;k[o>>2]=d;k[n>>2]=i;if(!b){o=l;return o|0}zqa(b);o=l;return o|0}function qk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;j=0;m=r;r=r+16|0;n=m;_V(n,0);h=a+16|0;d=k[h>>2]|0;if(!d){y=0;na(391,a|0);l=y;y=0;if(!(l&1)){d=k[h>>2]|0;j=4}}else j=4;if((j|0)==4){l=k[a+4>>2]|0;g=l+(d>>>10<<2)|0;if((k[a+8>>2]|0)==(l|0)){d=0;f=k[g>>2]|0}else{f=k[g>>2]|0;d=f+((d&1023)<<2)|0}if((d|0)==(f|0))d=(k[g+-4>>2]|0)+4096|0;y=0;oa(464,d+-4|0,n|0);l=y;y=0;if(!(l&1)){k[h>>2]=(k[h>>2]|0)+-1;i=a+20|0;k[i>>2]=(k[i>>2]|0)+1;EO(n);_V(n,0);h=b+16|0;d=k[h>>2]|0;if(!d){y=0;na(391,b|0);l=y;y=0;if(!(l&1)){d=k[h>>2]|0;j=13}}else j=13;if((j|0)==13){l=k[b+4>>2]|0;g=l+(d>>>10<<2)|0;if((k[b+8>>2]|0)==(l|0)){d=0;f=k[g>>2]|0}else{f=k[g>>2]|0;d=f+((d&1023)<<2)|0}if((d|0)==(f|0))d=(k[g+-4>>2]|0)+4096|0;y=0;oa(464,d+-4|0,n|0);l=y;y=0;if(!(l&1)){k[h>>2]=(k[h>>2]|0)+-1;d=b+20|0;k[d>>2]=(k[d>>2]|0)+1;EO(n);k[n>>2]=0;l=n+4|0;k[l>>2]=0;k[n+8>>2]=0;y=0;Ra(41,a|0,b|0,c|0,n|0);j=y;y=0;if(!(j&1)){y=0;Ea(7,n|0,a|0,b|0,(k[i>>2]|0)+-1|0,(k[d>>2]|0)+-1|0,c|0,e|0);e=y;y=0;if(!(e&1)){d=k[n>>2]|0;if(!d){r=m;return}f=k[l>>2]|0;if((f|0)!=(d|0)){do{g=f+-12|0;k[l>>2]=g;h=k[g>>2]|0;i=h;if(!h)f=g;else{f=f+-8|0;g=k[f>>2]|0;if((g|0)!=(h|0))k[f>>2]=g+(~((g+-4-i|0)>>>2)<<2);zqa(h);f=k[l>>2]|0}}while((f|0)!=(d|0));d=k[n>>2]|0}zqa(d);r=m;return}}a=pb()|0;j=N;d=k[n>>2]|0;if(d|0){f=k[l>>2]|0;if((f|0)!=(d|0)){do{g=f+-12|0;k[l>>2]=g;h=k[g>>2]|0;i=h;if(!h)f=g;else{f=f+-8|0;g=k[f>>2]|0;if((g|0)!=(h|0))k[f>>2]=g+(~((g+-4-i|0)>>>2)<<2);zqa(h);f=k[l>>2]|0}}while((f|0)!=(d|0));d=k[n>>2]|0}zqa(d)}n=a;sb(n|0)}}m=pb()|0;EO(n);n=m;sb(n|0)}}m=pb()|0;EO(n);n=m;sb(n|0)}function rk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;n=r;r=r+32|0;m=n+24|0;g=n+20|0;f=n+16|0;j=n+12|0;h=n+8|0;o=n+4|0;l=n;i=kh(a,b,c,e)|0;rT(g,d);y=0;oa(464,f|0,c|0);e=y;y=0;do if(e&1)e=pb()|0;else{y=0;e=Ha(968,k[g>>2]|0,k[f>>2]|0)|0;p=y;y=0;if(p&1){e=pb()|0;EO(f);break}EO(f);EO(g);if(!e){p=i;r=n;return p|0}rT(m,c);y=0;Ha(966,c|0,d|0)|0;p=y;y=0;if(p&1){p=pb()|0;EO(m);sb(p|0)}y=0;Ha(966,d|0,m|0)|0;p=y;y=0;if(p&1){p=pb()|0;EO(m);sb(p|0)}EO(m);e=i+1|0;rT(j,c);y=0;oa(464,h|0,b|0);p=y;y=0;do if(p&1)e=pb()|0;else{y=0;d=Ha(968,k[j>>2]|0,k[h>>2]|0)|0;p=y;y=0;if(p&1){e=pb()|0;EO(h);break}EO(h);EO(j);if(!d){p=e;r=n;return p|0}rT(m,b);y=0;Ha(966,b|0,c|0)|0;p=y;y=0;if(p&1){p=pb()|0;EO(m);sb(p|0)}y=0;Ha(966,c|0,m|0)|0;p=y;y=0;if(p&1){p=pb()|0;EO(m);sb(p|0)}EO(m);e=i+2|0;rT(o,b);y=0;oa(464,l|0,a|0);p=y;y=0;do if(p&1)e=pb()|0;else{y=0;d=Ha(968,k[o>>2]|0,k[l>>2]|0)|0;p=y;y=0;if(p&1){e=pb()|0;EO(l);break}EO(l);EO(o);if(!d){p=e;r=n;return p|0}rT(m,a);y=0;Ha(966,a|0,b|0)|0;p=y;y=0;if(p&1){p=pb()|0;EO(m);sb(p|0)}y=0;Ha(966,b|0,m|0)|0;p=y;y=0;if(p&1){p=pb()|0;EO(m);sb(p|0)}EO(m);p=i+3|0;r=n;return p|0}while(0);EO(o);p=e;sb(p|0)}while(0);EO(j);p=e;sb(p|0)}while(0);EO(g);p=e;sb(p|0);return 0}function sk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0;b=yq(a)|0;if(b|0){a=b;return a|0}a:do if(a|0){j=i[44181]|0;e=j<<24>>24==0;if(e)b=a;else{b=a;c=44181;d=j;do{if((i[b>>0]|0)!=d<<24>>24)break a;b=b+1|0;c=c+1|0;d=i[c>>0]|0}while(d<<24>>24!=0)}d=i[b>>0]|0;if(d<<24>>24){if(e){c=0;e=0;while(1){switch(d<<24>>24){case 92:{f=e;b=b+1|0;break}case 34:{c=c^1;f=e;break}case 39:{f=e^1;break}default:if(c){c=1;f=e}else{c=0;f=e;b=e?b:b+-1|0}}b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break a;else e=f}}else{c=0;e=0;h=0}b:while(1){c:do switch(d<<24>>24){case 92:{b=b+1|0;f=h;break}case 34:{c=c^1;f=h;break}case 39:{e=e^1;f=h;break}default:if(c){c=1;f=h}else if(e){c=0;e=1;f=h}else if(!b){c=0;e=0;b=0;f=h}else{d:do if(d<<24>>24==j<<24>>24){g=b;c=44181;while(1){e=g+1|0;c=c+1|0;f=i[c>>0]|0;if(!(f<<24>>24))break;if((i[e>>0]|0)!=f<<24>>24)break d;else g=e}c=0;e=0;b=g;f=h+1|0;break c}while(0);c=i[45708]|0;e:do if(c<<24>>24){if(d<<24>>24==c<<24>>24){c=b;d=45708}else{c=0;e=0;f=h;break c}while(1){c=c+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24)){b=c;break e}if((i[c>>0]|0)!=e<<24>>24){c=0;e=0;f=h;break c}}}while(0);if(!h)break b;else{c=0;e=0;b=b+-1|0;f=h+-1|0}}}while(0);b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break a;else h=f}if(b|0){a=b;return a|0}}}while(0);if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=kw(b)|0;if(b|0){b=iw(b)|0;if(b|0){a=b;return a|0}}b=a+1|0;if((i[a>>0]|0)==36){if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=kw(b)|0;if(b|0){b=iw(b)|0;if(b|0){a=b;return a|0}}}b=XB(a)|0;if(b|0)if((i[b>>0]|0)==37){a=b+1|0;return a|0}a=$x(a)|0;return a|0}function tk(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0;p=0;n=r;r=r+112|0;c=n+40|0;g=n;o=n+92|0;h=n+80|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;jI(h,36644,5);y=0;j=c;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));b=sa(25,h|0,a|0,d|0,c|0,f|0)|0;f=y;y=0;do if(f&1)p=8;else{y=0;oa(452,g|0,b+64|0);f=y;y=0;if(f&1)p=8;else{y=0;ma(5,o|0,g|0,0,0,1);f=y;y=0;if(f&1){b=pb()|0;$9(g);break}$9(g);$9(h);do if((cw(75288,o)|0)==75292){y=0;b=qa(332,68)|0;f=y;y=0;if(f&1)p=11;else{j=c;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);b=e;break}j=b+12|0;l=c;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=9208;i[b+60>>0]=0;k[b+64>>2]=0;k[b+56>>2]=1;e=b;$9(o);r=n;return e|0}}else{y=0;b=qa(332,68)|0;f=y;y=0;if(f&1)p=11;else{j=g;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);b=e;break}j=b+12|0;l=g;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=9208;i[b+60>>0]=1;k[b+64>>2]=0;k[b+56>>2]=1;e=b;$9(o);r=n;return e|0}}while(0);if((p|0)==11)b=pb()|0;$9(o);e=b;sb(e|0)}}while(0);if((p|0)==8)b=pb()|0;$9(h);e=b;sb(e|0);return 0}function uk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;p=0;q=r;r=r+32|0;c=q+24|0;l=q+20|0;s=q+16|0;d=q+8|0;o=q+12|0;n=q+4|0;m=q;if(!a){s=0;r=q;return s|0}rT(s,a+64|0);y=0;oa(464,c|0,a+68|0);j=y;y=0;if(j&1){q=pb()|0;EO(s);sb(q|0)}a=k[c>>2]|0;k[d>>2]=a;if(!a){EO(d);a=0}else{a=pw(a,88,104,0)|0;EO(d);if(!a)a=0;else if((k[a+80>>2]|0)==(k[a+76>>2]|0))a=0;else{e=k[s>>2]|0;h=(k[e+72>>2]|0)-(k[e+68>>2]|0)>>2;a:do if(!h){c=0;a=0}else{j=(b|0)!=3;a=0;g=0;c=0;d=0;b:while(1){e=e+64|0;y=0;e=Ha(k[(k[e>>2]|0)+16>>2]|0,e|0,g|0)|0;f=y;y=0;if(f&1){p=15;break}y=0;oa(464,o|0,e|0);f=y;y=0;if(f&1){p=15;break}e=k[o>>2]|0;do if(!e){d=1;p=32}else if(!(pw(e,680,776,0)|0)){f=pw(e,680,808,0)|0;if(f|0){y=0;a=Ha(995,f|0,b|0)|0;f=y;y=0;if(f&1){p=19;break b}else{f=0;break}}if(!(pw(e,680,712,0)|0)){e=pw(e,680,920,0)|0;if(!e){d=1;p=32;break}if(!(i[e+68>>0]|0))d=j|d;else{d=1;p=32;break}}else{y=0;oa(464,l|0,e+64|0);f=y;y=0;if(f&1){p=19;break b}f=k[l>>2]|0;k[n>>2]=f;y=0;oa(482,m|0,f|0);f=y;y=0;if(f&1){p=25;break b}y=0;e=Ha(996,m|0,b|0)|0;f=y;y=0;if(f&1){p=26;break b}EO(m);EO(n);c=c|e}if(d|c)p=32;else{f=1;c=0;d=0}}else{f=0;a=1}while(0);if((p|0)==32){p=0;f=0;a=1}EO(o);e=g+1|0;if(!f){c=1;break a}if(e>>>0>=h>>>0){c=0;break a}g=e;e=k[s>>2]|0}if((p|0)==15){q=pb()|0;EO(s);sb(q|0)}else if((p|0)==19)a=pb()|0;else if((p|0)==25){a=pb()|0;p=27}else if((p|0)==26){a=pb()|0;EO(m);p=27}if((p|0)==27)EO(n);EO(o);q=a;EO(s);sb(q|0)}while(0);a=c&a}}EO(s);s=a;r=q;return s|0}function vk(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0;o=r;r=r+96|0;m=o+48|0;t=o+36|0;s=o+24|0;q=o+12|0;n=o;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;jI(t,35368,4);y=0;b=m;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,t|0,a|0,d|0,m|0,f|0)|0;g=y;y=0;if(g&1){s=pb()|0;$9(t);sb(s|0)}l=+p[b+64>>3];k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,35373,11);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=m;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,s|0,a|0,d|0,m|0,f|0)|0;g=y;y=0;if(g&1)b=pb()|0;else{j=+p[b+64>>3];k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,35385,10);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=m;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,q|0,a|0,d|0,m|0,f|0)|0;g=y;y=0;if(g&1)b=pb()|0;else{i=+p[b+64>>3];k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(75,n|0,35322,6);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=m;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,n|0,a|0,d|0,m|0,f|0)|0;f=y;y=0;if(!(f&1)){h=+p[b+64>>3];y=0;b=m;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=xa(1,+l,+j,+i,+h,0,m|0)|0;e=y;y=0;if(!(e&1)){$9(n);$9(q);$9(s);$9(t);r=o;return b|0}}b=pb()|0;$9(n)}}$9(q)}}$9(s)}s=b;$9(t);sb(s|0);return 0}function wk(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;t=0;p=r;r=r+96|0;n=p;s=p+80|0;q=p+64|0;g=p+40|0;o=p+76|0;m=p+52|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;jI(q,37093,6);y=0;h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));b=pa(41,q|0,a|0,d|0,n|0,f|0,c|0)|0;l=y;y=0;if(l&1){t=pb()|0;$9(q);sb(t|0)}k[s>>2]=b;$9(q);k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,37100,4);l=y;y=0;do if(l&1){b=pb()|0;t=13}else{y=0;h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));b=pa(41,g|0,a|0,d|0,n|0,f|0,c|0)|0;f=y;y=0;if(f&1){b=pb()|0;$9(g);t=13;break}k[q>>2]=b;$9(g);b=k[s>>2]|0;g=k[(k[b>>2]|0)+156>>2]|0;y=0;oa(464,o|0,q|0);f=y;y=0;a:do if(f&1)b=pb()|0;else{k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,82159,0);f=y;y=0;do if(f&1)b=pb()|0;else{y=0;g=ta(g|0,b|0,o|0,m|0)|0;f=y;y=0;if(f&1){b=pb()|0;$9(m);break}$9(m);EO(o);y=0;b=qa(332,68)|0;o=y;y=0;if(o&1){b=pb()|0;break a}h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);b=e;break a}else{h=b+12|0;j=n;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=9208;i[b+60>>0]=g&1;k[b+64>>2]=0;k[b+56>>2]=1;EO(q);EO(s);r=p;return b|0}}while(0);EO(o)}while(0);EO(q)}while(0);EO(s);t=b;sb(t|0);return 0}function xk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;z=r;r=r+32|0;x=z;s=z+16|0;q=z+12|0;t=z+8|0;u=z+4|0;v=z+20|0;Er(a,b+276|0);w=a+4|0;h=k[w>>2]|0;f=k[a>>2]|0;g=f;p=h;if((h|0)==(f|0)){r=z;return}f=g+12|0;if(c){b=f+(d*12|0)|0;if((g|0)==(b|0))e=h;else{do if((b|0)==(p|0)){n=g;e=p;l=h}else{while(1){f=g+11|0;if((i[f>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[f>>0]=0}y=0;oa(506,g|0,0);o=y;y=0;if(o&1){b=9;break}k[g>>2]=k[b>>2];k[g+4>>2]=k[b+4>>2];k[g+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=b+12|0;g=g+12|0;if((b|0)==(p|0)){b=11;break}}if((b|0)==9){p=tb(0)|0;dla(p)}else if((b|0)==11){l=k[w>>2]|0;n=g;e=l;break}}while(0);if((e|0)==(n|0))e=l;else do{p=e+-12|0;k[w>>2]=p;$9(p);e=k[w>>2]|0}while((e|0)!=(n|0))}}else{b=g+((d+1|0)*12|0)|0;if(!d)e=h;else{do if((b|0)==(p|0)){o=f;j=p;m=h}else{while(1){e=f+11|0;if((i[e>>0]|0)<0){i[k[f>>2]>>0]=0;k[f+4>>2]=0}else{i[f>>0]=0;i[e>>0]=0}y=0;oa(506,f|0,0);n=y;y=0;if(n&1){b=20;break}k[f>>2]=k[b>>2];k[f+4>>2]=k[b+4>>2];k[f+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=b+12|0;f=f+12|0;if((b|0)==(p|0)){b=22;break}}if((b|0)==20){p=tb(0)|0;dla(p)}else if((b|0)==22){m=k[w>>2]|0;o=f;j=m;break}}while(0);if((j|0)==(o|0))e=m;else{e=j;do{p=e+-12|0;k[w>>2]=p;$9(p);e=k[w>>2]|0}while((e|0)!=(o|0))}}}k[t>>2]=k[a>>2];k[u>>2]=e;k[q>>2]=k[t>>2];k[s>>2]=k[u>>2];i[x>>0]=i[v>>0]|0;b=hl(q,s,x)|0;e=k[w>>2]|0;if((b|0)!=(e|0))do{v=e+-12|0;k[w>>2]=v;$9(v);e=k[w>>2]|0}while((e|0)!=(b|0));ze((k[a>>2]|0)+((c&1^1)*12|0)|0,b,x);r=z;return}function yk(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0;s=r;r=r+128|0;n=s+88|0;l=s+64|0;c=s+76|0;m=s;o=s+24|0;q=s+12|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,36062,7);y=0;b=n;i=e;j=b+40|0;do{k[b>>2]=k[i>>2];b=b+4|0;i=i+4|0}while((b|0)<(j|0));g=sa(23,l|0,a|0,d|0,n|0,f|0)|0;j=y;y=0;if(j&1){e=pb()|0;$9(l);sb(e|0)}$9(l);a:do if(!(dU(g)|0)){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,d,JI(d)|0);y=0;b=ta(52,m|0,0,36070)|0;d=y;y=0;if(d&1)b=pb()|0;else{k[l>>2]=k[b>>2];k[l+4>>2]=k[b+4>>2];k[l+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,l|0,36092)|0;d=y;y=0;do if(d&1)b=pb()|0;else{k[c>>2]=k[b>>2];k[c+4>>2]=k[b+4>>2];k[c+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=n;i=e;j=b+40|0;do{k[b>>2]=k[i>>2];b=b+4|0;i=i+4|0}while((b|0)<(j|0));oa(458,c|0,n|0);d=y;y=0;if(d&1){b=pb()|0;$9(c);break}else{$9(c);$9(l);$9(m);break a}}while(0);$9(l)}$9(m);e=b;sb(e|0)}while(0);c=ZL(104)|0;b=o;i=e;j=b+40|0;do{k[b>>2]=k[i>>2];b=b+4|0;i=i+4|0}while((b|0)<(j|0));h=+p[g+64>>3];k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,44240,1);e=y;y=0;do if(e&1)b=pb()|0;else{h=h*100.0;y=0;b=n;i=o;j=b+40|0;do{k[b>>2]=k[i>>2];b=b+4|0;i=i+4|0}while((b|0)<(j|0));Ca(1,c|0,n|0,+h,q|0,1);e=y;y=0;if(e&1){b=pb()|0;$9(q);break}else{$9(q);r=s;return c|0}}while(0);zqa(c);e=b;sb(e|0);return 0}function zk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;l=yq(a)|0;if(l>>>0>a>>>0)b=0;else{k=0;k=(k|0)==0;l=k?l:0;return l|0}a:while(1){c=0;k=a;b:while(1){d=i[k>>0]|0;if(!(d<<24>>24)){a=b;b=38;break a}c:do if(c)a=0;else if(d<<24>>24==92)a=1;else if(!k)a=0;else{j=i[44181]|0;e=j<<24>>24==0;if(e){a=k;c=0;f=0}else{if(d<<24>>24==j<<24>>24){a=k;c=44181}else{a=0;break}while(1){a=a+1|0;c=c+1|0;d=i[c>>0]|0;g=i[a>>0]|0;if(!(d<<24>>24))break;if(g<<24>>24!=d<<24>>24){a=0;break c}}if(!(g<<24>>24)){a=0;break}if(e){c=0;f=0;d=g}else{f=a;a=0;c=0;h=0;while(1){d:do switch(g<<24>>24){case 92:{e=a;a=f+1|0;d=h;break}case 34:{e=a^1;a=f;d=h;break}case 39:{e=a;c=c^1;a=f;d=h;break}default:if(a){e=1;a=f;d=h}else if(c){e=0;c=1;a=f;d=h}else{e:do if(g<<24>>24==j<<24>>24){a=f;c=44181;while(1){d=a+1|0;c=c+1|0;e=i[c>>0]|0;if(!(e<<24>>24))break;if((i[d>>0]|0)!=e<<24>>24)break e;else a=d}e=0;c=0;d=h+1|0;break d}while(0);a=i[45708]|0;f:do if(!(a<<24>>24))a=f;else{if(g<<24>>24==a<<24>>24){a=f;c=45708}else{e=0;c=0;a=f;d=h;break d}while(1){a=a+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24))break f;if((i[a>>0]|0)!=d<<24>>24){e=0;c=0;a=f;d=h;break d}}}while(0);if(!h)break b;else{e=0;c=0;a=a+-1|0;d=h+-1|0}}}while(0);f=a+1|0;g=i[f>>0]|0;if(!(g<<24>>24)){a=0;break c}else{a=e;h=d}}}}while(1){switch(d<<24>>24){case 92:{e=f;a=a+1|0;break}case 34:{c=c^1;e=f;break}case 39:{e=f^1;break}default:if(c){c=1;e=f}else{c=0;e=f;a=f?a:a+-1|0}}a=a+1|0;d=i[a>>0]|0;if(!(d<<24>>24)){a=0;break c}else f=e}}while(0);k=k+1|0;if(k>>>0>=l>>>0){a=b;b=38;break a}else c=a}b=b+1|0;if(a>>>0>=l>>>0){a=b;b=38;break}}if((b|0)==38){k=(a|0)==0;l=k?l:0;return l|0}return 0}function Ak(a){a=a|0;var b=0,c=0.0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,t=0,v=0;t=0;v=r;r=r+16|0;q=v;s=a+100|0;if(k[s>>2]|0){t=k[s>>2]|0;r=v;return t|0}c=+p[a+64>>3];if(c==0.0)b=0;else{p[u>>3]=c;o=aa(k[u>>2]|0,1540483477)|0;b=aa(k[u+4>>2]|0,1540483477)|0;b=(aa((aa(o>>>24^o,1540483477)|0)^-561034072,1540483477)|0)^(aa(b>>>24^b,1540483477)|0);b=aa(b>>>13^b,1540483477)|0;b=b>>>15^b}k[s>>2]=b;b=k[a+76>>2]|0;m=k[a+80>>2]|0;a:do if((b|0)!=(m|0)){n=q+11|0;o=q+4|0;while(1){pK(q,b);j=i[n>>0]|0;g=j<<24>>24<0;h=g?k[q>>2]|0:q;j=g?k[o>>2]|0:j&255;if(j>>>0>3){g=j+-4|0;f=h;d=j;e=j;while(1){j=aa(l[f>>0]|l[f+1>>0]<<8|l[f+2>>0]<<16|l[f+3>>0]<<24,1540483477)|0;d=(aa(j>>>24^j,1540483477)|0)^(aa(d,1540483477)|0);e=e+-4|0;if(e>>>0<=3)break;else f=f+4|0}f=g&-4;e=g-f|0;f=h+(f+4)|0}else{e=j;f=h;d=j}switch(e|0){case 3:{d=(l[f+2>>0]|0)<<16^d;t=14;break}case 2:{t=14;break}case 1:{t=15;break}default:{}}if((t|0)==14){d=(l[f+1>>0]|0)<<8^d;t=15}if((t|0)==15){t=0;d=aa((l[f>>0]|0)^d,1540483477)|0}h=aa(d>>>13^d,1540483477)|0;j=k[s>>2]|0;k[s>>2]=(j<<6)+-1640531527+(j>>>2)+(h>>>15^h)^j;$9(q);b=b+12|0;if((b|0)==(m|0))break a}}while(0);b=k[a+88>>2]|0;m=k[a+92>>2]|0;if((b|0)==(m|0)){t=k[s>>2]|0;r=v;return t|0}n=q+11|0;o=q+4|0;j=b;do{pK(q,j);h=i[n>>0]|0;a=h<<24>>24<0;g=a?k[q>>2]|0:q;h=a?k[o>>2]|0:h&255;if(h>>>0>3){f=h+-4|0;e=g;b=h;d=h;while(1){a=aa(l[e>>0]|l[e+1>>0]<<8|l[e+2>>0]<<16|l[e+3>>0]<<24,1540483477)|0;b=(aa(a>>>24^a,1540483477)|0)^(aa(b,1540483477)|0);d=d+-4|0;if(d>>>0<=3)break;else e=e+4|0}e=f&-4;d=f-e|0;e=g+(e+4)|0}else{d=h;e=g;b=h}switch(d|0){case 3:{b=(l[e+2>>0]|0)<<16^b;t=23;break}case 2:{t=23;break}case 1:{t=24;break}default:{}}if((t|0)==23){b=(l[e+1>>0]|0)<<8^b;t=24}if((t|0)==24){t=0;b=aa((l[e>>0]|0)^b,1540483477)|0}h=aa(b>>>13^b,1540483477)|0;a=k[s>>2]|0;k[s>>2]=(a<<6)+-1640531527+(a>>>2)+(h>>>15^h)^a;$9(q);j=j+12|0}while((j|0)!=(m|0));t=k[s>>2]|0;r=v;return t|0}function Bk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;p=0;n=r;r=r+48|0;o=n;l=n+44|0;m=n+40|0;q=ZL(88)|0;f=i[b+84>>0]|0;c=o;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(366,q|0);j=y;y=0;do if(j&1)c=pb()|0;else{c=q+12|0;d=o;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[q>>2]=5252;k[q+52>>2]=0;k[q+56>>2]=0;i[q+60>>0]=0;j=q+64|0;k[j>>2]=5212;g=q+68|0;h=q+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,0);e=y;y=0;if(e&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{p=e+-4|0;k[h>>2]=p;EO(p);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[q>>2]=5076;k[j>>2]=5172;i[q+84>>0]=f;i[q+85>>0]=0;h=b+64|0;g=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>2;if(!g){r=n;return q|0}b=0;a:while(1){c=Fc[k[(k[h>>2]|0)+16>>2]&2047](h,b)|0;c=k[c>>2]|0;if(!c)p=26;else{d=pw(c,680,640,0)|0;if(!d)p=26;else{_V(o,Bk(a,d)|0);d=k[o>>2]|0;f=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>2;b:do if(f|0){c=0;while(1){e=k[(k[j>>2]|0)+20>>2]|0;d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;s=y;y=0;if(s&1){p=23;break a}y=0;oa(464,l|0,d|0);s=y;y=0;if(s&1){p=23;break a}y=0;oa(e|0,j|0,l|0);s=y;y=0;if(s&1){p=24;break a}EO(l);c=c+1|0;if(c>>>0>=f>>>0)break b;d=k[o>>2]|0}}while(0);EO(o)}}if((p|0)==26){p=0;s=k[(k[j>>2]|0)+20>>2]|0;_V(m,c);y=0;oa(s|0,j|0,m|0);s=y;y=0;if(s&1){p=28;break}EO(m)}b=b+1|0;if(b>>>0>=g>>>0){p=11;break}}if((p|0)==11){r=n;return q|0}else if((p|0)==23)c=pb()|0;else if((p|0)==24){c=pb()|0;EO(l)}else if((p|0)==28){s=pb()|0;EO(m);sb(s|0)}EO(o);s=c;sb(s|0)}while(0);zqa(q);s=c;sb(s|0);return 0}function Ck(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;o=0;j=r;r=r+128|0;l=j;h=j+112|0;f=j+100|0;e=j+88|0;g=j+48|0;m=j+44|0;n=j+40|0;c=a+76|0;b=HI(k[c>>2]|0)|0;d=a+80|0;if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)b=k[c>>2]|0;c=oW(b)|0;b=c|0?c:b;switch(i[b>>0]|0){case 59:case 125:{b=b+1|0;break}default:b=oja(b)|0}a:do if(!((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)){k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,39964,11);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(75,f|0,39976,7);d=y;y=0;if(d&1)b=pb()|0;else{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(75,e|0,39984,44);d=y;y=0;do if(d&1)b=pb()|0;else{y=0;Ra(25,a|0,l|0,f|0,e|0);d=y;y=0;if(d&1){b=pb()|0;$9(e);break}else{$9(e);$9(f);$9(l);break a}}while(0);$9(f)}$9(l);o=b;sb(o|0)}while(0);e=ZL(68)|0;b=g;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;b=Ha(1003,a|0,0)|0;a=y;y=0;do if(a&1)b=pb()|0;else{k[n>>2]=b;y=0;oa(482,m|0,b|0);a=y;y=0;if(a&1){b=pb()|0;EO(n);break}b=l;c=g;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;na(366,e|0);g=y;y=0;do if(g&1){b=1;o=24}else{b=e+12|0;c=l;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=e+52|0;k[b>>2]=0;k[e+56>>2]=0;i[e+60>>0]=0;k[e>>2]=7092;y=0;oa(464,e+64|0,m|0);l=y;y=0;if(l&1){b=pb()|0;c=1;break}k[b>>2]=15;y=0;oa(482,h|0,e|0);o=y;y=0;if(o&1){b=0;o=24}else{EO(m);EO(n);r=j;return k[h>>2]|0}}while(0);if((o|0)==24){o=pb()|0;c=b;b=o}EO(m);EO(n);if(!c){o=b;sb(o|0)}}while(0);zqa(e);o=b;sb(o|0);return 0}function Dk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;p=0;q=r;r=r+32|0;m=q+20|0;j=q+8|0;o=q+4|0;n=q;l=pw(b,40,624,0)|0;if(!l){p=0;r=q;return p|0}y=0;oa(452,m|0,a+64|0);h=y;y=0;do if(h&1){c=cb(4592,0)|0;b=N;p=14}else{y=0;oa(452,j|0,l+64|0);h=y;y=0;if(h&1){c=cb(4592,0)|0;b=N;$9(m);p=14;break}d=i[m+11>>0]|0;e=d<<24>>24<0;d=d&255;f=e?k[m+4>>2]|0:d;h=i[j+11>>0]|0;b=h<<24>>24<0;if((f|0)!=((b?k[j+4>>2]|0:h&255)|0)){$9(j);$9(m);p=0;r=q;return p|0}g=k[m>>2]|0;h=e?g:m;b=b?k[j>>2]|0:j;c=(f|0)==0;a:do if(e){if(c){$9(j);$9(m);break}h=(zM(h,b,f)|0)==0;$9(j);$9(m);if(!h){p=0;r=q;return p|0}}else{if(c){$9(j);$9(m);break}b:do if((g&255)<<24>>24==(i[b>>0]|0)){c=m;while(1){d=d+-1|0;c=c+1|0;if(!d)break;b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0))break b}$9(j);$9(m);break a}while(0);$9(j);$9(m);p=0;r=q;return p|0}while(0);y=0;oa(464,j|0,a+60|0);a=y;y=0;if(a&1){c=cb(4592,0)|0;b=N;break}b=k[j>>2]|0;k[o>>2]=b;c=k[(k[b>>2]|0)+88>>2]|0;y=0;oa(464,m|0,l+60|0);l=y;y=0;do if(l&1){c=cb(4592,0)|0;b=N}else{m=k[m>>2]|0;k[n>>2]=m;y=0;b=Ha(c|0,b|0,m|0)|0;m=y;y=0;if(m&1){c=cb(4592,0)|0;b=N;EO(n);break}EO(n);EO(o);p=b;r=q;return p|0}while(0);EO(o)}while(0);p=(b|0)==(ob(4592)|0);vb(c|0)|0;if(p){rb();p=0;r=q;return p|0}y=0;la(4);y=0;b=pb()|0;y=0;la(3);q=y;y=0;if(q&1){q=tb(0)|0;dla(q)}else sb(b|0);return 0}function Ek(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;c=0;l=r;r=r+144|0;e=l+120|0;f=l+116|0;g=l;j=l+112|0;q=l+108|0;b=l+96|0;h=l+56|0;o=l+48|0;p=l+44|0;n=l+40|0;m=xd(a)|0;k[q>>2]=m;do if(!m){k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;Na(75,b|0,40844,40);m=y;y=0;if(!(m&1)){m=a+108|0;y=0;k[e>>2]=k[m>>2];k[e+4>>2]=k[m+4>>2];k[e+8>>2]=k[m+8>>2];Na(109,a|0,b|0,e|0);m=y;y=0;if(!(m&1)){$9(b);c=7;break}p=pb()|0;$9(b);EO(q);sb(p|0)}}else c=7;while(0);a:do if((c|0)==7){y=0;m=qa(332,68)|0;d=y;y=0;if(!(d&1)){a=k[q>>2]|0;b=h;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(464,f|0,a+68|0);d=y;y=0;if(d&1)a=pb()|0;else{f=k[f>>2]|0;k[p>>2]=f;y=0;oa(482,o|0,f|0);f=y;y=0;if(f&1)a=pb()|0;else{y=0;oa(464,e|0,(k[q>>2]|0)+72|0);f=y;y=0;if(f&1)a=pb()|0;else{k[n>>2]=k[e>>2];b=g;c=h;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;na(366,m|0);h=y;y=0;if(h&1)a=pb()|0;else{b=m+12|0;c=g;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;k[m+56>>2]=0;k[m>>2]=10572;a=m+60|0;y=0;oa(464,a|0,o|0);h=y;y=0;do if(h&1)a=pb()|0;else{y=0;oa(464,m+64|0,n|0);h=y;y=0;if(h&1){l=pb()|0;EO(a);a=l;break}EO(n);EO(o);EO(p);y=0;oa(482,j|0,m|0);p=y;y=0;if(p&1)break a;EO(q);r=l;return k[j>>2]|0}while(0)}EO(n)}EO(o)}EO(p)}zqa(m);p=a;EO(q);sb(p|0)}}while(0);p=pb()|0;EO(q);sb(p|0);return 0}function Fk(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;o=0;n=r;r=r+32|0;p=n;if((e|0)==0|(f|0)==0){gD(a);r=n;return}i=k[c+16>>2]|0;h=k[c+20>>2]|0;if(h|0){Sba(h);kZ(h)}m=k[d+16>>2]|0;h=k[d+20>>2]|0;if(h|0){Sba(h);kZ(h)}AT(p);j=(k[i+16>>2]|0)+e|0;i=k[(k[i+4>>2]|0)+(((j>>>0)/170|0)<<2)>>2]|0;j=(j>>>0)%170|0;l=i+(j*24|0)|0;h=(k[m+16>>2]|0)+f|0;y=0;h=ta(162,l|0,(k[(k[m+4>>2]|0)+(((h>>>0)/170|0)<<2)>>2]|0)+(((h>>>0)%170|0)*24|0)|0,1)|0;m=y;y=0;a:do if(m&1)o=20;else{do if(h){k[p>>2]=k[l>>2];k[p+4>>2]=k[l+4>>2];k[p+8>>2]=k[l+8>>2];y=0;Ha(966,p+12|0,i+(j*24|0)+12|0)|0;m=y;y=0;if(m&1){o=20;break a}j=i+(j*24|0)|0;h=k[j+16>>2]|0;j=k[j+20>>2]|0;if(j|0)Sba(j);k[p+16>>2]=h;h=p+20|0;i=k[h>>2]|0;k[h>>2]=j;if(i|0)kZ(i);y=0;Ea(6,a|0,b|0,c|0,d|0,e+-1|0,f+-1|0,g|0);g=y;y=0;if(g&1){o=20;break a}i=k[a+16>>2]|0;j=a+20|0;l=k[j>>2]|0;m=(l|0)==0;if(!m)Sba(l);y=0;oa(523,i|0,p|0);g=y;y=0;if(!(g&1)){if(m)break;kZ(l);break}i=pb()|0;if(!m)kZ(l);j=k[j>>2]|0;if(j|0)kZ(j);EO(a+12|0);break a}else{o=k[b>>2]|0;h=f+-1|0;i=e+-1|0;if((k[(k[o+(e*12|0)>>2]|0)+(h<<2)>>2]|0)>(k[(k[o+(i*12|0)>>2]|0)+(f<<2)>>2]|0)){y=0;Ea(6,a|0,b|0,c|0,d|0,e|0,h|0,g|0);o=y;y=0;if(o&1){o=20;break a}else break}else{y=0;Ea(6,a|0,b|0,c|0,d|0,i|0,f|0,g|0);o=y;y=0;if(o&1){o=20;break a}else break}}while(0);h=k[p+20>>2]|0;if(h|0)kZ(h);EO(p+12|0);r=n;return}while(0);if((o|0)==20){i=pb()|0;h=p+20|0}h=k[h>>2]|0;if(!h){p=p+12|0;EO(p);sb(i|0)}kZ(h);p=p+12|0;EO(p);sb(i|0)}function Gk(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;w=r;r=r+224|0;m=w+184|0;n=w+192|0;o=w+180|0;p=w+176|0;q=w+168|0;s=w+40|0;t=w+32|0;u=w+28|0;x=w+16|0;l=w+8|0;v=w;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[x+(b<<2)>>2]=0;b=b+1|0}k[l+4>>2]=0;k[l>>2]=26240;h=i[f+8+3>>0]|0;j=h<<24>>24<0;b=j?k[f>>2]|0:f;h=b+((j?k[f+4>>2]|0:h&255)<<2)|0;j=n+32|0;f=b;b=0;a:while(1){if(!((b|0)!=2&f>>>0<h>>>0)){g=13;break}k[p>>2]=f;y=0;g=Pa(k[(k[l>>2]|0)+12>>2]|0,l|0,m|0,f|0,h|0,p|0,n|0,j|0,o|0)|0;b=y;y=0;if(b&1){g=15;break}if((g|0)==2?1:(k[p>>2]|0)==(f|0)){g=8;break}else b=n;while(1){if(b>>>0>=(k[o>>2]|0)>>>0)break;y=0;oa(461,x|0,i[b>>0]|0);f=y;y=0;if(f&1){g=14;break a}b=b+1|0}f=k[p>>2]|0;b=g}do if((g|0)==8){y=0;na(418,52611);y=0;b=pb()|0;g=16}else if((g|0)==13){y=0;f=Ma(29,((c|0)==-1?-1:c<<1)|0,d|0,e|0,((i[x+11>>0]|0)<0?k[x>>2]|0:x)|0)|0;e=y;y=0;if(e&1){b=pb()|0;break}k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}k[v+4>>2]=0;k[v>>2]=26288;h=f+(JI(f)|0)|0;j=h;l=s+128|0;b=0;b:while(1){if(!((b|0)!=2&f>>>0<h>>>0)){g=29;break}k[u>>2]=f;y=0;g=Pa(k[(k[v>>2]|0)+16>>2]|0,v|0,q|0,f|0,((j-f|0)>32?f+32|0:h)|0,u|0,s|0,l|0,t|0)|0;e=y;y=0;if(e&1){g=32;break}if((g|0)==2?1:(k[u>>2]|0)==(f|0)){g=24;break}else b=s;while(1){if(b>>>0>=(k[t>>2]|0)>>>0)break;y=0;oa(632,a|0,k[b>>2]|0);e=y;y=0;if(e&1){g=31;break b}b=b+4|0}f=k[u>>2]|0;b=g}if((g|0)==24){y=0;na(418,52611);y=0;b=pb()|0}else if((g|0)==29){$9(x);r=w;return}else if((g|0)==31)b=pb()|0;else if((g|0)==32)b=pb()|0;w9(a)}else if((g|0)==14){b=pb()|0;g=16}else if((g|0)==15){b=pb()|0;g=16}while(0);$9(x);sb(b|0)}function Hk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;l=r;r=r+48|0;h=l+32|0;g=l+28|0;i=l+24|0;c=l+20|0;o=l+16|0;m=l+12|0;j=l;k[a+4>>2]=0;k[a+8>>2]=0;n=a+4|0;k[a>>2]=n;y=0;oa(464,c|0,b+76|0);f=y;y=0;if(f&1){o=pb()|0;n=k[n>>2]|0;TG(a,n);sb(o|0)}k[o>>2]=k[c>>2];y=0;oa(464,h|0,b+80|0);f=y;y=0;if(f&1)b=pb()|0;else{d=k[h>>2]|0;k[m>>2]=d;b=k[o>>2]|0;do if(!b){c=d;b=d;d=16}else{c=k[b+92>>2]|0;f=b+96|0;if((c|0)==(f|0)){c=d;b=d;d=16}else{e=n;d=c;while(1){d=d+16|0;k[g>>2]=e;y=0;k[h>>2]=k[g>>2];Ma(18,a|0,h|0,d|0,d|0)|0;d=y;y=0;if(d&1){d=14;break}b=k[c+4>>2]|0;if(!b)while(1){b=k[c+8>>2]|0;if((k[b>>2]|0)==(c|0))break;else c=b}else while(1){c=k[b>>2]|0;if(!c)break;else b=c}if((b|0)==(f|0)){d=15;break}else{d=b;c=b}}if((d|0)==14){b=pb()|0;break}else if((d|0)==15){b=k[m>>2]|0;c=b;d=16;break}}}while(0);a:do if((d|0)==16){if(!c){EO(m);EO(o);r=l;return}y=0;oa(594,j|0,b|0);g=y;y=0;if(g&1){b=pb()|0;break}b=k[j>>2]|0;d=j+4|0;b:do if((b|0)!=(d|0)){e=n;c=b;while(1){g=c+16|0;k[i>>2]=e;y=0;k[h>>2]=k[i>>2];Ma(18,a|0,h|0,g|0,g|0)|0;g=y;y=0;if(g&1)break;c=k[b+4>>2]|0;if(!c)while(1){c=k[b+8>>2]|0;if((k[c>>2]|0)==(b|0)){b=c;break}else b=c}else{b=c;while(1){c=k[b>>2]|0;if(!c)break;else b=c}}if((b|0)==(d|0))break b;else c=b}b=pb()|0;TG(j,k[d>>2]|0);break a}while(0);TG(j,k[d>>2]|0);EO(m);EO(o);r=l;return}while(0);EO(m)}EO(o);o=b;n=k[n>>2]|0;TG(a,n);sb(o|0)}function Ik(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;l=a;i=b;j=i;g=c;n=d;h=n;if(!j){f=(e|0)!=0;if(!h){if(f){k[e>>2]=(l>>>0)%(g>>>0);k[e+4>>2]=0}n=0;e=(l>>>0)/(g>>>0)>>>0;return (N=n,e)|0}else{if(!f){n=0;e=0;return (N=n,e)|0}k[e>>2]=a|0;k[e+4>>2]=b&0;n=0;e=0;return (N=n,e)|0}}f=(h|0)==0;do if(!g){if(f){if(e|0){k[e>>2]=(j>>>0)%(g>>>0);k[e+4>>2]=0}n=0;e=(j>>>0)/(g>>>0)>>>0;return (N=n,e)|0}if(!l){if(e|0){k[e>>2]=0;k[e+4>>2]=(j>>>0)%(h>>>0)}n=0;e=(j>>>0)/(h>>>0)>>>0;return (N=n,e)|0}f=h-1|0;if(!(f&h)){if(e|0){k[e>>2]=a|0;k[e+4>>2]=f&j|b&0}n=0;e=j>>>((UN(h|0)|0)>>>0);return (N=n,e)|0}f=(da(h|0)|0)-(da(j|0)|0)|0;if(f>>>0<=30){b=f+1|0;h=31-f|0;g=b;a=j<<h|l>>>(b>>>0);b=j>>>(b>>>0);f=0;h=l<<h;break}if(!e){n=0;e=0;return (N=n,e)|0}k[e>>2]=a|0;k[e+4>>2]=i|b&0;n=0;e=0;return (N=n,e)|0}else{if(!f){f=(da(h|0)|0)-(da(j|0)|0)|0;if(f>>>0<=31){m=f+1|0;h=31-f|0;b=f-31>>31;g=m;a=l>>>(m>>>0)&b|j<<h;b=j>>>(m>>>0)&b;f=0;h=l<<h;break}if(!e){n=0;e=0;return (N=n,e)|0}k[e>>2]=a|0;k[e+4>>2]=i|b&0;n=0;e=0;return (N=n,e)|0}f=g-1|0;if(f&g|0){h=(da(g|0)|0)+33-(da(j|0)|0)|0;p=64-h|0;m=32-h|0;i=m>>31;o=h-32|0;b=o>>31;g=h;a=m-1>>31&j>>>(o>>>0)|(j<<m|l>>>(h>>>0))&b;b=b&j>>>(h>>>0);f=l<<p&i;h=(j<<p|l>>>(o>>>0))&i|l<<m&h-33>>31;break}if(e|0){k[e>>2]=f&l;k[e+4>>2]=0}if((g|0)==1){o=i|b&0;p=a|0|0;return (N=o,p)|0}else{p=UN(g|0)|0;o=j>>>(p>>>0)|0;p=j<<32-p|l>>>(p>>>0)|0;return (N=o,p)|0}}while(0);if(!g){j=h;i=0;h=0}else{m=c|0|0;l=n|d&0;j=G6(m|0,l|0,-1,-1)|0;c=N;i=h;h=0;do{q=i;i=f>>>31|i<<1;f=h|f<<1;q=a<<1|q>>>31|0;d=a>>>31|b<<1|0;ST(j|0,c|0,q|0,d|0)|0;o=N;p=((o|0)<0?-1:0)<<1|0;n=o>>31|p;h=n&1;a=ST(q|0,d|0,n&m|0,(((o|0)<0?-1:0)>>31|p)&l|0)|0;b=N;g=g-1|0}while((g|0)!=0);j=i;i=0}g=0;if(e|0){k[e>>2]=a;k[e+4>>2]=b}p=(f|0)>>>31|(j|g)<<1|(g<<1|f>>>31)&0|i;q=(f<<1|0>>>31)&-2|h;return (N=p,q)|0}function Jk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;f=0;k=a+1|0;do if((i[a>>0]|0)==92){if(!(k5(k)|0)){b=Lja(k)|0;if(!b)break}else{b=a+2|0;if(k5(b)|0){b=a+3|0;j=(k5(b)|0)==0;b=j?b:a+4|0}}b=(i[b>>0]|0)==32?b+1|0:b;if(b|0){k=b;return k|0}}while(0);b=i[a>>0]|0;b=b<<24>>24|0;b=(b|0)!=85?((b|0)==117?k:0):k;if(b|0)if((i[b>>0]|0)==43){b=Uy(b+1|0)|0;if(b|0){k=b;return k|0}}j=i[44181]|0;e=j<<24>>24==0;a:do if(e){b=a;f=13}else{b=a;c=44181;d=j;while(1){if((i[b>>0]|0)!=d<<24>>24)break a;b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24)){f=13;break}}}while(0);b:do if((f|0)==13){d=i[b>>0]|0;if(d<<24>>24){if(e){c=0;e=0;while(1){switch(d<<24>>24){case 92:{f=e;b=b+1|0;break}case 34:{c=c^1;f=e;break}case 39:{f=e^1;break}default:if(c){c=1;f=e}else{c=0;f=e;b=e?b:b+-1|0}}b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break b;else e=f}}else{c=0;e=0;h=0}c:while(1){d:do switch(d<<24>>24){case 92:{b=b+1|0;f=h;break}case 34:{c=c^1;f=h;break}case 39:{e=e^1;f=h;break}default:if(c){c=1;f=h}else if(e){c=0;e=1;f=h}else if(!b){c=0;e=0;b=0;f=h}else{e:do if(d<<24>>24==j<<24>>24){g=b;c=44181;while(1){e=g+1|0;c=c+1|0;f=i[c>>0]|0;if(!(f<<24>>24))break;if((i[e>>0]|0)!=f<<24>>24)break e;else g=e}c=0;e=0;b=g;f=h+1|0;break d}while(0);c=i[45708]|0;f:do if(c<<24>>24){if(d<<24>>24==c<<24>>24){c=b;d=45708}else{c=0;e=0;f=h;break d}while(1){c=c+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24)){b=c;break f}if((i[c>>0]|0)!=e<<24>>24){c=0;e=0;f=h;break d}}}while(0);if(!h)break c;else{c=0;e=0;b=b+-1|0;f=h+-1|0}}}while(0);b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break b;else h=f}if(b|0){k=b;return k|0}}}while(0);switch(i[a>>0]|0){case 39:case 0:{k=0;return k|0}default:{}}return k|0}function Kk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;f=0;k=a+1|0;do if((i[a>>0]|0)==92){if(!(k5(k)|0)){b=Lja(k)|0;if(!b)break}else{b=a+2|0;if(k5(b)|0){b=a+3|0;j=(k5(b)|0)==0;b=j?b:a+4|0}}b=(i[b>>0]|0)==32?b+1|0:b;if(b|0){k=b;return k|0}}while(0);b=i[a>>0]|0;b=b<<24>>24|0;b=(b|0)!=85?((b|0)==117?k:0):k;if(b|0)if((i[b>>0]|0)==43){b=Uy(b+1|0)|0;if(b|0){k=b;return k|0}}j=i[44181]|0;e=j<<24>>24==0;a:do if(e){b=a;f=13}else{b=a;c=44181;d=j;while(1){if((i[b>>0]|0)!=d<<24>>24)break a;b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24)){f=13;break}}}while(0);b:do if((f|0)==13){d=i[b>>0]|0;if(d<<24>>24){if(e){c=0;e=0;while(1){switch(d<<24>>24){case 92:{f=e;b=b+1|0;break}case 34:{c=c^1;f=e;break}case 39:{f=e^1;break}default:if(c){c=1;f=e}else{c=0;f=e;b=e?b:b+-1|0}}b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break b;else e=f}}else{c=0;e=0;h=0}c:while(1){d:do switch(d<<24>>24){case 92:{b=b+1|0;f=h;break}case 34:{c=c^1;f=h;break}case 39:{e=e^1;f=h;break}default:if(c){c=1;f=h}else if(e){c=0;e=1;f=h}else if(!b){c=0;e=0;b=0;f=h}else{e:do if(d<<24>>24==j<<24>>24){g=b;c=44181;while(1){e=g+1|0;c=c+1|0;f=i[c>>0]|0;if(!(f<<24>>24))break;if((i[e>>0]|0)!=f<<24>>24)break e;else g=e}c=0;e=0;b=g;f=h+1|0;break d}while(0);c=i[45708]|0;f:do if(c<<24>>24){if(d<<24>>24==c<<24>>24){c=b;d=45708}else{c=0;e=0;f=h;break d}while(1){c=c+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24)){b=c;break f}if((i[c>>0]|0)!=e<<24>>24){c=0;e=0;f=h;break d}}}while(0);if(!h)break c;else{c=0;e=0;b=b+-1|0;f=h+-1|0}}}while(0);b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break b;else h=f}if(b|0){k=b;return k|0}}}while(0);switch(i[a>>0]|0){case 34:case 0:{k=0;return k|0}default:{}}return k|0}function Lk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;w=0;u=r;r=r+48|0;p=u+32|0;l=u+28|0;g=u+24|0;v=u+20|0;m=u+16|0;q=u+8|0;s=u+4|0;t=u;n=u+12|0;h=k[a+4>>2]|0;j=k[a+8>>2]|0;o=b+64|0;rT(p,o);c=k[p>>2]|0;k[g>>2]=c;f=(k[c+72>>2]|0)-(k[c+68>>2]|0)>>2;a:do if(!f)w=10;else{e=0;while(1){c=c+64|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,e|0)|0;d=y;y=0;if(d&1){w=11;break}y=0;oa(464,l|0,c|0);d=y;y=0;if(d&1){w=11;break}c=k[l>>2]|0;if(!c)d=0;else d=pw(c,680,696,0)|0;EO(l);c=e+1|0;if(!d)break;if(c>>>0>=f>>>0){w=10;break a}e=c;c=k[g>>2]|0}if((w|0)==11){w=pb()|0;EO(g);sb(w|0)}EO(g);i[l>>0]=0;d=b+68|0;rT(p,d);c=k[p>>2]|0;k[q>>2]=c;if(!c)c=0;else c=pw(c,88,104,0)|0;y=0;oa(482,m|0,c|0);g=y;y=0;b:do if(g&1){c=pb()|0;w=26}else{y=0;c=sa(28,m|0,h|0,j|0,0,l|0)|0;j=y;y=0;if(!(j&1)){y=0;oa(482,v|0,c|0);j=y;y=0;if(!(j&1)){EO(m);EO(q);do if(i[l>>0]|0){c=k[v>>2]|0;if(c|0){y=0;na(367,c|0);q=y;y=0;if(q&1)w=27;else{y=0;oa(482,t|0,k[v>>2]|0);q=y;y=0;if(q&1)w=27;else{y=0;Ha(966,d|0,t|0)|0;q=y;y=0;if(!(q&1)){y=0;oa(464,p|0,d|0);q=y;y=0;if(!(q&1)){k[s>>2]=k[p>>2];EO(s);EO(t);break}}c=pb()|0;EO(t)}}if((w|0)==27)c=pb()|0;EO(v);break b}}while(0);EO(v);break a}}c=pb()|0;EO(m);w=26}while(0);if((w|0)==26)EO(q);w=c;sb(w|0)}while(0);if((w|0)==10)EO(g);rT(p,o);w=k[p>>2]|0;k[n>>2]=w;y=0;oa(k[(k[w>>2]|0)+40>>2]|0,w|0,a|0);w=y;y=0;if(w&1){w=pb()|0;EO(n);sb(w|0)}else{EO(n);r=u;return}}function Mk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=r;r=r+48|0;o=s+32|0;m=s+28|0;f=s+24|0;g=s+20|0;h=s+16|0;j=s+12|0;p=s+8|0;q=s+4|0;c=s;d=b+72|0;rT(o,d);n=k[o>>2]|0;k[m>>2]=n;n=(k[n+56>>2]|0)==8;EO(m);if(n){r=s;return}l=a+4|0;m=a+99|0;n=i[m>>0]|0;i[m>>0]=1;if(!(lka(l)|0)){e=a+76|0;k[e>>2]=(k[e>>2]|0)+(k[b+56>>2]|0)}Yw(l);e=b+68|0;rT(o,e);t=k[o>>2]|0;k[f>>2]=t;EO(f);do if(t|0){rT(o,e);t=k[o>>2]|0;k[g>>2]=t;y=0;oa(k[(k[t>>2]|0)+40>>2]|0,t|0,a|0);t=y;y=0;if(!(t&1)){EO(g);break}t=pb()|0;EO(g);sb(t|0)}while(0);ly(l);rT(o,d);t=k[o>>2]|0;k[h>>2]=t;t=(k[t+56>>2]|0)==7;EO(h);a:do if(t){$na(j);y=0;oa(464,o|0,d|0);t=y;y=0;do if(t&1)c=pb()|0;else{c=k[o>>2]|0;k[q>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,j|0)|0;t=y;y=0;if(!(t&1)){y=0;oa(482,p|0,c|0);t=y;y=0;if(!(t&1)){EO(q);t=k[p>>2]|0;y=0;oa(k[(k[t>>2]|0)+40>>2]|0,t|0,a|0);t=y;y=0;if(t&1){c=pb()|0;EO(p);break}else{EO(p);break a}}}c=pb()|0;EO(q)}while(0);t=c;sb(t|0)}else{rT(o,d);t=k[o>>2]|0;k[c>>2]=t;y=0;oa(k[(k[t>>2]|0)+40>>2]|0,t|0,a|0);t=y;y=0;if(!(t&1)){EO(c);break}t=pb()|0;EO(c);sb(t|0)}while(0);do if(i[b+76>>0]|0){uI(l);k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;jI(o,44322,10);y=0;oa(605,l|0,o|0);t=y;y=0;if(!(t&1)){$9(o);break}t=pb()|0;$9(o);sb(t|0)}while(0);VK(l);if(!(lka(l)|0)){t=a+76|0;k[t>>2]=(k[t>>2]|0)-(k[b+56>>2]|0)}i[m>>0]=n;r=s;return}function Nk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;o=0;p=r;r=r+64|0;f=p;c=p+56|0;d=p+52|0;q=p+48|0;j=p+44|0;m=p+40|0;rT(f,b+60|0);h=k[f>>2]|0;k[c>>2]=h;y=0;h=Ha(k[(k[h>>2]|0)+52>>2]|0,h|0,a|0)|0;n=y;y=0;if(n&1){q=pb()|0;EO(c);sb(q|0)}EO(c);rT(f,b+64|0);l=k[f>>2]|0;k[d>>2]=l;y=0;l=Ha(k[(k[l>>2]|0)+52>>2]|0,l|0,a|0)|0;n=y;y=0;if(n&1){q=pb()|0;EO(d);sb(q|0)}EO(d);n=ZL(84)|0;e=f;c=b+12|0;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));y=0;na(366,n|0);g=y;y=0;do if(g&1)c=pb()|0;else{e=n+12|0;c=f;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;c=n+56|0;k[n>>2]=9504;k[c>>2]=4;d=n+60|0;k[d>>2]=7720;f=n+64|0;g=n+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,2);e=y;y=0;if(e&1){c=pb()|0;e=N;d=k[f>>2]|0;if(d|0){b=k[g>>2]|0;if((b|0)!=(d|0)){do{q=b+-4|0;k[g>>2]=q;EO(q);b=k[g>>2]|0}while((b|0)!=(d|0));d=k[f>>2]|0}zqa(d)}break}k[n>>2]=9328;k[d>>2]=9464;k[n+80>>2]=0;k[c>>2]=4;_V(q,n);c=(k[q>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(482,j|0,h|0);n=y;y=0;do if(n&1)o=21;else{y=0;oa(d|0,c|0,j|0);n=y;y=0;if(n&1){c=pb()|0;EO(j);break}EO(j);c=(k[q>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(482,m|0,l|0);n=y;y=0;if(n&1)o=21;else{y=0;oa(d|0,c|0,m|0);n=y;y=0;if(n&1){c=pb()|0;EO(m);break}EO(m);c=k[q>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;o=y;y=0;if(o&1)o=21;else{EO(q);r=p;return c|0}}}while(0);if((o|0)==21)c=pb()|0;EO(q);q=c;sb(q|0)}while(0);zqa(n);q=c;sb(q|0);return 0}function Ok(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=k[b+12>>2]|0;t=c+12|0;f=k[t>>2]|0;if((e|0)==(f|0)){c=d;w=c;w=k[w>>2]|0;c=c+4|0;c=k[c>>2]|0;d=a;b=d;k[b>>2]=w;d=d+4|0;k[d>>2]=c;return}v=d+4|0;w=c+8|0;s=c+8|0;u=b+8|0;l=k[b+8>>2]|0;n=l;while(1){q=k[v>>2]|0;i=(k[k[d>>2]>>2]|0)+4080-q|0;o=(i|0)/24|0;g=k[w>>2]|0;g=((n-g>>2)*170|0)+((e-(k[n>>2]|0)|0)/24|0)+((f-(k[g>>2]|0)|0)/-24|0)|0;f=c;h=k[f>>2]|0;f=k[f+4>>2]|0;m=s;j=k[m>>2]|0;m=k[m+4>>2]|0;if((g|0)>(o|0)){f=u;g=k[f>>2]|0;h=g;do if(!i){g=l;f=e}else{f=(((k[f+4>>2]|0)-(k[g>>2]|0)|0)/24|0)-o|0;if((f|0)>0){r=h+(((f>>>0)/170|0)<<2)|0;g=r;f=(k[r>>2]|0)+(((f>>>0)%170|0)*24|0)|0;break}else{f=169-f|0;r=h+(((f|0)/-170|0)<<2)|0;g=r;f=(k[r>>2]|0)+((169-((f|0)%170|0)|0)*24|0)|0;break}}while(0);m=f;l=h;p=g;f=m;r=g}else{o=g;l=n;p=h;r=j}g=e;e=m;if((g|0)!=(e|0)){n=q;i=l;h=g;g=k[l>>2]|0;while(1){if((h|0)==(g|0))g=(k[i+-4>>2]|0)+4080|0;else g=h;j=g+-24|0;k[n>>2]=k[j>>2];k[n+4>>2]=k[j+4>>2];k[n+8>>2]=k[j+8>>2];LH(n+12|0,g+-12|0)|0;j=k[g+-8>>2]|0;l=k[g+-4>>2]|0;if(l|0)Sba(l);k[n+16>>2]=j;q=n+20|0;g=k[q>>2]|0;k[q>>2]=l;if(g|0)kZ(g);g=k[i>>2]|0;if((h|0)==(g|0)){i=i+-4|0;g=k[i>>2]|0;h=g+4080|0}h=h+-24|0;if((h|0)==(e|0))break;else n=n+24|0}}n=b;k[n>>2]=p;k[n+4>>2]=f;n=u;k[n>>2]=r;k[n+4>>2]=m;n=r;do if(o|0){g=k[d>>2]|0;f=(((k[v>>2]|0)-(k[g>>2]|0)|0)/24|0)+o|0;if((f|0)>0){q=g+(((f>>>0)/170|0)<<2)|0;k[d>>2]=q;k[v>>2]=(k[q>>2]|0)+(((f>>>0)%170|0)*24|0);break}else{q=169-f|0;p=g+(((q|0)/-170|0)<<2)|0;k[d>>2]=p;k[v>>2]=(k[p>>2]|0)+((169-((q|0)%170|0)|0)*24|0);break}}while(0);f=k[t>>2]|0;if((e|0)==(f|0))break;else l=r}c=d;w=c;w=k[w>>2]|0;c=c+4|0;c=k[c>>2]|0;d=a;b=d;k[b>>2]=w;d=d+4|0;k[d>>2]=c;return}function Pk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;x=0;y=r;r=r+16|0;j=y+8|0;u=y+4|0;v=y;w=a+64|0;if(!(k[w>>2]|0)){x=-1;r=y;return x|0}d=a+92|0;if(!(k[d>>2]&16)){k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;c=k[a+52>>2]|0;do if(c>>>0>8)if(!(i[a+98>>0]|0)){f=k[a+56>>2]|0;g=f+((k[a+60>>2]|0)+-1)|0;k[a+24>>2]=f;e=a+20|0;k[e>>2]=f;c=a+28|0;k[c>>2]=g;h=f;break}else{f=k[a+32>>2]|0;g=f+(c+-1)|0;k[a+24>>2]=f;e=a+20|0;k[e>>2]=f;c=a+28|0;k[c>>2]=g;h=f;break}else{k[a+24>>2]=0;e=a+20|0;k[e>>2]=0;c=a+28|0;k[c>>2]=0;h=0;g=0;f=0}while(0);k[d>>2]=16;t=e;q=c;s=c;p=e;e=h}else{p=a+20|0;e=k[p>>2]|0;g=a+28|0;t=p;q=g;s=g;f=e;g=k[g>>2]|0}o=(b|0)==-1;c=a+24|0;d=k[c>>2]|0;if(!o){if(!d){k[c>>2]=j;k[p>>2]=j;k[q>>2]=j+1;d=j}i[d>>0]=b;d=(k[c>>2]|0)+1|0;k[c>>2]=d;e=k[p>>2]|0}a:do if((d|0)==(e|0))x=33;else{b:do if(!(i[a+98>>0]|0)){m=a+32|0;h=k[m>>2]|0;k[u>>2]=h;n=a+68|0;j=k[n>>2]|0;if(!j){y=gb(4)|0;ioa(y);Wb(y|0,4592,358)}l=a+72|0;a=a+52|0;e=Nc[k[(k[j>>2]|0)+12>>2]&15](j,l,e,d,v,h,h+(k[a>>2]|0)|0,u)|0;d=k[p>>2]|0;c:do if((k[v>>2]|0)!=(d|0)){while(1){if((e|0)==3){x=22;break}if((e|1|0)!=1)break c;h=k[m>>2]|0;j=(k[u>>2]|0)-h|0;if((mN(h,1,j,k[w>>2]|0)|0)!=(j|0))break c;if((e|0)!=1){x=29;break}e=k[v>>2]|0;h=k[c>>2]|0;k[t>>2]=e;k[q>>2]=h;d=e;e=d+(h-e)|0;k[c>>2]=e;h=k[n>>2]|0;if(!h){x=20;break}j=k[m>>2]|0;e=Nc[k[(k[h>>2]|0)+12>>2]&15](h,l,d,e,v,j,j+(k[a>>2]|0)|0,u)|0;d=k[p>>2]|0;if((k[v>>2]|0)==(d|0))break c}if((x|0)==20){y=gb(4)|0;ioa(y);Wb(y|0,4592,358)}else if((x|0)==22){v=(k[c>>2]|0)-d|0;if((mN(d,1,v,k[w>>2]|0)|0)!=(v|0))break}break b}while(0);c=-1;break a}else{v=d-e|0;if((mN(e,1,v,k[w>>2]|0)|0)!=(v|0)){c=-1;break a}}while(0);k[c>>2]=f;k[t>>2]=f;k[s>>2]=g;x=33}while(0);if((x|0)==33)c=o?0:b;x=c;r=y;return x|0}function Qk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0,f=0.0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,p=0,q=0,s=0,t=0,u=0;u=r;r=r+16|0;c=u;s=b+8|0;rT(c,s);y=0;g=Ha(987,a+12|0,c|0)|0;t=y;y=0;if(t&1){u=pb()|0;EO(c);sb(u|0)}EO(c);n=b+4|0;k[n>>2]=g;c=a+4|0;d=k[c>>2]|0;t=a+12|0;e=+(((k[t>>2]|0)+1|0)>>>0);f=+o[a+16>>2];if((d|0)==0|e>+(d>>>0)*f){d=(d>>>0>2&(d+-1&d|0)==0&1|d<<1)^1;q=~~+$(+(e/f))>>>0;Vx(a,d>>>0<q>>>0?q:d);d=k[c>>2]|0;c=k[n>>2]|0}else c=g;p=d+-1|0;q=(p&d|0)==0;if(q)m=p&c;else m=(c>>>0)%(d>>>0)|0;h=k[(k[a>>2]|0)+(m<<2)>>2]|0;if(!h){c=a+8|0;k[b>>2]=k[c>>2];k[c>>2]=b;k[(k[a>>2]|0)+(m<<2)>>2]=c;c=k[b>>2]|0;if(!c){a=k[t>>2]|0;a=a+1|0;k[t>>2]=a;r=u;return b|0}c=k[c+4>>2]|0;if(q)c=c&p;else c=(c>>>0)%(d>>>0)|0;k[(k[a>>2]|0)+(c<<2)>>2]=b;a=k[t>>2]|0;a=a+1|0;k[t>>2]=a;r=u;return b|0}c=k[h>>2]|0;a:do if(!c){g=h;c=h}else{l=a+16|0;if(q){j=0;g=h;i=c;c=h;while(1){h=k[i+4>>2]|0;if((h&p|0)!=(m|0))break a;if((h|0)==(k[n>>2]|0))h=LN(l,i+8|0,s)|0;else h=0;if(!(h|j^1))break a;c=k[c>>2]|0;i=k[c>>2]|0;if(!i){g=c;break}else{j=j|h;g=c}}}else{j=0;g=h;i=c;c=h;while(1){h=k[i+4>>2]|0;if(((h>>>0)%(d>>>0)|0|0)!=(m|0))break a;if((h|0)==(k[n>>2]|0))h=LN(l,i+8|0,s)|0;else h=0;if(!(h|j^1))break a;c=k[c>>2]|0;i=k[c>>2]|0;if(!i){g=c;break}else{j=j|h;g=c}}}}while(0);k[b>>2]=k[g>>2];k[c>>2]=b;c=k[b>>2]|0;if(!c){a=k[t>>2]|0;a=a+1|0;k[t>>2]=a;r=u;return b|0}c=k[c+4>>2]|0;if(q)c=c&p;else c=(c>>>0)%(d>>>0)|0;if((c|0)==(m|0)){a=k[t>>2]|0;a=a+1|0;k[t>>2]=a;r=u;return b|0}k[(k[a>>2]|0)+(c<<2)>>2]=b;a=k[t>>2]|0;a=a+1|0;k[t>>2]=a;r=u;return b|0}function Rk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;v=r;r=r+32|0;q=v+12|0;s=v;t=b+11|0;u=SM((i[t>>0]|0)<0?k[b>>2]|0:b)|0;if(!u){u=-1;r=v;return u|0}d=AC(u)|0;a:do if(!d)c=0;else{l=s+11|0;m=s+4|0;n=q+11|0;o=q+4|0;p=b+4|0;c=0;b:while(1){c:while(1){j=d+11|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;jI(q,j,JI(j)|0);k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,39627,3);h=y;y=0;if(h&1){d=14;break b}e=i[l>>0]|0;d=e<<24>>24<0;e=d?k[m>>2]|0:e&255;g=i[n>>0]|0;f=g<<24>>24<0;g=f?k[o>>2]|0:g&255;if(e>>>0>g>>>0){$9(s);$9(q)}else{h=d?k[s>>2]|0:s;if(!e){d=15;break}e=h+e|0;d=(f?k[q>>2]|0:q)+g|0;while(1){e=e+-1|0;d=d+-1|0;if((i[e>>0]|0)!=(i[d>>0]|0))break;if((e|0)==(h|0)){d=16;break c}}$9(s);$9(q)}d=AC(u)|0;if(!d)break a}if((d|0)==15){$9(s);$9(q)}else if((d|0)==16){$9(s);$9(q)}k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;h=i[t>>0]|0;g=h<<24>>24<0;h=g?k[p>>2]|0:h&255;d=JI(j)|0;y=0;Ra(10,q|0,(g?k[b>>2]|0:b)|0,h|0,h+d|0);h=y;y=0;if(h&1){d=19;break}y=0;ta(47,q|0,j|0,d|0)|0;j=y;y=0;if(j&1){d=19;break}y=0;d=Ha(1e3,a|0,q|0)|0;j=y;y=0;if(j&1){d=22;break}$9(q);c=(d&1)+c|0;d=AC(u)|0;if(!d)break a}if((d|0)==14){v=pb()|0;$9(q);sb(v|0)}else if((d|0)==19){v=pb()|0;$9(q);sb(v|0)}else if((d|0)==22){v=pb()|0;$9(q);sb(v|0)}}while(0);yia(u)|0;u=c;r=v;return u|0}function Sk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;l=r;r=r+96|0;h=l;d=l+56|0;j=l+40|0;e=d;f=b+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));pK(j,76496);e=h;f=d;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(629,a|0,j|0);n=y;y=0;if(n&1)d=pb()|0;else{k[a>>2]=14052;n=a+8|0;y=0;oa(452,n|0,j|0);m=y;y=0;do if(m&1)d=pb()|0;else{m=a+20|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,47013,5);g=y;y=0;if(g&1){d=pb()|0;$9(n);break}e=a+32|0;f=h;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[a+72>>2]=0;$9(j);k[a>>2]=15716;k[a+76>>2]=b;e=a+80|0;y=0;oa(452,e|0,c|0);j=y;y=0;if(j&1)d=pb()|0;else{y=0;oa(k[(k[b>>2]|0)+32>>2]|0,h|0,b|0);j=y;y=0;if(j&1)d=pb()|0;else{d=n+11|0;if((i[d>>0]|0)<0){i[k[n>>2]>>0]=0;k[a+12>>2]=0}else{i[n>>0]=0;i[d>>0]=0}y=0;oa(506,n|0,0);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}k[n>>2]=k[h>>2];k[n+4>>2]=k[h+4>>2];k[n+8>>2]=k[h+8>>2];k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;$9(h);y=0;Ha(970,n|0,47167)|0;j=y;y=0;if(!(j&1)){j=i[c+11>>0]|0;h=j<<24>>24<0;y=0;ta(47,n|0,(h?k[c>>2]|0:c)|0,(h?k[c+4>>2]|0:j&255)|0)|0;j=y;y=0;if(!(j&1)){y=0;Ha(970,n|0,50724)|0;j=y;y=0;if(!(j&1)){r=l;return}}}d=pb()|0}$9(e)}k[a>>2]=14052;$9(m);$9(n);cda(a);a=d;sb(a|0)}while(0);cda(a)}$9(j);a=d;sb(a|0)}function Tk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0;w=0;v=r;r=r+336|0;q=v+300|0;l=v+48|0;j=v+32|0;h=v+24|0;f=v+8|0;m=v;o=v+304|0;n=v+296|0;g=v+68|0;u=v+64|0;s=v+60|0;t=v+56|0;i=m;k[i>>2]=37;k[i+4>>2]=0;i=nz(m+1|0,51758,k[c+4>>2]|0)|0;k[n>>2]=o;a=gN()|0;if(i){k[f>>2]=k[c+8>>2];p[f+8>>3]=e;a=gJ(o,30,a,m,f)|0}else{p[h>>3]=e;a=gJ(o,30,a,m,h)|0}do if((a|0)>29){if(i){y=0;a=La(3)|0;l=y;y=0;if(!(l&1)){y=0;k[j>>2]=k[c+8>>2];p[j+8>>3]=e;a=Ma(27,n|0,a|0,m|0,j|0)|0;m=y;y=0;if(!(m&1))w=12}}else{y=0;a=La(3)|0;j=y;y=0;if(!(j&1)){y=0;p[l>>3]=e;a=Ma(27,n|0,a|0,m|0,l|0)|0;m=y;y=0;if(!(m&1))w=12}}if((w|0)==12){f=k[n>>2]|0;if(f|0){h=f;l=f;w=16;break}y=0;la(6);m=y;y=0;if(!(m&1)){l=k[n>>2]|0;h=l;w=16;break}}a=pb()|0}else{h=k[n>>2]|0;l=0;w=16}while(0);if((w|0)==16){i=h+a|0;j=pF(h,i,c)|0;a:do if((h|0)==(o|0)){h=0;a=o;w=22}else{f=pd(a<<3)|0;do if(!f){y=0;la(6);o=y;y=0;if(o&1){a=pb()|0;break a}else{a=k[n>>2]|0;break}}else a=h;while(0);g=f;h=f;w=22}while(0);if((w|0)==22){y=0;f=qa(341,c|0)|0;o=y;y=0;do if(o&1){a=pb()|0;w=32}else{k[q>>2]=f;y=0;Ea(11,a|0,j|0,i|0,g|0,u|0,s|0,q|0);o=y;y=0;if(o&1){a=pb()|0;lQ(k[q>>2]|0)|0;w=32;break}lQ(k[q>>2]|0)|0;k[t>>2]=k[b>>2];u=k[u>>2]|0;a=k[s>>2]|0;y=0;k[q>>2]=k[t>>2];a=pa(45,q|0,g|0,u|0,a|0,c|0,d|0)|0;d=y;y=0;if(d&1){a=pb()|0;break}k[b>>2]=a;if(h|0)Pf(h);if(l|0)Pf(l);r=v;return a|0}while(0);if(h)Pf(h)}if(l)Pf(l)}sb(a|0);return 0}function Uk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0;w=0;v=r;r=r+336|0;q=v+300|0;l=v+48|0;j=v+32|0;h=v+24|0;f=v+8|0;m=v;o=v+304|0;n=v+296|0;g=v+68|0;u=v+64|0;s=v+60|0;t=v+56|0;i=m;k[i>>2]=37;k[i+4>>2]=0;i=nz(m+1|0,82159,k[c+4>>2]|0)|0;k[n>>2]=o;a=gN()|0;if(i){k[f>>2]=k[c+8>>2];p[f+8>>3]=e;a=gJ(o,30,a,m,f)|0}else{p[h>>3]=e;a=gJ(o,30,a,m,h)|0}do if((a|0)>29){if(i){y=0;a=La(3)|0;l=y;y=0;if(!(l&1)){y=0;k[j>>2]=k[c+8>>2];p[j+8>>3]=e;a=Ma(27,n|0,a|0,m|0,j|0)|0;m=y;y=0;if(!(m&1))w=12}}else{y=0;a=La(3)|0;j=y;y=0;if(!(j&1)){y=0;p[l>>3]=e;a=Ma(27,n|0,a|0,m|0,l|0)|0;m=y;y=0;if(!(m&1))w=12}}if((w|0)==12){f=k[n>>2]|0;if(f|0){h=f;l=f;w=16;break}y=0;la(6);m=y;y=0;if(!(m&1)){l=k[n>>2]|0;h=l;w=16;break}}a=pb()|0}else{h=k[n>>2]|0;l=0;w=16}while(0);if((w|0)==16){i=h+a|0;j=pF(h,i,c)|0;a:do if((h|0)==(o|0)){h=0;a=o;w=22}else{f=pd(a<<3)|0;do if(!f){y=0;la(6);o=y;y=0;if(o&1){a=pb()|0;break a}else{a=k[n>>2]|0;break}}else a=h;while(0);g=f;h=f;w=22}while(0);if((w|0)==22){y=0;f=qa(341,c|0)|0;o=y;y=0;do if(o&1){a=pb()|0;w=32}else{k[q>>2]=f;y=0;Ea(11,a|0,j|0,i|0,g|0,u|0,s|0,q|0);o=y;y=0;if(o&1){a=pb()|0;lQ(k[q>>2]|0)|0;w=32;break}lQ(k[q>>2]|0)|0;k[t>>2]=k[b>>2];u=k[u>>2]|0;a=k[s>>2]|0;y=0;k[q>>2]=k[t>>2];a=pa(45,q|0,g|0,u|0,a|0,c|0,d|0)|0;d=y;y=0;if(d&1){a=pb()|0;break}k[b>>2]=a;if(h|0)Pf(h);if(l|0)Pf(l);r=v;return a|0}while(0);if(h)Pf(h)}if(l)Pf(l)}sb(a|0);return 0}function Vk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0;w=0;v=r;r=r+176|0;q=v+72|0;l=v+48|0;j=v+32|0;h=v+24|0;f=v+8|0;m=v;o=v+134|0;n=v+68|0;g=v+76|0;u=v+64|0;s=v+60|0;t=v+56|0;i=m;k[i>>2]=37;k[i+4>>2]=0;i=nz(m+1|0,51758,k[c+4>>2]|0)|0;k[n>>2]=o;a=gN()|0;if(i){k[f>>2]=k[c+8>>2];p[f+8>>3]=e;a=gJ(o,30,a,m,f)|0}else{p[h>>3]=e;a=gJ(o,30,a,m,h)|0}do if((a|0)>29){if(i){y=0;a=La(3)|0;l=y;y=0;if(!(l&1)){y=0;k[j>>2]=k[c+8>>2];p[j+8>>3]=e;a=Ma(27,n|0,a|0,m|0,j|0)|0;m=y;y=0;if(!(m&1))w=12}}else{y=0;a=La(3)|0;j=y;y=0;if(!(j&1)){y=0;p[l>>3]=e;a=Ma(27,n|0,a|0,m|0,l|0)|0;m=y;y=0;if(!(m&1))w=12}}if((w|0)==12){f=k[n>>2]|0;if(f|0){h=f;l=f;w=16;break}y=0;la(6);m=y;y=0;if(!(m&1)){l=k[n>>2]|0;h=l;w=16;break}}a=pb()|0}else{h=k[n>>2]|0;l=0;w=16}while(0);if((w|0)==16){i=h+a|0;j=pF(h,i,c)|0;a:do if((h|0)==(o|0)){h=0;a=o;w=22}else{f=pd(a<<1)|0;do if(!f){y=0;la(6);o=y;y=0;if(o&1){a=pb()|0;break a}else{a=k[n>>2]|0;break}}else a=h;while(0);g=f;h=f;w=22}while(0);if((w|0)==22){y=0;f=qa(341,c|0)|0;o=y;y=0;do if(o&1){a=pb()|0;w=32}else{k[q>>2]=f;y=0;Ea(9,a|0,j|0,i|0,g|0,u|0,s|0,q|0);o=y;y=0;if(o&1){a=pb()|0;lQ(k[q>>2]|0)|0;w=32;break}lQ(k[q>>2]|0)|0;k[t>>2]=k[b>>2];u=k[u>>2]|0;a=k[s>>2]|0;y=0;k[q>>2]=k[t>>2];a=pa(39,q|0,g|0,u|0,a|0,c|0,d|0)|0;d=y;y=0;if(d&1){a=pb()|0;break}k[b>>2]=a;if(h|0)Pf(h);if(l|0)Pf(l);r=v;return a|0}while(0);if(h)Pf(h)}if(l)Pf(l)}sb(a|0);return 0}function Wk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0;w=0;v=r;r=r+176|0;q=v+72|0;l=v+48|0;j=v+32|0;h=v+24|0;f=v+8|0;m=v;o=v+134|0;n=v+68|0;g=v+76|0;u=v+64|0;s=v+60|0;t=v+56|0;i=m;k[i>>2]=37;k[i+4>>2]=0;i=nz(m+1|0,82159,k[c+4>>2]|0)|0;k[n>>2]=o;a=gN()|0;if(i){k[f>>2]=k[c+8>>2];p[f+8>>3]=e;a=gJ(o,30,a,m,f)|0}else{p[h>>3]=e;a=gJ(o,30,a,m,h)|0}do if((a|0)>29){if(i){y=0;a=La(3)|0;l=y;y=0;if(!(l&1)){y=0;k[j>>2]=k[c+8>>2];p[j+8>>3]=e;a=Ma(27,n|0,a|0,m|0,j|0)|0;m=y;y=0;if(!(m&1))w=12}}else{y=0;a=La(3)|0;j=y;y=0;if(!(j&1)){y=0;p[l>>3]=e;a=Ma(27,n|0,a|0,m|0,l|0)|0;m=y;y=0;if(!(m&1))w=12}}if((w|0)==12){f=k[n>>2]|0;if(f|0){h=f;l=f;w=16;break}y=0;la(6);m=y;y=0;if(!(m&1)){l=k[n>>2]|0;h=l;w=16;break}}a=pb()|0}else{h=k[n>>2]|0;l=0;w=16}while(0);if((w|0)==16){i=h+a|0;j=pF(h,i,c)|0;a:do if((h|0)==(o|0)){h=0;a=o;w=22}else{f=pd(a<<1)|0;do if(!f){y=0;la(6);o=y;y=0;if(o&1){a=pb()|0;break a}else{a=k[n>>2]|0;break}}else a=h;while(0);g=f;h=f;w=22}while(0);if((w|0)==22){y=0;f=qa(341,c|0)|0;o=y;y=0;do if(o&1){a=pb()|0;w=32}else{k[q>>2]=f;y=0;Ea(9,a|0,j|0,i|0,g|0,u|0,s|0,q|0);o=y;y=0;if(o&1){a=pb()|0;lQ(k[q>>2]|0)|0;w=32;break}lQ(k[q>>2]|0)|0;k[t>>2]=k[b>>2];u=k[u>>2]|0;a=k[s>>2]|0;y=0;k[q>>2]=k[t>>2];a=pa(39,q|0,g|0,u|0,a|0,c|0,d|0)|0;d=y;y=0;if(d&1){a=pb()|0;break}k[b>>2]=a;if(h|0)Pf(h);if(l|0)Pf(l);r=v;return a|0}while(0);if(h)Pf(h)}if(l)Pf(l)}sb(a|0);return 0}function Xk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;u=0;s=r;r=r+32|0;h=s+28|0;l=s+24|0;m=s+20|0;n=s+16|0;o=s+12|0;p=s;t=s+8|0;q=s+4|0;b=k[a+76>>2]|0;j=(k[a+80>>2]|0)-b>>2;if(!j){r=s;return}g=a+76|0;a=0;a:while(1){rT(h,(k[b+(a<<2)>>2]|0)+76|0);f=k[h>>2]|0;k[l>>2]=f;EO(l);do if(f|0){rT(h,(k[(k[g>>2]|0)+(a<<2)>>2]|0)+76|0);f=k[h>>2]|0;k[m>>2]=f;b=k[f+76>>2]|0;if(((k[f+80>>2]|0)-b|0)==4){b=k[b>>2]|0;if(b|0){f=(pw(b,144,384,0)|0)==0;EO(m);if(f)break;b=k[(k[g>>2]|0)+(a<<2)>>2]|0;if(!(k[b+72>>2]|0)){rT(h,b+80|0);f=k[h>>2]|0;k[n>>2]=f;EO(n);if(!f)break;c=k[g>>2]|0;b=k[c+(a<<2)>>2]|0;if(i[b+60>>0]|0){rT(h,b+80|0);c=k[h>>2]|0;k[o>>2]=c;i[c+60>>0]=1;EO(o);c=k[g>>2]|0;b=k[c+(a<<2)>>2]|0}rT(h,b+80|0);k[p>>2]=k[h>>2];y=0;Ha(966,c+(a<<2)|0,p|0)|0;f=y;y=0;if(f&1){u=15;break a}EO(p);break}rT(h,b+76|0);b=k[h>>2]|0;k[t>>2]=b;y=0;oa(464,h|0,(k[(k[g>>2]|0)+(a<<2)>>2]|0)+76|0);f=y;y=0;if(f&1){u=24;break a}c=k[h>>2]|0;k[q>>2]=c;c=k[c+76>>2]|0;d=c+4|0;f=b+80|0;e=k[f>>2]|0;if((d|0)==(e|0)){b=d;u=21}else{b=d;do{y=0;Ha(966,c|0,b|0)|0;d=y;y=0;if(d&1){u=25;break a}b=b+4|0;c=c+4|0}while((b|0)!=(e|0));b=k[f>>2]|0;if((b|0)!=(c|0))u=21}if((u|0)==21){u=0;do{e=b+-4|0;k[f>>2]=e;EO(e);b=k[f>>2]|0}while((b|0)!=(c|0))}EO(q);EO(t);break}}EO(m)}while(0);a=a+1|0;if(a>>>0>=j>>>0){u=3;break}b=k[g>>2]|0}if((u|0)==3){r=s;return}else if((u|0)==15){u=pb()|0;EO(p);sb(u|0)}else if((u|0)==24)a=pb()|0;else if((u|0)==25){a=pb()|0;EO(q)}EO(t);u=a;sb(u|0)}function Yk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;i=r;r=r+32|0;m=i+8|0;j=i+4|0;l=i;h=a+4|0;g=(lka(h)|0)==5;d=b+84|0;e=k[d>>2]|0;f=b+88|0;c=k[f>>2]|0;if(g&(e|0)==(c|0)){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,44119,2);y=0;oa(605,h|0,m|0);l=y;y=0;if(l&1){l=pb()|0;$9(m);m=l;sb(m|0)}else{$9(m);r=i;return}}g=b+60|0;if((e|0)==(c|0)){r=i;return}if(oc[k[(k[b>>2]|0)+80>>2]&511](b)|0){r=i;return}k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,44122,1);y=0;oa(605,h|0,m|0);e=y;y=0;if(e&1){l=pb()|0;$9(m);m=l;sb(m|0)}$9(m);c=k[d>>2]|0;d=k[f>>2]|0;a:do if((c|0)!=(d|0)){b=0;while(1){rT(m,c);if(b){y=0;na(400,h|0);f=y;y=0;if(f&1){c=14;break}}f=k[m>>2]|0;y=0;oa(k[(k[f>>2]|0)+40>>2]|0,f|0,a|0);f=y;y=0;if(f&1){c=14;break}y=0;na(398,h|0);f=y;y=0;if(f&1){c=14;break}y=0;oa(464,l|0,m|0);f=y;y=0;if(f&1){c=14;break}y=0;b=Ha(965,g|0,l|0)|0;f=y;y=0;if(f&1){c=21;break}k[j>>2]=b;y=0;oa(k[(k[b>>2]|0)+40>>2]|0,b|0,a|0);f=y;y=0;if(f&1){c=22;break}EO(j);EO(l);EO(m);c=c+4|0;if((c|0)==(d|0))break a;else b=1}if((c|0)==14)b=pb()|0;else if((c|0)==21){b=pb()|0;c=23}else if((c|0)==22){b=pb()|0;EO(j);c=23}if((c|0)==23)EO(l);EO(m);m=b;sb(m|0)}while(0);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,44127,1);y=0;oa(605,h|0,m|0);l=y;y=0;if(l&1){l=pb()|0;$9(m);m=l;sb(m|0)}else{$9(m);r=i;return}}function Zk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;x=r;r=r+32|0;v=x+12|0;w=x;a:do if(oc[k[(k[a>>2]|0)+156>>2]&511](a)|0){u=b+72|0;n=(k[b+80>>2]|0)-(k[b+76>>2]|0)>>2;if(n|0){o=a+84|0;p=v+11|0;q=v+4|0;s=w+11|0;t=w+4|0;m=0;b:while(1){d=Fc[k[(k[u>>2]|0)+16>>2]&2047](u,m)|0;d=k[d>>2]|0;do if(d|0){d=pw(d,144,272,0)|0;if(d|0)if(oc[k[(k[d>>2]|0)+156>>2]&511](d)|0){pK(v,d+84|0);y=0;oa(452,w|0,o|0);l=y;y=0;if(l&1){e=16;break b}f=i[p>>0]|0;g=f<<24>>24<0;f=f&255;h=g?k[q>>2]|0:f;l=i[s>>0]|0;d=l<<24>>24<0;if((h|0)!=((d?k[t>>2]|0:l&255)|0)){e=23;break b}j=k[v>>2]|0;l=g?j:v;d=d?k[w>>2]|0:w;e=(h|0)==0;if(g)if(e){$9(w);$9(v);break}else{l=(zM(l,d,h)|0)==0;$9(w);$9(v);if(l)break;else{d=0;e=24;break b}}if(e){$9(w);$9(v);break}if((j&255)<<24>>24==(i[d>>0]|0))e=v;else{e=22;break b}while(1){f=f+-1|0;e=e+1|0;if(!f)break;d=d+1|0;if((i[e>>0]|0)!=(i[d>>0]|0)){e=22;break b}}$9(w);$9(v)}}while(0);m=m+1|0;if(m>>>0>=n>>>0)break a}if((e|0)==16){x=pb()|0;$9(v);sb(x|0)}else if((e|0)==22){$9(w);$9(v);w=0;r=x;return w|0}else if((e|0)==23){$9(w);$9(v);w=0;r=x;return w|0}else if((e|0)==24){r=x;return d|0}}}while(0);w=ji(a,b,c)|0;r=x;return w|0}function _k(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=a+4|0;h=k[b>>2]|0;b=h;if((h|0)!=(g|0)){f=a+8|0;e=h+16|0;if(!(rQ(f,d,e)|0)){if(!(rQ(f,e,d)|0)){k[c>>2]=b;return c|0}b=k[h+4>>2]|0;if(!b){b=h;while(1){e=k[b+8>>2]|0;if((k[e>>2]|0)==(b|0))break;else b=e}}else while(1){e=k[b>>2]|0;if(!e){e=b;break}else b=e}if((e|0)!=(g|0))if(!(rQ(f,d,e+16|0)|0)){b=k[g>>2]|0;if(!b){k[c>>2]=g;c=g;return c|0}while(1){e=b+16|0;if(rQ(f,d,e)|0){e=k[b>>2]|0;if(!e){f=34;break}else b=e}else{if(!(rQ(f,e,d)|0)){f=39;break}a=b+4|0;e=k[a>>2]|0;if(!e){f=38;break}else b=e}}if((f|0)==34){k[c>>2]=b;c=b;return c|0}else if((f|0)==38){k[c>>2]=b;c=a;return c|0}else if((f|0)==39){k[c>>2]=b;return c|0}}b=h+4|0;if(!(k[b>>2]|0)){k[c>>2]=h;c=b;return c|0}else{k[c>>2]=e;c=e;return c|0}}}if((h|0)!=(k[a>>2]|0)){f=a+8|0;b=k[h>>2]|0;if(!b){e=h;while(1){b=k[e+8>>2]|0;if((k[b>>2]|0)==(e|0))e=b;else break}}else while(1){e=k[b+4>>2]|0;if(!e)break;else b=e}if(!(rQ(f,b+16|0,d)|0)){b=k[g>>2]|0;if(!b){k[c>>2]=g;c=g;return c|0}while(1){e=b+16|0;if(rQ(f,d,e)|0){e=k[b>>2]|0;if(!e){f=14;break}else b=e}else{if(!(rQ(f,e,d)|0)){f=19;break}a=b+4|0;e=k[a>>2]|0;if(!e){f=18;break}else b=e}}if((f|0)==14){k[c>>2]=b;c=b;return c|0}else if((f|0)==18){k[c>>2]=b;c=a;return c|0}else if((f|0)==19){k[c>>2]=b;return c|0}}}if(!(k[h>>2]|0)){k[c>>2]=h;c=h;return c|0}else{d=b;k[c>>2]=d;c=d+4|0;return c|0}return 0}function $k(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=0;d=a+1|0;if((i[a>>0]|0)==36){if((i[d>>0]|0)==45){b=d;do b=b+1|0;while((i[b>>0]|0)==45)}else b=d;b=kw(b)|0;if(b|0){b=iw(b)|0;if(b|0){f=b;return f|0}}}b=rj(a)|0;if(b|0){while(1){c=rj(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)!=37){f=b;return f|0}}if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=kw(b)|0;if(b|0){b=iw(b)|0;if(b|0){f=b;return f|0}}b=yq(a)|0;if(b|0){f=b;return f|0}b=XB(a)|0;if(b|0){f=b;return f|0}if((i[a>>0]|0)==35){b=k5(d)|0;if(!b)b=0;else while(1){c=k5(b)|0;if(!c)break;else b=c}}else b=0;e=b-a|0;b=(e|0)!=9&((e|0)!=4&(e|0)!=7)?0:b;if(b|0){f=b;return f|0}if((i[a>>0]|0)!=40){f=0;return f|0}c=i[d>>0]|0;if(!(c<<24>>24)){f=0;return f|0}else{b=d;a=0;d=0;e=0}a:while(1){b:do switch(c<<24>>24){case 92:{b=b+1|0;break}case 34:{a=a^1;break}case 39:{d=d^1;break}default:if(a)a=1;else if(d){a=0;d=1}else switch(c<<24>>24){case 40:{a=0;d=0;e=e+1|0;break b}case 41:if(!e)break a;else{a=0;d=0;e=e+-1|0;break b}default:{a=0;d=0;break b}}}while(0);b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24)){b=0;f=32;break}}if((f|0)==32)return b|0;f=b+1|0;return f|0}function al(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0.0;l=0;p=r;r=r+128|0;m=p+80|0;c=p+56|0;j=p+68|0;o=p+16|0;n=p;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(75,c|0,35750,7);h=y;y=0;a:do if(h&1){b=tb(0)|0;l=9}else{y=0;b=m;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));b=sa(25,c|0,a|0,d|0,m|0,f|0)|0;d=y;y=0;if(d&1){b=tb(0)|0;$9(c);l=9;break}$9(c);b=b+64|0;y=0;oa(452,m|0,b|0);d=y;y=0;if(d&1)b=tb(0)|0;else{y=0;oa(452,j|0,b|0);d=y;y=0;do if(d&1)b=tb(0)|0;else{b=i[j+11>>0]|0;y=0;b=ta(57,m|0,0,(b<<24>>24<0?k[j+4>>2]|0:b&255)|0)|0;d=y;y=0;if(d&1){b=tb(0)|0;$9(j);break}else{$9(j);$9(m);q=+(b>>>0);break a}}while(0);$9(m)}l=15}while(0);if((l|0)==9)l=15;do if((l|0)==15){vb(b|0)|0;y=0;oa(555,e|0,f|0);f=y;y=0;if(!(f&1)){rb();q=4294967295.0;break}b=pb()|0;y=0;la(3);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}else{e=b;sb(e|0)}}while(0);c=ZL(104)|0;b=o;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(75,n|0,82159,0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;b=m;g=o;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));Ca(1,c|0,m|0,+q,n|0,1);e=y;y=0;if(e&1){b=pb()|0;$9(n);break}else{$9(n);r=p;return c|0}}while(0);zqa(c);e=b;sb(e|0);return 0}function bl(a){a=a|0;var b=0;a=k[4878]|0;FD(77776,a,77832);k[19274]=23580;k[19276]=23600;k[19275]=0;y=0;oa(528,77104,77776);b=y;y=0;if(b&1){b=pb()|0;dja(77104);sb(b|0)}k[19294]=0;k[19295]=-1;ED(77840,a,77896);k[19296]=23620;k[19298]=23640;k[19297]=0;y=0;oa(528,77192,77840);b=y;y=0;if(b&1){b=pb()|0;cja(77192);sb(b|0)}k[19316]=0;k[19317]=-1;a=k[4907]|0;RB(77904,a,77952);k[19318]=23660;k[19319]=23680;y=0;oa(528,77276,77904);b=y;y=0;if(b&1){b=pb()|0;dja(77276);sb(b|0)}k[19337]=0;k[19338]=-1;QB(77960,a,78008);k[19339]=23700;k[19340]=23720;y=0;oa(528,77360,77960);b=y;y=0;if(b&1){b=pb()|0;cja(77360);sb(b|0)}k[19358]=0;k[19359]=-1;a=k[4849]|0;RB(78016,a,78064);k[19360]=23660;k[19361]=23680;y=0;oa(528,77444,78016);b=y;y=0;if(b&1){b=pb()|0;dja(77444);sb(b|0)}k[19379]=0;k[19380]=-1;b=k[77440+(k[(k[19360]|0)+-12>>2]|0)+24>>2]|0;k[19402]=23660;k[19403]=23680;y=0;oa(528,77612,b|0);b=y;y=0;if(b&1){b=pb()|0;dja(77612);sb(b|0)}k[19421]=0;k[19422]=-1;QB(78072,a,78120);k[19381]=23700;k[19382]=23720;y=0;oa(528,77528,78072);b=y;y=0;if(b&1){b=pb()|0;cja(77528);sb(b|0)}k[19400]=0;k[19401]=-1;b=k[77524+(k[(k[19381]|0)+-12>>2]|0)+24>>2]|0;k[19423]=23700;k[19424]=23720;y=0;oa(528,77696,b|0);b=y;y=0;if(b&1){b=pb()|0;cja(77696);sb(b|0)}else{k[19442]=0;k[19443]=-1;k[77096+(k[(k[19274]|0)+-12>>2]|0)+72>>2]=77272;k[77184+(k[(k[19296]|0)+-12>>2]|0)+72>>2]=77356;b=77440+(k[(k[19360]|0)+-12>>2]|0)+4|0;k[b>>2]=k[b>>2]|8192;b=77524+(k[(k[19381]|0)+-12>>2]|0)+4|0;k[b>>2]=k[b>>2]|8192;k[77440+(k[(k[19360]|0)+-12>>2]|0)+72>>2]=77272;k[77524+(k[(k[19381]|0)+-12>>2]|0)+72>>2]=77356;return}}function cl(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;k=0;if(!a){l=0;return l|0}j=i[44181]|0;e=j<<24>>24==0;a:do if(!e){b=44181;d=j;while(1){if((i[a>>0]|0)!=d<<24>>24){c=0;break}a=a+1|0;b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break a}return c|0}while(0);f=i[a>>0]|0;if(!(f<<24>>24)){l=0;return l|0}if(e){b=0;d=0;c=f;while(1){switch(c<<24>>24){case 92:{e=d;a=a+1|0;break}case 34:{b=b^1;e=d;break}case 39:{e=d^1;break}default:if(b){b=1;e=d}else{b=0;e=d;a=d?a:a+-1|0}}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){c=0;break}else d=e}return c|0}else{b=0;d=0;h=0;g=f}b:while(1){c:do switch(g<<24>>24){case 92:{a=a+1|0;e=h;break}case 34:{b=b^1;e=h;break}case 39:{d=d^1;e=h;break}default:if(b){b=1;e=h}else if(d){b=0;d=1;e=h}else if(!a){b=0;d=0;a=0;e=h}else{d:do if(g<<24>>24==j<<24>>24){f=a;b=44181;while(1){d=f+1|0;b=b+1|0;e=i[b>>0]|0;if(!(e<<24>>24))break;if((i[d>>0]|0)!=e<<24>>24)break d;else f=d}b=0;d=0;a=f;e=h+1|0;break c}while(0);b=i[45708]|0;e:do if(!(b<<24>>24))l=a;else{if(g<<24>>24==b<<24>>24){b=a;d=45708}else{b=0;d=0;e=h;break c}while(1){b=b+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24)){l=b;break e}if((i[b>>0]|0)!=e<<24>>24){b=0;d=0;e=h;break c}}}while(0);if(!h)break b;else{b=0;d=0;a=l+-1|0;e=h+-1|0}}}while(0);a=a+1|0;g=i[a>>0]|0;if(!(g<<24>>24)){c=0;k=38;break}else h=e}if((k|0)==38)return c|0;if(!l){l=0;return l|0}else{b=0;c=l}while(1){a=Pz(c)|0;if(a|0){b=0;c=a;continue}if(b){k=38;break}if((i[c>>0]|0)==43){k=38;break}a=XB(c)|0;if(a|0){a=xz(a)|0;if(a|0){b=1;c=a;continue}}a=XB(c)|0;if(!a){k=38;break}else{b=1;c=a}}if((k|0)==38)return c|0;return 0}function dl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=r;r=r+32|0;h=l+12|0;j=l;c=pw(b,144,352,0)|0;if(c|0){j=Fc[k[(k[a>>2]|0)+172>>2]&2047](a,c)|0;r=l;return j|0}c=a+72|0;pK(h,c);d=b+72|0;y=0;oa(452,j|0,d|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}g=ap(h,j)|0;$9(j);$9(h);if(g){pK(h,a+84|0);y=0;oa(452,j|0,b+84|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}a=i[h+11>>0]|0;b=a<<24>>24<0;a=a&255;e=b?k[h+4>>2]|0:a;g=i[j+11>>0]|0;c=g<<24>>24<0;a:do if((e|0)==((c?k[j+4>>2]|0:g&255)|0)){f=k[h>>2]|0;g=b?f:h;c=c?k[j>>2]|0:j;d=(e|0)==0;if(b){if(d){c=1;break}c=(zM(g,c,e)|0)==0;break}if(d)c=1;else if((f&255)<<24>>24==(i[c>>0]|0)){d=h;while(1){a=a+-1|0;d=d+1|0;if(!a){c=1;break a}c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){c=0;break}}}else c=0}else c=0;while(0);$9(j);$9(h);j=c;r=l;return j|0}else{pK(h,c);y=0;oa(452,j|0,d|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}a=i[h+11>>0]|0;b=a<<24>>24<0;a=a&255;e=b?k[h+4>>2]|0:a;g=i[j+11>>0]|0;c=g<<24>>24<0;b:do if((e|0)==((c?k[j+4>>2]|0:g&255)|0)){f=k[h>>2]|0;g=b?f:h;c=c?k[j>>2]|0:j;d=(e|0)==0;if(b){if(d){c=1;break}c=(zM(g,c,e)|0)==0;break}if(d)c=1;else if((f&255)<<24>>24==(i[c>>0]|0)){d=h;while(1){a=a+-1|0;d=d+1|0;if(!a){c=1;break b}c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){c=0;break}}}else c=0}else c=0;while(0);$9(j);$9(h);j=c;r=l;return j|0}return 0}function el(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=r;r=r+32|0;h=l+12|0;j=l;c=pw(b,144,288,0)|0;if(c|0){j=Fc[k[(k[a>>2]|0)+176>>2]&2047](a,c)|0;r=l;return j|0}c=a+72|0;pK(h,c);d=b+72|0;y=0;oa(452,j|0,d|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}g=ap(h,j)|0;$9(j);$9(h);if(g){pK(h,a+84|0);y=0;oa(452,j|0,b+84|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}a=i[h+11>>0]|0;b=a<<24>>24<0;a=a&255;e=b?k[h+4>>2]|0:a;g=i[j+11>>0]|0;c=g<<24>>24<0;a:do if((e|0)==((c?k[j+4>>2]|0:g&255)|0)){f=k[h>>2]|0;g=b?f:h;c=c?k[j>>2]|0:j;d=(e|0)==0;if(b){if(d){c=1;break}c=(zM(g,c,e)|0)==0;break}if(d)c=1;else if((f&255)<<24>>24==(i[c>>0]|0)){d=h;while(1){a=a+-1|0;d=d+1|0;if(!a){c=1;break a}c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){c=0;break}}}else c=0}else c=0;while(0);$9(j);$9(h);j=c;r=l;return j|0}else{pK(h,c);y=0;oa(452,j|0,d|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}a=i[h+11>>0]|0;b=a<<24>>24<0;a=a&255;e=b?k[h+4>>2]|0:a;g=i[j+11>>0]|0;c=g<<24>>24<0;b:do if((e|0)==((c?k[j+4>>2]|0:g&255)|0)){f=k[h>>2]|0;g=b?f:h;c=c?k[j>>2]|0:j;d=(e|0)==0;if(b){if(d){c=1;break}c=(zM(g,c,e)|0)==0;break}if(d)c=1;else if((f&255)<<24>>24==(i[c>>0]|0)){d=h;while(1){a=a+-1|0;d=d+1|0;if(!a){c=1;break b}c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){c=0;break}}}else c=0}else c=0;while(0);$9(j);$9(h);j=c;r=l;return j|0}return 0}function fl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=r;r=r+32|0;h=l+12|0;j=l;c=pw(b,144,272,0)|0;if(c|0){j=Fc[k[(k[a>>2]|0)+172>>2]&2047](a,c)|0;r=l;return j|0}c=a+72|0;pK(h,c);d=b+72|0;y=0;oa(452,j|0,d|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}g=ap(h,j)|0;$9(j);$9(h);if(g){pK(h,a+84|0);y=0;oa(452,j|0,b+84|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}a=i[h+11>>0]|0;b=a<<24>>24<0;a=a&255;e=b?k[h+4>>2]|0:a;g=i[j+11>>0]|0;c=g<<24>>24<0;a:do if((e|0)==((c?k[j+4>>2]|0:g&255)|0)){f=k[h>>2]|0;g=b?f:h;c=c?k[j>>2]|0:j;d=(e|0)==0;if(b){if(d){c=1;break}c=(zM(g,c,e)|0)==0;break}if(d)c=1;else if((f&255)<<24>>24==(i[c>>0]|0)){d=h;while(1){a=a+-1|0;d=d+1|0;if(!a){c=1;break a}c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){c=0;break}}}else c=0}else c=0;while(0);$9(j);$9(h);j=c;r=l;return j|0}else{pK(h,c);y=0;oa(452,j|0,d|0);g=y;y=0;if(g&1){l=pb()|0;$9(h);sb(l|0)}a=i[h+11>>0]|0;b=a<<24>>24<0;a=a&255;e=b?k[h+4>>2]|0:a;g=i[j+11>>0]|0;c=g<<24>>24<0;b:do if((e|0)==((c?k[j+4>>2]|0:g&255)|0)){f=k[h>>2]|0;g=b?f:h;c=c?k[j>>2]|0:j;d=(e|0)==0;if(b){if(d){c=1;break}c=(zM(g,c,e)|0)==0;break}if(d)c=1;else if((f&255)<<24>>24==(i[c>>0]|0)){d=h;while(1){a=a+-1|0;d=d+1|0;if(!a){c=1;break b}c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){c=0;break}}}else c=0}else c=0;while(0);$9(j);$9(h);j=c;r=l;return j|0}return 0}function gl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+16|0;f=j+12|0;l=j+8|0;h=j;g=j+4|0;if(!a){l=0;r=j;return l|0}rT(f,a+64|0);c=k[f>>2]|0;k[l>>2]=c;a:do if(!c)a=0;else{d=(k[c+72>>2]|0)-(k[c+68>>2]|0)>>2;if(!d)a=0;else{e=(b|0)==3;a=0;b:while(1){c=c+64|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,a|0)|0;m=y;y=0;if(m&1){c=8;break}y=0;oa(464,h|0,c|0);m=y;y=0;if(m&1){c=8;break}c=k[h>>2]|0;do if(c|0){if(pw(c,680,776,0)|0){c=32;break b}if(pw(c,680,808,0)|0){c=32;break b}if(pw(c,680,920,0)|0){if(!e){c=32;break b}if(!(i[c+68>>0]|0))break;else{c=32;break b}}if(pw(c,680,696,0)|0){y=0;c=Ha(997,c|0,b|0)|0;m=y;y=0;if(m&1){c=18;break b}if(c){c=32;break b}else break}if(pw(c,680,1288,0)|0){y=0;c=Ha(998,c|0,b|0)|0;m=y;y=0;if(m&1){c=22;break b}if(c){c=32;break b}else break}if(pw(c,680,760,0)|0){y=0;c=Ha(999,c|0,b|0)|0;m=y;y=0;if(m&1){c=26;break b}if(c){c=32;break b}else break}if(pw(c,680,712,0)|0){y=0;oa(464,f|0,c+64|0);m=y;y=0;if(m&1){c=9;break b}k[g>>2]=k[f>>2];y=0;c=Ha(996,g|0,b|0)|0;m=y;y=0;if(m&1){c=31;break b}EO(g);if(c){c=32;break b}}}while(0);EO(h);a=a+1|0;if(a>>>0>=d>>>0){a=0;break a}c=k[l>>2]|0}if((c|0)==8){m=pb()|0;EO(l);sb(m|0)}else if((c|0)==9)a=pb()|0;else if((c|0)==18)a=pb()|0;else if((c|0)==22)a=pb()|0;else if((c|0)==26)a=pb()|0;else if((c|0)==31){a=pb()|0;EO(g)}else if((c|0)==32){EO(h);a=1;break}EO(h);m=a;EO(l);sb(m|0)}}while(0);EO(l);m=a;r=j;return m|0}function hl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;r=0;e=k[a>>2]|0;f=k[b>>2]|0;g=e;a:do if((g|0)!=(f|0)){c=g+12|0;if((c|0)!=(f|0)){d=e;q=i[e+11>>0]|0;b:while(1){p=c;l=q<<24>>24<0;h=q&255;m=l?k[g+4>>2]|0:h;q=i[c+11>>0]|0;e=q<<24>>24<0;do if((m|0)==((e?k[g+16>>2]|0:q&255)|0)){n=k[g>>2]|0;o=l?n:g;e=e?k[c>>2]|0:c;j=(m|0)==0;if(l){if(j)break b;if(!(zM(o,e,m)|0))break b;else break}if(j)break b;if((n&255)<<24>>24==(i[e>>0]|0))do{h=h+-1|0;g=g+1|0;if(!h)break b;e=e+1|0}while((i[g>>0]|0)==(i[e>>0]|0))}while(0);d=c+12|0;if((d|0)==(f|0))break a;else{g=c;c=d;d=p}}k[a>>2]=d;if((d|0)==(f|0)){b=f;return b|0}c=d+24|0;c:do if((c|0)==(f|0))s=d;else{n=d;d=d+12|0;while(1){g=i[n+11>>0]|0;l=g<<24>>24<0;g=g&255;m=l?k[n+4>>2]|0:g;q=i[c+11>>0]|0;e=q<<24>>24<0;d:do if((m|0)==((e?k[d+16>>2]|0:q&255)|0)){h=k[n>>2]|0;j=l?h:n;d=e?k[c>>2]|0:c;e=(m|0)==0;if(l){if(e){e=n;break}if(!(zM(j,d,m)|0)){e=n;break}else{r=25;break}}if(e)e=n;else if((h&255)<<24>>24==(i[d>>0]|0)){e=n;while(1){g=g+-1|0;e=e+1|0;if(!g){e=n;break d}d=d+1|0;if((i[e>>0]|0)!=(i[d>>0]|0)){r=25;break}}}else r=25}else r=25;while(0);if((r|0)==25){r=0;d=n+12|0;k[a>>2]=d;e=d+11|0;if((i[e>>0]|0)<0){i[k[d>>2]>>0]=0;k[n+16>>2]=0}else{i[d>>0]=0;i[e>>0]=0}y=0;oa(506,d|0,0);q=y;y=0;if(q&1)break;k[d>>2]=k[c>>2];k[d+4>>2]=k[c+4>>2];k[d+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;f=k[b>>2]|0;e=k[a>>2]|0}d=c+12|0;if((d|0)==(f|0)){s=e;break c}else{q=c;c=d;n=e;d=q}}b=tb(0)|0;dla(b)}while(0);b=s+12|0;k[a>>2]=b;return b|0}}while(0);k[a>>2]=f;b=f;return b|0}function il(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0;m=0;l=r;r=r+48|0;f=l;j=l+40|0;qr(a,c,d);c=k[b+4>>2]|0;e=(e|0)==0?c:e;k[a+72>>2]=e;e=(c|0)==0?e:c;k[a+76>>2]=e;c=k[b+8>>2]|0;if(!c)c=e+(JI(e)|0)|0;k[a+80>>2]=c;y=0;h=qa(332,88)|0;g=y;y=0;a:do if(g&1)m=18;else{b=f;c=d;e=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(e|0));y=0;na(366,h|0);g=y;y=0;do if(g&1)c=pb()|0;else{b=h+12|0;c=f;e=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(e|0));k[h>>2]=5252;k[h+52>>2]=0;k[h+56>>2]=0;i[h+60>>0]=0;c=h+64|0;k[c>>2]=5212;f=h+68|0;g=h+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(561,f|0,0);d=y;y=0;if(d&1){c=pb()|0;d=N;e=k[f>>2]|0;if(e|0){b=k[g>>2]|0;if((b|0)!=(e|0)){do{l=b+-4|0;k[g>>2]=l;EO(l);b=k[g>>2]|0}while((b|0)!=(e|0));e=k[f>>2]|0}zqa(e)}break}k[h>>2]=5076;k[c>>2]=5172;i[h+84>>0]=0;i[h+85>>0]=0;y=0;oa(482,j|0,h|0);h=y;y=0;if(h&1){m=18;break a}c=a+48|0;e=k[c>>2]|0;if((e|0)==(k[a+52>>2]|0)){y=0;oa(562,a+44|0,j|0);h=y;y=0;if(!(h&1)){a=k[j>>2]|0;a=a+84|0;i[a>>0]=1;EO(j);r=l;return}}else{y=0;oa(464,e|0,j|0);h=y;y=0;if(!(h&1)){k[c>>2]=(k[c>>2]|0)+4;a=k[j>>2]|0;a=a+84|0;i[a>>0]=1;EO(j);r=l;return}}f=pb()|0;EO(j);break a}while(0);zqa(h);f=c}while(0);if((m|0)==18)f=pb()|0;c=k[a+56>>2]|0;e=c;if(c|0){b=a+60|0;d=k[b>>2]|0;if((d|0)!=(c|0))k[b>>2]=d+(~((d+-4-e|0)>>>2)<<2);zqa(c)}d=a+44|0;c=k[d>>2]|0;if(!c)sb(f|0);b=a+48|0;e=k[b>>2]|0;if((e|0)!=(c|0)){do{a=e+-4|0;k[b>>2]=a;EO(a);e=k[b>>2]|0}while((e|0)!=(c|0));c=k[d>>2]|0}zqa(c);sb(f|0)}function jl(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0;t=r;r=r+112|0;q=t;c=t+40|0;s=t+64|0;u=t+52|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,35329,6);y=0;b=q;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));g=sa(24,c|0,a|0,d|0,q|0,f|0)|0;o=y;y=0;if(o&1){u=pb()|0;$9(c);sb(u|0)}$9(c);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,35405,7);y=0;b=q;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));b=Ia(1,c|0,a|0,d|0,q|0,0.0,1.0,f|0)|0;o=y;y=0;if(o&1){u=pb()|0;$9(c);sb(u|0)}m=+p[b+64>>3];$9(c);m=+p[g+88>>3]-m;m=m<0.0?0.0:m;c=ZL(112)|0;b=s;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));j=+p[g+64>>3];l=+p[g+72>>3];h=+p[g+80>>3];k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(75,u|0,82159,0);e=y;y=0;if(e&1)b=pb()|0;else{b=q;n=s;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));y=0;na(366,c|0);s=y;y=0;do if(s&1)b=pb()|0;else{b=c+12|0;n=q;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=9088;p[c+64>>3]=j;p[c+72>>3]=l;p[c+80>>3]=h;p[c+88>>3]=m;y=0;oa(452,c+96|0,u|0);s=y;y=0;if(s&1){b=pb()|0;break}else{k[c+108>>2]=0;k[b>>2]=3;$9(u);r=t;return c|0}}while(0);$9(u)}zqa(c);u=b;sb(u|0);return 0}function kl(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0;m=0;l=r;r=r+48|0;g=l;j=l+40|0;k[e+24>>2]=0;k[e+20>>2]=0;qr(a,d,e);h=f|0?f:b;k[a+72>>2]=h;b=(b|0)==0?h:b;k[a+76>>2]=b;if(!c)c=b+(JI(b)|0)|0;k[a+80>>2]=c;y=0;h=qa(332,88)|0;f=y;y=0;a:do if(f&1)m=18;else{d=g;c=e;b=d+40|0;do{k[d>>2]=k[c>>2];d=d+4|0;c=c+4|0}while((d|0)<(b|0));y=0;na(366,h|0);e=y;y=0;do if(e&1)c=pb()|0;else{d=h+12|0;c=g;b=d+40|0;do{k[d>>2]=k[c>>2];d=d+4|0;c=c+4|0}while((d|0)<(b|0));k[h>>2]=5252;k[h+52>>2]=0;k[h+56>>2]=0;i[h+60>>0]=0;c=h+64|0;k[c>>2]=5212;e=h+68|0;g=h+72|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;y=0;oa(561,e|0,0);f=y;y=0;if(f&1){c=pb()|0;f=N;b=k[e>>2]|0;if(b|0){d=k[g>>2]|0;if((d|0)!=(b|0)){do{l=d+-4|0;k[g>>2]=l;EO(l);d=k[g>>2]|0}while((d|0)!=(b|0));b=k[e>>2]|0}zqa(b)}break}k[h>>2]=5076;k[c>>2]=5172;i[h+84>>0]=0;i[h+85>>0]=0;y=0;oa(482,j|0,h|0);h=y;y=0;if(h&1){m=18;break a}c=a+48|0;b=k[c>>2]|0;if((b|0)==(k[a+52>>2]|0)){y=0;oa(562,a+44|0,j|0);h=y;y=0;if(!(h&1)){a=k[j>>2]|0;a=a+84|0;i[a>>0]=1;EO(j);r=l;return}}else{y=0;oa(464,b|0,j|0);h=y;y=0;if(!(h&1)){k[c>>2]=(k[c>>2]|0)+4;a=k[j>>2]|0;a=a+84|0;i[a>>0]=1;EO(j);r=l;return}}e=pb()|0;EO(j);break a}while(0);zqa(h);e=c}while(0);if((m|0)==18)e=pb()|0;c=k[a+56>>2]|0;b=c;if(c|0){d=a+60|0;f=k[d>>2]|0;if((f|0)!=(c|0))k[d>>2]=f+(~((f+-4-b|0)>>>2)<<2);zqa(c)}f=a+44|0;c=k[f>>2]|0;if(!c)sb(e|0);d=a+48|0;b=k[d>>2]|0;if((b|0)!=(c|0)){do{a=b+-4|0;k[d>>2]=a;EO(a);b=k[d>>2]|0}while((b|0)!=(c|0));c=k[f>>2]|0}zqa(c);sb(e|0)}function ll(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+48|0;e=j+24|0;d=j+12|0;l=j+8|0;f=j+4|0;g=j;h=a+4|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44135,1);y=0;oa(605,h|0,e|0);c=y;y=0;if(c&1){l=pb()|0;$9(e);sb(l|0)}$9(e);W8(h,b);mc[k[(k[b>>2]|0)+148>>2]&1023](e,b);y=0;Na(139,h|0,e|0,b|0);c=y;y=0;if(c&1){l=pb()|0;$9(e);sb(l|0)}$9(e);c=b+104|0;pK(d,c);m=i[d+11>>0]|0;m=((m<<24>>24<0?k[d+4>>2]|0:m&255)|0)==0;$9(d);a:do if(!m){pK(e,c);y=0;oa(605,h|0,e|0);m=y;y=0;if(m&1){m=pb()|0;$9(e);sb(m|0)}$9(e);c=b+116|0;rT(e,c);m=k[e>>2]|0;k[l>>2]=m;if(!m){EO(l);break}y=0;oa(464,e|0,c|0);m=y;y=0;do if(m&1)c=pb()|0;else{d=k[e>>2]|0;k[f>>2]=d;y=0;d=qa(k[(k[d>>2]|0)+72>>2]|0,d|0)|0;m=y;y=0;if(m&1){c=pb()|0;EO(f);break}EO(f);EO(l);if(!d)break a;rT(e,c);m=k[e>>2]|0;k[g>>2]=m;y=0;oa(k[(k[m>>2]|0)+40>>2]|0,m|0,a|0);m=y;y=0;if(!(m&1)){EO(g);break a}m=pb()|0;EO(g);sb(m|0)}while(0);EO(l);m=c;sb(m|0)}while(0);C8(h,b);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44137,1);y=0;oa(605,h|0,e|0);m=y;y=0;if(!(m&1)){$9(e);r=j;return}m=pb()|0;$9(e);sb(m|0)}function ml(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0;t=r;r=r+112|0;q=t;c=t+40|0;s=t+64|0;u=t+52|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,35329,6);y=0;b=q;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));g=sa(24,c|0,a|0,d|0,q|0,f|0)|0;o=y;y=0;if(o&1){u=pb()|0;$9(c);sb(u|0)}$9(c);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,35405,7);y=0;b=q;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));b=Ia(1,c|0,a|0,d|0,q|0,0.0,1.0,f|0)|0;o=y;y=0;if(o&1){u=pb()|0;$9(c);sb(u|0)}m=+p[b+64>>3];$9(c);m=m+ +p[g+88>>3];m=m>1.0?1.0:m;c=ZL(112)|0;b=s;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));j=+p[g+64>>3];l=+p[g+72>>3];h=+p[g+80>>3];k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(75,u|0,82159,0);e=y;y=0;if(e&1)b=pb()|0;else{b=q;n=s;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));y=0;na(366,c|0);s=y;y=0;do if(s&1)b=pb()|0;else{b=c+12|0;n=q;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=9088;p[c+64>>3]=j;p[c+72>>3]=l;p[c+80>>3]=h;p[c+88>>3]=m;y=0;oa(452,c+96|0,u|0);s=y;y=0;if(s&1){b=pb()|0;break}else{k[c+108>>2]=0;k[b>>2]=3;$9(u);r=t;return c|0}}while(0);$9(u)}zqa(c);u=b;sb(u|0);return 0}function nl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;l=r;r=r+32|0;h=l+20|0;d=l+16|0;g=l+12|0;e=l+8|0;i=l+4|0;m=l;j=a+4|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;jI(h,44170,3);y=0;Na(139,j|0,h|0,b|0);f=y;y=0;if(f&1){m=pb()|0;$9(h);sb(m|0)}$9(h);Nka(j);c=k[(k[b>>2]|0)+112>>2]|0;f=b+60|0;rT(h,f);n=k[h>>2]|0;k[g>>2]=n;y=0;oa(482,d|0,n|0);n=y;y=0;do if(n&1)c=pb()|0;else{y=0;c=Ha(c|0,b|0,d|0)|0;n=y;y=0;if(n&1){c=pb()|0;EO(d);break}EO(d);EO(g);do if(c){k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;jI(h,44122,1);y=0;oa(605,j|0,h|0);n=y;y=0;if(!(n&1)){$9(h);break}n=pb()|0;$9(h);sb(n|0)}while(0);rT(h,f);n=k[h>>2]|0;k[e>>2]=n;y=0;oa(k[(k[n>>2]|0)+40>>2]|0,n|0,a|0);n=y;y=0;if(n&1){n=pb()|0;EO(e);sb(n|0)}EO(e);c=k[(k[b>>2]|0)+112>>2]|0;rT(h,f);n=k[h>>2]|0;k[m>>2]=n;y=0;oa(482,i|0,n|0);n=y;y=0;do if(n&1)c=pb()|0;else{y=0;c=Ha(c|0,b|0,i|0)|0;n=y;y=0;if(n&1){c=pb()|0;EO(i);break}EO(i);EO(m);if(!c){r=l;return}k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;jI(h,44127,1);y=0;oa(605,j|0,h|0);n=y;y=0;if(n&1){n=pb()|0;$9(h);sb(n|0)}else{$9(h);r=l;return}}while(0);EO(m);n=c;sb(n|0)}while(0);EO(g);n=c;sb(n|0)}function ol(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;x=r;r=r+32|0;A=x+24|0;w=x;gD(a);d=k[b+4>>2]|0;e=k[b+16>>2]|0;f=d+(e>>>10<<2)|0;if((k[b+8>>2]|0)==(d|0)){t=0;b=0}else{t=e+(k[b+20>>2]|0)|0;t=(k[d+(t>>>10<<2)>>2]|0)+((t&1023)<<2)|0;b=(k[f>>2]|0)+((e&1023)<<2)|0}o=a+16|0;z=a+20|0;v=w+12|0;p=w+16|0;u=w+20|0;a:while(1){do{if((b|0)==(t|0)){b=6;break a}y=0;oa(464,A|0,b|0);s=y;y=0;if(s&1){b=7;break a}d=k[o>>2]|0;q=k[z>>2]|0;s=(q|0)==0;if(!s)Sba(q);y=0;Na(79,w|0,k[A>>2]|0,c|0);n=y;y=0;if(n&1){b=22;break a}l=d+8|0;g=k[l>>2]|0;m=d+4|0;e=k[m>>2]|0;B=g-e>>2;i=d+16|0;j=k[i>>2]|0;n=d+20|0;h=k[n>>2]|0;if((((B|0)==0?0:(B*170|0)+-1|0)|0)==(h+j|0)){y=0;na(370,d|0);B=y;y=0;if(B&1){b=23;break a}h=k[n>>2]|0;d=k[i>>2]|0;g=k[l>>2]|0;e=k[m>>2]|0}else d=j;d=h+d|0;if((g|0)==(e|0))d=0;else d=(k[e+(((d>>>0)/170|0)<<2)>>2]|0)+(((d>>>0)%170|0)*24|0)|0;k[d>>2]=k[w>>2];k[d+4>>2]=k[w+4>>2];k[d+8>>2]=k[w+8>>2];y=0;oa(464,d+12|0,v|0);B=y;y=0;if(B&1){b=23;break a}k[d+16>>2]=k[p>>2];k[d+20>>2]=k[u>>2];k[p>>2]=0;k[u>>2]=0;k[n>>2]=(k[n>>2]|0)+1;EO(v);if(!s)kZ(q);EO(A);b=b+4|0}while((b-(k[f>>2]|0)|0)!=4096);b=f+4|0;f=b;b=k[b>>2]|0}if((b|0)==6){r=x;return}else if((b|0)==7)d=pb()|0;else if((b|0)==22){d=pb()|0;b=26}else if((b|0)==23){d=pb()|0;b=k[u>>2]|0;if(b|0)kZ(b);EO(v);b=26}if((b|0)==26){if(!s)kZ(q);EO(A)}b=k[z>>2]|0;if(!b){B=a+12|0;EO(B);sb(d|0)}kZ(b);B=a+12|0;EO(B);sb(d|0)}function pl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;n=r;r=r+96|0;h=n+56|0;f=n+48|0;c=n+36|0;j=n+24|0;l=n+12|0;m=n;rT(h,(k[b>>2]|0)+64|0);g=k[h>>2]|0;k[f>>2]=g;EO(f);if(g|0){do if(i[a+73>>0]|0){k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,30473,71);y=0;e=h;f=(k[b>>2]|0)+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));oa(458,c|0,h|0);m=y;y=0;if(!(m&1)){$9(c);break}n=pb()|0;$9(c);sb(n|0)}while(0);i[a+72>>0]=1;r=n;return}d=a+73|0;c=(i[d>>0]|0)!=0;if(i[(k[b>>2]|0)+68>>0]|0){do if(c){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,30545,72);y=0;e=h;f=(k[b>>2]|0)+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));oa(458,j|0,h|0);m=y;y=0;if(!(m&1)){$9(j);break}n=pb()|0;$9(j);sb(n|0)}while(0);i[d>>0]=1;r=n;return}do if(c){k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,30618,59);y=0;e=h;f=(k[b>>2]|0)+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));oa(458,l|0,h|0);j=y;y=0;if(!(j&1)){$9(l);break}n=pb()|0;$9(l);sb(n|0)}while(0);if(!(i[a+72>>0]|0)){r=n;return}k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,30678,52);y=0;e=h;f=(k[b>>2]|0)+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));oa(458,m|0,h|0);l=y;y=0;if(l&1){n=pb()|0;$9(m);sb(n|0)}else{$9(m);r=n;return}}function ql(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0;m=0;j=r;r=r+48|0;f=j;h=j+40|0;k[d+24>>2]=0;k[d+20>>2]=0;qr(a,c,d);l=e|0?e:b;k[a+72>>2]=l;l=(b|0)==0?l:b;k[a+76>>2]=l;l=l+(JI(l)|0)|0;k[a+80>>2]=l;y=0;l=qa(332,88)|0;g=y;y=0;a:do if(g&1)m=16;else{e=f;b=d;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));y=0;na(366,l|0);g=y;y=0;do if(g&1)b=pb()|0;else{e=l+12|0;b=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));k[l>>2]=5252;k[l+52>>2]=0;k[l+56>>2]=0;i[l+60>>0]=0;b=l+64|0;k[b>>2]=5212;f=l+68|0;g=l+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(561,f|0,0);d=y;y=0;if(d&1){b=pb()|0;d=N;c=k[f>>2]|0;if(c|0){e=k[g>>2]|0;if((e|0)!=(c|0)){do{j=e+-4|0;k[g>>2]=j;EO(j);e=k[g>>2]|0}while((e|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[l>>2]=5076;k[b>>2]=5172;i[l+84>>0]=0;i[l+85>>0]=0;y=0;oa(482,h|0,l|0);l=y;y=0;if(l&1){m=16;break a}b=a+48|0;c=k[b>>2]|0;if((c|0)==(k[a+52>>2]|0)){y=0;oa(562,a+44|0,h|0);l=y;y=0;if(!(l&1)){a=k[h>>2]|0;a=a+84|0;i[a>>0]=1;EO(h);r=j;return}}else{y=0;oa(464,c|0,h|0);l=y;y=0;if(!(l&1)){k[b>>2]=(k[b>>2]|0)+4;a=k[h>>2]|0;a=a+84|0;i[a>>0]=1;EO(h);r=j;return}}f=pb()|0;EO(h);break a}while(0);zqa(l);f=b}while(0);if((m|0)==16)f=pb()|0;b=k[a+56>>2]|0;c=b;if(b|0){e=a+60|0;d=k[e>>2]|0;if((d|0)!=(b|0))k[e>>2]=d+(~((d+-4-c|0)>>>2)<<2);zqa(b)}d=a+44|0;b=k[d>>2]|0;if(!b)sb(f|0);e=a+48|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{a=c+-4|0;k[e>>2]=a;EO(a);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b);sb(f|0)}function rl(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;p=0;m=r;r=r+128|0;h=m+88|0;o=m+84|0;n=m+72|0;g=m+20|0;f=m;j=m+32|0;l=m+8|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;jI(h,35750,7);y=0;b=Ha(971,a|0,h|0)|0;a=y;y=0;if(!(a&1)){y=0;oa(464,o|0,b|0);a=y;y=0;if(!(a&1)){$9(h);b=k[o>>2]|0;if(b|0){d=pw(b,8,536,0)|0;if(d|0){i[d+60>>0]=42;p=d;EO(o);r=m;return p|0}}a=k[(k[b>>2]|0)+28>>2]|0;q=k[c+16>>2]|0;d=k[q+4>>2]|0;c=f;k[c>>2]=k[q>>2];k[c+4>>2]=d;y=0;k[h>>2]=k[f>>2];k[h+4>>2]=k[f+4>>2];Na(a|0,g|0,b|0,h|0);c=y;y=0;do if(c&1){b=pb()|0;p=15}else{y=0;Na(104,n|0,g|0,34);q=y;y=0;if(q&1){b=pb()|0;$9(g);p=15;break}$9(g);y=0;g=qa(332,80)|0;q=y;y=0;if(q&1)b=pb()|0;else{f=j;b=e;d=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(d|0));y=0;oa(452,l|0,n|0);q=y;y=0;do if(q&1)b=pb()|0;else{y=0;f=h;b=j;d=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(d|0));Ea(2,g|0,h|0,l|0,0,0,0,1);q=y;y=0;if(q&1){b=pb()|0;$9(l);break}$9(l);i[g+60>>0]=42;$9(n);q=g;EO(o);r=m;return q|0}while(0);zqa(g)}$9(n)}while(0);EO(o);q=b;sb(q|0)}}q=pb()|0;$9(h);sb(q|0);return 0}function sl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;d=r;r=r+48|0;f=d+24|0;e=d+12|0;c=d;g=k[b+76>>2]|0;h=oW(g)|0;g=h|0?h:g;g=(i[g>>0]|0)==36?g+1|0:0;a:do if((g|0)==0?1:g>>>0>(k[b+80>>2]|0)>>>0){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;jI(f,39964,11);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(75,e|0,39976,7);h=y;y=0;if(h&1)a=pb()|0;else{k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(75,c|0,41402,20);h=y;y=0;do if(h&1)a=pb()|0;else{y=0;Ra(25,b|0,f|0,e|0,c|0);h=y;y=0;if(h&1){a=pb()|0;$9(c);break}else{$9(c);$9(e);$9(f);break a}}while(0);$9(e)}$9(f);h=a;sb(h|0)}while(0);if(Nr(b,1,0)|0){h=b+28|0;k[a>>2]=k[h>>2];k[a+4>>2]=k[h+4>>2];k[a+8>>2]=k[h+8>>2];r=d;return}ht(b,1,0)|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;jI(f,39964,11);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(75,e|0,39976,7);h=y;y=0;if(h&1)a=pb()|0;else{k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(75,c|0,40885,27);h=y;y=0;do if(h&1)a=pb()|0;else{y=0;Ra(25,b|0,f|0,e|0,c|0);h=y;y=0;if(h&1){a=pb()|0;$9(c);break}$9(c);$9(e);$9(f);h=b+28|0;k[a>>2]=k[h>>2];k[a+4>>2]=k[h+4>>2];k[a+8>>2]=k[h+8>>2];r=d;return}while(0);$9(e)}$9(f);h=a;sb(h|0)}function tl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;d=a+4|0;if(!b){c=k[a>>2]|0;k[a>>2]=0;if(c|0)zqa(c);k[d>>2]=0;return}if(b>>>0>1073741823){a=gb(4)|0;doa(a);Wb(a|0,4496,348)}o=ZL(b<<2)|0;c=k[a>>2]|0;k[a>>2]=o;if(c|0)zqa(c);k[d>>2]=b;c=0;do{k[(k[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));d=a+8|0;g=k[d>>2]|0;if(!g)return;c=k[g+4>>2]|0;n=b+-1|0;o=(n&b|0)==0;if(o)c=c&n;else c=(c>>>0)%(b>>>0)|0;k[(k[a>>2]|0)+(c<<2)>>2]=d;d=k[g>>2]|0;if(!d)return;else{e=c;f=g;c=g}a:while(1){m=c;b:while(1){c:do if(o){c=d;while(1){l=k[c+4>>2]&n;if((l|0)==(e|0))break c;d=(k[a>>2]|0)+(l<<2)|0;if(!(k[d>>2]|0)){e=l;break b}j=c+8|0;g=k[c>>2]|0;d:do if(!g)d=c;else{d=c;i=c;while(1){h=k[j>>2]|0;if(!h)break d;g=k[g+8>>2]|0;if(!g)break d;if(!(Fc[k[(k[h>>2]|0)+92>>2]&2047](h,g)|0))break d;i=k[i>>2]|0;g=k[i>>2]|0;if(!g){d=i;break}else d=i}}while(0);k[m>>2]=k[d>>2];k[d>>2]=k[k[(k[a>>2]|0)+(l<<2)>>2]>>2];k[k[(k[a>>2]|0)+(l<<2)>>2]>>2]=c;c=k[f>>2]|0;if(!c){c=36;break a}}}else{c=d;while(1){l=((k[c+4>>2]|0)>>>0)%(b>>>0)|0;if((l|0)==(e|0))break c;d=(k[a>>2]|0)+(l<<2)|0;if(!(k[d>>2]|0)){e=l;break b}j=c+8|0;g=k[c>>2]|0;e:do if(!g)d=c;else{d=c;i=c;while(1){h=k[j>>2]|0;if(!h)break e;g=k[g+8>>2]|0;if(!g)break e;if(!(Fc[k[(k[h>>2]|0)+92>>2]&2047](h,g)|0))break e;i=k[i>>2]|0;g=k[i>>2]|0;if(!g){d=i;break}else d=i}}while(0);k[m>>2]=k[d>>2];k[d>>2]=k[k[(k[a>>2]|0)+(l<<2)>>2]>>2];k[k[(k[a>>2]|0)+(l<<2)>>2]>>2]=c;c=k[f>>2]|0;if(!c){c=36;break a}}}while(0);d=k[c>>2]|0;if(!d){c=36;break a}else{f=c;m=c}}k[d>>2]=m;d=k[c>>2]|0;if(!d){c=36;break}else f=c}if((c|0)==36)return}function ul(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;m=r;r=r+32|0;j=m+16|0;d=m+12|0;e=m+8|0;g=m+4|0;l=m;h=b+64|0;i=b+68|0;if((k[h>>2]|0)==(k[i>>2]|0)){r=m;return}f=a+4|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,46431,7);y=0;Na(139,f|0,j|0,b|0);c=y;y=0;if(c&1){m=pb()|0;$9(j);sb(m|0)}$9(j);Nka(f);c=k[k[h>>2]>>2]|0;mc[k[(k[c>>2]|0)+40>>2]&1023](c,a);do if(((k[i>>2]|0)-(k[h>>2]|0)|0)==4){c=b+88|0;rT(j,c);n=k[j>>2]|0;k[d>>2]=n;EO(d);if(n|0){Nka(f);rT(j,c);n=k[j>>2]|0;k[e>>2]=n;y=0;oa(k[(k[n>>2]|0)+40>>2]|0,n|0,a|0);n=y;y=0;if(!(n&1)){EO(e);break}n=pb()|0;EO(e);sb(n|0)}}while(0);VK(f);d=(k[i>>2]|0)-(k[h>>2]|0)>>2;if(d>>>0<=1){r=m;return}e=b+88|0;c=1;while(1){l1(f);k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,46431,7);y=0;Na(139,f|0,j|0,b|0);n=y;y=0;if(n&1){c=16;break}$9(j);Nka(f);n=k[(k[h>>2]|0)+(c<<2)>>2]|0;mc[k[(k[n>>2]|0)+40>>2]&1023](n,a);if((((k[i>>2]|0)-(k[h>>2]|0)>>2)+-1|0)==(c|0)){rT(j,e);n=k[j>>2]|0;k[g>>2]=n;EO(g);if(n|0){Nka(f);rT(j,e);n=k[j>>2]|0;k[l>>2]=n;y=0;oa(k[(k[n>>2]|0)+40>>2]|0,n|0,a|0);n=y;y=0;if(n&1){c=17;break}EO(l)}}VK(f);c=c+1|0;if(c>>>0>=d>>>0){c=19;break}}if((c|0)==16){n=pb()|0;$9(j);sb(n|0)}else if((c|0)==17){n=pb()|0;EO(l);sb(n|0)}else if((c|0)==19){r=m;return}}function vl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=((d-c|0)/48|0)+1|0;if(e>>>0>89478485){OM(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=((k[i>>2]|0)-c|0)/48|0;f=h<<1;f=h>>>0<44739242?(f>>>0<e>>>0?e:f):89478485;c=(d-c|0)/48|0;do if(!f)d=0;else if(f>>>0>89478485){j=gb(4)|0;doa(j);Wb(j|0,4496,348)}else{d=ZL(f*48|0)|0;break}while(0);c=d+(c*48|0)|0;g=c|0;e=g;h=d+(f*48|0)|0;k[g>>2]=k[b>>2];k[g+4>>2]=k[b+4>>2];k[g+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;f=c+12|0;d=b+12|0;k[f>>2]=k[d>>2];k[f+4>>2]=k[d+4>>2];k[f+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;d=c+24|0;f=b+24|0;k[d>>2]=k[f>>2];k[d+4>>2]=k[f+4>>2];k[d+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;f=c+36|0;b=b+36|0;k[f>>2]=k[b>>2];k[f+4>>2]=k[b+4>>2];k[f+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=g+48|0;f=k[a>>2]|0;c=k[j>>2]|0;if((c|0)==(f|0)){d=e;e=f;c=f}else{d=g;do{l=d+-48|0;g=c;c=c+-48|0;k[l>>2]=k[c>>2];k[l+4>>2]=k[c+4>>2];k[l+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;l=d+-36|0;m=g+-36|0;k[l>>2]=k[m>>2];k[l+4>>2]=k[m+4>>2];k[l+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;m=d+-24|0;l=g+-24|0;k[m>>2]=k[l>>2];k[m+4>>2]=k[l+4>>2];k[m+8>>2]=k[l+8>>2];k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;l=d+-12|0;g=g+-12|0;k[l>>2]=k[g>>2];k[l+4>>2]=k[g+4>>2];k[l+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;d=e+-48|0;e=d}while((c|0)!=(f|0));d=e;e=k[a>>2]|0;c=k[j>>2]|0}k[a>>2]=d;k[j>>2]=b;k[i>>2]=h;d=e;if((c|0)!=(d|0))do{$9(c+-12|0);$9(c+-24|0);$9(c+-36|0);c=c+-48|0;$9(c)}while((c|0)!=(d|0));if(!e)return;zqa(e);return}function wl(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;d=a+1|0;if((i[a>>0]|0)!=46){e=a;return e|0}b=rj(d)|0;if(!b)e=5;else{while(1){c=rj(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)==37)e=5}if((e|0)==5){if((i[d>>0]|0)==45){b=d;do b=b+1|0;while((i[b>>0]|0)==45)}else b=d;b=kw(b)|0;if(!b){e=a;return e|0}b=iw(b)|0;if(!b){e=a;return e|0}}if((i[b>>0]|0)==46)a=b;else{e=b;return e|0}while(1){d=a+1|0;b=rj(d)|0;if(!b)e=15;else{while(1){c=rj(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)==37)e=15}if((e|0)==15){e=0;if((i[d>>0]|0)==45){b=d;do b=b+1|0;while((i[b>>0]|0)==45)}else b=d;b=kw(b)|0;if(!b){b=a;e=18;break}b=iw(b)|0;if(!b){b=a;e=18;break}}if((i[b>>0]|0)==46)a=b;else{e=18;break}}if((e|0)==18)return b|0;return 0}function xl(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=0;if(!a){f=0;return f|0}c=i[42915]|0;a:do if(!(c<<24>>24)){b=a;e=5}else{b=a;d=42915;while(1){if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=5;break}}}while(0);b:do if((e|0)==5){b=aP(b)|0;if(b|0){c=b+1|0;if((i[b>>0]|0)==40){b=i[c>>0]|0;if(b<<24>>24){d=0;e=0;f=0;c:while(1){d:do switch(b<<24>>24){case 92:{c=c+1|0;break}case 34:{d=d^1;break}case 39:{e=e^1;break}default:if(d)d=1;else if(e){d=0;e=1}else switch(b<<24>>24){case 40:{d=0;e=0;f=f+1|0;break d}case 41:if(!f)break c;else{d=0;e=0;f=f+-1|0;break d}default:{d=0;e=0;break d}}}while(0);c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break b}f=c+1|0;return f|0}}}}while(0);b=i[32564]|0;e:do if(b<<24>>24){c=32564;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break e}return a|0}while(0);a=aP(a)|0;if(!a){f=0;return f|0}if((i[a>>0]|0)!=58){f=0;return f|0}f=Gf(a+1|0)|0;return f|0}function yl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;q=r;r=r+96|0;m=q;p=q+88|0;o=q+92|0;n=q+48|0;t=q+44|0;u=q+40|0;l=(k[c+4>>2]|0)-(k[c>>2]|0)>>2;if(!l){u=b;rT(p,u);u=k[p>>2]|0;r=q;return u|0}j=d;h=k[j>>2]|0;j=k[j+4>>2]|0;g=0;while(1){s=ZL(80)|0;a=k[b>>2]|0;d=n;e=a+12|0;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;oa(482,t|0,a|0);f=y;y=0;if(f&1){d=16;break}y=0;oa(464,u|0,(k[c>>2]|0)+(g<<2)|0);f=y;y=0;if(f&1){d=17;break}d=m;e=n;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;na(366,s|0);f=y;y=0;if(f&1){b=1;d=18;break}d=s+12|0;e=m;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));i[s+52>>0]=0;i[s+53>>0]=0;i[s+54>>0]=0;k[s+56>>2]=0;k[s>>2]=8044;a=s+60|0;k[a>>2]=h;k[a+4>>2]=j;a=s+68|0;y=0;oa(464,a|0,t|0);f=y;y=0;if(f&1){d=10;break}y=0;oa(464,s+72|0,u|0);f=y;y=0;if(f&1){d=11;break}k[s+76>>2]=0;y=0;oa(482,o|0,s|0);f=y;y=0;if(f&1){b=0;d=18;break}y=0;Ha(966,b|0,o|0)|0;f=y;y=0;if(f&1){d=20;break}EO(o);EO(u);EO(t);g=g+1|0;if(g>>>0>=l>>>0){d=4;break}}if((d|0)==4){rT(p,b);u=k[p>>2]|0;r=q;return u|0}else if((d|0)==10){b=pb()|0;d=12}else if((d|0)==11){b=pb()|0;EO(a);d=12}else if((d|0)==16)b=pb()|0;else if((d|0)==17){b=pb()|0;EO(t)}else if((d|0)==18){q=pb()|0;a=b;b=q;d=19}else if((d|0)==20){b=pb()|0;EO(o);a=0;d=21}if((d|0)==12){a=1;d=19}if((d|0)==19)d=21;if((d|0)==21){EO(u);EO(t);if(!a){u=b;sb(u|0)}}zqa(s);u=b;sb(u|0);return 0}function zl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=k[b+16>>2]|0;if(e>>>0>=6)eb(39194,39052,1051,39283);switch(e|0){case 0:{pD(a,44148);return}case 1:{pD(a,i[b+24>>0]|0?53643:53637);return}case 2:{gg(a,k[b+24>>2]|0);return}case 3:{nx(a,+p[b+24>>3]);return}case 4:{b=k[b+24>>2]|0;if(!b){pD(a,39303);return}pD(a,39306);f=d+1|0;if((d|0)<0){do{zl(a,b,c,f);b=k[b+8>>2]|0;pD(a,b|0?39309:47537)}while((b|0)!=0)}else do{e=0;do{pD(a,c);e=e+1|0}while((e|0)!=(f|0));zl(a,b,c,f);b=k[b+8>>2]|0;pD(a,b|0?39309:47537)}while((b|0)!=0);if((d|0)>0){b=0;do{pD(a,c);b=b+1|0}while((b|0)!=(d|0))}b=k[a>>2]|0;d=a+4|0;e=k[d>>2]|0;do if(b>>>0<e>>>0)h=b;else{g=a+8|0;f=k[g>>2]|0;c=b-f|0;b=c+1|0;e=e-f|0;do e=e<<1;while(e>>>0<b>>>0);b=BH(f,e|1)|0;k[g>>2]=b;if(!b){mN(45154,15,1,k[4849]|0)|0;Zb(1)}else{h=b+c|0;k[a>>2]=h;k[d>>2]=b+e;break}}while(0);k[a>>2]=h+1;i[h>>0]=93;return}case 5:{b=k[b+24>>2]|0;if(!b){pD(a,44059);return}pD(a,39312);f=d+1|0;if((d|0)<0){do{gg(a,k[b+12>>2]|0);pD(a,54079);zl(a,b,c,f);b=k[b+8>>2]|0;pD(a,b|0?39309:47537)}while((b|0)!=0)}else do{e=0;do{pD(a,c);e=e+1|0}while((e|0)!=(f|0));gg(a,k[b+12>>2]|0);pD(a,54079);zl(a,b,c,f);b=k[b+8>>2]|0;pD(a,b|0?39309:47537)}while((b|0)!=0);if((d|0)>0){b=0;do{pD(a,c);b=b+1|0}while((b|0)!=(d|0))}b=k[a>>2]|0;d=a+4|0;e=k[d>>2]|0;do if(b>>>0<e>>>0)j=b;else{g=a+8|0;f=k[g>>2]|0;c=b-f|0;b=c+1|0;e=e-f|0;do e=e<<1;while(e>>>0<b>>>0);b=BH(f,e|1)|0;k[g>>2]=b;if(!b){mN(45154,15,1,k[4849]|0)|0;Zb(1)}else{j=b+c|0;k[a>>2]=j;k[d>>2]=b+e;break}}while(0);k[a>>2]=j+1;i[j>>0]=125;return}default:eb(53637,39052,1072,39283)}}function Al(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;p=r;r=r+112|0;h=p;t=p+96|0;u=p+88|0;o=p+92|0;m=p+48|0;s=p+40|0;rT(t,(k[a+48>>2]|0)+-4|0);n=a+152|0;j=a+156|0;l=a+108|0;while(1){y=0;b=ta(110,a|0,1,0)|0;q=y;y=0;if(q&1){d=13;break}if(!b){d=21;break}g=(i[(k[j>>2]|0)+2>>0]|0)==33;y=0;k[h>>2]=k[n>>2];k[h+4>>2]=k[n+4>>2];k[h+8>>2]=k[n+8>>2];b=ta(79,a|0,h|0,1)|0;q=y;y=0;if(q&1){d=14;break}k[u>>2]=b;e=(k[t>>2]|0)+64|0;f=k[(k[e>>2]|0)+20>>2]|0;y=0;q=qa(332,72)|0;d=y;y=0;if(d&1){d=15;break}b=m;c=l;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(464,s|0,u|0);d=y;y=0;if(d&1){d=16;break}b=h;c=m;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;na(366,q|0);d=y;y=0;if(d&1){c=1;d=18;break}b=q+12|0;c=h;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=q+52|0;k[b>>2]=0;k[q+56>>2]=0;i[q+60>>0]=0;k[q>>2]=6632;y=0;oa(464,q+64|0,s|0);d=y;y=0;if(d&1){d=9;break}i[q+68>>0]=g&1;k[b>>2]=13;y=0;oa(482,o|0,q|0);g=y;y=0;if(g&1){c=0;d=18;break}y=0;oa(f|0,e|0,o|0);q=y;y=0;if(q&1){d=17;break}EO(o);EO(s);EO(u)}if((d|0)==9){b=pb()|0;EO(s);d=19}else if((d|0)==13){u=pb()|0;EO(t);sb(u|0)}else if((d|0)==14){u=pb()|0;EO(t);sb(u|0)}else if((d|0)==15)b=pb()|0;else if((d|0)==16){b=pb()|0;d=19}else if((d|0)==17){b=pb()|0;EO(o);EO(s)}else if((d|0)==18){b=pb()|0;EO(s);if(c)d=19}else if((d|0)==21){EO(t);r=p;return}if((d|0)==19)zqa(q);EO(u);u=b;EO(t);sb(u|0)}function Bl(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0,l=0,m=0,n=0,o=0,q=0,s=0;n=0;s=r;r=r+80|0;j=s+40|0;m=s;o=s+24|0;q=s+12|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,35329,6);y=0;b=j;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(24,m|0,a|0,d|0,j|0,f|0)|0;l=y;y=0;if(l&1){s=pb()|0;$9(m);sb(s|0)}$9(m);l=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,35322,6);y=0;b=j;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,m|0,a|0,d|0,j|0,f|0)|0;f=y;y=0;if(!(f&1)){y=0;oa(457,j|0,b|0);f=y;y=0;if(!(f&1)){f=i[j+11>>0]|0;if(((f<<24>>24<0?k[j+4>>2]|0:f&255)|0)==1){y=0;c=sa(21,j|0,0,-1,44240,1)|0;f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}$9(j);if(!c){h=+p[b+64>>3];h=h<0.0?0.0:h;h=h>100.0?100.0:h}else n=10}else{$9(j);n=10}if((n|0)==10){h=+p[b+64>>3];h=h<0.0?0.0:h;h=h>1.0?1.0:h}k[l+108>>2]=0;p[l+88>>3]=h;$9(m);k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;jI(q,82159,0);y=0;b=Ha(967,l+96|0,q|0)|0;n=y;y=0;if(!(n&1)){y=0;oa(452,o|0,b|0);n=y;y=0;if(!(n&1)){$9(o);$9(q);r=s;return l|0}}s=pb()|0;$9(q);sb(s|0)}}s=pb()|0;$9(m);sb(s|0);return 0}function Cl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;m=a+4|0;p=k[b>>2]|0;b=p;do if((p|0)!=(m|0)){h=p+16|0;o=i[d+11>>0]|0;n=o<<24>>24<0;o=n?k[d+4>>2]|0:o&255;f=i[h+11>>0]|0;g=f<<24>>24<0;f=g?k[p+20>>2]|0:f&255;j=f>>>0<o>>>0;e=j?f:o;if(!e)q=4;else{e=zM(n?k[d>>2]|0:d,g?k[h>>2]|0:h,e)|0;if(!e)q=4;else if((e|0)<0)break}if((q|0)==4)if(o>>>0<f>>>0)break;e=o>>>0<f>>>0?o:f;if(!e)q=20;else{e=zM(g?k[h>>2]|0:h,n?k[d>>2]|0:d,e)|0;if(!e)q=20;else if((e|0)>=0)q=34}if((q|0)==20)if(!j)q=34;if((q|0)==34){k[c>>2]=b;return c|0}j=p+4|0;b=k[j>>2]|0;l=(b|0)==0;if(l){b=p;while(1){e=k[b+8>>2]|0;if((k[e>>2]|0)==(b|0))break;else b=e}}else while(1){e=k[b>>2]|0;if(!e){e=b;break}else b=e}do if((e|0)!=(m|0)){f=e+16|0;h=i[f+11>>0]|0;g=h<<24>>24<0;h=g?k[e+20>>2]|0:h&255;b=h>>>0<o>>>0?h:o;if(!b)q=28;else{b=zM(n?k[d>>2]|0:d,g?k[f>>2]|0:f,b)|0;if(!b)q=28;else if((b|0)<0)break}if((q|0)==28)if(o>>>0<h>>>0)break;c=jt(a,c,d)|0;return c|0}while(0);if(l){k[c>>2]=p;c=j;return c|0}else{k[c>>2]=e;c=e;return c|0}}while(0);do if((p|0)!=(k[a>>2]|0)){b=k[p>>2]|0;if(!b){b=p;while(1){e=k[b+8>>2]|0;if((k[e>>2]|0)==(b|0))b=e;else break}}else while(1){e=k[b+4>>2]|0;if(!e){e=b;break}else b=e}b=e;g=e+16|0;j=i[g+11>>0]|0;h=j<<24>>24<0;j=h?k[e+20>>2]|0:j&255;l=i[d+11>>0]|0;f=l<<24>>24<0;l=f?k[d+4>>2]|0:l&255;e=l>>>0<j>>>0?l:j;if(!e)q=12;else{e=zM(h?k[g>>2]|0:g,f?k[d>>2]|0:d,e)|0;if(!e)q=12;else if((e|0)<0)break}if((q|0)==12)if(j>>>0<l>>>0)break;c=jt(a,c,d)|0;return c|0}while(0);if(!(k[p>>2]|0)){k[c>>2]=p;c=p;return c|0}else{q=b;k[c>>2]=q;c=q+4|0;return c|0}return 0}function Dl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;a:do if((a|0)==(k[b+8>>2]|0)){if((k[b+4>>2]|0)==(c|0)){f=b+28|0;if((k[f>>2]|0)!=1)k[f>>2]=d}}else{if((a|0)!=(k[b>>2]|0)){q=k[a+12>>2]|0;j=a+16+(q<<3)|0;uL(a+16|0,b,c,d,e);f=a+24|0;if((q|0)<=1)break;a=k[a+8>>2]|0;if(!(a&2)){h=b+36|0;if((k[h>>2]|0)!=1){if(!(a&1)){a=b+54|0;while(1){if(i[a>>0]|0)break a;if((k[h>>2]|0)==1)break a;uL(f,b,c,d,e);f=f+8|0;if(f>>>0>=j>>>0)break a}}a=b+24|0;g=b+54|0;while(1){if(i[g>>0]|0)break a;if((k[h>>2]|0)==1)if((k[a>>2]|0)==1)break a;uL(f,b,c,d,e);f=f+8|0;if(f>>>0>=j>>>0)break a}}}a=b+54|0;while(1){if(i[a>>0]|0)break a;uL(f,b,c,d,e);f=f+8|0;if(f>>>0>=j>>>0)break a}}if((k[b+16>>2]|0)!=(c|0)){p=b+20|0;if((k[p>>2]|0)!=(c|0)){k[b+32>>2]=d;q=b+44|0;if((k[q>>2]|0)==4)break;j=a+16+(k[a+12>>2]<<3)|0;d=b+52|0;l=b+53|0;n=b+54|0;m=a+8|0;o=b+24|0;f=0;g=a+16|0;h=0;b:while(1){if(g>>>0>=j>>>0){a=20;break}i[d>>0]=0;i[l>>0]=0;wK(g,b,c,c,1,e);if(i[n>>0]|0){a=20;break}do if(!(i[l>>0]|0))a=h;else{if(!(i[d>>0]|0))if(!(k[m>>2]&1)){f=1;a=20;break b}else{f=1;a=h;break}if((k[o>>2]|0)==1){a=25;break b}if(!(k[m>>2]&2)){a=25;break b}else{f=1;a=1}}while(0);g=g+8|0;h=a}do if((a|0)==20){if(!h){k[p>>2]=c;c=b+40|0;k[c>>2]=(k[c>>2]|0)+1;if((k[b+36>>2]|0)==1)if((k[o>>2]|0)==2){i[n>>0]=1;if(f){a=25;break}else{f=4;break}}}if(f)a=25;else f=4}while(0);if((a|0)==25)f=3;k[q>>2]=f;break}}if((d|0)==1)k[b+32>>2]=1}while(0);return}function El(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;o=0;m=r;r=r+176|0;h=m+136|0;j=m;l=m+120|0;d=m+64|0;e=m+52|0;m=m+40|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,82159,0);k[d>>2]=c;c=d+4|0;f=b;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));n=d+44|0;y=0;oa(452,n|0,e|0);g=y;y=0;if(g&1){o=pb()|0;$9(e);sb(o|0)}$9(e);y=0;Na(119,j|0,d|0,0);g=y;y=0;a:do if(g&1){c=pb()|0;o=17}else{y=0;c=ta(52,j|0,0,47537)|0;g=y;y=0;do if(g&1)c=pb()|0;else{k[h>>2]=k[c>>2];k[h+4>>2]=k[c+4>>2];k[h+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;g=i[h+11>>0]|0;f=g<<24>>24<0;y=0;ta(47,a|0,(f?k[h>>2]|0:h)|0,(f?k[h+4>>2]|0:g&255)|0)|0;g=y;y=0;if(g&1){c=pb()|0;$9(h);break}$9(h);$9(j);y=0;oa(452,m|0,a|0);a=y;y=0;if(a&1){c=pb()|0;break a}c=j;f=b;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));e=gb(76)|0;y=0;oa(452,l|0,m|0);b=y;y=0;if(b&1){c=pb()|0;o=11}else{y=0;c=h;f=j;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));Ra(19,e|0,h|0,l|0,0);j=y;y=0;if(j&1)d=1;else{y=0;Na(76,e|0,1648,158);y=0;d=0}c=pb()|0;$9(l);if(d)o=11}if((o|0)==11)fb(e|0);$9(m);break a}while(0);$9(j);o=17}while(0);$9(n);o=c;sb(o|0)}function Fl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;x=r;r=r+32|0;v=x+12|0;w=x;u=b+72|0;n=(k[b+80>>2]|0)-(k[b+76>>2]|0)>>2;a:do if(n|0){o=a+84|0;p=v+11|0;q=v+4|0;s=w+11|0;t=w+4|0;m=0;b:while(1){d=Fc[k[(k[u>>2]|0)+16>>2]&2047](u,m)|0;d=k[d>>2]|0;do if(d|0){d=pw(d,144,336,0)|0;if(d|0){pK(v,d+84|0);y=0;oa(452,w|0,o|0);l=y;y=0;if(l&1){e=14;break b}f=i[p>>0]|0;g=f<<24>>24<0;f=f&255;h=g?k[q>>2]|0:f;l=i[s>>0]|0;d=l<<24>>24<0;if((h|0)!=((d?k[t>>2]|0:l&255)|0)){e=20;break b}j=k[v>>2]|0;l=g?j:v;d=d?k[w>>2]|0:w;e=(h|0)==0;if(g)if(e){$9(w);$9(v);break}else{l=(zM(l,d,h)|0)==0;$9(w);$9(v);if(l)break;else{d=0;e=22;break b}}if(e){$9(w);$9(v);break}if((j&255)<<24>>24==(i[d>>0]|0))e=v;else{e=21;break b}while(1){f=f+-1|0;e=e+1|0;if(!f)break;d=d+1|0;if((i[e>>0]|0)!=(i[d>>0]|0)){e=21;break b}}$9(w);$9(v)}}while(0);m=m+1|0;if(m>>>0>=n>>>0)break a}if((e|0)==14){x=pb()|0;$9(v);sb(x|0)}else if((e|0)==20){$9(w);$9(v);w=0;r=x;return w|0}else if((e|0)==21){$9(w);$9(v);w=0;r=x;return w|0}else if((e|0)==22){r=x;return d|0}}while(0);i[b+61>>0]=i[a+61>>0]|0;w=ji(a,b,c)|0;r=x;return w|0}function Gl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;m=a+4|0;d=k[m>>2]|0;c=k[a>>2]|0;e=(d-c>>4)+1|0;if(e>>>0>268435455){OM(a);c=k[a>>2]|0;d=k[m>>2]|0}l=a+8|0;i=(k[l>>2]|0)-c|0;j=i>>3;e=i>>4>>>0<134217727?(j>>>0<e>>>0?e:j):268435455;d=d-c>>4;do if(!e)i=0;else if(e>>>0>268435455){m=gb(4)|0;doa(m);Wb(m|0,4496,348)}else{i=ZL(e<<4)|0;break}while(0);g=i+(d<<4)|0;c=g;j=i+(e<<4)|0;y=0;oa(464,g|0,b|0);h=y;y=0;a:do if(h&1){h=pb()|0;d=c}else{y=0;oa(596,i+(d<<4)+4|0,b+4|0);h=y;y=0;if(h&1){h=pb()|0;EO(g);d=c;break}d=g+16|0;h=k[a>>2]|0;e=k[m>>2]|0;do if((e|0)==(h|0)){i=h;f=h}else{while(1){b=e;e=e+-16|0;f=g+-16|0;y=0;oa(464,f|0,e|0);n=y;y=0;if(n&1){e=27;break}y=0;oa(596,g+-12|0,b+-12|0);n=y;y=0;if(n&1){e=14;break}g=c+-16|0;c=g;if((e|0)==(h|0)){e=16;break}}if((e|0)==14){h=pb()|0;EO(f);break a}else if((e|0)==16){i=k[a>>2]|0;f=k[m>>2]|0;break}else if((e|0)==27){h=pb()|0;break a}}while(0);k[a>>2]=c;k[m>>2]=d;k[l>>2]=j;g=i;if((f|0)!=(g|0))do{e=f+-12|0;c=k[e>>2]|0;if(c|0){b=f+-8|0;d=k[b>>2]|0;if((d|0)!=(c|0)){do{n=d+-8|0;k[b>>2]=n;EO(d+-4|0);EO(n);d=k[b>>2]|0}while((d|0)!=(c|0));c=k[e>>2]|0}zqa(c)}f=f+-16|0;EO(f)}while((f|0)!=(g|0));if(!i)return;zqa(i);return}while(0);if((d|0)!=(c|0))do{f=d+-12|0;e=k[f>>2]|0;if(e|0){g=d+-8|0;b=k[g>>2]|0;if((b|0)!=(e|0)){do{n=b+-8|0;k[g>>2]=n;EO(b+-4|0);EO(n);b=k[g>>2]|0}while((b|0)!=(e|0));e=k[f>>2]|0}zqa(e)}d=d+-16|0;EO(d)}while((d|0)!=(c|0));if(!i)sb(h|0);zqa(i);sb(h|0)}function Hl(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;k=0;if(!a){k=0;return k|0}j=i[44181]|0;d=j<<24>>24==0;a:do if(!d){b=44181;c=j;while(1){if((i[a>>0]|0)!=c<<24>>24){a=0;break}a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break a}return a|0}while(0);c=i[a>>0]|0;if(!(c<<24>>24)){k=0;return k|0}if(d){b=0;d=0;while(1){switch(c<<24>>24){case 92:{e=d;a=a+1|0;break}case 34:{b=b^1;e=d;break}case 39:{e=d^1;break}default:if(b){b=1;e=d}else{b=0;e=d;a=d?a:a+-1|0}}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=0;break}else d=e}return a|0}else{b=0;d=0;h=0}b:while(1){c:do switch(c<<24>>24){case 92:{g=b;a=a+1|0;e=h;break}case 34:{g=b^1;e=h;break}case 39:{g=b;d=d^1;e=h;break}default:if(b){g=1;e=h}else if(d){g=0;d=1;e=h}else if(!a){g=0;d=0;a=0;e=h}else{d:do if(c<<24>>24==j<<24>>24){f=a;b=44181;while(1){d=f+1|0;b=b+1|0;e=i[b>>0]|0;if(!(e<<24>>24))break;if((i[d>>0]|0)!=e<<24>>24)break d;else f=d}g=0;d=0;a=f;e=h+1|0;break c}while(0);b=i[45708]|0;e:do if(!(b<<24>>24))b=a;else{if(c<<24>>24==b<<24>>24){b=a;c=45708}else{g=0;d=0;e=h;break c}while(1){b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24))break e;if((i[b>>0]|0)!=d<<24>>24){g=0;d=0;e=h;break c}}}while(0);if(!h)break b;else{g=0;d=0;a=b+-1|0;e=h+-1|0}}}while(0);a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=0;k=38;break}else{b=g;h=e}}if((k|0)==38)return a|0;if(!b){k=0;return k|0}a=eV(b)|0;if(a|0){k=a;return k|0}if((i[b>>0]|0)==45){a=b;do a=a+1|0;while((i[a>>0]|0)==45)}else a=b;a=kw(a)|0;if(a|0){a=iw(a)|0;if(a|0){k=a;return k|0}}j=i[b>>0]|0;k=b+1|0;j=j<<24>>24|0;k=(j|0)!=43?((j|0)==45?k:0):k;return k|0}function Il(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;f=a+4|0;h=k[b>>2]|0;b=h;if((h|0)!=(f|0)){e=h+16|0;if(!(Fc[k[(k[d>>2]|0)+160>>2]&2047](d,e)|0)){if(!(Fc[k[(k[e>>2]|0)+160>>2]&2047](e,d)|0)){k[c>>2]=b;return c|0}g=h+4|0;b=k[g>>2]|0;if(!b){e=h;while(1){a=k[e+8>>2]|0;if((k[a>>2]|0)==(e|0)){e=a;break}else e=a}}else{e=b;while(1){a=k[e>>2]|0;if(!a)break;else e=a}}do if((e|0)!=(f|0)){if(Fc[k[(k[d>>2]|0)+160>>2]&2047](d,e+16|0)|0){b=k[g>>2]|0;break}b=k[f>>2]|0;if(!b){k[c>>2]=f;c=f;return c|0}while(1){e=b+16|0;if(Fc[k[(k[d>>2]|0)+160>>2]&2047](d,e)|0){e=k[b>>2]|0;if(!e){f=35;break}else b=e}else{if(!(Fc[k[(k[e>>2]|0)+160>>2]&2047](e,d)|0)){f=40;break}a=b+4|0;e=k[a>>2]|0;if(!e){f=39;break}else b=e}}if((f|0)==35){k[c>>2]=b;c=b;return c|0}else if((f|0)==39){k[c>>2]=b;c=a;return c|0}else if((f|0)==40){k[c>>2]=b;return c|0}}while(0);if(!b){k[c>>2]=h;c=g;return c|0}else{k[c>>2]=e;c=e;return c|0}}}if((h|0)!=(k[a>>2]|0)){b=k[h>>2]|0;if(!b){e=h;while(1){b=k[e+8>>2]|0;if((k[b>>2]|0)==(e|0))e=b;else break}}else while(1){e=k[b+4>>2]|0;if(!e)break;else b=e}g=b+16|0;if(!(Fc[k[(k[g>>2]|0)+160>>2]&2047](g,d)|0)){b=k[f>>2]|0;if(!b){k[c>>2]=f;c=f;return c|0}while(1){e=b+16|0;if(Fc[k[(k[d>>2]|0)+160>>2]&2047](d,e)|0){e=k[b>>2]|0;if(!e){f=15;break}else b=e}else{if(!(Fc[k[(k[e>>2]|0)+160>>2]&2047](e,d)|0)){f=20;break}a=b+4|0;e=k[a>>2]|0;if(!e){f=19;break}else b=e}}if((f|0)==15){k[c>>2]=b;c=b;return c|0}else if((f|0)==19){k[c>>2]=b;c=a;return c|0}else if((f|0)==20){k[c>>2]=b;return c|0}}}if(!(k[h>>2]|0)){k[c>>2]=h;c=h;return c|0}else{d=b;k[c>>2]=d;c=d+4|0;return c|0}return 0}function Jl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=0;t=r;r=r+16|0;q=t;p=Ej(a,b,c,e)|0;h=i[d+11>>0]|0;g=h<<24>>24<0;h=g?k[d+4>>2]|0:h&255;l=c+11|0;j=i[l>>0]|0;f=j<<24>>24<0;m=c+4|0;j=f?k[m>>2]|0:j&255;e=j>>>0<h>>>0?j:h;if(!e)s=3;else{e=zM(g?k[d>>2]|0:d,f?k[c>>2]|0:c,e)|0;if(!e)s=3;else if((e|0)<0){e=d;o=c}else{s=p;r=t;return s|0}}do if((s|0)==3)if(h>>>0<j>>>0){e=d;o=c;break}else{s=p;r=t;return s|0}while(0);k[q>>2]=k[o>>2];k[q+4>>2]=k[o+4>>2];k[q+8>>2]=k[o+8>>2];k[o>>2]=k[e>>2];k[o+4>>2]=k[e+4>>2];k[o+8>>2]=k[e+8>>2];k[e>>2]=k[q>>2];k[e+4>>2]=k[q+4>>2];k[e+8>>2]=k[q+8>>2];d=p+1|0;h=i[l>>0]|0;g=h<<24>>24<0;h=g?k[m>>2]|0:h&255;m=b+11|0;j=i[m>>0]|0;f=j<<24>>24<0;n=b+4|0;j=f?k[n>>2]|0:j&255;e=j>>>0<h>>>0?j:h;if(!e)s=8;else{e=zM(g?k[c>>2]|0:o,f?k[b>>2]|0:b,e)|0;if(!e)s=8;else if((e|0)<0)l=b;else{s=d;r=t;return s|0}}do if((s|0)==8)if(h>>>0<j>>>0){l=b;break}else{s=d;r=t;return s|0}while(0);k[q>>2]=k[l>>2];k[q+4>>2]=k[l+4>>2];k[q+8>>2]=k[l+8>>2];k[l>>2]=k[o>>2];k[l+4>>2]=k[o+4>>2];k[l+8>>2]=k[o+8>>2];k[o>>2]=k[q>>2];k[o+4>>2]=k[q+4>>2];k[o+8>>2]=k[q+8>>2];d=p+2|0;h=i[m>>0]|0;g=h<<24>>24<0;h=g?k[n>>2]|0:h&255;j=i[a+11>>0]|0;f=j<<24>>24<0;j=f?k[a+4>>2]|0:j&255;e=j>>>0<h>>>0?j:h;if(!e)s=13;else{e=zM(g?k[b>>2]|0:l,f?k[a>>2]|0:a,e)|0;if(!e)s=13;else if((e|0)>=0){s=d;r=t;return s|0}}do if((s|0)==13)if(h>>>0<j>>>0)break;else{s=d;r=t;return s|0}while(0);k[q>>2]=k[a>>2];k[q+4>>2]=k[a+4>>2];k[q+8>>2]=k[a+8>>2];k[a>>2]=k[l>>2];k[a+4>>2]=k[l+4>>2];k[a+8>>2]=k[l+8>>2];k[l>>2]=k[q>>2];k[l+4>>2]=k[q+4>>2];k[l+8>>2]=k[q+8>>2];s=p+3|0;r=t;return s|0}function Kl(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0;l=r;r=r+160|0;i=l+120|0;n=l+16|0;m=l+12|0;j=l;Ig(n,c,b,f,g);k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,36701,10);h=y;y=0;if(h&1)b=pb()|0;else{y=0;b=i;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(27,j|0,a|0,d|0,i|0,f|0)|0;h=y;y=0;if(!(h&1)){h=n+8|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,h|0)|0;g=y;y=0;if(!(g&1)){y=0;oa(482,m|0,b|0);g=y;y=0;if(!(g&1)){$9(j);b=k[m>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+84>>2]|0,b|0)|0;g=y;y=0;a:do if(g&1)b=pb()|0;else{k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,(b?36712:36722)|0,(b?9:8)|0);g=y;y=0;do if(g&1)b=pb()|0;else{y=0;b=i;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(27,j|0,a|0,d|0,i|0,f|0)|0;f=y;y=0;if(f&1){b=pb()|0;$9(j);break}$9(j);y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,h|0)|0;j=y;y=0;if(!(j&1)){y=0;oa(k[(k[b>>2]|0)+96>>2]|0,b|0,0);j=y;y=0;if(!(j&1)){EO(m);rt(n);r=l;return b|0}}b=pb()|0;break a}while(0)}while(0);EO(m);m=b;rt(n);sb(m|0)}}}b=pb()|0;$9(j)}m=b;rt(n);sb(m|0);return 0}function Ll(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=k[c+4>>2]|0;q=b+4|0;f=k[q>>2]|0;if((e|0)!=(f|0)){p=k[c>>2]|0;c=k[b>>2]|0;c=((p-c>>2)*170|0)+((e-(k[p>>2]|0)|0)/24|0)+((f-(k[c>>2]|0)|0)/-24|0)|0;if((c|0)>0){p=d;g=c;e=k[p>>2]|0;c=k[p+4>>2]|0;while(1){n=(k[k[b>>2]>>2]|0)+4080|0;p=(n-f|0)/24|0;o=(p|0)>(g|0);n=o?f+(g*24|0)|0:n;p=o?g:p;if((f|0)!=(n|0)){o=n;do{m=e;j=((k[m>>2]|0)+4080-c|0)/24|0;l=(o-f|0)/24|0;i=(l|0)>(j|0);l=i?j:l;h=f;f=i?f+(j*24|0)|0:n;if((h|0)!=(f|0)){i=c;while(1){k[i>>2]=k[h>>2];k[i+4>>2]=k[h+4>>2];k[i+8>>2]=k[h+8>>2];LH(i+12|0,h+12|0)|0;t=h+16|0;r=k[t>>2]|0;j=h+20|0;s=k[j>>2]|0;k[t>>2]=0;k[j>>2]=0;k[i+16>>2]=r;r=i+20|0;j=k[r>>2]|0;k[r>>2]=s;if(j|0)kZ(j);h=h+24|0;if((h|0)==(f|0))break;else i=i+24|0}}do if(l){c=((c-(k[e>>2]|0)|0)/24|0)+l|0;if((c|0)>0){t=m+(((c>>>0)/170|0)<<2)|0;e=t;c=(k[t>>2]|0)+(((c>>>0)%170|0)*24|0)|0;break}else{c=169-c|0;t=m+(((c|0)/-170|0)<<2)|0;e=t;c=(k[t>>2]|0)+((169-((c|0)%170|0)|0)*24|0)|0;break}}while(0)}while((f|0)!=(n|0))}t=d;k[t>>2]=e;k[t+4>>2]=c;g=g-p|0;do if(p|0){h=k[b>>2]|0;f=(((k[q>>2]|0)-(k[h>>2]|0)|0)/24|0)+p|0;if((f|0)>0){t=h+(((f>>>0)/170|0)<<2)|0;k[b>>2]=t;k[q>>2]=(k[t>>2]|0)+(((f>>>0)%170|0)*24|0);break}else{t=169-f|0;s=h+(((t|0)/-170|0)<<2)|0;k[b>>2]=s;k[q>>2]=(k[s>>2]|0)+((169-((t|0)%170|0)|0)*24|0);break}}while(0);if((g|0)<=0)break;f=k[q>>2]|0}t=a;s=t;k[s>>2]=e;t=t+4|0;k[t>>2]=c;return}}s=d;q=k[s>>2]|0;s=k[s+4>>2]|0;t=a;r=t;k[r>>2]=q;t=t+4|0;k[t>>2]=s;return}function Ml(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0,f=0.0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,p=0;p=r;r=r+16|0;c=p;rT(c,b);y=0;n=Ha(987,a+12|0,c|0)|0;m=y;y=0;if(m&1){p=pb()|0;EO(c);sb(p|0)}EO(c);m=a+4|0;j=k[m>>2]|0;l=(j|0)==0;a:do if(l)c=0;else{g=j+-1|0;d=(g&j|0)==0;if(d)h=g&n;else h=(n>>>0)%(j>>>0)|0;c=k[(k[a>>2]|0)+(h<<2)>>2]|0;if(!c)c=h;else{i=a+16|0;if(d){do{c=k[c>>2]|0;if(!c){c=h;break a}if((k[c+4>>2]&g|0)!=(h|0)){c=h;break a}}while(!(LN(i,c+8|0,b)|0));a=c+12|0;r=p;return a|0}else{do{c=k[c>>2]|0;if(!c){c=h;break a}if((((k[c+4>>2]|0)>>>0)%(j>>>0)|0|0)!=(h|0)){c=h;break a}}while(!(LN(i,c+8|0,b)|0));a=c+12|0;r=p;return a|0}}}while(0);i=ZL(16)|0;g=i+8|0;y=0;oa(464,g|0,b|0);b=y;y=0;if(b&1){p=pb()|0;zqa(i);sb(p|0)}d=i+12|0;y=0;oa(482,d|0,0);b=y;y=0;if(b&1){p=pb()|0;EO(g);zqa(i);sb(p|0)}k[i+4>>2]=n;k[i>>2]=0;h=a+12|0;e=+(((k[h>>2]|0)+1|0)>>>0);f=+o[a+16>>2];do if(l|e>+(j>>>0)*f){l=(j>>>0>2&(j+-1&j|0)==0&1|j<<1)^1;j=~~+$(+(e/f))>>>0;y=0;oa(485,a|0,(l>>>0<j>>>0?j:l)|0);l=y;y=0;if(l&1){p=pb()|0;EO(d);EO(g);zqa(i);sb(p|0)}c=k[m>>2]|0;d=c+-1|0;if(!(d&c)){g=c;c=d&n;break}else{g=c;c=(n>>>0)%(c>>>0)|0;break}}else g=j;while(0);c=(k[a>>2]|0)+(c<<2)|0;d=k[c>>2]|0;if(!d){n=a+8|0;k[i>>2]=k[n>>2];k[n>>2]=i;k[c>>2]=n;c=k[i>>2]|0;if(c|0){c=k[c+4>>2]|0;d=g+-1|0;if(!(d&g))c=c&d;else c=(c>>>0)%(g>>>0)|0;k[(k[a>>2]|0)+(c<<2)>>2]=i}}else{k[i>>2]=k[d>>2];k[d>>2]=i}k[h>>2]=(k[h>>2]|0)+1;a=i;a=a+12|0;r=p;return a|0}function Nl(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;u=r;r=r+16|0;t=u+4|0;p=u;o=a+64|0;if(!(k[o>>2]|0)){t=-1;r=u;return t|0}c=a+92|0;if(!(k[c>>2]&8)){k[a+24>>2]=0;k[a+20>>2]=0;k[a+28>>2]=0;if(!(i[a+98>>0]|0)){b=k[a+56>>2]|0;d=b+(k[a+60>>2]|0)|0}else{b=k[a+32>>2]|0;d=b+(k[a+52>>2]|0)|0}k[a+8>>2]=b;s=a+12|0;k[s>>2]=d;k[a+16>>2]=d;k[c>>2]=8;c=1;b=d}else{b=a+12|0;c=0;s=b;b=k[b>>2]|0}if(!b){b=t+1|0;k[a+8>>2]=t;k[s>>2]=b;k[a+16>>2]=b}q=a+16|0;if(c){c=k[q>>2]|0;n=0}else{c=k[q>>2]|0;n=(c-(k[a+8>>2]|0)|0)/2|0;n=n>>>0>4?4:n}do if((b|0)==(c|0)){c=a+8|0;DN(k[c>>2]|0,b+(0-n)|0,n|0)|0;if(i[a+98>>0]|0){b=k[c>>2]|0;b=Xz(b+n|0,1,(k[q>>2]|0)-n-b|0,k[o>>2]|0)|0;if(!b){b=-1;break}p=(k[c>>2]|0)+n|0;k[s>>2]=p;k[q>>2]=p+b;b=l[p>>0]|0;break}h=a+32|0;j=a+36|0;b=k[j>>2]|0;m=a+40|0;DN(k[h>>2]|0,b|0,(k[m>>2]|0)-b|0)|0;b=k[h>>2]|0;e=b+((k[m>>2]|0)-(k[j>>2]|0))|0;k[j>>2]=e;if((b|0)==(a+44|0))d=8;else d=k[a+52>>2]|0;b=b+d|0;k[m>>2]=b;f=a+60|0;d=(k[f>>2]|0)-n|0;b=b-e|0;g=a+72|0;x=g;w=k[x+4>>2]|0;v=a+80|0;k[v>>2]=k[x>>2];k[v+4>>2]=w;d=Xz(e,1,b>>>0<d>>>0?b:d,k[o>>2]|0)|0;if(!d)b=-1;else{b=k[a+68>>2]|0;if(!b){x=gb(4)|0;ioa(x);Wb(x|0,4592,358)}w=(k[j>>2]|0)+d|0;k[m>>2]=w;x=k[c>>2]|0;if((Nc[k[(k[b>>2]|0)+16>>2]&15](b,g,k[h>>2]|0,w,j,x+n|0,x+(k[f>>2]|0)|0,p)|0)==3){b=k[h>>2]|0;x=k[m>>2]|0;k[c>>2]=b;k[s>>2]=b;k[q>>2]=x;b=l[b>>0]|0}else{d=k[p>>2]|0;b=(k[c>>2]|0)+n|0;if((d|0)==(b|0))b=-1;else{k[s>>2]=b;k[q>>2]=d;b=l[b>>0]|0}}}}else{b=l[b>>0]|0;c=a+8|0}while(0);if((k[c>>2]|0)==(t|0)){k[c>>2]=0;k[s>>2]=0;k[q>>2]=0}x=b;r=u;return x|0}function Ol(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;p=0;q=r;r=r+16|0;o=q;d=a+24|0;Ej(a,a+12|0,d,c)|0;c=a+36|0;if((c|0)==(b|0)){r=q;return}m=o+11|0;n=o+4|0;j=d;a:while(1){g=i[c+11>>0]|0;e=g<<24>>24<0;g=e?k[c+4>>2]|0:g&255;h=i[j+11>>0]|0;f=h<<24>>24<0;h=f?k[j+4>>2]|0:h&255;d=h>>>0<g>>>0?h:g;if(!d)p=6;else{d=zM(e?k[c>>2]|0:c,f?k[j>>2]|0:j,d)|0;if(!d)p=6;else if((d|0)<0){d=c;p=9}}if((p|0)==6){p=0;if(g>>>0<h>>>0){d=c;p=9}}if((p|0)==9){p=0;k[o>>2]=k[d>>2];k[o+4>>2]=k[d+4>>2];k[o+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;d=c;while(1){i[d>>0]=0;i[d+11>>0]=0;y=0;oa(506,d|0,0);l=y;y=0;if(l&1){p=11;break a}k[d>>2]=k[j>>2];k[d+4>>2]=k[j+4>>2];k[d+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;if((j|0)==(a|0)){d=a;break}g=j+-12|0;h=i[m>>0]|0;e=h<<24>>24<0;h=e?k[n>>2]|0:h&255;l=i[g+11>>0]|0;f=l<<24>>24<0;l=f?k[j+-8>>2]|0:l&255;d=l>>>0<h>>>0?l:h;if(d|0){d=zM(e?k[o>>2]|0:o,f?k[g>>2]|0:g,d)|0;if(d|0)if((d|0)<0){d=j;j=g;continue}else{d=j;break}}if(h>>>0<l>>>0){d=j;j=g}else{d=j;break}}e=d+11|0;if((i[e>>0]|0)<0){i[k[d>>2]>>0]=0;k[d+4>>2]=0}else{i[j>>0]=0;i[e>>0]=0}y=0;oa(506,d|0,0);l=y;y=0;if(l&1){p=21;break}k[j>>2]=k[o>>2];k[j+4>>2]=k[o+4>>2];k[j+8>>2]=k[o+8>>2];k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;$9(o)}d=c+12|0;if((d|0)==(b|0)){p=3;break}else{j=c;c=d}}if((p|0)==3){r=q;return}else if((p|0)==11){q=tb(0)|0;dla(q)}else if((p|0)==21){q=tb(0)|0;dla(q)}}function Pl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;h=0;j=r;r=r+16|0;l=j;e=k[a+4>>2]|0;a:do if(e|0){d=0;do{k[(k[a>>2]|0)+(d<<2)>>2]=0;d=d+1|0}while((d|0)!=(e|0));k[a+12>>2]=0;g=a+8|0;d=k[g>>2]|0;k[g>>2]=0;if(d|0){g=k[c>>2]|0;f=k[b>>2]|0;e=f;while(1){if((e|0)==(g|0)){h=17;break}y=0;Ha(966,d+8|0,e+8|0)|0;m=y;y=0;if(m&1){h=11;break}y=0;Ha(966,d+12|0,e+12|0)|0;m=y;y=0;if(m&1){h=11;break}e=k[d>>2]|0;y=0;Ha(986,a|0,d|0)|0;m=y;y=0;if(m&1){h=12;break}f=k[f>>2]|0;k[b>>2]=f;if(!e)break a;else{d=e;e=f}}if((h|0)==11)e=tb(0)|0;else if((h|0)==12)e=tb(0)|0;else if((h|0)==17)while(1){h=0;m=d;d=k[d>>2]|0;EO(m+12|0);EO(m+8|0);zqa(m);if(!d)break a;else h=17}vb(e|0)|0;do{m=d;d=k[d>>2]|0;EO(m+12|0);EO(m+8|0);zqa(m)}while((d|0)!=0);y=0;la(4);y=0;d=pb()|0;y=0;la(3);m=y;y=0;if(m&1){m=tb(0)|0;dla(m)}else sb(d|0)}}while(0);d=k[b>>2]|0;e=k[c>>2]|0;if((d|0)==(e|0)){r=j;return}f=d;while(1){Is(l,a,f+8|0);y=0;Ha(986,a|0,k[l>>2]|0)|0;m=y;y=0;if(m&1)break;d=k[d>>2]|0;k[b>>2]=d;f=d;if((f|0)==(e|0)){h=27;break}}if((h|0)==27){r=j;return}d=pb()|0;e=k[l>>2]|0;k[l>>2]=0;if(!e)sb(d|0);if(i[l+8>>0]|0){EO(e+12|0);EO(e+8|0)}zqa(e);sb(d|0)}function Ql(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;p=0;l=r;r=r+112|0;f=l+72|0;q=l+60|0;d=l+64|0;h=l+56|0;g=l+16|0;n=l+8|0;j=l+4|0;o=l;rT(f,b+68|0);c=k[f>>2]|0;k[d>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;m=y;y=0;if(!(m&1)){y=0;oa(482,q|0,c|0);m=y;y=0;if(!(m&1)){EO(d);y=0;m=qa(332,72)|0;e=y;y=0;a:do if(e&1)c=pb()|0;else{c=g;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));c=k[q>>2]|0;if(!c)c=0;else c=pw(c,40,24,0)|0;y=0;oa(482,n|0,c|0);e=y;y=0;do if(e&1)c=pb()|0;else{c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(464,f|0,b+64|0);b=y;y=0;if(b&1){c=pb()|0;EO(n);break}b=k[f>>2]|0;k[o>>2]=b;y=0;c=Ha(c|0,a|0,b|0)|0;b=y;y=0;if(b&1)p=19;else{y=0;oa(482,j|0,c|0);b=y;y=0;if(b&1)p=19;else{y=0;c=f;d=g;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Ra(31,m|0,f|0,n|0,j|0);g=y;y=0;if(g&1)d=1;else{y=0;oa(482,h|0,m|0);g=y;y=0;if(g&1)d=0;else{EO(j);EO(o);EO(n);c=k[h>>2]|0;if(!c){p=0;EO(h);EO(q);r=l;return p|0}i[c+8>>0]=1;p=c;EO(h);EO(q);r=l;return p|0}}c=pb()|0;EO(j)}}if((p|0)==19){c=pb()|0;d=1}EO(o);EO(n);if(!d)break a}while(0);zqa(m)}while(0);EO(q);q=c;sb(q|0)}}q=pb()|0;EO(d);sb(q|0);return 0}function Rl(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;t=0;k[c>>2]=a;k[f>>2]=d;if(!(h&4))d=b;else{a=k[c>>2]|0;d=b;if((d-a|0)>2)if((i[a>>0]|0)==-17)if((i[a+1>>0]|0)==-69)if((i[a+2>>0]|0)==-65)k[c>>2]=a+3}r=e;a:while(1){n=k[c>>2]|0;a=n>>>0<b>>>0;if(!a){t=41;break}s=k[f>>2]|0;if(s>>>0>=e>>>0){t=41;break}m=i[n>>0]|0;q=m&255;if(q>>>0>g>>>0){a=2;break}do if(m<<24>>24>-1){j[s>>1]=m&255;k[c>>2]=n+1}else{if((m&255)<194){a=2;break a}if((m&255)<224){if((d-n|0)<2){a=1;break a}a=l[n+1>>0]|0;if((a&192|0)!=128){a=2;break a}a=a&63|q<<6&1984;if(a>>>0>g>>>0){a=2;break a}j[s>>1]=a;k[c>>2]=n+2;break}if((m&255)<240){if((d-n|0)<3){a=1;break a}h=i[n+1>>0]|0;a=i[n+2>>0]|0;switch(m<<24>>24){case -32:{if((h&-32)<<24>>24!=-96){a=2;break a}break}case -19:{if((h&-32)<<24>>24!=-128){a=2;break a}break}default:if((h&-64)<<24>>24!=-128){a=2;break a}}a=a&255;if((a&192|0)!=128){a=2;break a}a=(h&255)<<6&4032|q<<12|a&63;if((a&65535)>>>0>g>>>0){a=2;break a}j[s>>1]=a;k[c>>2]=n+3;break}if((m&255)>=245){a=2;break a}if((d-n|0)<4){a=1;break a}o=i[n+1>>0]|0;a=i[n+2>>0]|0;h=i[n+3>>0]|0;switch(m<<24>>24){case -16:{if((o+112&255)>=48){a=2;break a}break}case -12:{if((o&-16)<<24>>24!=-128){a=2;break a}break}default:if((o&-64)<<24>>24!=-128){a=2;break a}}p=a&255;if((p&192|0)!=128){a=2;break a}a=h&255;if((a&192|0)!=128){a=2;break a}if((r-s|0)<4){a=1;break a}n=q&7;h=o&255;m=p<<6;a=a&63;if((h<<12&258048|n<<18|m&4032|a)>>>0>g>>>0){a=2;break a}j[s>>1]=h<<2&60|p>>>4&3|((h>>>4&3|n<<2)<<6)+16320|55296;s=s+2|0;k[f>>2]=s;j[s>>1]=a|m&960|56320;k[c>>2]=(k[c>>2]|0)+4}while(0);k[f>>2]=(k[f>>2]|0)+2}if((t|0)==41)a=a&1;return a|0}function Sl(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=kw(b)|0;if(!b)c=5;else{b=iw(b)|0;if(!b)c=5;else c=6}if((c|0)==5)if((i[a>>0]|0)==45){b=a+1|0;c=6}else b=a;if((c|0)==6)while(1){if((i[b>>0]|0)==45){a=b;do a=a+1|0;while((i[a>>0]|0)==45)}else a=b;a=kw(a)|0;if(a|0){a=iw(a)|0;if(a|0){b=a;c=6;continue}}if((i[b>>0]|0)==45){b=b+1|0;c=6}else break}b=Hl(b)|0;if(!b){c=0;return c|0}while(1){a=Hl(b)|0;if(!a)break;else b=a}a:while(1){if((i[b>>0]|0)==45){a=b;do a=a+1|0;while((i[a>>0]|0)==45)}else a=b;a=kw(a)|0;if(!a)c=17;else{a=iw(a)|0;if(!a)c=17;else c=18}if((c|0)==17){c=0;if((i[b>>0]|0)==45){a=b+1|0;c=18}else a=b}if((c|0)==18)while(1){if((i[a>>0]|0)==45){c=a;do c=c+1|0;while((i[c>>0]|0)==45)}else c=a;c=kw(c)|0;if(c|0){c=iw(c)|0;if(c|0){a=c;c=18;continue}}if((i[a>>0]|0)==45){a=a+1|0;c=18}else break}a=Hl(a)|0;if(!a)break;else b=a;while(1){a=Hl(b)|0;if(!a)continue a;else b=a}}return b|0}function Tl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=r;r=r+48|0;e=s;t=s+44|0;q=s+40|0;p=ZL(88)|0;n=b+64|0;o=b+68|0;d=k[o>>2]|0;c=k[n>>2]|0;l=k[b+80>>2]|0;m=i[b+84>>0]|0;f=e;g=b+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(366,p|0);j=y;y=0;do if(j&1)c=pb()|0;else{j=d-c>>2;f=p+12|0;g=e;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[p+52>>0]=0;i[p+53>>0]=0;i[p+54>>0]=0;c=p+56|0;k[c>>2]=0;k[p>>2]=7760;d=p+60|0;k[d>>2]=7720;g=p+64|0;h=p+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(518,g|0,j|0);j=y;y=0;if(j&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{t=e+-4|0;k[h>>2]=t;EO(t);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[p>>2]=7552;k[d>>2]=7680;k[p+80>>2]=l;i[p+84>>0]=m;i[p+85>>0]=0;k[c>>2]=5;_V(t,p);d=k[n>>2]|0;h=(k[o>>2]|0)-d>>2;a:do if(h|0){g=b+64|0;c=0;while(1){e=(k[t>>2]|0)+60|0;f=k[(k[e>>2]|0)+20>>2]|0;d=k[d+(c<<2)>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+68>>2]|0,d|0,a|0)|0;p=y;y=0;if(p&1){d=20;break}y=0;oa(482,q|0,d|0);p=y;y=0;if(p&1){d=20;break}y=0;oa(f|0,e|0,q|0);p=y;y=0;if(p&1){d=21;break}EO(q);c=c+1|0;if(c>>>0>=h>>>0)break a;d=k[g>>2]|0}if((d|0)==20)c=pb()|0;else if((d|0)==21){c=pb()|0;EO(q)}EO(t);t=c;sb(t|0)}while(0);c=k[t>>2]|0;if(!c){q=0;EO(t);r=s;return q|0}i[c+8>>0]=1;q=c;EO(t);r=s;return q|0}while(0);zqa(p);t=c;sb(t|0);return 0}function Ul(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;h=r;r=r+64|0;f=h+24|0;j=h+12|0;g=h;b=ut(b,a)|0;b=k[b>>2]|0;if(b|0){b=pw(b,8,520,0)|0;if(b|0){j=b;r=h;return j|0}}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,35094,10);b=i[a+11>>0]|0;l=b<<24>>24<0;y=0;ta(47,j|0,(l?k[a>>2]|0:a)|0,(l?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;a:do if(!(a&1)){y=0;Ha(970,j|0,35105)|0;l=y;y=0;if(!(l&1)){y=0;Ha(970,j|0,c|0)|0;l=y;y=0;if(!(l&1)){y=0;Ha(970,j|0,35112)|0;l=y;y=0;if(!(l&1)){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(75,f|0,36011,6);l=y;y=0;do if(l&1)d=pb()|0;else{l=i[f+11>>0]|0;c=l<<24>>24<0;y=0;ta(47,j|0,(c?k[f>>2]|0:f)|0,(c?k[f+4>>2]|0:l&255)|0)|0;l=y;y=0;if(l&1){d=pb()|0;$9(f);break}$9(f);y=0;oa(452,g|0,j|0);l=y;y=0;if(l&1)break a;y=0;a=f;b=a+40|0;do{k[a>>2]=k[d>>2];a=a+4|0;d=d+4|0}while((a|0)<(b|0));Na(103,g|0,f|0,e|0);l=y;y=0;if(l&1){l=pb()|0;$9(g);$9(j);sb(l|0)}else{$9(g);$9(j);l=0;r=h;return l|0}}while(0);l=d;$9(j);sb(l|0)}}}}while(0);l=pb()|0;$9(j);sb(l|0);return 0}function Vl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;h=r;r=r+64|0;f=h+24|0;j=h+12|0;g=h;b=ut(b,a)|0;b=k[b>>2]|0;if(b|0){b=pw(b,8,40,0)|0;if(b|0){j=b;r=h;return j|0}}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,35094,10);b=i[a+11>>0]|0;l=b<<24>>24<0;y=0;ta(47,j|0,(l?k[a>>2]|0:a)|0,(l?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;a:do if(!(a&1)){y=0;Ha(970,j|0,35105)|0;l=y;y=0;if(!(l&1)){y=0;Ha(970,j|0,c|0)|0;l=y;y=0;if(!(l&1)){y=0;Ha(970,j|0,35112)|0;l=y;y=0;if(!(l&1)){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(75,f|0,82159,0);l=y;y=0;do if(l&1)d=pb()|0;else{l=i[f+11>>0]|0;c=l<<24>>24<0;y=0;ta(47,j|0,(c?k[f>>2]|0:f)|0,(c?k[f+4>>2]|0:l&255)|0)|0;l=y;y=0;if(l&1){d=pb()|0;$9(f);break}$9(f);y=0;oa(452,g|0,j|0);l=y;y=0;if(l&1)break a;y=0;a=f;b=a+40|0;do{k[a>>2]=k[d>>2];a=a+4|0;d=d+4|0}while((a|0)<(b|0));Na(103,g|0,f|0,e|0);l=y;y=0;if(l&1){l=pb()|0;$9(g);$9(j);sb(l|0)}else{$9(g);$9(j);l=0;r=h;return l|0}}while(0);l=d;$9(j);sb(l|0)}}}}while(0);l=pb()|0;$9(j);sb(l|0);return 0}function Wl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;h=r;r=r+64|0;f=h+24|0;j=h+12|0;g=h;b=ut(b,a)|0;b=k[b>>2]|0;if(b|0){b=pw(b,8,448,0)|0;if(b|0){j=b;r=h;return j|0}}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,35094,10);b=i[a+11>>0]|0;l=b<<24>>24<0;y=0;ta(47,j|0,(l?k[a>>2]|0:a)|0,(l?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;a:do if(!(a&1)){y=0;Ha(970,j|0,35105)|0;l=y;y=0;if(!(l&1)){y=0;Ha(970,j|0,c|0)|0;l=y;y=0;if(!(l&1)){y=0;Ha(970,j|0,35112)|0;l=y;y=0;if(!(l&1)){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(75,f|0,35148,6);l=y;y=0;do if(l&1)d=pb()|0;else{l=i[f+11>>0]|0;c=l<<24>>24<0;y=0;ta(47,j|0,(c?k[f>>2]|0:f)|0,(c?k[f+4>>2]|0:l&255)|0)|0;l=y;y=0;if(l&1){d=pb()|0;$9(f);break}$9(f);y=0;oa(452,g|0,j|0);l=y;y=0;if(l&1)break a;y=0;a=f;b=a+40|0;do{k[a>>2]=k[d>>2];a=a+4|0;d=d+4|0}while((a|0)<(b|0));Na(103,g|0,f|0,e|0);l=y;y=0;if(l&1){l=pb()|0;$9(g);$9(j);sb(l|0)}else{$9(g);$9(j);l=0;r=h;return l|0}}while(0);l=d;$9(j);sb(l|0)}}}}while(0);l=pb()|0;$9(j);sb(l|0);return 0}function Xl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;h=r;r=r+64|0;f=h+24|0;j=h+12|0;g=h;b=ut(b,a)|0;b=k[b>>2]|0;if(b|0){b=pw(b,8,568,0)|0;if(b|0){j=b;r=h;return j|0}}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,35094,10);b=i[a+11>>0]|0;l=b<<24>>24<0;y=0;ta(47,j|0,(l?k[a>>2]|0:a)|0,(l?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;a:do if(!(a&1)){y=0;Ha(970,j|0,35105)|0;l=y;y=0;if(!(l&1)){y=0;Ha(970,j|0,c|0)|0;l=y;y=0;if(!(l&1)){y=0;Ha(970,j|0,35112)|0;l=y;y=0;if(!(l&1)){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(75,f|0,35336,5);l=y;y=0;do if(l&1)d=pb()|0;else{l=i[f+11>>0]|0;c=l<<24>>24<0;y=0;ta(47,j|0,(c?k[f>>2]|0:f)|0,(c?k[f+4>>2]|0:l&255)|0)|0;l=y;y=0;if(l&1){d=pb()|0;$9(f);break}$9(f);y=0;oa(452,g|0,j|0);l=y;y=0;if(l&1)break a;y=0;a=f;b=a+40|0;do{k[a>>2]=k[d>>2];a=a+4|0;d=d+4|0}while((a|0)<(b|0));Na(103,g|0,f|0,e|0);l=y;y=0;if(l&1){l=pb()|0;$9(g);$9(j);sb(l|0)}else{$9(g);$9(j);l=0;r=h;return l|0}}while(0);l=d;$9(j);sb(l|0)}}}}while(0);l=pb()|0;$9(j);sb(l|0);return 0}function Yl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;g=r;r=r+32|0;j=g+24|0;i=g+20|0;c=g+16|0;d=g+4|0;h=g+8|0;l=g;e=a+24|0;if((k[a+28>>2]|0)==(k[e>>2]|0))if((a|0)==(b|0)){r=g;return a|0}else{k[a+20>>2]=k[b+20>>2];k[c>>2]=k[b+12>>2];k[d>>2]=0;k[i>>2]=k[c>>2];k[j>>2]=k[d>>2];Pl(a+4|0,i,j);Jo(e,k[b+24>>2]|0,k[b+28>>2]|0);r=g;return a|0}c=k[b+24>>2]|0;e=k[b+28>>2]|0;a:do if((c|0)!=(e|0)){f=h+4|0;while(1){rT(j,c);y=0;oa(464,l|0,j|0);d=y;y=0;if(d&1){d=17;break}y=0;d=Ha(965,b|0,l|0)|0;m=y;y=0;if(m&1){d=18;break}k[i>>2]=d;y=0;oa(464,h|0,j|0);m=y;y=0;if(m&1){d=19;break}y=0;oa(464,f|0,i|0);m=y;y=0;if(m&1){d=14;break}y=0;Ha(985,a|0,h|0)|0;m=y;y=0;if(m&1){d=21;break}EO(f);EO(h);EO(i);EO(l);EO(j);c=c+4|0;if((c|0)==(e|0))break a}if((d|0)==14){c=pb()|0;EO(h);d=20}else if((d|0)==17){m=pb()|0;EO(j);sb(m|0)}else if((d|0)==18)c=pb()|0;else if((d|0)==19){c=pb()|0;d=20}else if((d|0)==21){c=pb()|0;EO(f);EO(h);d=22}if((d|0)==20)d=22;if((d|0)==22)EO(i);EO(l);m=c;EO(j);sb(m|0)}while(0);_V(j,0);y=0;Ha(966,a+40|0,j|0)|0;m=y;y=0;if(m&1){m=pb()|0;EO(j);sb(m|0)}EO(j);r=g;return a|0}function Zl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;h=r;r=r+64|0;f=h+24|0;j=h+12|0;g=h;b=ut(b,a)|0;b=k[b>>2]|0;if(b|0){b=pw(b,8,216,0)|0;if(b|0){j=b;r=h;return j|0}}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,35094,10);b=i[a+11>>0]|0;l=b<<24>>24<0;y=0;ta(47,j|0,(l?k[a>>2]|0:a)|0,(l?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;a:do if(!(a&1)){y=0;Ha(970,j|0,35105)|0;l=y;y=0;if(!(l&1)){y=0;Ha(970,j|0,c|0)|0;l=y;y=0;if(!(l&1)){y=0;Ha(970,j|0,35112)|0;l=y;y=0;if(!(l&1)){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(75,f|0,36148,4);l=y;y=0;do if(l&1)d=pb()|0;else{l=i[f+11>>0]|0;c=l<<24>>24<0;y=0;ta(47,j|0,(c?k[f>>2]|0:f)|0,(c?k[f+4>>2]|0:l&255)|0)|0;l=y;y=0;if(l&1){d=pb()|0;$9(f);break}$9(f);y=0;oa(452,g|0,j|0);l=y;y=0;if(l&1)break a;y=0;a=f;b=a+40|0;do{k[a>>2]=k[d>>2];a=a+4|0;d=d+4|0}while((a|0)<(b|0));Na(103,g|0,f|0,e|0);l=y;y=0;if(l&1){l=pb()|0;$9(g);$9(j);sb(l|0)}else{$9(g);$9(j);l=0;r=h;return l|0}}while(0);l=d;$9(j);sb(l|0)}}}}while(0);l=pb()|0;$9(j);sb(l|0);return 0}function _l(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;h=r;r=r+64|0;f=h+24|0;j=h+12|0;g=h;b=ut(b,a)|0;b=k[b>>2]|0;if(b|0){b=pw(b,8,584,0)|0;if(b|0){j=b;r=h;return j|0}}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,35094,10);b=i[a+11>>0]|0;l=b<<24>>24<0;y=0;ta(47,j|0,(l?k[a>>2]|0:a)|0,(l?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;a:do if(!(a&1)){y=0;Ha(970,j|0,35105)|0;l=y;y=0;if(!(l&1)){y=0;Ha(970,j|0,c|0)|0;l=y;y=0;if(!(l&1)){y=0;Ha(970,j|0,35112)|0;l=y;y=0;if(!(l&1)){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(75,f|0,35125,3);l=y;y=0;do if(l&1)d=pb()|0;else{l=i[f+11>>0]|0;c=l<<24>>24<0;y=0;ta(47,j|0,(c?k[f>>2]|0:f)|0,(c?k[f+4>>2]|0:l&255)|0)|0;l=y;y=0;if(l&1){d=pb()|0;$9(f);break}$9(f);y=0;oa(452,g|0,j|0);l=y;y=0;if(l&1)break a;y=0;a=f;b=a+40|0;do{k[a>>2]=k[d>>2];a=a+4|0;d=d+4|0}while((a|0)<(b|0));Na(103,g|0,f|0,e|0);l=y;y=0;if(l&1){l=pb()|0;$9(g);$9(j);sb(l|0)}else{$9(g);$9(j);l=0;r=h;return l|0}}while(0);l=d;$9(j);sb(l|0)}}}}while(0);l=pb()|0;$9(j);sb(l|0);return 0}function $l(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;o=0;p=r;r=r+48|0;n=p;if(!(oc[k[(k[a>>2]|0)+128>>2]&511](a)|0)){q=a;r=p;return q|0}q=ZL(104)|0;e=n;f=a+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(366,q|0);m=y;y=0;do if(m&1)e=pb()|0;else{e=q+12|0;f=n;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));i[q+52>>0]=0;i[q+53>>0]=0;i[q+54>>0]=0;k[q>>2]=11396;i[q+60>>0]=0;i[q+61>>0]=0;i[q+62>>0]=0;k[q+64>>2]=0;k[q+68>>2]=0;k[q+56>>2]=7;m=q+72|0;k[m>>2]=14012;h=q+76|0;j=q+80|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(513,h|0,0);l=y;y=0;if(l&1){e=pb()|0;a=N;f=k[h>>2]|0;if(f|0){g=k[j>>2]|0;if((g|0)!=(f|0)){do{p=g+-4|0;k[j>>2]=p;EO(p);g=k[j>>2]|0}while((g|0)!=(f|0));f=k[h>>2]|0}zqa(f)}break}k[q>>2]=13796;k[m>>2]=13972;k[q+92>>2]=0;k[q+96>>2]=0;k[q+100>>2]=0;h=k[(k[c+4>>2]|0)+-4>>2]|0;h=(k[h+80>>2]|0)-(k[h+76>>2]|0)>>2;if(!h){r=p;return q|0}j=a+72|0;l=a+76|0;g=a+80|0;f=0;a:while(1){a=(k[g>>2]|0)-(k[l>>2]|0)>>2;if(a|0){e=0;do{s=Fc[k[(k[j>>2]|0)+16>>2]&2047](j,e)|0;_V(n,ad(k[s>>2]|0,b,c,d)|0);s=k[n>>2]|0;y=0;oa(k[(k[m>>2]|0)+24>>2]|0,m|0,((s|0)==0?0:s+72|0)|0);s=y;y=0;if(s&1)break a;EO(n);e=e+1|0}while(e>>>0<a>>>0)}f=f+1|0;if(f>>>0>=h>>>0){e=q;o=19;break}}if((o|0)==19){r=p;return e|0}s=pb()|0;EO(n);sb(s|0)}while(0);zqa(q);s=e;sb(s|0);return 0}function am(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;v=r;r=r+64|0;n=v+48|0;m=v+40|0;l=v+32|0;q=v+16|0;s=v+8|0;t=v;u=v+24|0;if((k[a+4>>2]|0)!=2){v=gb(4)|0;k[v>>2]=31481;Wb(v|0,4696,0)}if((k[b+4>>2]|0)!=2){v=gb(4)|0;k[v>>2]=31481;Wb(v|0,4696,0)}d=a+16|0;c=k[d>>2]|0;a=a+20|0;o=k[a>>2]|0;p=(o|0)==0;if(p){a=c;e=0;j=1}else{Sba(o);e=k[a>>2]|0;a=k[d>>2]|0;if(!e){e=0;j=1}else{Sba(e);j=0}}h=a;a=(k[h+16>>2]|0)+(k[h+20>>2]|0)|0;i=k[h+4>>2]|0;d=i+(((a>>>0)/170|0)<<2)|0;if((k[h+8>>2]|0)==(i|0))a=0;else a=(k[d>>2]|0)+(((a>>>0)%170|0)*24|0)|0;k[q>>2]=d;k[q+4>>2]=a;f=b+16|0;d=k[f>>2]|0;g=b+20|0;h=k[g>>2]|0;i=(h|0)==0;if(!i)Sba(h);w=k[d+4>>2]|0;a=k[d+16>>2]|0;b=w+(((a>>>0)/170|0)<<2)|0;if((k[d+8>>2]|0)==(w|0))a=0;else a=(k[b>>2]|0)+(((a>>>0)%170|0)*24|0)|0;k[s>>2]=b;k[s+4>>2]=a;d=k[f>>2]|0;f=k[g>>2]|0;g=(f|0)==0;if(!g)Sba(f);a=(k[d+16>>2]|0)+(k[d+20>>2]|0)|0;w=k[d+4>>2]|0;b=w+(((a>>>0)/170|0)<<2)|0;if((k[d+8>>2]|0)==(w|0))a=0;else a=(k[b>>2]|0)+(((a>>>0)%170|0)*24|0)|0;k[t>>2]=b;k[t+4>>2]=a;y=0;k[l>>2]=k[q>>2];k[l+4>>2]=k[q+4>>2];k[m>>2]=k[s>>2];k[m+4>>2]=k[s+4>>2];k[n>>2]=k[t>>2];k[n+4>>2]=k[t+4>>2];ya(12,u|0,c|0,l|0,m|0,n|0,0);w=y;y=0;if(w&1){a=pb()|0;if(!g)kZ(f);if(!i)kZ(h);if(!j)kZ(e);if(p)sb(a|0);kZ(o);sb(a|0)}else{if(!g)kZ(f);if(!i)kZ(h);if(!j)kZ(e);if(p){r=v;return}kZ(o);r=v;return}}function bm(a){a=a|0;var b=0;b=a+1|0;if((i[a>>0]|0)==38)if((i[b>>0]|0)==45){do b=b+1|0;while((i[b>>0]|0)==45);b=aP(b)|0;if(b|0){b=jO(b)|0;if(b|0){a=b;return a|0}}}b=qj(a)|0;if(!b){a=0;return a|0}while(1){a=qj(b)|0;if(!a)break;else b=a}return b|0}function cm(a,b){a=+a;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=0;p[u>>3]=a;g=k[u>>2]|0;i=k[u+4>>2]|0;p[u>>3]=b;l=k[u>>2]|0;m=k[u+4>>2]|0;d=xV(g|0,i|0,52)|0;d=d&2047;j=xV(l|0,m|0,52)|0;j=j&2047;n=i&-2147483648;f=MU(l|0,m|0,1)|0;h=N;a:do if((f|0)==0&(h|0)==0)o=3;else{e=m&2147483647;if(e>>>0>2146435072|(e|0)==2146435072&l>>>0>0|(d|0)==2047)o=3;else{c=MU(g|0,i|0,1)|0;e=N;if(!(e>>>0>h>>>0|(e|0)==(h|0)&c>>>0>f>>>0))return +((c|0)==(f|0)&(e|0)==(h|0)?a*0.0:a);if(!d){c=MU(g|0,i|0,12)|0;e=N;if((e|0)>-1|(e|0)==-1&c>>>0>4294967295){d=0;do{d=d+-1|0;c=MU(c|0,e|0,1)|0;e=N}while((e|0)>-1|(e|0)==-1&c>>>0>4294967295)}else d=0;g=MU(g|0,i|0,1-d|0)|0;f=N}else f=i&1048575|1048576;if(!j){e=MU(l|0,m|0,12)|0;h=N;if((h|0)>-1|(h|0)==-1&e>>>0>4294967295){c=0;do{c=c+-1|0;e=MU(e|0,h|0,1)|0;h=N}while((h|0)>-1|(h|0)==-1&e>>>0>4294967295)}else c=0;l=MU(l|0,m|0,1-c|0)|0;j=c;i=N}else i=m&1048575|1048576;e=ST(g|0,f|0,l|0,i|0)|0;c=N;h=(c|0)>-1|(c|0)==-1&e>>>0>4294967295;b:do if((d|0)>(j|0)){while(1){if(h){if((e|0)==0&(c|0)==0)break}else{e=g;c=f}g=MU(e|0,c|0,1)|0;f=N;d=d+-1|0;e=ST(g|0,f|0,l|0,i|0)|0;c=N;h=(c|0)>-1|(c|0)==-1&e>>>0>4294967295;if((d|0)<=(j|0))break b}b=a*0.0;break a}while(0);if(h){if((e|0)==0&(c|0)==0){b=a*0.0;break}}else{c=f;e=g}if(c>>>0<1048576|(c|0)==1048576&e>>>0<0)do{e=MU(e|0,c|0,1)|0;c=N;d=d+-1|0}while(c>>>0<1048576|(c|0)==1048576&e>>>0<0);if((d|0)>0){m=G6(e|0,c|0,0,-1048576)|0;c=N;d=MU(d|0,0,52)|0;c=c|N;d=m|d}else{d=xV(e|0,c|0,1-d|0)|0;c=N}k[u>>2]=d;k[u+4>>2]=c|n;b=+p[u>>3]}}while(0);if((o|0)==3){b=a*b;b=b/b}return +b}function dm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;h=r;r=r+32|0;c=h+12|0;d=h+8|0;e=h+4|0;f=h;g=a+4|0;Yw(g);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44277,4);y=0;Na(139,g|0,c|0,b|0);j=y;y=0;if(j&1){j=pb()|0;$9(c);sb(j|0)}$9(c);Nka(g);pK(c,b+68|0);y=0;oa(605,g|0,c|0);j=y;y=0;if(j&1){j=pb()|0;$9(c);sb(j|0)}$9(c);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,44282,6);y=0;oa(605,g|0,c|0);j=y;y=0;if(j&1){j=pb()|0;$9(c);sb(j|0)}$9(c);rT(c,b+80|0);j=k[c>>2]|0;k[d>>2]=j;y=0;oa(k[(k[j>>2]|0)+40>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;EO(d);sb(j|0)}EO(d);j=(i[b+88>>0]|0)!=0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,j?44289:44299,j?9:4);y=0;oa(605,g|0,c|0);j=y;y=0;if(j&1){j=pb()|0;$9(c);sb(j|0)}$9(c);rT(c,b+84|0);j=k[c>>2]|0;k[e>>2]=j;y=0;oa(k[(k[j>>2]|0)+40>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;EO(e);sb(j|0)}EO(e);rT(c,b+64|0);j=k[c>>2]|0;k[f>>2]=j;y=0;oa(k[(k[j>>2]|0)+40>>2]|0,j|0,a|0);j=y;y=0;if(!(j&1)){EO(f);r=h;return}j=pb()|0;EO(f);sb(j|0)}function em(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;f=r;r=r+64|0;e=f+48|0;h=f+36|0;j=f+24|0;l=f+12|0;g=f;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;m=i[d+11>>0]|0;n=m<<24>>24<0;m=n?k[d+4>>2]|0:m&255;y=0;Ra(10,j|0,(n?k[d>>2]|0:d)|0,m|0,m+1|0);d=y;y=0;if(d&1){n=pb()|0;$9(j);sb(n|0)}y=0;ta(47,j|0,44131,1)|0;n=y;y=0;if(n&1){n=pb()|0;$9(j);sb(n|0)}k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;n=i[c+11>>0]|0;m=n<<24>>24<0;n=m?k[c+4>>2]|0:n&255;y=0;Ra(10,l|0,(m?k[c>>2]|0:c)|0,n|0,n+1|0);n=y;y=0;if(!(n&1)){y=0;ta(47,l|0,44131,1)|0;n=y;y=0;if(!(n&1)){y=0;Na(106,h|0,j|0,l|0);n=y;y=0;if(n&1)a=pb()|0;else{y=0;oa(452,g|0,b|0);n=y;y=0;if(n&1)a=pb()|0;else{y=0;Na(106,e|0,h|0,g|0);n=y;y=0;do if(n&1)a=pb()|0;else{y=0;oa(534,a|0,e|0);n=y;y=0;if(n&1){a=pb()|0;$9(e);break}else{$9(e);$9(g);$9(h);$9(l);$9(j);r=f;return}}while(0);$9(g)}$9(h)}$9(l);n=a;$9(j);sb(n|0)}}n=pb()|0;$9(l);$9(j);sb(n|0)}function fm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+16|0;g=l+8|0;h=l+4|0;j=l;d=k[a>>2]|0;if(!d){j=0;r=l;return j|0}e=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>2;if(!e){j=0;r=l;return j|0}f=(b|0)==3;c=0;a:while(1){d=d+64|0;rT(h,Fc[k[(k[d>>2]|0)+16>>2]&2047](d,c)|0);d=k[h>>2]|0;do if(d|0){if(pw(d,680,808,0)|0){d=28;break a}if(pw(d,680,776,0)|0){d=28;break a}if(pw(d,680,920,0)|0){if(!f){d=28;break a}if(!(i[d+68>>0]|0))break;else{d=28;break a}}if(pw(d,680,696,0)|0){y=0;d=Ha(997,d|0,b|0)|0;m=y;y=0;if(m&1){d=14;break a}if(d){d=28;break a}else break}if(pw(d,680,1288,0)|0){y=0;d=Ha(998,d|0,b|0)|0;m=y;y=0;if(m&1){d=18;break a}if(d){d=28;break a}else break}if(pw(d,680,760,0)|0){y=0;d=Ha(999,d|0,b|0)|0;m=y;y=0;if(m&1){d=22;break a}if(d){d=28;break a}else break}if(pw(d,680,712,0)|0){y=0;oa(464,g|0,d+64|0);m=y;y=0;if(m&1){d=5;break a}k[j>>2]=k[g>>2];y=0;d=Ha(996,j|0,b|0)|0;m=y;y=0;if(m&1){d=27;break a}EO(j);if(d){d=28;break a}}}while(0);EO(h);c=c+1|0;if(c>>>0>=e>>>0){c=0;d=32;break}d=k[a>>2]|0}if((d|0)==5){m=pb()|0;EO(h);sb(m|0)}else if((d|0)==14){m=pb()|0;EO(h);sb(m|0)}else if((d|0)==18){m=pb()|0;EO(h);sb(m|0)}else if((d|0)==22){m=pb()|0;EO(h);sb(m|0)}else if((d|0)==27){m=pb()|0;EO(j);EO(h);sb(m|0)}else if((d|0)==28){EO(h);m=1;r=l;return m|0}else if((d|0)==32){r=l;return c|0}return 0}function gm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0.0,g=0.0,h=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0;s=0;n=r;r=r+96|0;l=n;m=n+56|0;q=n+40|0;f=+p[c+64>>3];if(!((a|0)!=11|f!=0.0)){d=gb(28)|0;y=0;Na(125,d|0,b|0,c|0);s=y;y=0;if(!(s&1))Wb(d|0,2480,160);s=pb()|0;fb(d|0);sb(s|0)}o=ZL(112)|0;if(!e){c=m;e=b+12|0;d=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(d|0))}else{c=m;d=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(d|0))}d=15320+(a<<2)|0;y=0;h=+za(k[d>>2]|0,+(+p[b+64>>3]),+f);a=y;y=0;if(a&1)s=16;else{y=0;j=+za(k[d>>2]|0,+(+p[b+72>>3]),+f);a=y;y=0;if(a&1)s=16;else{y=0;g=+za(k[d>>2]|0,+(+p[b+80>>3]),+f);a=y;y=0;if(a&1)s=16;else{f=+p[b+88>>3];k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,82159,0);b=y;y=0;if(b&1)s=16;else{c=l;e=m;d=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(d|0));y=0;na(366,o|0);b=y;y=0;do if(b&1)d=pb()|0;else{c=o+12|0;e=l;d=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(d|0));i[o+52>>0]=0;i[o+53>>0]=0;i[o+54>>0]=0;d=o+56|0;k[d>>2]=0;k[o>>2]=9088;p[o+64>>3]=h;p[o+72>>3]=j;p[o+80>>3]=g;p[o+88>>3]=f;y=0;oa(452,o+96|0,q|0);b=y;y=0;if(b&1){d=pb()|0;break}else{k[o+108>>2]=0;k[d>>2]=3;$9(q);r=n;return o|0}}while(0);$9(q)}}}}if((s|0)==16)d=pb()|0;zqa(o);s=d;sb(s|0);return 0}function hm(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;o=0;j=r;r=r+144|0;e=j;h=j+140|0;p=j+136|0;f=j+96|0;q=j+88|0;g=j+48|0;m=j+44|0;n=j+40|0;b=ce(a)|0;k[p>>2]=b;b=f;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;a=qa(387,a|0)|0;l=y;y=0;if(l&1){q=pb()|0;EO(p);sb(q|0)}k[q>>2]=a;y=0;l=qa(332,68)|0;d=y;y=0;a:do if(d&1)a=pb()|0;else{b=g;c=f;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(464,m|0,p|0);f=y;y=0;do if(f&1)a=pb()|0;else{y=0;oa(464,n|0,q|0);f=y;y=0;if(f&1){a=pb()|0;EO(m);break}b=e;c=g;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;na(366,l|0);g=y;y=0;b:do if(g&1){a=1;o=17}else{b=l+12|0;c=e;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;a=l+56|0;k[a>>2]=0;k[l>>2]=8728;b=l+60|0;y=0;oa(464,b|0,m|0);g=y;y=0;do if(g&1)a=pb()|0;else{y=0;oa(464,l+64|0,n|0);g=y;y=0;if(g&1){a=pb()|0;EO(b);break}k[a>>2]=4;y=0;oa(482,h|0,l|0);o=y;y=0;if(o&1){a=0;o=17;break b}EO(n);EO(m);EO(q);EO(p);r=j;return k[h>>2]|0}while(0);b=1}while(0);if((o|0)==17){o=pb()|0;b=a;a=o}EO(n);EO(m);if(!b)break a}while(0);zqa(l)}while(0);EO(q);q=a;EO(p);sb(q|0);return 0}function im(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0;l=r;r=r+16|0;m=l+8|0;j=l+4|0;i=l;if((d|0)==0|(e|0)==0){r=l;return}_V(m,0);h=(k[b+16>>2]|0)+d|0;y=0;oa(464,j|0,(k[(k[b+4>>2]|0)+(h>>>10<<2)>>2]|0)+((h&1023)<<2)|0);h=y;y=0;a:do if(!(h&1)){h=(k[c+16>>2]|0)+e|0;y=0;oa(464,i|0,(k[(k[c+4>>2]|0)+(h>>>10<<2)>>2]|0)+((h&1023)<<2)|0);h=y;y=0;do if(h&1)h=pb()|0;else{y=0;h=Ma(19,f|0,j|0,i|0,m|0)|0;n=y;y=0;if(n&1){h=pb()|0;EO(i);break}EO(i);EO(j);do if(h){y=0;Ea(7,a|0,b|0,c|0,d+-1|0,e+-1|0,f|0,g|0);n=y;y=0;if(n&1)break a;c=g+8|0;j=k[c>>2]|0;d=g+4|0;i=k[d>>2]|0;n=j-i|0;b=g+16|0;a=k[b>>2]|0;e=g+20|0;h=k[e>>2]|0;if((((n|0)==0?0:(n<<8)+-1|0)|0)==(h+a|0)){y=0;na(390,g|0);n=y;y=0;if(n&1)break a;h=k[e>>2]|0;a=k[b>>2]|0;j=k[c>>2]|0;i=k[d>>2]|0}h=h+a|0;if((j|0)==(i|0))h=0;else h=(k[i+(h>>>10<<2)>>2]|0)+((h&1023)<<2)|0;y=0;oa(464,h|0,m|0);n=y;y=0;if(n&1)break a;k[e>>2]=(k[e>>2]|0)+1}else{n=k[a>>2]|0;h=e+-1|0;i=d+-1|0;if((k[(k[n+(d*12|0)>>2]|0)+(h<<2)>>2]|0)>(k[(k[n+(i*12|0)>>2]|0)+(e<<2)>>2]|0)){y=0;Ea(7,a|0,b|0,c|0,d|0,h|0,f|0,g|0);n=y;y=0;if(n&1)break a;else break}else{y=0;Ea(7,a|0,b|0,c|0,i|0,e|0,f|0,g|0);n=y;y=0;if(n&1)break a;else break}}while(0);EO(m);r=l;return}while(0);EO(j);n=h;EO(m);sb(n|0)}while(0);n=pb()|0;EO(m);sb(n|0)}function jm(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=r;r=r+16|0;i=j+4|0;d=j;if(!a){i=1;r=j;return i|0}switch(k[a>>2]|0){case 1:{f=a+4|0;b=k[f>>2]|0;if(!b){i=1;r=j;return i|0}e=k[a+8>>2]|0;if(!e){i=1;r=j;return i|0}c=a+12|0;if(!(k[c>>2]|0)){i=1;r=j;return i|0}b=k[b+80>>2]|0;if(b|0){i=b;r=j;return i|0}k[a>>2]=2;rT(i,c);b=k[(k[e>>2]|0)+16>>2]|0;y=0;oa(464,d|0,i|0);c=y;y=0;do if(c&1){b=tb(0)|0;a=13}else{y=0;b=Ha(b|0,e|0,d|0)|0;c=y;y=0;if(c&1){b=tb(0)|0;EO(d);a=13;break}k[(k[f>>2]|0)+72>>2]=b;EO(d);y=0;b=qa(k[(k[e>>2]|0)+20>>2]|0,e|0)|0;h=y;y=0;if(h&1)a=21;else{k[(k[f>>2]|0)+76>>2]=b;b=0;a=23}}while(0);if((a|0)==13){vb(b|0)|0;b=k[f>>2]|0;y=0;a=qa(461,b|0)|0;f=y;y=0;do if(f&1){f=tb(0)|0;vb(f|0)|0;y=0;b=qa(461,b|0)|0;f=y;y=0;if(f&1){b=pb()|0;y=0;la(3);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}else h=b}else{y=0;la(3);h=y;y=0;if(!(h&1)){g=b;break}h=pb()|0}y=0;la(3);f=y;y=0;if(f&1){h=tb(0)|0;dla(h)}else{j=h;EO(i);sb(j|0)}}else g=a;while(0);y=0;la(3);h=y;y=0;if(h&1)a=21;else{b=g|1;a=23}}if((a|0)==21){j=pb()|0;EO(i);sb(j|0)}else if((a|0)==23){EO(i);i=b;r=j;return i|0}break}case 2:{i=0;r=j;return i|0}default:{i=-1;r=j;return i|0}}return 0}function km(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;m=0;j=r;r=r+48|0;h=j+32|0;l=j+12|0;c=j+24|0;o=j;f=j+8|0;g=b+64|0;rT(h,g);d=k[h>>2]|0;k[c>>2]=d;n=k[(k[d>>2]|0)+28>>2]|0;e=a+4|0;s=k[a+72>>2]|0;q=k[s+4>>2]|0;p=o;k[p>>2]=k[s>>2];k[p+4>>2]=q;y=0;k[h>>2]=k[o>>2];k[h+4>>2]=k[o+4>>2];Na(n|0,l|0,d|0,h|0);d=y;y=0;if(d&1){s=pb()|0;EO(c);sb(s|0)}EO(c);c=i[b+68>>0]|0;y=0;d=qa(458,e|0)|0;s=y;y=0;do if(s&1)m=13;else{if(!(c<<24>>24!=0|(d|0)!=3)){$9(l);r=j;return}c=i[a+8+11>>0]|0;if(c<<24>>24<0)c=k[a+12>>2]|0;else c=c&255;if(!c){k[h>>2]=b;c=a+120|0;d=k[c>>2]|0;if(d>>>0<(k[a+124>>2]|0)>>>0){k[d>>2]=b;k[c>>2]=(k[c>>2]|0)+4}else{y=0;oa(608,a+116|0,h|0);s=y;y=0;if(s&1){c=pb()|0;break}}$9(l);r=j;return}c=a+96|0;i[c>>0]=1;y=0;na(392,e|0);s=y;y=0;if(s&1)m=13;else{y=0;oa(464,h|0,g|0);s=y;y=0;if(s&1)m=13;else{s=k[h>>2]|0;k[f>>2]=s;y=0;oa(k[(k[s>>2]|0)+40>>2]|0,s|0,a|0);s=y;y=0;if(s&1){c=pb()|0;EO(f);break}EO(f);i[c>>0]=0;if(!(k[a+76>>2]|0)){y=0;na(399,e|0);s=y;y=0;if(s&1){m=13;break}$9(l);r=j;return}else{y=0;na(393,e|0);s=y;y=0;if(s&1){m=13;break}$9(l);r=j;return}}}}while(0);if((m|0)==13)c=pb()|0;$9(l);s=c;sb(s|0)}function lm(a,b,c,d,e,f){a=+a;b=+b;c=+c;d=+d;e=e|0;f=f|0;var g=0,h=0,j=0.0,l=0.0,m=0,n=0,o=0,q=0;o=r;r=r+96|0;n=o;m=o+56|0;q=o+40|0;a=a/360.0;b=b/100.0;c=c/100.0;c=c<0.0?0.0:c;b=b<0.0?0.0:b;c=c>1.0?1.0:c;b=b>1.0?1.0:b;if(a<0.0)do a=a+1.0;while(a<0.0);if(a>1.0)do a=a+-1.0;while(a>1.0);b=b==0.0?1.0e-10:b;if(!(c<=.5))l=c+b-c*b;else l=c*(b+1.0);j=c*2.0-l;b=a+.3333333333333333;if(b<0.0)do b=b+1.0;while(b<0.0);if(b>1.0)do b=b+-1.0;while(b>1.0);if(b*6.0<1.0)c=j+(l-j)*b*6.0;else if(b*2.0<1.0)c=l;else if(b*3.0<2.0)c=j+(l-j)*(.6666666666666666-b)*6.0;else c=j;if(a<0.0){b=a;do b=b+1.0;while(b<0.0)}else b=a;if(b>1.0)do b=b+-1.0;while(b>1.0);if(b*6.0<1.0)b=j+(l-j)*b*6.0;else if(b*2.0<1.0)b=l;else if(b*3.0<2.0)b=j+(l-j)*(.6666666666666666-b)*6.0;else b=j;a=a+-.3333333333333333;if(a<0.0)do a=a+1.0;while(a<0.0);if(a>1.0)do a=a+-1.0;while(a>1.0);if(a*6.0<1.0)a=j+(l-j)*a*6.0;else if(a*2.0<1.0)a=l;else if(a*3.0<2.0)a=j+(l-j)*(.6666666666666666-a)*6.0;else a=j;h=ZL(112)|0;g=m;e=f;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,82159,0);g=y;y=0;if(g&1){q=pb()|0;zqa(h);sb(q|0)}g=n;e=m;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;na(366,h|0);m=y;y=0;do if(m&1)e=pb()|0;else{c=c*255.0;b=b*255.0;a=a*255.0;g=h+12|0;e=n;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;e=h+56|0;k[e>>2]=0;k[h>>2]=9088;p[h+64>>3]=c;p[h+72>>3]=b;p[h+80>>3]=a;p[h+88>>3]=d;y=0;oa(452,h+96|0,q|0);n=y;y=0;if(n&1){e=pb()|0;break}else{k[h+108>>2]=0;k[e>>2]=3;$9(q);r=o;return h|0}}while(0);$9(q);q=e;zqa(h);sb(q|0);return 0}function mm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;m=r;r=r+112|0;n=m+72|0;o=m+56|0;j=m+16|0;l=m;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;d=k[b+76>>2]|0;e=(k[b+80>>2]|0)-d>>2;a:do if(e|0){f=b+76|0;g=n+11|0;h=n+4|0;c=0;while(1){d=k[d+(c<<2)>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,a|0)|0;p=y;y=0;if(p&1){d=9;break}if(d|0){y=0;oa(k[(k[d>>2]|0)+32>>2]|0,n|0,d|0);p=y;y=0;if(p&1){d=10;break}p=i[g>>0]|0;d=p<<24>>24<0;y=0;ta(47,o|0,(d?k[n>>2]|0:n)|0,(d?k[h>>2]|0:p&255)|0)|0;p=y;y=0;if(p&1){d=11;break}$9(n)}c=c+1|0;if(c>>>0>=e>>>0)break a;d=k[f>>2]|0}if((d|0)==9){p=pb()|0;$9(o);sb(p|0)}else if((d|0)==10)c=pb()|0;else if((d|0)==11){c=pb()|0;$9(n)}p=c;$9(o);sb(p|0)}while(0);y=0;e=qa(332,80)|0;p=y;y=0;if(p&1){p=pb()|0;$9(o);sb(p|0)}a=j;c=b+12|0;d=a+40|0;do{k[a>>2]=k[c>>2];a=a+4|0;c=c+4|0}while((a|0)<(d|0));y=0;oa(452,l|0,o|0);p=y;y=0;do if(p&1)c=pb()|0;else{y=0;a=n;c=j;d=a+40|0;do{k[a>>2]=k[c>>2];a=a+4|0;c=c+4|0}while((a|0)<(d|0));Ea(2,e|0,n|0,l|0,0,0,0,1);p=y;y=0;if(p&1){c=pb()|0;$9(l);break}else{$9(l);$9(o);r=m;return e|0}}while(0);zqa(e);p=c;$9(o);sb(p|0);return 0}function nm(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0;n=r;r=r+80|0;l=n+40|0;q=n+24|0;o=n+12|0;m=n;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;jI(q,35368,4);y=0;b=l;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,q|0,a|0,d|0,l|0,f|0)|0;g=y;y=0;if(g&1){o=pb()|0;$9(q);sb(o|0)}j=+p[b+64>>3];k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,35373,11);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=l;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,o|0,a|0,d|0,l|0,f|0)|0;g=y;y=0;if(g&1)b=pb()|0;else{i=+p[b+64>>3];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,35385,10);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=l;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,m|0,a|0,d|0,l|0,f|0)|0;f=y;y=0;if(!(f&1)){h=+p[b+64>>3];y=0;b=l;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=xa(1,+j,+i,+h,1.0,0,l|0)|0;e=y;y=0;if(!(e&1)){$9(m);$9(o);$9(q);r=n;return b|0}}b=pb()|0;$9(m)}}$9(o)}o=b;$9(q);sb(o|0);return 0}function om(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,m=0,n=0,o=0;o=b;if(!(e&4)){e=0;n=a}else if((o-a|0)>2)if((i[a>>0]|0)==-17)if((i[a+1>>0]|0)==-69){e=0;n=(i[a+2>>0]|0)==-65?a+3|0:a}else{e=0;n=a}else{e=0;n=a}else{e=0;n=a}a:while(1){if(!(e>>>0<c>>>0&n>>>0<b>>>0)){f=39;break}k=i[n>>0]|0;m=k&255;if(m>>>0>d>>>0){f=39;break}do if(k<<24>>24>-1)f=n+1|0;else{if((k&255)<194){f=39;break a}if((k&255)<224){if((o-n|0)<2){f=39;break a}f=l[n+1>>0]|0;if((f&192|0)!=128){f=39;break a}if((f&63|m<<6&1984)>>>0>d>>>0){f=39;break a}else{f=n+2|0;break}}if((k&255)<240){g=n;if((o-g|0)<3){f=39;break a}h=i[n+1>>0]|0;f=i[n+2>>0]|0;switch(k<<24>>24){case -32:{if((h&-32)<<24>>24!=-96){f=19;break a}break}case -19:{if((h&-32)<<24>>24!=-128){f=21;break a}break}default:if((h&-64)<<24>>24!=-128){f=23;break a}}f=f&255;if((f&192|0)!=128){f=39;break a}if(((h&255)<<6&4032|m<<12&61440|f&63)>>>0>d>>>0){f=39;break a}else{f=n+3|0;break}}if((k&255)>=245){f=39;break a}g=n;if((c-e|0)>>>0<2|(o-g|0)<4){f=39;break a}j=i[n+1>>0]|0;f=i[n+2>>0]|0;h=i[n+3>>0]|0;switch(k<<24>>24){case -16:{if((j+112&255)>=48){f=30;break a}break}case -12:{if((j&-16)<<24>>24!=-128){f=32;break a}break}default:if((j&-64)<<24>>24!=-128){f=34;break a}}g=f&255;if((g&192|0)!=128){f=39;break a}f=h&255;if((f&192|0)!=128){f=39;break a}if(((j&255)<<12&258048|m<<18&1835008|g<<6&4032|f&63)>>>0>d>>>0){f=39;break a}else{e=e+1|0;f=n+4|0}}while(0);e=e+1|0;n=f}if((f|0)==19)e=g-a|0;else if((f|0)==21)e=g-a|0;else if((f|0)==23)e=g-a|0;else if((f|0)==30)e=g-a|0;else if((f|0)==32)e=g-a|0;else if((f|0)==34)e=g-a|0;else if((f|0)==39)e=n-a|0;return e|0}function pm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;t=pw(b,40,448,0)|0;if(!t){a=0;return a|0}d=k[a+80>>2]|0;c=k[a+76>>2]|0;f=d-c|0;q=k[a+92>>2]|0;b=k[a+88>>2]|0;r=q-b|0;g=k[t+76>>2]|0;e=(k[t+80>>2]|0)-g|0;j=k[t+88>>2]|0;s=(k[t+92>>2]|0)-j|0;if(!(((f|0)/12|0|0)!=((r|0)/-12|0|0)?1:((e|0)/12|0|0)!=((s|0)/-12|0|0))){a=+P(+(+p[a+64>>3]-+p[t+64>>3]))<1.0e-14;return a|0}o=d;if((f|0)!=(e|0)){a=0;return a|0}a:do if((c|0)!=(o|0)){b:while(1){f=i[c+11>>0]|0;h=f<<24>>24<0;f=f&255;l=h?k[c+4>>2]|0:f;n=i[g+11>>0]|0;d=n<<24>>24<0;if((l|0)!=((d?k[g+4>>2]|0:n&255)|0)){c=0;d=29;break}m=k[c>>2]|0;n=h?m:c;d=d?k[g>>2]|0:g;e=(l|0)==0;c:do if(h){if(!e)if(zM(n,d,l)|0){c=0;d=29;break b}}else if(!e){if((m&255)<<24>>24==(i[d>>0]|0))e=c;else{c=0;d=29;break b}while(1){f=f+-1|0;e=e+1|0;if(!f)break c;d=d+1|0;if((i[e>>0]|0)!=(i[d>>0]|0)){c=0;d=29;break b}}}while(0);c=c+12|0;if((c|0)==(o|0))break a;else g=g+12|0}if((d|0)==29)return c|0}while(0);m=q;if((r|0)!=(s|0)){a=0;return a|0}d:do if((b|0)!=(m|0)){l=b;e:while(1){d=i[l+11>>0]|0;g=d<<24>>24<0;d=d&255;h=g?k[l+4>>2]|0:d;s=i[j+11>>0]|0;b=s<<24>>24<0;if((h|0)!=((b?k[j+4>>2]|0:s&255)|0)){c=0;d=29;break}e=k[l>>2]|0;f=g?e:l;b=b?k[j>>2]|0:j;c=(h|0)==0;f:do if(g){if(!c)if(zM(f,b,h)|0){c=0;d=29;break e}}else if(!c){if((e&255)<<24>>24==(i[b>>0]|0))c=l;else{c=0;d=29;break e}while(1){d=d+-1|0;c=c+1|0;if(!d)break f;b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0)){c=0;d=29;break e}}}while(0);l=l+12|0;if((l|0)==(m|0))break d;else j=j+12|0}if((d|0)==29)return c|0}while(0);a=+P(+(+p[a+64>>3]-+p[t+64>>3]))<1.0e-14;return a|0}function qm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;t=pw(b,40,448,0)|0;if(!t){a=0;return a|0}d=k[a+80>>2]|0;c=k[a+76>>2]|0;f=d-c|0;q=k[a+92>>2]|0;b=k[a+88>>2]|0;r=q-b|0;g=k[t+76>>2]|0;e=(k[t+80>>2]|0)-g|0;j=k[t+88>>2]|0;s=(k[t+92>>2]|0)-j|0;if(!(((f|0)/12|0|0)!=((r|0)/-12|0|0)?((e|0)/12|0|0)!=((s|0)/-12|0|0):0)){a=+P(+(+p[a+64>>3]-+p[t+64>>3]))<1.0e-14;return a|0}o=d;if((f|0)!=(e|0)){a=0;return a|0}a:do if((c|0)!=(o|0)){b:while(1){f=i[c+11>>0]|0;h=f<<24>>24<0;f=f&255;l=h?k[c+4>>2]|0:f;n=i[g+11>>0]|0;d=n<<24>>24<0;if((l|0)!=((d?k[g+4>>2]|0:n&255)|0)){c=0;d=29;break}m=k[c>>2]|0;n=h?m:c;d=d?k[g>>2]|0:g;e=(l|0)==0;c:do if(h){if(!e)if(zM(n,d,l)|0){c=0;d=29;break b}}else if(!e){if((m&255)<<24>>24==(i[d>>0]|0))e=c;else{c=0;d=29;break b}while(1){f=f+-1|0;e=e+1|0;if(!f)break c;d=d+1|0;if((i[e>>0]|0)!=(i[d>>0]|0)){c=0;d=29;break b}}}while(0);c=c+12|0;if((c|0)==(o|0))break a;else g=g+12|0}if((d|0)==29)return c|0}while(0);m=q;if((r|0)!=(s|0)){a=0;return a|0}d:do if((b|0)!=(m|0)){l=b;e:while(1){d=i[l+11>>0]|0;g=d<<24>>24<0;d=d&255;h=g?k[l+4>>2]|0:d;s=i[j+11>>0]|0;b=s<<24>>24<0;if((h|0)!=((b?k[j+4>>2]|0:s&255)|0)){c=0;d=29;break}e=k[l>>2]|0;f=g?e:l;b=b?k[j>>2]|0:j;c=(h|0)==0;f:do if(g){if(!c)if(zM(f,b,h)|0){c=0;d=29;break e}}else if(!c){if((e&255)<<24>>24==(i[b>>0]|0))c=l;else{c=0;d=29;break e}while(1){d=d+-1|0;c=c+1|0;if(!d)break f;b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0)){c=0;d=29;break e}}}while(0);l=l+12|0;if((l|0)==(m|0))break d;else j=j+12|0}if((d|0)==29)return c|0}while(0);a=+P(+(+p[a+64>>3]-+p[t+64>>3]))<1.0e-14;return a|0}
function Gg(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0;n=r;r=r+16|0;m=n;if(a){b=EZ(b,79864)|0;mc[k[(k[b>>2]|0)+44>>2]&1023](m,b);a=k[m>>2]|0;i[c>>0]=a;i[c+1>>0]=a>>8;i[c+2>>0]=a>>16;i[c+3>>0]=a>>24;mc[k[(k[b>>2]|0)+32>>2]&1023](m,b);a=j+11|0;if((i[a>>0]|0)<0){i[k[j>>2]>>0]=0;k[j+4>>2]=0}else{i[j>>0]=0;i[a>>0]=0}y=0;oa(506,j|0,0);c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}$9(m);mc[k[(k[b>>2]|0)+28>>2]&1023](m,b);a=h+11|0;if((i[a>>0]|0)<0){i[k[h>>2]>>0]=0;k[h+4>>2]=0}else{i[h>>0]=0;i[a>>0]=0}y=0;oa(506,h|0,0);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}$9(m);a=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;i[d>>0]=a;a=oc[k[(k[b>>2]|0)+16>>2]&511](b)|0;i[e>>0]=a;mc[k[(k[b>>2]|0)+20>>2]&1023](m,b);a=f+11|0;if((i[a>>0]|0)<0){i[k[f>>2]>>0]=0;k[f+4>>2]=0}else{i[f>>0]=0;i[a>>0]=0}y=0;oa(506,f|0,0);e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}k[f>>2]=k[m>>2];k[f+4>>2]=k[m+4>>2];k[f+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}$9(m);mc[k[(k[b>>2]|0)+24>>2]&1023](m,b);a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}y=0;oa(506,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}k[g>>2]=k[m>>2];k[g+4>>2]=k[m+4>>2];k[g+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}$9(m);a=oc[k[(k[b>>2]|0)+36>>2]&511](b)|0}else{b=EZ(b,79856)|0;mc[k[(k[b>>2]|0)+44>>2]&1023](m,b);a=k[m>>2]|0;i[c>>0]=a;i[c+1>>0]=a>>8;i[c+2>>0]=a>>16;i[c+3>>0]=a>>24;mc[k[(k[b>>2]|0)+32>>2]&1023](m,b);a=j+11|0;if((i[a>>0]|0)<0){i[k[j>>2]>>0]=0;k[j+4>>2]=0}else{i[j>>0]=0;i[a>>0]=0}y=0;oa(506,j|0,0);c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}$9(m);mc[k[(k[b>>2]|0)+28>>2]&1023](m,b);a=h+11|0;if((i[a>>0]|0)<0){i[k[h>>2]>>0]=0;k[h+4>>2]=0}else{i[h>>0]=0;i[a>>0]=0}y=0;oa(506,h|0,0);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}$9(m);a=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;i[d>>0]=a;a=oc[k[(k[b>>2]|0)+16>>2]&511](b)|0;i[e>>0]=a;mc[k[(k[b>>2]|0)+20>>2]&1023](m,b);a=f+11|0;if((i[a>>0]|0)<0){i[k[f>>2]>>0]=0;k[f+4>>2]=0}else{i[f>>0]=0;i[a>>0]=0}y=0;oa(506,f|0,0);e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}k[f>>2]=k[m>>2];k[f+4>>2]=k[m+4>>2];k[f+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}$9(m);mc[k[(k[b>>2]|0)+24>>2]&1023](m,b);a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}y=0;oa(506,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}k[g>>2]=k[m>>2];k[g+4>>2]=k[m+4>>2];k[g+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}$9(m);a=oc[k[(k[b>>2]|0)+36>>2]&511](b)|0}k[l>>2]=a;r=n;return}function Hg(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;h=0;l=r;r=r+304|0;c=l+228|0;p=l+40|0;d=l;n=l+28|0;j=l+16|0;g=a+11|0;if((CR((i[g>>0]|0)<0?k[a>>2]|0:a,c)|0)==-1){p=0;r=l;return p|0}if((k[c+12>>2]&61440|0)==16384){p=0;r=l;return p|0}c=(i[g>>0]|0)<0?k[a>>2]|0:a;o=p+108|0;m=p+8|0;k[p>>2]=15152;k[o>>2]=15172;k[p+4>>2]=0;y=0;oa(528,p+108|0,m|0);f=y;y=0;if(f&1){p=pb()|0;dja(o);sb(p|0)}k[p+180>>2]=0;k[p+184>>2]=-1;k[p>>2]=15192;k[o>>2]=15212;y=0;na(382,m|0);f=y;y=0;do if(f&1)b=pb()|0;else{f=p+72|0;if(!(k[f>>2]|0)){c=_G(c,38929)|0;k[f>>2]=c;if(!c)h=9;else{k[p+96>>2]=14;if(cla(c,0,2)|0){TI(k[f>>2]|0)|0;k[f>>2]=0;h=9}}}else h=9;if((h|0)==9){e=p+(k[(k[p>>2]|0)+-12>>2]|0)|0;y=0;oa(532,e|0,k[e+16>>2]|4|0);e=y;y=0;if(e&1){b=pb()|0;Ky(m);break}}a:do if(!(k[f>>2]|0))e=0;else{y=0;oa(559,d|0,p|0);e=y;y=0;if(e&1){n=pb()|0;k[p>>2]=15192;k[o>>2]=15212;Ky(m);Lka(p,15224);dja(o);sb(n|0)}c=k[d+8>>2]|0;e=pd(c+1|0)|0;y=0;Ma(13,p|0,0,0,0)|0;d=y;y=0;do if(d&1)h=26;else{y=0;ta(60,p|0,e|0,c|0)|0;d=y;y=0;if(d&1)h=26;else{i[e+c>>0]=0;c=k[f>>2]|0;if(c|0){y=0;d=qa(k[(k[m>>2]|0)+24>>2]|0,m|0)|0;q=y;y=0;if(q&1){b=pb()|0;TI(c)|0;break}if(!(TI(c)|0)){k[f>>2]=0;if(!d)break a}}q=p+(k[(k[p>>2]|0)+-12>>2]|0)|0;y=0;oa(532,q|0,k[q+16>>2]|4|0);q=y;y=0;if(q&1)h=26;else break a}}while(0);if((h|0)==26)b=pb()|0;q=b;k[p>>2]=15192;k[o>>2]=15212;Ky(m);Lka(p,15224);dja(o);sb(q|0)}while(0);k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;c=i[g>>0]|0;c=c<<24>>24<0?k[a+4>>2]|0:c&255;do if(c>>>0>5){y=0;ma(4,j|0,a|0,c+-5|0,5,a|0);q=y;y=0;if(q&1){b=pb()|0;break}c=n+11|0;if((i[c>>0]|0)<0){i[k[n>>2]>>0]=0;k[n+4>>2]=0}else{i[n>>0]=0;i[c>>0]=0}y=0;oa(506,n|0,0);q=y;y=0;if(q&1){q=tb(0)|0;dla(q)}else{k[n>>2]=k[j>>2];k[n+4>>2]=k[j+4>>2];k[n+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;$9(j);b=n+4|0;g=c;a=b;c=i[c>>0]|0;b=k[b>>2]|0;h=30;break}}else{g=n+11|0;a=n+4|0;c=0;b=0;h=30}while(0);b:do if((h|0)==30){d=c<<24>>24<0;if((c<<24>>24<0?b:c&255)|0){f=0;do{b=k[n>>2]|0;d=(mja(i[(d?b:n)+f>>0]|0)|0)&255;i[(c<<24>>24<0?b:n)+f>>0]=d;f=f+1|0;c=i[g>>0]|0;d=c<<24>>24<0;b=k[a>>2]|0}while(f>>>0<(d?b:c&255)>>>0)}c:do if(((d?b:c&255)|0)==5){y=0;b=sa(21,n|0,0,-1,38916,5)|0;q=y;y=0;if(q&1){q=tb(0)|0;dla(q)}if((e|0)!=0&(b|0)==0){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;q=JI(e)|0;y=0;Na(75,j|0,e|0,q|0);q=y;y=0;do if(q&1)b=pb()|0;else{y=0;b=Ha(974,j|0,33)|0;q=y;y=0;if(q&1){b=pb()|0;$9(j);break}else{$9(j);Pf(e);break c}}while(0);break b}else b=e}else b=e;while(0);$9(n);k[p>>2]=15192;k[o>>2]=15212;Ky(m);Lka(p,15224);dja(o);q=b;r=l;return q|0}while(0);$9(n);q=b;k[p>>2]=15192;k[o>>2]=15212;Ky(m);Lka(p,15224);dja(o);sb(q|0)}while(0);Lka(p,15224);q=b;dja(o);sb(q|0);return 0}function Ig(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;o=0;s=r;r=r+32|0;p=s+28|0;h=s+24|0;g=s+20|0;f=s+16|0;q=s+12|0;l=s+8|0;m=s+4|0;n=s;k[f>>2]=c;k[q>>2]=d;k[a>>2]=15740;k[a+4>>2]=b;E=a+8|0;y=0;oa(586,E|0,a|0);F=y;y=0;if(F&1){F=pb()|0;sb(F|0)}C=a+24|0;F=a+28|0;B=a+36|0;D=a+40|0;z=a+48|0;A=a+52|0;w=a+60|0;x=a+64|0;t=a+72|0;v=a+76|0;d=a+84|0;u=a+88|0;b=C;c=b+72|0;do{k[b>>2]=0;b=b+4|0}while((b|0)<(c|0));j[C+72>>1]=0;i[C+74>>0]=0;k[p>>2]=0;y=0;oa(573,C|0,p|0);c=y;y=0;a:do if(c&1){g=pb()|0;f=N}else{b=k[F>>2]|0;if((b|0)==(k[a+32>>2]|0)){y=0;oa(587,C|0,f|0);f=y;y=0;if(!(f&1))o=6}else{k[b>>2]=k[f>>2];k[F>>2]=(k[F>>2]|0)+4;o=6}b:do if((o|0)==6){k[p>>2]=0;b=k[D>>2]|0;if(b>>>0<(k[a+44>>2]|0)>>>0){k[b>>2]=0;k[D>>2]=(k[D>>2]|0)+4}else{y=0;oa(582,B|0,p|0);f=y;y=0;if(f&1){g=pb()|0;f=N;break a}}y=0;oa(482,p|0,0);f=y;y=0;do if(f&1){b=pb()|0;c=N}else{b=k[A>>2]|0;if(b>>>0<(k[a+56>>2]|0)>>>0){y=0;oa(464,b|0,p|0);f=y;y=0;if(f&1)o=26;else k[A>>2]=(k[A>>2]|0)+4}else{y=0;oa(584,z|0,p|0);f=y;y=0;if(f&1)o=26}if((o|0)==26){b=pb()|0;c=N;EO(p);break}EO(p);c:do if(!e){y=0;oa(482,p|0,0);o=y;y=0;do if(o&1){b=pb()|0;c=N}else{b=k[x>>2]|0;if(b>>>0<(k[a+68>>2]|0)>>>0){y=0;oa(464,b|0,p|0);o=y;y=0;if(o&1)o=29;else{k[x>>2]=(k[x>>2]|0)+4;o=20}}else{y=0;oa(556,w|0,p|0);o=y;y=0;if(o&1)o=29;else o=20}if((o|0)==20){EO(p);break c}else if((o|0)==29){b=pb()|0;c=N;EO(p);break}}while(0);g=b;f=c;break a}else{k[l>>2]=k[x>>2];k[m>>2]=k[e>>2];k[n>>2]=k[e+4>>2];y=0;k[g>>2]=k[l>>2];k[h>>2]=k[m>>2];k[p>>2]=k[n>>2];Ma(16,w|0,g|0,h|0,p|0)|0;o=y;y=0;if(o&1){g=pb()|0;f=N;break a}}while(0);k[p>>2]=0;b=k[v>>2]|0;if(b>>>0<(k[a+80>>2]|0)>>>0){k[b>>2]=0;k[v>>2]=(k[v>>2]|0)+4}else{y=0;oa(588,t|0,p|0);o=y;y=0;if(o&1){g=pb()|0;f=N;break a}}k[p>>2]=0;b=k[u>>2]|0;c=a+92|0;do if(b>>>0<(k[c>>2]|0)>>>0){k[b>>2]=0;b=(k[u>>2]|0)+4|0;k[u>>2]=b}else{y=0;oa(576,d|0,p|0);p=y;y=0;if(p&1){g=pb()|0;f=N;break a}else{b=k[u>>2]|0;break}}while(0);if((b|0)==(k[c>>2]|0)){y=0;oa(589,d|0,q|0);q=y;y=0;if(q&1)break b;r=s;return}else{k[b>>2]=k[q>>2];k[u>>2]=(k[u>>2]|0)+4;r=s;return}}while(0);g=b;f=c;break a}while(0);g=pb()|0;f=N}while(0);b=k[d>>2]|0;c=b;if(b|0){d=k[u>>2]|0;if((d|0)!=(b|0))k[u>>2]=d+(~((d+-4-c|0)>>>2)<<2);zqa(b)}b=k[t>>2]|0;c=b;if(b|0){d=k[v>>2]|0;if((d|0)!=(b|0))k[v>>2]=d+(~((d+-4-c|0)>>>2)<<2);zqa(b)}b=k[w>>2]|0;if(b|0){c=k[x>>2]|0;if((c|0)!=(b|0)){do{v=c+-4|0;k[x>>2]=v;EO(v);c=k[x>>2]|0}while((c|0)!=(b|0));b=k[w>>2]|0}zqa(b)}b=k[z>>2]|0;if(b|0){c=k[A>>2]|0;if((c|0)!=(b|0)){do{x=c+-4|0;k[A>>2]=x;EO(x);c=k[A>>2]|0}while((c|0)!=(b|0));b=k[z>>2]|0}zqa(b)}b=k[B>>2]|0;c=b;if(b|0){d=k[D>>2]|0;if((d|0)!=(b|0))k[D>>2]=d+(~((d+-4-c|0)>>>2)<<2);zqa(b)}b=k[C>>2]|0;c=b;if(b|0){d=k[F>>2]|0;if((d|0)!=(b|0))k[F>>2]=d+(~((d+-4-c|0)>>>2)<<2);zqa(b)}Eqa(E);F=g;sb(F|0)}function Jg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;t=r;r=r+160|0;o=t+40|0;e=t;x=t+144|0;d=t+96|0;w=t+140|0;v=t+136|0;s=t+92|0;p=t+88|0;u=t+84|0;q=t+80|0;m=ZL(88)|0;f=d;g=c;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));n=a+60|0;j=a+84|0;l=a+88|0;b=k[l>>2]|0;a=k[j>>2]|0;f=e;g=d;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(366,m|0);h=y;y=0;do if(h&1)b=pb()|0;else{d=b-a>>2;f=m+12|0;g=e;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;b=m+56|0;k[b>>2]=0;k[m>>2]=7760;a=m+60|0;k[a>>2]=7720;f=m+64|0;g=m+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,d|0);h=y;y=0;if(h&1){b=pb()|0;e=N;a=k[f>>2]|0;if(a|0){d=k[g>>2]|0;if((d|0)!=(a|0)){do{x=d+-4|0;k[g>>2]=x;EO(x);d=k[g>>2]|0}while((d|0)!=(a|0));a=k[f>>2]|0}zqa(a)}break}k[m>>2]=7552;k[a>>2]=7680;k[m+80>>2]=0;i[m+84>>0]=0;i[m+85>>0]=0;k[b>>2]=5;_V(x,m);b=k[j>>2]|0;j=k[l>>2]|0;if((b|0)==(j|0)){x=k[x>>2]|0;r=t;return x|0}while(1){y=0;oa(464,w|0,b|0);m=y;y=0;if(m&1){a=33;break}y=0;l=qa(332,88)|0;m=y;y=0;if(m&1){a=34;break}f=o;g=c;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(366,l|0);m=y;y=0;if(m&1){a=35;break}f=l+12|0;g=o;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;a=l+56|0;k[a>>2]=0;k[l>>2]=7760;d=l+60|0;k[d>>2]=7720;g=l+64|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(518,g|0,2);m=y;y=0;if(m&1){a=18;break}k[l>>2]=7552;k[d>>2]=7680;k[l+80>>2]=1;i[l+84>>0]=0;i[l+85>>0]=0;k[a>>2]=5;y=0;oa(482,v|0,l|0);m=y;y=0;if(m&1){a=34;break}a=(k[v>>2]|0)+60|0;d=k[(k[a>>2]|0)+20>>2]|0;y=0;oa(482,s|0,k[w>>2]|0);m=y;y=0;if(m&1){a=37;break}y=0;oa(d|0,a|0,s|0);m=y;y=0;if(m&1){a=38;break}EO(s);e=(k[v>>2]|0)+60|0;a=k[(k[e>>2]|0)+20>>2]|0;y=0;oa(464,u|0,w|0);m=y;y=0;if(m&1){a=37;break}y=0;d=Ha(965,n|0,u|0)|0;m=y;y=0;if(m&1){a=39;break}k[p>>2]=d;y=0;oa(a|0,e|0,p|0);m=y;y=0;if(m&1){a=40;break}EO(p);EO(u);a=(k[x>>2]|0)+60|0;d=k[(k[a>>2]|0)+20>>2]|0;y=0;oa(482,q|0,k[v>>2]|0);m=y;y=0;if(m&1){a=37;break}y=0;oa(d|0,a|0,q|0);m=y;y=0;if(m&1){a=42;break}EO(q);EO(v);EO(w);b=b+4|0;if((b|0)==(j|0)){a=11;break}}switch(a|0){case 11:{x=k[x>>2]|0;r=t;return x|0}case 18:{b=pb()|0;e=N;f=l+68|0;a=k[g>>2]|0;if(a|0){d=k[f>>2]|0;if((d|0)!=(a|0)){do{v=d+-4|0;k[f>>2]=v;EO(v);d=k[f>>2]|0}while((d|0)!=(a|0));a=k[g>>2]|0}zqa(a)}a=36;break}case 33:{b=pb()|0;break}case 34:{b=pb()|0;a=44;break}case 35:{b=pb()|0;a=36;break}case 37:{b=pb()|0;a=43;break}case 38:{b=pb()|0;EO(s);a=43;break}case 39:{b=pb()|0;a=41;break}case 40:{b=pb()|0;EO(p);a=41;break}case 42:{b=pb()|0;EO(q);a=43;break}}if((a|0)==36){zqa(l);a=44}else if((a|0)==41){EO(u);a=43}if((a|0)==43){EO(v);a=44}if((a|0)==44)EO(w);EO(x);x=b;sb(x|0)}while(0);zqa(m);x=b;sb(x|0);return 0}function Kg(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;B=0;x=r;r=r+240|0;w=x;u=x+204|0;A=x+192|0;z=x+180|0;v=x+176|0;q=x+16|0;s=x+8|0;t=x+4|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[A+(a<<2)>>2]=0;a=a+1|0}y=0;a=qa(341,d|0)|0;p=y;y=0;do if(p&1){a=pb()|0;B=35}else{k[z>>2]=a;y=0;d=Ha(973,z|0,78144)|0;p=y;y=0;if(!(p&1)){y=0;Ma(k[(k[d>>2]|0)+32>>2]|0,d|0,51509,51535,u|0)|0;p=y;y=0;if(!(p&1)){lQ(a)|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[z+(a<<2)>>2]=0;a=a+1|0}p=z+11|0;if((i[p>>0]|0)<0)a=(k[z+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,z|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{d=(i[p>>0]|0)<0?k[z>>2]|0:z;k[v>>2]=d;k[s>>2]=q;k[t>>2]=0;n=z+4|0;o=z+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;g=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;m=y;y=0;if(m&1){B=37;break}if((g|0)==-1){k[b>>2]=0;a=0}}g=(a|0)==0;j=k[c>>2]|0;do if(!j)B=25;else{if((k[j+12>>2]|0)!=(k[j+16>>2]|0))if(g)break;else{B=47;break a}y=0;h=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;m=y;y=0;if(m&1){B=37;break a}if((h|0)==-1){k[c>>2]=0;B=25;break}else if(g)break;else{B=47;break a}}while(0);if((B|0)==25){B=0;if(g){j=0;B=47;break}else j=0}g=i[p>>0]|0;g=g<<24>>24<0?k[n>>2]|0:g&255;if((k[v>>2]|0)==(d+g|0)){y=0;Na(94,z|0,g<<1|0,0);m=y;y=0;if(m&1){B=39;break}if((i[p>>0]|0)<0)d=(k[o>>2]&2147483647)+-1|0;else d=10;y=0;Na(94,z|0,d|0,0);m=y;y=0;if(m&1){B=39;break}d=(i[p>>0]|0)<0?k[z>>2]|0:z;k[v>>2]=d+g}h=a+12|0;g=k[h>>2]|0;m=a+16|0;if((g|0)==(k[m>>2]|0)){y=0;g=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;C=y;y=0;if(C&1){B=37;break}}else g=l[g>>0]|0;if(lq(g&255,16,d,v,t,0,A,q,s,u)|0){B=47;break}g=k[h>>2]|0;if((g|0)==(k[m>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;C=y;y=0;if(C&1){B=37;break}else continue}else{k[h>>2]=g+1;continue}}if((B|0)==37)a=pb()|0;else if((B|0)==39)a=pb()|0;else if((B|0)==47){y=0;Na(94,z|0,(k[v>>2]|0)-d|0,0);C=y;y=0;b:do if(!(C&1)){d=i[p>>0]|0;g=k[z>>2]|0;y=0;h=La(3)|0;C=y;y=0;if(!(C&1)){y=0;k[w>>2]=f;d=Ma(20,(d<<24>>24<0?g:z)|0,h|0,51542,w|0)|0;C=y;y=0;if(!(C&1)){if((d|0)!=1)k[e>>2]=4;if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;C=y;y=0;if(C&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;c:do if(!j)B=63;else{do if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;a=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;C=y;y=0;if(C&1)break b;if((a|0)!=-1)break;k[c>>2]=0;B=63;break c}while(0);if(!d)B=64}while(0);if((B|0)==63)if(d)B=64;if((B|0)==64)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;$9(z);$9(A);r=x;return C|0}}}while(0);a=pb()|0}}$9(z);break}}B=pb()|0;lQ(a)|0;a=B;B=35}while(0);$9(A);sb(a|0);return 0}function Lg(a){a=a|0;if((cc|0)!=2){k[dc+8>>2]=a;if((cc|0)==1)cc=3}Qc(fc+44756|0);return k[dc>>2]|0}function Mg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;v=r;r=r+48|0;q=v+44|0;m=v+40|0;u=v+28|0;o=v+16|0;h=v+12|0;i=v+8|0;n=v+4|0;d=v;k[m>>2]=b;s=a+16|0;t=k[s>>2]|0;c=b;if(b|0){g=pw(b,680,1352,0)|0;if(g|0){l=a+4|0;ey(u,l);k[o>>2]=0;p=o+4|0;k[p>>2]=0;k[o+8>>2]=0;j=a+8|0;d=k[j>>2]|0;c=k[l>>2]|0;e=d-c>>2;a:do if(!e)g=5;else{f=o+8|0;b=0;b:while(1){if(d-c>>2>>>0<=b>>>0){y=0;na(369,l|0);d=y;y=0;if(d&1){g=17;break}c=k[l>>2]|0}d=k[c+(b<<2)>>2]|0;k[h>>2]=d;y=0;oa(482,i|0,d|0);d=y;y=0;if(d&1){g=18;break}y=0;c=Ha(1017,g|0,i|0)|0;d=y;y=0;if(d&1){g=19;break}EO(i);do if(!c){c=k[p>>2]|0;if((c|0)==(k[f>>2]|0)){y=0;oa(615,o|0,h|0);d=y;y=0;if(d&1){g=18;break b}else break}else{k[c>>2]=k[h>>2];k[p>>2]=(k[p>>2]|0)+4;break}}while(0);b=b+1|0;if(b>>>0>=e>>>0){g=5;break a}d=k[j>>2]|0;c=k[l>>2]|0}if((g|0)==17){b=pb()|0;break}else if((g|0)==18)b=pb()|0;else if((g|0)==19){b=pb()|0;EO(i)}}while(0);do if((g|0)==5){if((l|0)!=(o|0)){y=0;Na(140,l|0,k[o>>2]|0,k[p>>2]|0);i=y;y=0;if(i&1){b=pb()|0;break}}f=(k[j>>2]|0)-(k[l>>2]|0)>>2;while(1){if(!f)break;d=f;f=f+-1|0;b=k[l>>2]|0;if((k[j>>2]|0)-b>>2>>>0>f>>>0)c=b;else{y=0;na(369,l|0);i=y;y=0;if(i&1){g=31;break}b=k[l>>2]|0;c=b}e=k[c+(f<<2)>>2]|0;if(d>>>0>1){c=d+-2|0;if((k[j>>2]|0)-b>>2>>>0<=c>>>0){y=0;na(369,l|0);i=y;y=0;if(i&1){g=31;break}b=k[l>>2]|0}b=k[b+(c<<2)>>2]|0}else b=0;y=0;b=ta(163,a|0,e|0,b|0)|0;i=y;y=0;if(i&1){g=31;break}if(!b){g=39;break}}if((g|0)==31){b=pb()|0;break}else if((g|0)==39)k[s>>2]=e;b=k[m>>2]|0;if(!b)b=0;else b=pw(b,680,1352,0)|0;y=0;oa(464,q|0,b+64|0);m=y;y=0;if(m&1){b=pb()|0;break}f=k[q>>2]|0;k[n>>2]=f;y=0;f=Ha(1023,a|0,f|0)|0;q=y;y=0;if(q&1){b=pb()|0;EO(n);break}EO(n);k[s>>2]=t;if((l|0)!=(u|0)){y=0;Na(140,l|0,k[u>>2]|0,k[u+4>>2]|0);t=y;y=0;if(t&1){b=pb()|0;break}}b=k[o>>2]|0;c=b;if(b|0){d=k[p>>2]|0;if((d|0)!=(b|0))k[p>>2]=d+(~((d+-4-c|0)>>>2)<<2);zqa(b)}d=k[u>>2]|0;e=d;if(d|0){b=u+4|0;c=k[b>>2]|0;if((c|0)!=(d|0))k[b>>2]=c+(~((c+-4-e|0)>>>2)<<2);zqa(d)}u=f;r=v;return u|0}while(0);c=k[o>>2]|0;d=c;if(c|0){e=k[p>>2]|0;if((e|0)!=(c|0))k[p>>2]=e+(~((e+-4-d|0)>>>2)<<2);zqa(c)}e=k[u>>2]|0;f=e;if(e|0){c=u+4|0;d=k[c>>2]|0;if((d|0)!=(e|0))k[c>>2]=d+(~((d+-4-f|0)>>>2)<<2);zqa(e)}v=b;sb(v|0)}}if(!(XA(a,b,t)|0))k[s>>2]=c;e=a+8|0;b=k[e>>2]|0;if((b|0)==(k[a+12>>2]|0))_y(a+4|0,m);else{k[b>>2]=c;k[e>>2]=(k[e>>2]|0)+4}c=k[m>>2]|0;c:do if(!c)b=0;else{b=pw(c,680,640,0)|0;if(!b){b=pw(c,680,712,0)|0;if(!b){b=0;break}rT(q,b+64|0);b=k[q>>2]|0;k[d>>2]=b;EO(d);if(!b){b=0;break}}c=k[b+68>>2]|0;d=k[b+72>>2]|0;if((c|0)!=(d|0)){while(1){rT(q,c);u=k[q>>2]|0;y=0;Ha(k[(k[u>>2]|0)+48>>2]|0,u|0,a|0)|0;u=y;y=0;if(u&1)break;EO(q);c=c+4|0;if((c|0)==(d|0))break c}v=pb()|0;EO(q);sb(v|0)}}while(0);k[s>>2]=t;k[e>>2]=(k[e>>2]|0)+-4;u=b;r=v;return u|0}function Ng(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;x=0;v=r;r=r+112|0;q=v+64|0;w=v+40|0;m=v+60|0;u=v+12|0;n=v+56|0;s=v+52|0;p=v+28|0;t=v+16|0;o=v;l=a+84|0;pK(q,l);y=0;oa(452,w|0,(k[b>>2]|0)+84|0);j=y;y=0;if(j&1){x=pb()|0;$9(q);sb(x|0)}e=i[q+11>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[q+4>>2]|0:e;j=i[w+11>>0]|0;c=j<<24>>24<0;if((g|0)!=((c?k[w+4>>2]|0:j&255)|0)){$9(w);$9(q);r=v;return 0}h=k[q>>2]|0;j=f?h:q;c=c?k[w>>2]|0:w;d=(g|0)==0;a:do if(f){if(d){$9(w);$9(q);break}j=(zM(j,c,g)|0)==0;$9(w);$9(q);if(!j){r=v;return 0}}else{if(d){$9(w);$9(q);break}b:do if((h&255)<<24>>24==(i[c>>0]|0)){d=q;while(1){e=e+-1|0;d=d+1|0;if(!e)break;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0))break b}$9(w);$9(q);break a}while(0);$9(w);$9(q);r=v;return 0}while(0);pK(q,l);l=i[q+11>>0]|0;if(((l<<24>>24<0?k[q+4>>2]|0:l&255)|0)==8){y=0;c=sa(21,q|0,0,-1,46231,8)|0;l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}$9(q);if(!c){r=v;return 0}}else $9(q);rT(q,(k[b>>2]|0)+104|0);c=k[q>>2]|0;k[m>>2]=c;if(!c)c=0;else c=pw(c,88,104,0)|0;y=0;oa(482,w|0,c|0);l=y;y=0;if(l&1){x=pb()|0;EO(m);sb(x|0)}EO(m);do if(!(k[w>>2]|0)){k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,30869,41);u=y;y=0;if(u&1)x=27;else{y=0;e=q;c=(k[b>>2]|0)+12|0;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));oa(458,o|0,q|0);u=y;y=0;if(u&1){c=pb()|0;$9(o);break}$9(o);x=0;u=0;EO(w);x=u&x;r=v;return x|0}}else{y=0;oa(464,q|0,a+104|0);o=y;y=0;if(o&1)x=27;else{c=k[q>>2]|0;k[n>>2]=c;if(!c)c=0;else c=pw(c,88,104,0)|0;y=0;oa(482,u|0,c|0);o=y;y=0;if(o&1){c=pb()|0;EO(n);break}EO(n);d=k[u>>2]|0;if(!d){EO(u);k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,30869,41);u=y;y=0;if(u&1){x=27;break}y=0;e=q;c=(k[b>>2]|0)+12|0;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));oa(458,t|0,q|0);u=y;y=0;if(u&1){c=pb()|0;$9(t);break}$9(t);x=0;u=0;EO(w);x=u&x;r=v;return x|0}c=k[(k[d>>2]|0)+156>>2]|0;y=0;oa(464,s|0,w|0);t=y;y=0;if(t&1)c=pb()|0;else{k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(75,p|0,82159,0);t=y;y=0;do if(t&1)c=pb()|0;else{y=0;c=ta(c|0,d|0,s|0,p|0)|0;t=y;y=0;if(t&1){c=pb()|0;$9(p);break}$9(p);EO(s);EO(u);x=1;u=c;EO(w);x=u&x;r=v;return x|0}while(0);EO(s)}EO(u)}}while(0);if((x|0)==27)c=pb()|0;EO(w);x=c;sb(x|0);return 0}function Og(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;v=0;s=r;r=r+112|0;l=s+64|0;o=s+52|0;w=s+48|0;g=s+40|0;u=s+32|0;t=s+8|0;m=s+44|0;q=s+4|0;p=s+36|0;n=s;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;jI(o,37040,9);y=0;b=l;h=e;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));b=pa(41,o|0,a|0,d|0,l|0,f|0,c|0)|0;j=y;y=0;if(j&1){w=pb()|0;$9(o);sb(w|0)}k[w>>2]=b;$9(o);k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,37070,9);j=y;y=0;do if(j&1){b=pb()|0;v=24}else{y=0;b=l;h=e;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));b=pa(41,o|0,a|0,d|0,l|0,f|0,c|0)|0;j=y;y=0;if(j&1){b=pb()|0;$9(o);v=24;break}k[g>>2]=b;$9(o);k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,37080,12);j=y;y=0;do if(j&1){b=pb()|0;v=27}else{y=0;b=l;h=e;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));b=pa(41,o|0,a|0,d|0,l|0,f|0,c|0)|0;f=y;y=0;if(f&1){b=pb()|0;$9(o);v=27;break}k[u>>2]=b;$9(o);k[t>>2]=0;e=t+4|0;k[e>>2]=0;k[t+8>>2]=0;k[t+16>>2]=0;k[t+20>>2]=0;d=t+16|0;k[t+12>>2]=d;y=0;oa(464,m|0,g|0);f=y;y=0;a:do if(f&1)v=28;else{y=0;Ra(23,b|0,m|0,c|0,t|0);f=y;y=0;if(f&1){b=pb()|0;a=N;EO(m);break}EO(m);y=0;oa(464,p|0,w|0);m=y;y=0;if(m&1)v=28;else{i[l>>0]=0;y=0;oa(464,o|0,p|0);m=y;y=0;do if(m&1)v=30;else{y=0;b=sa(28,o|0,c|0,t|0,1,l|0)|0;c=y;y=0;if(c&1){b=pb()|0;h=N;EO(o);break}EO(o);y=0;oa(482,q|0,b|0);c=y;y=0;if(c&1)v=30;else{EO(p);y=0;na(379,n|0);p=y;y=0;do if(p&1){b=pb()|0;h=N}else{j=k[q>>2]|0;y=0;j=Ha(k[(k[j>>2]|0)+52>>2]|0,j|0,n|0)|0;p=y;y=0;if(p&1){b=pb()|0;h=N;break}EO(q);Wx(t+12|0,k[d>>2]|0);b=k[t>>2]|0;if(!b){EO(u);EO(g);EO(w);r=s;return j|0}h=k[e>>2]|0;if((h|0)!=(b|0)){do{v=h+-8|0;k[e>>2]=v;EO(h+-4|0);EO(v);h=k[e>>2]|0}while((h|0)!=(b|0));b=k[t>>2]|0}zqa(b);EO(u);EO(g);EO(w);r=s;return j|0}while(0);EO(q);a=h;break a}}while(0);if((v|0)==30){b=pb()|0;h=N}EO(p);a=h}}while(0);if((v|0)==28){b=pb()|0;a=N}Wx(t+12|0,k[d>>2]|0);h=k[t>>2]|0;if(h|0){j=k[e>>2]|0;if((j|0)!=(h|0)){do{s=j+-8|0;k[e>>2]=s;EO(j+-4|0);EO(s);j=k[e>>2]|0}while((j|0)!=(h|0));h=k[t>>2]|0}zqa(h)}EO(u)}while(0);EO(g)}while(0);EO(w);w=b;sb(w|0);return 0}function Pg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;v=0;s=r;r=r+112|0;l=s+64|0;o=s+52|0;w=s+48|0;g=s+40|0;u=s+32|0;t=s+8|0;m=s+44|0;q=s+4|0;p=s+36|0;n=s;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;jI(o,37040,9);y=0;b=l;h=e;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));b=pa(41,o|0,a|0,d|0,l|0,f|0,c|0)|0;j=y;y=0;if(j&1){w=pb()|0;$9(o);sb(w|0)}k[w>>2]=b;$9(o);k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,37050,9);j=y;y=0;do if(j&1){b=pb()|0;v=24}else{y=0;b=l;h=e;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));b=pa(41,o|0,a|0,d|0,l|0,f|0,c|0)|0;j=y;y=0;if(j&1){b=pb()|0;$9(o);v=24;break}k[g>>2]=b;$9(o);k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,37060,9);j=y;y=0;do if(j&1){b=pb()|0;v=27}else{y=0;b=l;h=e;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));b=pa(41,o|0,a|0,d|0,l|0,f|0,c|0)|0;f=y;y=0;if(f&1){b=pb()|0;$9(o);v=27;break}k[u>>2]=b;$9(o);k[t>>2]=0;e=t+4|0;k[e>>2]=0;k[t+8>>2]=0;k[t+16>>2]=0;k[t+20>>2]=0;d=t+16|0;k[t+12>>2]=d;y=0;oa(464,m|0,g|0);f=y;y=0;a:do if(f&1)v=28;else{y=0;Ra(23,b|0,m|0,c|0,t|0);f=y;y=0;if(f&1){b=pb()|0;a=N;EO(m);break}EO(m);y=0;oa(464,p|0,w|0);m=y;y=0;if(m&1)v=28;else{i[l>>0]=0;y=0;oa(464,o|0,p|0);m=y;y=0;do if(m&1)v=30;else{y=0;b=sa(28,o|0,c|0,t|0,0,l|0)|0;c=y;y=0;if(c&1){b=pb()|0;h=N;EO(o);break}EO(o);y=0;oa(482,q|0,b|0);c=y;y=0;if(c&1)v=30;else{EO(p);y=0;na(379,n|0);p=y;y=0;do if(p&1){b=pb()|0;h=N}else{j=k[q>>2]|0;y=0;j=Ha(k[(k[j>>2]|0)+52>>2]|0,j|0,n|0)|0;p=y;y=0;if(p&1){b=pb()|0;h=N;break}EO(q);Wx(t+12|0,k[d>>2]|0);b=k[t>>2]|0;if(!b){EO(u);EO(g);EO(w);r=s;return j|0}h=k[e>>2]|0;if((h|0)!=(b|0)){do{v=h+-8|0;k[e>>2]=v;EO(h+-4|0);EO(v);h=k[e>>2]|0}while((h|0)!=(b|0));b=k[t>>2]|0}zqa(b);EO(u);EO(g);EO(w);r=s;return j|0}while(0);EO(q);a=h;break a}}while(0);if((v|0)==30){b=pb()|0;h=N}EO(p);a=h}}while(0);if((v|0)==28){b=pb()|0;a=N}Wx(t+12|0,k[d>>2]|0);h=k[t>>2]|0;if(h|0){j=k[e>>2]|0;if((j|0)!=(h|0)){do{s=j+-8|0;k[e>>2]=s;EO(j+-4|0);EO(s);j=k[e>>2]|0}while((j|0)!=(h|0));h=k[t>>2]|0}zqa(h)}EO(u)}while(0);EO(g)}while(0);EO(w);w=b;sb(w|0);return 0}function Qg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;u=r;r=r+112|0;s=u+100|0;t=u+92|0;c=u+96|0;n=u+60|0;g=u+88|0;d=u+76|0;o=u+72|0;h=u+48|0;j=u+44|0;e=u+32|0;l=u+28|0;f=u+16|0;q=u+12|0;p=u;m=a+68|0;rT(s,m);v=k[s>>2]|0;k[c>>2]=v;EO(c);a=k[b>>2]|0;c=k[a+52>>2]|0;if(!v){v=(c|0)==1;r=u;return v|0}do if((c|0)==3){if(!a)a=0;else a=pw(a,680,776,0)|0;_V(t,a);a=k[t>>2]|0;if(!a){EO(t);a=k[b>>2]|0;c=k[a+52>>2]|0;break}y=0;oa(452,n|0,a+68|0);v=y;y=0;if(v&1)a=pb()|0;else{v=i[n+11>>0]|0;if(!((v<<24>>24<0?k[n+4>>2]|0:v&255)|0))c=13;else{y=0;ta(53,n|0,0,1)|0;v=y;y=0;if(v&1)c=12;else c=13}if((c|0)==13){y=0;oa(464,s|0,m|0);v=y;y=0;if(v&1)c=12;else{a=k[s>>2]|0;k[g>>2]=a;y=0;oa(452,d|0,n|0);v=y;y=0;do if(v&1)a=pb()|0;else{y=0;a=Ha(1020,a|0,d|0)|0;v=y;y=0;if(v&1){a=pb()|0;$9(d);break}$9(d);EO(g);$9(n);EO(t);v=a;r=u;return v|0}while(0);EO(g)}}if((c|0)==12)a=pb()|0;$9(n)}EO(t);v=a;sb(v|0)}while(0);switch(c|0){case 2:{rT(s,m);a=k[s>>2]|0;k[o>>2]=a;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,43598,5);v=y;y=0;do if(v&1)a=pb()|0;else{y=0;a=Ha(1020,a|0,h|0)|0;v=y;y=0;if(v&1){a=pb()|0;$9(h);break}$9(h);EO(o);v=a;r=u;return v|0}while(0);EO(o);v=a;sb(v|0)}case 1:{rT(s,m);a=k[s>>2]|0;k[j>>2]=a;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(75,e|0,43604,4);v=y;y=0;do if(v&1)a=pb()|0;else{y=0;a=Ha(1020,a|0,e|0)|0;v=y;y=0;if(v&1){a=pb()|0;$9(e);break}$9(e);EO(j);v=a;r=u;return v|0}while(0);EO(j);v=a;sb(v|0)}case 4:{rT(s,m);a=k[s>>2]|0;k[l>>2]=a;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(75,f|0,43609,8);v=y;y=0;do if(v&1)a=pb()|0;else{y=0;a=Ha(1020,a|0,f|0)|0;v=y;y=0;if(v&1){a=pb()|0;$9(f);break}$9(f);EO(l);v=a;r=u;return v|0}while(0);EO(l);v=a;sb(v|0)}default:{if(!a)a=0;else a=pw(a,680,776,0)|0;_V(s,a);a=k[s>>2]|0;do if(a|0){a=a+68|0;if(tN(a,43538)|0)if(tN(a,43557)|0)if(tN(a,43573)|0)if(tN(a,43587)|0)break;y=0;oa(464,t|0,m|0);v=y;y=0;if(v&1)a=pb()|0;else{a=k[t>>2]|0;k[q>>2]=a;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(75,p|0,43618,9);v=y;y=0;do if(v&1)a=pb()|0;else{y=0;a=Ha(1020,a|0,p|0)|0;v=y;y=0;if(v&1){a=pb()|0;$9(p);break}$9(p);EO(q);EO(s);v=a;r=u;return v|0}while(0);EO(q)}EO(s);v=a;sb(v|0)}while(0);EO(s);v=0;r=u;return v|0}}return 0}function Rg(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;o=0;z=r;r=r+144|0;p=z+128|0;t=z+116|0;u=z+104|0;v=z+64|0;b=z;x=z+56|0;A=z+60|0;e=z+52|0;n=z+48|0;q=z+44|0;w=z+40|0;mw(a,0,0)|0;m=a+128|0;wN(a+108|0,m);k[a+132>>2]=0;k[m>>2]=0;m=ZL(88)|0;s=a+108|0;h=b;j=s;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,m|0);l=y;y=0;do if(l&1)b=pb()|0;else{h=m+12|0;j=b;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;b=m+56|0;k[b>>2]=0;k[m>>2]=7760;c=m+60|0;k[c>>2]=7720;f=m+64|0;g=m+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,0);l=y;y=0;if(l&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{A=d+-4|0;k[g>>2]=A;EO(A);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[m>>2]=7552;k[c>>2]=7680;k[m+80>>2]=0;i[m+84>>0]=0;i[m+85>>0]=0;k[b>>2]=5;_V(A,m);m=a+76|0;y=0;b=qa(359,k[m>>2]|0)|0;l=y;y=0;a:do if(l&1)o=22;else{d=a+80|0;if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)b=k[m>>2]|0;y=0;c=qa(360,b|0)|0;l=y;y=0;if(l&1)o=22;else{l=c|0?c:b;l=(i[l>>0]|0)==123?l+1|0:0;b:do if((l|0)==0?1:l>>>0>(k[d>>2]|0)>>>0){b=(k[A>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(436,a|0)|0;l=y;y=0;if(l&1){o=22;break a}k[n>>2]=d;y=0;oa(482,e|0,d|0);l=y;y=0;do if(l&1)b=pb()|0;else{y=0;oa(c|0,b|0,e|0);l=y;y=0;if(l&1){b=pb()|0;EO(e);break}else{EO(e);EO(n);break b}}while(0);EO(n);break a}while(0);e=a+152|0;f=a+84|0;g=a+96|0;while(1){k[p>>2]=k[e>>2];k[p+4>>2]=k[e+4>>2];k[p+8>>2]=k[e+8>>2];c=k[m>>2]|0;k[t>>2]=k[f>>2];k[t+4>>2]=k[f+4>>2];k[t+8>>2]=k[f+8>>2];k[u>>2]=k[g>>2];k[u+4>>2]=k[g+4>>2];k[u+8>>2]=k[g+8>>2];h=v;j=s;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;ta(61,a|0,1,0)|0;o=y;y=0;if(o&1){o=21;break}y=0;b=ta(62,a|0,1,0)|0;o=y;y=0;if(o&1){o=21;break}d=(b|0)==0;if(d){h=s;j=v;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));k[e>>2]=k[p>>2];k[e+4>>2]=k[p+4>>2];k[e+8>>2]=k[p+8>>2];k[m>>2]=c;k[g>>2]=k[u>>2];k[g+4>>2]=k[u+4>>2];k[g+8>>2]=k[u+8>>2];k[f>>2]=k[t>>2];k[f+4>>2]=k[t+4>>2];k[f+8>>2]=k[t+8>>2]}b=k[A>>2]|0;if(d){o=39;break}d=b+60|0;b=k[(k[d>>2]|0)+20>>2]|0;y=0;c=qa(436,a|0)|0;o=y;y=0;if(o&1){o=21;break}k[w>>2]=c;y=0;oa(482,q|0,c|0);o=y;y=0;if(o&1){o=36;break}y=0;oa(b|0,d|0,q|0);o=y;y=0;if(o&1){o=37;break}EO(q);EO(w)}if((o|0)==21){b=pb()|0;o=23;break}else if((o|0)==36)b=pb()|0;else if((o|0)==37){b=pb()|0;EO(q)}else if((o|0)==39){y=0;oa(564,b|0,s|0);w=y;y=0;if(w&1){o=22;break}b=k[A>>2]|0;if(!b)b=0;else i[b+8>>0]=1;y=0;oa(482,x|0,b|0);w=y;y=0;if(w&1){o=22;break}EO(A);r=z;return k[x>>2]|0}EO(w)}}while(0);if((o|0)==22){b=pb()|0;o=23}EO(A);A=b;sb(A|0)}while(0);zqa(m);A=b;sb(A|0);return 0}function Sg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0;q=0;s=r;r=r+192|0;l=s+152|0;t=s;o=s+140|0;n=s+128|0;j=s+104|0;m=s+116|0;if(!((((k[a+80>>2]|0)-(k[a+76>>2]|0)|0)/12|0|0)!=(((k[a+92>>2]|0)-(k[a+88>>2]|0)|0)/-12|0|0)?(((k[b+80>>2]|0)-(k[b+76>>2]|0)|0)/12|0|0)!=(((k[b+92>>2]|0)-(k[b+88>>2]|0)|0)/-12|0|0):0)){t=+p[a+64>>3]<+p[b+64>>3];r=s;return t|0}nw(t,b);y=0;oa(456,l|0,a|0);h=y;y=0;do if(h&1){b=pb()|0;q=24}else{y=0;Na(74,t|0,l|0,0);h=y;y=0;if(h&1){b=pb()|0;$9(l);q=24;break}$9(l);y=0;oa(457,o|0,a|0);h=y;y=0;if(h&1){f=pb()|0;break}y=0;oa(457,n|0,t|0);h=y;y=0;if(h&1)b=pb()|0;else{y=0;oa(457,l|0,a|0);h=y;y=0;a:do if(h&1){b=pb()|0;q=29}else{y=0;oa(457,j|0,t|0);h=y;y=0;if(h&1){b=pb()|0;$9(l);q=29;break}d=i[l+11>>0]|0;e=d<<24>>24<0;d=d&255;f=e?k[l+4>>2]|0:d;h=i[j+11>>0]|0;b=h<<24>>24<0;b:do if((f|0)==((b?k[j+4>>2]|0:h&255)|0)){g=k[l>>2]|0;h=e?g:l;b=b?k[j>>2]|0:j;c=(f|0)==0;if(e)if(c){$9(j);$9(l);break}else{h=(zM(h,b,f)|0)==0;$9(j);$9(l);if(h)break;else{q=19;break}}if(c){$9(j);$9(l);break}c:do if((g&255)<<24>>24==(i[b>>0]|0)){c=l;while(1){d=d+-1|0;c=c+1|0;if(!d)break;b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0))break c}$9(j);$9(l);break b}while(0);$9(j);$9(l);q=19}else{$9(j);$9(l);q=19}while(0);do if((q|0)==19){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,28714,46);j=y;y=0;if(j&1){b=pb()|0;break a}y=0;b=l;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));oa(458,m|0,l|0);l=y;y=0;if(l&1){b=pb()|0;$9(m);break a}else{$9(m);break}}while(0);f=+p[a+64>>3]<+p[t+64>>3];$9(n);$9(o);k[t>>2]=4736;d=t+88|0;b=k[d>>2]|0;if(b|0){e=t+92|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{q=c+-12|0;k[e>>2]=q;$9(q);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}e=t+76|0;b=k[e>>2]|0;if(b|0){d=t+80|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{t=c+-12|0;k[d>>2]=t;$9(t);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}zqa(b)}t=f;r=s;return t|0}while(0);$9(n)}$9(o);f=b}while(0);if((q|0)==24)f=b;k[t>>2]=4736;d=t+88|0;b=k[d>>2]|0;if(b|0){e=t+92|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{s=c+-12|0;k[e>>2]=s;$9(s);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}e=t+76|0;b=k[e>>2]|0;if(!b)sb(f|0);d=t+80|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{t=c+-12|0;k[d>>2]=t;$9(t);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}zqa(b);sb(f|0);return 0}function Tg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;f=0;v=r;r=r+32|0;s=v+12|0;t=v;u=b+11|0;d=i[u>>0]|0;if(d<<24>>24<0)d=k[b+4>>2]|0;else d=d&255;if(!d){k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;r=v;return}q=c+11|0;d=i[q>>0]|0;if(d<<24>>24<0)d=k[c+4>>2]|0;else d=d&255;if(!d){k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;r=v;return}if(eB(c)|0){k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;r=v;return}d=i[u>>0]|0;if(d<<24>>24<0){d=k[b+4>>2]|0;e=k[b>>2]|0}else{d=d&255;e=b}if((i[e+(d+-1)>>0]|0)!=47)RD(b,47);j=c+4|0;l=s+11|0;m=s+4|0;n=b+4|0;o=t+11|0;p=t+4|0;while(1){d=i[q>>0]|0;if(d<<24>>24<0)d=k[j>>2]|0;else d=d&255;if(d>>>0<=3)break;XG(s,c,0,3,c);h=i[l>>0]|0;if(((h<<24>>24<0?k[m>>2]|0:h&255)|0)==3){y=0;d=sa(21,s|0,0,-1,38899,3)|0;h=y;y=0;if(h&1){f=25;break}if(!d)$9(s);else f=28}else f=28;if((f|0)==28){f=0;y=0;ma(4,t|0,c|0,0,3,c|0);h=y;y=0;if(h&1){f=54;break}h=i[o>>0]|0;if(((h<<24>>24<0?k[p>>2]|0:h&255)|0)!=3){f=62;break}y=0;d=sa(21,t|0,0,-1,38903,3)|0;h=y;y=0;if(h&1){f=32;break}$9(t);$9(s);if(d|0)break}d=i[u>>0]|0;if(d<<24>>24<0)g=k[n>>2]|0;else g=d&255;h=LI(b,47,g+-2|0)|0;if((h+2|0)==(g|0)){f=h+1|0;d=(i[u>>0]|0)<0;if(d)e=k[b>>2]|0;else e=b;if((i[e+f>>0]|0)==47)e=1;else{if(d)d=k[b>>2]|0;else d=b;e=(i[d+f>>0]|0)==92}}else e=0;if((h+3|0)==(g|0)){if((i[u>>0]|0)<0)d=k[b>>2]|0;else d=b;if(e|(i[d+(h+1)>>0]|0)==46)f=55;else f=48}else if(e)f=55;else f=48;if((f|0)==48){f=0;XG(s,c,3,-1,c);if((i[q>>0]|0)<0){i[k[c>>2]>>0]=0;k[j>>2]=0}else{i[c>>0]=0;i[q>>0]=0}y=0;oa(506,c|0,0);g=y;y=0;if(g&1){f=52;break}k[c>>2]=k[s>>2];k[c+4>>2]=k[s+4>>2];k[c+8>>2]=k[s+8>>2];k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;$9(s)}else if((f|0)==55){f=0;if((h|0)==-1)break}XG(s,b,0,(h|0)==-1?-1:h+1|0,b);if((i[u>>0]|0)<0){i[k[b>>2]>>0]=0;k[n>>2]=0}else{i[b>>0]=0;i[u>>0]=0}y=0;oa(506,b|0,0);h=y;y=0;if(h&1){f=60;break}k[b>>2]=k[s>>2];k[b+4>>2]=k[s+4>>2];k[b+8>>2]=k[s+8>>2];k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;$9(s)}if((f|0)==25){t=tb(0)|0;dla(t)}else if((f|0)==32){t=tb(0)|0;dla(t)}else if((f|0)==52){t=tb(0)|0;dla(t)}else if((f|0)==54){v=pb()|0;$9(s);sb(v|0)}else if((f|0)==60){t=tb(0)|0;dla(t)}else if((f|0)==62){$9(t);$9(s)}k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;u=i[u>>0]|0;t=u<<24>>24<0;u=t?k[n>>2]|0:u&255;d=i[q>>0]|0;d=d<<24>>24<0?k[j>>2]|0:d&255;y=0;Ra(10,a|0,(t?k[b>>2]|0:b)|0,u|0,d+u|0);b=y;y=0;if(b&1){v=pb()|0;$9(a);sb(v|0)}y=0;ta(47,a|0,((i[q>>0]|0)<0?k[c>>2]|0:c)|0,d|0)|0;c=y;y=0;if(c&1){v=pb()|0;$9(a);sb(v|0)}else{r=v;return}}function Ug(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;o=0;l=r;r=r+64|0;h=l+44|0;f=l+32|0;m=l+8|0;g=l+24|0;j=l;pK(f,76508);y=0;oa(629,a|0,f|0);p=y;y=0;do if(p&1)e=pb()|0;else{k[a>>2]=14076;p=a+8|0;y=0;oa(452,p|0,f|0);n=y;y=0;if(n&1){e=pb()|0;cda(a);break}$9(f);k[a>>2]=15668;k[a+20>>2]=b;k[a+24>>2]=c;n=a+28|0;y=0;oa(452,n|0,d|0);f=y;y=0;if(f&1)e=pb()|0;else{k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;f=i[76519]|0;e=f<<24>>24<0;f=e?k[19128]|0:f&255;y=0;Ra(10,h|0,(e?k[19127]|0:76508)|0,f|0,f+3|0);f=y;y=0;a:do if(f&1)o=25;else{y=0;ta(47,h|0,47056,3)|0;f=y;y=0;if(f&1)o=25;else{e=p+11|0;if((i[e>>0]|0)<0){i[k[p>>2]>>0]=0;k[a+12>>2]=0}else{i[p>>0]=0;i[e>>0]=0}y=0;oa(506,p|0,0);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}k[p>>2]=k[h>>2];k[p+4>>2]=k[h+4>>2];k[p+8>>2]=k[h+8>>2];k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;$9(h);f=k[(k[b>>2]|0)+28>>2]|0;k[g>>2]=0;k[g+4>>2]=5;y=0;k[h>>2]=k[g>>2];k[h+4>>2]=k[g+4>>2];Na(f|0,m|0,b|0,h|0);g=y;y=0;do if(g&1)e=pb()|0;else{g=i[m+11>>0]|0;b=g<<24>>24<0;y=0;ta(47,p|0,(b?k[m>>2]|0:m)|0,(b?k[m+4>>2]|0:g&255)|0)|0;g=y;y=0;if(g&1){e=pb()|0;$9(m);break}$9(m);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;e=d+11|0;f=i[e>>0]|0;f=f<<24>>24<0?k[d+4>>2]|0:f&255;y=0;Ra(10,m|0,47081,1,f+1|0);g=y;y=0;if(g&1)o=29;else{y=0;ta(47,m|0,((i[e>>0]|0)<0?k[d>>2]|0:d)|0,f|0)|0;d=y;y=0;if(d&1)o=29;else{y=0;e=Ha(970,m|0,47081)|0;d=y;y=0;do if(d&1)e=pb()|0;else{k[h>>2]=k[e>>2];k[h+4>>2]=k[e+4>>2];k[h+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;d=i[h+11>>0]|0;g=d<<24>>24<0;y=0;ta(47,p|0,(g?k[h>>2]|0:h)|0,(g?k[h+4>>2]|0:d&255)|0)|0;d=y;y=0;if(d&1){e=pb()|0;$9(h);break}$9(h);$9(m);d=k[(k[c>>2]|0)+28>>2]|0;k[j>>2]=5;k[j+4>>2]=5;y=0;k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];Na(d|0,m|0,c|0,h|0);j=y;y=0;do if(j&1)e=pb()|0;else{j=i[m+11>>0]|0;c=j<<24>>24<0;y=0;ta(47,p|0,(c?k[m>>2]|0:m)|0,(c?k[m+4>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){e=pb()|0;$9(m);break}$9(m);y=0;Ha(970,p|0,47105)|0;m=y;y=0;if(m&1){e=pb()|0;break a}else{r=l;return}}while(0);break a}while(0);$9(m)}}if((o|0)==29){e=pb()|0;$9(m)}break a}while(0)}}while(0);if((o|0)==25){e=pb()|0;$9(h)}$9(n)}k[a>>2]=14076;$9(p);cda(a);p=e;sb(p|0)}while(0);$9(f);p=e;sb(p|0)}function Vg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;e=j;d=b+11|0;h=Eb(((i[d>>0]|0)<0?k[b>>2]|0:b)|0,1)|0;if(!h){h=Bn(77440,39598,23)|0;c=i[d>>0]|0;a=c<<24>>24<0;c=Bn(Bn(h,a?k[b>>2]|0:b,a?k[b+4>>2]|0:c&255)|0,44129,1)|0;b=yV(c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;k[e>>2]=b;y=0;b=Ha(973,e|0,78144)|0;a=y;y=0;if(a&1){j=pb()|0;Sea(e);sb(j|0)}y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;a=y;y=0;if(a&1){j=pb()|0;Sea(e);sb(j|0)}Sea(e);br(c,b)|0;Jt(c)|0;b=Va()|0;if(!b){h=0;a=0;a=h&a;r=j;return a|0}c=Bn(77440,b,JI(b)|0)|0;b=yV(c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;k[e>>2]=b;y=0;b=Ha(973,e|0,78144)|0;a=y;y=0;if(a&1){j=pb()|0;Sea(e);sb(j|0)}y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;a=y;y=0;if(a&1){j=pb()|0;Sea(e);sb(j|0)}Sea(e);br(c,b)|0;Jt(c)|0;h=0;a=0;a=h&a;r=j;return a|0}c=Xa(h|0,39473)|0;if(!c){g=Bn(77440,39560,37)|0;c=i[d>>0]|0;a=c<<24>>24<0;c=Bn(Bn(g,a?k[b>>2]|0:b,a?k[b+4>>2]|0:c&255)|0,44129,1)|0;b=yV(c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;k[e>>2]=b;y=0;b=Ha(973,e|0,78144)|0;a=y;y=0;if(a&1){j=pb()|0;Sea(e);sb(j|0)}y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;a=y;y=0;if(a&1){j=pb()|0;Sea(e);sb(j|0)}Sea(e);br(c,b)|0;Jt(c)|0;b=Va()|0;do if(b|0){c=Bn(77440,b,JI(b)|0)|0;b=yV(c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;k[e>>2]=b;y=0;b=Ha(973,e|0,78144)|0;a=y;y=0;if(a&1){j=pb()|0;Sea(e);sb(j|0)}y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;a=y;y=0;if(a&1){j=pb()|0;Sea(e);sb(j|0)}else{Sea(e);br(c,b)|0;Jt(c)|0;break}}while(0);Hb(h|0)|0;h=0;a=0;a=h&a;r=j;return a|0}if(!(cy(Jc[c&15]()|0)|0)){h=1;a=0;a=h&a;r=j;return a|0}b=Xa(h|0,39493)|0;if(b|0){b=Jc[b&15]()|0;if(b|0){e=a+28|0;f=a+32|0;g=a+24|0;c=k[b>>2]|0;if(c|0)do{d=k[e>>2]|0;if((d|0)==(k[f>>2]|0))ez(g,b);else{k[d>>2]=c;k[e>>2]=(k[e>>2]|0)+4}b=b+4|0;c=k[b>>2]|0}while((c|0)!=0)}}b=Xa(h|0,39516)|0;if(b|0){b=Jc[b&15]()|0;if(b|0){e=a+16|0;f=a+20|0;g=a+12|0;c=k[b>>2]|0;if(c|0)do{d=k[e>>2]|0;if((d|0)==(k[f>>2]|0))dz(g,b);else{k[d>>2]=c;k[e>>2]=(k[e>>2]|0)+4}b=b+4|0;c=k[b>>2]|0}while((c|0)!=0)}}b=Xa(h|0,39539)|0;if(!b){h=1;a=1;a=h&a;r=j;return a|0}b=Jc[b&15]()|0;if(!b){h=1;a=1;a=h&a;r=j;return a|0}e=a+4|0;f=a+8|0;c=k[b>>2]|0;if(!c){h=1;a=1;a=h&a;r=j;return a|0}do{d=k[e>>2]|0;if((d|0)==(k[f>>2]|0))dz(a,b);else{k[d>>2]=c;k[e>>2]=(k[e>>2]|0)+4}b=b+4|0;c=k[b>>2]|0}while((c|0)!=0);b=1;c=1;a=b&c;r=j;return a|0}function Wg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;m=0;n=r;r=r+96|0;l=n+56|0;o=n+40|0;p=n+24|0;f=n+28|0;h=n+12|0;g=n;d=b+60|0;pK(o,d);y=0;oa(482,p|0,0);j=y;y=0;if(j&1){p=pb()|0;$9(o);sb(p|0)}y=0;j=qa(439,k[a+4>>2]|0)|0;e=y;y=0;a:do if(e&1)c=pb()|0;else{y=0;c=Ha(988,j|0,o|0)|0;e=y;y=0;b:do if(!(e&1)){c:do if(c){y=0;c=Ha(971,j|0,o|0)|0;g=y;y=0;do if(g&1)m=11;else{c=k[c>>2]|0;if(!c)c=0;else c=pw(c,8,40,0)|0;y=0;oa(482,l|0,c|0);g=y;y=0;if(g&1)m=11;else{y=0;Ha(966,p|0,l|0)|0;g=y;y=0;if(g&1){c=pb()|0;EO(l);break}else{EO(l);break c}}}while(0);if((m|0)==11)c=pb()|0;break a}else{y=0;oa(452,g|0,d|0);e=y;y=0;if(e&1)c=pb()|0;else{y=0;c=ta(52,g|0,0,41848)|0;e=y;y=0;if(e&1)c=pb()|0;else{k[h>>2]=k[c>>2];k[h+4>>2]=k[c+4>>2];k[h+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(970,h|0,47105)|0;e=y;y=0;do if(e&1)c=pb()|0;else{k[f>>2]=k[c>>2];k[f+4>>2]=k[c+4>>2];k[f+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=l;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));oa(458,f|0,l|0);e=y;y=0;if(e&1){c=pb()|0;$9(f);break}else{$9(f);$9(h);$9(g);break c}}while(0);$9(h)}$9(g)}break a}while(0);c=k[p>>2]|0;d:do if((k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)==(k[157]|0)){if(!c)c=0;else c=pw(c,40,624,0)|0;y=0;oa(464,l|0,c+60|0);g=y;y=0;do if(g&1)c=pb()|0;else{k[h>>2]=k[l>>2];y=0;Ha(966,p|0,h|0)|0;g=y;y=0;if(g&1){c=pb()|0;EO(h);break}else{EO(h);c=k[p>>2]|0;break d}}while(0);break a}while(0);if(c|0){d=pw(c,40,448,0)|0;if(d|0)i[d+72>>0]=1}i[c+54>>0]=i[b+54>>0]|0;d=a+12|0;if(i[d>>0]|0)i[c+53>>0]=0;y=0;oa(k[(k[c>>2]|0)+96>>2]|0,c|0,0);b=y;y=0;if(!(b&1)){c=k[p>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;a=y;y=0;do if(a&1)m=53;else{y=0;oa(482,l|0,c|0);a=y;y=0;if(a&1)m=53;else{y=0;Ha(966,p|0,l|0)|0;a=y;y=0;if(a&1){c=pb()|0;EO(l);break}EO(l);e:do if(!(i[d>>0]|0)){y=0;c=Ha(971,j|0,o|0)|0;m=y;y=0;if(m&1)break b;y=0;oa(482,l|0,k[p>>2]|0);m=y;y=0;do if(m&1)c=pb()|0;else{y=0;Ha(966,c|0,l|0)|0;m=y;y=0;if(m&1){c=pb()|0;EO(l);break}else{EO(l);c=p;break e}}while(0);break a}else c=p;while(0);c=k[c>>2]|0;if(!c){m=0;EO(p);$9(o);r=n;return m|0}i[c+8>>0]=1;m=c;EO(p);$9(o);r=n;return m|0}}while(0);if((m|0)==53)c=pb()|0;break a}}while(0);c=pb()|0}while(0);EO(p);p=c;$9(o);sb(p|0);return 0}function Xg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;t=0;x=r;r=r+16|0;z=x;w=EZ(g,78176)|0;u=EZ(g,78184)|0;mc[k[(k[u>>2]|0)+20>>2]&1023](z,u);k[f>>2]=d;g=i[a>>0]|0;a:do switch(g<<24>>24){case 43:case 45:{y=0;g=Ha(k[(k[w>>2]|0)+44>>2]|0,w|0,g|0)|0;v=y;y=0;if(v&1){g=pb()|0;break a}else{l=k[f>>2]|0;k[f>>2]=l+4;k[l>>2]=g;l=a+1|0;t=5;break a}}default:{l=a;t=5}}while(0);b:do if((t|0)==5){v=c;c:do if((v-l|0)>1)if((i[l>>0]|0)==48){h=l+1|0;switch(i[h>>0]|0){case 88:case 120:break;default:{h=l;t=20;break c}}y=0;g=Ha(k[(k[w>>2]|0)+44>>2]|0,w|0,48)|0;s=y;y=0;if(!(s&1)){s=k[f>>2]|0;k[f>>2]=s+4;k[s>>2]=g;l=l+2|0;y=0;g=Ha(k[(k[w>>2]|0)+44>>2]|0,w|0,i[h>>0]|0)|0;s=y;y=0;if(!(s&1)){h=k[f>>2]|0;k[f>>2]=h+4;k[h>>2]=g;h=l;while(1){if(h>>>0>=c>>>0){t=25;break c}g=i[h>>0]|0;y=0;j=La(3)|0;t=y;y=0;if(t&1)break;y=0;g=Ha(1028,g<<24>>24|0,j|0)|0;t=y;y=0;if(t&1)break;if(!g){t=25;break c}h=h+1|0}g=pb()|0;break b}}}else{h=l;t=20}else{h=l;t=20}while(0);d:do if((t|0)==20){while(1){if(h>>>0>=c>>>0){t=25;break d}g=i[h>>0]|0;y=0;j=La(3)|0;t=y;y=0;if(t&1)break;y=0;g=Ha(1029,g<<24>>24|0,j|0)|0;t=y;y=0;if(t&1)break;if(!g){t=25;break d}h=h+1|0;t=20}g=pb()|0;break b}while(0);e:do if((t|0)==25){q=z+11|0;p=i[q>>0]|0;s=z+4|0;f:do if(!((p<<24>>24<0?k[s>>2]|0:p&255)|0)){y=0;Ma(k[(k[w>>2]|0)+48>>2]|0,w|0,l|0,h|0,k[f>>2]|0)|0;s=y;y=0;if(s&1)break e;g=(k[f>>2]|0)+(h-l<<2)|0;k[f>>2]=g;j=w}else{g:do if((l|0)!=(h|0)){g=h;j=l;while(1){g=g+-1|0;if(j>>>0>=g>>>0)break g;p=i[j>>0]|0;i[j>>0]=i[g>>0]|0;i[g>>0]=p;j=j+1|0}}while(0);y=0;p=qa(k[(k[u>>2]|0)+16>>2]|0,u|0)|0;o=y;y=0;if(o&1)break e;o=l;j=0;m=0;while(1){if(o>>>0>=h>>>0)break;g=i[q>>0]|0;n=g<<24>>24<0;A=i[(n?k[z>>2]|0:z)+j>>0]|0;if(A<<24>>24>0&(m|0)==(A<<24>>24|0)){m=k[f>>2]|0;k[f>>2]=m+4;k[m>>2]=p;j=(j>>>0<((n?k[s>>2]|0:g&255)+-1|0)>>>0&1)+j|0;m=0}y=0;g=Ha(k[(k[w>>2]|0)+44>>2]|0,w|0,i[o>>0]|0)|0;A=y;y=0;if(A&1){t=40;break}A=k[f>>2]|0;k[f>>2]=A+4;k[A>>2]=g;o=o+1|0;m=m+1|0}if((t|0)==40){g=pb()|0;break b}g=d+(l-a<<2)|0;l=k[f>>2]|0;if((g|0)==(l|0))j=w;else{j=l;while(1){j=j+-4|0;if(g>>>0>=j>>>0){j=w;g=l;break f}A=k[g>>2]|0;k[g>>2]=k[j>>2];k[j>>2]=A;g=g+4|0}}}while(0);while(1){if(h>>>0>=c>>>0)break;g=i[h>>0]|0;if(g<<24>>24==46){t=45;break}y=0;g=Ha(k[(k[j>>2]|0)+44>>2]|0,w|0,g|0)|0;A=y;y=0;if(A&1){t=15;break}s=k[f>>2]|0;A=s+4|0;k[f>>2]=A;k[s>>2]=g;h=h+1|0;g=A}if((t|0)==15){g=pb()|0;break b}if((t|0)==45){y=0;g=qa(k[(k[u>>2]|0)+12>>2]|0,u|0)|0;A=y;y=0;if(A&1)break;u=k[f>>2]|0;A=u+4|0;k[f>>2]=A;k[u>>2]=g;h=h+1|0;g=A}y=0;Ma(k[(k[w>>2]|0)+48>>2]|0,w|0,h|0,c|0,g|0)|0;A=y;y=0;if(!(A&1)){A=(k[f>>2]|0)+(v-h<<2)|0;k[f>>2]=A;k[e>>2]=(b|0)==(c|0)?A:d+(b-a<<2)|0;$9(z);r=x;return}}while(0);g=pb()|0}while(0);$9(z);sb(g|0)}function Yg(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;q=r;r=r+48|0;p=q+40|0;g=q+36|0;e=q+32|0;m=q+28|0;h=q+24|0;o=q+20|0;i=q+16|0;j=q+12|0;f=q+8|0;n=q+4|0;l=q;rT(g,b);y=0;oa(464,e|0,a|0);d=y;y=0;do if(d&1)d=pb()|0;else{d=k[g>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+160>>2]|0,d|0,k[e>>2]|0)|0;s=y;y=0;if(s&1){d=pb()|0;EO(e);break}EO(e);EO(g);if(!d){rT(m,c);y=0;oa(464,h|0,b|0);s=y;y=0;do if(s&1)d=pb()|0;else{d=k[m>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+160>>2]|0,d|0,k[h>>2]|0)|0;s=y;y=0;if(s&1){d=pb()|0;EO(h);break}EO(h);EO(m);if(!d){s=0;r=q;return s|0}rT(p,b);y=0;Ha(966,b|0,c|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}y=0;Ha(966,c|0,p|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}EO(p);rT(o,b);y=0;oa(464,i|0,a|0);s=y;y=0;do if(s&1)d=pb()|0;else{d=k[o>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+160>>2]|0,d|0,k[i>>2]|0)|0;s=y;y=0;if(s&1){d=pb()|0;EO(i);break}EO(i);EO(o);if(!d){s=1;r=q;return s|0}rT(p,a);y=0;Ha(966,a|0,b|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}y=0;Ha(966,b|0,p|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}EO(p);s=2;r=q;return s|0}while(0);EO(o);s=d;sb(s|0)}while(0);EO(m);s=d;sb(s|0)}rT(j,c);y=0;oa(464,f|0,b|0);s=y;y=0;do if(s&1)d=pb()|0;else{d=k[j>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+160>>2]|0,d|0,k[f>>2]|0)|0;s=y;y=0;if(s&1){d=pb()|0;EO(f);break}EO(f);EO(j);if(d){rT(p,a);y=0;Ha(966,a|0,c|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}y=0;Ha(966,c|0,p|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}EO(p);s=1;r=q;return s|0}rT(p,a);y=0;Ha(966,a|0,b|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}y=0;Ha(966,b|0,p|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}EO(p);rT(n,c);y=0;oa(464,l|0,b|0);s=y;y=0;do if(s&1)d=pb()|0;else{d=k[n>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+160>>2]|0,d|0,k[l>>2]|0)|0;s=y;y=0;if(s&1){d=pb()|0;EO(l);break}EO(l);EO(n);if(!d){s=1;r=q;return s|0}rT(p,b);y=0;Ha(966,b|0,c|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}y=0;Ha(966,c|0,p|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}EO(p);s=2;r=q;return s|0}while(0);EO(n);s=d;sb(s|0)}while(0);EO(j);s=d;sb(s|0)}while(0);EO(g);s=d;sb(s|0);return 0}function Zg(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;p=0;q=r;r=r+64|0;j=q;o=q+60|0;s=q+56|0;c=q+52|0;h=q+48|0;n=q+44|0;l=q+40|0;m=ZL(84)|0;b=j;d=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));y=0;na(366,m|0);g=y;y=0;do if(g&1)b=pb()|0;else{b=m+12|0;d=j;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;b=m+56|0;k[m>>2]=9504;k[b>>2]=4;d=m+60|0;k[d>>2]=7720;f=m+64|0;g=m+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,0);e=y;y=0;if(e&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{s=d+-4|0;k[g>>2]=s;EO(s);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[m>>2]=9328;k[d>>2]=9464;k[m+80>>2]=0;k[b>>2]=4;_V(s,m);e=a+76|0;if(!(i[k[e>>2]>>0]|0)){y=0;oa(482,o|0,0);p=y;y=0;if(p&1)p=13;else{EO(s);s=k[o>>2]|0;r=q;return s|0}}else{y=0;ta(96,a|0,0,0)|0;m=y;y=0;if(m&1)p=13;else{y=0;b=qa(423,a|0)|0;m=y;y=0;if(m&1)p=13;else{k[c>>2]=b;do if(!b){y=0;oa(482,o|0,0);p=y;y=0;if(p&1)p=20;else p=49}else{b=(k[s>>2]|0)+60|0;d=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(464,h|0,c|0);m=y;y=0;if(m&1)p=20;else{y=0;oa(d|0,b|0,h|0);m=y;y=0;if(m&1){b=pb()|0;EO(h);break}EO(h);if(!(i[k[e>>2]>>0]|0)){p=k[s>>2]|0;y=0;na(k[(k[p>>2]|0)+112>>2]|0,p|0);p=y;y=0;if(p&1){p=20;break}b=k[s>>2]|0;if(!b)b=0;else i[b+8>>0]=1;y=0;oa(482,o|0,b|0);p=y;y=0;if(p&1){p=20;break}else{p=49;break}}while(1){y=0;b=qa(423,a|0)|0;p=y;y=0;if(p&1){p=38;break}k[n>>2]=b;y=0;oa(482,j|0,b|0);p=y;y=0;if(p&1){p=39;break}y=0;Ha(966,c|0,j|0)|0;p=y;y=0;if(p&1){p=40;break}p=(k[c>>2]|0)==0;EO(j);EO(n);if(p){p=44;break}b=(k[s>>2]|0)+60|0;d=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(464,l|0,c|0);p=y;y=0;if(p&1){p=19;break}y=0;oa(d|0,b|0,l|0);p=y;y=0;if(p&1){p=43;break}EO(l)}if((p|0)==19){b=pb()|0;p=21;break}else if((p|0)==38)b=pb()|0;else if((p|0)==39){b=pb()|0;p=41}else if((p|0)==40){b=pb()|0;EO(j);p=41}else if((p|0)==43){b=pb()|0;EO(l);break}else if((p|0)==44){y=0;ta(70,a|0,1,0)|0;p=y;y=0;if(p&1){p=20;break}p=k[s>>2]|0;y=0;na(k[(k[p>>2]|0)+112>>2]|0,p|0);p=y;y=0;if(p&1){p=20;break}b=k[s>>2]|0;if(!b)b=0;else i[b+8>>0]=1;y=0;oa(482,o|0,b|0);p=y;y=0;if(p&1){p=20;break}else{p=49;break}}if((p|0)==41)EO(n)}}while(0);if((p|0)==20){b=pb()|0;p=21}else if((p|0)==49){EO(c);EO(s);s=k[o>>2]|0;r=q;return s|0}EO(c)}}}if((p|0)==13)b=pb()|0;EO(s);s=b;sb(s|0)}while(0);zqa(m);s=b;sb(s|0);return 0}function _g(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;v=r;r=r+64|0;t=v;w=v+52|0;s=v+48|0;q=v+44|0;u=v+40|0;k[w>>2]=0;x=w+4|0;k[x>>2]=0;k[w+8>>2]=0;d=k[a+76>>2]|0;m=(k[a+80>>2]|0)-d>>2;a:do if(!m)f=3;else{n=a+76|0;o=b+72|0;p=b+76|0;j=b+80|0;l=w+8|0;b=0;b:while(1){y=0;oa(464,s|0,d+(b<<2)|0);h=y;y=0;if(h&1){f=8;break}h=(k[j>>2]|0)-(k[p>>2]|0)>>2;if(h|0){g=0;do{y=0;d=Ha(k[(k[o>>2]|0)+16>>2]|0,o|0,g|0)|0;f=y;y=0;if(f&1){f=15;break b}y=0;d=ta(51,k[s>>2]|0,k[d>>2]|0,c|0)|0;f=y;y=0;if(f&1){f=16;break b}y=0;oa(482,q|0,d|0);f=y;y=0;if(f&1){f=16;break b}e=k[q>>2]|0;c:do if(e|0){f=(k[e+80>>2]|0)-(k[e+76>>2]|0)>>2;if(f|0){d=0;while(1){y=0;oa(482,t|0,k[(k[e+76>>2]|0)+(d<<2)>>2]|0);e=y;y=0;if(e&1){f=24;break b}e=k[x>>2]|0;if(e>>>0<(k[l>>2]|0)>>>0){y=0;oa(464,e|0,t|0);e=y;y=0;if(e&1){f=25;break b}k[x>>2]=(k[x>>2]|0)+4}else{y=0;oa(517,w|0,t|0);e=y;y=0;if(e&1){f=25;break b}}EO(t);d=d+1|0;if(d>>>0>=f>>>0)break c;e=k[q>>2]|0}}}while(0);EO(q);g=g+1|0}while(g>>>0<h>>>0)}EO(s);b=b+1|0;if(b>>>0>=m>>>0){f=3;break a}d=k[n>>2]|0}if((f|0)==8){e=pb()|0;break}else if((f|0)==15)b=pb()|0;else if((f|0)==16)b=pb()|0;else if((f|0)==24){b=pb()|0;f=26}else if((f|0)==25){b=pb()|0;EO(t);f=26}if((f|0)==26)EO(q);EO(s);e=b}while(0);d:do if((f|0)==3){y=0;j=qa(332,104)|0;s=y;y=0;if(s&1){e=pb()|0;break}e=t;b=a+12|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));y=0;na(366,j|0);s=y;y=0;do if(s&1)b=pb()|0;else{e=j+12|0;b=t;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j>>2]=11396;i[j+60>>0]=0;i[j+61>>0]=0;i[j+62>>0]=0;k[j+64>>2]=0;k[j+68>>2]=0;k[j+56>>2]=7;e=j+72|0;k[e>>2]=14012;g=j+76|0;h=j+80|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(513,g|0,0);t=y;y=0;if(t&1){b=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{v=e+-4|0;k[h>>2]=v;EO(v);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[j>>2]=13796;k[e>>2]=13972;k[j+92>>2]=0;k[j+96>>2]=0;k[j+100>>2]=0;d=k[w>>2]|0;do if((d|0)==(k[x>>2]|0))b=d;else{b=13972;while(1){b=k[b+20>>2]|0;y=0;oa(464,u|0,d|0);t=y;y=0;if(t&1){f=53;break}y=0;oa(b|0,e|0,u|0);t=y;y=0;if(t&1){f=54;break}EO(u);d=d+4|0;if((d|0)==(k[x>>2]|0)){f=39;break}b=k[e>>2]|0}if((f|0)==39){b=k[w>>2]|0;break}else if((f|0)==53){e=pb()|0;break d}else if((f|0)==54){e=pb()|0;EO(u);break d}}while(0);if(!b){r=v;return j|0}if((d|0)!=(b|0)){do{u=d+-4|0;k[x>>2]=u;EO(u);d=k[x>>2]|0}while((d|0)!=(b|0));b=k[w>>2]|0}zqa(b);r=v;return j|0}while(0);zqa(j);e=b}while(0);b=k[w>>2]|0;if(!b)sb(e|0);d=k[x>>2]|0;if((d|0)!=(b|0)){do{v=d+-4|0;k[x>>2]=v;EO(v);d=k[x>>2]|0}while((d|0)!=(b|0));b=k[w>>2]|0}zqa(b);sb(e|0);return 0}function $g(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+11|0;c=i[d>>0]|0;e=a+4|0;b=k[e>>2]|0;do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,39383,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=5;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,39386,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=4;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,39389,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=2;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,39392,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=3;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,39395,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=1;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,39398,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=0;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==3){y=0;b=sa(21,a|0,0,-1,39401,3)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=256;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==4){y=0;b=sa(21,a|0,0,-1,39405,4)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=257;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==3){y=0;b=sa(21,a|0,0,-1,39410,3)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=258;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==4){y=0;b=sa(21,a|0,0,-1,39414,4)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=259;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==1){y=0;b=sa(21,a|0,0,-1,39419,1)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=512;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,39421,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=513;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,39424,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=768;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==3){y=0;b=sa(21,a|0,0,-1,39427,3)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=769;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==3){y=0;b=sa(21,a|0,0,-1,39431,3)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=1024;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==4){y=0;b=sa(21,a|0,0,-1,39435,4)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){a=1025;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);if(((c<<24>>24<0?b:c&255)|0)!=4){a=1280;return a|0}y=0;b=sa(21,a|0,0,-1,39440,4)|0;a=y;y=0;if(a&1){a=tb(0)|0;dla(a)}else return ((b|0)==0?1026:1280)|0;return 0}function ah(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;w=r;r=r+144|0;s=w+128|0;l=w;e=w+76|0;d=w+72|0;j=w+88|0;o=w+80|0;n=w+68|0;m=w+60|0;q=w+52|0;z=w+64|0;t=w+48|0;x=w+56|0;u=w+44|0;v=w+40|0;A=ZL(88)|0;p=b+68|0;y=0;oa(464,d|0,p|0);h=y;y=0;if(h&1)b=pb()|0;else{g=k[d>>2]|0;k[o>>2]=g;f=j;g=g+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;oa(464,e|0,p|0);h=y;y=0;if(h&1)b=pb()|0;else{d=k[e>>2]|0;k[n>>2]=d;b=k[d+68>>2]|0;d=k[d+64>>2]|0;f=l;g=j;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(366,A|0);j=y;y=0;do if(j&1)b=pb()|0;else{d=b-d>>2;f=A+12|0;g=l;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[A+52>>0]=0;i[A+53>>0]=0;i[A+54>>0]=0;b=A+56|0;k[b>>2]=0;k[A>>2]=7760;l=A+60|0;k[l>>2]=7720;g=A+64|0;h=A+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(518,g|0,d|0);j=y;y=0;if(j&1){b=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{z=e+-4|0;k[h>>2]=z;EO(z);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[A>>2]=7552;k[l>>2]=7680;k[A+80>>2]=0;i[A+84>>0]=0;i[A+85>>0]=0;k[b>>2]=5;EO(n);EO(o);rT(s,p);j=k[s>>2]|0;k[m>>2]=j;j=(k[j+68>>2]|0)-(k[j+64>>2]|0)>>2;EO(m);if(!j){r=w;return A|0}g=c+68|0;e=0;a:while(1){rT(s,g);h=k[s>>2]|0;k[q>>2]=h;h=(k[h+68>>2]|0)-(k[h+64>>2]|0)>>2;EO(q);if(h|0){f=0;do{rT(s,p);b=k[s>>2]|0;k[t>>2]=b;b=b+60|0;y=0;b=Ha(k[(k[b>>2]|0)+16>>2]|0,b|0,e|0)|0;o=y;y=0;if(o&1){d=29;break a}y=0;oa(464,z|0,b|0);o=y;y=0;if(o&1){d=29;break a}EO(t);y=0;oa(464,s|0,g|0);o=y;y=0;if(o&1){d=30;break a}b=k[s>>2]|0;k[u>>2]=b;b=b+60|0;y=0;b=Ha(k[(k[b>>2]|0)+16>>2]|0,b|0,f|0)|0;o=y;y=0;if(o&1){d=31;break a}y=0;oa(464,x|0,b|0);o=y;y=0;if(o&1){d=31;break a}EO(u);b=k[z>>2]|0;if(!b)d=0;else d=pw(b,40,1232,0)|0;b=k[x>>2]|0;if(!b)b=0;else b=pw(b,40,1232,0)|0;y=0;b=ta(159,a|0,d|0,b|0)|0;o=y;y=0;if(o&1){d=39;break a}if(b|0){d=k[(k[l>>2]|0)+20>>2]|0;y=0;oa(482,v|0,b|0);o=y;y=0;if(o&1){d=40;break a}y=0;oa(d|0,l|0,v|0);o=y;y=0;if(o&1){d=41;break a}EO(v)}EO(x);EO(z);f=f+1|0}while(f>>>0<h>>>0)}e=e+1|0;if(e>>>0>=j>>>0){d=13;break}}if((d|0)==13){r=w;return A|0}else if((d|0)==29){A=pb()|0;EO(t);sb(A|0)}else if((d|0)==30)b=pb()|0;else if((d|0)==31){b=pb()|0;EO(u)}else if((d|0)==39){b=pb()|0;d=43}else if((d|0)==40){b=pb()|0;d=43}else if((d|0)==41){b=pb()|0;EO(v);d=43}if((d|0)==43)EO(x);EO(z);A=b;sb(A|0)}while(0);EO(n)}EO(o)}zqa(A);A=b;sb(A|0);return 0}function bh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;D=r;r=r+144|0;C=D+96|0;u=D+56|0;v=D+44|0;x=D+32|0;w=D+20|0;z=D+8|0;g=D;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;jI(C,35405,7);y=0;b=Ha(971,a|0,C|0)|0;B=y;y=0;if(B&1){D=pb()|0;$9(C);sb(D|0)}b=k[b>>2]|0;if(!b)B=0;else B=pw(b,8,448,0)|0;$9(C);if(B|0){k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;jI(x,35405,7);y=0;b=C;s=e;t=b+40|0;do{k[b>>2]=k[s>>2];b=b+4|0;s=s+4|0}while((b|0)<(t|0));Ia(1,x|0,a|0,d|0,C|0,0.0,100.0,f|0)|0;A=y;y=0;if(A&1){D=pb()|0;$9(x);sb(D|0)}$9(x);k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;jI(x,35329,6);y=0;b=C;s=e;t=b+40|0;do{k[b>>2]=k[s>>2];b=b+4|0;s=s+4|0}while((b|0)<(t|0));g=sa(24,x|0,a|0,d|0,C|0,f|0)|0;A=y;y=0;if(A&1){D=pb()|0;$9(x);sb(D|0)}$9(x);l=+p[g+64>>3]/255.0;m=+p[g+72>>3]/255.0;n=+p[g+80>>3]/255.0;b=m<n;j=b?n:m;j=l<j?j:l;h=n<m?n:m;h=h<l?h:l;o=j-h;i=j+h;q=i*.5;do if(j==h){h=0.0;i=0.0}else{i=o/(q<.5?i:2.0-j-h);if(l==j){h=(b?6.0:0.0)+(m-n)/o;break}if(m==j){h=(n-l)/o+2.0;break}if(n==j)h=(l-m)/o+4.0;else h=0.0}while(0);l=h/6.0*360.0;j=q*100.0;i=i*100.0+ +p[B+64>>3];i=i<0.0?0.0:i;i=i>100.0?100.0:i;h=+p[g+88>>3];b=C;s=e;t=b+40|0;do{k[b>>2]=k[s>>2];b=b+4|0;s=s+4|0}while((b|0)<(t|0));C=lm(l,i,j,h,0,C)|0;r=D;return C|0}d=ZL(80)|0;b=u;s=e;t=b+40|0;do{k[b>>2]=k[s>>2];b=b+4|0;s=s+4|0}while((b|0)<(t|0));k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(75,z|0,35329,6);e=y;y=0;if(e&1)b=pb()|0;else{y=0;b=Ha(971,a|0,z|0)|0;e=y;y=0;if(e&1)A=14;else{e=k[b>>2]|0;B=k[(k[e>>2]|0)+28>>2]|0;s=k[c+16>>2]|0;t=k[s+4>>2]|0;c=g;k[c>>2]=k[s>>2];k[c+4>>2]=t;y=0;k[C>>2]=k[g>>2];k[C+4>>2]=k[g+4>>2];Na(B|0,w|0,e|0,C|0);e=y;y=0;if(e&1)A=14;else{y=0;b=ta(52,w|0,0,35413)|0;e=y;y=0;if(e&1)b=pb()|0;else{k[x>>2]=k[b>>2];k[x+4>>2]=k[b+4>>2];k[x+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,x|0,44127)|0;e=y;y=0;do if(e&1)b=pb()|0;else{k[v>>2]=k[b>>2];k[v+4>>2]=k[b+4>>2];k[v+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=C;s=u;t=b+40|0;do{k[b>>2]=k[s>>2];b=b+4|0;s=s+4|0}while((b|0)<(t|0));Ea(2,d|0,C|0,v|0,0,0,0,1);C=y;y=0;if(C&1){b=pb()|0;$9(v);break}$9(v);$9(x);$9(w);$9(z);C=d;r=D;return C|0}while(0);$9(x)}$9(w)}}if((A|0)==14)b=pb()|0;$9(z)}zqa(d);D=b;sb(D|0);return 0}function ch(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;s=0;w=r;r=r+16|0;x=w;v=EZ(g,78144)|0;u=EZ(g,78160)|0;mc[k[(k[u>>2]|0)+20>>2]&1023](x,u);k[f>>2]=d;g=i[a>>0]|0;a:do switch(g<<24>>24){case 43:case 45:{y=0;g=Ha(k[(k[v>>2]|0)+28>>2]|0,v|0,g|0)|0;t=y;y=0;if(t&1){g=pb()|0;break a}else{l=k[f>>2]|0;k[f>>2]=l+1;i[l>>0]=g;l=a+1|0;s=5;break a}}default:{l=a;s=5}}while(0);b:do if((s|0)==5){t=c;c:do if((t-l|0)>1)if((i[l>>0]|0)==48){h=l+1|0;switch(i[h>>0]|0){case 88:case 120:break;default:{g=l;s=20;break c}}y=0;g=Ha(k[(k[v>>2]|0)+28>>2]|0,v|0,48)|0;q=y;y=0;if(!(q&1)){q=k[f>>2]|0;k[f>>2]=q+1;i[q>>0]=g;l=l+2|0;y=0;g=Ha(k[(k[v>>2]|0)+28>>2]|0,v|0,i[h>>0]|0)|0;q=y;y=0;if(!(q&1)){s=k[f>>2]|0;k[f>>2]=s+1;i[s>>0]=g;g=l;while(1){if(g>>>0>=c>>>0){s=25;break c}h=i[g>>0]|0;y=0;j=La(3)|0;s=y;y=0;if(s&1)break;y=0;h=Ha(1028,h<<24>>24|0,j|0)|0;s=y;y=0;if(s&1)break;if(!h){s=25;break c}g=g+1|0}g=pb()|0;break b}}}else{g=l;s=20}else{g=l;s=20}while(0);d:do if((s|0)==20){while(1){if(g>>>0>=c>>>0){s=25;break d}h=i[g>>0]|0;y=0;j=La(3)|0;s=y;y=0;if(s&1)break;y=0;h=Ha(1029,h<<24>>24|0,j|0)|0;s=y;y=0;if(s&1)break;if(!h){s=25;break d}g=g+1|0;s=20}g=pb()|0;break b}while(0);e:do if((s|0)==25){p=x+11|0;o=i[p>>0]|0;q=x+4|0;f:do if(!((o<<24>>24<0?k[q>>2]|0:o&255)|0)){y=0;Ma(k[(k[v>>2]|0)+32>>2]|0,v|0,l|0,g|0,k[f>>2]|0)|0;q=y;y=0;if(q&1)break e;k[f>>2]=(k[f>>2]|0)+(g-l);j=v}else{g:do if((l|0)!=(g|0)){h=g;j=l;while(1){h=h+-1|0;if(j>>>0>=h>>>0)break g;o=i[j>>0]|0;i[j>>0]=i[h>>0]|0;i[h>>0]=o;j=j+1|0}}while(0);y=0;o=qa(k[(k[u>>2]|0)+16>>2]|0,u|0)|0;n=y;y=0;if(n&1)break e;n=l;h=0;j=0;while(1){if(n>>>0>=g>>>0)break;m=i[((i[p>>0]|0)<0?k[x>>2]|0:x)+h>>0]|0;if(m<<24>>24>0&(j|0)==(m<<24>>24|0)){j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=o;j=i[p>>0]|0;h=(h>>>0<((j<<24>>24<0?k[q>>2]|0:j&255)+-1|0)>>>0&1)+h|0;j=0}y=0;m=Ha(k[(k[v>>2]|0)+28>>2]|0,v|0,i[n>>0]|0)|0;z=y;y=0;if(z&1){s=40;break}z=k[f>>2]|0;k[f>>2]=z+1;i[z>>0]=m;n=n+1|0;j=j+1|0}if((s|0)==40){g=pb()|0;break b}j=d+(l-a)|0;h=k[f>>2]|0;if((j|0)==(h|0))j=v;else while(1){h=h+-1|0;if(j>>>0>=h>>>0){j=v;break f}z=i[j>>0]|0;i[j>>0]=i[h>>0]|0;i[h>>0]=z;j=j+1|0}}while(0);while(1){if(g>>>0>=c>>>0)break;h=i[g>>0]|0;if(h<<24>>24==46){s=45;break}y=0;h=Ha(k[(k[j>>2]|0)+28>>2]|0,v|0,h|0)|0;z=y;y=0;if(z&1){s=15;break}z=k[f>>2]|0;k[f>>2]=z+1;i[z>>0]=h;g=g+1|0}if((s|0)==15){g=pb()|0;break b}if((s|0)==45){y=0;h=qa(k[(k[u>>2]|0)+12>>2]|0,u|0)|0;z=y;y=0;if(z&1)break;z=k[f>>2]|0;k[f>>2]=z+1;i[z>>0]=h;g=g+1|0}y=0;Ma(k[(k[v>>2]|0)+32>>2]|0,v|0,g|0,c|0,k[f>>2]|0)|0;z=y;y=0;if(!(z&1)){z=(k[f>>2]|0)+(t-g)|0;k[f>>2]=z;k[e>>2]=(b|0)==(c|0)?z:d+(b-a)|0;$9(x);r=w;return}}while(0);g=pb()|0}while(0);$9(x);sb(g|0)}function dh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;m=0;j=r;r=r+256|0;h=j+216|0;o=j+204|0;d=j+208|0;n=j+192|0;e=j;l=j+24|0;f=j+8|0;rT(h,b+72|0);c=k[h>>2]|0;k[d>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;g=y;y=0;if(!(g&1)){y=0;oa(482,o|0,c|0);g=y;y=0;if(!(g&1)){EO(d);g=k[o>>2]|0;c=k[(k[g>>2]|0)+28>>2]|0;d=a+8|0;s=k[(k[d>>2]|0)+16>>2]|0;q=k[s+4>>2]|0;p=e;k[p>>2]=k[s>>2];k[p+4>>2]=q;y=0;k[h>>2]=k[e>>2];k[h+4>>2]=k[e+4>>2];Na(c|0,n|0,g|0,h|0);g=y;y=0;if(g&1)c=pb()|0;else{y=0;oa(567,f|0,n|0);s=y;y=0;a:do if(s&1){c=pb()|0;m=23}else{y=0;ma(5,l|0,f|0,0,0,1);s=y;y=0;do if(s&1)c=pb()|0;else{y=0;c=Ha(970,l|0,41782)|0;s=y;y=0;if(s&1){c=pb()|0;$9(l);break}k[h>>2]=k[c>>2];k[h+4>>2]=k[c+4>>2];k[h+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;c=n+11|0;if((i[c>>0]|0)<0){i[k[n>>2]>>0]=0;k[n+4>>2]=0}else{i[n>>0]=0;i[c>>0]=0}y=0;oa(506,n|0,0);s=y;y=0;if(s&1){s=tb(0)|0;dla(s)}k[n>>2]=k[h>>2];k[n+4>>2]=k[h+4>>2];k[n+8>>2]=k[h+8>>2];k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;$9(h);$9(l);$9(f);g=(i[c>>0]|0)<0?k[n>>2]|0:n;c=k[d>>2]|0;y=0;d=h;e=b+12|0;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));ma(15,l|0,g|0,c|0,h|0,0);s=y;y=0;if(s&1){c=pb()|0;break a}k[l+68>>2]=k[b+64>>2];y=0;c=Ha(1001,l|0,(i[(k[(k[(k[a+4>>2]|0)+40>>2]|0)+-4>>2]|0)+84>>0]|0)!=0|0)|0;s=y;y=0;if(s&1){c=pb()|0;b=N}else{k[h>>2]=c;y=0;c=qa(k[(k[b>>2]|0)+128>>2]|0,b|0)|0;s=y;y=0;do if(!(s&1)){if(c){y=0;na(367,k[h>>2]|0);s=y;y=0;if(s&1)break}y=0;g=Ha(k[(k[a>>2]|0)+276>>2]|0,a|0,k[h>>2]|0)|0;s=y;y=0;if(!(s&1)){EO(h);c=k[l+56>>2]|0;d=c;if(c|0){e=l+60|0;f=k[e>>2]|0;if((f|0)!=(c|0))k[e>>2]=f+(~((f+-4-d|0)>>>2)<<2);zqa(c)}f=l+44|0;c=k[f>>2]|0;if(!c){$9(n);EO(o);r=j;return g|0}e=l+48|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{s=d+-4|0;k[e>>2]=s;EO(s);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c);$9(n);EO(o);r=j;return g|0}}while(0);c=pb()|0;b=N;EO(h)}d=k[l+56>>2]|0;e=d;if(d|0){f=l+60|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~((g+-4-e|0)>>>2)<<2);zqa(d)}g=l+44|0;d=k[g>>2]|0;if(d|0){f=l+48|0;e=k[f>>2]|0;if((e|0)!=(d|0)){do{s=e+-4|0;k[f>>2]=s;EO(s);e=k[f>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break a}while(0);$9(f);m=23}while(0);$9(n)}EO(o);s=c;sb(s|0)}}s=pb()|0;EO(d);sb(s|0);return 0}function eh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;u=0;t=r;r=r+112|0;n=t;v=t+104|0;s=t+40|0;m=t+108|0;o=t+64|0;p=t+52|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;jI(n,36349,5);y=0;b=Ha(971,a|0,n|0)|0;q=y;y=0;if(!(q&1)){b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,216,0)|0;y=0;oa(482,v|0,b|0);q=y;y=0;if(!(q&1)){$9(n);a:do if(!(k[v>>2]|0)){y=0;q=qa(332,88)|0;l=y;y=0;b:do if(l&1)u=24;else{b=n;h=e;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));y=0;na(366,q|0);l=y;y=0;do if(l&1)b=pb()|0;else{b=q+12|0;h=n;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));i[q+52>>0]=0;i[q+53>>0]=0;i[q+54>>0]=0;b=q+56|0;k[b>>2]=0;k[q>>2]=7760;c=q+60|0;k[c>>2]=7720;j=q+64|0;l=q+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(518,j|0,1);h=y;y=0;if(h&1){b=pb()|0;h=N;c=k[j>>2]|0;if(c|0){g=k[l>>2]|0;if((g|0)!=(c|0)){do{e=g+-4|0;k[l>>2]=e;EO(e);g=k[l>>2]|0}while((g|0)!=(c|0));c=k[j>>2]|0}zqa(c)}break}k[q>>2]=7552;k[c>>2]=7680;k[q+80>>2]=1;i[q+84>>0]=0;i[q+85>>0]=0;k[b>>2]=5;y=0;oa(482,s|0,q|0);q=y;y=0;if(q&1){u=24;break b}y=0;Ha(966,v|0,s|0)|0;q=y;y=0;if(q&1){b=pb()|0;EO(s);break b}EO(s);c=(k[v>>2]|0)+60|0;g=k[(k[c>>2]|0)+20>>2]|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,36349,5);q=y;y=0;if(q&1)b=pb()|0;else{y=0;b=n;h=e;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));b=sa(27,s|0,a|0,d|0,n|0,f|0)|0;f=y;y=0;do if(f&1)u=30;else{y=0;oa(482,m|0,b|0);f=y;y=0;if(f&1)u=30;else{y=0;oa(g|0,c|0,m|0);f=y;y=0;if(f&1){b=pb()|0;EO(m);break}else{EO(m);$9(s);u=34;break a}}}while(0);if((u|0)==30)b=pb()|0;$9(s)}break a}while(0);zqa(q)}while(0);if((u|0)==24)b=pb()|0}else u=34;while(0);do if((u|0)==34){y=0;c=qa(332,80)|0;u=y;y=0;if(u&1){b=pb()|0;break}b=o;h=e;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));u=(k[(k[v>>2]|0)+80>>2]|0)==0?36502:36496;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(75,p|0,u|0,5);u=y;y=0;do if(u&1)b=pb()|0;else{y=0;b=n;h=o;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));Ea(2,c|0,n|0,p|0,0,0,0,1);u=y;y=0;if(u&1){b=pb()|0;$9(p);break}else{$9(p);EO(v);r=t;return c|0}}while(0);zqa(c)}while(0);EO(v);v=b;sb(v|0)}}v=pb()|0;$9(n);sb(v|0);return 0}function fh(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;w=0;x=r;r=r+16|0;s=x+12|0;q=x+8|0;u=x+4|0;v=x;i=yV(d)|0;k[s>>2]=i;y=0;t=Ha(973,s|0,78176)|0;p=y;y=0;if(p&1){x=pb()|0;lQ(i)|0;sb(x|0)}lQ(i)|0;k[e>>2]=0;i=0;a:while(1){p=(g|0)!=(h|0);j=i;while(1){i=k[b>>2]|0;if(!(p&(j|0)==0))break a;l=i;if(!i){i=0;n=1;o=l}else{j=k[i+12>>2]|0;if((j|0)==(k[i+16>>2]|0))j=oc[k[(k[i>>2]|0)+36>>2]&511](i)|0;else j=k[j>>2]|0;if((j|0)==-1){k[b>>2]=0;i=0;n=1;o=0}else{n=0;o=l}}m=k[c>>2]|0;j=m;do if(!m)w=17;else{l=k[m+12>>2]|0;if((l|0)==(k[m+16>>2]|0))l=oc[k[(k[m>>2]|0)+36>>2]&511](m)|0;else l=k[l>>2]|0;if((l|0)==-1){k[c>>2]=0;j=0;w=17;break}else if(n)break;else{w=19;break a}}while(0);if((w|0)==17){w=0;if(n){w=19;break a}else m=0}if((rc[k[(k[t>>2]|0)+52>>2]&255](t,k[g>>2]|0,0)|0)<<24>>24==37){w=22;break}if(rc[k[(k[t>>2]|0)+12>>2]&255](t,8192,k[g>>2]|0)|0){w=30;break}l=i+12|0;j=k[l>>2]|0;m=i+16|0;if((j|0)==(k[m>>2]|0))j=oc[k[(k[i>>2]|0)+36>>2]&511](i)|0;else j=k[j>>2]|0;o=Fc[k[(k[t>>2]|0)+28>>2]&2047](t,j)|0;if((o|0)==(Fc[k[(k[t>>2]|0)+28>>2]&2047](t,k[g>>2]|0)|0)){w=58;break}k[e>>2]=4;j=4}b:do if((w|0)==22){w=0;n=g+4|0;if((n|0)==(h|0)){w=23;break a}l=rc[k[(k[t>>2]|0)+52>>2]&255](t,k[n>>2]|0,0)|0;switch(l<<24>>24){case 48:case 69:{g=g+8|0;if((g|0)==(h|0)){w=28;break a}m=l;i=rc[k[(k[t>>2]|0)+52>>2]&255](t,k[g>>2]|0,0)|0;g=n;break}default:{m=0;i=l}}p=k[(k[a>>2]|0)+36>>2]|0;k[u>>2]=o;k[v>>2]=j;k[q>>2]=k[u>>2];k[s>>2]=k[v>>2];p=Nc[p&15](a,q,s,d,e,f,i,m)|0;k[b>>2]=p;g=g+8|0}else if((w|0)==30){while(1){w=0;g=g+4|0;if((g|0)==(h|0)){g=h;break}if(rc[k[(k[t>>2]|0)+12>>2]&255](t,8192,k[g>>2]|0)|0)w=30;else break}j=m;n=m;while(1){if(!i){m=1;i=0}else{l=k[i+12>>2]|0;if((l|0)==(k[i+16>>2]|0))l=oc[k[(k[i>>2]|0)+36>>2]&511](i)|0;else l=k[l>>2]|0;if((l|0)==-1){k[b>>2]=0;m=1;i=0}else m=0}do if(!n)w=45;else{l=k[n+12>>2]|0;if((l|0)==(k[n+16>>2]|0))l=oc[k[(k[n>>2]|0)+36>>2]&511](n)|0;else l=k[l>>2]|0;if((l|0)==-1){k[c>>2]=0;j=0;w=45;break}else if(m^(j|0)==0){o=j;n=j;break}else break b}while(0);if((w|0)==45){w=0;if(m)break b;else{o=j;n=0}}l=i+12|0;j=k[l>>2]|0;m=i+16|0;if((j|0)==(k[m>>2]|0))j=oc[k[(k[i>>2]|0)+36>>2]&511](i)|0;else j=k[j>>2]|0;if(!(rc[k[(k[t>>2]|0)+12>>2]&255](t,8192,j)|0))break b;j=k[l>>2]|0;if((j|0)==(k[m>>2]|0)){oc[k[(k[i>>2]|0)+40>>2]&511](i)|0;j=o;continue}else{k[l>>2]=j+4;j=o;continue}}}else if((w|0)==58){w=0;j=k[l>>2]|0;if((j|0)==(k[m>>2]|0))oc[k[(k[i>>2]|0)+40>>2]&511](i)|0;else k[l>>2]=j+4;g=g+4|0}while(0);i=k[e>>2]|0}if((w|0)==19)k[e>>2]=4;else if((w|0)==23)k[e>>2]=4;else if((w|0)==28)k[e>>2]=4;if(!i){i=0;l=1}else{g=k[i+12>>2]|0;if((g|0)==(k[i+16>>2]|0))g=oc[k[(k[i>>2]|0)+36>>2]&511](i)|0;else g=k[g>>2]|0;if((g|0)==-1){k[b>>2]=0;i=0;l=1}else l=0}g=k[c>>2]|0;do if(!g)w=76;else{j=k[g+12>>2]|0;if((j|0)==(k[g+16>>2]|0))g=oc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else g=k[j>>2]|0;if((g|0)==-1){k[c>>2]=0;w=76;break}else if(l)break;else{w=78;break}}while(0);if((w|0)==76)if(l)w=78;if((w|0)==78)k[e>>2]=k[e>>2]|2;r=x;return i|0}function gh(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;n=0;m=r;r=r+64|0;j=m;h=m+52|0;l=m+40|0;pK(h,76496);g=j;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));y=0;oa(629,a|0,h|0);p=y;y=0;if(p&1)b=pb()|0;else{k[a>>2]=14052;o=a+8|0;y=0;oa(452,o|0,h|0);p=y;y=0;do if(p&1)b=pb()|0;else{p=a+20|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(75,p|0,47013,5);g=y;y=0;if(g&1){b=pb()|0;$9(o);break}g=a+32|0;b=j;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));k[a+72>>2]=0;$9(h);k[a>>2]=15124;h=a+76|0;y=0;oa(452,h|0,c|0);g=y;y=0;if(g&1)b=pb()|0;else{g=a+88|0;y=0;oa(452,g|0,d|0);f=y;y=0;if(f&1)b=pb()|0;else{f=a+100|0;y=0;oa(452,f|0,e|0);b=y;y=0;if(b&1)b=pb()|0;else{k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;b=i[e+11>>0]|0;q=b<<24>>24<0;b=q?k[e+4>>2]|0:b&255;y=0;Ra(10,l|0,(q?k[e>>2]|0:e)|0,b|0,b+1|0);e=y;y=0;do if(e&1)n=28;else{y=0;ta(47,l|0,47081,1)|0;q=y;y=0;if(q&1)n=28;else{b=i[c+11>>0]|0;q=b<<24>>24<0;y=0;b=ta(47,l|0,(q?k[c>>2]|0:c)|0,(q?k[c+4>>2]|0:b&255)|0)|0;q=y;y=0;if(q&1){b=pb()|0;$9(l);n=30;break}k[j>>2]=k[b>>2];k[j+4>>2]=k[b+4>>2];k[j+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=o+11|0;if((i[b>>0]|0)<0){i[k[o>>2]>>0]=0;k[a+12>>2]=0}else{i[o>>0]=0;i[b>>0]=0}y=0;oa(506,o|0,0);q=y;y=0;if(q&1){q=tb(0)|0;dla(q)}k[o>>2]=k[j>>2];k[o+4>>2]=k[j+4>>2];k[o+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;$9(j);$9(l);y=0;Ha(970,o|0,47083)|0;q=y;y=0;if(q&1){b=pb()|0;break}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;q=i[d+11>>0]|0;l=q<<24>>24<0;q=l?k[d+4>>2]|0:q&255;y=0;Ra(10,j|0,(l?k[d>>2]|0:d)|0,q|0,q+1|0);q=y;y=0;do if(q&1)n=32;else{y=0;ta(47,j|0,50724,1)|0;q=y;y=0;if(q&1){n=32;break}q=i[j+11>>0]|0;l=q<<24>>24<0;y=0;ta(47,o|0,(l?k[j>>2]|0:j)|0,(l?k[j+4>>2]|0:q&255)|0)|0;q=y;y=0;if(q&1){b=pb()|0;$9(j);break}else{$9(j);r=m;return}}while(0);if((n|0)==32){b=pb()|0;$9(j)}}}while(0);if((n|0)==28){b=pb()|0;$9(l);n=30}$9(f)}$9(g)}$9(h)}k[a>>2]=14052;$9(p);$9(o);cda(a);q=b;sb(q|0)}while(0);cda(a)}$9(h);q=b;sb(q|0)}function hh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0;B=r;r=r+176|0;u=B;h=B+164|0;l=B+152|0;q=B+112|0;A=B+104|0;z=B+64|0;E=B+56|0;D=B+44|0;t=B+40|0;b=B+36|0;s=B+32|0;j=B+24|0;v=B+16|0;mw(a,0,0)|0;w=a+128|0;wN(a+108|0,w);k[a+132>>2]=0;k[w>>2]=0;x=a+108|0;c=z;d=x;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));C=ig(a)|0;k[E>>2]=C;k[D>>2]=0;C=D+4|0;k[C>>2]=0;k[D+8>>2]=0;m=a+152|0;n=a+76|0;o=a+84|0;p=a+96|0;g=D+8|0;while(1){k[u>>2]=k[m>>2];k[u+4>>2]=k[m+4>>2];k[u+8>>2]=k[m+8>>2];f=k[n>>2]|0;k[h>>2]=k[o>>2];k[h+4>>2]=k[o+4>>2];k[h+8>>2]=k[o+8>>2];k[l>>2]=k[p>>2];k[l+4>>2]=k[p+4>>2];k[l+8>>2]=k[p+8>>2];c=q;d=x;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;ta(61,a|0,1,0)|0;e=y;y=0;if(e&1){a=13;break}y=0;c=ta(81,a|0,1,0)|0;e=y;y=0;if(e&1){a=13;break}if(!c){a=5;break}y=0;c=qa(373,a|0)|0;f=y;y=0;if(f&1){a=16;break}k[t>>2]=c;y=0;oa(482,u|0,c|0);f=y;y=0;if(f&1){a=17;break}c=k[C>>2]|0;if(c>>>0<(k[g>>2]|0)>>>0){y=0;oa(464,c|0,u|0);f=y;y=0;if(f&1){a=18;break}k[C>>2]=(k[C>>2]|0)+4}else{y=0;oa(546,D|0,u|0);f=y;y=0;if(f&1){a=18;break}}EO(u);EO(t)}a:do if((a|0)==5){c=x;d=q;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[m>>2]=k[u>>2];k[m+4>>2]=k[u+4>>2];k[m+8>>2]=k[u+8>>2];k[n>>2]=f;k[p>>2]=k[l>>2];k[p+4>>2]=k[l+4>>2];k[p+8>>2]=k[l+8>>2];k[o>>2]=k[h>>2];k[o+4>>2]=k[h+4>>2];k[o+8>>2]=k[h+8>>2];b:do if((k[C>>2]|0)==(k[D>>2]|0)){y=0;oa(464,A|0,E|0);z=y;y=0;if(z&1)a=14}else{y=0;oa(464,s|0,E|0);t=y;y=0;if(t&1)a=14;else{k[j>>2]=0;i[j+4>>0]=0;i[j+5>>0]=0;y=0;k[u>>2]=k[j>>2];k[u+4>>2]=k[j+4>>2];c=Ma(14,0,s|0,D|0,u|0)|0;t=y;y=0;if(t&1){d=pb()|0;EO(s);break a}k[b>>2]=c;EO(s);c=z+20|0;y=0;Na(111,v|0,x|0,z|0);x=y;y=0;do if(x&1)a=29;else{y=0;Na(112,u|0,v|0,w|0);x=y;y=0;if(x&1)a=29;else{v=u;w=k[v+4>>2]|0;x=c;k[x>>2]=k[v>>2];k[x+4>>2]=w;DN((k[b>>2]|0)+12|0,z|0,40)|0;y=0;oa(464,A|0,b|0);z=y;y=0;if(z&1){c=pb()|0;break}else{EO(b);break b}}}while(0);if((a|0)==29)c=pb()|0;EO(b);d=c;break a}}while(0);if((a|0)==14){b=pb()|0;a=15;break}b=k[D>>2]|0;if(!b){EO(E);E=k[A>>2]|0;r=B;return E|0}c=k[C>>2]|0;if((c|0)!=(b|0)){do{z=c+-4|0;k[C>>2]=z;EO(z);c=k[C>>2]|0}while((c|0)!=(b|0));b=k[D>>2]|0}zqa(b);EO(E);E=k[A>>2]|0;r=B;return E|0}else if((a|0)==13){b=pb()|0;a=15}else if((a|0)==16){b=pb()|0;a=20}else if((a|0)==17){b=pb()|0;a=19}else if((a|0)==18){b=pb()|0;EO(u);a=19}while(0);if((a|0)==15)d=b;else if((a|0)==19){EO(t);a=20}if((a|0)==20)d=b;b=k[D>>2]|0;if(!b){EO(E);sb(d|0)}c=k[C>>2]|0;if((c|0)!=(b|0)){do{B=c+-4|0;k[C>>2]=B;EO(B);c=k[C>>2]|0}while((c|0)!=(b|0));b=k[D>>2]|0}zqa(b);EO(E);sb(d|0);return 0}function ih(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0;E=0;x=r;r=r+96|0;l=x+56|0;t=x+52|0;u=x+48|0;v=x+44|0;w=x+40|0;C=x+36|0;D=x+32|0;B=x+28|0;A=x+24|0;z=x+20|0;m=x+16|0;n=x+12|0;o=x;p=k[b>>2]|0;c=k[p+76>>2]|0;p=k[p+80>>2]|0;if((c|0)==(p|0)){r=x;return}q=a+76|0;s=a+80|0;h=a+76|0;j=l+4|0;a:while(1){rT(C,c);y=0;oa(464,D|0,C|0);g=y;y=0;if(g&1){E=11;break}y=0;oa(464,w|0,(k[D>>2]|0)+76|0);g=y;y=0;if(g&1){E=12;break}k[B>>2]=k[w>>2];y=0;oa(464,A|0,C|0);g=y;y=0;if(g&1){E=13;break}a=k[A>>2]|0;b:do if(a){while(1){y=0;oa(464,v|0,a+76|0);g=y;y=0;if(g&1){E=14;break a}a=k[v>>2]|0;k[z>>2]=a;if(a|0){a=k[k[a+76>>2]>>2]|0;if(!a)break;if(!(pw(a,144,384,0)|0))break}y=0;oa(464,l|0,(k[A>>2]|0)+80|0);g=y;y=0;if(g&1){E=24;break a}k[t>>2]=k[l>>2];y=0;Ha(966,A|0,t|0)|0;g=y;y=0;if(g&1){E=25;break a}EO(t);EO(z);a=k[A>>2]|0;if(!a)break b}y=0;Ha(966,B|0,z|0)|0;g=y;y=0;if(g&1){E=17;break a}EO(z);a=k[A>>2]|0}while(0);y=0;oa(464,t|0,a+76|0);g=y;y=0;if(g&1){E=15;break}g=k[t>>2]|0;k[m>>2]=g;if(!g){EO(m);E=33}else{y=0;oa(464,u|0,(k[A>>2]|0)+80|0);g=y;y=0;if(g&1){E=36;break}g=k[u>>2]|0;k[n>>2]=g;EO(n);EO(m);if(g|0)E=33}if((E|0)==33){E=0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,31184,36);g=y;y=0;if(g&1){E=15;break}y=0;a=l;e=(k[D>>2]|0)+12|0;f=a+40|0;do{k[a>>2]=k[e>>2];a=a+4|0;e=e+4|0}while((a|0)<(f|0));oa(458,o|0,l|0);g=y;y=0;if(g&1){E=37;break}$9(o)}f=k[B>>2]|0;i[f+62>>0]=i[(k[b>>2]|0)+62>>0]|0;e=k[q>>2]|0;g=(k[s>>2]|0)-e>>2;c:do if(g|0){a=0;while(1){y=0;oa(482,l|0,k[e+(a<<2)>>2]|0);e=y;y=0;if(e&1){E=47;break a}y=0;oa(482,j|0,f|0);f=y;y=0;if(f&1){E=43;break a}y=0;Na(84,d|0,B|0,l|0);f=y;y=0;if(f&1){E=49;break a}EO(j);EO(l);a=a+1|0;if(a>>>0>=g>>>0)break c;e=k[h>>2]|0;f=k[B>>2]|0}}while(0);EO(A);EO(B);EO(D);EO(C);c=c+4|0;if((c|0)==(p|0)){E=3;break}}switch(E|0){case 3:{r=x;return}case 11:{E=pb()|0;EO(C);sb(E|0)}case 12:{c=pb()|0;break}case 13:{c=pb()|0;E=52;break}case 14:{c=pb()|0;E=16;break}case 15:{c=pb()|0;E=16;break}case 17:{c=pb()|0;E=27;break}case 24:{c=pb()|0;E=26;break}case 25:{c=pb()|0;EO(t);E=26;break}case 36:{c=pb()|0;EO(m);E=51;break}case 37:{c=pb()|0;$9(o);E=51;break}case 43:{c=pb()|0;EO(l);E=48;break}case 47:{c=pb()|0;E=48;break}case 49:{c=pb()|0;EO(j);EO(l);E=50;break}}if((E|0)==16)E=51;else if((E|0)==26)E=27;else if((E|0)==48)E=50;if((E|0)==27){EO(z);E=51}else if((E|0)==50)E=51;if((E|0)==51){EO(A);E=52}if((E|0)==52)EO(B);EO(D);E=c;EO(C);sb(E|0)}function jh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;o=0;w=r;r=r+112|0;h=w;l=(d-c|0)/12|0;do if(l>>>0>100){j=pd(l)|0;if(!j){y=0;la(6);v=y;y=0;if(v&1){c=pb()|0;break}}h=j;v=j;o=6}else{v=0;o=6}while(0);if((o|0)==6){n=c;o=h;j=0;while(1){if((n|0)==(d|0))break;m=i[n+8+3>>0]|0;if(m<<24>>24<0)m=k[n+4>>2]|0;else m=m&255;if(!m){i[o>>0]=2;j=j+1|0;l=l+-1|0}else i[o>>0]=1;n=n+12|0;o=o+1|0}u=0;s=j;a:while(1){j=k[a>>2]|0;do if(!j)o=1;else{m=k[j+12>>2]|0;if((m|0)==(k[j+16>>2]|0)){y=0;j=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;t=y;y=0;if(t&1){o=43;break a}}else j=k[m>>2]|0;if((j|0)==-1){k[a>>2]=0;o=1;break}else{o=(k[a>>2]|0)==0;break}}while(0);m=k[b>>2]|0;if(!m){m=0;j=1}else{j=k[m+12>>2]|0;if((j|0)==(k[m+16>>2]|0)){y=0;j=qa(k[(k[m>>2]|0)+36>>2]|0,m|0)|0;t=y;y=0;if(t&1){o=43;break}}else j=k[j>>2]|0;if((j|0)==-1){k[b>>2]=0;m=0;j=1}else j=0}n=k[a>>2]|0;if(!((l|0)!=0&(o^j))){o=30;break}j=k[n+12>>2]|0;if((j|0)==(k[n+16>>2]|0)){y=0;j=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;t=y;y=0;if(t&1){o=43;break}}else j=k[j>>2]|0;if(!g){y=0;j=Ha(k[(k[e>>2]|0)+28>>2]|0,e|0,j|0)|0;t=y;y=0;if(t&1){o=49;break}}t=u+1|0;p=c;o=0;q=h;while(1){if((p|0)==(d|0))break;do if((i[q>>0]|0)==1){n=p+8+3|0;if((i[n>>0]|0)<0)m=k[p>>2]|0;else m=p;m=k[m+(u<<2)>>2]|0;if(!g){y=0;m=Ha(k[(k[e>>2]|0)+28>>2]|0,e|0,m|0)|0;x=y;y=0;if(x&1){o=59;break a}}if((j|0)!=(m|0)){i[q>>0]=0;m=o;n=s;l=l+-1|0;break}m=i[n>>0]|0;if(m<<24>>24<0)m=k[p+4>>2]|0;else m=m&255;if((m|0)==(t|0)){i[q>>0]=2;m=1;n=s+1|0;l=l+-1|0}else{m=1;n=s}}else{m=o;n=s}while(0);p=p+12|0;o=m;q=q+1|0;s=n}if(!o){u=t;continue}j=k[a>>2]|0;m=j+12|0;n=k[m>>2]|0;if((n|0)==(k[j+16>>2]|0)){y=0;qa(k[(k[j>>2]|0)+40>>2]|0,j|0)|0;x=y;y=0;if(x&1){o=73;break}}else k[m>>2]=n+4;if((s+l|0)>>>0>1){n=c;o=h;j=s}else{u=t;continue}while(1){if((n|0)==(d|0)){u=t;s=j;continue a}if((i[o>>0]|0)==2){m=i[n+8+3>>0]|0;if(m<<24>>24<0)m=k[n+4>>2]|0;else m=m&255;if((m|0)!=(t|0)){i[o>>0]=0;j=j+-1|0}}n=n+12|0;o=o+1|0}}if((o|0)==30){do if(!n){l=1;o=37}else{j=k[n+12>>2]|0;if((j|0)==(k[n+16>>2]|0)){y=0;j=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;x=y;y=0;if(x&1)break}else j=k[j>>2]|0;if((j|0)==-1){k[a>>2]=0;l=1;o=37;break}else{l=(k[a>>2]|0)==0;o=37;break}}while(0);b:do if((o|0)==37){do if(!m)o=81;else{j=k[m+12>>2]|0;if((j|0)==(k[m+16>>2]|0)){y=0;j=qa(k[(k[m>>2]|0)+36>>2]|0,m|0)|0;x=y;y=0;if(x&1)break b}else j=k[j>>2]|0;if((j|0)==-1){k[b>>2]=0;o=81;break}else if(l)break;else{o=83;break}}while(0);if((o|0)==81)if(l)o=83;if((o|0)==83)k[f>>2]=k[f>>2]|2;while(1){if((c|0)==(d|0)){o=88;break}if((i[h>>0]|0)==2)break;c=c+12|0;h=h+1|0}if((o|0)==88){k[f>>2]=k[f>>2]|4;c=d}if(v|0)Pf(v);r=w;return c|0}while(0);c=pb()|0}else if((o|0)==43)c=pb()|0;else if((o|0)==49)c=pb()|0;else if((o|0)==59)c=pb()|0;else if((o|0)==73)c=pb()|0;if(v)Pf(v)}sb(c|0);return 0}function kh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;q=r;r=r+48|0;p=q+40|0;g=q+36|0;e=q+32|0;m=q+28|0;h=q+24|0;o=q+20|0;i=q+16|0;j=q+12|0;f=q+8|0;n=q+4|0;l=q;rT(g,b);y=0;oa(464,e|0,a|0);d=y;y=0;do if(d&1)d=pb()|0;else{y=0;d=Ha(968,k[g>>2]|0,k[e>>2]|0)|0;s=y;y=0;if(s&1){d=pb()|0;EO(e);break}EO(e);EO(g);if(!d){rT(m,c);y=0;oa(464,h|0,b|0);s=y;y=0;do if(s&1)d=pb()|0;else{y=0;d=Ha(968,k[m>>2]|0,k[h>>2]|0)|0;s=y;y=0;if(s&1){d=pb()|0;EO(h);break}EO(h);EO(m);if(!d){s=0;r=q;return s|0}rT(p,b);y=0;Ha(966,b|0,c|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}y=0;Ha(966,c|0,p|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}EO(p);rT(o,b);y=0;oa(464,i|0,a|0);s=y;y=0;do if(s&1)d=pb()|0;else{y=0;d=Ha(968,k[o>>2]|0,k[i>>2]|0)|0;s=y;y=0;if(s&1){d=pb()|0;EO(i);break}EO(i);EO(o);if(!d){s=1;r=q;return s|0}rT(p,a);y=0;Ha(966,a|0,b|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}y=0;Ha(966,b|0,p|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}EO(p);s=2;r=q;return s|0}while(0);EO(o);s=d;sb(s|0)}while(0);EO(m);s=d;sb(s|0)}rT(j,c);y=0;oa(464,f|0,b|0);s=y;y=0;do if(s&1)d=pb()|0;else{y=0;d=Ha(968,k[j>>2]|0,k[f>>2]|0)|0;s=y;y=0;if(s&1){d=pb()|0;EO(f);break}EO(f);EO(j);if(d){rT(p,a);y=0;Ha(966,a|0,c|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}y=0;Ha(966,c|0,p|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}EO(p);s=1;r=q;return s|0}rT(p,a);y=0;Ha(966,a|0,b|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}y=0;Ha(966,b|0,p|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}EO(p);rT(n,c);y=0;oa(464,l|0,b|0);s=y;y=0;do if(s&1)d=pb()|0;else{y=0;d=Ha(968,k[n>>2]|0,k[l>>2]|0)|0;s=y;y=0;if(s&1){d=pb()|0;EO(l);break}EO(l);EO(n);if(!d){s=1;r=q;return s|0}rT(p,b);y=0;Ha(966,b|0,c|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}y=0;Ha(966,c|0,p|0)|0;s=y;y=0;if(s&1){s=pb()|0;EO(p);sb(s|0)}EO(p);s=2;r=q;return s|0}while(0);EO(n);s=d;sb(s|0)}while(0);EO(j);s=d;sb(s|0)}while(0);EO(g);s=d;sb(s|0);return 0}function lh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;t=0;p=r;r=r+96|0;o=p+40|0;m=p;u=p+92|0;s=p+84|0;n=p+80|0;l=p+88|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,36590,4);y=0;c=o;g=e;j=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(j|0));b=pa(40,m|0,a|0,d|0,o|0,f|0,0)|0;j=y;y=0;if(!(j&1)){y=0;oa(482,u|0,b|0);j=y;y=0;if(!(j&1)){$9(m);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,36595,4);j=y;y=0;do if(j&1){h=pb()|0;t=17}else{y=0;c=o;g=e;j=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(j|0));b=sa(27,m|0,a|0,d|0,o|0,f|0)|0;f=y;y=0;if(!(f&1)){y=0;oa(482,s|0,b|0);f=y;y=0;if(!(f&1)){$9(m);b=k[u>>2]|0;y=0;oa(464,l|0,s|0);f=y;y=0;a:do if(f&1){c=cb(4560,0)|0;b=N}else{y=0;b=Ha(965,b+60|0,l|0)|0;f=y;y=0;if(f&1){c=cb(4560,0)|0;b=N;EO(l);break}k[n>>2]=b;EO(l);b:do if(!b){y=0;b=qa(332,60)|0;f=y;y=0;do if(f&1){c=cb(4560,0)|0;b=N}else{c=m;g=e;j=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(j|0));y=0;na(366,b|0);f=y;y=0;if(f&1){c=cb(4560,0)|0;m=N;zqa(b);b=m;break}else{c=b+12|0;g=m;j=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(j|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=11032;k[b+56>>2]=8;h=b;break b}}while(0);EO(n);break a}else{i[b+8>>0]=1;h=b}while(0);EO(n);t=h;EO(s);EO(u);r=p;return t|0}while(0);n=(b|0)==(ob(4560)|0);vb(c|0)|0;c:do if(n){y=0;b=qa(332,60)|0;n=y;y=0;do if(n&1)b=pb()|0;else{c=o;g=e;j=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(j|0));y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);b=e;break}c=b+12|0;g=o;j=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(j|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=11032;k[b+56>>2]=8;y=0;la(3);e=y;y=0;if(e&1){h=pb()|0;break c}else{t=b;EO(s);EO(u);r=p;return t|0}}while(0);y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}else h=b}else{y=0;la(4);y=0;b=pb()|0;y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}else h=b}while(0);EO(s);break}}h=pb()|0;$9(m);t=17}while(0);EO(u);u=h;sb(u|0)}}u=pb()|0;$9(m);sb(u|0);return 0}function mh(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;l=r;r=r+160|0;h=l+144|0;m=l;k[a>>2]=15308;n=m+64|0;d=m+8|0;k[d>>2]=14400;j=m+12|0;k[m>>2]=14440;k[n>>2]=14460;k[m+4>>2]=0;y=0;oa(528,m+64|0,j|0);g=y;y=0;if(g&1)d=pb()|0;else{k[m+136>>2]=0;k[m+140>>2]=-1;k[m>>2]=14380;k[n>>2]=14420;k[d>>2]=14400;y=0;na(373,j|0);g=y;y=0;do if(g&1)d=pb()|0;else{k[j>>2]=14240;f=m+44|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[m+60>>2]=24;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;oa(529,j|0,h|0);g=y;y=0;if(g&1){d=pb()|0;$9(h);$9(f);nba(j);break}$9(h);g=m+8|0;y=0;ta(54,g|0,39445,20)|0;e=y;y=0;if(!(e&1)){y=0;e=ta(54,g|0,47079,1)|0;d=y;y=0;if(!(d&1)){do switch(b|0){case 5:{d=39383;break}case 4:{d=39386;break}case 2:{d=39389;break}case 3:{d=39392;break}case 1:{d=39395;break}case 0:{d=39398;break}case 256:{d=39401;break}case 257:{d=39405;break}case 258:{d=39410;break}case 259:{d=39414;break}case 512:{d=39419;break}case 513:{d=39421;break}case 768:{d=39424;break}case 769:{d=39427;break}case 1024:{d=39431;break}case 1025:{d=39435;break}case 1026:{d=39440;break}default:d=82159}while(0);b=JI(d)|0;y=0;d=ta(54,e|0,d|0,b|0)|0;e=y;y=0;if(!(e&1)){y=0;ta(54,d|0,39466,6)|0;e=y;y=0;if(!(e&1)){y=0;b=ta(54,g|0,47079,1)|0;e=y;y=0;if(!(e&1)){do switch(c|0){case 5:{d=39383;break}case 4:{d=39386;break}case 2:{d=39389;break}case 3:{d=39392;break}case 1:{d=39395;break}case 0:{d=39398;break}case 256:{d=39401;break}case 257:{d=39405;break}case 258:{d=39410;break}case 259:{d=39414;break}case 512:{d=39419;break}case 513:{d=39421;break}case 768:{d=39424;break}case 769:{d=39427;break}case 1024:{d=39431;break}case 1025:{d=39435;break}case 1026:{d=39440;break}default:d=82159}while(0);c=JI(d)|0;y=0;d=ta(54,b|0,d|0,c|0)|0;c=y;y=0;if(!(c&1)){y=0;ta(54,d|0,47079,1)|0;c=y;y=0;if(!(c&1)){y=0;oa(530,h|0,j|0);c=y;y=0;if(!(c&1)){k[a+4>>2]=(i[h+11>>0]|0)<0?k[h>>2]|0:h;$9(h);k[m>>2]=14380;k[n>>2]=14420;k[g>>2]=14400;k[j>>2]=14240;$9(f);nba(j);zka(m,14472);dja(n);r=l;return}}}}}}}}l=pb()|0;k[m>>2]=14380;k[n>>2]=14420;k[g>>2]=14400;k[j>>2]=14240;$9(f);nba(j);zka(m,14472);dja(n);n=l;sb(n|0)}while(0);zka(m,14472)}dja(n);n=d;sb(n|0)}function nh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;B=r;r=r+80|0;C=B+48|0;z=B+24|0;A=B;if(!d){k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];rT(a+12|0,b+12|0);k[a+16>>2]=k[b+16>>2];b=k[b+20>>2]|0;k[a+20>>2]=b;if(!b){r=B;return}Sba(b);r=B;return}gD(C);if(i[b>>0]|0)i[C>>0]=1;h=b+16|0;e=k[h>>2]|0;j=b+20|0;f=k[j>>2]|0;g=(f|0)==0;if(!g)Sba(f);x=k[e+4>>2]|0;b=k[e+16>>2]|0;m=x+(((b>>>0)/170|0)<<2)|0;if((k[e+8>>2]|0)==(x|0))l=0;else l=(k[m>>2]|0)+(((b>>>0)%170|0)*24|0)|0;if(!g)kZ(f);f=k[h>>2]|0;g=k[j>>2]|0;h=(g|0)==0;if(!h)Sba(g);b=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;e=k[f+4>>2]|0;if((k[f+8>>2]|0)==(e|0))u=0;else u=(k[e+(((b>>>0)/170|0)<<2)>>2]|0)+(((b>>>0)%170|0)*24|0)|0;if(!h)kZ(g);n=d+-1|0;o=z+16|0;v=z+20|0;t=A+12|0;p=A+16|0;s=A+20|0;q=C+16|0;x=C+20|0;w=z+12|0;b=l;a:while(1){do{if((b|0)==(u|0)){f=21;break a}if((k[b+4>>2]|0)==2){y=0;Ra(38,z|0,b|0,c|0,n|0);l=y;y=0;if(l&1){f=27;break a}if(i[b>>0]|0){i[C>>0]=1;i[z>>0]=i[b>>0]|0}f=k[o>>2]|0;e=k[v>>2]|0;if(e|0){Sba(e);kZ(e)}e=k[f+4>>2]|0;g=k[f+16>>2]|0;h=e+(((g>>>0)/170|0)<<2)|0;if((k[f+8>>2]|0)==(e|0)){d=0;e=0}else{d=g+(k[f+20>>2]|0)|0;d=(k[e+(((d>>>0)/170|0)<<2)>>2]|0)+(((d>>>0)%170|0)*24|0)|0;e=(k[h>>2]|0)+(((g>>>0)%170|0)*24|0)|0}b:while(1){do{if((e|0)==(d|0))break b;k[A>>2]=k[e>>2];k[A+4>>2]=k[e+4>>2];k[A+8>>2]=k[e+8>>2];y=0;oa(464,t|0,e+12|0);l=y;y=0;if(l&1){f=38;break a}k[p>>2]=k[e+16>>2];f=k[e+20>>2]|0;k[s>>2]=f;if(f|0)Sba(f);if(i[z>>0]|0)i[A>>0]=1;f=k[q>>2]|0;g=k[x>>2]|0;j=(g|0)==0;if(!j)Sba(g);y=0;oa(523,f|0,A|0);l=y;y=0;if(l&1){f=53;break a}if(!j)kZ(g);f=k[s>>2]|0;if(f|0)kZ(f);EO(t);e=e+24|0}while((e-(k[h>>2]|0)|0)!=4080);e=h+4|0;h=e;e=k[e>>2]|0}e=k[v>>2]|0;if(e|0)kZ(e);EO(w)}else{e=k[q>>2]|0;g=k[x>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,e|0,b|0);l=y;y=0;if(l&1){f=66;break a}if(!h)kZ(g)}b=b+24|0}while((b-(k[m>>2]|0)|0)!=4080);b=m+4|0;m=b;b=k[b>>2]|0}do if((f|0)==21){k[a>>2]=k[C>>2];k[a+4>>2]=k[C+4>>2];k[a+8>>2]=k[C+8>>2];b=C+12|0;y=0;oa(464,a+12|0,b|0);A=y;y=0;if(A&1){e=pb()|0;break}C=C+16|0;k[a+16>>2]=k[C>>2];k[a+20>>2]=k[x>>2];k[C>>2]=0;k[x>>2]=0;EO(b);r=B;return}else if((f|0)==27)e=pb()|0;else if((f|0)==38){e=pb()|0;f=58}else if((f|0)==53){e=pb()|0;if(!j)kZ(g);b=k[s>>2]|0;if(b|0)kZ(b);EO(t);f=58}else if((f|0)==66){e=pb()|0;if(!h)kZ(g)}while(0);if((f|0)==58){b=k[v>>2]|0;if(b|0)kZ(b);EO(w)}b=k[x>>2]|0;if(!b){C=C+12|0;EO(C);sb(e|0)}kZ(b);C=C+12|0;EO(C);sb(e|0)}function oh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;u=0;t=r;r=r+112|0;j=t;p=t+48|0;l=t+72|0;v=t+56|0;o=t+52|0;n=t+40|0;s=t+44|0;c=k[a+28>>2]|0;if((c|0)==(k[a+24>>2]|0))c=0;else c=k[c+-4>>2]|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,42855,11);y=0;c=Ha(988,c|0,j|0)|0;q=y;y=0;if(q&1){v=pb()|0;$9(j);sb(v|0)}$9(j);if(!c){v=0;r=t;return v|0}h=a+40|0;do if(i[(k[(k[h>>2]|0)+-4>>2]|0)+84>>0]|0){_V(j,0);c=a+64|0;d=k[c>>2]|0;if(d>>>0<(k[a+68>>2]|0)>>>0){y=0;oa(464,d|0,j|0);q=y;y=0;if(!(q&1)){k[c>>2]=(k[c>>2]|0)+4;u=11}}else{y=0;oa(556,a+60|0,j|0);q=y;y=0;if(!(q&1))u=11}if((u|0)==11){EO(j);break}v=pb()|0;EO(j);sb(v|0)}while(0);q=ZL(84)|0;c=b+12|0;d=l;b=c;e=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(e|0));k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(75,v|0,46469,8);m=y;y=0;a:do if(m&1)c=pb()|0;else{y=0;m=qa(332,84)|0;g=y;y=0;b:do if(g&1)u=31;else{d=j;b=c;e=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(e|0));y=0;na(366,m|0);g=y;y=0;do if(g&1)c=pb()|0;else{d=m+12|0;b=j;e=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(e|0));k[m>>2]=4940;i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;k[m+56>>2]=0;c=m+60|0;k[c>>2]=8568;f=m+64|0;g=m+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(548,f|0,0);e=y;y=0;if(e&1){c=pb()|0;e=N;d=k[f>>2]|0;if(d|0){b=k[g>>2]|0;if((b|0)!=(d|0)){do{t=b+-4|0;k[g>>2]=t;EO(t);b=k[g>>2]|0}while((b|0)!=(d|0));d=k[f>>2]|0}zqa(d)}break}k[m>>2]=8404;k[c>>2]=8528;i[m+80>>0]=0;i[m+81>>0]=0;i[m+82>>0]=0;y=0;oa(482,o|0,m|0);u=y;y=0;if(u&1){u=31;break b}y=0;oa(482,n|0,0);u=y;y=0;if(u&1){c=pb()|0;d=1}else{y=0;d=j;b=l;e=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(e|0));ma(13,q|0,j|0,v|0,o|0,n|0);u=y;y=0;if(u&1)d=1;else{y=0;oa(482,p|0,q|0);u=y;y=0;if(u&1)d=0;else{EO(n);EO(o);$9(v);c=k[p>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+48>>2]|0,c|0,a|0)|0;v=y;y=0;do if(!(v&1)){if(!c)c=0;else c=pw(c,680,744,0)|0;y=0;oa(482,s|0,c|0);v=y;y=0;if(v&1)break;if(i[(k[(k[h>>2]|0)+-4>>2]|0)+84>>0]|0){c=a+64|0;b=k[c>>2]|0;d=b+-4|0;do{v=b+-4|0;k[c>>2]=v;EO(v);b=k[c>>2]|0}while((b|0)!=(d|0))}c=k[s>>2]|0;if(!c)c=0;else i[c+8>>0]=1;EO(s);EO(p);v=c;r=t;return v|0}while(0);v=pb()|0;EO(p);sb(v|0)}}c=pb()|0;EO(n)}EO(o);$9(v);if(d)break a;sb(c|0)}while(0);zqa(m)}while(0);if((u|0)==31)c=pb()|0;$9(v)}while(0);zqa(q);v=c;sb(v|0);return 0}function ph(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,j=0,l=0,m=0,n=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;D=0;C=r;r=r+352|0;t=C+208|0;u=C+200|0;v=C+196|0;F=C+184|0;E=C+172|0;x=C+168|0;A=C+8|0;B=C+4|0;z=C;w=C+337|0;s=C+336|0;Pv(F,d,t,u,v);k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[E+(a<<2)>>2]=0;a=a+1|0}q=E+11|0;if((i[q>>0]|0)<0)a=(k[E+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,E|0,a|0,0);p=y;y=0;if(p&1)a=pb()|0;else{d=(i[q>>0]|0)<0?k[E>>2]|0:E;k[x>>2]=d;k[B>>2]=A;k[z>>2]=0;i[w>>0]=1;i[s>>0]=69;m=E+4|0;n=E+8|0;h=k[b>>2]|0;a:while(1){if(!h){p=0;j=1}else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;p=y;y=0;if(p&1){D=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;p=0;j=1}else{p=h;j=0}}h=k[c>>2]|0;do if(!h)D=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){D=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;D=20;break}else if(j)break;else{D=39;break a}}while(0);if((D|0)==20){D=0;if(j){h=0;D=39;break}else h=0}j=i[q>>0]|0;j=j<<24>>24<0?k[m>>2]|0:j&255;if((k[x>>2]|0)==(d+j|0)){y=0;Na(94,E|0,j<<1|0,0);l=y;y=0;if(l&1){D=31;break}if((i[q>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,E|0,a|0,0);l=y;y=0;if(l&1){D=31;break}d=(i[q>>0]|0)<0?k[E>>2]|0:E;k[x>>2]=d+j}j=p+12|0;a=k[j>>2]|0;l=p+16|0;if((a|0)==(k[l>>2]|0)){y=0;a=qa(k[(k[p>>2]|0)+36>>2]|0,p|0)|0;G=y;y=0;if(G&1){D=29;break}}else a=k[a>>2]|0;if(Xn(a,w,s,d,x,k[u>>2]|0,k[v>>2]|0,F,A,B,z,t)|0){D=39;break}a=k[j>>2]|0;if((a|0)==(k[l>>2]|0)){y=0;qa(k[(k[p>>2]|0)+40>>2]|0,p|0)|0;G=y;y=0;if(G&1){D=29;break}else{h=p;continue}}else{k[j>>2]=a+4;h=p;continue}}if((D|0)==29)a=pb()|0;else if((D|0)==31)a=pb()|0;else if((D|0)==39){G=i[F+11>>0]|0;if(!((i[w>>0]|0)==0?1:((G<<24>>24<0?k[F+4>>2]|0:G&255)|0)==0)){a=k[B>>2]|0;if((a-A|0)<160){G=k[z>>2]|0;k[B>>2]=a+4;k[a>>2]=G}}y=0;g=+Ja(4,d|0,k[x>>2]|0,e|0);G=y;y=0;b:do if(!(G&1)){o[f>>2]=g;my(F,A,k[B>>2]|0,e);if(!p)d=1;else{a=k[p+12>>2]|0;if((a|0)==(k[p+16>>2]|0)){y=0;a=qa(k[(k[p>>2]|0)+36>>2]|0,p|0)|0;G=y;y=0;if(G&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)D=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;G=y;y=0;if(G&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;D=55;break}else if(d)break;else{D=57;break}}while(0);if((D|0)==55)if(d)D=57;if((D|0)==57)k[e>>2]=k[e>>2]|2;G=k[b>>2]|0;$9(E);$9(F);r=C;return G|0}while(0);a=pb()|0}}$9(E);$9(F);sb(a|0);return 0}function qh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;D=0;C=r;r=r+352|0;t=C+208|0;u=C+200|0;v=C+196|0;F=C+184|0;E=C+172|0;x=C+168|0;A=C+8|0;B=C+4|0;z=C;w=C+337|0;s=C+336|0;Pv(F,d,t,u,v);k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[E+(a<<2)>>2]=0;a=a+1|0}q=E+11|0;if((i[q>>0]|0)<0)a=(k[E+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,E|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{d=(i[q>>0]|0)<0?k[E>>2]|0:E;k[x>>2]=d;k[B>>2]=A;k[z>>2]=0;i[w>>0]=1;i[s>>0]=69;m=E+4|0;n=E+8|0;h=k[b>>2]|0;a:while(1){if(!h){o=0;j=1}else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;o=y;y=0;if(o&1){D=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;o=0;j=1}else{o=h;j=0}}h=k[c>>2]|0;do if(!h)D=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){D=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;D=20;break}else if(j)break;else{D=39;break a}}while(0);if((D|0)==20){D=0;if(j){h=0;D=39;break}else h=0}j=i[q>>0]|0;j=j<<24>>24<0?k[m>>2]|0:j&255;if((k[x>>2]|0)==(d+j|0)){y=0;Na(94,E|0,j<<1|0,0);l=y;y=0;if(l&1){D=31;break}if((i[q>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,E|0,a|0,0);l=y;y=0;if(l&1){D=31;break}d=(i[q>>0]|0)<0?k[E>>2]|0:E;k[x>>2]=d+j}j=o+12|0;a=k[j>>2]|0;l=o+16|0;if((a|0)==(k[l>>2]|0)){y=0;a=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;G=y;y=0;if(G&1){D=29;break}}else a=k[a>>2]|0;if(Xn(a,w,s,d,x,k[u>>2]|0,k[v>>2]|0,F,A,B,z,t)|0){D=39;break}a=k[j>>2]|0;if((a|0)==(k[l>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;G=y;y=0;if(G&1){D=29;break}else{h=o;continue}}else{k[j>>2]=a+4;h=o;continue}}if((D|0)==29)a=pb()|0;else if((D|0)==31)a=pb()|0;else if((D|0)==39){G=i[F+11>>0]|0;if(!((i[w>>0]|0)==0?1:((G<<24>>24<0?k[F+4>>2]|0:G&255)|0)==0)){a=k[B>>2]|0;if((a-A|0)<160){G=k[z>>2]|0;k[B>>2]=a+4;k[a>>2]=G}}y=0;g=+Ja(2,d|0,k[x>>2]|0,e|0);G=y;y=0;b:do if(!(G&1)){p[f>>3]=g;my(F,A,k[B>>2]|0,e);if(!o)d=1;else{a=k[o+12>>2]|0;if((a|0)==(k[o+16>>2]|0)){y=0;a=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;G=y;y=0;if(G&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)D=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;G=y;y=0;if(G&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;D=55;break}else if(d)break;else{D=57;break}}while(0);if((D|0)==55)if(d)D=57;if((D|0)==57)k[e>>2]=k[e>>2]|2;G=k[b>>2]|0;$9(E);$9(F);r=C;return G|0}while(0);a=pb()|0}}$9(E);$9(F);sb(a|0);return 0}function rh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;D=0;C=r;r=r+352|0;t=C+208|0;u=C+200|0;v=C+196|0;F=C+184|0;E=C+172|0;x=C+168|0;A=C+8|0;B=C+4|0;z=C;w=C+337|0;s=C+336|0;Pv(F,d,t,u,v);k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[E+(a<<2)>>2]=0;a=a+1|0}q=E+11|0;if((i[q>>0]|0)<0)a=(k[E+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,E|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{d=(i[q>>0]|0)<0?k[E>>2]|0:E;k[x>>2]=d;k[B>>2]=A;k[z>>2]=0;i[w>>0]=1;i[s>>0]=69;m=E+4|0;n=E+8|0;h=k[b>>2]|0;a:while(1){if(!h){o=0;j=1}else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;o=y;y=0;if(o&1){D=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;o=0;j=1}else{o=h;j=0}}h=k[c>>2]|0;do if(!h)D=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){D=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;D=20;break}else if(j)break;else{D=39;break a}}while(0);if((D|0)==20){D=0;if(j){h=0;D=39;break}else h=0}j=i[q>>0]|0;j=j<<24>>24<0?k[m>>2]|0:j&255;if((k[x>>2]|0)==(d+j|0)){y=0;Na(94,E|0,j<<1|0,0);l=y;y=0;if(l&1){D=31;break}if((i[q>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,E|0,a|0,0);l=y;y=0;if(l&1){D=31;break}d=(i[q>>0]|0)<0?k[E>>2]|0:E;k[x>>2]=d+j}j=o+12|0;a=k[j>>2]|0;l=o+16|0;if((a|0)==(k[l>>2]|0)){y=0;a=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;G=y;y=0;if(G&1){D=29;break}}else a=k[a>>2]|0;if(Xn(a,w,s,d,x,k[u>>2]|0,k[v>>2]|0,F,A,B,z,t)|0){D=39;break}a=k[j>>2]|0;if((a|0)==(k[l>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;G=y;y=0;if(G&1){D=29;break}else{h=o;continue}}else{k[j>>2]=a+4;h=o;continue}}if((D|0)==29)a=pb()|0;else if((D|0)==31)a=pb()|0;else if((D|0)==39){G=i[F+11>>0]|0;if(!((i[w>>0]|0)==0?1:((G<<24>>24<0?k[F+4>>2]|0:G&255)|0)==0)){a=k[B>>2]|0;if((a-A|0)<160){G=k[z>>2]|0;k[B>>2]=a+4;k[a>>2]=G}}y=0;g=+Ja(3,d|0,k[x>>2]|0,e|0);G=y;y=0;b:do if(!(G&1)){p[f>>3]=g;my(F,A,k[B>>2]|0,e);if(!o)d=1;else{a=k[o+12>>2]|0;if((a|0)==(k[o+16>>2]|0)){y=0;a=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;G=y;y=0;if(G&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)D=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;G=y;y=0;if(G&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;D=55;break}else if(d)break;else{D=57;break}}while(0);if((D|0)==55)if(d)D=57;if((D|0)==57)k[e>>2]=k[e>>2]|2;G=k[b>>2]|0;$9(E);$9(F);r=C;return G|0}while(0);a=pb()|0}}$9(E);$9(F);sb(a|0);return 0}function sh(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;A=0;B=r;r=r+16|0;v=B+12|0;u=B+8|0;x=B+4|0;z=B;m=yV(d)|0;k[v>>2]=m;y=0;w=Ha(973,v|0,78144)|0;t=y;y=0;if(t&1){B=pb()|0;lQ(m)|0;sb(B|0)}lQ(m)|0;k[e>>2]=0;t=w+8|0;m=0;a:while(1){s=(g|0)!=(h|0);n=m;while(1){m=k[b>>2]|0;if(!(s&(n|0)==0))break a;n=m;if(!m)m=0;else if((k[m+12>>2]|0)==(k[m+16>>2]|0))if((oc[k[(k[m>>2]|0)+36>>2]&511](m)|0)==-1){k[b>>2]=0;m=0;n=0}q=(m|0)==0;p=k[c>>2]|0;o=p;do if(!p)A=14;else{if((k[p+12>>2]|0)==(k[p+16>>2]|0))if((oc[k[(k[p>>2]|0)+36>>2]&511](p)|0)==-1){k[c>>2]=0;o=0;A=14;break}if(!q){A=15;break a}}while(0);if((A|0)==14){A=0;if(q){A=15;break a}else p=0}if((rc[k[(k[w>>2]|0)+36>>2]&255](w,i[g>>0]|0,0)|0)<<24>>24==37){A=18;break}n=i[g>>0]|0;if(n<<24>>24>-1){o=k[t>>2]|0;if(j[o+(n<<24>>24<<1)>>1]&8192){A=27;break}}o=m+12|0;n=k[o>>2]|0;p=m+16|0;if((n|0)==(k[p>>2]|0))n=oc[k[(k[m>>2]|0)+36>>2]&511](m)|0;else n=l[n>>0]|0;q=Fc[k[(k[w>>2]|0)+12>>2]&2047](w,n&255)|0;if(q<<24>>24==(Fc[k[(k[w>>2]|0)+12>>2]&2047](w,i[g>>0]|0)|0)<<24>>24){A=54;break}k[e>>2]=4;n=4}b:do if((A|0)==18){A=0;s=g+1|0;if((s|0)==(h|0)){A=19;break a}p=rc[k[(k[w>>2]|0)+36>>2]&255](w,i[s>>0]|0,0)|0;switch(p<<24>>24){case 48:case 69:{g=g+2|0;if((g|0)==(h|0)){A=24;break a}q=p;m=rc[k[(k[w>>2]|0)+36>>2]&255](w,i[g>>0]|0,0)|0;g=s;break}default:{q=0;m=p}}s=k[(k[a>>2]|0)+36>>2]|0;k[x>>2]=n;k[z>>2]=o;k[u>>2]=k[x>>2];k[v>>2]=k[z>>2];m=Nc[s&15](a,u,v,d,e,f,m,q)|0;k[b>>2]=m;m=g+2|0}else if((A|0)==27){while(1){A=0;g=g+1|0;if((g|0)==(h|0)){g=h;break}n=i[g>>0]|0;if(n<<24>>24<=-1)break;if(!(j[o+(n<<24>>24<<1)>>1]&8192))break;else A=27}n=p;while(1){if(!m)m=0;else if((k[m+12>>2]|0)==(k[m+16>>2]|0))if((oc[k[(k[m>>2]|0)+36>>2]&511](m)|0)==-1){k[b>>2]=0;m=0}o=(m|0)==0;do if(!p)A=40;else{if((k[p+12>>2]|0)!=(k[p+16>>2]|0))if(o){s=n;break}else{m=g;break b}if((oc[k[(k[p>>2]|0)+36>>2]&511](p)|0)==-1){k[c>>2]=0;n=0;A=40;break}else if(o^(n|0)==0){s=n;p=n;break}else{m=g;break b}}while(0);if((A|0)==40){A=0;if(o){m=g;break b}else{s=n;p=0}}o=m+12|0;n=k[o>>2]|0;q=m+16|0;if((n|0)==(k[q>>2]|0))n=oc[k[(k[m>>2]|0)+36>>2]&511](m)|0;else n=l[n>>0]|0;if((n&255)<<24>>24<=-1){m=g;break b}if(!(j[(k[t>>2]|0)+(n<<24>>24<<1)>>1]&8192)){m=g;break b}n=k[o>>2]|0;if((n|0)==(k[q>>2]|0)){oc[k[(k[m>>2]|0)+40>>2]&511](m)|0;n=s;continue}else{k[o>>2]=n+1;n=s;continue}}}else if((A|0)==54){A=0;n=k[o>>2]|0;if((n|0)==(k[p>>2]|0))oc[k[(k[m>>2]|0)+40>>2]&511](m)|0;else k[o>>2]=n+1;m=g+1|0}while(0);g=m;m=k[e>>2]|0}if((A|0)==15)k[e>>2]=4;else if((A|0)==19)k[e>>2]=4;else if((A|0)==24)k[e>>2]=4;if(!m)m=0;else if((k[m+12>>2]|0)==(k[m+16>>2]|0))if((oc[k[(k[m>>2]|0)+36>>2]&511](m)|0)==-1){k[b>>2]=0;m=0}g=(m|0)==0;n=k[c>>2]|0;do if(!n)A=69;else{if((k[n+12>>2]|0)==(k[n+16>>2]|0))if((oc[k[(k[n>>2]|0)+36>>2]&511](n)|0)==-1){k[c>>2]=0;A=69;break}if(!g)A=70}while(0);if((A|0)==69)if(g)A=70;if((A|0)==70)k[e>>2]=k[e>>2]|2;r=B;return m|0}function th(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;o=0;x=r;r=r+112|0;h=x;m=(d-c|0)/12|0;do if(m>>>0>100){j=pd(m)|0;if(!j){y=0;la(6);w=y;y=0;if(w&1){c=pb()|0;break}}h=j;w=j;o=6}else{w=0;o=6}while(0);if((o|0)==6){o=c;p=h;j=0;while(1){if((o|0)==(d|0))break;n=i[o+11>>0]|0;if(n<<24>>24<0)n=k[o+4>>2]|0;else n=n&255;if(!n){i[p>>0]=2;j=j+1|0;m=m+-1|0}else i[p>>0]=1;o=o+12|0;p=p+1|0}v=0;t=j;a:while(1){j=k[a>>2]|0;do if(!j)j=0;else if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;j=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;u=y;y=0;if(u&1){o=39;break a}if((j|0)==-1){k[a>>2]=0;j=0;break}else{j=k[a>>2]|0;break}}while(0);o=(j|0)==0;j=k[b>>2]|0;if(!j)n=0;else if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;n=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;u=y;y=0;if(u&1){o=39;break}if((n|0)==-1){k[b>>2]=0;n=0}else n=j}else n=j;p=(n|0)==0;j=k[a>>2]|0;if(!((m|0)!=0&(o^p))){o=28;break}n=k[j+12>>2]|0;if((n|0)==(k[j+16>>2]|0)){y=0;j=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;u=y;y=0;if(u&1){o=39;break}}else j=l[n>>0]|0;j=j&255;if(!g){y=0;j=Ha(k[(k[e>>2]|0)+12>>2]|0,e|0,j|0)|0;u=y;y=0;if(u&1){o=45;break}}u=v+1|0;q=c;p=0;s=h;while(1){if((q|0)==(d|0))break;do if((i[s>>0]|0)==1){o=q+11|0;if((i[o>>0]|0)<0)n=k[q>>2]|0;else n=q;n=i[n+v>>0]|0;if(!g){y=0;n=Ha(k[(k[e>>2]|0)+12>>2]|0,e|0,n|0)|0;z=y;y=0;if(z&1){o=55;break a}}if(j<<24>>24!=n<<24>>24){i[s>>0]=0;n=p;o=t;m=m+-1|0;break}n=i[o>>0]|0;if(n<<24>>24<0)n=k[q+4>>2]|0;else n=n&255;if((n|0)==(u|0)){i[s>>0]=2;n=1;o=t+1|0;m=m+-1|0}else{n=1;o=t}}else{n=p;o=t}while(0);q=q+12|0;p=n;s=s+1|0;t=o}if(!p){v=u;continue}j=k[a>>2]|0;n=j+12|0;o=k[n>>2]|0;if((o|0)==(k[j+16>>2]|0)){y=0;qa(k[(k[j>>2]|0)+40>>2]|0,j|0)|0;z=y;y=0;if(z&1){o=69;break}}else k[n>>2]=o+1;if((t+m|0)>>>0>1){o=c;p=h;j=t}else{v=u;continue}while(1){if((o|0)==(d|0)){v=u;t=j;continue a}if((i[p>>0]|0)==2){n=i[o+11>>0]|0;if(n<<24>>24<0)n=k[o+4>>2]|0;else n=n&255;if((n|0)!=(u|0)){i[p>>0]=0;j=j+-1|0}}o=o+12|0;p=p+1|0}}if((o|0)==28){do if(!j){j=0;o=34}else if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;j=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;z=y;y=0;if(!(z&1))if((j|0)==-1){k[a>>2]=0;j=0;o=34;break}else{j=k[a>>2]|0;o=34;break}}else o=34;while(0);b:do if((o|0)==34){m=(j|0)==0;do if(p)o=78;else{if((k[n+12>>2]|0)==(k[n+16>>2]|0)){y=0;j=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;z=y;y=0;if(z&1)break b;if((j|0)==-1){k[b>>2]=0;o=78;break}}if(!m)o=79}while(0);if((o|0)==78)if(m)o=79;if((o|0)==79)k[f>>2]=k[f>>2]|2;while(1){if((c|0)==(d|0)){o=84;break}if((i[h>>0]|0)==2)break;c=c+12|0;h=h+1|0}if((o|0)==84){k[f>>2]=k[f>>2]|4;c=d}if(w|0)Pf(w);r=x;return c|0}while(0);c=pb()|0}else if((o|0)==39)c=pb()|0;else if((o|0)==45)c=pb()|0;else if((o|0)==55)c=pb()|0;else if((o|0)==69)c=pb()|0;if(w)Pf(w)}sb(c|0);return 0}function uh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;p=0;q=r;r=r+80|0;m=q+32|0;g=q+28|0;n=q+24|0;t=q+20|0;h=q+16|0;j=q+12|0;l=q+8|0;o=q+4|0;s=q;_V(t,0);a:do if(!(i[k[a+76>>2]>>0]|0)){y=0;oa(482,n|0,0);s=y;y=0;if(!(s&1)){EO(t);t=k[n>>2]|0;r=q;return t|0}}else{y=0;b=ta(147,a|0,0,0)|0;f=y;y=0;b:do if(f&1)p=15;else{do if(!b){y=0;oa(482,g|0,0);f=y;y=0;if(f&1){p=15;break b}}else{y=0;b=qa(332,80)|0;f=y;y=0;if(f&1){p=15;break b}c=a+152|0;y=0;d=m;e=a+108|0;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Na(108,b|0,m|0,c|0);f=y;y=0;if(f&1){p=pb()|0;zqa(b);b=p;p=16;break b}else{y=0;oa(482,g|0,b|0);f=y;y=0;if(f&1){p=15;break b}else break}}while(0);g=k[g>>2]|0;k[j>>2]=g;y=0;oa(482,h|0,g|0);g=y;y=0;do if(g&1)b=pb()|0;else{y=0;Ha(966,t|0,h|0)|0;g=y;y=0;if(g&1){b=pb()|0;EO(h);break}p=(k[t>>2]|0)==0;EO(h);EO(j);if(!p){y=0;oa(464,n|0,t|0);s=y;y=0;if(s&1)break a;EO(t);t=k[n>>2]|0;r=q;return t|0}y=0;b=qa(424,a|0)|0;p=y;y=0;if(p&1)b=pb()|0;else{k[l>>2]=b;y=0;oa(482,m|0,b|0);p=y;y=0;do if(p&1)b=pb()|0;else{y=0;Ha(966,t|0,m|0)|0;p=y;y=0;if(p&1){b=pb()|0;EO(m);break}p=(k[t>>2]|0)==0;EO(m);EO(l);if(!p){y=0;oa(464,n|0,t|0);s=y;y=0;if(s&1)break a;EO(t);t=k[n>>2]|0;r=q;return t|0}y=0;b=qa(425,a|0)|0;p=y;y=0;if(p&1)b=pb()|0;else{k[o>>2]=b;y=0;oa(482,m|0,b|0);p=y;y=0;do if(p&1)b=pb()|0;else{y=0;Ha(966,t|0,m|0)|0;p=y;y=0;if(p&1){b=pb()|0;EO(m);break}p=(k[t>>2]|0)==0;EO(m);EO(o);if(!p){y=0;oa(464,n|0,t|0);s=y;y=0;if(s&1)break a;EO(t);t=k[n>>2]|0;r=q;return t|0}y=0;b=qa(426,a|0)|0;p=y;y=0;if(p&1)b=pb()|0;else{k[s>>2]=b;y=0;oa(482,m|0,b|0);p=y;y=0;do if(p&1)b=pb()|0;else{y=0;Ha(966,t|0,m|0)|0;p=y;y=0;if(p&1){b=pb()|0;EO(m);break}EO(m);EO(s);y=0;oa(464,n|0,t|0);s=y;y=0;if(s&1)break a;EO(t);t=k[n>>2]|0;r=q;return t|0}while(0);EO(s)}s=b;EO(t);sb(s|0)}while(0);EO(o)}s=b;EO(t);sb(s|0)}while(0);EO(l)}s=b;EO(t);sb(s|0)}while(0);EO(j)}while(0);if((p|0)==15){b=pb()|0;p=16}s=b;EO(t);sb(s|0)}while(0);s=pb()|0;EO(t);sb(s|0);return 0}function vh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0;l=r;r=r+240|0;f=l+200|0;o=l+16|0;h=l+160|0;i=l;n=o+64|0;a=o+8|0;k[a>>2]=14400;m=o+12|0;k[o>>2]=14440;k[n>>2]=14460;k[o+4>>2]=0;y=0;oa(528,o+64|0,m|0);j=y;y=0;if(j&1){e=pb()|0;dja(n);sb(e|0)}k[o+136>>2]=0;k[o+140>>2]=-1;k[o>>2]=14380;k[n>>2]=14420;k[a>>2]=14400;y=0;na(373,m|0);j=y;y=0;do if(j&1)a=pb()|0;else{k[m>>2]=14240;g=o+44|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[o+60>>2]=24;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;oa(529,m|0,f|0);j=y;y=0;if(j&1){a=pb()|0;$9(f);$9(g);nba(m);break}$9(f);c=k[18821]|0;d=((c+1|0)>>>0)%624|0;a=72788+(c<<2)|0;b=72788+(d<<2)|0;j=k[b>>2]|0;k[a>>2]=0-(j&1)&-1727483681^k[72788+((((c+397|0)>>>0)%624|0)<<2)>>2]^(j&2147483646|k[a>>2]&-2147483648)>>>1;a=k[72788+(k[18821]<<2)>>2]|0;a=a>>>11^a;k[18821]=d;a=a<<7&-1658038656^a;a=a<<15&-272236544^a;j=((d+1|0)>>>0)%624|0;c=k[72788+(j<<2)>>2]|0;k[b>>2]=0-(c&1)&-1727483681^k[72788+((((d+397|0)>>>0)%624|0)<<2)>>2]^(c&2147483646|k[b>>2]&-2147483648)>>>1;b=k[72788+(k[18821]<<2)>>2]|0;b=b>>>11^b;k[18821]=j;b=b<<7&-1658038656^b;b=b<<15&-272236544^b;j=o+8|0;y=0;c=ta(54,j|0,37105,1)|0;d=y;y=0;if(!(d&1)){k[c+(k[(k[c>>2]|0)+-12>>2]|0)+76>>2]=48;k[c+(k[(k[c>>2]|0)+-12>>2]|0)+12>>2]=8;d=c+(k[(k[c>>2]|0)+-12>>2]|0)+4|0;k[d>>2]=k[d>>2]&-75|8;y=0;Ha(972,c|0,~~((+((a>>>18^a)>>>0)+ +((b>>>18^b)>>>0)*4294967296.0)*5.421010862427522e-20*4294967296.0+0.0)>>>0|0)|0;d=y;y=0;if(d&1){e=pb()|0;k[o>>2]=14380;k[n>>2]=14420;k[j>>2]=14400;k[m>>2]=14240;$9(g);nba(m);zka(o,14472);dja(n);sb(e|0)}y=0;d=qa(332,80)|0;c=y;y=0;if(!(c&1)){c=h;a=e;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));y=0;oa(530,i|0,m|0);e=y;y=0;do if(e&1)a=pb()|0;else{y=0;c=f;a=h;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));Ea(2,d|0,f|0,i|0,0,0,0,1);e=y;y=0;if(e&1){a=pb()|0;$9(i);break}else{$9(i);k[o>>2]=14380;k[n>>2]=14420;k[j>>2]=14400;k[m>>2]=14240;$9(g);nba(m);zka(o,14472);dja(n);r=l;return d|0}}while(0);zqa(d);e=a;k[o>>2]=14380;k[n>>2]=14420;k[j>>2]=14400;k[m>>2]=14240;$9(g);nba(m);zka(o,14472);dja(n);sb(e|0)}}e=pb()|0;k[o>>2]=14380;k[n>>2]=14420;k[j>>2]=14400;k[m>>2]=14240;$9(g);nba(m);zka(o,14472);dja(n);sb(e|0)}while(0);zka(o,14472);e=a;dja(n);sb(e|0);return 0}function wh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;u=0;v=r;r=r+144|0;p=v+104|0;j=v+96|0;t=v+92|0;x=v+80|0;w=v+36|0;g=v+40|0;m=v+24|0;n=v+20|0;h=v+16|0;o=v+12|0;l=v+8|0;q=v+4|0;s=v;Mq(p,a);c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){LM(p);u=5}else if(f>>>0<11){i[p+11>>0]=f;b=p}else u=5;if((u|0)==5){d=f+16&-16;b=ZL(d)|0;k[p>>2]=b;k[p+8>>2]=d|-2147483648;k[p+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;y=0;oa(552,x|0,p|0);f=y;y=0;if(f&1){x=pb()|0;$9(p);sb(x|0)}$9(p);y=0;e=qa(332,84)|0;f=y;y=0;a:do if(f&1)b=pb()|0;else{b=g;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(452,m|0,x|0);f=y;y=0;do if(f&1)b=pb()|0;else{y=0;oa(482,n|0,0);f=y;y=0;if(f&1){b=pb()|0;$9(m);break}y=0;oa(482,h|0,0);f=y;y=0;if(f&1){b=pb()|0;c=1}else{y=0;b=p;c=g;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));ma(13,e|0,p|0,m|0,n|0,h|0);g=y;y=0;if(g&1)c=1;else{y=0;oa(482,w|0,e|0);g=y;y=0;if(g&1)c=0;else{EO(h);EO(n);$9(m);b=k[w>>2]|0;y=0;c=qa(387,a|0)|0;n=y;y=0;b:do if(n&1)u=34;else{k[l>>2]=c;b=b+80|0;y=0;Ha(966,b|0,l|0)|0;n=y;y=0;if(!(n&1)){y=0;oa(464,j|0,b|0);n=y;y=0;if(!(n&1)){k[o>>2]=k[j>>2];EO(o);EO(l);b=k[a+76>>2]|0;y=0;c=qa(360,b|0)|0;o=y;y=0;if(o&1){u=34;break}o=c|0?c:b;o=(i[o>>0]|0)==123?o+1|0:0;c:do if(!((o|0)==0?1:o>>>0>(k[a+80>>2]|0)>>>0)){c=k[w>>2]|0;d=a+164|0;e=i[d>>0]|0;i[d>>0]=0;y=0;b=Ha(1010,a|0,0)|0;a=y;y=0;if(a&1){b=pb()|0;i[d>>0]=e;u=35;break b}i[d>>0]=e;k[s>>2]=b;b=c+64|0;y=0;Ha(966,b|0,s|0)|0;a=y;y=0;do if(!(a&1)){y=0;oa(464,p|0,b|0);a=y;y=0;if(a&1)break;k[q>>2]=k[p>>2];EO(q);EO(s);break c}while(0);b=pb()|0;EO(s);break b}while(0);b=k[w>>2]|0;if(!b)b=0;else i[b+8>>0]=1;y=0;oa(482,t|0,b|0);u=y;y=0;if(u&1){u=34;break}EO(w);$9(x);r=v;return k[t>>2]|0}}b=pb()|0;EO(l)}while(0);if((u|0)==34){b=pb()|0;u=35}EO(w);break a}}b=pb()|0;EO(h)}EO(n);$9(m);if(!c)break a}while(0);zqa(e)}while(0);$9(x);x=b;sb(x|0);return 0}function xh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;z=0;x=r;r=r+304|0;p=x+200|0;q=x+196|0;A=x+184|0;B=x+172|0;s=x+168|0;v=x+8|0;w=x+4|0;t=x;u=fR(d)|0;yx(A,d,p,q);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}o=B+11|0;if((i[o>>0]|0)<0)a=(k[B+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,B|0,a|0,0);n=y;y=0;if(n&1)a=pb()|0;else{d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d;k[w>>2]=v;k[t>>2]=0;m=B+4|0;n=B+8|0;g=k[b>>2]|0;a:while(1){if(!g){g=0;j=1}else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;l=y;y=0;if(l&1){z=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;g=0;j=1}else j=0}h=k[c>>2]|0;do if(!h)z=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){z=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=20;break}else if(j){l=h;break}else{z=39;break a}}while(0);if((z|0)==20){z=0;if(j){h=0;z=39;break}else l=0}h=i[o>>0]|0;h=h<<24>>24<0?k[m>>2]|0:h&255;if((k[s>>2]|0)==(d+h|0)){y=0;Na(94,B|0,h<<1|0,0);j=y;y=0;if(j&1){z=31;break}if((i[o>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,B|0,a|0,0);j=y;y=0;if(j&1){z=31;break}d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d+h}h=g+12|0;a=k[h>>2]|0;j=g+16|0;if((a|0)==(k[j>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}}else a=k[a>>2]|0;if(nq(a,u,d,s,t,k[q>>2]|0,A,v,w,p)|0){h=l;z=39;break}a=k[h>>2]|0;if((a|0)==(k[j>>2]|0)){y=0;qa(k[(k[g>>2]|0)+40>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}else continue}else{k[h>>2]=a+4;continue}}if((z|0)==29)a=pb()|0;else if((z|0)==31)a=pb()|0;else if((z|0)==39){C=i[A+11>>0]|0;if((C<<24>>24<0?k[A+4>>2]|0:C&255)|0){a=k[w>>2]|0;if((a-v|0)<160){C=k[t>>2]|0;k[w>>2]=a+4;k[a>>2]=C}}y=0;a=Ma(21,d|0,k[s>>2]|0,e|0,u|0)|0;d=N;C=y;y=0;b:do if(!(C&1)){C=f;k[C>>2]=a;k[C+4>>2]=d;my(A,v,k[w>>2]|0,e);if(!g)d=1;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)z=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;C=y;y=0;if(C&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=55;break}else if(d)break;else{z=57;break}}while(0);if((z|0)==55)if(d)z=57;if((z|0)==57)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;$9(B);$9(A);r=x;return C|0}while(0);a=pb()|0}}$9(B);$9(A);sb(a|0);return 0}function yh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;z=0;x=r;r=r+304|0;p=x+200|0;q=x+196|0;A=x+184|0;B=x+172|0;s=x+168|0;v=x+8|0;w=x+4|0;t=x;u=fR(d)|0;yx(A,d,p,q);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}o=B+11|0;if((i[o>>0]|0)<0)a=(k[B+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,B|0,a|0,0);n=y;y=0;if(n&1)a=pb()|0;else{d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d;k[w>>2]=v;k[t>>2]=0;m=B+4|0;n=B+8|0;g=k[b>>2]|0;a:while(1){if(!g){g=0;j=1}else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;l=y;y=0;if(l&1){z=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;g=0;j=1}else j=0}h=k[c>>2]|0;do if(!h)z=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){z=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=20;break}else if(j){l=h;break}else{z=39;break a}}while(0);if((z|0)==20){z=0;if(j){h=0;z=39;break}else l=0}h=i[o>>0]|0;h=h<<24>>24<0?k[m>>2]|0:h&255;if((k[s>>2]|0)==(d+h|0)){y=0;Na(94,B|0,h<<1|0,0);j=y;y=0;if(j&1){z=31;break}if((i[o>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,B|0,a|0,0);j=y;y=0;if(j&1){z=31;break}d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d+h}h=g+12|0;a=k[h>>2]|0;j=g+16|0;if((a|0)==(k[j>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}}else a=k[a>>2]|0;if(nq(a,u,d,s,t,k[q>>2]|0,A,v,w,p)|0){h=l;z=39;break}a=k[h>>2]|0;if((a|0)==(k[j>>2]|0)){y=0;qa(k[(k[g>>2]|0)+40>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}else continue}else{k[h>>2]=a+4;continue}}if((z|0)==29)a=pb()|0;else if((z|0)==31)a=pb()|0;else if((z|0)==39){C=i[A+11>>0]|0;if((C<<24>>24<0?k[A+4>>2]|0:C&255)|0){a=k[w>>2]|0;if((a-v|0)<160){C=k[t>>2]|0;k[w>>2]=a+4;k[a>>2]=C}}y=0;a=Ma(25,d|0,k[s>>2]|0,e|0,u|0)|0;d=N;C=y;y=0;b:do if(!(C&1)){C=f;k[C>>2]=a;k[C+4>>2]=d;my(A,v,k[w>>2]|0,e);if(!g)d=1;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)z=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;C=y;y=0;if(C&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=55;break}else if(d)break;else{z=57;break}}while(0);if((z|0)==55)if(d)z=57;if((z|0)==57)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;$9(B);$9(A);r=x;return C|0}while(0);a=pb()|0}}$9(B);$9(A);sb(a|0);return 0}function zh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=r;r=r+176|0;t=A;h=A+152|0;m=A+140|0;q=A+96|0;z=A+136|0;x=A+56|0;D=A+52|0;C=A+40|0;b=A+36|0;s=A+32|0;j=A+24|0;u=A+16|0;mw(a,0,0)|0;v=a+128|0;wN(a+108|0,v);k[a+132>>2]=0;k[v>>2]=0;w=a+108|0;c=x;d=w;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));B=hh(a)|0;k[D>>2]=B;k[C>>2]=0;B=C+4|0;k[B>>2]=0;k[C+8>>2]=0;l=a+152|0;n=a+76|0;o=a+84|0;p=a+96|0;g=C+8|0;while(1){k[t>>2]=k[l>>2];k[t+4>>2]=k[l+4>>2];k[t+8>>2]=k[l+8>>2];f=k[n>>2]|0;k[h>>2]=k[o>>2];k[h+4>>2]=k[o+4>>2];k[h+8>>2]=k[o+8>>2];k[m>>2]=k[p>>2];k[m+4>>2]=k[p+4>>2];k[m+8>>2]=k[p+8>>2];c=q;d=w;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;ta(61,a|0,1,0)|0;e=y;y=0;if(e&1){a=12;break}y=0;c=ta(80,a|0,1,0)|0;e=y;y=0;if(e&1){a=12;break}if(!c){a=5;break}y=0;c=qa(372,a|0)|0;f=y;y=0;if(f&1){a=15;break}k[t>>2]=c;c=k[B>>2]|0;if(c>>>0<(k[g>>2]|0)>>>0){y=0;oa(464,c|0,t|0);f=y;y=0;if(f&1){a=16;break}k[B>>2]=(k[B>>2]|0)+4}else{y=0;oa(546,C|0,t|0);f=y;y=0;if(f&1){a=16;break}}EO(t)}a:do if((a|0)==5){c=w;d=q;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[l>>2]=k[t>>2];k[l+4>>2]=k[t+4>>2];k[l+8>>2]=k[t+8>>2];k[n>>2]=f;k[p>>2]=k[m>>2];k[p+4>>2]=k[m+4>>2];k[p+8>>2]=k[m+8>>2];k[o>>2]=k[h>>2];k[o+4>>2]=k[h+4>>2];k[o+8>>2]=k[h+8>>2];b:do if((k[B>>2]|0)==(k[C>>2]|0)){y=0;oa(464,z|0,D|0);x=y;y=0;if(x&1)a=13}else{y=0;oa(464,s|0,D|0);q=y;y=0;if(q&1)a=13;else{k[j>>2]=1;i[j+4>>0]=0;i[j+5>>0]=0;y=0;k[t>>2]=k[j>>2];k[t+4>>2]=k[j+4>>2];c=Ma(14,0,s|0,C|0,t|0)|0;q=y;y=0;if(q&1){d=pb()|0;EO(s);break a}k[b>>2]=c;EO(s);c=x+20|0;y=0;Na(111,u|0,w|0,x|0);w=y;y=0;do if(w&1)a=26;else{y=0;Na(112,t|0,u|0,v|0);w=y;y=0;if(w&1)a=26;else{u=t;v=k[u+4>>2]|0;w=c;k[w>>2]=k[u>>2];k[w+4>>2]=v;DN((k[b>>2]|0)+12|0,x|0,40)|0;y=0;oa(464,z|0,b|0);x=y;y=0;if(x&1){c=pb()|0;break}else{EO(b);break b}}}while(0);if((a|0)==26)c=pb()|0;EO(b);d=c;break a}}while(0);if((a|0)==13){b=pb()|0;a=14;break}b=k[C>>2]|0;if(!b){EO(D);D=k[z>>2]|0;r=A;return D|0}c=k[B>>2]|0;if((c|0)!=(b|0)){do{x=c+-4|0;k[B>>2]=x;EO(x);c=k[B>>2]|0}while((c|0)!=(b|0));b=k[C>>2]|0}zqa(b);EO(D);D=k[z>>2]|0;r=A;return D|0}else if((a|0)==12){b=pb()|0;a=14}else if((a|0)==15){b=pb()|0;a=17}else if((a|0)==16){b=pb()|0;EO(t);a=17}while(0);if((a|0)==14)d=b;else if((a|0)==17)d=b;b=k[C>>2]|0;if(!b){EO(D);sb(d|0)}c=k[B>>2]|0;if((c|0)!=(b|0)){do{A=c+-4|0;k[B>>2]=A;EO(A);c=k[B>>2]|0}while((c|0)!=(b|0));b=k[C>>2]|0}zqa(b);EO(D);sb(d|0);return 0}function Ah(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+32|0;d=j+16|0;l=j+12|0;f=j+8|0;e=j+4|0;g=j;if(oc[k[(k[b>>2]|0)+72>>2]&511](b)|0){r=j;return}rT(l,b+64|0);h=a+4|0;y=0;c=qa(458,h|0)|0;m=y;y=0;a:do if(!(m&1)){y=0;c=Ha(999,b|0,c|0)|0;m=y;y=0;if(!(m&1)){b:do if(c){y=0;c=qa(458,h|0)|0;m=y;y=0;if(m&1)break a;if(!c){m=a+76|0;k[m>>2]=(k[m>>2]|0)+(k[b+56>>2]|0)}y=0;na(392,h|0);m=y;y=0;if(m&1)break a;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;Na(75,d|0,44343,6);m=y;y=0;do if(m&1)c=pb()|0;else{y=0;Na(139,h|0,d|0,b|0);m=y;y=0;if(m&1){c=pb()|0;$9(d);break}$9(d);y=0;na(394,h|0);m=y;y=0;if(m&1)break a;c=a+98|0;i[c>>0]=1;y=0;oa(464,d|0,b+68|0);m=y;y=0;if(m&1)break a;m=k[d>>2]|0;k[e>>2]=m;y=0;oa(k[(k[m>>2]|0)+40>>2]|0,m|0,a|0);m=y;y=0;if(m&1){m=pb()|0;EO(e);EO(l);sb(m|0)}EO(e);i[c>>0]=0;y=0;oa(606,h|0,0);m=y;y=0;if(m&1)break a;d=k[l>>2]|0;e=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>2;c:do if(e|0){f=e+-1|0;c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;m=y;y=0;if(m&1){c=40;break}if(k[d>>2]|0){d=(k[l>>2]|0)+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;m=y;y=0;if(m&1){c=40;break}y=0;oa(464,g|0,d|0);m=y;y=0;if(m&1){c=40;break}m=k[g>>2]|0;y=0;oa(k[(k[m>>2]|0)+40>>2]|0,m|0,a|0);m=y;y=0;if(m&1){c=41;break}EO(g)}if(c>>>0<f>>>0){y=0;na(395,h|0);m=y;y=0;if(m&1){c=40;break}}c=c+1|0;if(c>>>0>=e>>>0)break c;d=k[l>>2]|0}if((c|0)==40){m=pb()|0;EO(l);sb(m|0)}else if((c|0)==41){m=pb()|0;EO(g);EO(l);sb(m|0)}}while(0);y=0;c=qa(458,h|0)|0;m=y;y=0;if(m&1)break a;if(!c){m=a+76|0;k[m>>2]=(k[m>>2]|0)-(k[b+56>>2]|0)}y=0;oa(607,h|0,0);m=y;y=0;if(m&1)break a;else break b}while(0);m=c;EO(l);sb(m|0)}else{d=k[l>>2]|0;e=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>2;if(e|0){c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;m=y;y=0;if(m&1){c=11;break}y=0;oa(464,f|0,d|0);m=y;y=0;if(m&1){c=11;break}d=k[f>>2]|0;if(d|0)if(pw(d,680,712,0)|0){y=0;oa(k[(k[d>>2]|0)+40>>2]|0,d|0,a|0);m=y;y=0;if(m&1){c=12;break}}EO(f);c=c+1|0;if(c>>>0>=e>>>0)break b;d=k[l>>2]|0}if((c|0)==11){m=pb()|0;EO(l);sb(m|0)}else if((c|0)==12){m=pb()|0;EO(f);EO(l);sb(m|0)}}}while(0);EO(l);r=j;return}}while(0);m=pb()|0;EO(l);sb(m|0)}function Bh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;C=r;r=r+176|0;B=C+8|0;q=C+136|0;s=C+124|0;u=C+112|0;t=C+60|0;o=C;v=C+72|0;A=C+48|0;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;jI(B,35329,6);y=0;b=Ha(971,a|0,B|0)|0;z=y;y=0;if(z&1){C=pb()|0;$9(B);sb(C|0)}b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,448,0)|0;$9(B);if(!b){k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;jI(u,35329,6);y=0;w=B;x=e;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));b=sa(24,u|0,a|0,d|0,B|0,f|0)|0;z=y;y=0;if(z&1){C=pb()|0;$9(u);sb(C|0)}$9(u);g=ZL(112)|0;w=v;x=e;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));h=+p[b+64>>3];j=+p[b+72>>3];m=+p[b+80>>3];n=+p[b+88>>3];k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(75,A|0,82159,0);z=y;y=0;if(z&1)b=pb()|0;else{w=B;x=v;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));y=0;na(366,g|0);z=y;y=0;do if(z&1)b=pb()|0;else{l=255.0-h;j=255.0-j;h=255.0-m;w=g+12|0;x=B;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;b=g+56|0;k[b>>2]=0;k[g>>2]=9088;p[g+64>>3]=l;p[g+72>>3]=j;p[g+80>>3]=h;p[g+88>>3]=n;y=0;oa(452,g+96|0,A|0);B=y;y=0;if(B&1){b=pb()|0;break}k[g+108>>2]=0;k[b>>2]=3;$9(A);B=g;r=C;return B|0}while(0);$9(A)}zqa(g);C=b;sb(C|0)}else{g=ZL(80)|0;w=q;x=e;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));A=k[(k[b>>2]|0)+28>>2]|0;w=k[c+16>>2]|0;x=k[w+4>>2]|0;z=o;k[z>>2]=k[w>>2];k[z+4>>2]=x;y=0;k[B>>2]=k[o>>2];k[B+4>>2]=k[o+4>>2];Na(A|0,t|0,b|0,B|0);A=y;y=0;if(A&1)b=pb()|0;else{y=0;b=ta(52,t|0,0,35434)|0;A=y;y=0;if(A&1)b=pb()|0;else{k[u>>2]=k[b>>2];k[u+4>>2]=k[b+4>>2];k[u+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,u|0,44127)|0;A=y;y=0;do if(A&1)b=pb()|0;else{k[s>>2]=k[b>>2];k[s+4>>2]=k[b+4>>2];k[s+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;w=B;x=q;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));Ea(2,g|0,B|0,s|0,0,0,0,1);B=y;y=0;if(B&1){b=pb()|0;$9(s);break}$9(s);$9(u);$9(t);B=g;r=C;return B|0}while(0);$9(u)}$9(t)}zqa(g);C=b;sb(C|0)}return 0}function Ch(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;E=r;r=r+16|0;D=E;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,82159,0);B=b+12|0;C=b+16|0;c=k[B>>2]|0;if((k[C>>2]|0)==(c|0)){r=E;return}z=b+48|0;A=D+11|0;o=D+4|0;p=D+11|0;q=D+4|0;s=D+11|0;t=D+4|0;u=D+11|0;v=D+4|0;w=D+11|0;x=D+4|0;d=0;h=0;j=0;l=0;m=0;n=0;b=c;while(1){F=b;F=F+(m*24|0)|0;c=k[F+12>>2]|0;b=h;h=k[F+16>>2]|0;e=j;j=k[F>>2]|0;f=l;l=k[F+4>>2]|0;g=n;n=k[F+8>>2]|0;if((c|0)==(d|0))if(!m)c=d;else{y=0;Ha(970,a|0,46818)|0;F=y;y=0;if(F&1){c=13;break}else c=d}else if(c>>>0>d>>>0){k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;y=0;Na(124,D|0,c-d|0,59);F=y;y=0;if(F&1){c=8;break}F=i[w>>0]|0;d=F<<24>>24<0;y=0;ta(47,a|0,(d?k[D>>2]|0:D)|0,(d?k[x>>2]|0:F&255)|0)|0;F=y;y=0;if(F&1){c=9;break}$9(D);b=0}else{c=d;b=0}y=0;Na(147,D|0,z|0,h-b|0);F=y;y=0;if(F&1){c=23;break}F=i[A>>0]|0;d=F<<24>>24<0;y=0;ta(47,a|0,(d?k[D>>2]|0:D)|0,(d?k[o>>2]|0:F&255)|0)|0;F=y;y=0;if(F&1){c=24;break}$9(D);y=0;Na(147,D|0,z|0,n-g|0);F=y;y=0;if(F&1){c=26;break}F=i[p>>0]|0;g=F<<24>>24<0;y=0;ta(47,a|0,(g?k[D>>2]|0:D)|0,(g?k[q>>2]|0:F&255)|0)|0;F=y;y=0;if(F&1){c=27;break}$9(D);y=0;Na(147,D|0,z|0,j-e|0);F=y;y=0;if(F&1){c=29;break}F=i[s>>0]|0;g=F<<24>>24<0;y=0;ta(47,a|0,(g?k[D>>2]|0:D)|0,(g?k[t>>2]|0:F&255)|0)|0;F=y;y=0;if(F&1){c=30;break}$9(D);y=0;Na(147,D|0,z|0,l-f|0);F=y;y=0;if(F&1){c=32;break}F=i[u>>0]|0;g=F<<24>>24<0;y=0;ta(47,a|0,(g?k[D>>2]|0:D)|0,(g?k[v>>2]|0:F&255)|0)|0;F=y;y=0;if(F&1){c=33;break}$9(D);m=m+1|0;b=k[B>>2]|0;if(m>>>0>=(((k[C>>2]|0)-b|0)/24|0)>>>0){c=36;break}else d=c}switch(c|0){case 8:{b=pb()|0;c=10;break}case 9:{b=pb()|0;$9(D);c=10;break}case 13:{F=pb()|0;$9(a);sb(F|0)}case 23:{b=pb()|0;c=25;break}case 24:{b=pb()|0;$9(D);c=25;break}case 26:{b=pb()|0;c=28;break}case 27:{b=pb()|0;$9(D);c=28;break}case 29:{b=pb()|0;c=31;break}case 30:{b=pb()|0;$9(D);c=31;break}case 32:{b=pb()|0;c=34;break}case 33:{b=pb()|0;$9(D);c=34;break}case 36:{r=E;return}}if((c|0)==10){F=b;$9(a);sb(F|0)}else if((c|0)==25){F=b;$9(a);sb(F|0)}else if((c|0)==28){F=b;$9(a);sb(F|0)}else if((c|0)==31){F=b;$9(a);sb(F|0)}else if((c|0)==34){F=b;$9(a);sb(F|0)}}function Dh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;l=0;o=r;r=r+64|0;j=o;p=o+48|0;n=o+44|0;m=o+40|0;k[p>>2]=0;q=p+4|0;k[q>>2]=0;k[p+8>>2]=0;y=0;h=qa(332,104)|0;g=y;y=0;a:do if(g&1)l=14;else{c=j;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(366,h|0);g=y;y=0;do if(g&1)c=pb()|0;else{c=h+12|0;d=j;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h>>2]=11396;i[h+60>>0]=0;i[h+61>>0]=0;i[h+62>>0]=0;k[h+64>>2]=0;k[h+68>>2]=0;k[h+56>>2]=7;c=h+72|0;k[c>>2]=14012;f=h+76|0;g=h+80|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(513,f|0,0);e=y;y=0;if(e&1){c=pb()|0;b=N;d=k[f>>2]|0;if(d|0){e=k[g>>2]|0;if((e|0)!=(d|0)){do{o=e+-4|0;k[g>>2]=o;EO(o);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[f>>2]|0}zqa(d)}break}k[h>>2]=13796;k[c>>2]=13972;k[h+92>>2]=0;k[h+96>>2]=0;k[h+100>>2]=0;y=0;oa(482,n|0,h|0);l=y;y=0;if(l&1){l=14;break a}l=k[n>>2]|0;f=b+62|0;d=l+62|0;i[d>>0]=i[f>>0]|0;k[l+64>>2]=k[b+64>>2];i[d>>0]=i[f>>0]|0;d=k[b+76>>2]|0;f=(k[b+80>>2]|0)-d>>2;b:do if(!f)l=13;else{e=b+76|0;b=p+8|0;c=0;while(1){y=0;d=Ha(k[(k[a>>2]|0)+272>>2]|0,a|0,k[d+(c<<2)>>2]|0)|0;l=y;y=0;if(l&1){l=25;break}y=0;oa(482,j|0,d|0);l=y;y=0;if(l&1){l=25;break}d=k[q>>2]|0;if(d>>>0<(k[b>>2]|0)>>>0){y=0;oa(464,d|0,j|0);l=y;y=0;if(l&1){l=26;break}k[q>>2]=(k[q>>2]|0)+4}else{y=0;oa(556,p|0,j|0);l=y;y=0;if(l&1){l=26;break}}EO(j);c=c+1|0;if(c>>>0>=f>>>0){l=13;break b}d=k[e>>2]|0}if((l|0)==25)c=pb()|0;else if((l|0)==26){c=pb()|0;EO(j)}}while(0);do if((l|0)==13){f=0;c:while(1){e=k[p>>2]|0;g=(k[q>>2]|0)-e>>2;if(!g){l=39;break}c=0;d=1;while(1){l=k[e+(c<<2)>>2]|0;b=k[l+76>>2]|0;if((k[l+80>>2]|0)-b>>2>>>0>f>>>0){d=(k[n>>2]|0)+72|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(464,m|0,b+(f<<2)|0);l=y;y=0;if(l&1){l=35;break c}y=0;oa(e|0,d|0,m|0);l=y;y=0;if(l&1){l=36;break c}EO(m);d=0}c=c+1|0;if(c>>>0>=g>>>0)break;e=k[p>>2]|0}f=f+1|0;if(d|(f|0)==-1){l=39;break}}if((l|0)==35){c=pb()|0;break}else if((l|0)==36){c=pb()|0;EO(m);break}else if((l|0)==39){c=k[n>>2]|0;if(!c)e=0;else{i[c+8>>0]=1;e=c}EO(n);c=k[p>>2]|0;if(!c){r=o;return e|0}d=k[q>>2]|0;if((d|0)!=(c|0)){do{n=d+-4|0;k[q>>2]=n;EO(n);d=k[q>>2]|0}while((d|0)!=(c|0));c=k[p>>2]|0}zqa(c);r=o;return e|0}}while(0);EO(n);e=c;break a}while(0);zqa(h);e=c}while(0);if((l|0)==14)e=pb()|0;c=k[p>>2]|0;if(!c)sb(e|0);d=k[q>>2]|0;if((d|0)!=(c|0)){do{o=d+-4|0;k[q>>2]=o;EO(o);d=k[q>>2]|0}while((d|0)!=(c|0));c=k[p>>2]|0}zqa(c);sb(e|0);return 0}function Eh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;u=0;q=r;r=r+112|0;n=q;t=q+104|0;c=q+108|0;m=q+96|0;h=q+100|0;o=q+56|0;s=q+52|0;p=q+40|0;rT(n,b+60|0);l=k[n>>2]|0;k[c>>2]=l;y=0;a=Ha(k[(k[l>>2]|0)+52>>2]|0,l|0,a|0)|0;l=y;y=0;if(!(l&1)){y=0;oa(482,t|0,a|0);l=y;y=0;if(!(l&1)){EO(c);l=j[b+76>>1]|0;d=(l&65535)>255;a:do if(!((l&255)<<24>>24)){a=d;c=0;u=31}else{c=k[t>>2]|0;a=k[c+56>>2]|0;if((a|0)==6){a=1;c=0;u=31}else if((a|0)==5){a=d;c=1;u=31}else{y=0;l=qa(332,88)|0;g=y;y=0;if(g&1)u=6;else{g=n;e=c+12|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;na(366,l|0);g=y;y=0;do if(g&1)a=pb()|0;else{g=l+12|0;e=n;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;a=l+56|0;k[a>>2]=0;k[l>>2]=7760;c=l+60|0;k[c>>2]=7720;f=l+64|0;g=l+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,0);e=y;y=0;if(e&1){a=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{s=d+-4|0;k[g>>2]=s;EO(s);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[l>>2]=7552;k[c>>2]=7680;k[l+80>>2]=0;i[l+84>>0]=1;i[l+85>>0]=0;k[a>>2]=5;y=0;oa(482,m|0,l|0);l=y;y=0;if(l&1){u=6;break a}a=(k[m>>2]|0)+60|0;c=k[(k[a>>2]|0)+20>>2]|0;y=0;oa(464,h|0,t|0);l=y;y=0;do if(l&1)a=pb()|0;else{y=0;oa(c|0,a|0,h|0);l=y;y=0;if(l&1){a=pb()|0;EO(h);break}EO(h);y=0;oa(482,n|0,k[m>>2]|0);l=y;y=0;do if(l&1)a=pb()|0;else{y=0;Ha(966,t|0,n|0)|0;l=y;y=0;if(l&1){a=pb()|0;EO(n);break}else{EO(n);EO(m);a=d;c=1;u=31;break a}}while(0)}while(0);EO(m);break a}while(0);zqa(l)}}}while(0);if((u|0)==31){y=0;d=qa(332,84)|0;m=y;y=0;if(m&1)u=6;else{g=o;e=b+12|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;oa(464,s|0,t|0);m=y;y=0;if(m&1)a=pb()|0;else{y=0;oa(452,p|0,b+64|0);b=y;y=0;do if(b&1)a=pb()|0;else{y=0;g=n;e=o;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));ya(14,d|0,n|0,s|0,p|0,c|0,a|0);o=y;y=0;if(o&1){a=pb()|0;$9(p);break}else{$9(p);EO(s);EO(t);r=q;return d|0}}while(0);EO(s)}zqa(d)}}if((u|0)==6)a=pb()|0;EO(t);u=a;sb(u|0)}}u=pb()|0;EO(c);sb(u|0);return 0}function Fh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;z=r;r=r+304|0;q=z+200|0;s=z+196|0;B=z+184|0;C=z+172|0;t=z+168|0;w=z+8|0;x=z+4|0;u=z;v=fR(d)|0;yx(B,d,q,s);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}p=C+11|0;if((i[p>>0]|0)<0)a=(k[C+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,C|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{d=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=d;k[x>>2]=w;k[u>>2]=0;n=C+4|0;o=C+8|0;g=k[b>>2]|0;a:while(1){if(!g){g=0;l=1}else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;m=y;y=0;if(m&1){A=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;g=0;l=1}else l=0}h=k[c>>2]|0;do if(!h)A=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;m=y;y=0;if(m&1){A=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;A=20;break}else if(l)break;else{A=39;break a}}while(0);if((A|0)==20){A=0;if(l){h=0;A=39;break}else h=0}l=i[p>>0]|0;l=l<<24>>24<0?k[n>>2]|0:l&255;if((k[t>>2]|0)==(d+l|0)){y=0;Na(94,C|0,l<<1|0,0);m=y;y=0;if(m&1){A=31;break}if((i[p>>0]|0)<0)a=(k[o>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,C|0,a|0,0);m=y;y=0;if(m&1){A=31;break}d=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=d+l}l=g+12|0;a=k[l>>2]|0;m=g+16|0;if((a|0)==(k[m>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;D=y;y=0;if(D&1){A=29;break}}else a=k[a>>2]|0;if(nq(a,v,d,t,u,k[s>>2]|0,B,w,x,q)|0){A=39;break}a=k[l>>2]|0;if((a|0)==(k[m>>2]|0)){y=0;qa(k[(k[g>>2]|0)+40>>2]|0,g|0)|0;D=y;y=0;if(D&1){A=29;break}else continue}else{k[l>>2]=a+4;continue}}if((A|0)==29)a=pb()|0;else if((A|0)==31)a=pb()|0;else if((A|0)==39){D=i[B+11>>0]|0;if((D<<24>>24<0?k[B+4>>2]|0:D&255)|0){a=k[x>>2]|0;if((a-w|0)<160){D=k[u>>2]|0;k[x>>2]=a+4;k[a>>2]=D}}y=0;a=Ma(24,d|0,k[t>>2]|0,e|0,v|0)|0;D=y;y=0;b:do if(!(D&1)){j[f>>1]=a;my(B,w,k[x>>2]|0,e);if(!g)d=1;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;D=y;y=0;if(D&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)A=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;D=y;y=0;if(D&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;A=55;break}else if(d)break;else{A=57;break}}while(0);if((A|0)==55)if(d)A=57;if((A|0)==57)k[e>>2]=k[e>>2]|2;D=k[b>>2]|0;$9(C);$9(B);r=z;return D|0}while(0);a=pb()|0}}$9(C);$9(B);sb(a|0);return 0}function Gh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;z=0;x=r;r=r+304|0;p=x+200|0;q=x+196|0;A=x+184|0;B=x+172|0;s=x+168|0;v=x+8|0;w=x+4|0;t=x;u=fR(d)|0;yx(A,d,p,q);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}o=B+11|0;if((i[o>>0]|0)<0)a=(k[B+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,B|0,a|0,0);n=y;y=0;if(n&1)a=pb()|0;else{d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d;k[w>>2]=v;k[t>>2]=0;m=B+4|0;n=B+8|0;g=k[b>>2]|0;a:while(1){if(!g){g=0;j=1}else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;l=y;y=0;if(l&1){z=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;g=0;j=1}else j=0}h=k[c>>2]|0;do if(!h)z=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){z=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=20;break}else if(j)break;else{z=39;break a}}while(0);if((z|0)==20){z=0;if(j){h=0;z=39;break}else h=0}j=i[o>>0]|0;j=j<<24>>24<0?k[m>>2]|0:j&255;if((k[s>>2]|0)==(d+j|0)){y=0;Na(94,B|0,j<<1|0,0);l=y;y=0;if(l&1){z=31;break}if((i[o>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,B|0,a|0,0);l=y;y=0;if(l&1){z=31;break}d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d+j}j=g+12|0;a=k[j>>2]|0;l=g+16|0;if((a|0)==(k[l>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}}else a=k[a>>2]|0;if(nq(a,u,d,s,t,k[q>>2]|0,A,v,w,p)|0){z=39;break}a=k[j>>2]|0;if((a|0)==(k[l>>2]|0)){y=0;qa(k[(k[g>>2]|0)+40>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}else continue}else{k[j>>2]=a+4;continue}}if((z|0)==29)a=pb()|0;else if((z|0)==31)a=pb()|0;else if((z|0)==39){C=i[A+11>>0]|0;if((C<<24>>24<0?k[A+4>>2]|0:C&255)|0){a=k[w>>2]|0;if((a-v|0)<160){C=k[t>>2]|0;k[w>>2]=a+4;k[a>>2]=C}}y=0;a=Ma(22,d|0,k[s>>2]|0,e|0,u|0)|0;C=y;y=0;b:do if(!(C&1)){k[f>>2]=a;my(A,v,k[w>>2]|0,e);if(!g)d=1;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)z=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;C=y;y=0;if(C&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=55;break}else if(d)break;else{z=57;break}}while(0);if((z|0)==55)if(d)z=57;if((z|0)==57)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;$9(B);$9(A);r=x;return C|0}while(0);a=pb()|0}}$9(B);$9(A);sb(a|0);return 0}function Hh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;z=0;x=r;r=r+304|0;p=x+200|0;q=x+196|0;A=x+184|0;B=x+172|0;s=x+168|0;v=x+8|0;w=x+4|0;t=x;u=fR(d)|0;yx(A,d,p,q);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}o=B+11|0;if((i[o>>0]|0)<0)a=(k[B+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,B|0,a|0,0);n=y;y=0;if(n&1)a=pb()|0;else{d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d;k[w>>2]=v;k[t>>2]=0;m=B+4|0;n=B+8|0;g=k[b>>2]|0;a:while(1){if(!g){g=0;j=1}else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;l=y;y=0;if(l&1){z=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;g=0;j=1}else j=0}h=k[c>>2]|0;do if(!h)z=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){z=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=20;break}else if(j)break;else{z=39;break a}}while(0);if((z|0)==20){z=0;if(j){h=0;z=39;break}else h=0}j=i[o>>0]|0;j=j<<24>>24<0?k[m>>2]|0:j&255;if((k[s>>2]|0)==(d+j|0)){y=0;Na(94,B|0,j<<1|0,0);l=y;y=0;if(l&1){z=31;break}if((i[o>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,B|0,a|0,0);l=y;y=0;if(l&1){z=31;break}d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d+j}j=g+12|0;a=k[j>>2]|0;l=g+16|0;if((a|0)==(k[l>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}}else a=k[a>>2]|0;if(nq(a,u,d,s,t,k[q>>2]|0,A,v,w,p)|0){z=39;break}a=k[j>>2]|0;if((a|0)==(k[l>>2]|0)){y=0;qa(k[(k[g>>2]|0)+40>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}else continue}else{k[j>>2]=a+4;continue}}if((z|0)==29)a=pb()|0;else if((z|0)==31)a=pb()|0;else if((z|0)==39){C=i[A+11>>0]|0;if((C<<24>>24<0?k[A+4>>2]|0:C&255)|0){a=k[w>>2]|0;if((a-v|0)<160){C=k[t>>2]|0;k[w>>2]=a+4;k[a>>2]=C}}y=0;a=Ma(23,d|0,k[s>>2]|0,e|0,u|0)|0;C=y;y=0;b:do if(!(C&1)){k[f>>2]=a;my(A,v,k[w>>2]|0,e);if(!g)d=1;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)z=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;C=y;y=0;if(C&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=55;break}else if(d)break;else{z=57;break}}while(0);if((z|0)==55)if(d)z=57;if((z|0)==57)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;$9(B);$9(A);r=x;return C|0}while(0);a=pb()|0}}$9(B);$9(A);sb(a|0);return 0}function Ih(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;z=0;x=r;r=r+304|0;p=x+200|0;q=x+196|0;A=x+184|0;B=x+172|0;s=x+168|0;v=x+8|0;w=x+4|0;t=x;u=fR(d)|0;yx(A,d,p,q);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}o=B+11|0;if((i[o>>0]|0)<0)a=(k[B+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,B|0,a|0,0);n=y;y=0;if(n&1)a=pb()|0;else{d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d;k[w>>2]=v;k[t>>2]=0;m=B+4|0;n=B+8|0;g=k[b>>2]|0;a:while(1){if(!g){g=0;j=1}else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;l=y;y=0;if(l&1){z=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;g=0;j=1}else j=0}h=k[c>>2]|0;do if(!h)z=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){z=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=20;break}else if(j)break;else{z=39;break a}}while(0);if((z|0)==20){z=0;if(j){h=0;z=39;break}else h=0}j=i[o>>0]|0;j=j<<24>>24<0?k[m>>2]|0:j&255;if((k[s>>2]|0)==(d+j|0)){y=0;Na(94,B|0,j<<1|0,0);l=y;y=0;if(l&1){z=31;break}if((i[o>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,B|0,a|0,0);l=y;y=0;if(l&1){z=31;break}d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d+j}j=g+12|0;a=k[j>>2]|0;l=g+16|0;if((a|0)==(k[l>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}}else a=k[a>>2]|0;if(nq(a,u,d,s,t,k[q>>2]|0,A,v,w,p)|0){z=39;break}a=k[j>>2]|0;if((a|0)==(k[l>>2]|0)){y=0;qa(k[(k[g>>2]|0)+40>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}else continue}else{k[j>>2]=a+4;continue}}if((z|0)==29)a=pb()|0;else if((z|0)==31)a=pb()|0;else if((z|0)==39){C=i[A+11>>0]|0;if((C<<24>>24<0?k[A+4>>2]|0:C&255)|0){a=k[w>>2]|0;if((a-v|0)<160){C=k[t>>2]|0;k[w>>2]=a+4;k[a>>2]=C}}y=0;a=Ma(26,d|0,k[s>>2]|0,e|0,u|0)|0;C=y;y=0;b:do if(!(C&1)){k[f>>2]=a;my(A,v,k[w>>2]|0,e);if(!g)d=1;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)z=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;C=y;y=0;if(C&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=55;break}else if(d)break;else{z=57;break}}while(0);if((z|0)==55)if(d)z=57;if((z|0)==57)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;$9(B);$9(A);r=x;return C|0}while(0);a=pb()|0}}$9(B);$9(A);sb(a|0);return 0}function Jh(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;w=r;r=r+144|0;t=w+96|0;l=w+92|0;A=w+88|0;h=w+48|0;p=w+28|0;q=w+24|0;n=w+20|0;j=w+16|0;z=w+40|0;o=w+12|0;m=w+8|0;u=w+4|0;v=w;s=ZL(88)|0;b=h;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));e=k[a+156>>2]|0;f=k[a+160>>2]|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;g=f-e|0;if(g>>>0>4294967279){y=0;na(377,p|0);x=y;y=0;if(x&1)x=26;else x=5}else if(g>>>0<11){i[p+11>>0]=g;b=p;x=7}else x=5;if((x|0)==5){c=g+16&-16;y=0;b=qa(332,c|0)|0;x=y;y=0;if(x&1)x=26;else{k[p>>2]=b;k[p+8>>2]=c|-2147483648;k[p+4>>2]=g;x=7}}do if((x|0)==7){if((e|0)!=(f|0)){d=b;c=e;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(f|0))break;else d=d+1|0}b=b+g|0}i[b>>0]=0;y=0;oa(482,q|0,0);g=y;y=0;if(g&1){b=pb()|0;$9(p);break}y=0;oa(482,n|0,0);g=y;y=0;if(g&1){b=pb()|0;c=1}else{y=0;oa(482,j|0,0);g=y;y=0;if(g&1){b=pb()|0;c=1}else{y=0;b=t;c=h;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));ya(19,s|0,t|0,p|0,q|0,n|0,j|0);h=y;y=0;if(h&1)c=1;else{y=0;oa(482,A|0,s|0);h=y;y=0;if(h&1)c=0;else{EO(j);EO(n);EO(q);$9(p);y=0;b=qa(420,a|0)|0;s=y;y=0;if(s&1)b=pb()|0;else{k[z>>2]=b;c=k[A>>2]|0;y=0;oa(482,m|0,b|0);s=y;y=0;do if(s&1)x=35;else{b=c+84|0;y=0;Ha(966,b|0,m|0)|0;s=y;y=0;if(!(s&1)){y=0;oa(464,l|0,b|0);s=y;y=0;if(!(s&1)){k[o>>2]=k[l>>2];EO(o);EO(m);b=k[a+76>>2]|0;y=0;c=qa(360,b|0)|0;s=y;y=0;if(s&1){x=35;break}s=c|0?c:b;s=(i[s>>0]|0)==123?s+1|0:0;if((s|0)==0?1:s>>>0>(k[a+80>>2]|0)>>>0){EO(z);A=k[A>>2]|0;r=w;return A|0}c=k[A>>2]|0;d=a+164|0;e=i[d>>0]|0;i[d>>0]=0;y=0;b=Ha(1010,a|0,0)|0;a=y;y=0;if(a&1){b=pb()|0;i[d>>0]=e;x=36;break}i[d>>0]=e;k[v>>2]=b;b=c+64|0;y=0;Ha(966,b|0,v|0)|0;a=y;y=0;do if(!(a&1)){y=0;oa(464,t|0,b|0);a=y;y=0;if(a&1)break;k[u>>2]=k[t>>2];EO(u);EO(v);EO(z);A=k[A>>2]|0;r=w;return A|0}while(0);b=pb()|0;EO(v);break}}b=pb()|0;EO(m)}while(0);if((x|0)==35){b=pb()|0;x=36}EO(z)}EO(A);A=b;sb(A|0)}}b=pb()|0;EO(j)}EO(n)}EO(q);$9(p);if(!c){A=b;sb(A|0)}}else if((x|0)==26)b=pb()|0;while(0);zqa(s);A=b;sb(A|0);return 0}function Kh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;o=r;r=r+128|0;l=o;u=o+120|0;t=o+108|0;s=o+40|0;n=o+104|0;m=o+64|0;p=o+52|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;jI(t,37040,9);y=0;j=l;h=j+40|0;do{k[j>>2]=k[e>>2];j=j+4|0;e=e+4|0}while((j|0)<(h|0));b=pa(42,t|0,a|0,d|0,l|0,f|0,c|0)|0;q=y;y=0;if(q&1){u=pb()|0;$9(t);sb(u|0)}k[u>>2]=b;$9(t);y=0;q=qa(332,88)|0;j=y;y=0;a:do if(j&1)b=pb()|0;else{g=k[b+80>>2]|0;e=k[b+76>>2]|0;DN(l|0,b+12|0,40)|0;y=0;na(366,q|0);j=y;y=0;do if(j&1)b=pb()|0;else{g=g-e>>2;j=q+12|0;e=l;h=j+40|0;do{k[j>>2]=k[e>>2];j=j+4|0;e=e+4|0}while((j|0)<(h|0));i[q+52>>0]=0;i[q+53>>0]=0;i[q+54>>0]=0;b=q+56|0;k[b>>2]=0;k[q>>2]=7760;f=q+60|0;k[f>>2]=7720;c=q+64|0;d=q+68|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;y=0;oa(518,c|0,g|0);j=y;y=0;if(j&1){b=pb()|0;a=N;g=k[c>>2]|0;if(g|0){e=k[d>>2]|0;if((e|0)!=(g|0)){do{t=e+-4|0;k[d>>2]=t;EO(t);e=k[d>>2]|0}while((e|0)!=(g|0));g=k[c>>2]|0}zqa(g)}break}k[q>>2]=7552;k[f>>2]=7680;k[q+80>>2]=0;i[q+84>>0]=0;i[q+85>>0]=0;k[b>>2]=5;g=k[u>>2]|0;a=(k[g+80>>2]|0)-(k[g+76>>2]|0)>>2;if(!a){EO(u);r=o;return q|0}b=0;while(1){y=0;oa(464,t|0,(k[g+76>>2]|0)+(b<<2)|0);j=y;y=0;if(j&1){e=27;break}j=k[t>>2]|0;y=0;oa(k[(k[j>>2]|0)+32>>2]|0,s|0,j|0);j=y;y=0;if(j&1){e=28;break}g=k[(k[f>>2]|0)+20>>2]|0;y=0;c=qa(332,80)|0;j=y;y=0;if(j&1){e=29;break}j=m;e=(k[t>>2]|0)+12|0;h=j+40|0;do{k[j>>2]=k[e>>2];j=j+4|0;e=e+4|0}while((j|0)<(h|0));y=0;oa(452,p|0,s|0);j=y;y=0;if(j&1){e=30;break}y=0;j=l;e=m;h=j+40|0;do{k[j>>2]=k[e>>2];j=j+4|0;e=e+4|0}while((j|0)<(h|0));Ea(2,c|0,l|0,p|0,0,0,0,1);j=y;y=0;if(j&1){g=1;e=32;break}y=0;oa(482,n|0,c|0);j=y;y=0;if(j&1){g=0;e=32;break}y=0;oa(g|0,f|0,n|0);j=y;y=0;if(j&1){e=31;break}EO(n);$9(p);$9(s);EO(t);b=b+1|0;if(b>>>0>=a>>>0){e=13;break}g=k[u>>2]|0}if((e|0)==13){EO(u);r=o;return q|0}else if((e|0)==27){b=pb()|0;break a}else if((e|0)==28)b=pb()|0;else if((e|0)==29){b=pb()|0;e=34}else if((e|0)==30){b=pb()|0;e=33}else if((e|0)==31){b=pb()|0;EO(n);$9(p);e=34}else if((e|0)==32){b=pb()|0;$9(p);if(g)e=33;else e=34}if((e|0)==33){zqa(c);e=34}if((e|0)==34)$9(s);EO(t);break a}while(0);zqa(q)}while(0);EO(u);u=b;sb(u|0);return 0}function Lh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;q=r;r=r+48|0;u=q+24|0;p=q;gD(a);y=0;na(387,u|0);t=y;y=0;if(t&1)b=pb()|0;else{y=0;oa(512,u|0,b|0);t=y;y=0;do if(t&1){b=pb()|0;c=u+20|0;i=51}else{o=u+16|0;c=u+20|0;l=p+16|0;s=p+20|0;m=a+16|0;n=a+20|0;t=p+12|0;a:while(1){b=k[o>>2]|0;d=k[c>>2]|0;if(!d){if(!(k[b+20>>2]|0)){i=63;break}}else{Sba(d);j=(k[b+20>>2]|0)==0;kZ(d);if(j){i=61;break}}y=0;na(387,p|0);j=y;y=0;if(j&1){i=49;break}do{b=k[l>>2]|0;e=k[s>>2]|0;f=(e|0)==0;if(!f)Sba(e);d=k[o>>2]|0;g=k[c>>2]|0;h=(g|0)==0;if(!h)Sba(g);j=k[d+16>>2]|0;y=0;oa(523,b|0,(k[(k[d+4>>2]|0)+(((j>>>0)/170|0)<<2)>>2]|0)+(((j>>>0)%170|0)*24|0)|0);j=y;y=0;if(j&1){i=52;break a}if(!h)kZ(g);if(!f)kZ(e);b=k[o>>2]|0;d=k[c>>2]|0;e=(d|0)==0;if(!e)Sba(d);f=b+4|0;g=b+16|0;i=k[g>>2]|0;h=k[(k[f>>2]|0)+(((i>>>0)/170|0)<<2)>>2]|0;i=(i>>>0)%170|0;j=k[h+(i*24|0)+20>>2]|0;if(j|0)kZ(j);EO(h+(i*24|0)+12|0);j=b+20|0;k[j>>2]=(k[j>>2]|0)+-1;j=(k[g>>2]|0)+1|0;k[g>>2]=j;if(j>>>0>339){zqa(k[k[f>>2]>>2]|0);k[f>>2]=(k[f>>2]|0)+4;k[g>>2]=(k[g>>2]|0)+-170}if(!e)kZ(d);b=k[o>>2]|0;h=k[c>>2]|0;i=(h|0)==0;if(!i)Sba(h);do if(!(k[b+20>>2]|0))b=0;else{b=k[l>>2]|0;f=k[s>>2]|0;g=(f|0)==0;if(!g)Sba(f);j=(k[b+20>>2]|0)+-1+(k[b+16>>2]|0)|0;do if((k[(k[(k[b+4>>2]|0)+(((j>>>0)/170|0)<<2)>>2]|0)+(((j>>>0)%170|0)*24|0)+4>>2]|0)==1)b=1;else{b=k[o>>2]|0;d=k[c>>2]|0;e=(d|0)==0;if(!e)Sba(d);j=k[b+16>>2]|0;b=(k[(k[(k[b+4>>2]|0)+(((j>>>0)/170|0)<<2)>>2]|0)+(((j>>>0)%170|0)*24|0)+4>>2]|0)==1;if(e)break;kZ(d)}while(0);if(g)break;kZ(f)}while(0);if(!i)kZ(h)}while(b);b=k[m>>2]|0;d=k[n>>2]|0;e=(d|0)==0;if(!e)Sba(d);y=0;oa(523,b|0,p|0);j=y;y=0;if(j&1){i=56;break}if(!e)kZ(d);b=k[s>>2]|0;if(b|0)kZ(b);EO(t)}if((i|0)==49){b=pb()|0;i=51;break}else if((i|0)==52){b=pb()|0;if(!h)kZ(g);if(!f)kZ(e)}else if((i|0)==56){b=pb()|0;if(!e)kZ(d)}else if((i|0)==61){b=k[c>>2]|0;if(!b){a=u+12|0;EO(a);r=q;return}kZ(b);a=u+12|0;EO(a);r=q;return}else if((i|0)==63){a=u+12|0;EO(a);r=q;return}d=k[s>>2]|0;if(d|0)kZ(d);EO(t)}while(0);c=k[c>>2]|0;if(c|0)kZ(c);EO(u+12|0)}c=k[a+20>>2]|0;if(!c){a=a+12|0;EO(a);sb(b|0)}kZ(c);a=a+12|0;EO(a);sb(b|0)}function Mh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,j=0,m=0,n=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;E=0;D=r;r=r+240|0;u=D+200|0;v=D+199|0;w=D+198|0;G=D+184|0;F=D+172|0;z=D+168|0;B=D+8|0;C=D+4|0;A=D;x=D+197|0;t=D+196|0;Rv(G,d,u,v,w);k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[F+(a<<2)>>2]=0;a=a+1|0}s=F+11|0;if((i[s>>0]|0)<0)a=(k[F+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,F|0,a|0,0);q=y;y=0;if(q&1)a=pb()|0;else{h=(i[s>>0]|0)<0?k[F>>2]|0:F;k[z>>2]=h;k[C>>2]=B;k[A>>2]=0;i[x>>0]=1;i[t>>0]=69;p=F+4|0;q=F+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;n=y;y=0;if(n&1){E=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;j=k[c>>2]|0;do if(!j)E=19;else{if((k[j+12>>2]|0)!=(k[j+16>>2]|0))if(d)break;else{E=38;break a}y=0;m=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;n=y;y=0;if(n&1){E=28;break a}if((m|0)==-1){k[c>>2]=0;E=19;break}else if(d)break;else{E=38;break a}}while(0);if((E|0)==19){E=0;if(d){j=0;E=38;break}else j=0}m=i[s>>0]|0;m=m<<24>>24<0?k[p>>2]|0:m&255;if((k[z>>2]|0)==(h+m|0)){y=0;Na(94,F|0,m<<1|0,0);n=y;y=0;if(n&1){E=30;break}if((i[s>>0]|0)<0)d=(k[q>>2]&2147483647)+-1|0;else d=10;y=0;Na(94,F|0,d|0,0);n=y;y=0;if(n&1){E=30;break}h=(i[s>>0]|0)<0?k[F>>2]|0:F;k[z>>2]=h+m}m=a+12|0;d=k[m>>2]|0;n=a+16|0;if((d|0)==(k[n>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;H=y;y=0;if(H&1){E=28;break}}else d=l[d>>0]|0;if(zn(d&255,x,t,h,z,i[v>>0]|0,i[w>>0]|0,G,B,C,A,u)|0){E=38;break}d=k[m>>2]|0;if((d|0)==(k[n>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;H=y;y=0;if(H&1){E=28;break}else continue}else{k[m>>2]=d+1;continue}}if((E|0)==28)a=pb()|0;else if((E|0)==30)a=pb()|0;else if((E|0)==38){H=i[G+11>>0]|0;if(!((i[x>>0]|0)==0?1:((H<<24>>24<0?k[G+4>>2]|0:H&255)|0)==0)){d=k[C>>2]|0;if((d-B|0)<160){H=k[A>>2]|0;k[C>>2]=d+4;k[d>>2]=H}}y=0;g=+Ja(4,h|0,k[z>>2]|0,e|0);H=y;y=0;b:do if(!(H&1)){o[f>>2]=g;my(G,B,k[C>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;H=y;y=0;if(H&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!j)E=53;else{if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;a=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;H=y;y=0;if(H&1)break b;if((a|0)==-1){k[c>>2]=0;E=53;break}}if(!d)E=54}while(0);if((E|0)==53)if(d)E=54;if((E|0)==54)k[e>>2]=k[e>>2]|2;H=k[b>>2]|0;$9(F);$9(G);r=D;return H|0}while(0);a=pb()|0}}$9(F);$9(G);sb(a|0);return 0}function Nh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;E=0;D=r;r=r+240|0;u=D+200|0;v=D+199|0;w=D+198|0;G=D+184|0;F=D+172|0;z=D+168|0;B=D+8|0;C=D+4|0;A=D;x=D+197|0;t=D+196|0;Rv(G,d,u,v,w);k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[F+(a<<2)>>2]=0;a=a+1|0}s=F+11|0;if((i[s>>0]|0)<0)a=(k[F+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,F|0,a|0,0);q=y;y=0;if(q&1)a=pb()|0;else{h=(i[s>>0]|0)<0?k[F>>2]|0:F;k[z>>2]=h;k[C>>2]=B;k[A>>2]=0;i[x>>0]=1;i[t>>0]=69;o=F+4|0;q=F+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;n=y;y=0;if(n&1){E=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;j=k[c>>2]|0;do if(!j)E=19;else{if((k[j+12>>2]|0)!=(k[j+16>>2]|0))if(d)break;else{E=38;break a}y=0;m=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;n=y;y=0;if(n&1){E=28;break a}if((m|0)==-1){k[c>>2]=0;E=19;break}else if(d)break;else{E=38;break a}}while(0);if((E|0)==19){E=0;if(d){j=0;E=38;break}else j=0}m=i[s>>0]|0;m=m<<24>>24<0?k[o>>2]|0:m&255;if((k[z>>2]|0)==(h+m|0)){y=0;Na(94,F|0,m<<1|0,0);n=y;y=0;if(n&1){E=30;break}if((i[s>>0]|0)<0)d=(k[q>>2]&2147483647)+-1|0;else d=10;y=0;Na(94,F|0,d|0,0);n=y;y=0;if(n&1){E=30;break}h=(i[s>>0]|0)<0?k[F>>2]|0:F;k[z>>2]=h+m}m=a+12|0;d=k[m>>2]|0;n=a+16|0;if((d|0)==(k[n>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;H=y;y=0;if(H&1){E=28;break}}else d=l[d>>0]|0;if(zn(d&255,x,t,h,z,i[v>>0]|0,i[w>>0]|0,G,B,C,A,u)|0){E=38;break}d=k[m>>2]|0;if((d|0)==(k[n>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;H=y;y=0;if(H&1){E=28;break}else continue}else{k[m>>2]=d+1;continue}}if((E|0)==28)a=pb()|0;else if((E|0)==30)a=pb()|0;else if((E|0)==38){H=i[G+11>>0]|0;if(!((i[x>>0]|0)==0?1:((H<<24>>24<0?k[G+4>>2]|0:H&255)|0)==0)){d=k[C>>2]|0;if((d-B|0)<160){H=k[A>>2]|0;k[C>>2]=d+4;k[d>>2]=H}}y=0;g=+Ja(2,h|0,k[z>>2]|0,e|0);H=y;y=0;b:do if(!(H&1)){p[f>>3]=g;my(G,B,k[C>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;H=y;y=0;if(H&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!j)E=53;else{if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;a=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;H=y;y=0;if(H&1)break b;if((a|0)==-1){k[c>>2]=0;E=53;break}}if(!d)E=54}while(0);if((E|0)==53)if(d)E=54;if((E|0)==54)k[e>>2]=k[e>>2]|2;H=k[b>>2]|0;$9(F);$9(G);r=D;return H|0}while(0);a=pb()|0}}$9(F);$9(G);sb(a|0);return 0}function Oh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;E=0;D=r;r=r+240|0;u=D+200|0;v=D+199|0;w=D+198|0;G=D+184|0;F=D+172|0;z=D+168|0;B=D+8|0;C=D+4|0;A=D;x=D+197|0;t=D+196|0;Rv(G,d,u,v,w);k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[F+(a<<2)>>2]=0;a=a+1|0}s=F+11|0;if((i[s>>0]|0)<0)a=(k[F+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,F|0,a|0,0);q=y;y=0;if(q&1)a=pb()|0;else{h=(i[s>>0]|0)<0?k[F>>2]|0:F;k[z>>2]=h;k[C>>2]=B;k[A>>2]=0;i[x>>0]=1;i[t>>0]=69;o=F+4|0;q=F+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;n=y;y=0;if(n&1){E=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;j=k[c>>2]|0;do if(!j)E=19;else{if((k[j+12>>2]|0)!=(k[j+16>>2]|0))if(d)break;else{E=38;break a}y=0;m=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;n=y;y=0;if(n&1){E=28;break a}if((m|0)==-1){k[c>>2]=0;E=19;break}else if(d)break;else{E=38;break a}}while(0);if((E|0)==19){E=0;if(d){j=0;E=38;break}else j=0}m=i[s>>0]|0;m=m<<24>>24<0?k[o>>2]|0:m&255;if((k[z>>2]|0)==(h+m|0)){y=0;Na(94,F|0,m<<1|0,0);n=y;y=0;if(n&1){E=30;break}if((i[s>>0]|0)<0)d=(k[q>>2]&2147483647)+-1|0;else d=10;y=0;Na(94,F|0,d|0,0);n=y;y=0;if(n&1){E=30;break}h=(i[s>>0]|0)<0?k[F>>2]|0:F;k[z>>2]=h+m}m=a+12|0;d=k[m>>2]|0;n=a+16|0;if((d|0)==(k[n>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;H=y;y=0;if(H&1){E=28;break}}else d=l[d>>0]|0;if(zn(d&255,x,t,h,z,i[v>>0]|0,i[w>>0]|0,G,B,C,A,u)|0){E=38;break}d=k[m>>2]|0;if((d|0)==(k[n>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;H=y;y=0;if(H&1){E=28;break}else continue}else{k[m>>2]=d+1;continue}}if((E|0)==28)a=pb()|0;else if((E|0)==30)a=pb()|0;else if((E|0)==38){H=i[G+11>>0]|0;if(!((i[x>>0]|0)==0?1:((H<<24>>24<0?k[G+4>>2]|0:H&255)|0)==0)){d=k[C>>2]|0;if((d-B|0)<160){H=k[A>>2]|0;k[C>>2]=d+4;k[d>>2]=H}}y=0;g=+Ja(3,h|0,k[z>>2]|0,e|0);H=y;y=0;b:do if(!(H&1)){p[f>>3]=g;my(G,B,k[C>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;H=y;y=0;if(H&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!j)E=53;else{if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;a=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;H=y;y=0;if(H&1)break b;if((a|0)==-1){k[c>>2]=0;E=53;break}}if(!d)E=54}while(0);if((E|0)==53)if(d)E=54;if((E|0)==54)k[e>>2]=k[e>>2]|2;H=k[b>>2]|0;$9(F);$9(G);r=D;return H|0}while(0);a=pb()|0}}$9(F);$9(G);sb(a|0);return 0}function Ph(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;C=r;r=r+1008|0;t=C+8|0;g=C;a=C+896|0;m=C+888|0;h=C+488|0;G=C+480|0;u=C+892|0;v=C+476|0;w=C+472|0;D=C+460|0;E=C+448|0;F=C+436|0;s=C+432|0;l=C+32|0;x=C+24|0;z=C+20|0;A=C+16|0;k[m>>2]=a;p[t>>3]=f;a=gS(a,100,53066,t)|0;do if(a>>>0>99){y=0;a=La(3)|0;B=y;y=0;if(B&1){g=0;a=0;B=8}else{y=0;p[g>>3]=f;j=Ma(27,m|0,a|0,53066,g|0)|0;B=y;y=0;if(B&1){g=0;a=0;B=8}else{a=k[m>>2]|0;if(!a){y=0;la(6);B=y;y=0;if(B&1){g=0;a=0;B=8;break}a=k[m>>2]|0}h=pd(j<<2)|0;g=h;if(!h){y=0;la(6);B=y;y=0;if(B&1)B=8;else{h=0;o=j;q=g;B=11}}else{o=j;q=g;B=11}}}}else{o=a;q=0;a=0;B=11}while(0);if((B|0)==11){y=0;g=qa(341,d|0)|0;n=y;y=0;if(n&1){g=q;B=8}else{k[G>>2]=g;y=0;n=Ha(973,G|0,78176)|0;j=y;y=0;do if(j&1)h=pb()|0;else{j=k[m>>2]|0;y=0;Ma(k[(k[n>>2]|0)+48>>2]|0,n|0,j|0,j+o|0,h|0)|0;j=y;y=0;if(j&1){h=pb()|0;break}if(!o)m=0;else m=(i[k[m>>2]>>0]|0)==45;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;g=0;while(1){if((g|0)==3)break;k[D+(g<<2)>>2]=0;g=g+1|0}k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;g=0;while(1){if((g|0)==3)break;k[E+(g<<2)>>2]=0;g=g+1|0}k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;g=0;while(1){if((g|0)==3)break;k[F+(g<<2)>>2]=0;g=g+1|0}y=0;Ga(4,c|0,m|0,G|0,u|0,v|0,w|0,D|0,E|0,F|0,s|0);c=y;y=0;if(c&1)h=pb()|0;else{j=k[s>>2]|0;if((o|0)>(j|0)){c=i[F+8+3>>0]|0;g=i[E+8+3>>0]|0;g=(c<<24>>24<0?k[F+4>>2]|0:c&255)+(o-j<<1|1)+(g<<24>>24<0?k[E+4>>2]|0:g&255)|0}else{c=i[F+8+3>>0]|0;g=i[E+8+3>>0]|0;g=(c<<24>>24<0?k[F+4>>2]|0:c&255)+2+(g<<24>>24<0?k[E+4>>2]|0:g&255)|0}g=g+j|0;do if(g>>>0>100){l=pd(g<<2)|0;g=l;if(!l){y=0;la(6);c=y;y=0;if(c&1){h=pb()|0;break}else{l=0;j=k[s>>2]|0;B=37;break}}else B=37}else{g=0;B=37}while(0);if((B|0)==37){y=0;va(2,l|0,x|0,z|0,k[d+4>>2]|0,h|0,h+(o<<2)|0,n|0,m|0,u|0,k[v>>2]|0,k[w>>2]|0,D|0,E|0,F|0,j|0);w=y;y=0;if(!(w&1)){k[A>>2]=k[b>>2];b=k[x>>2]|0;h=k[z>>2]|0;y=0;k[t>>2]=k[A>>2];h=pa(45,t|0,l|0,b|0,h|0,d|0,e|0)|0;e=y;y=0;if(!(e&1)){if(g|0)Pf(g);w9(F);w9(E);$9(D);lQ(k[G>>2]|0)|0;if(q|0)Pf(q);if(a|0)Pf(a);r=C;return h|0}}h=pb()|0}if(g|0)Pf(g)}w9(F);w9(E);$9(D);g=k[G>>2]|0}while(0);lQ(g)|0;g=q}}if((B|0)==8)h=pb()|0;if(g|0)Pf(g);if(a|0)Pf(a);sb(h|0);return 0}function Qh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;q=0;o=r;r=r+64|0;n=o+48|0;h=o+44|0;f=o+40|0;s=o+36|0;t=o+16|0;p=o+8|0;g=o+12|0;j=o+4|0;l=o;_V(s,0);m=a+4|0;y=0;c=qa(439,k[m>>2]|0)|0;e=y;y=0;if(!(e&1)){y=0;Na(120,t|0,c|0,0);e=y;y=0;if(!(e&1)){c=k[m>>2]|0;k[n>>2]=t;d=c+28|0;e=k[d>>2]|0;if(e>>>0<(k[c+32>>2]|0)>>>0){k[e>>2]=t;k[d>>2]=(k[d>>2]|0)+4;q=6}else{y=0;oa(573,c+24|0,n|0);e=y;y=0;if(e&1)c=pb()|0;else q=6}do if((q|0)==6){y=0;oa(464,f|0,b+68|0);e=y;y=0;if(e&1){c=pb()|0;break}c=k[f>>2]|0;k[g>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;f=y;y=0;if(!(f&1)){y=0;oa(482,p|0,c|0);f=y;y=0;if(!(f&1)){EO(g);c=k[p>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+84>>2]|0,c|0)|0;g=y;y=0;a:do if(g&1)q=20;else{b:do if(c){y=0;oa(464,n|0,b+72|0);j=y;y=0;if(j&1){q=20;break a}c=k[n>>2]|0;k[l>>2]=c;c:do if(c|0){y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;j=y;y=0;do if(j&1)q=32;else{y=0;oa(482,n|0,c|0);j=y;y=0;if(j&1)q=32;else{y=0;Ha(966,s|0,n|0)|0;j=y;y=0;if(j&1){c=pb()|0;EO(n);break}else{EO(n);break c}}}while(0);if((q|0)==32)c=pb()|0;EO(l);break a}while(0);EO(l)}else{y=0;oa(464,h|0,b+64|0);l=y;y=0;if(l&1)c=pb()|0;else{c=k[h>>2]|0;k[j>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;l=y;y=0;do if(l&1)q=22;else{y=0;oa(482,n|0,c|0);l=y;y=0;if(l&1)q=22;else{y=0;Ha(966,s|0,n|0)|0;l=y;y=0;if(l&1){c=pb()|0;EO(n);break}else{EO(n);EO(j);break b}}}while(0);if((q|0)==22)c=pb()|0;EO(j)}break a}while(0);c=(k[m>>2]|0)+28|0;k[c>>2]=(k[c>>2]|0)+-4;c=k[s>>2]|0;if(!c){q=0;EO(p);p=t+4|0;p=k[p>>2]|0;jB(t,p);EO(s);r=o;return q|0}i[c+8>>0]=1;q=c;EO(p);p=t+4|0;p=k[p>>2]|0;jB(t,p);EO(s);r=o;return q|0}while(0);if((q|0)==20)c=pb()|0;EO(p);break}}c=pb()|0;EO(g)}while(0);jB(t,k[t+4>>2]|0);t=c;EO(s);sb(t|0)}}t=pb()|0;EO(s);sb(t|0);return 0}function Rh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;z=r;r=r+224|0;q=z+198|0;s=z+196|0;B=z+184|0;C=z+172|0;t=z+168|0;w=z+8|0;x=z+4|0;u=z;v=fR(d)|0;Ax(B,d,q,s);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}p=C+11|0;if((i[p>>0]|0)<0)a=(k[C+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,C|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g;k[x>>2]=w;k[u>>2]=0;n=C+4|0;o=C+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;m=y;y=0;if(m&1){A=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;h=k[c>>2]|0;do if(!h)A=19;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d)break;else{A=38;break a}y=0;j=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;m=y;y=0;if(m&1){A=28;break a}if((j|0)==-1){k[c>>2]=0;A=19;break}else if(d)break;else{A=38;break a}}while(0);if((A|0)==19){A=0;if(d){h=0;A=38;break}else h=0}j=i[p>>0]|0;j=j<<24>>24<0?k[n>>2]|0:j&255;if((k[t>>2]|0)==(g+j|0)){y=0;Na(94,C|0,j<<1|0,0);m=y;y=0;if(m&1){A=30;break}if((i[p>>0]|0)<0)d=(k[o>>2]&2147483647)+-1|0;else d=10;y=0;Na(94,C|0,d|0,0);m=y;y=0;if(m&1){A=30;break}g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g+j}j=a+12|0;d=k[j>>2]|0;m=a+16|0;if((d|0)==(k[m>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}}else d=l[d>>0]|0;if(lq(d&255,v,g,t,u,i[s>>0]|0,B,w,x,q)|0){A=38;break}d=k[j>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}else continue}else{k[j>>2]=d+1;continue}}if((A|0)==28)a=pb()|0;else if((A|0)==30)a=pb()|0;else if((A|0)==38){D=i[B+11>>0]|0;if((D<<24>>24<0?k[B+4>>2]|0:D&255)|0){d=k[x>>2]|0;if((d-w|0)<160){D=k[u>>2]|0;k[x>>2]=d+4;k[d>>2]=D}}y=0;d=Ma(21,g|0,k[t>>2]|0,e|0,v|0)|0;g=N;D=y;y=0;b:do if(!(D&1)){D=f;k[D>>2]=d;k[D+4>>2]=g;my(B,w,k[x>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!h)A=53;else{if((k[h+12>>2]|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;D=y;y=0;if(D&1)break b;if((a|0)==-1){k[c>>2]=0;A=53;break}}if(!d)A=54}while(0);if((A|0)==53)if(d)A=54;if((A|0)==54)k[e>>2]=k[e>>2]|2;D=k[b>>2]|0;$9(C);$9(B);r=z;return D|0}while(0);a=pb()|0}}$9(C);$9(B);sb(a|0);return 0}function Sh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;z=r;r=r+224|0;q=z+198|0;s=z+196|0;B=z+184|0;C=z+172|0;t=z+168|0;w=z+8|0;x=z+4|0;u=z;v=fR(d)|0;Ax(B,d,q,s);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}p=C+11|0;if((i[p>>0]|0)<0)a=(k[C+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,C|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g;k[x>>2]=w;k[u>>2]=0;n=C+4|0;o=C+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;m=y;y=0;if(m&1){A=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;h=k[c>>2]|0;do if(!h)A=19;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d)break;else{A=38;break a}y=0;j=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;m=y;y=0;if(m&1){A=28;break a}if((j|0)==-1){k[c>>2]=0;A=19;break}else if(d)break;else{A=38;break a}}while(0);if((A|0)==19){A=0;if(d){h=0;A=38;break}else h=0}j=i[p>>0]|0;j=j<<24>>24<0?k[n>>2]|0:j&255;if((k[t>>2]|0)==(g+j|0)){y=0;Na(94,C|0,j<<1|0,0);m=y;y=0;if(m&1){A=30;break}if((i[p>>0]|0)<0)d=(k[o>>2]&2147483647)+-1|0;else d=10;y=0;Na(94,C|0,d|0,0);m=y;y=0;if(m&1){A=30;break}g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g+j}j=a+12|0;d=k[j>>2]|0;m=a+16|0;if((d|0)==(k[m>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}}else d=l[d>>0]|0;if(lq(d&255,v,g,t,u,i[s>>0]|0,B,w,x,q)|0){A=38;break}d=k[j>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}else continue}else{k[j>>2]=d+1;continue}}if((A|0)==28)a=pb()|0;else if((A|0)==30)a=pb()|0;else if((A|0)==38){D=i[B+11>>0]|0;if((D<<24>>24<0?k[B+4>>2]|0:D&255)|0){d=k[x>>2]|0;if((d-w|0)<160){D=k[u>>2]|0;k[x>>2]=d+4;k[d>>2]=D}}y=0;d=Ma(25,g|0,k[t>>2]|0,e|0,v|0)|0;g=N;D=y;y=0;b:do if(!(D&1)){D=f;k[D>>2]=d;k[D+4>>2]=g;my(B,w,k[x>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!h)A=53;else{if((k[h+12>>2]|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;D=y;y=0;if(D&1)break b;if((a|0)==-1){k[c>>2]=0;A=53;break}}if(!d)A=54}while(0);if((A|0)==53)if(d)A=54;if((A|0)==54)k[e>>2]=k[e>>2]|2;D=k[b>>2]|0;$9(C);$9(B);r=z;return D|0}while(0);a=pb()|0}}$9(C);$9(B);sb(a|0);return 0}function Th(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;m=r;r=r+48|0;j=m+24|0;e=m+20|0;f=m+16|0;g=m+12|0;h=m+8|0;i=m+4|0;l=m;d=k[(k[b>>2]|0)+112>>2]|0;c=b+60|0;rT(e,c);y=0;d=Ha(d|0,b|0,e|0)|0;n=y;y=0;if(n&1){n=pb()|0;EO(e);sb(n|0)}EO(e);do if(d){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,44122,1);y=0;oa(605,a+4|0,j|0);n=y;y=0;if(!(n&1)){$9(j);break}n=pb()|0;$9(j);sb(n|0)}while(0);rT(j,c);n=k[j>>2]|0;k[f>>2]=n;y=0;oa(k[(k[n>>2]|0)+40>>2]|0,n|0,a|0);n=y;y=0;if(n&1){n=pb()|0;EO(f);sb(n|0)}EO(f);n=k[(k[b>>2]|0)+112>>2]|0;rT(g,c);y=0;c=Ha(n|0,b|0,g|0)|0;n=y;y=0;if(n&1){n=pb()|0;EO(g);sb(n|0)}EO(g);do if(c){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,44127,1);y=0;oa(605,a+4|0,j|0);n=y;y=0;if(!(n&1)){$9(j);break}n=pb()|0;$9(j);sb(n|0)}while(0);a:do switch(k[b+68>>2]|0){case 0:{c=a+4|0;Nka(c);k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,44174,3);y=0;Na(139,c|0,j|0,b|0);n=y;y=0;if(!(n&1)){$9(j);Nka(c);break a}n=pb()|0;$9(j);sb(n|0)}case 1:{c=a+4|0;Nka(c);k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,44178,2);y=0;Na(139,c|0,j|0,b|0);n=y;y=0;if(!(n&1)){$9(j);Nka(c);break a}n=pb()|0;$9(j);sb(n|0)}default:{}}while(0);d=k[(k[b>>2]|0)+112>>2]|0;c=b+64|0;rT(h,c);y=0;d=Ha(d|0,b|0,h|0)|0;n=y;y=0;if(n&1){n=pb()|0;EO(h);sb(n|0)}EO(h);do if(d){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,44122,1);y=0;oa(605,a+4|0,j|0);n=y;y=0;if(!(n&1)){$9(j);break}n=pb()|0;$9(j);sb(n|0)}while(0);rT(j,c);n=k[j>>2]|0;k[i>>2]=n;y=0;oa(k[(k[n>>2]|0)+40>>2]|0,n|0,a|0);n=y;y=0;if(n&1){n=pb()|0;EO(i);sb(n|0)}EO(i);n=k[(k[b>>2]|0)+112>>2]|0;rT(l,c);y=0;c=Ha(n|0,b|0,l|0)|0;n=y;y=0;if(n&1){n=pb()|0;EO(l);sb(n|0)}EO(l);if(!c){r=m;return}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,44127,1);y=0;oa(605,a+4|0,j|0);n=y;y=0;if(n&1){n=pb()|0;$9(j);sb(n|0)}else{$9(j);r=m;return}}function Uh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;C=r;r=r+384|0;t=C+8|0;g=C;a=C+284|0;m=C+72|0;h=C+184|0;G=C+68|0;u=C+180|0;v=C+177|0;w=C+176|0;D=C+56|0;E=C+44|0;F=C+32|0;s=C+28|0;l=C+76|0;x=C+24|0;z=C+20|0;A=C+16|0;k[m>>2]=a;p[t>>3]=f;a=gS(a,100,53066,t)|0;do if(a>>>0>99){y=0;a=La(3)|0;B=y;y=0;if(B&1){g=0;a=0;B=8}else{y=0;p[g>>3]=f;j=Ma(27,m|0,a|0,53066,g|0)|0;B=y;y=0;if(B&1){g=0;a=0;B=8}else{a=k[m>>2]|0;if(!a){y=0;la(6);B=y;y=0;if(B&1){g=0;a=0;B=8;break}a=k[m>>2]|0}h=pd(j)|0;g=h;if(!h){y=0;la(6);B=y;y=0;if(B&1)B=8;else{h=0;o=j;q=g;B=11}}else{o=j;q=g;B=11}}}}else{o=a;q=0;a=0;B=11}while(0);if((B|0)==11){y=0;g=qa(341,d|0)|0;n=y;y=0;if(n&1){g=q;B=8}else{k[G>>2]=g;y=0;n=Ha(973,G|0,78144)|0;j=y;y=0;do if(j&1)h=pb()|0;else{j=k[m>>2]|0;y=0;Ma(k[(k[n>>2]|0)+32>>2]|0,n|0,j|0,j+o|0,h|0)|0;j=y;y=0;if(j&1){h=pb()|0;break}if(!o)m=0;else m=(i[k[m>>2]>>0]|0)==45;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;g=0;while(1){if((g|0)==3)break;k[D+(g<<2)>>2]=0;g=g+1|0}k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;g=0;while(1){if((g|0)==3)break;k[E+(g<<2)>>2]=0;g=g+1|0}k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;g=0;while(1){if((g|0)==3)break;k[F+(g<<2)>>2]=0;g=g+1|0}y=0;Ga(3,c|0,m|0,G|0,u|0,v|0,w|0,D|0,E|0,F|0,s|0);c=y;y=0;if(c&1)h=pb()|0;else{j=k[s>>2]|0;if((o|0)>(j|0)){c=i[F+11>>0]|0;g=i[E+11>>0]|0;g=(c<<24>>24<0?k[F+4>>2]|0:c&255)+(o-j<<1|1)+(g<<24>>24<0?k[E+4>>2]|0:g&255)|0}else{c=i[F+11>>0]|0;g=i[E+11>>0]|0;g=(c<<24>>24<0?k[F+4>>2]|0:c&255)+2+(g<<24>>24<0?k[E+4>>2]|0:g&255)|0}g=g+j|0;do if(g>>>0>100){l=pd(g)|0;g=l;if(!l){y=0;la(6);c=y;y=0;if(c&1){h=pb()|0;break}else{l=0;j=k[s>>2]|0;B=37;break}}else B=37}else{g=0;B=37}while(0);if((B|0)==37){y=0;va(1,l|0,x|0,z|0,k[d+4>>2]|0,h|0,h+o|0,n|0,m|0,u|0,i[v>>0]|0,i[w>>0]|0,D|0,E|0,F|0,j|0);w=y;y=0;if(!(w&1)){k[A>>2]=k[b>>2];b=k[x>>2]|0;h=k[z>>2]|0;y=0;k[t>>2]=k[A>>2];h=pa(39,t|0,l|0,b|0,h|0,d|0,e|0)|0;e=y;y=0;if(!(e&1)){if(g|0)Pf(g);$9(F);$9(E);$9(D);lQ(k[G>>2]|0)|0;if(q|0)Pf(q);if(a|0)Pf(a);r=C;return h|0}}h=pb()|0}if(g|0)Pf(g)}$9(F);$9(E);$9(D);g=k[G>>2]|0}while(0);lQ(g)|0;g=q}}if((B|0)==8)h=pb()|0;if(g|0)Pf(g);if(a|0)Pf(a);sb(h|0);return 0}function Vh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0,f=0.0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;x=0;w=r;r=r+16|0;v=w;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=k[b+16>>2];y=0;oa(485,a|0,k[b+4>>2]|0);u=y;y=0;do if(u&1)c=pb()|0;else{b=k[b+8>>2]|0;if(!b){r=w;return}p=a+4|0;q=a+12|0;t=a+16|0;u=a+8|0;s=b;j=b;a:while(1){i=j+8|0;y=0;oa(464,v|0,i|0);n=y;y=0;if(n&1){x=51;break}b=k[v>>2]|0;if(!b)n=0;else{y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;n=y;y=0;if(n&1){x=7;break}else n=b}EO(v);l=k[p>>2]|0;m=(l|0)==0;b:do if(m){b=0;x=27}else{h=l+-1|0;d=(h&l|0)==0;if(d)b=h&n;else b=(n>>>0)%(l>>>0)|0;c=k[(k[a>>2]|0)+(b<<2)>>2]|0;if(!c)x=27;else{c=k[c>>2]|0;if(!c)x=27;else if(d)while(1){if((k[c+4>>2]&h|0)!=(b|0)){x=27;break b}d=k[c+8>>2]|0;if(d|0){g=k[i>>2]|0;if(g|0){y=0;d=Ha(k[(k[d>>2]|0)+92>>2]|0,d|0,g|0)|0;g=y;y=0;if(g&1){x=49;break a}if(d)break b}}c=k[c>>2]|0;if(!c){x=27;break}}else{g=c;while(1){if((((k[g+4>>2]|0)>>>0)%(l>>>0)|0|0)!=(b|0)){x=27;break b}c=k[g+8>>2]|0;if(c|0){d=k[i>>2]|0;if(d|0){y=0;c=Ha(k[(k[c>>2]|0)+92>>2]|0,c|0,d|0)|0;h=y;y=0;if(h&1){x=50;break a}if(c)break b}}g=k[g>>2]|0;if(!g){x=27;break}}}}}while(0);if((x|0)==27){x=0;y=0;g=qa(332,16)|0;h=y;y=0;if(h&1){x=51;break}d=g+8|0;y=0;oa(464,d|0,i|0);i=y;y=0;if(i&1){x=31;break}c=g+12|0;y=0;oa(464,c|0,j+12|0);j=y;y=0;if(j&1){x=30;break}k[g+4>>2]=n;k[g>>2]=0;e=+(((k[q>>2]|0)+1|0)>>>0);f=+o[t>>2];do if(m|e>+(l>>>0)*f){m=(l>>>0>2&(l+-1&l|0)==0&1|l<<1)^1;l=~~+$(+(e/f))>>>0;y=0;oa(485,a|0,(m>>>0<l>>>0?l:m)|0);m=y;y=0;if(m&1){x=38;break a}b=k[p>>2]|0;c=b+-1|0;if(!(c&b)){d=b;b=c&n;break}else{d=b;b=(n>>>0)%(b>>>0)|0;break}}else d=l;while(0);b=(k[a>>2]|0)+(b<<2)|0;c=k[b>>2]|0;if(!c){k[g>>2]=k[u>>2];k[u>>2]=g;k[b>>2]=u;b=k[g>>2]|0;if(b|0){b=k[b+4>>2]|0;c=d+-1|0;if(!(c&d))b=b&c;else b=(b>>>0)%(d>>>0)|0;k[(k[a>>2]|0)+(b<<2)>>2]=g}}else{k[g>>2]=k[c>>2];k[c>>2]=g}k[q>>2]=(k[q>>2]|0)+1}b=k[s>>2]|0;if(!b){x=48;break}else{s=b;j=b}}if((x|0)==7){c=pb()|0;EO(v);break}else if((x|0)==30){b=pb()|0;EO(d)}else if((x|0)==31)b=pb()|0;else if((x|0)==38){x=pb()|0;EO(c);EO(d);zqa(g);c=x;break}else if((x|0)==48){r=w;return}else if((x|0)==49){c=pb()|0;break}else if((x|0)==50){c=pb()|0;break}else if((x|0)==51){c=pb()|0;break}zqa(g);c=b}while(0);b=k[a+8>>2]|0;if(b|0)do{x=b;b=k[b>>2]|0;EO(x+12|0);EO(x+8|0);zqa(x)}while((b|0)!=0);b=k[a>>2]|0;k[a>>2]=0;if(!b)sb(c|0);zqa(b);sb(c|0)}function Wh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;t=0;p=r;r=r+224|0;n=p;u=p+200|0;s=p+140|0;d=p+160|0;j=p+144|0;l=p+128|0;m=p+88|0;o=p+48|0;q=p+40|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;jI(n,42682,24);if(!b){y=0;la(5);y=0}else{y=0;c=Ha(970,n|0,k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)|0;h=y;y=0;if(!(h&1)){k[u>>2]=k[c>>2];k[u+4>>2]=k[c+4>>2];k[u+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;$9(n);y=0;h=qa(332,80)|0;g=y;y=0;do if(g&1)c=pb()|0;else{y=0;Ra(16,d|0,42707,0,-1);g=y;y=0;if(g&1)t=22;else{y=0;oa(452,j|0,u|0);g=y;y=0;if(g&1)t=22;else{y=0;g=n;e=d;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));Ea(2,h|0,n|0,j|0,0,0,0,1);g=y;y=0;if(g&1)d=1;else{y=0;oa(482,s|0,h|0);g=y;y=0;if(g&1)d=0;else{$9(j);k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(75,l|0,42714,62);j=y;y=0;do if(j&1)t=25;else{g=m;e=b+12|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));c=k[a+88>>2]|0;if((c|0)==(k[a+84>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;g=n;e=m;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));Na(103,l|0,n|0,c|0);m=y;y=0;if(m&1){c=pb()|0;$9(l);break}$9(l);y=0;d=qa(332,68)|0;m=y;y=0;if(m&1)t=25;else{y=0;Ra(16,o|0,42707,0,-1);m=y;y=0;if(m&1)t=27;else{y=0;oa(482,q|0,k[s>>2]|0);m=y;y=0;if(m&1)t=27;else{g=n;e=o;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;na(366,d|0);o=y;y=0;do if(o&1)c=pb()|0;else{g=d+12|0;e=n;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));c=d+52|0;k[c>>2]=0;k[d+56>>2]=0;i[d+60>>0]=0;k[d>>2]=6356;y=0;oa(464,d+64|0,q|0);o=y;y=0;if(o&1){c=pb()|0;break}else{k[c>>2]=14;EO(q);EO(s);$9(u);r=p;return d|0}}while(0);EO(q)}}if((t|0)==27)c=pb()|0;zqa(d)}}while(0);if((t|0)==25)c=pb()|0;EO(s);break}}c=pb()|0;$9(j);if(!d)break}}if((t|0)==22)c=pb()|0;zqa(h)}while(0);$9(u);u=c;sb(u|0)}}u=pb()|0;$9(n);sb(u|0);return 0}function Xh(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0,g=0.0,h=0,i=0,j=0,l=0,m=0,n=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;A=0;w=r;r=r+16|0;u=w+8|0;z=w+4|0;x=w;v=a+16|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;o[v>>2]=1.0;b=k[b>>2]|0;t=k[c>>2]|0;if((b|0)==(t|0)){r=w;return}m=a+12|0;n=a+4|0;p=a+12|0;q=a+8|0;s=a+16|0;a:while(1){y=0;oa(464,u|0,b|0);l=y;y=0;if(l&1){A=53;break}y=0;l=Ha(1027,m|0,u|0)|0;j=y;y=0;if(j&1){A=25;break}EO(u);i=k[n>>2]|0;j=(i|0)==0;b:do if(j){c=0;A=31}else{h=i+-1|0;e=(h&i|0)==0;if(e)c=h&l;else c=(l>>>0)%(i>>>0)|0;d=k[(k[a>>2]|0)+(c<<2)>>2]|0;if(!d)A=31;else if(e){do{d=k[d>>2]|0;if(!d){A=31;break b}if((k[d+4>>2]&h|0)!=(c|0)){A=31;break b}y=0;oa(464,z|0,d+8|0);e=y;y=0;if(e&1){A=51;break a}y=0;oa(464,x|0,b|0);e=y;y=0;if(e&1){A=17;break a}y=0;e=ta(165,s|0,z|0,x|0)|0;B=y;y=0;if(B&1){A=18;break a}EO(x);EO(z)}while(!e)}else do{d=k[d>>2]|0;if(!d){A=31;break b}if((((k[d+4>>2]|0)>>>0)%(i>>>0)|0|0)!=(c|0)){A=31;break b}y=0;oa(464,z|0,d+8|0);B=y;y=0;if(B&1){A=52;break a}y=0;oa(464,x|0,b|0);B=y;y=0;if(B&1){A=26;break a}y=0;e=ta(165,s|0,z|0,x|0)|0;B=y;y=0;if(B&1){A=28;break a}EO(x);EO(z)}while(!e)}while(0);if((A|0)==31){A=0;y=0;h=qa(332,12)|0;B=y;y=0;if(B&1){A=53;break}d=h+8|0;y=0;oa(464,d|0,b|0);B=y;y=0;if(B&1){A=33;break}k[h+4>>2]=l;k[h>>2]=0;f=+(((k[p>>2]|0)+1|0)>>>0);g=+o[v>>2];do if(j|f>+(i>>>0)*g){B=(i>>>0>2&(i+-1&i|0)==0&1|i<<1)^1;j=~~+$(+(f/g))>>>0;y=0;oa(628,a|0,(B>>>0<j>>>0?j:B)|0);B=y;y=0;if(B&1){A=39;break a}c=k[n>>2]|0;d=c+-1|0;if(!(d&c)){e=c;c=d&l;break}else{e=c;c=(l>>>0)%(c>>>0)|0;break}}else e=i;while(0);c=(k[a>>2]|0)+(c<<2)|0;d=k[c>>2]|0;if(!d){k[h>>2]=k[q>>2];k[q>>2]=h;k[c>>2]=q;c=k[h>>2]|0;if(c|0){c=k[c+4>>2]|0;d=e+-1|0;if(!(d&e))c=c&d;else c=(c>>>0)%(e>>>0)|0;k[(k[a>>2]|0)+(c<<2)>>2]=h}}else{k[h>>2]=k[d>>2];k[d>>2]=h}k[p>>2]=(k[p>>2]|0)+1}b=b+4|0;if((b|0)==(t|0)){A=50;break}}switch(A|0){case 17:{b=pb()|0;A=27;break}case 18:{b=pb()|0;A=29;break}case 25:{b=pb()|0;EO(u);A=48;break}case 26:{b=pb()|0;A=27;break}case 28:{b=pb()|0;A=29;break}case 33:{c=pb()|0;zqa(h);break}case 39:{b=pb()|0;EO(d);zqa(h);A=48;break}case 50:{r=w;return}case 51:{c=pb()|0;break}case 52:{c=pb()|0;break}case 53:{c=pb()|0;break}}if((A|0)==27)A=30;else if((A|0)==29){EO(x);A=30}if((A|0)==30){EO(z);A=48}if((A|0)==48)c=b;b=k[a+8>>2]|0;if(b|0)do{B=b;b=k[b>>2]|0;EO(B+8|0);zqa(B)}while((b|0)!=0);b=k[a>>2]|0;k[a>>2]=0;if(!b)sb(c|0);zqa(b);sb(c|0)}function Yh(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;t=0;u=r;r=r+16|0;s=u;switch((b-a|0)/12|0|0){case 2:{c=b+-12|0;g=i[c+11>>0]|0;f=g<<24>>24<0;g=f?k[b+-8>>2]|0:g&255;h=i[a+11>>0]|0;e=h<<24>>24<0;h=e?k[a+4>>2]|0:h&255;d=h>>>0<g>>>0?h:g;if(!d)t=4;else{d=zM(f?k[c>>2]|0:c,e?k[a>>2]|0:a,d)|0;if(!d)t=4;else if((d|0)>=0){t=1;r=u;return t|0}}do if((t|0)==4)if(g>>>0<h>>>0)break;else{t=1;r=u;return t|0}while(0);k[s>>2]=k[a>>2];k[s+4>>2]=k[a+4>>2];k[s+8>>2]=k[a+8>>2];k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];k[c>>2]=k[s>>2];k[c+4>>2]=k[s+4>>2];k[c+8>>2]=k[s+8>>2];t=1;r=u;return t|0}case 3:{Ej(a,a+12|0,b+-12|0,c)|0;t=1;r=u;return t|0}case 4:{Jl(a,a+12|0,a+24|0,b+-12|0,c)|0;t=1;r=u;return t|0}case 5:{Hj(a,a+12|0,a+24|0,a+36|0,b+-12|0,c)|0;t=1;r=u;return t|0}case 1:case 0:{t=1;r=u;return t|0}default:{d=a+24|0;Ej(a,a+12|0,d,c)|0;c=a+36|0;a:do if((c|0)==(b|0)){p=1;q=0}else{n=s+11|0;o=s+4|0;m=c;c=0;j=d;b:while(1){g=i[m+11>>0]|0;e=g<<24>>24<0;g=e?k[m+4>>2]|0:g&255;h=i[j+11>>0]|0;f=h<<24>>24<0;h=f?k[j+4>>2]|0:h&255;d=h>>>0<g>>>0?h:g;if(!d)t=15;else{d=zM(e?k[m>>2]|0:m,f?k[j>>2]|0:j,d)|0;if(!d)t=15;else if((d|0)<0){d=m;t=18}}if((t|0)==15){t=0;if(g>>>0<h>>>0){d=m;t=18}}if((t|0)==18){t=0;k[s>>2]=k[d>>2];k[s+4>>2]=k[d+4>>2];k[s+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;d=m;while(1){i[d>>0]=0;i[d+11>>0]=0;y=0;oa(506,d|0,0);l=y;y=0;if(l&1){t=20;break b}k[d>>2]=k[j>>2];k[d+4>>2]=k[j+4>>2];k[d+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;if((j|0)==(a|0)){d=a;break}g=j+-12|0;h=i[n>>0]|0;e=h<<24>>24<0;h=e?k[o>>2]|0:h&255;l=i[g+11>>0]|0;f=l<<24>>24<0;l=f?k[j+-8>>2]|0:l&255;d=l>>>0<h>>>0?l:h;if(d|0){d=zM(e?k[s>>2]|0:s,f?k[g>>2]|0:g,d)|0;if(d|0)if((d|0)<0){d=j;j=g;continue}else{d=j;break}}if(h>>>0<l>>>0){d=j;j=g}else{d=j;break}}e=d+11|0;if((i[e>>0]|0)<0){i[k[d>>2]>>0]=0;k[d+4>>2]=0}else{i[j>>0]=0;i[e>>0]=0}y=0;oa(506,d|0,0);l=y;y=0;if(l&1){t=30;break}k[j>>2]=k[s>>2];k[j+4>>2]=k[s+4>>2];k[j+8>>2]=k[s+8>>2];k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;c=c+1|0;$9(s);if((c|0)==8){p=0;q=(m+12|0)==(b|0);break a}}d=m+12|0;if((d|0)==(b|0)){p=1;q=0;break a}else{j=m;m=d}}if((t|0)==20){t=tb(0)|0;dla(t)}else if((t|0)==30){t=tb(0)|0;dla(t)}}while(0);t=q|p;r=u;return t|0}}return 0}function Zh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0;v=r;r=r+208|0;s=v+160|0;w=v;u=v+144|0;h=s;j=d;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));q=Wl(a,b,c,s,g)|0;x=+p[q+64>>3];if(!(!(x>=e)|!(x<=f))){r=v;return q|0}t=w+64|0;b=w+8|0;k[b>>2]=14400;o=w+12|0;k[w>>2]=14440;k[t>>2]=14460;k[w+4>>2]=0;y=0;oa(528,w+64|0,o|0);n=y;y=0;if(n&1){w=pb()|0;dja(t);sb(w|0)}k[w+136>>2]=0;k[w+140>>2]=-1;k[w>>2]=14380;k[t>>2]=14420;k[b>>2]=14400;y=0;na(373,o|0);n=y;y=0;do if(n&1)b=pb()|0;else{k[o>>2]=14240;m=w+44|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[w+60>>2]=24;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;oa(529,o|0,s|0);n=y;y=0;if(n&1){b=pb()|0;$9(s);$9(m);nba(o);break}$9(s);n=w+8|0;y=0;b=ta(54,n|0,35094,10)|0;l=y;y=0;if(!(l&1)){l=i[a+11>>0]|0;j=l<<24>>24<0;y=0;b=ta(54,b|0,(j?k[a>>2]|0:a)|0,(j?k[a+4>>2]|0:l&255)|0)|0;a=y;y=0;if(!(a&1)){y=0;b=ta(54,b|0,35105,6)|0;a=y;y=0;if(!(a&1)){a=JI(c)|0;y=0;b=ta(54,b|0,c|0,a|0)|0;c=y;y=0;if(!(c&1)){y=0;ta(54,b|0,35129,18)|0;c=y;y=0;if(!(c&1)){y=0;b=Da(1,n|0,+e)|0;c=y;y=0;if(!(c&1)){y=0;b=ta(54,b|0,44164,5)|0;c=y;y=0;if(!(c&1)){y=0;Da(1,b|0,+f)|0;c=y;y=0;if(!(c&1)){y=0;oa(530,u|0,o|0);c=y;y=0;if(!(c&1)){y=0;h=s;j=d;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));Na(103,u|0,s|0,g|0);g=y;y=0;if(g&1){v=pb()|0;$9(u);k[w>>2]=14380;k[t>>2]=14420;k[n>>2]=14400;k[o>>2]=14240;$9(m);nba(o);zka(w,14472);dja(t);sb(v|0)}else{$9(u);k[w>>2]=14380;k[t>>2]=14420;k[n>>2]=14400;k[o>>2]=14240;$9(m);nba(o);zka(w,14472);dja(t);r=v;return q|0}}}}}}}}}}v=pb()|0;k[w>>2]=14380;k[t>>2]=14420;k[n>>2]=14400;k[o>>2]=14240;$9(m);nba(o);zka(w,14472);dja(t);sb(v|0)}while(0);zka(w,14472);w=b;dja(t);sb(w|0);return 0}function _h(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0;B=0;A=r;r=r+224|0;s=A+198|0;t=A+196|0;C=A+184|0;D=A+172|0;u=A+168|0;x=A+8|0;z=A+4|0;v=A;w=fR(d)|0;Ax(C,d,s,t);k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[D+(a<<2)>>2]=0;a=a+1|0}q=D+11|0;if((i[q>>0]|0)<0)a=(k[D+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,D|0,a|0,0);p=y;y=0;if(p&1)a=pb()|0;else{g=(i[q>>0]|0)<0?k[D>>2]|0:D;k[u>>2]=g;k[z>>2]=x;k[v>>2]=0;o=D+4|0;p=D+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;n=y;y=0;if(n&1){B=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;h=k[c>>2]|0;do if(!h)B=19;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d)break;else{B=38;break a}y=0;m=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;n=y;y=0;if(n&1){B=28;break a}if((m|0)==-1){k[c>>2]=0;B=19;break}else if(d)break;else{B=38;break a}}while(0);if((B|0)==19){B=0;if(d){h=0;B=38;break}else h=0}m=i[q>>0]|0;m=m<<24>>24<0?k[o>>2]|0:m&255;if((k[u>>2]|0)==(g+m|0)){y=0;Na(94,D|0,m<<1|0,0);n=y;y=0;if(n&1){B=30;break}if((i[q>>0]|0)<0)d=(k[p>>2]&2147483647)+-1|0;else d=10;y=0;Na(94,D|0,d|0,0);n=y;y=0;if(n&1){B=30;break}g=(i[q>>0]|0)<0?k[D>>2]|0:D;k[u>>2]=g+m}m=a+12|0;d=k[m>>2]|0;n=a+16|0;if((d|0)==(k[n>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;E=y;y=0;if(E&1){B=28;break}}else d=l[d>>0]|0;if(lq(d&255,w,g,u,v,i[t>>0]|0,C,x,z,s)|0){B=38;break}d=k[m>>2]|0;if((d|0)==(k[n>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;E=y;y=0;if(E&1){B=28;break}else continue}else{k[m>>2]=d+1;continue}}if((B|0)==28)a=pb()|0;else if((B|0)==30)a=pb()|0;else if((B|0)==38){E=i[C+11>>0]|0;if((E<<24>>24<0?k[C+4>>2]|0:E&255)|0){d=k[z>>2]|0;if((d-x|0)<160){E=k[v>>2]|0;k[z>>2]=d+4;k[d>>2]=E}}y=0;d=Ma(24,g|0,k[u>>2]|0,e|0,w|0)|0;E=y;y=0;b:do if(!(E&1)){j[f>>1]=d;my(C,x,k[z>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;E=y;y=0;if(E&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!h)B=53;else{if((k[h+12>>2]|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;E=y;y=0;if(E&1)break b;if((a|0)==-1){k[c>>2]=0;B=53;break}}if(!d)B=54}while(0);if((B|0)==53)if(d)B=54;if((B|0)==54)k[e>>2]=k[e>>2]|2;E=k[b>>2]|0;$9(D);$9(C);r=A;return E|0}while(0);a=pb()|0}}$9(D);$9(C);sb(a|0);return 0}function $h(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;z=r;r=r+224|0;q=z+198|0;s=z+196|0;B=z+184|0;C=z+172|0;t=z+168|0;w=z+8|0;x=z+4|0;u=z;v=fR(d)|0;Ax(B,d,q,s);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}p=C+11|0;if((i[p>>0]|0)<0)a=(k[C+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,C|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g;k[x>>2]=w;k[u>>2]=0;n=C+4|0;o=C+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;m=y;y=0;if(m&1){A=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;h=k[c>>2]|0;do if(!h)A=19;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d)break;else{A=38;break a}y=0;j=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;m=y;y=0;if(m&1){A=28;break a}if((j|0)==-1){k[c>>2]=0;A=19;break}else if(d)break;else{A=38;break a}}while(0);if((A|0)==19){A=0;if(d){h=0;A=38;break}else h=0}j=i[p>>0]|0;j=j<<24>>24<0?k[n>>2]|0:j&255;if((k[t>>2]|0)==(g+j|0)){y=0;Na(94,C|0,j<<1|0,0);m=y;y=0;if(m&1){A=30;break}if((i[p>>0]|0)<0)d=(k[o>>2]&2147483647)+-1|0;else d=10;y=0;Na(94,C|0,d|0,0);m=y;y=0;if(m&1){A=30;break}g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g+j}j=a+12|0;d=k[j>>2]|0;m=a+16|0;if((d|0)==(k[m>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}}else d=l[d>>0]|0;if(lq(d&255,v,g,t,u,i[s>>0]|0,B,w,x,q)|0){A=38;break}d=k[j>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}else continue}else{k[j>>2]=d+1;continue}}if((A|0)==28)a=pb()|0;else if((A|0)==30)a=pb()|0;else if((A|0)==38){D=i[B+11>>0]|0;if((D<<24>>24<0?k[B+4>>2]|0:D&255)|0){d=k[x>>2]|0;if((d-w|0)<160){D=k[u>>2]|0;k[x>>2]=d+4;k[d>>2]=D}}y=0;d=Ma(22,g|0,k[t>>2]|0,e|0,v|0)|0;D=y;y=0;b:do if(!(D&1)){k[f>>2]=d;my(B,w,k[x>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!h)A=53;else{if((k[h+12>>2]|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;D=y;y=0;if(D&1)break b;if((a|0)==-1){k[c>>2]=0;A=53;break}}if(!d)A=54}while(0);if((A|0)==53)if(d)A=54;if((A|0)==54)k[e>>2]=k[e>>2]|2;D=k[b>>2]|0;$9(C);$9(B);r=z;return D|0}while(0);a=pb()|0}}$9(C);$9(B);sb(a|0);return 0}function ai(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;z=r;r=r+224|0;q=z+198|0;s=z+196|0;B=z+184|0;C=z+172|0;t=z+168|0;w=z+8|0;x=z+4|0;u=z;v=fR(d)|0;Ax(B,d,q,s);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}p=C+11|0;if((i[p>>0]|0)<0)a=(k[C+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,C|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g;k[x>>2]=w;k[u>>2]=0;n=C+4|0;o=C+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;m=y;y=0;if(m&1){A=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;h=k[c>>2]|0;do if(!h)A=19;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d)break;else{A=38;break a}y=0;j=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;m=y;y=0;if(m&1){A=28;break a}if((j|0)==-1){k[c>>2]=0;A=19;break}else if(d)break;else{A=38;break a}}while(0);if((A|0)==19){A=0;if(d){h=0;A=38;break}else h=0}j=i[p>>0]|0;j=j<<24>>24<0?k[n>>2]|0:j&255;if((k[t>>2]|0)==(g+j|0)){y=0;Na(94,C|0,j<<1|0,0);m=y;y=0;if(m&1){A=30;break}if((i[p>>0]|0)<0)d=(k[o>>2]&2147483647)+-1|0;else d=10;y=0;Na(94,C|0,d|0,0);m=y;y=0;if(m&1){A=30;break}g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g+j}j=a+12|0;d=k[j>>2]|0;m=a+16|0;if((d|0)==(k[m>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}}else d=l[d>>0]|0;if(lq(d&255,v,g,t,u,i[s>>0]|0,B,w,x,q)|0){A=38;break}d=k[j>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}else continue}else{k[j>>2]=d+1;continue}}if((A|0)==28)a=pb()|0;else if((A|0)==30)a=pb()|0;else if((A|0)==38){D=i[B+11>>0]|0;if((D<<24>>24<0?k[B+4>>2]|0:D&255)|0){d=k[x>>2]|0;if((d-w|0)<160){D=k[u>>2]|0;k[x>>2]=d+4;k[d>>2]=D}}y=0;d=Ma(23,g|0,k[t>>2]|0,e|0,v|0)|0;D=y;y=0;b:do if(!(D&1)){k[f>>2]=d;my(B,w,k[x>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!h)A=53;else{if((k[h+12>>2]|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;D=y;y=0;if(D&1)break b;if((a|0)==-1){k[c>>2]=0;A=53;break}}if(!d)A=54}while(0);if((A|0)==53)if(d)A=54;if((A|0)==54)k[e>>2]=k[e>>2]|2;D=k[b>>2]|0;$9(C);$9(B);r=z;return D|0}while(0);a=pb()|0}}$9(C);$9(B);sb(a|0);return 0}function bi(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;z=r;r=r+224|0;q=z+198|0;s=z+196|0;B=z+184|0;C=z+172|0;t=z+168|0;w=z+8|0;x=z+4|0;u=z;v=fR(d)|0;Ax(B,d,q,s);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}p=C+11|0;if((i[p>>0]|0)<0)a=(k[C+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,C|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g;k[x>>2]=w;k[u>>2]=0;n=C+4|0;o=C+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;m=y;y=0;if(m&1){A=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;h=k[c>>2]|0;do if(!h)A=19;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d)break;else{A=38;break a}y=0;j=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;m=y;y=0;if(m&1){A=28;break a}if((j|0)==-1){k[c>>2]=0;A=19;break}else if(d)break;else{A=38;break a}}while(0);if((A|0)==19){A=0;if(d){h=0;A=38;break}else h=0}j=i[p>>0]|0;j=j<<24>>24<0?k[n>>2]|0:j&255;if((k[t>>2]|0)==(g+j|0)){y=0;Na(94,C|0,j<<1|0,0);m=y;y=0;if(m&1){A=30;break}if((i[p>>0]|0)<0)d=(k[o>>2]&2147483647)+-1|0;else d=10;y=0;Na(94,C|0,d|0,0);m=y;y=0;if(m&1){A=30;break}g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g+j}j=a+12|0;d=k[j>>2]|0;m=a+16|0;if((d|0)==(k[m>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}}else d=l[d>>0]|0;if(lq(d&255,v,g,t,u,i[s>>0]|0,B,w,x,q)|0){A=38;break}d=k[j>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}else continue}else{k[j>>2]=d+1;continue}}if((A|0)==28)a=pb()|0;else if((A|0)==30)a=pb()|0;else if((A|0)==38){D=i[B+11>>0]|0;if((D<<24>>24<0?k[B+4>>2]|0:D&255)|0){d=k[x>>2]|0;if((d-w|0)<160){D=k[u>>2]|0;k[x>>2]=d+4;k[d>>2]=D}}y=0;d=Ma(26,g|0,k[t>>2]|0,e|0,v|0)|0;D=y;y=0;b:do if(!(D&1)){k[f>>2]=d;my(B,w,k[x>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!h)A=53;else{if((k[h+12>>2]|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;D=y;y=0;if(D&1)break b;if((a|0)==-1){k[c>>2]=0;A=53;break}}if(!d)A=54}while(0);if((A|0)==53)if(d)A=54;if((A|0)==54)k[e>>2]=k[e>>2]|2;D=k[b>>2]|0;$9(C);$9(B);r=z;return D|0}while(0);a=pb()|0}}$9(C);$9(B);sb(a|0);return 0}
function ci(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;v=0;s=r;r=r+64|0;o=s;w=s+52|0;t=s+48|0;p=s+44|0;q=s+40|0;k[a>>2]=0;x=a+4|0;k[x>>2]=0;k[a+8>>2]=0;n=c+64|0;h=(k[c+72>>2]|0)-(k[c+68>>2]|0)>>2;if(!h){r=s;return}j=o+4|0;l=a+8|0;m=k[1298]|0;f=0;while(1){y=0;b=Ha(k[(k[n>>2]|0)+16>>2]|0,n|0,f|0)|0;u=y;y=0;if(u&1){v=7;break}y=0;oa(464,w|0,b|0);u=y;y=0;if(u&1){v=7;break}c=k[w>>2]|0;if(!c)b=0;else b=pw(c,680,728,0)|0;e=(b|0)!=0&1;b=k[x>>2]|0;if((k[a>>2]|0)==(b|0))v=18;else if((i[b+-8>>0]|0)==e<<24>>24){y=0;oa(464,t|0,b+-4|0);u=y;y=0;if(u&1){v=14;break}b=(k[t>>2]|0)+64|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(464,p|0,w|0);u=y;y=0;if(u&1){v=15;break}y=0;oa(c|0,b|0,p|0);u=y;y=0;if(u&1){v=16;break}EO(p);EO(t)}else v=18;if((v|0)==18){v=0;y=0;u=qa(332,88)|0;g=y;y=0;if(g&1){v=14;break}d=o;b=c+12|0;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));y=0;na(366,u|0);g=y;y=0;if(g&1){v=35;break}d=u+12|0;b=o;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));k[u>>2]=5252;k[u+52>>2]=0;k[u+56>>2]=0;i[u+60>>0]=0;b=u+64|0;k[b>>2]=5212;g=u+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,0);d=y;y=0;if(d&1){v=21;break}k[u>>2]=5076;k[b>>2]=5172;i[u+84>>0]=0;i[u+85>>0]=0;y=0;oa(464,q|0,w|0);g=y;y=0;if(g&1){v=37;break}y=0;oa(m|0,b|0,q|0);g=y;y=0;if(g&1){v=38;break}EO(q);i[o>>0]=e;y=0;oa(482,j|0,u|0);u=y;y=0;if(u&1){v=39;break}b=k[x>>2]|0;if(b>>>0<(k[l>>2]|0)>>>0){i[b>>0]=i[o>>0]|0;y=0;oa(464,b+4|0,j|0);u=y;y=0;if(u&1){v=40;break}k[x>>2]=(k[x>>2]|0)+8}else{y=0;oa(591,a|0,o|0);u=y;y=0;if(u&1){v=40;break}}EO(j)}EO(w);f=f+1|0;if(f>>>0>=h>>>0){v=50;break}}switch(v|0){case 7:{d=pb()|0;break}case 14:{b=pb()|0;v=43;break}case 15:{b=pb()|0;v=17;break}case 16:{b=pb()|0;EO(p);v=17;break}case 21:{b=pb()|0;e=N;f=u+72|0;c=k[g>>2]|0;if(c|0){d=k[f>>2]|0;if((d|0)!=(c|0)){do{v=d+-4|0;k[f>>2]=v;EO(v);d=k[f>>2]|0}while((d|0)!=(c|0));c=k[g>>2]|0}zqa(c)}v=36;break}case 35:{b=pb()|0;v=36;break}case 37:{b=pb()|0;v=43;break}case 38:{b=pb()|0;EO(q);v=43;break}case 39:{b=pb()|0;v=41;break}case 40:{b=pb()|0;EO(j);v=41;break}case 50:{r=s;return}}if((v|0)==17){EO(t);v=43}else if((v|0)==36){zqa(u);v=43}else if((v|0)==41)v=43;if((v|0)==43){EO(w);d=b}b=k[a>>2]|0;if(!b)sb(d|0);c=k[x>>2]|0;if((c|0)!=(b|0)){do{k[x>>2]=c+-8;EO(c+-4|0);c=k[x>>2]|0}while((c|0)!=(b|0));b=k[a>>2]|0}zqa(b);sb(d|0)}function di(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;z=0;w=r;r=r+208|0;n=w+168|0;h=w+164|0;j=w;p=w+160|0;l=w+120|0;q=w+112|0;m=w+108|0;v=w+104|0;s=w+64|0;A=w+56|0;B=w+52|0;t=w+48|0;x=w+44|0;u=w+40|0;e=a+20|0;o=a+24|0;f=k[o>>2]|0;d=(f|0)==(k[e>>2]|0);g=f;if(d)c=k[a+8>>2]|0;else c=g+-4|0;if((k[(k[c>>2]|0)+52>>2]|0)==1){B=Ge(a,b)|0;r=w;return B|0}if(d)c=k[a+8>>2]|0;else c=g+-4|0;if((k[(k[c>>2]|0)+52>>2]|0)==2){d=ZL(72)|0;c=l;e=b+12|0;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;oa(482,q|0,b|0);B=y;y=0;if(B&1)c=pb()|0;else{y=0;oa(482,m|0,0);B=y;y=0;if(B&1)c=pb()|0;else{c=j;e=l;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;na(366,d|0);B=y;y=0;do if(B&1)c=pb()|0;else{c=d+12|0;e=j;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));k[d+52>>2]=6;k[d+56>>2]=0;i[d+60>>0]=0;k[d>>2]=5528;y=0;oa(464,d+64|0,q|0);B=y;y=0;if(B&1){c=pb()|0;break}i[d+68>>0]=(k[m>>2]|0)==0&1;EO(m);EO(q);B=d;r=w;return B|0}while(0);EO(m)}EO(q)}zqa(d);B=c;sb(B|0)}k[n>>2]=b;if(g>>>0<(k[a+28>>2]|0)>>>0){k[f>>2]=b;k[o>>2]=(k[o>>2]|0)+4}else bz(e,n);g=ZL(72)|0;c=s;e=b+12|0;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;oa(464,h|0,b+68|0);q=y;y=0;do if(q&1)c=pb()|0;else{q=k[h>>2]|0;k[B>>2]=q;y=0;oa(482,A|0,q|0);q=y;y=0;if(q&1){c=pb()|0;EO(B);break}c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(464,n|0,b+64|0);q=y;y=0;if(q&1){c=pb()|0;d=1}else{q=k[n>>2]|0;k[x>>2]=q;y=0;c=Ha(c|0,a|0,q|0)|0;q=y;y=0;if(q&1)z=38;else{y=0;oa(482,t|0,c|0);q=y;y=0;if(q&1)z=38;else{y=0;c=n;e=s;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));Ra(29,g|0,n|0,A|0,t|0);s=y;y=0;if(s&1)d=1;else{y=0;oa(482,v|0,g|0);s=y;y=0;if(s&1)d=0;else{EO(t);EO(x);EO(A);EO(B);B=k[v>>2]|0;k[B+56>>2]=k[b+56>>2];k[o>>2]=(k[o>>2]|0)+-4;y=0;oa(464,p|0,B+64|0);B=y;y=0;do if(B&1)c=pb()|0;else{c=k[p>>2]|0;k[u>>2]=c;y=0;c=ta(157,a|0,c|0,k[v>>2]|0)|0;B=y;y=0;if(B&1){c=pb()|0;EO(u);break}EO(u);EO(v);B=c;r=w;return B|0}while(0);EO(v);B=c;sb(B|0)}}c=pb()|0;EO(t)}}if((z|0)==38){c=pb()|0;d=1}EO(x)}EO(A);EO(B);if(!d){B=c;sb(B|0)}}while(0);zqa(g);B=c;sb(B|0);return 0}function ei(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;v=0;p=r;r=r+224|0;h=p+184|0;j=p+168|0;l=p;m=p+164|0;t=p+152|0;n=p+112|0;u=p+108|0;g=p+96|0;o=p+56|0;s=p+44|0;q=p+40|0;Tu(a,1,0)|0;c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){LM(t);v=5}else if(f>>>0<11){i[t+11>>0]=f;b=t}else v=5;if((v|0)==5){d=f+16&-16;b=ZL(d)|0;k[t>>2]=b;k[t+8>>2]=d|-2147483648;k[t+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;e=a+108|0;b=n;c=e;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;b=Ha(1001,a|0,1)|0;f=y;y=0;if(f&1){v=pb()|0;$9(t);sb(v|0)}k[u>>2]=b;y=0;b=ta(74,a|0,1,0)|0;f=y;y=0;a:do if(f&1)v=16;else{do if(!b){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,40384,31);f=y;y=0;if(f&1){v=16;break a}y=0;k[h>>2]=k[e>>2];k[h+4>>2]=k[e+4>>2];k[h+8>>2]=k[e+8>>2];Na(109,a|0,g|0,h|0);a=y;y=0;if(a&1){b=pb()|0;$9(g);break a}else{$9(g);break}}while(0);g=i[t+11>>0]|0;y=0;ta(53,t|0,(g<<24>>24<0?k[t+4>>2]|0:g&255)+-1|0,-1)|0;g=y;y=0;if(g&1)v=16;else{y=0;e=qa(332,108)|0;g=y;y=0;if(g&1)v=16;else{b=o;c=n;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(452,s|0,t|0);n=y;y=0;do if(n&1)b=pb()|0;else{y=0;oa(482,q|0,k[u>>2]|0);n=y;y=0;if(n&1){b=pb()|0;$9(s);break}b=l;c=o;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(452,j|0,s|0);o=y;y=0;b:do if(o&1){b=1;v=32}else{y=0;b=h;c=l;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));Na(88,e|0,h|0,j|0);o=y;y=0;do if(o&1){b=pb()|0;$9(j)}else{$9(j);k[e>>2]=13168;y=0;oa(464,e+104|0,q|0);o=y;y=0;if(o&1){b=pb()|0;k[e>>2]=11700;$9(e+84|0);$9(e+72|0);break}k[e+96>>2]=3;y=0;oa(482,m|0,e|0);v=y;y=0;if(v&1){b=0;v=32;break b}EO(q);$9(s);EO(u);$9(t);r=p;return k[m>>2]|0}while(0);c=1}while(0);if((v|0)==32){p=pb()|0;c=b;b=p}EO(q);$9(s);if(!c)break a}while(0);zqa(e)}}}while(0);if((v|0)==16)b=pb()|0;EO(u);v=b;$9(t);sb(v|0);return 0}function fi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;j=0;h=b+16|0;c=k[h>>2]|0;if(c>>>0>=6)eb(39194,39052,1024,39218);switch(c|0){case 0:{pD(a,44148);return}case 1:{pD(a,i[b+24>>0]|0?53643:53637);return}case 2:{gg(a,k[b+24>>2]|0);return}case 3:{nx(a,+p[b+24>>3]);return}case 4:{c=k[a>>2]|0;l=a+4|0;d=k[l>>2]|0;do if(c>>>0<d>>>0){k[a>>2]=c+1;i[c>>0]=91;j=15}else{g=a+8|0;e=k[g>>2]|0;f=c-e|0;c=f+1|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=BH(e,d|1)|0;k[g>>2]=c;if(!c){mN(45154,15,1,k[4849]|0)|0;Zb(1)}else{n=c+f|0;k[l>>2]=c+d;k[a>>2]=n+1;i[n>>0]=91;if(!b)break;else{j=15;break}}}while(0);a:do if((j|0)==15)if((k[h>>2]&-2|0)==4){c=k[b+24>>2]|0;if(c|0){b=a+8|0;while(1){fi(a,c);g=c+8|0;if(!(k[g>>2]|0))break a;c=k[a>>2]|0;d=k[l>>2]|0;if(c>>>0>=d>>>0){e=k[b>>2]|0;f=c-e|0;c=f+1|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=BH(e,d|1)|0;k[b>>2]=c;if(!c)break;n=c+f|0;k[a>>2]=n;k[l>>2]=c+d;c=n}k[a>>2]=c+1;i[c>>0]=44;c=k[g>>2]|0;if(!c)break a}mN(45154,15,1,k[4849]|0)|0;Zb(1)}}while(0);c=k[a>>2]|0;d=k[l>>2]|0;do if(c>>>0<d>>>0)m=c;else{g=a+8|0;e=k[g>>2]|0;f=c-e|0;c=f+1|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=BH(e,d|1)|0;k[g>>2]=c;if(!c){mN(45154,15,1,k[4849]|0)|0;Zb(1)}else{m=c+f|0;k[a>>2]=m;k[l>>2]=c+d;break}}while(0);k[a>>2]=m+1;i[m>>0]=93;return}case 5:{c=k[a>>2]|0;l=a+4|0;d=k[l>>2]|0;do if(c>>>0<d>>>0){k[a>>2]=c+1;i[c>>0]=123;j=40}else{g=a+8|0;e=k[g>>2]|0;f=c-e|0;c=f+1|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=BH(e,d|1)|0;k[g>>2]=c;if(!c){mN(45154,15,1,k[4849]|0)|0;Zb(1)}else{m=c+f|0;k[l>>2]=c+d;k[a>>2]=m+1;i[m>>0]=123;if(!b)break;else{j=40;break}}}while(0);b:do if((j|0)==40)if((k[h>>2]&-2|0)==4){c=k[b+24>>2]|0;if(c|0){b=a+8|0;while(1){gg(a,k[c+12>>2]|0);d=k[a>>2]|0;e=k[l>>2]|0;if(d>>>0>=e>>>0){f=k[b>>2]|0;g=d-f|0;d=g+1|0;e=e-f|0;do e=e<<1;while(e>>>0<d>>>0);d=BH(f,e|1)|0;k[b>>2]=d;if(!d){j=47;break}m=d+g|0;k[a>>2]=m;k[l>>2]=d+e;d=m}k[a>>2]=d+1;i[d>>0]=58;fi(a,c);g=c+8|0;if(!(k[g>>2]|0))break b;c=k[a>>2]|0;d=k[l>>2]|0;if(c>>>0>=d>>>0){e=k[b>>2]|0;f=c-e|0;c=f+1|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=BH(e,d|1)|0;k[b>>2]=c;if(!c){j=54;break}m=c+f|0;k[a>>2]=m;k[l>>2]=c+d;c=m}k[a>>2]=c+1;i[c>>0]=44;c=k[g>>2]|0;if(!c)break b}if((j|0)==47){mN(45154,15,1,k[4849]|0)|0;Zb(1)}else if((j|0)==54){mN(45154,15,1,k[4849]|0)|0;Zb(1)}}}while(0);c=k[a>>2]|0;d=k[l>>2]|0;do if(c>>>0<d>>>0)n=c;else{g=a+8|0;e=k[g>>2]|0;f=c-e|0;c=f+1|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=BH(e,d|1)|0;k[g>>2]=c;if(!c){mN(45154,15,1,k[4849]|0)|0;Zb(1)}else{n=c+f|0;k[a>>2]=n;k[l>>2]=c+d;break}}while(0);k[a>>2]=n+1;i[n>>0]=125;return}default:eb(53637,39052,1045,39218)}}function gi(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;i=0;o=r;r=r+32|0;j=o+4|0;g=o;b=a+16|0;c=k[b>>2]|0;if(c>>>0>340){k[b>>2]=c+-341;l=a+4|0;j=k[l>>2]|0;n=k[j>>2]|0;j=j+4|0;k[l>>2]=j;m=a+8|0;h=k[m>>2]|0;i=a+12|0;g=k[i>>2]|0;b=g;f=h;do if((h|0)==(g|0)){c=k[a>>2]|0;d=c;if(j>>>0>c>>>0){b=j;d=((b-d>>2)+1|0)/-2|0;e=j+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=j;else{DN(e|0,j|0,b|0)|0;b=k[l>>2]|0}a=e+(c<<2)|0;k[m>>2]=a;k[l>>2]=b+(d<<2);b=a;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}e=ZL(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((j|0)==(h|0))b=g;else{b=g;c=j;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[l>>2]=g;k[m>>2]=b;k[i>>2]=e;if(c){zqa(c);b=k[m>>2]|0}}else b=h;while(0);k[b>>2]=n;k[m>>2]=(k[m>>2]|0)+4;r=o;return}n=a+8|0;b=k[n>>2]|0;m=a+4|0;e=b-(k[m>>2]|0)|0;l=a+12|0;c=k[l>>2]|0;d=c-(k[a>>2]|0)|0;if(e>>>0<d>>>0){if((c|0)!=(b|0)){n=ZL(4092)|0;k[j>>2]=n;Mt(a,j);r=o;return}i=ZL(4092)|0;k[j>>2]=i;kt(a,j);i=k[m>>2]|0;j=k[i>>2]|0;i=i+4|0;k[m>>2]=i;h=k[n>>2]|0;g=k[l>>2]|0;b=g;f=h;do if((h|0)==(g|0)){c=k[a>>2]|0;d=c;if(i>>>0>c>>>0){b=i;d=((b-d>>2)+1|0)/-2|0;e=i+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=i;else{DN(e|0,i|0,b|0)|0;b=k[m>>2]|0}a=e+(c<<2)|0;k[n>>2]=a;k[m>>2]=b+(d<<2);b=a;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}e=ZL(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((i|0)==(h|0))b=g;else{b=g;c=i;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[m>>2]=g;k[n>>2]=b;k[l>>2]=e;if(c){zqa(c);b=k[n>>2]|0}}else b=h;while(0);k[b>>2]=j;k[n>>2]=(k[n>>2]|0)+4;r=o;return}b=d>>1;b=(b|0)==0?1:b;k[j+12>>2]=0;k[j+16>>2]=a+12;if(b>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}d=ZL(b<<2)|0;k[j>>2]=d;e=d+(e>>2<<2)|0;h=j+8|0;k[h>>2]=e;f=j+4|0;k[f>>2]=e;e=j+12|0;k[e>>2]=d+(b<<2);y=0;b=qa(332,4092)|0;d=y;y=0;do if(d&1)d=pb()|0;else{k[g>>2]=b;y=0;oa(621,j|0,g|0);g=y;y=0;if(g&1){d=pb()|0;zqa(b);break}b=k[n>>2]|0;while(1){d=k[m>>2]|0;if((b|0)==(d|0))break;b=b+-4|0;y=0;oa(622,j|0,b|0);g=y;y=0;if(g&1){i=44;break}}if((i|0)==44){d=pb()|0;break}c=k[a>>2]|0;k[a>>2]=k[j>>2];k[j>>2]=c;k[m>>2]=k[f>>2];k[f>>2]=d;b=k[n>>2]|0;k[n>>2]=k[h>>2];k[h>>2]=b;a=k[l>>2]|0;k[l>>2]=k[e>>2];k[e>>2]=a;if((b|0)!=(d|0))k[h>>2]=b+(~((b+-4-d|0)>>>2)<<2);if(c|0)zqa(c);r=o;return}while(0);b=k[f>>2]|0;c=k[h>>2]|0;if((c|0)!=(b|0))k[h>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[j>>2]|0;if(!b)sb(d|0);zqa(b);sb(d|0)}function hi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;m=r;r=r+32|0;n=m+24|0;f=m+20|0;e=m+16|0;j=m+12|0;h=m+8|0;l=m+4|0;i=m;switch(b-a>>2|0){case 2:{c=b+-4|0;rT(f,c);y=0;oa(464,e|0,a|0);l=y;y=0;do if(l&1)c=pb()|0;else{d=k[f>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+160>>2]|0,d|0,k[e>>2]|0)|0;l=y;y=0;if(l&1){c=pb()|0;EO(e);break}EO(e);EO(f);if(!d){n=1;r=m;return n|0}rT(n,a);y=0;Ha(966,a|0,c|0)|0;l=y;y=0;if(l&1){m=pb()|0;EO(n);sb(m|0)}y=0;Ha(966,c|0,n|0)|0;l=y;y=0;if(l&1){m=pb()|0;EO(n);sb(m|0)}EO(n);n=1;r=m;return n|0}while(0);EO(f);n=c;sb(n|0)}case 3:{Yg(a,a+4|0,b+-4|0,c)|0;n=1;r=m;return n|0}case 4:{dk(a,a+4|0,a+8|0,b+-4|0,c)|0;n=1;r=m;return n|0}case 5:{qi(a,a+4|0,a+8|0,a+12|0,b+-4|0,c)|0;n=1;r=m;return n|0}case 1:case 0:{n=1;r=m;return n|0}default:{e=a+8|0;Yg(a,a+4|0,e,c)|0;c=a+12|0;a:do if((c|0)==(b|0)){d=1;c=0}else{d=0;b:while(1){rT(j,c);y=0;oa(464,h|0,e|0);g=y;y=0;if(g&1){d=29;break}f=k[j>>2]|0;y=0;f=Ha(k[(k[f>>2]|0)+160>>2]|0,f|0,k[h>>2]|0)|0;g=y;y=0;if(g&1){d=30;break}EO(h);EO(j);if(f){rT(n,c);f=c;while(1){y=0;Ha(966,f|0,e|0)|0;g=y;y=0;if(g&1){d=32;break b}if((e|0)==(a|0))break;y=0;oa(464,l|0,n|0);g=y;y=0;if(g&1){d=32;break b}f=e+-4|0;y=0;oa(464,i|0,f|0);g=y;y=0;if(g&1){d=35;break b}g=k[l>>2]|0;y=0;g=Ha(k[(k[g>>2]|0)+160>>2]|0,g|0,k[i>>2]|0)|0;o=y;y=0;if(o&1){d=36;break b}EO(i);EO(l);if(g){o=e;e=f;f=o}else break}y=0;Ha(966,e|0,n|0)|0;o=y;y=0;if(o&1){d=33;break}d=d+1|0;EO(n);if((d|0)==8){d=0;c=(c+4|0)==(b|0);break a}}e=c+4|0;if((e|0)==(b|0)){d=1;c=0;break a}else{o=c;c=e;e=o}}if((d|0)==29){c=pb()|0;d=31}else if((d|0)==30){c=pb()|0;EO(h);d=31}else if((d|0)==32){c=pb()|0;d=34}else if((d|0)==33){c=pb()|0;d=34}else if((d|0)==35){c=pb()|0;d=37}else if((d|0)==36){c=pb()|0;EO(i);d=37}if((d|0)==31){EO(j);o=c;sb(o|0)}else if((d|0)!=34)if((d|0)==37)EO(l);EO(n);o=c;sb(o|0)}while(0);o=c|d;r=m;return o|0}}return 0}function ii(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;i=0;o=r;r=r+32|0;j=o+4|0;g=o;b=a+16|0;c=k[b>>2]|0;if(c>>>0>1023){k[b>>2]=c+-1024;l=a+4|0;j=k[l>>2]|0;n=k[j>>2]|0;j=j+4|0;k[l>>2]=j;m=a+8|0;h=k[m>>2]|0;i=a+12|0;g=k[i>>2]|0;b=g;f=h;do if((h|0)==(g|0)){c=k[a>>2]|0;d=c;if(j>>>0>c>>>0){b=j;d=((b-d>>2)+1|0)/-2|0;e=j+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=j;else{DN(e|0,j|0,b|0)|0;b=k[l>>2]|0}a=e+(c<<2)|0;k[m>>2]=a;k[l>>2]=b+(d<<2);b=a;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}e=ZL(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((j|0)==(h|0))b=g;else{b=g;c=j;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[l>>2]=g;k[m>>2]=b;k[i>>2]=e;if(c){zqa(c);b=k[m>>2]|0}}else b=h;while(0);k[b>>2]=n;k[m>>2]=(k[m>>2]|0)+4;r=o;return}n=a+8|0;b=k[n>>2]|0;m=a+4|0;e=b-(k[m>>2]|0)|0;l=a+12|0;c=k[l>>2]|0;d=c-(k[a>>2]|0)|0;if(e>>>0<d>>>0){if((c|0)!=(b|0)){n=ZL(4096)|0;k[j>>2]=n;Pt(a,j);r=o;return}i=ZL(4096)|0;k[j>>2]=i;pt(a,j);i=k[m>>2]|0;j=k[i>>2]|0;i=i+4|0;k[m>>2]=i;h=k[n>>2]|0;g=k[l>>2]|0;b=g;f=h;do if((h|0)==(g|0)){c=k[a>>2]|0;d=c;if(i>>>0>c>>>0){b=i;d=((b-d>>2)+1|0)/-2|0;e=i+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=i;else{DN(e|0,i|0,b|0)|0;b=k[m>>2]|0}a=e+(c<<2)|0;k[n>>2]=a;k[m>>2]=b+(d<<2);b=a;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}e=ZL(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((i|0)==(h|0))b=g;else{b=g;c=i;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[m>>2]=g;k[n>>2]=b;k[l>>2]=e;if(c){zqa(c);b=k[n>>2]|0}}else b=h;while(0);k[b>>2]=j;k[n>>2]=(k[n>>2]|0)+4;r=o;return}b=d>>1;b=(b|0)==0?1:b;k[j+12>>2]=0;k[j+16>>2]=a+12;if(b>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}d=ZL(b<<2)|0;k[j>>2]=d;e=d+(e>>2<<2)|0;h=j+8|0;k[h>>2]=e;f=j+4|0;k[f>>2]=e;e=j+12|0;k[e>>2]=d+(b<<2);y=0;b=qa(332,4096)|0;d=y;y=0;do if(d&1)d=pb()|0;else{k[g>>2]=b;y=0;oa(602,j|0,g|0);g=y;y=0;if(g&1){d=pb()|0;zqa(b);break}b=k[n>>2]|0;while(1){d=k[m>>2]|0;if((b|0)==(d|0))break;b=b+-4|0;y=0;oa(603,j|0,b|0);g=y;y=0;if(g&1){i=44;break}}if((i|0)==44){d=pb()|0;break}c=k[a>>2]|0;k[a>>2]=k[j>>2];k[j>>2]=c;k[m>>2]=k[f>>2];k[f>>2]=d;b=k[n>>2]|0;k[n>>2]=k[h>>2];k[h>>2]=b;a=k[l>>2]|0;k[l>>2]=k[e>>2];k[e>>2]=a;if((b|0)!=(d|0))k[h>>2]=b+(~((b+-4-d|0)>>>2)<<2);if(c|0)zqa(c);r=o;return}while(0);b=k[f>>2]|0;c=k[h>>2]|0;if((c|0)!=(b|0))k[h>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[j>>2]|0;if(!b)sb(d|0);zqa(b);sb(d|0)}function ji(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0;z=0;E=r;r=r+64|0;A=E+48|0;B=E+32|0;u=E+8|0;v=E+20|0;w=E;C=E+16|0;x=b+72|0;D=b+76|0;s=b+80|0;t=(k[s>>2]|0)-(k[D>>2]|0)>>2;a:do if(t|0){m=c+16|0;n=B+11|0;o=B+4|0;p=v+11|0;q=v+4|0;l=0;b:while(1){c=k[(k[a>>2]|0)+28>>2]|0;g=k[m>>2]|0;h=k[g+4>>2]|0;j=u;k[j>>2]=k[g>>2];k[j+4>>2]=h;k[A>>2]=k[u>>2];k[A+4>>2]=k[u+4>>2];Lc[c&255](B,a,A);y=0;c=Ha(k[(k[x>>2]|0)+16>>2]|0,x|0,l|0)|0;j=y;y=0;if(j&1){z=13;break}j=k[c>>2]|0;h=k[(k[j>>2]|0)+28>>2]|0;e=k[m>>2]|0;f=k[e+4>>2]|0;g=w;k[g>>2]=k[e>>2];k[g+4>>2]=f;y=0;k[A>>2]=k[w>>2];k[A+4>>2]=k[w+4>>2];Na(h|0,v|0,j|0,A|0);j=y;y=0;if(j&1){z=13;break}e=i[n>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[o>>2]|0:e;j=i[p>>0]|0;c=j<<24>>24<0;do if((g|0)==((c?k[q>>2]|0:j&255)|0)){h=k[B>>2]|0;j=f?h:B;c=c?k[v>>2]|0:v;d=(g|0)==0;if(f){if(d){z=39;break b}j=(zM(j,c,g)|0)==0;$9(v);$9(B);if(j){z=42;break b}else break}if(d){z=40;break b}if((h&255)<<24>>24==(i[c>>0]|0)){d=B;do{e=e+-1|0;d=d+1|0;if(!e){z=41;break b}c=c+1|0}while((i[d>>0]|0)==(i[c>>0]|0))}$9(v);$9(B)}else{$9(v);$9(B)}while(0);l=l+1|0;if(l>>>0>=t>>>0)break a}if((z|0)==13){E=pb()|0;$9(B);sb(E|0)}else if((z|0)==39){$9(v);$9(B);r=E;return b|0}else if((z|0)==40){$9(v);$9(B);r=E;return b|0}else if((z|0)==41){$9(v);$9(B);r=E;return b|0}else if((z|0)==42){r=E;return b|0}}while(0);if(!a)qca();x=k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0;c=k[D>>2]|0;h=(k[s>>2]|0)-c>>2;d=(h|0)!=0;c:do if((x|0)==28471|(x|0)==28496)if(d){f=b+76|0;g=h+-1|0;d=0;while(1){e=k[c+(d<<2)>>2]|0;if(!e)z=25;else if(!(pw(e,144,272,0)|0))z=25;else z=27;if((z|0)==25){z=0;e=k[c+(d<<2)>>2]|0;if(e|0)if(pw(e,144,288,0)|0)z=27}if((z|0)==27){z=0;x=k[c+(g<<2)>>2]|0;if(oc[k[(k[x>>2]|0)+156>>2]&511](x)|0)break}d=d+1|0;if(d>>>0>=h>>>0){z=34;break c}c=k[f>>2]|0}c=k[D>>2]|0}else z=34;else if(d){d=0;while(1){e=k[c+(d<<2)>>2]|0;if(e|0){if(pw(e,144,272,0)|0)break c;if(pw(e,144,288,0)|0)break c}d=d+1|0;if(d>>>0>=h>>>0){z=34;break}}}else z=34;while(0);if((z|0)==34){zu(b,a);r=E;return b|0}k[C>>2]=c+(d<<2);_V(B,a);y=0;k[A>>2]=k[C>>2];ta(48,D|0,A|0,B|0)|0;D=y;y=0;if(D&1){E=pb()|0;EO(B);sb(E|0)}else{EO(B);r=E;return b|0}return 0}function ki(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;e=0;i=r;r=r+32|0;d=i+16|0;j=i+12|0;l=i+8|0;f=i+4|0;g=i;if(oc[k[(k[b>>2]|0)+72>>2]&511](b)|0){r=i;return}rT(j,b+68|0);y=0;oa(464,d|0,b+64|0);h=y;y=0;if(h&1){l=pb()|0;EO(j);sb(l|0)}k[l>>2]=k[d>>2];h=a+4|0;y=0;c=qa(458,h|0)|0;m=y;y=0;a:do if(m&1)e=9;else{y=0;c=Ha(998,b|0,c|0)|0;m=y;y=0;if(m&1)e=9;else{b:do if(c){y=0;c=qa(458,h|0)|0;m=y;y=0;if(m&1){e=9;break a}if(!c){m=a+76|0;k[m>>2]=(k[m>>2]|0)+(k[b+56>>2]|0)}y=0;na(392,h|0);m=y;y=0;if(m&1){e=9;break a}k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;Na(75,d|0,44350,9);m=y;y=0;do if(m&1)c=pb()|0;else{y=0;Na(139,h|0,d|0,b|0);m=y;y=0;if(m&1){c=pb()|0;$9(d);break}$9(d);y=0;na(394,h|0);m=y;y=0;if(m&1){e=9;break a}m=k[j>>2]|0;y=0;oa(k[(k[m>>2]|0)+40>>2]|0,m|0,a|0);m=y;y=0;if(m&1){e=9;break a}y=0;oa(606,h|0,0);m=y;y=0;if(m&1){e=9;break a}d=k[l>>2]|0;e=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>2;c:do if(e|0){f=e+-1|0;c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;m=y;y=0;if(m&1){e=39;break}y=0;oa(464,g|0,d|0);m=y;y=0;if(m&1){e=39;break}m=k[g>>2]|0;y=0;oa(k[(k[m>>2]|0)+40>>2]|0,m|0,a|0);m=y;y=0;if(m&1){e=40;break}if(c>>>0<f>>>0){y=0;na(395,h|0);m=y;y=0;if(m&1){e=40;break}}EO(g);c=c+1|0;if(c>>>0>=e>>>0)break c;d=k[l>>2]|0}if((e|0)==39){c=pb()|0;break a}else if((e|0)==40){c=pb()|0;EO(g);break a}}while(0);y=0;c=qa(458,h|0)|0;m=y;y=0;if(m&1){e=9;break a}if(!c){m=a+76|0;k[m>>2]=(k[m>>2]|0)-(k[b+56>>2]|0)}y=0;oa(607,h|0,0);m=y;y=0;if(m&1){e=9;break a}else break b}while(0);break a}else{d=k[l>>2]|0;e=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>2;if(e|0){c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;m=y;y=0;if(m&1){e=13;break}y=0;oa(464,f|0,d|0);m=y;y=0;if(m&1){e=13;break}d=k[f>>2]|0;if(d|0)if(pw(d,680,712,0)|0){y=0;oa(k[(k[d>>2]|0)+40>>2]|0,d|0,a|0);m=y;y=0;if(m&1){e=14;break}}EO(f);c=c+1|0;if(c>>>0>=e>>>0)break b;d=k[l>>2]|0}if((e|0)==13){c=pb()|0;break a}else if((e|0)==14){c=pb()|0;EO(f);break a}}}while(0);EO(l);EO(j);r=i;return}}while(0);if((e|0)==9)c=pb()|0;EO(l);m=c;EO(j);sb(m|0)}function li(a,b,c){a=a|0;b=b|0;c=c|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;if((cc|0)==1)cc=3}Qc(fc+46604|0);return k[dc>>2]|0}function mi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;j=r;r=r+80|0;i=j+32|0;l=j+24|0;d=j+28|0;f=j;e=j+12|0;h=a+8|0;c=k[(k[h>>2]|0)+16>>2]|0;g=k[c>>2]|0;k[c>>2]=0;rT(i,b+64|0);c=k[i>>2]|0;k[d>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;m=y;y=0;if(!(m&1)){y=0;oa(482,l|0,c|0);m=y;y=0;if(!(m&1)){EO(d);y=0;a=qa(439,k[a+4>>2]|0)|0;m=y;y=0;a:do if(m&1)a=pb()|0;else{k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;y=0;Na(75,i|0,42535,9);m=y;y=0;do if(m&1)a=pb()|0;else{y=0;c=Ha(988,a|0,i|0)|0;m=y;y=0;if(m&1){a=pb()|0;$9(i);break}$9(i);if(!c){m=k[l>>2]|0;y=0;oa(k[(k[m>>2]|0)+24>>2]|0,i|0,m|0);m=y;y=0;do if(m&1)a=pb()|0;else{y=0;ma(5,f|0,i|0,0,0,1);m=y;y=0;if(m&1){a=pb()|0;$9(i);break}$9(i);k[k[(k[h>>2]|0)+16>>2]>>2]=g;y=0;oa(452,e|0,f|0);m=y;y=0;do if(m&1)a=pb()|0;else{y=0;d=i;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));oa(458,e|0,i|0);m=y;y=0;if(m&1){a=pb()|0;$9(e);break}$9(e);$9(f);EO(l);r=j;return 0}while(0);$9(f);break a}while(0);break a}k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;y=0;Na(75,i|0,42535,9);m=y;y=0;do if(m&1)a=pb()|0;else{y=0;a=Ha(971,a|0,i|0)|0;m=y;y=0;if(m&1){a=pb()|0;$9(i);break}a=k[a>>2]|0;if(!a)a=0;else a=pw(a,8,1032,0)|0;$9(i);c=k[a+96>>2]|0;y=0;d=qa(440,c|0)|0;m=y;y=0;if(m&1){a=pb()|0;break a}k[i>>2]=18364;y=0;b=Ha(1015,1,0)|0;m=y;y=0;do if(m&1)a=pb()|0;else{a=k[l>>2]|0;y=0;a=Ha(k[(k[a>>2]|0)+64>>2]|0,a|0,i|0)|0;m=y;y=0;if(!(m&1)){y=0;Na(118,b|0,0,a|0);m=y;y=0;if(!(m&1)){y=0;a=ta(d|0,b|0,c|0,k[(k[h>>2]|0)+272>>2]|0)|0;m=y;y=0;if(!(m&1)){k[k[(k[h>>2]|0)+16>>2]>>2]=g;y=0;na(385,b|0);m=y;y=0;do if(!(m&1)){y=0;na(385,a|0);m=y;y=0;if(m&1)break;EO(l);r=j;return 0}while(0);a=pb()|0;break}}}a=pb()|0}while(0);break a}while(0);break a}while(0)}while(0);EO(l);m=a;sb(m|0)}}m=pb()|0;EO(d);sb(m|0);return 0}function ni(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;q=0;v=r;r=r+112|0;u=v;h=v+104|0;l=v+100|0;s=v+96|0;t=v+92|0;m=v+88|0;n=v+48|0;p=v+44|0;o=v+40|0;j=a+20|0;f=a+24|0;c=k[j>>2]|0;g=(k[f>>2]|0)-c>>2;if(g|0){e=0;d=0;while(1){_V(h,k[c+(d<<2)>>2]|0);y=0;c=Ha(1017,b|0,h|0)|0;w=y;y=0;if(w&1){q=7;break}c=e|c;EO(h);d=d+1|0;if(d>>>0>=g>>>0)break;e=c;c=k[j>>2]|0}if((q|0)==7){w=pb()|0;EO(h);sb(w|0)}if(c){c=k[f>>2]|0;if((c|0)==(k[j>>2]|0))c=k[a+8>>2]|0;else c=c+-4|0;_V(m,k[c>>2]|0);y=0;c=Ha(1017,b|0,m|0)|0;w=y;y=0;if(w&1){w=pb()|0;EO(m);sb(w|0)}EO(m);if(!c){w=jf(a,b)|0;r=v;return w|0}f=ZL(72)|0;c=n;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(482,p|0,b|0);w=y;y=0;if(w&1)c=pb()|0;else{y=0;oa(482,o|0,0);w=y;y=0;if(w&1)c=pb()|0;else{c=u;d=n;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(366,f|0);w=y;y=0;do if(w&1)c=pb()|0;else{c=f+12|0;d=u;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[f+52>>2]=6;k[f+56>>2]=0;i[f+60>>0]=0;k[f>>2]=5528;y=0;oa(464,f+64|0,p|0);w=y;y=0;if(w&1){c=pb()|0;break}i[f+68>>0]=(k[o>>2]|0)==0&1;EO(o);EO(p);w=f;r=v;return w|0}while(0);EO(o)}EO(p)}zqa(f);w=c;sb(w|0)}}p=k[(k[a>>2]|0)+12>>2]|0;rT(u,b+64|0);w=k[u>>2]|0;k[l>>2]=w;y=0;a=Ha(p|0,a|0,w|0)|0;w=y;y=0;if(w&1){w=pb()|0;EO(l);sb(w|0)}EO(l);f=a+64|0;h=a+68|0;j=a+72|0;d=k[j>>2]|0;c=k[h>>2]|0;g=d-c>>2;do if(g){e=b+56|0;d=0;while(1){rT(u,Fc[k[(k[f>>2]|0)+16>>2]&2047](f,d)|0);c=k[u>>2]|0;if(!c)q=16;else if(!(pw(c,680,696,0)|0))q=16;else q=19;if((q|0)==16){q=0;y=0;c=qa(k[(k[c>>2]|0)+76>>2]|0,c|0)|0;w=y;y=0;if(w&1)break;if(c){c=k[u>>2]|0;q=19}}if((q|0)==19){w=c+56|0;k[w>>2]=(k[e>>2]|0)+(k[w>>2]|0)}EO(u);d=d+1|0;if(d>>>0>=g>>>0){q=11;break}}if((q|0)==11){d=k[j>>2]|0;c=k[h>>2]|0;break}w=pb()|0;EO(u);sb(w|0)}while(0);a:do if((d|0)!=(c|0)){rT(u,d+-4|0);d=k[u>>2]|0;k[s>>2]=d;c=d;if(!d)q=25;else if(!(pw(d,680,696,0)|0))q=25;else EO(s);do if((q|0)==25){y=0;c=qa(k[(k[d>>2]|0)+76>>2]|0,c|0)|0;w=y;y=0;if(!(w&1)){EO(s);if(c)break;else break a}w=pb()|0;EO(s);sb(w|0)}while(0);rT(u,(k[j>>2]|0)+-4|0);w=k[u>>2]|0;k[t>>2]=w;i[w+60>>0]=i[b+60>>0]|0;EO(t)}while(0);w=a;r=v;return w|0}function oi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;n=0;v=r;r=r+128|0;q=v+88|0;e=v+80|0;d=v+76|0;f=v+72|0;g=v+68|0;h=v+64|0;u=v+24|0;z=v+12|0;x=v+8|0;w=v+4|0;s=v;A=a+96|0;t=b+68|0;if(!(tN(t,43538)|0))c=1;else if(!(tN(t,43557)|0))c=1;else if(!(tN(t,43573)|0))c=1;else c=(tN(t,43587)|0)==0;B=i[A>>0]|0;i[A>>0]=c&1;y=0;oa(464,d|0,b+64|0);p=y;y=0;if(p&1){z=pb()|0;i[A>>0]=B;sb(z|0)}p=k[d>>2]|0;k[f>>2]=p;o=p;EO(f);y=0;oa(464,e|0,b+80|0);m=y;y=0;if(m&1){z=pb()|0;i[A>>0]=B;sb(z|0)}l=k[e>>2]|0;k[g>>2]=l;j=l;EO(g);y=0;oa(464,q|0,b+84|0);m=y;y=0;if(m&1){z=pb()|0;i[A>>0]=B;sb(z|0)}f=k[q>>2]|0;k[h>>2]=f;e=f;EO(h);c=a+60|0;y=0;oa(482,q|0,0);m=y;y=0;do if(m&1)c=pb()|0;else{g=a+64|0;d=k[g>>2]|0;if(d>>>0<(k[a+68>>2]|0)>>>0){y=0;oa(464,d|0,q|0);m=y;y=0;if(m&1)n=19;else k[g>>2]=(k[g>>2]|0)+4}else{y=0;oa(556,c|0,q|0);m=y;y=0;if(m&1)n=19}if((n|0)==19){c=pb()|0;EO(q);break}EO(q);if(!f){m=0;n=22}else{y=0;c=Ha(k[(k[f>>2]|0)+52>>2]|0,e|0,a+8|0)|0;m=y;y=0;if(!(m&1)){m=c;n=22}}do if((n|0)==22){if(!l)h=0;else{y=0;c=Ha(k[(k[l>>2]|0)+52>>2]|0,j|0,a+8|0)|0;n=y;y=0;if(n&1)break;if(!c)h=0;else h=pw(c,40,88,0)|0}d=k[g>>2]|0;c=d+-4|0;do{n=d+-4|0;k[g>>2]=n;EO(n);d=k[g>>2]|0}while((d|0)!=(c|0));if(!p)c=0;else{y=0;c=Ha(k[(k[a>>2]|0)+12>>2]|0,a|0,o|0)|0;a=y;y=0;if(a&1)break}y=0;g=qa(332,88)|0;a=y;y=0;if(a&1){z=pb()|0;i[A>>0]=B;sb(z|0)}f=u;d=b+12|0;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));y=0;oa(452,z|0,t|0);t=y;y=0;if(t&1)c=pb()|0;else{y=0;oa(482,x|0,h|0);t=y;y=0;if(t&1)c=pb()|0;else{y=0;oa(482,w|0,c|0);t=y;y=0;if(t&1)c=pb()|0;else{y=0;oa(482,s|0,m|0);t=y;y=0;do if(t&1)c=pb()|0;else{y=0;f=q;d=u;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));ya(19,g|0,q|0,z|0,x|0,w|0,s|0);u=y;y=0;if(u&1){c=pb()|0;EO(s);break}else{EO(s);EO(w);EO(x);$9(z);i[A>>0]=B;r=v;return g|0}}while(0);EO(w)}EO(x)}$9(z)}zqa(g);z=c;i[A>>0]=B;sb(z|0)}while(0);z=pb()|0;i[A>>0]=B;sb(z|0)}while(0);z=c;i[A>>0]=B;sb(z|0);return 0}function pi(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;i=0;o=r;r=r+32|0;j=o+4|0;g=o;b=a+16|0;c=k[b>>2]|0;if(c>>>0>169){k[b>>2]=c+-170;l=a+4|0;j=k[l>>2]|0;n=k[j>>2]|0;j=j+4|0;k[l>>2]=j;m=a+8|0;h=k[m>>2]|0;i=a+12|0;g=k[i>>2]|0;b=g;f=h;do if((h|0)==(g|0)){c=k[a>>2]|0;d=c;if(j>>>0>c>>>0){b=j;d=((b-d>>2)+1|0)/-2|0;e=j+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=j;else{DN(e|0,j|0,b|0)|0;b=k[l>>2]|0}a=e+(c<<2)|0;k[m>>2]=a;k[l>>2]=b+(d<<2);b=a;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}e=ZL(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((j|0)==(h|0))b=g;else{b=g;c=j;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[l>>2]=g;k[m>>2]=b;k[i>>2]=e;if(c){zqa(c);b=k[m>>2]|0}}else b=h;while(0);k[b>>2]=n;k[m>>2]=(k[m>>2]|0)+4;r=o;return}n=a+8|0;b=k[n>>2]|0;m=a+4|0;e=b-(k[m>>2]|0)|0;l=a+12|0;c=k[l>>2]|0;d=c-(k[a>>2]|0)|0;if(e>>>0<d>>>0){if((c|0)!=(b|0)){n=ZL(4080)|0;k[j>>2]=n;jv(a,j);r=o;return}i=ZL(4080)|0;k[j>>2]=i;Ht(a,j);i=k[m>>2]|0;j=k[i>>2]|0;i=i+4|0;k[m>>2]=i;h=k[n>>2]|0;g=k[l>>2]|0;b=g;f=h;do if((h|0)==(g|0)){c=k[a>>2]|0;d=c;if(i>>>0>c>>>0){b=i;d=((b-d>>2)+1|0)/-2|0;e=i+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=i;else{DN(e|0,i|0,b|0)|0;b=k[m>>2]|0}a=e+(c<<2)|0;k[n>>2]=a;k[m>>2]=b+(d<<2);b=a;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}e=ZL(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((i|0)==(h|0))b=g;else{b=g;c=i;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[m>>2]=g;k[n>>2]=b;k[l>>2]=e;if(c){zqa(c);b=k[n>>2]|0}}else b=h;while(0);k[b>>2]=j;k[n>>2]=(k[n>>2]|0)+4;r=o;return}b=d>>1;b=(b|0)==0?1:b;k[j+12>>2]=0;k[j+16>>2]=a+12;if(b>>>0>1073741823){o=gb(4)|0;doa(o);Wb(o|0,4496,348)}d=ZL(b<<2)|0;k[j>>2]=d;e=d+(e>>2<<2)|0;h=j+8|0;k[h>>2]=e;f=j+4|0;k[f>>2]=e;e=j+12|0;k[e>>2]=d+(b<<2);y=0;b=qa(332,4080)|0;d=y;y=0;do if(d&1)d=pb()|0;else{k[g>>2]=b;y=0;oa(519,j|0,g|0);g=y;y=0;if(g&1){d=pb()|0;zqa(b);break}b=k[n>>2]|0;while(1){d=k[m>>2]|0;if((b|0)==(d|0))break;b=b+-4|0;y=0;oa(520,j|0,b|0);g=y;y=0;if(g&1){i=44;break}}if((i|0)==44){d=pb()|0;break}c=k[a>>2]|0;k[a>>2]=k[j>>2];k[j>>2]=c;k[m>>2]=k[f>>2];k[f>>2]=d;b=k[n>>2]|0;k[n>>2]=k[h>>2];k[h>>2]=b;a=k[l>>2]|0;k[l>>2]=k[e>>2];k[e>>2]=a;if((b|0)!=(d|0))k[h>>2]=b+(~((b+-4-d|0)>>>2)<<2);if(c|0)zqa(c);r=o;return}while(0);b=k[f>>2]|0;c=k[h>>2]|0;if((c|0)!=(b|0))k[h>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[j>>2]|0;if(!b)sb(d|0);zqa(b);sb(d|0)}function qi(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;q=r;r=r+48|0;p=q+32|0;h=q+28|0;g=q+24|0;j=q+20|0;i=q+16|0;m=q+12|0;l=q+8|0;s=q+4|0;o=q;n=dk(a,b,c,d,f)|0;rT(h,e);y=0;oa(464,g|0,d|0);f=y;y=0;do if(f&1)f=pb()|0;else{f=k[h>>2]|0;y=0;f=Ha(k[(k[f>>2]|0)+160>>2]|0,f|0,k[g>>2]|0)|0;t=y;y=0;if(t&1){f=pb()|0;EO(g);break}EO(g);EO(h);if(!f){t=n;r=q;return t|0}rT(p,d);y=0;Ha(966,d|0,e|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}y=0;Ha(966,e|0,p|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}EO(p);f=n+1|0;rT(j,d);y=0;oa(464,i|0,c|0);t=y;y=0;do if(t&1)f=pb()|0;else{e=k[j>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+160>>2]|0,e|0,k[i>>2]|0)|0;t=y;y=0;if(t&1){f=pb()|0;EO(i);break}EO(i);EO(j);if(!e){t=f;r=q;return t|0}rT(p,c);y=0;Ha(966,c|0,d|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}y=0;Ha(966,d|0,p|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}EO(p);f=n+2|0;rT(m,c);y=0;oa(464,l|0,b|0);t=y;y=0;do if(t&1)f=pb()|0;else{e=k[m>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+160>>2]|0,e|0,k[l>>2]|0)|0;t=y;y=0;if(t&1){f=pb()|0;EO(l);break}EO(l);EO(m);if(!e){t=f;r=q;return t|0}rT(p,b);y=0;Ha(966,b|0,c|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}y=0;Ha(966,c|0,p|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}EO(p);f=n+3|0;rT(s,b);y=0;oa(464,o|0,a|0);t=y;y=0;do if(t&1)f=pb()|0;else{e=k[s>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+160>>2]|0,e|0,k[o>>2]|0)|0;t=y;y=0;if(t&1){f=pb()|0;EO(o);break}EO(o);EO(s);if(!e){t=f;r=q;return t|0}rT(p,a);y=0;Ha(966,a|0,b|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}y=0;Ha(966,b|0,p|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}EO(p);t=n+4|0;r=q;return t|0}while(0);EO(s);t=f;sb(t|0)}while(0);EO(m);t=f;sb(t|0)}while(0);EO(j);t=f;sb(t|0)}while(0);EO(h);t=f;sb(t|0);return 0}function ri(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;u=0;v=r;r=r+48|0;w=v+24|0;t=v;g=k[a+16>>2]|0;c=k[a+20>>2]|0;if(c|0){Sba(c);kZ(c)}f=k[b+16>>2]|0;c=k[b+20>>2]|0;if(c|0){Sba(c);kZ(c)}q=g+20|0;p=k[q>>2]|0;s=f+20|0;_z(t,k[s>>2]|0);y=0;Na(137,w|0,p|0,t|0);p=y;y=0;if(p&1){b=pb()|0;e=k[t>>2]|0;f=e;if(e|0){c=t+4|0;a=k[c>>2]|0;if((a|0)!=(e|0))k[c>>2]=a+(~((a+-4-f|0)>>>2)<<2);zqa(e)}w=b;sb(w|0)}c=k[t>>2]|0;a=c;if(c|0){b=t+4|0;e=k[b>>2]|0;if((e|0)!=(c|0))k[b>>2]=e+(~((e+-4-a|0)>>>2)<<2);zqa(c)}a=k[q>>2]|0;a:do if(a>>>0>1){n=g+16|0;l=g+4|0;m=f+16|0;i=f+4|0;p=t+12|0;j=t+16|0;o=t+20|0;h=1;c=k[s>>2]|0;b:while(1){if(c>>>0>1){g=h+-1|0;f=1;do{y=0;na(389,t|0);e=y;y=0;if(e&1){u=32;break b}a=(k[n>>2]|0)+h|0;c=k[(k[l>>2]|0)+(((a>>>0)/170|0)<<2)>>2]|0;a=(a>>>0)%170|0;b=c+(a*24|0)|0;e=(k[m>>2]|0)+f|0;y=0;e=ta(162,b|0,(k[(k[i>>2]|0)+(((e>>>0)/170|0)<<2)>>2]|0)+(((e>>>0)%170|0)*24|0)|0,1)|0;x=y;y=0;if(x&1)break b;if(e){k[t>>2]=k[b>>2];k[t+4>>2]=k[b+4>>2];k[t+8>>2]=k[b+8>>2];y=0;Ha(966,p|0,c+(a*24|0)+12|0)|0;x=y;y=0;if(x&1)break b;a=c+(a*24|0)|0;c=k[a+16>>2]|0;a=k[a+20>>2]|0;if(a|0)Sba(a);k[j>>2]=c;c=k[o>>2]|0;k[o>>2]=a;if(c|0)kZ(c);x=k[w>>2]|0;k[(k[x+(h*12|0)>>2]|0)+(f<<2)>>2]=(k[(k[x+(g*12|0)>>2]|0)+(f+-1<<2)>>2]|0)+1}else{b=k[w>>2]|0;x=k[b+(h*12|0)>>2]|0;e=k[x+(f+-1<<2)>>2]|0;b=k[(k[b+(g*12|0)>>2]|0)+(f<<2)>>2]|0;k[x+(f<<2)>>2]=(e|0)<(b|0)?b:e}c=k[o>>2]|0;if(c|0)kZ(c);EO(p);f=f+1|0;c=k[s>>2]|0}while(f>>>0<c>>>0);a=k[q>>2]|0}h=h+1|0;if(h>>>0>=a>>>0){u=14;break a}}if((u|0)==32){b=pb()|0;i=N;c=w;break}b=pb()|0;a=N;c=k[o>>2]|0;if(c|0)kZ(c);EO(p);i=a;c=w}else u=14;while(0);do if((u|0)==14){if((w|0)!=(d|0)){y=0;Na(138,d|0,k[w>>2]|0,k[w+4>>2]|0);x=y;y=0;if(x&1){b=pb()|0;i=N;c=w;break}}c=k[w>>2]|0;if(!c){r=v;return}g=w+4|0;a=k[g>>2]|0;if((a|0)!=(c|0)){do{b=a+-12|0;k[g>>2]=b;e=k[b>>2]|0;f=e;if(!e)a=b;else{a=a+-8|0;b=k[a>>2]|0;if((b|0)!=(e|0))k[a>>2]=b+(~((b+-4-f|0)>>>2)<<2);zqa(e);a=k[g>>2]|0}}while((a|0)!=(c|0));c=k[w>>2]|0}zqa(c);r=v;return}while(0);c=k[c>>2]|0;if(c|0){h=w+4|0;a=k[h>>2]|0;if((a|0)!=(c|0)){do{e=a+-12|0;k[h>>2]=e;f=k[e>>2]|0;g=f;if(!f)a=e;else{a=a+-8|0;e=k[a>>2]|0;if((e|0)!=(f|0))k[a>>2]=e+(~((e+-4-g|0)>>>2)<<2);zqa(f);a=k[h>>2]|0}}while((a|0)!=(c|0));c=k[w>>2]|0}zqa(c)}x=b;sb(x|0)}function si(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;m=r;r=r+32|0;n=m+24|0;f=m+20|0;e=m+16|0;j=m+12|0;h=m+8|0;l=m+4|0;i=m;switch(b-a>>2|0){case 2:{c=b+-4|0;rT(f,c);y=0;oa(464,e|0,a|0);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;d=Ha(968,k[f>>2]|0,k[e>>2]|0)|0;l=y;y=0;if(l&1){c=pb()|0;EO(e);break}EO(e);EO(f);if(!d){n=1;r=m;return n|0}rT(n,a);y=0;Ha(966,a|0,c|0)|0;l=y;y=0;if(l&1){m=pb()|0;EO(n);sb(m|0)}y=0;Ha(966,c|0,n|0)|0;l=y;y=0;if(l&1){m=pb()|0;EO(n);sb(m|0)}EO(n);n=1;r=m;return n|0}while(0);EO(f);n=c;sb(n|0)}case 3:{kh(a,a+4|0,b+-4|0,c)|0;n=1;r=m;return n|0}case 4:{rk(a,a+4|0,a+8|0,b+-4|0,c)|0;n=1;r=m;return n|0}case 5:{Ki(a,a+4|0,a+8|0,a+12|0,b+-4|0,c)|0;n=1;r=m;return n|0}case 1:case 0:{n=1;r=m;return n|0}default:{e=a+8|0;kh(a,a+4|0,e,c)|0;c=a+12|0;a:do if((c|0)==(b|0)){d=1;c=0}else{d=0;b:while(1){rT(j,c);y=0;oa(464,h|0,e|0);g=y;y=0;if(g&1){d=29;break}y=0;f=Ha(968,k[j>>2]|0,k[h>>2]|0)|0;g=y;y=0;if(g&1){d=30;break}EO(h);EO(j);if(f){rT(n,c);f=c;while(1){y=0;Ha(966,f|0,e|0)|0;g=y;y=0;if(g&1){d=32;break b}if((e|0)==(a|0))break;y=0;oa(464,l|0,n|0);g=y;y=0;if(g&1){d=32;break b}f=e+-4|0;y=0;oa(464,i|0,f|0);g=y;y=0;if(g&1){d=35;break b}y=0;g=Ha(968,k[l>>2]|0,k[i>>2]|0)|0;o=y;y=0;if(o&1){d=36;break b}EO(i);EO(l);if(g){o=e;e=f;f=o}else break}y=0;Ha(966,e|0,n|0)|0;o=y;y=0;if(o&1){d=33;break}d=d+1|0;EO(n);if((d|0)==8){d=0;c=(c+4|0)==(b|0);break a}}e=c+4|0;if((e|0)==(b|0)){d=1;c=0;break a}else{o=c;c=e;e=o}}if((d|0)==29){c=pb()|0;d=31}else if((d|0)==30){c=pb()|0;EO(h);d=31}else if((d|0)==32){c=pb()|0;d=34}else if((d|0)==33){c=pb()|0;d=34}else if((d|0)==35){c=pb()|0;d=37}else if((d|0)==36){c=pb()|0;EO(i);d=37}if((d|0)==31){EO(j);o=c;sb(o|0)}else if((d|0)!=34)if((d|0)==37)EO(l);EO(n);o=c;sb(o|0)}while(0);o=c|d;r=m;return o|0}}return 0}function ti(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;p=r;r=r+112|0;l=p+64|0;u=p+52|0;t=p+36|0;s=p+32|0;n=p+40|0;o=p+20|0;q=p+8|0;m=p;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;jI(u,36111,8);y=0;b=l;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));f=sa(26,u|0,a|0,d|0,l|0,f|0)|0;j=y;y=0;if(j&1){t=pb()|0;$9(u);u=t;sb(u|0)}$9(u);_V(u,0);j=(k[f+68>>2]|0)-(k[f+64>>2]|0)>>2;a:do if(!j)b=u;else{d=c+16|0;a=0;while(1){y=0;b=Ha(981,f|0,a|0)|0;h=y;y=0;if(h&1){g=11;break}k[t>>2]=b;if(!b)b=0;else b=pw(b,40,448,0)|0;y=0;oa(482,s|0,b|0);h=y;y=0;if(h&1){g=12;break}if(!(k[s>>2]|0)){h=k[t>>2]|0;c=k[(k[h>>2]|0)+28>>2]|0;v=k[d>>2]|0;b=k[v+4>>2]|0;g=m;k[g>>2]=k[v>>2];k[g+4>>2]=b;y=0;k[l>>2]=k[m>>2];k[l+4>>2]=k[m+4>>2];Na(c|0,q|0,h|0,l|0);h=y;y=0;if(h&1){g=21;break}y=0;b=ta(52,q|0,0,47054)|0;v=y;y=0;if(v&1){g=22;break}k[o>>2]=k[b>>2];k[o+4>>2]=k[b+4>>2];k[o+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,o|0,36120)|0;v=y;y=0;if(v&1){g=23;break}k[n>>2]=k[b>>2];k[n+4>>2]=k[b+4>>2];k[n+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=l;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));oa(458,n|0,l|0);v=y;y=0;if(v&1){g=24;break}$9(n);$9(o);$9(q)}b=k[u>>2]|0;if(!b){y=0;Ha(966,u|0,s|0)|0;v=y;y=0;if(v&1){g=20;break}}else{v=k[s>>2]|0;y=0;b=Ha(k[(k[v>>2]|0)+112>>2]|0,v|0,b|0)|0;v=y;y=0;if(v&1){g=20;break}if(b){y=0;Ha(966,u|0,s|0)|0;v=y;y=0;if(v&1){g=20;break}}}EO(s);EO(t);a=a+1|0;if(a>>>0>=j>>>0){b=u;break a}}if((g|0)==11)b=pb()|0;else if((g|0)==12){b=pb()|0;g=35}else if((g|0)==20){b=pb()|0;g=34}else if((g|0)==21){b=pb()|0;g=27}else if((g|0)==22){b=pb()|0;g=26}else if((g|0)==23){b=pb()|0;g=25}else if((g|0)==24){b=pb()|0;$9(n);g=25}if((g|0)==25){$9(o);g=26}if((g|0)==26){$9(q);g=27}if((g|0)==27)g=34;if((g|0)==34){EO(s);g=35}if((g|0)==35)EO(t);EO(u);v=b;sb(v|0)}while(0);b=k[b>>2]|0;if(!b){v=0;EO(u);r=p;return v|0}i[b+8>>0]=1;v=b;EO(u);r=p;return v|0}function ui(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;v=r;r=r+32|0;q=v+4|0;g=v;s=a+8|0;c=k[s>>2]|0;t=a+4|0;d=k[t>>2]|0;e=c-d|0;u=a+16|0;b=k[u>>2]|0;if((((e|0)==0?0:(e<<8)+-1|0)-((k[a+20>>2]|0)+b)|0)>>>0>1023){k[u>>2]=b+1024;u=c+-4|0;k[q>>2]=k[u>>2];k[s>>2]=u;ot(a,q);r=v;return}o=a+12|0;b=k[a>>2]|0;c=(k[o>>2]|0)-b|0;if(e>>>0<c>>>0){if((d|0)==(b|0)){p=ZL(4096)|0;k[q>>2]=p;Pt(a,q);p=(k[s>>2]|0)+-4|0;k[q>>2]=k[p>>2];k[s>>2]=p;ot(a,q)}else{p=ZL(4096)|0;k[q>>2]=p;pt(a,q)}if(((k[s>>2]|0)-(k[t>>2]|0)|0)==4)b=512;else b=(k[u>>2]|0)+1024|0;k[u>>2]=b;r=v;return}b=c>>1;b=(b|0)==0?1:b;k[q+12>>2]=0;k[q+16>>2]=a+12;if(b>>>0>1073741823){v=gb(4)|0;doa(v);Wb(v|0,4496,348)}m=ZL(b<<2)|0;k[q>>2]=m;p=q+8|0;k[p>>2]=m;n=q+4|0;k[n>>2]=m;f=q+12|0;k[f>>2]=m+(b<<2);y=0;b=qa(332,4096)|0;m=y;y=0;a:do if(m&1)d=pb()|0;else{k[g>>2]=b;y=0;oa(602,q|0,g|0);m=y;y=0;if(m&1){d=pb()|0;zqa(b);break}c=k[t>>2]|0;b=k[s>>2]|0;do if((c|0)==(b|0)){i=b;g=n;h=p;d=q;e=c;b=k[p>>2]|0}else{m=k[p>>2]|0;b:while(1){l=k[f>>2]|0;b=l;h=m;do if((m|0)==(l|0)){l=k[n>>2]|0;j=k[q>>2]|0;d=j;if(l>>>0>j>>>0){b=l;e=((b-d>>2)+1|0)/-2|0;g=l+(e<<2)|0;b=h-b|0;d=b>>2;if(!d)b=l;else{DN(g|0,l|0,b|0)|0;b=k[n>>2]|0}m=g+(d<<2)|0;k[p>>2]=m;k[n>>2]=b+(e<<2);b=m;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){c=26;break b}y=0;d=qa(332,b<<2|0)|0;i=y;y=0;if(i&1){c=33;break b}h=d;e=d+(b>>>2<<2)|0;i=e;g=d+(b<<2)|0;if((l|0)==(m|0))b=i;else{b=i;d=l;do{k[e>>2]=k[d>>2];e=b+4|0;b=e;d=d+4|0}while((d|0)!=(m|0))}k[q>>2]=h;k[n>>2]=i;k[p>>2]=b;k[f>>2]=g;if(j){zqa(j);b=k[p>>2]|0}}else b=m;while(0);k[b>>2]=k[c>>2];m=(k[p>>2]|0)+4|0;k[p>>2]=m;c=c+4|0;b=k[s>>2]|0;if((c|0)==(b|0)){c=17;break}}if((c|0)==17){i=b;g=n;h=p;d=q;e=k[t>>2]|0;b=m;break}else if((c|0)==26){b=gb(4)|0;doa(b);y=0;Na(76,b|0,4496,348);y=0;b=pb()|0}else if((c|0)==33)b=pb()|0;d=b;break a}while(0);c=k[a>>2]|0;k[a>>2]=k[d>>2];k[d>>2]=c;q=k[g>>2]|0;k[t>>2]=q;k[g>>2]=e;k[s>>2]=b;k[h>>2]=i;t=k[o>>2]|0;k[o>>2]=k[f>>2];k[f>>2]=t;if((b-q|0)==4)b=512;else b=(k[u>>2]|0)+1024|0;k[u>>2]=b;if((i|0)!=(e|0))k[p>>2]=i+(~((i+-4-e|0)>>>2)<<2);if(c|0)zqa(c);r=v;return}while(0);b=k[n>>2]|0;c=k[p>>2]|0;if((c|0)!=(b|0))k[p>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[q>>2]|0;if(!b)sb(d|0);zqa(b);sb(d|0)}function vi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;o=r;r=r+64|0;l=o+48|0;d=o;m=o+40|0;n=a+76|0;f=k[n>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){n=0;r=o;return n|0}if(b){e=oW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}if(e<<24>>24==92){e=Lja(f+1|0)|0;if(!e)j=6;else j=21}else j=6;a:do if((j|0)==6){b:do if(f|0){b=i[42926]|0;c:do if(!(b<<24>>24)){e=f;j=10}else{e=f;g=42926;while(1){if((i[e>>0]|0)!=b<<24>>24)break c;e=e+1|0;g=g+1|0;b=i[g>>0]|0;if(!(b<<24>>24)){j=10;break}}}while(0);if((j|0)==10)if((i[e>>0]|0)==40)break;g=i[f>>0]|0;if(!(g<<24>>24)){g=0;break a}e=i[32576]|0;if(e<<24>>24){b=32576;do{if(g<<24>>24==e<<24>>24)break b;b=b+1|0;e=i[b>>0]|0}while(e<<24>>24!=0)}e=f+1|0;j=21;break a}while(0);e=f+1|0;switch(i[f>>0]|0){case 47:{g=i[e>>0]|0;h=f+2|0;if(!((g<<24>>24!=47?(g<<24>>24==42?h:0):h)|0)){j=21;break a}else{g=0;break a}}case 92:{b=f+2|0;if((i[e>>0]|0)!=35){g=0;break a}if((i[b>>0]|0)==123){g=0;break a}else{e=b;j=21;break a}}case 33:if(!(vea(e)|0)){j=21;break a}else{g=0;break a}default:{g=0;break a}}}while(0);if((j|0)==21){d:while(1){j=0;if((i[e>>0]|0)==92){b=Lja(e+1|0)|0;if(b|0){e=b;j=21;continue}}e:do if(e|0){g=i[42926]|0;f:do if(!(g<<24>>24)){b=e;j=27}else{b=e;h=42926;while(1){if((i[b>>0]|0)!=g<<24>>24)break f;b=b+1|0;h=h+1|0;g=i[h>>0]|0;if(!(g<<24>>24)){j=27;break}}}while(0);if((j|0)==27)if((i[b>>0]|0)==40)break;h=i[e>>0]|0;if(!(h<<24>>24))break d;b=i[32576]|0;if(b<<24>>24){g=32576;do{if(h<<24>>24==b<<24>>24)break e;g=g+1|0;b=i[g>>0]|0}while(b<<24>>24!=0)}e=e+1|0;j=21;continue d}while(0);b=e+1|0;switch(i[e>>0]|0){case 47:{h=i[b>>0]|0;j=e+2|0;if(!((h<<24>>24!=47?(h<<24>>24==42?j:0):j)|0)){e=b;j=21;continue d}else break d}case 92:{g=e+2|0;if((i[b>>0]|0)!=35)break d;if((i[g>>0]|0)==123)break d;else{e=g;j=21;continue d}}case 33:if(!(vea(b)|0)){e=b;j=21;continue d}else break d;default:break d}}if(e>>>0>(k[a+80>>2]|0)>>>0){n=0;r=o;return n|0}else g=e}if(!c)if((g|0)==0|(g|0)==(f|0)){n=0;r=o;return n|0}c=k[n>>2]|0;k[a+152>>2]=c;k[a+156>>2]=f;k[a+160>>2]=g;b=a+84|0;j=a+96|0;gH(l,j,c,f);k[b>>2]=k[l>>2];k[b+4>>2]=k[l+4>>2];k[b+8>>2]=k[l+8>>2];gH(l,j,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;GO(m,j,b);k[l>>2]=k[m>>2];k[l+4>>2]=k[m+4>>2];nH(d,c,e,a+152|0,b,l);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[n>>2]=g;n=g;r=o;return n|0}function wi(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;p=r;r=r+112|0;l=p+64|0;u=p+52|0;t=p+36|0;s=p+32|0;n=p+40|0;o=p+20|0;q=p+8|0;m=p;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;jI(u,36111,8);y=0;b=l;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));f=sa(26,u|0,a|0,d|0,l|0,f|0)|0;j=y;y=0;if(j&1){t=pb()|0;$9(u);u=t;sb(u|0)}$9(u);_V(u,0);j=(k[f+68>>2]|0)-(k[f+64>>2]|0)>>2;a:do if(!j)b=u;else{d=c+16|0;a=0;while(1){y=0;b=Ha(981,f|0,a|0)|0;h=y;y=0;if(h&1){g=11;break}k[t>>2]=b;if(!b)b=0;else b=pw(b,40,448,0)|0;y=0;oa(482,s|0,b|0);h=y;y=0;if(h&1){g=12;break}if(!(k[s>>2]|0)){h=k[t>>2]|0;c=k[(k[h>>2]|0)+28>>2]|0;v=k[d>>2]|0;b=k[v+4>>2]|0;g=m;k[g>>2]=k[v>>2];k[g+4>>2]=b;y=0;k[l>>2]=k[m>>2];k[l+4>>2]=k[m+4>>2];Na(c|0,q|0,h|0,l|0);h=y;y=0;if(h&1){g=21;break}y=0;b=ta(52,q|0,0,47054)|0;v=y;y=0;if(v&1){g=22;break}k[o>>2]=k[b>>2];k[o+4>>2]=k[b+4>>2];k[o+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,o|0,36153)|0;v=y;y=0;if(v&1){g=23;break}k[n>>2]=k[b>>2];k[n+4>>2]=k[b+4>>2];k[n+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=l;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));oa(458,n|0,l|0);v=y;y=0;if(v&1){g=24;break}$9(n);$9(o);$9(q)}b=k[u>>2]|0;if(!b){y=0;Ha(966,u|0,s|0)|0;v=y;y=0;if(v&1){g=20;break}}else{y=0;b=Ha(k[(k[b>>2]|0)+112>>2]|0,b|0,k[s>>2]|0)|0;v=y;y=0;if(v&1){g=20;break}if(b){y=0;Ha(966,u|0,s|0)|0;v=y;y=0;if(v&1){g=20;break}}}EO(s);EO(t);a=a+1|0;if(a>>>0>=j>>>0){b=u;break a}}if((g|0)==11)b=pb()|0;else if((g|0)==12){b=pb()|0;g=35}else if((g|0)==20){b=pb()|0;g=34}else if((g|0)==21){b=pb()|0;g=27}else if((g|0)==22){b=pb()|0;g=26}else if((g|0)==23){b=pb()|0;g=25}else if((g|0)==24){b=pb()|0;$9(n);g=25}if((g|0)==25){$9(o);g=26}if((g|0)==26){$9(q);g=27}if((g|0)==27)g=34;if((g|0)==34){EO(s);g=35}if((g|0)==35)EO(t);EO(u);v=b;sb(v|0)}while(0);b=k[b>>2]|0;if(!b){v=0;EO(u);r=p;return v|0}i[b+8>>0]=1;v=b;EO(u);r=p;return v|0}function xi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;w=0;x=r;r=r+64|0;m=x+44|0;u=x+32|0;n=x+28|0;v=x+24|0;j=x+20|0;o=x+16|0;p=x+12|0;q=x+8|0;s=x+4|0;t=x;l=pw(b,40,1168,0)|0;if(!l){w=0;r=x;return w|0}y=0;oa(452,m|0,a+60|0);h=y;y=0;do if(h&1){c=cb(4592,0)|0;b=N;w=14}else{y=0;oa(452,u|0,l+60|0);h=y;y=0;if(h&1){c=cb(4592,0)|0;b=N;$9(m);w=14;break}d=i[m+11>>0]|0;e=d<<24>>24<0;d=d&255;f=e?k[m+4>>2]|0:d;h=i[u+11>>0]|0;b=h<<24>>24<0;if((f|0)!=((b?k[u+4>>2]|0:h&255)|0)){$9(u);$9(m);w=0;r=x;return w|0}g=k[m>>2]|0;h=e?g:m;b=b?k[u>>2]|0:u;c=(f|0)==0;a:do if(e){if(c){$9(u);$9(m);break}h=zM(h,b,f)|0;$9(u);$9(m);if(h|0){w=0;r=x;return w|0}}else{if(c){$9(u);$9(m);break}b:do if((g&255)<<24>>24==(i[b>>0]|0)){c=m;while(1){d=d+-1|0;c=c+1|0;if(!d)break;b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0))break b}$9(u);$9(m);break a}while(0);$9(u);$9(m);w=0;r=x;return w|0}while(0);f=a+72|0;y=0;oa(464,j|0,f|0);a=y;y=0;if(a&1){c=cb(4592,0)|0;b=N;break}c=k[j>>2]|0;k[o>>2]=c;b=k[c+68>>2]|0;c=k[c+64>>2]|0;e=l+72|0;y=0;oa(464,n|0,e|0);l=y;y=0;if(l&1){c=cb(4592,0)|0;b=N;EO(o);break}n=k[n>>2]|0;k[p>>2]=n;n=(b-c|0)==((k[n+68>>2]|0)-(k[n+64>>2]|0)|0);EO(p);EO(o);if(!n){w=0;r=x;return w|0}y=0;oa(464,m|0,f|0);p=y;y=0;if(p&1){c=cb(4592,0)|0;b=N;break}d=k[m>>2]|0;k[q>>2]=d;d=(k[d+68>>2]|0)-(k[d+64>>2]|0)>>2;EO(q);if(!d){w=1;r=x;return w|0}b=0;while(1){y=0;oa(464,u|0,f|0);w=y;y=0;if(w&1){w=31;break}c=k[u>>2]|0;k[s>>2]=c;c=k[(k[c+64>>2]|0)+(b<<2)>>2]|0;y=0;oa(464,v|0,e|0);w=y;y=0;if(w&1){w=32;break}w=k[v>>2]|0;k[t>>2]=w;w=(c|0)!=0^(k[(k[w+64>>2]|0)+(b<<2)>>2]|0)!=0;EO(t);EO(s);b=b+1|0;if(w){b=0;w=33;break}if(b>>>0>=d>>>0){b=1;w=33;break}}if((w|0)==31){c=cb(4592,0)|0;b=N;break}else if((w|0)==32){c=cb(4592,0)|0;b=N;EO(s);break}else if((w|0)==33){r=x;return b|0}}while(0);w=(b|0)==(ob(4592)|0);vb(c|0)|0;if(w){rb();w=0;r=x;return w|0}y=0;la(4);y=0;b=pb()|0;y=0;la(3);x=y;y=0;if(x&1){x=tb(0)|0;dla(x)}else sb(b|0);return 0}function yi(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;s=0;p=r;r=r+128|0;n=p+40|0;o=p;q=p+104|0;g=p+92|0;m=p+80|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,36644,5);y=0;h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));c=sa(25,m|0,a|0,d|0,n|0,f|0)|0;l=y;y=0;if(l&1)s=12;else{y=0;oa(452,g|0,c+64|0);l=y;y=0;if(l&1)s=12;else{y=0;ma(5,o|0,g|0,0,0,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(552,q|0,o|0);l=y;y=0;if(l&1){c=pb()|0;$9(o);break}$9(o);$9(g);$9(m);k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;c=q+11|0;g=i[c>>0]|0;g=g<<24>>24<0?k[q+4>>2]|0:g&255;y=0;Ra(10,n|0,38660,1,g+1|0);m=y;y=0;do if(m&1)s=17;else{y=0;ta(47,n|0,((i[c>>0]|0)<0?k[q>>2]|0:q)|0,g|0)|0;m=y;y=0;if(m&1)s=17;else{y=0;c=Ha(989,b|0,n|0)|0;b=y;y=0;if(b&1){c=pb()|0;$9(n);s=19;break}$9(n);if(c){y=0;c=qa(332,68)|0;b=y;y=0;if(!(b&1)){h=o;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,c|0);e=y;y=0;if(e&1){e=pb()|0;zqa(c);c=e;break}h=c+12|0;j=o;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=9208;i[c+60>>0]=1;k[c+64>>2]=0;k[c+56>>2]=1;s=c;$9(q);r=p;return s|0}}else{y=0;c=qa(332,68)|0;o=y;y=0;if(!(o&1)){h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,c|0);e=y;y=0;if(e&1){e=pb()|0;zqa(c);c=e;break}h=c+12|0;j=n;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=9208;i[c+60>>0]=0;k[c+64>>2]=0;k[c+56>>2]=1;s=c;$9(q);r=p;return s|0}}c=pb()|0}}while(0);if((s|0)==17){c=pb()|0;$9(n);s=19}$9(q);s=c;sb(s|0)}while(0);$9(g)}}if((s|0)==12)c=pb()|0;$9(m);s=c;sb(s|0);return 0}function zi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;o=0;s=r;r=r+16|0;n=s;p=b+11|0;q=b+4|0;d=0;while(1){c=i[p>>0]|0;if(c<<24>>24<0){e=k[q>>2]|0;m=k[b>>2]|0}else{e=c&255;m=b}if(e>>>0<d>>>0|(e-d|0)>>>0<3)break;d=m+d|0;l=m+e|0;e=d;h=l;a:do if((h-e|0)<3)e=h;else{j=l+-2|0;if((j|0)==(d|0))e=h;else while(1){while(1){if((i[d>>0]|0)==47){f=38889;g=d;break}d=d+1|0;if((d|0)==(j|0)){e=h;break a}else e=d}do{f=f+1|0;if((f|0)==38892)break a;g=g+1|0}while((i[g>>0]|0)==(i[f>>0]|0));d=d+1|0;if((d|0)==(j|0)){e=h;break}else e=d}}while(0);d=e-m|0;if((e|0)==(l|0)|(d|0)==-1)break;VD(b,d,2)|0}d=n+11|0;e=n+4|0;while(1){if(c<<24>>24<0)c=k[q>>2]|0;else c=c&255;if(c>>>0<=1)break;XG(n,b,0,2,b);m=i[d>>0]|0;if(((m<<24>>24<0?k[e>>2]|0:m&255)|0)!=2){o=23;break}y=0;c=sa(21,n|0,0,-1,38893,2)|0;m=y;y=0;if(m&1){o=25;break}$9(n);if(c|0)break;VD(b,0,2)|0;c=i[p>>0]|0}if((o|0)==23)$9(n);else if((o|0)==25){m=tb(0)|0;dla(m)}e=n+11|0;f=n+4|0;while(1){c=i[p>>0]|0;if(c<<24>>24<0)c=k[q>>2]|0;else c=c&255;if(c>>>0<=1)break;c=c+-2|0;XG(n,b,c,-1,b);m=i[e>>0]|0;if(((m<<24>>24<0?k[f>>2]|0:m&255)|0)!=2){o=33;break}y=0;d=sa(21,n|0,0,-1,38896,2)|0;m=y;y=0;if(m&1){o=35;break}$9(n);if(d|0)break;VD(b,c,-1)|0}if((o|0)==33)$9(n);else if((o|0)==35){o=tb(0)|0;dla(o)}c=(i[p>>0]|0)<0;if(c)d=k[b>>2]|0;else d=b;if(!(i[d>>0]|0))d=0;else{if(c)c=k[b>>2]|0;else c=b;if(oia(c)|0){c=0;while(1){f=(i[p>>0]|0)<0;if(f)d=k[b>>2]|0;else d=b;if(!(i[d+c>>0]|0))break;e=c+1|0;if(f)d=k[b>>2]|0;else d=b;if(Iaa(d+c|0)|0)c=e;else{c=e;break}}if(!c)d=0;else{if((i[p>>0]|0)<0)d=k[b>>2]|0;else d=b;d=((i[d+c>>0]|0)==58&1)+c|0}}else d=0}c=i[p>>0]|0;if(c<<24>>24<0){f=k[b>>2]|0;while(1){e=d+1|0;if((i[f+d>>0]|0)==47)d=e;else break}}else while(1){e=d+1|0;if((i[b+d>>0]|0)==47)d=e;else break}while(1){if(c<<24>>24<0){c=k[q>>2]|0;l=k[b>>2]|0}else{c=c&255;l=b}if(c>>>0<e>>>0|(c-e|0)>>>0<2){o=72;break}d=l+e|0;j=l+c|0;c=d;g=j;b:do if((g-c|0)<2)c=g;else{h=j+-1|0;if((h|0)==(d|0))c=g;else while(1){while(1){if((i[d>>0]|0)==47){e=45696;f=d;break}d=d+1|0;if((d|0)==(h|0)){c=g;break b}else c=d}do{e=e+1|0;if((e|0)==45698)break b;f=f+1|0}while((i[f>>0]|0)==(i[e>>0]|0));d=d+1|0;if((d|0)==(h|0)){c=g;break}else c=d}}while(0);e=c-l|0;if((c|0)==(j|0)|(e|0)==-1){o=72;break}VD(b,e,1)|0;c=i[p>>0]|0}if((o|0)==72){k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;r=s;return}}function Ai(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;s=0;p=r;r=r+128|0;n=p+40|0;o=p;q=p+104|0;g=p+92|0;m=p+80|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,36644,5);y=0;h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));c=sa(25,m|0,a|0,d|0,n|0,f|0)|0;l=y;y=0;if(l&1)s=12;else{y=0;oa(452,g|0,c+64|0);l=y;y=0;if(l&1)s=12;else{y=0;ma(5,o|0,g|0,0,0,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(552,q|0,o|0);l=y;y=0;if(l&1){c=pb()|0;$9(o);break}$9(o);$9(g);$9(m);k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;c=q+11|0;g=i[c>>0]|0;g=g<<24>>24<0?k[q+4>>2]|0:g&255;y=0;Ra(10,n|0,38660,1,g+1|0);m=y;y=0;do if(m&1)s=17;else{y=0;ta(47,n|0,((i[c>>0]|0)<0?k[q>>2]|0:q)|0,g|0)|0;m=y;y=0;if(m&1)s=17;else{y=0;c=Ha(988,b|0,n|0)|0;b=y;y=0;if(b&1){c=pb()|0;$9(n);s=19;break}$9(n);if(c){y=0;c=qa(332,68)|0;b=y;y=0;if(!(b&1)){h=o;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,c|0);e=y;y=0;if(e&1){e=pb()|0;zqa(c);c=e;break}h=c+12|0;j=o;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=9208;i[c+60>>0]=1;k[c+64>>2]=0;k[c+56>>2]=1;s=c;$9(q);r=p;return s|0}}else{y=0;c=qa(332,68)|0;o=y;y=0;if(!(o&1)){h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,c|0);e=y;y=0;if(e&1){e=pb()|0;zqa(c);c=e;break}h=c+12|0;j=n;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=9208;i[c+60>>0]=0;k[c+64>>2]=0;k[c+56>>2]=1;s=c;$9(q);r=p;return s|0}}c=pb()|0}}while(0);if((s|0)==17){c=pb()|0;$9(n);s=19}$9(q);s=c;sb(s|0)}while(0);$9(g)}}if((s|0)==12)c=pb()|0;$9(m);s=c;sb(s|0);return 0}function Bi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;n=0;j=r;r=r+64|0;g=j+40|0;e=j+28|0;l=j+16|0;f=j+8|0;h=j;pK(e,76508);y=0;oa(629,a|0,e|0);o=y;y=0;do if(o&1)b=pb()|0;else{k[a>>2]=14076;o=a+8|0;y=0;oa(452,o|0,e|0);m=y;y=0;if(m&1){b=pb()|0;cda(a);break}$9(e);k[a>>2]=15692;k[a+20>>2]=b;k[a+24>>2]=c;m=a+28|0;y=0;oa(452,m|0,d|0);e=y;y=0;if(e&1)b=pb()|0;else{y=0;Ha(1006,o|0,47276)|0;e=y;y=0;a:do if(e&1)n=19;else{e=k[(k[b>>2]|0)+28>>2]|0;k[f>>2]=0;k[f+4>>2]=5;y=0;k[g>>2]=k[f>>2];k[g+4>>2]=k[f+4>>2];Na(e|0,l|0,b|0,g|0);f=y;y=0;do if(f&1)b=pb()|0;else{f=i[l+11>>0]|0;e=f<<24>>24<0;y=0;ta(47,o|0,(e?k[l>>2]|0:l)|0,(e?k[l+4>>2]|0:f&255)|0)|0;f=y;y=0;if(f&1){b=pb()|0;$9(l);break}$9(l);k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;b=d+11|0;e=i[b>>0]|0;e=e<<24>>24<0?k[d+4>>2]|0:e&255;y=0;Ra(10,l|0,47081,1,e+1|0);f=y;y=0;if(f&1)n=23;else{y=0;ta(47,l|0,((i[b>>0]|0)<0?k[d>>2]|0:d)|0,e|0)|0;d=y;y=0;if(d&1)n=23;else{y=0;b=Ha(970,l|0,47081)|0;d=y;y=0;do if(d&1)b=pb()|0;else{k[g>>2]=k[b>>2];k[g+4>>2]=k[b+4>>2];k[g+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;d=i[g+11>>0]|0;f=d<<24>>24<0;y=0;ta(47,o|0,(f?k[g>>2]|0:g)|0,(f?k[g+4>>2]|0:d&255)|0)|0;d=y;y=0;if(d&1){b=pb()|0;$9(g);break}$9(g);$9(l);d=k[(k[c>>2]|0)+28>>2]|0;k[h>>2]=0;k[h+4>>2]=5;y=0;k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];Na(d|0,l|0,c|0,g|0);h=y;y=0;do if(h&1)b=pb()|0;else{h=i[l+11>>0]|0;c=h<<24>>24<0;y=0;ta(47,o|0,(c?k[l>>2]|0:l)|0,(c?k[l+4>>2]|0:h&255)|0)|0;h=y;y=0;if(h&1){b=pb()|0;$9(l);break}$9(l);y=0;Ha(970,o|0,50724)|0;n=y;y=0;if(n&1){n=19;break a}r=j;return}while(0);break a}while(0);$9(l)}}if((n|0)==23){b=pb()|0;$9(l)}break a}while(0)}while(0);if((n|0)==19)b=pb()|0;$9(m)}k[a>>2]=14076;$9(o);cda(a);o=b;sb(o|0)}while(0);$9(e);o=b;sb(o|0)}function Ci(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;s=0;p=r;r=r+128|0;m=p+40|0;o=p;q=p+104|0;g=p+92|0;n=p+80|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;jI(n,36644,5);y=0;h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));c=sa(25,n|0,a|0,d|0,m|0,f|0)|0;l=y;y=0;if(l&1)s=12;else{y=0;oa(452,g|0,c+64|0);l=y;y=0;if(l&1)s=12;else{y=0;ma(5,o|0,g|0,0,0,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(552,q|0,o|0);l=y;y=0;if(l&1){c=pb()|0;$9(o);break}$9(o);$9(g);$9(n);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;n=i[q+11>>0]|0;l=n<<24>>24<0;n=l?k[q+4>>2]|0:n&255;y=0;Ra(10,m|0,(l?k[q>>2]|0:q)|0,n|0,n+3|0);n=y;y=0;do if(n&1)s=17;else{y=0;ta(47,m|0,42903,3)|0;n=y;y=0;if(n&1)s=17;else{y=0;c=Ha(989,b|0,m|0)|0;n=y;y=0;if(n&1){c=pb()|0;$9(m);s=19;break}$9(m);if(c){y=0;c=qa(332,68)|0;n=y;y=0;if(!(n&1)){h=o;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,c|0);e=y;y=0;if(e&1){e=pb()|0;zqa(c);c=e;break}h=c+12|0;j=o;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=9208;i[c+60>>0]=1;k[c+64>>2]=0;k[c+56>>2]=1;s=c;$9(q);r=p;return s|0}}else{y=0;c=qa(332,68)|0;o=y;y=0;if(!(o&1)){h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,c|0);e=y;y=0;if(e&1){e=pb()|0;zqa(c);c=e;break}h=c+12|0;j=m;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=9208;i[c+60>>0]=0;k[c+64>>2]=0;k[c+56>>2]=1;s=c;$9(q);r=p;return s|0}}c=pb()|0}}while(0);if((s|0)==17){c=pb()|0;$9(m);s=19}$9(q);s=c;sb(s|0)}while(0);$9(g)}}if((s|0)==12)c=pb()|0;$9(n);s=c;sb(s|0);return 0}function Di(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;s=0;p=r;r=r+128|0;m=p+40|0;o=p;q=p+104|0;g=p+92|0;n=p+80|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;jI(n,36644,5);y=0;h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));c=sa(25,n|0,a|0,d|0,m|0,f|0)|0;l=y;y=0;if(l&1)s=12;else{y=0;oa(452,g|0,c+64|0);l=y;y=0;if(l&1)s=12;else{y=0;ma(5,o|0,g|0,0,0,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(552,q|0,o|0);l=y;y=0;if(l&1){c=pb()|0;$9(o);break}$9(o);$9(g);$9(n);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;n=i[q+11>>0]|0;l=n<<24>>24<0;n=l?k[q+4>>2]|0:n&255;y=0;Ra(10,m|0,(l?k[q>>2]|0:q)|0,n|0,n+3|0);n=y;y=0;do if(n&1)s=17;else{y=0;ta(47,m|0,42777,3)|0;n=y;y=0;if(n&1)s=17;else{y=0;c=Ha(989,b|0,m|0)|0;n=y;y=0;if(n&1){c=pb()|0;$9(m);s=19;break}$9(m);if(c){y=0;c=qa(332,68)|0;n=y;y=0;if(!(n&1)){h=o;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,c|0);e=y;y=0;if(e&1){e=pb()|0;zqa(c);c=e;break}h=c+12|0;j=o;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=9208;i[c+60>>0]=1;k[c+64>>2]=0;k[c+56>>2]=1;s=c;$9(q);r=p;return s|0}}else{y=0;c=qa(332,68)|0;o=y;y=0;if(!(o&1)){h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,c|0);e=y;y=0;if(e&1){e=pb()|0;zqa(c);c=e;break}h=c+12|0;j=m;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=9208;i[c+60>>0]=0;k[c+64>>2]=0;k[c+56>>2]=1;s=c;$9(q);r=p;return s|0}}c=pb()|0}}while(0);if((s|0)==17){c=pb()|0;$9(m);s=19}$9(q);s=c;sb(s|0)}while(0);$9(g)}}if((s|0)==12)c=pb()|0;$9(n);s=c;sb(s|0);return 0}function Ei(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;j=0;v=r;r=r+32|0;w=v+12|0;s=v;t=v+24|0;u=b+11|0;g=i[u>>0]|0;f=g<<24>>24<0;h=b+4|0;g=f?k[h>>2]|0:g&255;if(g>>>0<2){pK(a,b);r=v;return}f=f?k[b>>2]|0:b;switch(i[f>>0]|0){case 34:{if((i[f+g+-1>>0]|0)==34)q=34;else j=6;break}case 39:{if((i[f+g+-1>>0]|0)==39)q=39;else j=6;break}default:j=6}if((j|0)==6){pK(a,b);r=v;return}k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;oa(506,w|0,g+-2|0);p=y;y=0;a:do if(!(p&1)){g=i[u>>0]|0;n=(g<<24>>24<0?k[h>>2]|0:g&255)+-1|0;do if(n>>>0>1){o=q&255;p=s+11|0;f=1;h=0;b:while(1){l=g<<24>>24<0?k[b>>2]|0:b;g=i[l+f>>0]|0;do if(h|g<<24>>24!=92){if(e&(h^1)&(g<<24>>24|0)==(o|0)){j=33;break b}y=0;oa(461,w|0,g|0);m=y;y=0;if(m&1){j=16;break b}else g=0}else{m=f+1|0;c:do if(m>>>0<n>>>0){h=1;g=m;do{j=i[l+g>>0]|0;if(!(j<<24>>24))break c;if(!(Kia(j<<24>>24)|0))break c;h=h+1|0;g=h+f|0}while(g>>>0<n>>>0)}else{h=1;g=m}while(0);if(d){y=0;oa(461,w|0,92);m=y;y=0;if(m&1){j=19;break b}else{g=1;break}}if(h>>>0>1){y=0;ma(4,s|0,b|0,m|0,h+-1|0,b|0);m=y;y=0;if(m&1){j=19;break b}m=zda((i[p>>0]|0)<0?k[s>>2]|0:s,0,16)|0;$9(s);l=(i[((i[u>>0]|0)<0?k[b>>2]|0:b)+g>>0]|0)==32&1;i[t>>0]=0;i[t+1>>0]=0;i[t+2>>0]=0;i[t+3>>0]=0;i[t+4>>0]=0;y=0;Ha(993,((m|0)==0?65533:m)|0,t|0)|0;m=y;y=0;if(m&1){j=27;break b}g=i[t>>0]|0;if(g<<24>>24){j=0;do{y=0;oa(461,w|0,g|0);m=y;y=0;if(m&1){j=30;break b}j=j+1|0;g=i[t+j>>0]|0}while(j>>>0<5&g<<24>>24!=0)}f=f+-1+h+l|0;g=0}else g=1}while(0);f=f+1|0;if(f>>>0>=n>>>0){j=37;break}h=g;g=i[u>>0]|0}if((j|0)==16){f=pb()|0;j=18}else if((j|0)==19){v=pb()|0;$9(w);sb(v|0)}else if((j|0)==27){f=pb()|0;j=31}else if((j|0)==30){f=pb()|0;j=31}else if((j|0)==33){y=0;oa(452,a|0,b|0);u=y;y=0;if(!(u&1))break;f=pb()|0;j=18}else if((j|0)==37){if(!g){j=39;break}y=0;oa(452,a|0,b|0);u=y;y=0;if(u&1)break a;else break}if((j|0)==18){v=f;$9(w);sb(v|0)}else if((j|0)==31){v=f;$9(w);sb(v|0)}}else j=39;while(0);if((j|0)==39){if(c|0)i[c>>0]=q;k[a>>2]=k[w>>2];k[a+4>>2]=k[w+4>>2];k[a+8>>2]=k[w+8>>2];k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0}$9(w);r=v;return}while(0);v=pb()|0;$9(w);sb(v|0)}function Fi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=r;r=r+336|0;j=s+288|0;t=s+80|0;e=s+248|0;q=s+64|0;p=s+16|0;l=s+24|0;o=s+4|0;m=s;jN(e,35061,0,-1);d=j;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));ql(t,a,c,j,0);y=0;ta(55,t|0,1,0)|0;n=y;y=0;a:do if(n&1)g=pb()|0;else{f=k[t+156>>2]|0;g=k[t+160>>2]|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;h=g-f|0;if(h>>>0>4294967279){y=0;na(377,j|0);n=y;y=0;if(n&1)n=29;else n=6}else if(h>>>0<11){i[j+11>>0]=h;c=j;n=8}else n=6;if((n|0)==6){d=h+16&-16;y=0;c=qa(332,d|0)|0;n=y;y=0;if(n&1)n=29;else{k[j>>2]=c;k[j+8>>2]=d|-2147483648;k[j+4>>2]=h;n=8}}do if((n|0)==8){if((f|0)!=(g|0)){e=c;d=f;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(g|0))break;else e=e+1|0}c=c+h|0}i[c>>0]=0;y=0;oa(552,q|0,j|0);h=y;y=0;if(h&1){c=pb()|0;$9(j);break}$9(j);y=0;c=qa(350,t|0)|0;h=y;y=0;if(h&1)c=pb()|0;else{k[p>>2]=c;y=0;g=qa(332,112)|0;h=y;y=0;if(h&1)c=pb()|0;else{y=0;Ra(16,l|0,35061,0,-1);h=y;y=0;if(h&1)n=34;else{y=0;oa(452,o|0,q|0);h=y;y=0;if(h&1)n=34;else{y=0;oa(464,m|0,p|0);h=y;y=0;do if(h&1)c=pb()|0;else{y=0;d=j;e=l;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Ea(1,g|0,j|0,a|0,o|0,m|0,b|0,0);l=y;y=0;if(l&1){c=pb()|0;EO(m);break}EO(m);$9(o);EO(p);$9(q);c=k[t+56>>2]|0;d=c;if(c|0){e=t+60|0;f=k[e>>2]|0;if((f|0)!=(c|0))k[e>>2]=f+(~((f+-4-d|0)>>>2)<<2);zqa(c)}f=t+44|0;c=k[f>>2]|0;if(!c){r=s;return g|0}e=t+48|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{t=d+-4|0;k[e>>2]=t;EO(t);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c);r=s;return g|0}while(0);$9(o)}}if((n|0)==34)c=pb()|0;zqa(g)}EO(p)}$9(q);g=c;break a}else if((n|0)==29)c=pb()|0;while(0);g=c}while(0);c=k[t+56>>2]|0;d=c;if(c|0){e=t+60|0;f=k[e>>2]|0;if((f|0)!=(c|0))k[e>>2]=f+(~((f+-4-d|0)>>>2)<<2);zqa(c)}f=t+44|0;c=k[f>>2]|0;if(!c)sb(g|0);e=t+48|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{t=d+-4|0;k[e>>2]=t;EO(t);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c);sb(g|0);return 0}function Gi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;d=0;q=r;r=r+96|0;p=q+84|0;f=q+72|0;g=q+60|0;j=q+36|0;l=q+24|0;m=q+48|0;o=q+12|0;n=q;h=a+100|0;do if(!(i[h>>0]|0))d=6;else{c=a+72|0;e=i[c+11>>0]|0;if(((e<<24>>24<0?k[a+76>>2]|0:e&255)|0)==1){y=0;c=sa(21,c|0,0,-1,44238,1)|0;e=y;y=0;if(e&1){l=tb(0)|0;dla(l)}else if(!c){d=6;break}else break}}while(0);a:do if((d|0)==6){e=b+100|0;do if(i[e>>0]|0){c=b+72|0;d=i[c+11>>0]|0;if(((d<<24>>24<0?k[b+76>>2]|0:d&255)|0)==1){y=0;c=sa(21,c|0,0,-1,44238,1)|0;d=y;y=0;if(d&1){o=tb(0)|0;dla(o)}else if(!c)break a;else break}}while(0);c=a+84|0;pK(p,c);o=i[p+11>>0]|0;do if(((o<<24>>24<0?k[p+4>>2]|0:o&255)|0)==1){y=0;d=sa(21,p|0,0,-1,44238,1)|0;o=y;y=0;if(o&1){o=tb(0)|0;dla(o)}$9(p);if(!d){pK(g,b+84|0);y=0;c=Ha(967,c|0,g|0)|0;p=y;y=0;if(!(p&1)){y=0;oa(452,f|0,c|0);p=y;y=0;if(!(p&1)){$9(f);$9(g);break}}a=pb()|0;$9(g);sb(a|0)}}else $9(p);while(0);pK(l,b+72|0);y=0;c=Ha(967,a+72|0,l|0)|0;p=y;y=0;if(!(p&1)){y=0;oa(452,j|0,c|0);p=y;y=0;if(!(p&1)){$9(j);$9(l);i[h>>0]=i[e>>0]|0;r=q;return a|0}}a=pb()|0;$9(l);sb(a|0)}while(0);e=a+84|0;pK(p,e);l=i[p+11>>0]|0;if(((l<<24>>24<0?k[p+4>>2]|0:l&255)|0)==1){y=0;c=sa(21,p|0,0,-1,44238,1)|0;l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}if(!c){d=b+84|0;y=0;oa(452,m|0,d|0);b=y;y=0;if(b&1){a=pb()|0;$9(p);sb(a|0)}b=i[m+11>>0]|0;if(((b<<24>>24<0?k[m+4>>2]|0:b&255)|0)==1){y=0;c=sa(21,m|0,0,-1,44238,1)|0;b=y;y=0;if(b&1){b=tb(0)|0;dla(b)}$9(m);$9(p);if(!c){r=q;return a|0}}else{$9(m);$9(p)}pK(n,d);y=0;c=Ha(967,e|0,n|0)|0;p=y;y=0;if(!(p&1)){y=0;oa(452,o|0,c|0);p=y;y=0;if(!(p&1)){$9(o);$9(n);r=q;return a|0}}a=pb()|0;$9(n);sb(a|0)}}$9(p);r=q;return a|0}function Hi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;E=0;C=r;r=r+80|0;B=C+16|0;D=C+68|0;x=C+8|0;z=C+56|0;A=C;F=ZL(108)|0;d=B;e=a+12|0;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;na(366,F|0);w=y;y=0;do if(w&1)d=pb()|0;else{d=F+12|0;e=B;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));i[F+52>>0]=0;i[F+53>>0]=0;i[F+54>>0]=0;k[F>>2]=11396;i[F+60>>0]=0;i[F+61>>0]=0;i[F+62>>0]=0;k[F+64>>2]=0;k[F+68>>2]=0;k[F+56>>2]=7;d=F+72|0;k[d>>2]=13580;g=F+76|0;h=F+80|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(516,g|0,0);w=y;y=0;if(w&1){d=pb()|0;a=N;e=k[g>>2]|0;if(e|0){f=k[h>>2]|0;if((f|0)!=(e|0)){do{E=f+-4|0;k[h>>2]=E;EO(E);f=k[h>>2]|0}while((f|0)!=(e|0));e=k[g>>2]|0}zqa(e)}break}k[F>>2]=13364;k[d>>2]=13540;e=F+96|0;k[e>>2]=0;k[F+100>>2]=0;k[F+92>>2]=e;i[F+104>>0]=0;i[F+105>>0]=0;e=k[a+76>>2]|0;w=(k[a+80>>2]|0)-e>>2;if(!w){r=C;return F|0}v=a+76|0;s=c+16|0;t=b+76|0;u=b+80|0;m=b+76|0;n=D+11|0;o=D+4|0;p=z+11|0;q=z+4|0;d=0;a:while(1){f=k[e+(d<<2)>>2]|0;l=k[(k[f>>2]|0)+28>>2]|0;c=k[s>>2]|0;b=k[c+4>>2]|0;j=x;k[j>>2]=k[c>>2];k[j+4>>2]=b;k[B>>2]=k[x>>2];k[B+4>>2]=k[x+4>>2];Lc[l&255](D,f,B);f=k[t>>2]|0;l=(k[u>>2]|0)-f>>2;b:do if(!l)E=30;else{e=0;c:while(1){j=k[f+(e<<2)>>2]|0;b=k[(k[j>>2]|0)+28>>2]|0;g=k[s>>2]|0;h=k[g+4>>2]|0;c=A;k[c>>2]=k[g>>2];k[c+4>>2]=h;y=0;k[B>>2]=k[A>>2];k[B+4>>2]=k[A+4>>2];Na(b|0,z|0,j|0,B|0);j=y;y=0;if(j&1){E=27;break a}g=i[n>>0]|0;h=g<<24>>24<0;g=g&255;c=h?k[o>>2]|0:g;j=i[p>>0]|0;f=j<<24>>24<0;do if((c|0)==((f?k[q>>2]|0:j&255)|0)){b=k[D>>2]|0;j=h?b:D;f=f?k[z>>2]|0:z;a=(c|0)==0;if(h){if(a)break c;j=(zM(j,f,c)|0)==0;$9(z);if(j)break b;else break}if(a)break c;if((b&255)<<24>>24==(i[f>>0]|0)){a=D;while(1){g=g+-1|0;a=a+1|0;if(!g)break c;f=f+1|0;if((i[a>>0]|0)!=(i[f>>0]|0)){E=25;break}}}else E=25}else E=25;while(0);if((E|0)==25){E=0;$9(z)}e=e+1|0;if(e>>>0>=l>>>0){E=30;break b}f=k[m>>2]|0}$9(z)}while(0);if((E|0)==30){E=0;y=0;oa(514,F|0,k[(k[v>>2]|0)+(d<<2)>>2]|0);l=y;y=0;if(l&1){E=31;break}}$9(D);d=d+1|0;if(d>>>0>=w>>>0){E=11;break}e=k[v>>2]|0}if((E|0)==11){r=C;return F|0}else if((E|0)==27)d=pb()|0;else if((E|0)==31)d=pb()|0;$9(D);F=d;sb(F|0)}while(0);zqa(F);F=d;sb(F|0);return 0}function Ii(a){a=a|0;if((cc|0)!=2){k[dc+8>>2]=a;if((cc|0)==1)cc=3}Qc(fc+48072|0);return k[dc>>2]|0}function Ji(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;g=r;r=r+176|0;l=g+152|0;n=g+8|0;f=g;b=Fi(b,c,a)|0;m=n+64|0;a=n+8|0;k[a>>2]=14400;j=n+12|0;k[n>>2]=14440;k[m>>2]=14460;k[n+4>>2]=0;y=0;oa(528,n+64|0,j|0);h=y;y=0;if(h&1){n=pb()|0;dja(m);sb(n|0)}k[n+136>>2]=0;k[n+140>>2]=-1;k[n>>2]=14380;k[m>>2]=14420;k[a>>2]=14400;y=0;na(373,j|0);h=y;y=0;do if(h&1)a=pb()|0;else{k[j>>2]=14240;h=n+44|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[n+60>>2]=24;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;oa(529,j|0,l|0);c=y;y=0;if(c&1){a=pb()|0;$9(l);$9(h);nba(j);break}$9(l);y=0;oa(452,l|0,b+68|0);c=y;y=0;if(c&1){b=pb()|0;a=n+8|0}else{c=n+8|0;a=i[l+11>>0]|0;o=a<<24>>24<0;y=0;a=ta(54,c|0,(o?k[l>>2]|0:l)|0,(o?k[l+4>>2]|0:a&255)|0)|0;o=y;y=0;if(!(o&1)){y=0;a=ta(54,a|0,42903,3)|0;o=y;y=0;if(!(o&1)){y=0;Ha(972,a|0,d|0)|0;o=y;y=0;if(!(o&1)){$9(l);k[b+84>>2]=e;y=0;oa(530,l|0,j|0);o=y;y=0;if(o&1)a=pb()|0;else{y=0;a=Ha(971,e|0,l|0)|0;o=y;y=0;if(o&1)a=pb()|0;else{y=0;oa(482,f|0,b|0);o=y;y=0;do if(o&1)a=pb()|0;else{y=0;Ha(966,a|0,f|0)|0;o=y;y=0;if(o&1){a=pb()|0;EO(f);break}else{EO(f);$9(l);k[n>>2]=14380;k[m>>2]=14420;k[c>>2]=14400;k[j>>2]=14240;$9(h);nba(j);zka(n,14472);dja(m);r=g;return}}while(0)}$9(l)}o=a;l=c;k[n>>2]=14380;k[m>>2]=14420;k[l>>2]=14400;k[j>>2]=14240;$9(h);nba(j);zka(n,14472);dja(m);sb(o|0)}}}b=pb()|0;$9(l);a=c}o=b;l=a;k[n>>2]=14380;k[m>>2]=14420;k[l>>2]=14400;k[j>>2]=14240;$9(h);nba(j);zka(n,14472);dja(m);sb(o|0)}while(0);zka(n,14472);o=a;dja(m);sb(o|0)}function Ki(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;q=r;r=r+48|0;p=q+32|0;h=q+28|0;g=q+24|0;j=q+20|0;i=q+16|0;m=q+12|0;l=q+8|0;s=q+4|0;o=q;n=rk(a,b,c,d,f)|0;rT(h,e);y=0;oa(464,g|0,d|0);f=y;y=0;do if(f&1)f=pb()|0;else{y=0;f=Ha(968,k[h>>2]|0,k[g>>2]|0)|0;t=y;y=0;if(t&1){f=pb()|0;EO(g);break}EO(g);EO(h);if(!f){t=n;r=q;return t|0}rT(p,d);y=0;Ha(966,d|0,e|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}y=0;Ha(966,e|0,p|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}EO(p);f=n+1|0;rT(j,d);y=0;oa(464,i|0,c|0);t=y;y=0;do if(t&1)f=pb()|0;else{y=0;e=Ha(968,k[j>>2]|0,k[i>>2]|0)|0;t=y;y=0;if(t&1){f=pb()|0;EO(i);break}EO(i);EO(j);if(!e){t=f;r=q;return t|0}rT(p,c);y=0;Ha(966,c|0,d|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}y=0;Ha(966,d|0,p|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}EO(p);f=n+2|0;rT(m,c);y=0;oa(464,l|0,b|0);t=y;y=0;do if(t&1)f=pb()|0;else{y=0;e=Ha(968,k[m>>2]|0,k[l>>2]|0)|0;t=y;y=0;if(t&1){f=pb()|0;EO(l);break}EO(l);EO(m);if(!e){t=f;r=q;return t|0}rT(p,b);y=0;Ha(966,b|0,c|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}y=0;Ha(966,c|0,p|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}EO(p);f=n+3|0;rT(s,b);y=0;oa(464,o|0,a|0);t=y;y=0;do if(t&1)f=pb()|0;else{y=0;e=Ha(968,k[s>>2]|0,k[o>>2]|0)|0;t=y;y=0;if(t&1){f=pb()|0;EO(o);break}EO(o);EO(s);if(!e){t=f;r=q;return t|0}rT(p,a);y=0;Ha(966,a|0,b|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}y=0;Ha(966,b|0,p|0)|0;t=y;y=0;if(t&1){t=pb()|0;EO(p);sb(t|0)}EO(p);t=n+4|0;r=q;return t|0}while(0);EO(s);t=f;sb(t|0)}while(0);EO(m);t=f;sb(t|0)}while(0);EO(j);t=f;sb(t|0)}while(0);EO(h);t=f;sb(t|0);return 0}function Li(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;v=r;r=r+32|0;q=v+4|0;g=v;s=a+8|0;c=k[s>>2]|0;t=a+4|0;d=k[t>>2]|0;e=c-d|0;p=e>>2;u=a+16|0;b=k[u>>2]|0;if((((p|0)==0?0:(p*170|0)+-1|0)-((k[a+20>>2]|0)+b)|0)>>>0>169){k[u>>2]=b+170;u=c+-4|0;k[q>>2]=k[u>>2];k[s>>2]=u;Gt(a,q);r=v;return}o=a+12|0;b=k[a>>2]|0;c=(k[o>>2]|0)-b|0;if(e>>>0<c>>>0){if((d|0)==(b|0)){p=ZL(4080)|0;k[q>>2]=p;jv(a,q);p=(k[s>>2]|0)+-4|0;k[q>>2]=k[p>>2];k[s>>2]=p;Gt(a,q)}else{p=ZL(4080)|0;k[q>>2]=p;Ht(a,q)}if(((k[s>>2]|0)-(k[t>>2]|0)|0)==4)b=85;else b=(k[u>>2]|0)+170|0;k[u>>2]=b;r=v;return}b=c>>1;b=(b|0)==0?1:b;k[q+12>>2]=0;k[q+16>>2]=a+12;if(b>>>0>1073741823){v=gb(4)|0;doa(v);Wb(v|0,4496,348)}m=ZL(b<<2)|0;k[q>>2]=m;p=q+8|0;k[p>>2]=m;n=q+4|0;k[n>>2]=m;f=q+12|0;k[f>>2]=m+(b<<2);y=0;b=qa(332,4080)|0;m=y;y=0;a:do if(m&1)d=pb()|0;else{k[g>>2]=b;y=0;oa(519,q|0,g|0);m=y;y=0;if(m&1){d=pb()|0;zqa(b);break}c=k[t>>2]|0;b=k[s>>2]|0;do if((c|0)==(b|0)){i=b;g=n;h=p;d=q;e=c;b=k[p>>2]|0}else{m=k[p>>2]|0;b:while(1){l=k[f>>2]|0;b=l;h=m;do if((m|0)==(l|0)){l=k[n>>2]|0;j=k[q>>2]|0;d=j;if(l>>>0>j>>>0){b=l;e=((b-d>>2)+1|0)/-2|0;g=l+(e<<2)|0;b=h-b|0;d=b>>2;if(!d)b=l;else{DN(g|0,l|0,b|0)|0;b=k[n>>2]|0}m=g+(d<<2)|0;k[p>>2]=m;k[n>>2]=b+(e<<2);b=m;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){c=26;break b}y=0;d=qa(332,b<<2|0)|0;i=y;y=0;if(i&1){c=33;break b}h=d;e=d+(b>>>2<<2)|0;i=e;g=d+(b<<2)|0;if((l|0)==(m|0))b=i;else{b=i;d=l;do{k[e>>2]=k[d>>2];e=b+4|0;b=e;d=d+4|0}while((d|0)!=(m|0))}k[q>>2]=h;k[n>>2]=i;k[p>>2]=b;k[f>>2]=g;if(j){zqa(j);b=k[p>>2]|0}}else b=m;while(0);k[b>>2]=k[c>>2];m=(k[p>>2]|0)+4|0;k[p>>2]=m;c=c+4|0;b=k[s>>2]|0;if((c|0)==(b|0)){c=17;break}}if((c|0)==17){i=b;g=n;h=p;d=q;e=k[t>>2]|0;b=m;break}else if((c|0)==26){b=gb(4)|0;doa(b);y=0;Na(76,b|0,4496,348);y=0;b=pb()|0}else if((c|0)==33)b=pb()|0;d=b;break a}while(0);c=k[a>>2]|0;k[a>>2]=k[d>>2];k[d>>2]=c;q=k[g>>2]|0;k[t>>2]=q;k[g>>2]=e;k[s>>2]=b;k[h>>2]=i;t=k[o>>2]|0;k[o>>2]=k[f>>2];k[f>>2]=t;if((b-q|0)==4)b=85;else b=(k[u>>2]|0)+170|0;k[u>>2]=b;if((i|0)!=(e|0))k[p>>2]=i+(~((i+-4-e|0)>>>2)<<2);if(c|0)zqa(c);r=v;return}while(0);b=k[n>>2]|0;c=k[p>>2]|0;if((c|0)!=(b|0))k[p>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[q>>2]|0;if(!b)sb(d|0);zqa(b);sb(d|0)}function Mi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;h=0;n=r;r=r+32|0;l=n+16|0;o=n+4|0;m=n;g=b+11|0;e=i[g>>0]|0;f=e<<24>>24<0;d=c<<24>>24|0;c=(d|0)==0?34:(d|0)!=42?c:34;d=f?k[b>>2]|0:b;a:while(1){switch(i[d>>0]|0){case 0:{h=5;break a}case 39:{j=34;break a}case 34:{c=39;break}default:{}}d=d+1|0}if((h|0)==5)j=c;c=f?k[b+4>>2]|0:e&255;if(!c){k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;mI(a,2,j<<24>>24?j:34);r=n;return}k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;oa(506,o|0,c+2|0);h=y;y=0;if(!(h&1)){y=0;oa(461,o|0,j|0);h=y;y=0;if(!(h&1)){c=(i[g>>0]|0)<0?k[b>>2]|0:b;k[m>>2]=c;e=c+(JI(c)|0)+1|0;d=i[c>>0]|0;b:do if(c>>>0<e>>>0&d<<24>>24!=0){c:while(1){if(d<<24>>24==j<<24>>24){y=0;oa(461,o|0,92);h=y;y=0;if(h&1){h=15;break}}else if(d<<24>>24==92){y=0;oa(461,o|0,92);h=y;y=0;if(h&1){h=15;break}}y=0;d=Ha(994,m|0,e|0)|0;h=y;y=0;if(h&1){h=15;break}if((d|0)==13){d=k[m>>2]|0;if(d>>>0<e>>>0){k[l>>2]=d;y=0;d=Ha(994,l|0,e|0)|0;h=y;y=0;if(h&1){h=25;break}if((d|0)==10){y=0;d=Ha(994,m|0,e|0)|0;h=y;y=0;if(h&1){h=25;break}else h=26}else{c=13;h=37}}else{c=13;h=37}}else h=26;d:do if((h|0)==26){h=0;if((d|0)!=10){if((d|0)<127){c=d;h=37;break}if(c>>>0>=(k[m>>2]|0)>>>0)break;while(1){y=0;oa(461,o|0,i[c>>0]|0);g=y;y=0;if(g&1){h=24;break c}c=c+1|0;if(c>>>0>=(k[m>>2]|0)>>>0)break d}}y=0;oa(461,o|0,92);g=y;y=0;if(g&1){h=25;break c}y=0;oa(461,o|0,97);g=y;y=0;if(g&1){h=25;break c}c=k[m>>2]|0;d=i[c>>0]|0;if((d+-97&255)>5)if((d+-65&255)>5&(d+-48&255)>9){y=0;c=qa(357,c|0)|0;g=y;y=0;if(g&1){h=25;break c}if(!c)break}y=0;oa(461,o|0,32);g=y;y=0;if(g&1){h=25;break c}}while(0);if((h|0)==37){y=0;oa(461,o|0,c&255|0);h=y;y=0;if(h&1){h=25;break}}c=k[m>>2]|0;d=i[c>>0]|0;if(!(c>>>0<e>>>0&d<<24>>24!=0)){h=40;break b}}if((h|0)==15){c=pb()|0;break}else if((h|0)==24){c=pb()|0;break}else if((h|0)==25){c=pb()|0;break}}else h=40;while(0);do if((h|0)==40){y=0;oa(461,o|0,j|0);m=y;y=0;if(m&1){c=pb()|0;break}k[a>>2]=k[o>>2];k[a+4>>2]=k[o+4>>2];k[a+8>>2]=k[o+8>>2];k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;$9(o);r=n;return}while(0);n=c;$9(o);sb(n|0)}}n=pb()|0;$9(o);sb(n|0)}function Ni(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0;p=r;r=r+128|0;o=p+88|0;m=p+72|0;c=p+60|0;f=p+48|0;g=p+36|0;h=p+24|0;d=p+12|0;e=p;pK(m,(k[b>>2]|0)+64|0);n=i[m+11>>0]|0;n=((n<<24>>24<0?k[m+4>>2]|0:n&255)|0)==0;$9(m);if(!n){do if(i[a+82>>0]|0){k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,29675,53);y=0;l=o;m=(k[b>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));oa(458,c|0,o|0);b=y;y=0;if(!(b&1)){$9(c);break}p=pb()|0;$9(c);sb(p|0)}while(0);i[a+80>>0]=1;r=p;return}c=j[(k[b>>2]|0)+76>>1]|0;if((c&255)<<24>>24){c=a+81|0;do if(i[c>>0]|0){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;jI(f,29729,73);y=0;l=o;m=(k[b>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));oa(458,f|0,o|0);n=y;y=0;if(!(n&1)){$9(f);break}p=pb()|0;$9(f);sb(p|0)}while(0);do if(i[a+82>>0]|0){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,29803,52);y=0;l=o;m=(k[b>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));oa(458,g|0,o|0);b=y;y=0;if(!(b&1)){$9(g);break}p=pb()|0;$9(g);sb(p|0)}while(0);i[c>>0]=1;r=p;return}if((c&65535)>=256){c=a+82|0;do if(i[c>>0]|0){k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;jI(h,29856,65);y=0;l=o;m=(k[b>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));oa(458,h|0,o|0);b=y;y=0;if(!(b&1)){$9(h);break}p=pb()|0;$9(h);sb(p|0)}while(0);i[c>>0]=1;r=p;return}do if(i[a+81>>0]|0){k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;jI(d,29922,56);y=0;l=o;m=(k[b>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));oa(458,d|0,o|0);n=y;y=0;if(!(n&1)){$9(d);break}p=pb()|0;$9(d);sb(p|0)}while(0);if(!(i[a+80>>0]|0)){r=p;return}k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,29979,46);y=0;l=o;m=(k[b>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));oa(458,e|0,o|0);b=y;y=0;if(b&1){p=pb()|0;$9(e);sb(p|0)}else{$9(e);r=p;return}}function Oi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=0;g=r;r=r+32|0;f=g+12|0;h=g;Ug(a,b,c,d);k[a>>2]=19012;j=a+8|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;e=i[76531]|0;m=e<<24>>24<0;e=m?k[19131]|0:e&255;y=0;Ra(10,f|0,(m?k[19130]|0:76520)|0,e|0,e+3|0);e=y;y=0;a:do if(e&1)l=18;else{y=0;ta(47,f|0,47056,3)|0;m=y;y=0;if(m&1)l=18;else{e=j+11|0;if((i[e>>0]|0)<0){i[k[j>>2]>>0]=0;k[a+12>>2]=0}else{i[j>>0]=0;i[e>>0]=0}y=0;oa(506,j|0,0);m=y;y=0;if(m&1){m=tb(0)|0;dla(m)}k[j>>2]=k[f>>2];k[j+4>>2]=k[f+4>>2];k[j+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;$9(f);y=0;oa(k[(k[b>>2]|0)+20>>2]|0,f|0,b|0);m=y;y=0;do if(m&1)b=pb()|0;else{m=i[f+11>>0]|0;e=m<<24>>24<0;y=0;ta(47,j|0,(e?k[f>>2]|0:f)|0,(e?k[f+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){b=pb()|0;$9(f);break}$9(f);k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;b=d+11|0;e=i[b>>0]|0;e=e<<24>>24<0?k[d+4>>2]|0:e&255;y=0;Ra(10,h|0,47081,1,e+1|0);m=y;y=0;if(m&1)l=22;else{y=0;ta(47,h|0,((i[b>>0]|0)<0?k[d>>2]|0:d)|0,e|0)|0;m=y;y=0;if(m&1)l=22;else{y=0;b=Ha(970,h|0,47081)|0;m=y;y=0;do if(m&1)b=pb()|0;else{k[f>>2]=k[b>>2];k[f+4>>2]=k[b+4>>2];k[f+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;m=i[f+11>>0]|0;d=m<<24>>24<0;y=0;ta(47,j|0,(d?k[f>>2]|0:f)|0,(d?k[f+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){b=pb()|0;$9(f);break}$9(f);$9(h);y=0;oa(k[(k[c>>2]|0)+20>>2]|0,f|0,c|0);m=y;y=0;do if(m&1)b=pb()|0;else{m=i[f+11>>0]|0;h=m<<24>>24<0;y=0;ta(47,j|0,(h?k[f>>2]|0:f)|0,(h?k[f+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){b=pb()|0;$9(f);break}$9(f);y=0;Ha(970,j|0,47105)|0;m=y;y=0;if(m&1){b=pb()|0;break a}else{r=g;return}}while(0);break a}while(0);$9(h)}}if((l|0)==22){b=pb()|0;$9(h)}break a}while(0)}}while(0);if((l|0)==18){b=pb()|0;$9(f)}k[a>>2]=15668;$9(a+28|0);k[a>>2]=14076;$9(j);cda(a);sb(b|0)}function Pi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=r;r=r+336|0;h=s+288|0;t=s+80|0;d=s+248|0;q=s+64|0;p=s+16|0;j=s+24|0;o=s+4|0;l=s;m=Nna(a)|0;jN(d,35081,0,-1);c=h;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));ql(t,m,b,h,0);y=0;ta(56,t|0,1,0)|0;n=y;y=0;a:do if(n&1)f=pb()|0;else{e=k[t+156>>2]|0;f=k[t+160>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;g=f-e|0;if(g>>>0>4294967279){y=0;na(377,h|0);n=y;y=0;if(n&1)n=29;else n=6}else if(g>>>0<11){i[h+11>>0]=g;b=h;n=8}else n=6;if((n|0)==6){c=g+16&-16;y=0;b=qa(332,c|0)|0;n=y;y=0;if(n&1)n=29;else{k[h>>2]=b;k[h+8>>2]=c|-2147483648;k[h+4>>2]=g;n=8}}do if((n|0)==8){if((e|0)!=(f|0)){d=b;c=e;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(f|0))break;else d=d+1|0}b=b+g|0}i[b>>0]=0;y=0;oa(552,q|0,h|0);g=y;y=0;if(g&1){b=pb()|0;$9(h);break}$9(h);y=0;b=qa(350,t|0)|0;g=y;y=0;if(g&1)b=pb()|0;else{k[p>>2]=b;y=0;f=qa(332,112)|0;g=y;y=0;if(g&1)b=pb()|0;else{y=0;Ra(16,j|0,35081,0,-1);g=y;y=0;if(g&1)n=34;else{y=0;oa(452,o|0,q|0);g=y;y=0;if(g&1)n=34;else{y=0;oa(464,l|0,p|0);g=y;y=0;do if(g&1)b=pb()|0;else{y=0;c=h;d=j;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));wa(1,f|0,h|0,m|0,o|0,l|0,a|0,0,1);m=y;y=0;if(m&1){b=pb()|0;EO(l);break}EO(l);$9(o);EO(p);$9(q);b=k[t+56>>2]|0;c=b;if(b|0){d=t+60|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}e=t+44|0;b=k[e>>2]|0;if(!b){r=s;return f|0}d=t+48|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{t=c+-4|0;k[d>>2]=t;EO(t);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}zqa(b);r=s;return f|0}while(0);$9(o)}}if((n|0)==34)b=pb()|0;zqa(f)}EO(p)}$9(q);f=b;break a}else if((n|0)==29)b=pb()|0;while(0);f=b}while(0);b=k[t+56>>2]|0;c=b;if(b|0){d=t+60|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}e=t+44|0;b=k[e>>2]|0;if(!b)sb(f|0);d=t+48|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{t=c+-4|0;k[d>>2]=t;EO(t);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}zqa(b);sb(f|0);return 0}function Qi(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;p=0;m=r;r=r+160|0;g=m+120|0;h=m+116|0;s=m+104|0;j=m+64|0;q=m+56|0;l=m+16|0;n=m+4|0;o=m;do{}while((Cs(a,1,0)|0)!=0);lv(a,1,0)|0;c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){LM(g);p=7}else if(f>>>0<11){i[g+11>>0]=f;b=g}else p=7;if((p|0)==7){p=f+16&-16;b=ZL(p)|0;k[g>>2]=b;k[g+8>>2]=p|-2147483648;k[g+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;y=0;oa(552,s|0,g|0);p=y;y=0;if(p&1){s=pb()|0;$9(g);sb(s|0)}$9(g);c=j;d=a+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(482,q|0,0);p=y;y=0;if(p&1)b=pb()|0;else{while(1){y=0;b=ta(151,a|0,1,0)|0;p=y;y=0;if(p&1){p=18;break}if(!b){p=21;break}}a:do if((p|0)==18){b=pb()|0;p=20}else if((p|0)==21){y=0;b=ta(91,a|0,1,0)|0;f=y;y=0;b:do if(!(f&1)){c:do if(!b){y=0;b=ta(108,a|0,1,0)|0;a=y;y=0;if(a&1)break b;b=(b|0)!=0}else{do{y=0;b=ta(110,a|0,1,0)|0;f=y;y=0;if(f&1){p=17;break}}while((b|0)!=0);if((p|0)==17){b=pb()|0;p=20;break a}y=0;b=qa(370,a|0)|0;a=y;y=0;do if(a&1)b=pb()|0;else{k[g>>2]=b;y=0;Ha(966,q|0,g|0)|0;a=y;y=0;if(a&1){b=pb()|0;EO(g);break}else{EO(g);b=0;break c}}while(0);break a}while(0);y=0;f=qa(332,72)|0;a=y;y=0;if(!(a&1)){c=l;d=j;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(452,n|0,s|0);j=y;y=0;do if(j&1)b=pb()|0;else{y=0;oa(482,o|0,k[q>>2]|0);j=y;y=0;if(j&1){b=pb()|0;$9(n);break}y=0;c=g;d=l;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));ma(14,f|0,g|0,n|0,o|0,b|0);l=y;y=0;if(l&1)c=1;else{y=0;oa(482,h|0,f|0);l=y;y=0;if(l&1)c=0;else{EO(o);$9(n);EO(q);$9(s);r=m;return k[h>>2]|0}}b=pb()|0;EO(o);$9(n);if(!c)break a}while(0);zqa(f);break a}}while(0);b=pb()|0;p=20}while(0);EO(q)}$9(s);s=b;sb(s|0);return 0}function Ri(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;A=0;x=r;r=r+112|0;w=x;g=x+40|0;v=x+64|0;z=x+52|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,35342,8);y=0;b=w;q=e;s=b+40|0;do{k[b>>2]=k[q>>2];b=b+4|0;q=q+4|0}while((b|0)<(s|0));t=sa(24,g|0,a|0,d|0,w|0,f|0)|0;u=y;y=0;if(u&1){A=pb()|0;$9(g);sb(A|0)}$9(g);k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,35351,8);y=0;b=w;q=e;s=b+40|0;do{k[b>>2]=k[q>>2];b=b+4|0;q=q+4|0}while((b|0)<(s|0));u=sa(24,g|0,a|0,d|0,w|0,f|0)|0;s=y;y=0;if(s&1){A=pb()|0;$9(g);sb(A|0)}$9(g);k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,35360,7);y=0;b=w;q=e;s=b+40|0;do{k[b>>2]=k[q>>2];b=b+4|0;q=q+4|0}while((b|0)<(s|0));b=Ia(1,g|0,a|0,d|0,w|0,0.0,100.0,f|0)|0;s=y;y=0;if(s&1){A=pb()|0;$9(g);sb(A|0)}$9(g);o=+p[b+64>>3]/100.0;h=o*2.0+-1.0;g=t+88|0;a=u+88|0;j=+p[g>>3]-+p[a>>3];l=h*j;if(!(l==-1.0))h=(h+j)/(l+1.0);h=(h+1.0)*.5;j=1.0-h;d=ZL(112)|0;b=v;q=e;s=b+40|0;do{k[b>>2]=k[q>>2];b=b+4|0;q=q+4|0}while((b|0)<(s|0));b=c+16|0;y=0;m=+ua(1,+(h*+p[t+64>>3]+j*+p[u+64>>3]),k[(k[b>>2]|0)+4>>2]|0);e=y;y=0;if(e&1)A=17;else{y=0;n=+ua(1,+(h*+p[t+72>>3]+j*+p[u+72>>3]),k[(k[b>>2]|0)+4>>2]|0);e=y;y=0;if(e&1)A=17;else{y=0;l=+ua(1,+(h*+p[t+80>>3]+j*+p[u+80>>3]),k[(k[b>>2]|0)+4>>2]|0);u=y;y=0;if(u&1)A=17;else{j=+p[g>>3];h=+p[a>>3];k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(75,z|0,82159,0);u=y;y=0;if(u&1)A=17;else{b=w;q=v;s=b+40|0;do{k[b>>2]=k[q>>2];b=b+4|0;q=q+4|0}while((b|0)<(s|0));y=0;na(366,d|0);v=y;y=0;do if(v&1)b=pb()|0;else{h=o*j+(1.0-o)*h;b=d+12|0;q=w;s=b+40|0;do{k[b>>2]=k[q>>2];b=b+4|0;q=q+4|0}while((b|0)<(s|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;b=d+56|0;k[b>>2]=0;k[d>>2]=9088;p[d+64>>3]=m;p[d+72>>3]=n;p[d+80>>3]=l;p[d+88>>3]=h;y=0;oa(452,d+96|0,z|0);w=y;y=0;if(w&1){b=pb()|0;break}else{k[d+108>>2]=0;k[b>>2]=3;$9(z);r=x;return d|0}}while(0);$9(z)}}}}if((A|0)==17)b=pb()|0;zqa(d);A=b;sb(A|0);return 0}function Si(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;d=0;t=r;r=r+16|0;s=t+4|0;l=t;m=b+72|0;n=b+76|0;o=b+80|0;p=a+4|0;if((k[n>>2]|0)==(k[o>>2]|0)){if((lka(p)|0)!=5){r=t;return}k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;jI(s,44119,2);y=0;Na(139,p|0,s|0,b|0);q=y;y=0;if(q&1){t=pb()|0;$9(s);sb(t|0)}else{$9(s);r=t;return}}q=a+101|0;j=i[q>>0]|0;do if((lka(p)|0)==5){c=k[b+76>>2]|0;if(((k[o>>2]|0)-c|0)==4){c=k[c>>2]|0;if(c|0){if(pw(c,160,216,-2)|0){d=14;break}if(pw(c,160,104,-2)|0){d=14;break}}k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;jI(s,44122,1);y=0;oa(605,p|0,s|0);h=y;y=0;if(!(h&1)){$9(s);h=a+99|0;break}t=pb()|0;$9(s);sb(t|0)}else d=14}else d=14;while(0);do if((d|0)==14){c=a+99|0;if(!(i[c>>0]|0))if(!(i[q>>0]|0))h=c;else{k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;jI(s,44122,1);y=0;oa(605,p|0,s|0);h=y;y=0;if(!(h&1)){$9(s);h=c;break}t=pb()|0;$9(s);sb(t|0)}else h=c}while(0);if(i[h>>0]|0)i[q>>0]=1;d=b+76|0;b=(k[o>>2]|0)-(k[d>>2]|0)>>2;a:do if(b|0){e=a+97|0;f=b+-1|0;g=a+80|0;c=0;while(1){if((c|0)==0&(i[e>>0]|0)==0)Yw(p);if(k[(k[n>>2]|0)+(c<<2)>>2]|0){u=Fc[k[(k[m>>2]|0)+16>>2]&2047](m,c)|0;u=vM(k[u>>2]|0)|0;k[l>>2]=u;y=0;oa(612,p|0,u|0);u=y;y=0;if(u&1)break;EO(l);u=k[(k[n>>2]|0)+(c<<2)>>2]|0;mc[k[(k[u>>2]|0)+40>>2]&1023](u,a);if(c>>>0<f>>>0){k[g>>2]=0;Hy(p)}}c=c+1|0;if(c>>>0>=b>>>0)break a}u=pb()|0;EO(l);sb(u|0)}while(0);i[q>>0]=j;do if((lka(p)|0)==5){c=k[d>>2]|0;if(((k[o>>2]|0)-c|0)==4){c=k[c>>2]|0;if(c|0){if(pw(c,160,216,-2)|0)break;if(pw(c,160,104,-2)|0)break}k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;jI(s,44124,2);y=0;oa(605,p|0,s|0);u=y;y=0;if(u&1){u=pb()|0;$9(s);sb(u|0)}else{$9(s);r=t;return}}}while(0);if(i[h>>0]|0){r=t;return}if(!(i[q>>0]|0)){r=t;return}k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;jI(s,44127,1);y=0;oa(605,p|0,s|0);u=y;y=0;if(u&1){u=pb()|0;$9(s);sb(u|0)}else{$9(s);r=t;return}}function Ti(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;s=r;r=r+64|0;t=s+60|0;n=s+56|0;b=s;o=s+52|0;p=s+48|0;q=s+44|0;m=s+40|0;u=ZL(104)|0;d=b;e=a+12|0;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;na(366,u|0);l=y;y=0;do if(l&1)b=pb()|0;else{d=u+12|0;e=b;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));i[u+52>>0]=0;i[u+53>>0]=0;i[u+54>>0]=0;k[u>>2]=11396;i[u+60>>0]=0;i[u+61>>0]=0;i[u+62>>0]=0;k[u+64>>2]=0;k[u+68>>2]=0;k[u+56>>2]=7;l=u+72|0;k[l>>2]=14012;h=u+76|0;j=u+80|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(513,h|0,0);g=y;y=0;if(g&1){b=pb()|0;f=N;d=k[h>>2]|0;if(d|0){e=k[j>>2]|0;if((e|0)!=(d|0)){do{t=e+-4|0;k[j>>2]=t;EO(t);e=k[j>>2]|0}while((e|0)!=(d|0));d=k[h>>2]|0}zqa(d)}break}k[u>>2]=13796;k[l>>2]=13972;k[u+92>>2]=0;k[u+96>>2]=0;k[u+100>>2]=0;if(c|0){g=c+72|0;f=(k[c+80>>2]|0)-(k[c+76>>2]|0)>>2;if(f|0){e=0;while(1){_V(t,oc[k[(k[a>>2]|0)+16>>2]&511](a)|0);b=k[t>>2]|0;y=0;d=Ha(k[(k[g>>2]|0)+16>>2]|0,g|0,e|0)|0;m=y;y=0;if(m&1){d=21;break}y=0;oa(464,p|0,d|0);m=y;y=0;if(m&1){d=21;break}b=b+80|0;y=0;Ha(966,b|0,p|0)|0;m=y;y=0;if(m&1){d=22;break}y=0;oa(464,n|0,b|0);m=y;y=0;if(m&1){d=22;break}k[o>>2]=k[n>>2];EO(o);EO(p);b=k[(k[l>>2]|0)+20>>2]|0;y=0;oa(464,q|0,t|0);m=y;y=0;if(m&1){d=21;break}y=0;oa(b|0,l|0,q|0);m=y;y=0;if(m&1){d=23;break}EO(q);EO(t);e=e+1|0;if(e>>>0>=f>>>0){d=37;break}}if((d|0)==21)b=pb()|0;else if((d|0)==22){b=pb()|0;EO(p)}else if((d|0)==23){b=pb()|0;EO(q)}else if((d|0)==37){r=s;return u|0}EO(t);u=b;sb(u|0)}}_V(m,a);a:do if(k[m>>2]|0){k[u+88>>2]=0;b=k[j>>2]|0;if((b|0)==(k[u+84>>2]|0)){y=0;oa(515,h|0,m|0);q=y;y=0;if(q&1)d=35;else d=30}else{y=0;oa(464,b|0,m|0);q=y;y=0;if(q&1)d=35;else{k[j>>2]=(k[j>>2]|0)+4;d=30}}do if((d|0)==30){b=k[k[l>>2]>>2]|0;y=0;oa(464,t|0,m|0);q=y;y=0;if(q&1)d=35;else{y=0;oa(b|0,l|0,t|0);q=y;y=0;if(q&1){b=pb()|0;EO(t);break}else{EO(t);break a}}}while(0);if((d|0)==35)b=pb()|0;EO(m);u=b;sb(u|0)}while(0);EO(m);r=s;return u|0}while(0);zqa(u);u=b;sb(u|0);return 0}function Ui(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;q=r;r=r+128|0;m=q+80|0;o=q+72|0;s=q+48|0;p=q+60|0;j=q+24|0;h=q+36|0;g=q;c=q+12|0;y=0;la(4);y=0;n=db(1688,1704,1720,0)|0;l=N;if((l|0)==(ob(1688)|0)){f=Bb(n|0)|0;k[o>>2]=15040;k[o+4>>2]=k[f+4>>2];vb(n|0)|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,35802,24);f=y;y=0;if(f&1)c=pb()|0;else{y=0;oa(452,c|0,g|0);f=y;y=0;do if(f&1)c=pb()|0;else{y=0;d=m;e=a;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Na(103,c|0,m|0,b|0);f=y;y=0;if(f&1){f=pb()|0;$9(c);c=f;break}$9(c);$9(g);rb();r=q;return}while(0);$9(g)}y=0;la(3);g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}else{s=c;sb(s|0)}}if((l|0)==(ob(1704)|0)){Bb(n|0)|0;k[o>>2]=15060;vb(n|0)|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,35827,21);g=y;y=0;if(g&1)c=pb()|0;else{y=0;oa(452,h|0,j|0);g=y;y=0;do if(g&1)c=pb()|0;else{y=0;d=m;e=a;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Na(103,h|0,m|0,b|0);g=y;y=0;if(g&1){c=pb()|0;$9(h);break}$9(h);$9(j);rb();r=q;return}while(0);$9(j)}y=0;la(3);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}else{s=c;sb(s|0)}}if((l|0)!=(ob(1720)|0)){vb(n|0)|0;y=0;la(4);y=0;c=pb()|0;y=0;la(3);l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}else{s=c;sb(s|0)}}l=Bb(n|0)|0;k[o>>2]=15080;i[o+4>>0]=i[l+4>>0]|0;vb(n|0)|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,35849,18);o=y;y=0;if(o&1)c=pb()|0;else{y=0;oa(452,p|0,s|0);o=y;y=0;do if(o&1)c=pb()|0;else{y=0;d=m;e=a;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Na(103,p|0,m|0,b|0);o=y;y=0;if(o&1){c=pb()|0;$9(p);break}$9(p);$9(s);rb();r=q;return}while(0);$9(s)}y=0;la(3);s=y;y=0;if(s&1){s=tb(0)|0;dla(s)}else{s=c;sb(s|0)}}function Vi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;o=0;q=r;r=r+64|0;l=q;t=q+44|0;s=q+40|0;m=a+24|0;n=a+28|0;c=k[n>>2]|0;if((c|0)==(k[m>>2]|0))c=0;else c=k[c+-4>>2]|0;iR(t,c,0);y=0;p=qa(332,88)|0;j=y;y=0;a:do if(!(j&1)){c=k[b+72>>2]|0;d=k[b+68>>2]|0;h=i[b+84>>0]|0;e=l;f=b+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(366,p|0);j=y;y=0;do if(j&1)c=pb()|0;else{d=c-d>>2;e=p+12|0;f=l;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[p>>2]=5252;k[p+52>>2]=0;k[p+56>>2]=0;i[p+60>>0]=0;c=p+64|0;k[c>>2]=5212;g=p+68|0;j=p+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,d|0);f=y;y=0;if(f&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[j>>2]|0;if((e|0)!=(d|0)){do{s=e+-4|0;k[j>>2]=s;EO(s);e=k[j>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[p>>2]=5076;k[c>>2]=5172;i[p+84>>0]=h;i[p+85>>0]=0;y=0;oa(482,s|0,p|0);p=y;y=0;if(p&1)break a;c=k[s>>2]|0;k[l>>2]=c;e=a+40|0;d=k[e>>2]|0;if(d>>>0<(k[a+44>>2]|0)>>>0){k[d>>2]=c;k[e>>2]=(k[e>>2]|0)+4;o=16}else{y=0;oa(582,a+36|0,l|0);p=y;y=0;if(p&1)c=pb()|0;else o=16}do if((o|0)==16){k[l>>2]=t;c=k[n>>2]|0;if(c>>>0<(k[a+32>>2]|0)>>>0){k[c>>2]=t;k[n>>2]=(k[n>>2]|0)+4}else{y=0;oa(573,m|0,l|0);p=y;y=0;if(p&1){c=pb()|0;break}}y=0;oa(583,a|0,b|0);p=y;y=0;if(p&1){c=pb()|0;break}k[e>>2]=(k[e>>2]|0)+-4;k[n>>2]=(k[n>>2]|0)+-4;c=k[s>>2]|0;if(!c){p=0;EO(s);s=t+4|0;s=k[s>>2]|0;jB(t,s);r=q;return p|0}i[c+8>>0]=1;p=c;EO(s);s=t+4|0;s=k[s>>2]|0;jB(t,s);r=q;return p|0}while(0);EO(s);s=c;q=t+4|0;q=k[q>>2]|0;jB(t,q);sb(s|0)}while(0);zqa(p);s=c;q=t+4|0;q=k[q>>2]|0;jB(t,q);sb(s|0)}while(0);s=pb()|0;q=t+4|0;q=k[q>>2]|0;jB(t,q);sb(s|0);return 0}function Wi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;u=r;r=r+64|0;e=u;v=u+60|0;t=u+56|0;p=u+52|0;s=u+48|0;q=u+40|0;if(i[b+53>>0]|0){v=b;r=u;return v|0}o=b+60|0;if(k[b+100>>2]|0){c=gb(84)|0;y=0;Na(122,c|0,b|0,b|0);v=y;y=0;if(!(v&1))Wb(c|0,2496,158);v=pb()|0;fb(c|0);sb(v|0)}m=ZL(104)|0;l=b+84|0;n=b+88|0;c=k[n>>2]|0;d=k[l>>2]|0;g=e;h=b+12|0;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(366,m|0);j=y;y=0;do if(j&1)c=pb()|0;else{f=c-d>>2;g=m+12|0;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;c=m+56|0;k[c>>2]=0;k[m>>2]=7760;d=m+60|0;y=0;oa(553,d|0,f|0);j=y;y=0;if(j&1){c=pb()|0;break}k[m>>2]=7880;k[d>>2]=8004;k[c>>2]=6;_V(v,m);c=k[l>>2]|0;g=k[n>>2]|0;a:do if((c|0)==(g|0)){d=v;e=34}else{h=q+4|0;while(1){y=0;oa(464,t|0,c|0);n=y;y=0;if(n&1){e=24;break}f=k[t>>2]|0;y=0;f=Ha(k[(k[f>>2]|0)+52>>2]|0,f|0,a|0)|0;n=y;y=0;if(n&1){e=25;break}y=0;oa(464,s|0,t|0);n=y;y=0;if(n&1){e=26;break}y=0;d=Ha(965,o|0,s|0)|0;n=y;y=0;if(n&1){e=27;break}k[p>>2]=d;y=0;d=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,a|0)|0;n=y;y=0;if(n&1){e=28;break}EO(p);EO(s);e=(k[v>>2]|0)+60|0;y=0;oa(482,q|0,f|0);n=y;y=0;if(n&1){e=30;break}y=0;oa(482,h|0,d|0);n=y;y=0;if(n&1){e=21;break}y=0;Ha(985,e|0,q|0)|0;n=y;y=0;if(n&1){e=32;break}EO(h);EO(q);EO(t);c=c+4|0;if((c|0)==(g|0)){d=v;e=34;break a}}if((e|0)==21){c=pb()|0;EO(q);e=31}else if((e|0)==24){c=pb()|0;break}else if((e|0)==25)c=pb()|0;else if((e|0)==26)c=pb()|0;else if((e|0)==27){c=pb()|0;e=29}else if((e|0)==28){c=pb()|0;EO(p);e=29}else if((e|0)==30){c=pb()|0;e=31}else if((e|0)==32){c=pb()|0;EO(h);EO(q)}if((e|0)==29)EO(s);EO(t)}while(0);do if((e|0)==34){c=k[d>>2]|0;if(k[c+100>>2]|0){c=gb(84)|0;y=0;Na(122,c|0,k[d>>2]|0,b|0);b=y;y=0;if(b&1){b=pb()|0;fb(c|0);c=b;break}else{y=0;Na(76,c|0,2496,158);y=0;c=pb()|0;break}}i[c+53>>0]=1;if(!c)c=0;else i[c+8>>0]=1;EO(v);v=c;r=u;return v|0}while(0);EO(v);v=c;sb(v|0)}while(0);zqa(m);v=c;sb(v|0);return 0}function Xi(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;x=0;s=r;r=r+576|0;n=s+424|0;q=s;a=s+24|0;u=s+16|0;p=s+12|0;t=s+8|0;m=s+564|0;j=s+4|0;o=s+464|0;k[u>>2]=a;w=u+4|0;k[w>>2]=417;l=a+400|0;y=0;h=qa(341,e|0)|0;z=y;y=0;if(z&1){h=pb()|0;k[u>>2]=0;j=417;x=54}else{k[t>>2]=h;y=0;h=Ha(973,t|0,78176)|0;z=y;y=0;if(z&1)h=pb()|0;else{i[m>>0]=0;k[j>>2]=k[c>>2];a=k[e+4>>2]|0;y=0;k[n>>2]=k[j>>2];a=Fa(2,b|0,n|0,d|0,t|0,a|0,f|0,m|0,h|0,u|0,p|0,l|0)|0;z=y;y=0;a:do if(z&1)x=11;else{b:do if(a){y=0;Ma(k[(k[h>>2]|0)+48>>2]|0,h|0,52960,52970,n|0)|0;z=y;y=0;if(z&1)a=pb()|0;else{a=(k[p>>2]|0)-(k[u>>2]|0)|0;if((a|0)>392){a=pd((a>>2)+2|0)|0;h=a;if(!a){y=0;la(6);z=y;y=0;if(!(z&1)){a=0;x=16}}else x=16}else{a=o;h=0;x=16}do if((x|0)==16){if(i[m>>0]|0){i[a>>0]=45;a=a+1|0}e=n+40|0;m=n;d=k[u>>2]|0;while(1){if(d>>>0>=(k[p>>2]|0)>>>0)break;l=k[d>>2]|0;j=n;while(1){if((j|0)==(e|0)){j=e;break}if((k[j>>2]|0)==(l|0))break;j=j+4|0}i[a>>0]=i[52960+(j-m>>2)>>0]|0;d=d+4|0;a=a+1|0}i[a>>0]=0;k[q>>2]=g;if((ZT(o,52845,q)|0)!=1){y=0;na(418,52849);z=y;y=0;if(z&1)break}if(h|0)Pf(h);break b}while(0);a=pb()|0;if(h|0)Pf(h)}break a}while(0);a=k[b>>2]|0;do if(!a)j=1;else{h=k[a+12>>2]|0;if((h|0)==(k[a+16>>2]|0)){y=0;a=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;z=y;y=0;if(z&1){x=11;break a}}else a=k[h>>2]|0;if((a|0)==-1){k[b>>2]=0;j=1;break}else{j=(k[b>>2]|0)==0;break}}while(0);h=k[c>>2]|0;do if(!h)x=44;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;z=y;y=0;if(z&1){x=11;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;x=44;break}else if(j)break;else{x=46;break}}while(0);if((x|0)==44)if(j)x=46;if((x|0)==46)k[f>>2]=k[f>>2]|2;h=k[b>>2]|0;lQ(k[t>>2]|0)|0;a=k[u>>2]|0;k[u>>2]=0;if(a|0){y=0;na(k[w>>2]|0,a|0);z=y;y=0;if(z&1){z=tb(0)|0;dla(z)}}r=s;return h|0}while(0);if((x|0)==11)a=pb()|0;h=a}lQ(k[t>>2]|0)|0;a=k[u>>2]|0;k[u>>2]=0;if(!a)v=h;else{j=k[w>>2]|0;x=54}}if((x|0)==54){y=0;na(j|0,a|0);z=y;y=0;if(z&1){z=tb(0)|0;dla(z)}else v=h}sb(v|0);return 0}function Yi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;m=r;r=r+144|0;l=m+96|0;o=m+88|0;f=m+76|0;j=m+72|0;h=m+12|0;g=m;n=m+24|0;rT(o,(k[a+52>>2]|0)+-4|0);c=k[o>>2]|0;if(!c)e=4;else if(!(pw(c,8,640,0)|0))e=4;else e=8;do if((e|0)==4){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(75,f|0,43171,70);d=y;y=0;if(!(d&1)){y=0;c=l;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));oa(458,f|0,l|0);e=y;y=0;if(!(e&1)){$9(f);e=8;break}n=pb()|0;$9(f);EO(o);sb(n|0)}}while(0);if((e|0)==8){y=0;oa(452,h|0,b+64|0);f=y;y=0;if(!(f&1)){c=i[h+11>>0]|0;d=k[h>>2]|0;y=0;oa(452,g|0,b+100|0);f=y;y=0;do if(f&1)c=pb()|0;else{y=0;f=Ma(8,(c<<24>>24<0?d:h)|0,((i[g+11>>0]|0)<0?k[g>>2]|0:g)|0,0,0)|0;e=y;y=0;if(e&1){c=pb()|0;$9(g);break}$9(g);$9(h);k[j>>2]=f;g=a+4|0;c=k[g>>2]|0;d=c+264|0;e=k[d>>2]|0;if((e|0)==(k[c+268>>2]|0)){y=0;oa(533,c+260|0,j|0);j=y;y=0;if(j&1)e=25;else e=14}else{k[e>>2]=f;k[d>>2]=(k[d>>2]|0)+4;e=14}if((e|0)==14){y=0;oa(475,n|0,b+64|0);j=y;y=0;if(j&1)e=25;else{d=n+36|0;c=Os((k[g>>2]|0)+224|0,l,d)|0;c=k[c>>2]|0;do if(!c){c=gb(8)|0;y=0;oa(484,c|0,43840);m=y;y=0;if(m&1){m=pb()|0;fb(c|0);c=m;break}else{k[c>>2]=27092;y=0;Na(76,c|0,4560,351);y=0;e=26;break}}else{y=0;oa(583,a|0,k[c+28+8>>2]|0);a=y;y=0;if(a&1)e=26;else{y=0;na(371,k[(k[(k[g>>2]|0)+264>>2]|0)+-4>>2]|0);a=y;y=0;if(a&1)e=26;else{a=(k[g>>2]|0)+264|0;k[a>>2]=(k[a>>2]|0)+-4;$9(d);$9(n+24|0);$9(n+12|0);$9(n);EO(o);r=m;return 0}}}while(0);if((e|0)==26)c=pb()|0;$9(d);$9(n+24|0);$9(n+12|0);$9(n)}}if((e|0)==25)c=pb()|0;n=c;EO(o);sb(n|0)}while(0);$9(h);n=c;EO(o);sb(n|0)}}n=pb()|0;EO(o);sb(n|0);return 0}function Zi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;j=0;g=r;r=r+48|0;f=g+36|0;n=g+32|0;o=g+28|0;m=g+8|0;l=g+4|0;h=g;rT(n,b+68|0);y=0;oa(464,f|0,b+64|0);e=y;y=0;if(e&1){o=pb()|0;EO(n);sb(o|0)}k[o>>2]=k[f>>2];e=a+4|0;y=0;b=qa(439,k[e>>2]|0)|0;d=y;y=0;if(d&1)j=16;else{y=0;Na(120,m|0,b|0,1);d=y;y=0;if(d&1)j=16;else{b=k[e>>2]|0;k[f>>2]=m;c=b+28|0;d=k[c>>2]|0;if(d>>>0<(k[b+32>>2]|0)>>>0){k[d>>2]=m;k[c>>2]=(k[c>>2]|0)+4;j=7}else{y=0;oa(573,b+24|0,f|0);d=y;y=0;if(d&1)b=pb()|0;else j=7}do if((j|0)==7){b=k[n>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,a|0)|0;d=y;y=0;if(!(d&1)){y=0;oa(482,l|0,b|0);d=y;y=0;if(!(d&1)){while(1){b=k[l>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+84>>2]|0,b|0)|0;j=y;y=0;if(j&1){j=19;break}if(b){j=28;break}b=k[o>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,a|0)|0;j=y;y=0;if(j&1){j=19;break}y=0;oa(482,h|0,b|0);j=y;y=0;if(j&1){j=19;break}b=k[h>>2]|0;if(b|0){j=23;break}b=k[n>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,a|0)|0;j=y;y=0;if(j&1){j=25;break}y=0;oa(482,f|0,b|0);j=y;y=0;if(j&1){j=25;break}y=0;Ha(966,l|0,f|0)|0;j=y;y=0;if(j&1){j=26;break}EO(f);EO(h)}if((j|0)==19)b=pb()|0;else if((j|0)==23){j=(k[e>>2]|0)+28|0;k[j>>2]=(k[j>>2]|0)+-4;i[b+8>>0]=1;EO(h);j=b;EO(l);l=m+4|0;l=k[l>>2]|0;jB(m,l);EO(o);EO(n);r=g;return j|0}else if((j|0)==25){b=pb()|0;j=27}else if((j|0)==26){b=pb()|0;EO(f);j=27}else if((j|0)==28){j=(k[e>>2]|0)+28|0;k[j>>2]=(k[j>>2]|0)+-4;j=0;EO(l);l=m+4|0;l=k[l>>2]|0;jB(m,l);EO(o);EO(n);r=g;return j|0}if((j|0)==27)EO(h);EO(l);break}}b=pb()|0}while(0);jB(m,k[m+4>>2]|0)}}if((j|0)==16)b=pb()|0;EO(o);o=b;EO(n);sb(o|0);return 0}function _i(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;g=0;u=r;r=r+144|0;q=u;w=u+132|0;f=u+136|0;s=u+128|0;t=u+88|0;v=u+40|0;e=ZL(92)|0;y=0;h=q;j=d;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));oa(550,e|0,q|0);p=y;y=0;if(p&1){w=pb()|0;zqa(e);sb(w|0)}_V(w,e);y=0;sa(22,a|0,a+20|0,c|0,d|0,k[w>>2]|0)|0;p=y;y=0;a:do if(p&1)g=8;else{p=a+32|0;k[p>>2]=(k[p>>2]|0)+-1+((k[a+216>>2]|0)-(k[a+212>>2]|0)>>3);a=k[w>>2]|0;do if((k[a+64>>2]|0)!=(k[a+68>>2]|0)){c=(k[b>>2]|0)+64|0;e=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(482,f|0,a|0);p=y;y=0;if(p&1){g=8;break a}y=0;oa(e|0,c|0,f|0);p=y;y=0;if(p&1){a=pb()|0;EO(f);break a}else{EO(f);a=k[w>>2]|0;break}}while(0);p=(k[a+80>>2]|0)-(k[a+76>>2]|0)|0;e=(p|0)/48|0;if(!p){EO(w);r=u;return}m=v+36|0;n=v+24|0;o=v+12|0;c=0;while(1){f=(k[b>>2]|0)+64|0;g=k[(k[f>>2]|0)+20>>2]|0;y=0;p=qa(332,112)|0;l=y;y=0;if(l&1){g=21;break}h=t;j=d;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;oa(475,v|0,(k[(k[w>>2]|0)+76>>2]|0)+(c*48|0)|0);l=y;y=0;if(l&1){g=22;break}h=q;j=t;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,p|0);l=y;y=0;if(l&1){a=1;g=23;break}h=p+12|0;j=q;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));a=p+52|0;k[a>>2]=0;k[p+56>>2]=0;i[p+60>>0]=0;k[p>>2]=6264;y=0;oa(475,p+64|0,v|0);l=y;y=0;if(l&1){g=17;break}k[a>>2]=11;y=0;oa(482,s|0,p|0);l=y;y=0;if(l&1){a=0;g=23;break}y=0;oa(g|0,f|0,s|0);l=y;y=0;if(l&1){g=25;break}EO(s);$9(m);$9(n);$9(o);$9(v);c=c+1|0;if(c>>>0>=e>>>0){g=12;break}}if((g|0)==12){EO(w);r=u;return}else if((g|0)==17){a=pb()|0;c=1;g=24}else if((g|0)==21){a=pb()|0;break}else if((g|0)==22)a=pb()|0;else if((g|0)==23){u=pb()|0;c=a;a=u;g=24}else if((g|0)==25){a=pb()|0;EO(s);c=0;g=26}if((g|0)==24)g=26;if((g|0)==26){$9(m);$9(n);$9(o);$9(v);if(!c)break}zqa(p)}while(0);if((g|0)==8)a=pb()|0;EO(w);w=a;sb(w|0)}function $i(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;n=r;r=r+64|0;l=n;s=n+60|0;p=n+44|0;m=n+56|0;o=n+40|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;jI(p,36590,4);y=0;g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=pa(40,p|0,a|0,d|0,l|0,f|0,0)|0;q=y;y=0;if(!(q&1)){y=0;oa(482,s|0,b|0);q=y;y=0;if(!(q&1)){$9(p);y=0;q=qa(332,88)|0;j=y;y=0;a:do if(j&1)b=pb()|0;else{c=k[s>>2]|0;b=k[c+88>>2]|0;c=k[c+84>>2]|0;g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(366,q|0);e=y;y=0;do if(e&1)b=pb()|0;else{c=b-c>>2;g=q+12|0;h=l;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[q+52>>0]=0;i[q+53>>0]=0;i[q+54>>0]=0;b=q+56|0;k[b>>2]=0;k[q>>2]=7760;h=q+60|0;k[h>>2]=7720;d=q+64|0;f=q+68|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;y=0;oa(518,d|0,c|0);e=y;y=0;if(e&1){b=pb()|0;a=N;c=k[d>>2]|0;if(c|0){g=k[f>>2]|0;if((g|0)!=(c|0)){do{p=g+-4|0;k[f>>2]=p;EO(p);g=k[f>>2]|0}while((g|0)!=(c|0));c=k[d>>2]|0}zqa(c)}break}k[q>>2]=7552;k[h>>2]=7680;k[q+80>>2]=0;i[q+84>>0]=0;i[q+85>>0]=0;k[b>>2]=5;a=k[s>>2]|0;b=k[a+84>>2]|0;a=k[a+88>>2]|0;if((b|0)==(a|0)){EO(s);r=n;return q|0}while(1){y=0;oa(464,p|0,b|0);e=y;y=0;if(e&1){c=24;break}g=k[(k[h>>2]|0)+20>>2]|0;c=k[s>>2]|0;y=0;oa(464,o|0,p|0);e=y;y=0;if(e&1){c=25;break}y=0;c=Ha(965,c+60|0,o|0)|0;e=y;y=0;if(e&1){c=26;break}k[m>>2]=c;y=0;oa(g|0,h|0,m|0);e=y;y=0;if(e&1){c=27;break}EO(m);EO(o);EO(p);b=b+4|0;if((b|0)==(a|0)){c=14;break}}if((c|0)==14){EO(s);r=n;return q|0}else if((c|0)==24){b=pb()|0;break a}else if((c|0)==25)b=pb()|0;else if((c|0)==26){b=pb()|0;c=28}else if((c|0)==27){b=pb()|0;EO(m);c=28}if((c|0)==28)EO(o);EO(p);break a}while(0);zqa(q)}while(0);EO(s);s=b;sb(s|0)}}s=pb()|0;$9(p);sb(s|0);return 0}function aj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;w=0;s=r;r=r+240|0;n=s+24|0;q=s;a=s+140|0;u=s+16|0;p=s+12|0;t=s+8|0;m=s+136|0;j=s+4|0;o=s+36|0;k[u>>2]=a;v=u+4|0;k[v>>2]=417;l=a+100|0;y=0;h=qa(341,e|0)|0;z=y;y=0;if(z&1){h=pb()|0;k[u>>2]=0;j=417;w=52}else{k[t>>2]=h;y=0;h=Ha(973,t|0,78144)|0;z=y;y=0;if(z&1)h=pb()|0;else{i[m>>0]=0;k[j>>2]=k[c>>2];a=k[e+4>>2]|0;y=0;k[n>>2]=k[j>>2];a=Fa(1,b|0,n|0,d|0,t|0,a|0,f|0,m|0,h|0,u|0,p|0,l|0)|0;z=y;y=0;a:do if(z&1)w=11;else{b:do if(a){y=0;Ma(k[(k[h>>2]|0)+32>>2]|0,h|0,52834,52844,n|0)|0;z=y;y=0;if(z&1)a=pb()|0;else{a=(k[p>>2]|0)-(k[u>>2]|0)|0;if((a|0)>98){a=pd(a+2|0)|0;h=a;if(!a){y=0;la(6);z=y;y=0;if(!(z&1)){a=0;w=16}}else w=16}else{a=o;h=0;w=16}do if((w|0)==16){if(i[m>>0]|0){i[a>>0]=45;a=a+1|0}e=n+10|0;m=n;d=k[u>>2]|0;while(1){if(d>>>0>=(k[p>>2]|0)>>>0)break;l=i[d>>0]|0;j=n;while(1){if((j|0)==(e|0)){j=e;break}if((i[j>>0]|0)==l<<24>>24)break;j=j+1|0}i[a>>0]=i[52834+(j-m)>>0]|0;d=d+1|0;a=a+1|0}i[a>>0]=0;k[q>>2]=g;if((ZT(o,52845,q)|0)!=1){y=0;na(418,52849);z=y;y=0;if(z&1)break}if(h|0)Pf(h);break b}while(0);a=pb()|0;if(h|0)Pf(h)}break a}while(0);a=k[b>>2]|0;do if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;a=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;z=y;y=0;if(z&1){w=11;break a}if((a|0)==-1){k[b>>2]=0;a=0;break}else{a=k[b>>2]|0;break}}while(0);h=(a|0)==0;a=k[c>>2]|0;do if(!a)w=43;else{if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;a=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;z=y;y=0;if(z&1){w=11;break a}if((a|0)==-1){k[c>>2]=0;w=43;break}}if(!h)w=44}while(0);if((w|0)==43)if(h)w=44;if((w|0)==44)k[f>>2]=k[f>>2]|2;h=k[b>>2]|0;lQ(k[t>>2]|0)|0;a=k[u>>2]|0;k[u>>2]=0;if(a|0){y=0;na(k[v>>2]|0,a|0);z=y;y=0;if(z&1){z=tb(0)|0;dla(z)}}r=s;return h|0}while(0);if((w|0)==11)a=pb()|0;h=a}lQ(k[t>>2]|0)|0;a=k[u>>2]|0;k[u>>2]=0;if(!a)x=h;else{j=k[v>>2]|0;w=52}}if((w|0)==52){y=0;na(j|0,a|0);z=y;y=0;if(z&1){z=tb(0)|0;dla(z)}else x=h}sb(x|0);return 0}function bj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;o=r;r=r+48|0;m=o+36|0;p=o+24|0;n=o+12|0;l=o;pK(m,a+72|0);y=0;oa(452,p|0,b+72|0);j=y;y=0;if(j&1)c=pb()|0;else{if(!(ap(m,p)|0)){$9(p);$9(m);p=0;r=o;return p|0}y=0;oa(452,n|0,a+84|0);j=y;y=0;do if(j&1)c=pb()|0;else{y=0;oa(452,l|0,b+84|0);j=y;y=0;if(j&1){c=pb()|0;$9(n);break}e=i[n+11>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[n+4>>2]|0:e;j=i[l+11>>0]|0;c=j<<24>>24<0;if((g|0)!=((c?k[l+4>>2]|0:j&255)|0)){$9(l);$9(n);$9(p);$9(m);p=0;r=o;return p|0}h=k[n>>2]|0;j=f?h:n;c=c?k[l>>2]|0:l;d=(g|0)==0;a:do if(f){if(d){$9(l);$9(n);$9(p);$9(m);break}j=(zM(j,c,g)|0)==0;$9(l);$9(n);$9(p);$9(m);if(!j){p=0;r=o;return p|0}}else{if(d){$9(l);$9(n);$9(p);$9(m);break}b:do if((h&255)<<24>>24==(i[c>>0]|0)){d=n;while(1){e=e+-1|0;d=d+1|0;if(!e)break;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0))break b}$9(l);$9(n);$9(p);$9(m);break a}while(0);$9(l);$9(n);$9(p);$9(m);p=0;r=o;return p|0}while(0);rT(p,a+104|0);y=0;oa(464,m|0,b+104|0);l=y;y=0;do if(l&1)c=pb()|0;else{c=k[m>>2]|0;k[n>>2]=c;d=(c|0)!=0;e=k[p>>2]|0;f=(e|0)!=0;if(d&f){y=0;c=Ha(k[(k[e>>2]|0)+88>>2]|0,e|0,c|0)|0;m=y;y=0;if(m&1){c=pb()|0;EO(n);break}}else c=f^d^1;EO(n);EO(p);p=c;r=o;return p|0}while(0);EO(p);p=c;sb(p|0)}while(0);$9(p)}$9(m);p=c;sb(p|0);return 0}function cj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;p=r;r=r+64|0;q=p+44|0;n=p+32|0;l=p+16|0;m=p;s=p+28|0;o=p+12|0;pK(q,a+72|0);y=0;oa(452,n|0,b+72|0);j=y;y=0;if(j&1)c=pb()|0;else{if(!(ap(q,n)|0)){$9(n);$9(q);s=0;r=p;return s|0}y=0;oa(452,l|0,a+84|0);j=y;y=0;do if(j&1)c=pb()|0;else{y=0;oa(452,m|0,b+84|0);j=y;y=0;if(j&1){c=pb()|0;$9(l);break}e=i[l+11>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[l+4>>2]|0:e;j=i[m+11>>0]|0;c=j<<24>>24<0;if((g|0)!=((c?k[m+4>>2]|0:j&255)|0)){$9(m);$9(l);$9(n);$9(q);s=0;r=p;return s|0}h=k[l>>2]|0;j=f?h:l;c=c?k[m>>2]|0:m;d=(g|0)==0;a:do if(f){if(d){$9(m);$9(l);$9(n);$9(q);break}j=(zM(j,c,g)|0)==0;$9(m);$9(l);$9(n);$9(q);if(!j){s=0;r=p;return s|0}}else{if(d){$9(m);$9(l);$9(n);$9(q);break}b:do if((h&255)<<24>>24==(i[c>>0]|0)){d=l;while(1){e=e+-1|0;d=d+1|0;if(!e)break;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0))break b}$9(m);$9(l);$9(n);$9(q);break a}while(0);$9(m);$9(l);$9(n);$9(q);s=0;r=p;return s|0}while(0);rT(q,a+104|0);c=k[q>>2]|0;k[s>>2]=c;d=k[(k[c>>2]|0)+140>>2]|0;y=0;oa(464,q|0,b+104|0);b=y;y=0;do if(b&1)c=pb()|0;else{q=k[q>>2]|0;k[o>>2]=q;y=0;c=Ha(d|0,c|0,q|0)|0;q=y;y=0;if(q&1){c=pb()|0;EO(o);break}EO(o);EO(s);s=c;r=p;return s|0}while(0);EO(s);s=c;sb(s|0)}while(0);$9(n)}$9(q);s=c;sb(s|0);return 0}function dj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;t=r;r=r+32|0;u=t+20|0;s=t+8|0;q=t+4|0;p=t;o=a+20|0;m=k[o>>2]|0;n=b+20|0;_z(s,k[n>>2]|0);y=0;Na(137,u|0,m|0,s|0);m=y;y=0;if(m&1){g=pb()|0;h=k[s>>2]|0;a=h;if(h|0){e=s+4|0;f=k[e>>2]|0;if((f|0)!=(h|0))k[e>>2]=f+(~((f+-4-a|0)>>>2)<<2);zqa(h)}u=g;sb(u|0)}e=k[s>>2]|0;f=e;if(e|0){g=s+4|0;h=k[g>>2]|0;if((h|0)!=(e|0))k[g>>2]=h+(~((h+-4-f|0)>>>2)<<2);zqa(e)}f=k[o>>2]|0;a:do if(f>>>0>1){m=a+16|0;j=a+4|0;l=b+16|0;i=b+4|0;b=1;e=k[n>>2]|0;b:while(1){if(e>>>0>1){a=b+-1|0;h=1;do{y=0;oa(482,s|0,0);g=y;y=0;if(g&1){g=25;break b}g=(k[m>>2]|0)+b|0;y=0;oa(482,q|0,k[(k[(k[j>>2]|0)+(g>>>10<<2)>>2]|0)+((g&1023)<<2)>>2]|0);g=y;y=0;if(g&1){g=26;break b}g=(k[l>>2]|0)+h|0;y=0;oa(482,p|0,k[(k[(k[i>>2]|0)+(g>>>10<<2)>>2]|0)+((g&1023)<<2)>>2]|0);g=y;y=0;if(g&1){g=27;break b}y=0;e=Ma(19,c|0,q|0,p|0,s|0)|0;g=y;y=0;if(g&1){g=28;break b}EO(p);EO(q);f=k[u>>2]|0;g=h+-1|0;if(e)k[(k[f+(b*12|0)>>2]|0)+(h<<2)>>2]=(k[(k[f+(a*12|0)>>2]|0)+(g<<2)>>2]|0)+1;else{e=k[f+(b*12|0)>>2]|0;g=k[e+(g<<2)>>2]|0;f=k[(k[f+(a*12|0)>>2]|0)+(h<<2)>>2]|0;k[e+(h<<2)>>2]=(g|0)<(f|0)?f:g}EO(s);h=h+1|0;e=k[n>>2]|0}while(h>>>0<e>>>0);f=k[o>>2]|0}b=b+1|0;if(b>>>0>=f>>>0){g=10;break a}}if((g|0)==25){f=pb()|0;j=N;e=u;break}else if((g|0)==26){f=pb()|0;e=N}else if((g|0)==27){f=pb()|0;e=N;g=29}else if((g|0)==28){f=pb()|0;e=N;EO(p);g=29}if((g|0)==29)EO(q);EO(s);j=e;e=u}else g=10;while(0);do if((g|0)==10){if((u|0)!=(d|0)){y=0;Na(138,d|0,k[u>>2]|0,k[u+4>>2]|0);s=y;y=0;if(s&1){f=pb()|0;j=N;e=u;break}}e=k[u>>2]|0;if(!e){r=t;return}b=u+4|0;f=k[b>>2]|0;if((f|0)!=(e|0)){do{g=f+-12|0;k[b>>2]=g;h=k[g>>2]|0;a=h;if(!h)f=g;else{f=f+-8|0;g=k[f>>2]|0;if((g|0)!=(h|0))k[f>>2]=g+(~((g+-4-a|0)>>>2)<<2);zqa(h);f=k[b>>2]|0}}while((f|0)!=(e|0));e=k[u>>2]|0}zqa(e);r=t;return}while(0);e=k[e>>2]|0;if(e|0){i=u+4|0;g=k[i>>2]|0;if((g|0)!=(e|0)){do{h=g+-12|0;k[i>>2]=h;a=k[h>>2]|0;b=a;if(!a)g=h;else{g=g+-8|0;h=k[g>>2]|0;if((h|0)!=(a|0))k[g>>2]=h+(~((h+-4-b|0)>>>2)<<2);zqa(a);g=k[i>>2]|0}}while((g|0)!=(e|0));e=k[u>>2]|0}zqa(e)}u=f;sb(u|0)}function ej(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0.0;z=r;r=r+128|0;x=z+88|0;t=z+48|0;u=z+32|0;w=z+20|0;v=z+8|0;g=z;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;jI(x,35329,6);y=0;b=Ha(971,a|0,x|0)|0;s=y;y=0;if(s&1){z=pb()|0;$9(x);sb(z|0)}b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,448,0)|0;$9(x);if(!b){k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;jI(w,35329,6);y=0;o=x;q=e;s=o+40|0;do{k[o>>2]=k[q>>2];o=o+4|0;q=q+4|0}while((o|0)<(s|0));g=sa(24,w|0,a|0,d|0,x|0,f|0)|0;v=y;y=0;if(v&1){z=pb()|0;$9(w);sb(z|0)}$9(w);i=+p[g+64>>3]/255.0;j=+p[g+72>>3]/255.0;l=+p[g+80>>3]/255.0;b=j<l;h=b?l:j;h=i<h?h:i;A=l<j?l:j;A=A<i?A:i;m=h-A;n=(h+A)*.5;do if(h==A)h=0.0;else{if(i==h){h=(b?6.0:0.0)+(j-l)/m;break}if(j==h){h=(l-i)/m+2.0;break}if(l==h)h=(i-j)/m+4.0;else h=0.0}while(0);j=h/6.0*360.0;i=n*100.0;h=+p[g+88>>3];o=x;q=e;s=o+40|0;do{k[o>>2]=k[q>>2];o=o+4|0;q=q+4|0}while((o|0)<(s|0));e=lm(j,0.0,i,h,0,x)|0;r=z;return e|0}a=ZL(80)|0;o=t;q=e;s=o+40|0;do{k[o>>2]=k[q>>2];o=o+4|0;q=q+4|0}while((o|0)<(s|0));e=k[(k[b>>2]|0)+28>>2]|0;q=k[c+16>>2]|0;s=k[q+4>>2]|0;c=g;k[c>>2]=k[q>>2];k[c+4>>2]=s;y=0;k[x>>2]=k[g>>2];k[x+4>>2]=k[g+4>>2];Na(e|0,v|0,b|0,x|0);e=y;y=0;if(e&1)b=pb()|0;else{y=0;b=ta(52,v|0,0,35423)|0;e=y;y=0;if(e&1)b=pb()|0;else{k[w>>2]=k[b>>2];k[w+4>>2]=k[b+4>>2];k[w+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,w|0,44127)|0;e=y;y=0;do if(e&1)b=pb()|0;else{k[u>>2]=k[b>>2];k[u+4>>2]=k[b+4>>2];k[u+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;o=x;q=t;s=o+40|0;do{k[o>>2]=k[q>>2];o=o+4|0;q=q+4|0}while((o|0)<(s|0));Ea(2,a|0,x|0,u|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;$9(u);break}$9(u);$9(w);$9(v);e=a;r=z;return e|0}while(0);$9(w)}$9(v)}zqa(a);z=b;sb(z|0);return 0}function fj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;o=r;r=r+64|0;j=o+44|0;h=o+32|0;g=o+20|0;p=o+8|0;l=o+4|0;m=o;n=a+4|0;Yw(n);k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,44266,5);y=0;Na(139,n|0,j|0,b|0);i=y;y=0;if(i&1){p=pb()|0;$9(j);sb(p|0)}$9(j);Nka(n);i=b+68|0;Er(h,i);y=0;oa(605,n|0,k[h>>2]|0);f=y;y=0;if(f&1){g=pb()|0;e=N;c=k[h>>2]|0;if(!c){p=g;sb(p|0)}f=h+4|0;d=k[f>>2]|0;if((d|0)!=(c|0)){do{p=d+-12|0;k[f>>2]=p;$9(p);d=k[f>>2]|0}while((d|0)!=(c|0));c=k[h>>2]|0}zqa(c);p=g;sb(p|0)}c=k[h>>2]|0;if(c|0){e=h+4|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{f=d+-12|0;k[e>>2]=f;$9(f);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[h>>2]|0}zqa(c)}Er(g,i);f=g+4|0;d=k[f>>2]|0;c=k[g>>2]|0;h=(d-c|0)/12|0;e=c;if(c|0){if((d|0)!=(e|0)){c=d;do{d=c+-12|0;k[f>>2]=d;$9(d);c=k[f>>2]|0}while((c|0)!=(e|0));c=k[g>>2]|0}zqa(c)}a:do if(h>>>0>1){g=p+4|0;e=1;while(1){Hy(n);Er(p,i);y=0;oa(605,n|0,(k[p>>2]|0)+(e*12|0)|0);f=y;y=0;if(f&1)break;c=k[p>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{f=d+-12|0;k[g>>2]=f;$9(f);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[p>>2]|0}zqa(c)}e=e+1|0;if(e>>>0>=h>>>0)break a}f=pb()|0;e=N;c=k[p>>2]|0;if(!c){p=f;sb(p|0)}d=k[g>>2]|0;if((d|0)!=(c|0)){do{o=d+-12|0;k[g>>2]=o;$9(o);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[p>>2]|0}zqa(c);p=f;sb(p|0)}while(0);k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;jI(j,44272,4);y=0;oa(605,n|0,j|0);p=y;y=0;if(p&1){p=pb()|0;$9(j);sb(p|0)}$9(j);rT(j,b+80|0);p=k[j>>2]|0;k[l>>2]=p;y=0;oa(k[(k[p>>2]|0)+40>>2]|0,p|0,a|0);p=y;y=0;if(p&1){p=pb()|0;EO(l);sb(p|0)}EO(l);rT(j,b+64|0);p=k[j>>2]|0;k[m>>2]=p;y=0;oa(k[(k[p>>2]|0)+40>>2]|0,p|0,a|0);p=y;y=0;if(!(p&1)){EO(m);r=o;return}p=pb()|0;EO(m);sb(p|0)}function gj(a,b,c,d,e,f,g,h,j,l,m,n,o,p,q){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;k[c>>2]=a;B=p+8+3|0;I=p+4|0;C=o+8+3|0;D=o+4|0;E=(d&512|0)==0;F=(q|0)>0;G=n+11|0;H=n+4|0;A=0;while(1){if((A|0)==4)break;a:do switch(i[j+A>>0]|0){case 0:{k[b>>2]=k[c>>2];break}case 1:{k[b>>2]=k[c>>2];y=Fc[k[(k[g>>2]|0)+44>>2]&2047](g,32)|0;z=k[c>>2]|0;k[c>>2]=z+4;k[z>>2]=y;break}case 3:{z=i[B>>0]|0;r=z<<24>>24<0;if((r?k[I>>2]|0:z&255)|0){y=k[(r?k[p>>2]|0:p)>>2]|0;z=k[c>>2]|0;k[c>>2]=z+4;k[z>>2]=y}break}case 2:{v=i[C>>0]|0;r=v<<24>>24<0;v=r?k[D>>2]|0:v&255;if(!(E|(v|0)==0)){u=r?k[o>>2]|0:o;s=u+(v<<2)|0;t=k[c>>2]|0;r=t;while(1){if((u|0)==(s|0))break;k[r>>2]=k[u>>2];r=r+4|0;u=u+4|0}k[c>>2]=t+(v<<2)}break}case 4:{s=k[c>>2]|0;e=h?e+4|0:e;r=e;while(1){if(r>>>0>=f>>>0)break;if(!(rc[k[(k[g>>2]|0)+12>>2]&255](g,2048,k[r>>2]|0)|0))break;r=r+4|0}if(F){u=q;while(1){t=(u|0)>0;if(!(r>>>0>e>>>0&t))break;z=r+-4|0;x=k[z>>2]|0;y=k[c>>2]|0;k[c>>2]=y+4;k[y>>2]=x;u=u+-1|0;r=z}if(t)w=Fc[k[(k[g>>2]|0)+44>>2]&2047](g,48)|0;else w=0;v=k[c>>2]|0;while(1){t=v+4|0;if((u|0)<=0)break;k[v>>2]=w;u=u+-1|0;v=t}k[c>>2]=t;k[v>>2]=l}if((r|0)==(e|0)){y=Fc[k[(k[g>>2]|0)+44>>2]&2047](g,48)|0;z=k[c>>2]|0;r=z+4|0;k[c>>2]=r;k[z>>2]=y}else{z=i[G>>0]|0;y=z<<24>>24<0;z=y?k[H>>2]|0:z&255;if(!z){v=-1;t=0;w=0}else{v=i[(y?k[n>>2]|0:n)>>0]|0;t=0;w=0}while(1){if((r|0)==(e|0))break;u=k[c>>2]|0;if((w|0)==(v|0)){x=u+4|0;k[c>>2]=x;k[u>>2]=m;t=t+1|0;if(t>>>0<z>>>0){v=i[(y?k[n>>2]|0:n)+t>>0]|0;v=v<<24>>24|0;v=(v|0)==127?-1:v|0;w=0;u=x}else{v=w;w=0;u=x}}x=r+-4|0;J=k[x>>2]|0;k[c>>2]=u+4;k[u>>2]=J;w=w+1|0;r=x}r=k[c>>2]|0}if((s|0)!=(r|0))while(1){r=r+-4|0;if(s>>>0>=r>>>0)break a;J=k[s>>2]|0;k[s>>2]=k[r>>2];k[r>>2]=J;s=s+4|0}break}default:{}}while(0);A=A+1|0}e=i[B>>0]|0;r=e<<24>>24<0;e=r?k[I>>2]|0:e&255;if(e>>>0>1){r=r?k[p>>2]|0:p;u=r+4|0;r=r+(e<<2)|0;s=k[c>>2]|0;t=r-u|0;e=s;while(1){if((u|0)==(r|0))break;k[e>>2]=k[u>>2];e=e+4|0;u=u+4|0}k[c>>2]=s+(t>>>2<<2)}switch((d&176)<<24>>24){case 32:{k[b>>2]=k[c>>2];break}case 16:break;default:k[b>>2]=a}return}function hj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;s=0;u=r;r=r+80|0;t=u+40|0;j=u+36|0;g=u+32|0;h=u+28|0;v=u+24|0;m=u+20|0;l=u+16|0;q=u+12|0;n=u+8|0;o=u+4|0;p=u;c=ZL(92)|0;y=0;d=t;e=b+12|0;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));oa(550,c|0,t|0);f=y;y=0;if(f&1){v=pb()|0;zqa(c);sb(v|0)}_V(v,c);d=b+88|0;y=0;oa(464,h|0,d|0);f=y;y=0;a:do if(f&1)s=14;else{h=k[h>>2]|0;k[m>>2]=h;b:do if(!h)EO(m);else{y=0;oa(464,g|0,d|0);h=y;y=0;do if(h&1)c=pb()|0;else{c=k[g>>2]|0;k[l>>2]=c;y=0;c=qa(k[(k[c>>2]|0)+116>>2]|0,c|0)|0;h=y;y=0;if(h&1){c=pb()|0;EO(l);break}EO(l);EO(m);if(!c)break b;y=0;oa(464,j|0,d|0);m=y;y=0;if(m&1){s=14;break a}c=k[j>>2]|0;k[n>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;m=y;y=0;if(!(m&1)){y=0;oa(482,q|0,c|0);m=y;y=0;if(!(m&1)){EO(n);d=k[v>>2]|0;c=k[q>>2]|0;if(!c)c=0;else c=pw(c,40,216,0)|0;y=0;oa(482,p|0,c|0);n=y;y=0;if(n&1)c=pb()|0;else{c=d+88|0;y=0;Ha(966,c|0,p|0)|0;n=y;y=0;if(!(n&1)){y=0;oa(464,t|0,c|0);n=y;y=0;if(!(n&1)){k[o>>2]=k[t>>2];EO(o);EO(p);EO(q);break b}}c=pb()|0;EO(p)}EO(q);break a}}c=pb()|0;EO(n);break a}while(0);EO(m);break a}while(0);l=b+64|0;d=k[l>>2]|0;j=(k[b+68>>2]|0)-d>>2;c:do if(j|0){h=a+8|0;c=0;while(1){f=k[v>>2]|0;g=f+64|0;d=k[d+(c<<2)>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,h|0)|0;s=y;y=0;if(s&1){s=39;break}y=0;oa(482,t|0,d|0);s=y;y=0;if(s&1){s=39;break}d=f+68|0;e=k[d>>2]|0;if(e>>>0<(k[f+72>>2]|0)>>>0){y=0;oa(464,e|0,t|0);s=y;y=0;if(s&1){s=40;break}k[d>>2]=(k[d>>2]|0)+4}else{y=0;oa(546,g|0,t|0);s=y;y=0;if(s&1){s=40;break}}EO(t);c=c+1|0;if(c>>>0>=j>>>0)break c;d=k[l>>2]|0}if((s|0)==39)c=pb()|0;else if((s|0)==40){c=pb()|0;EO(t)}break a}while(0);c=k[v>>2]|0;if(!c){t=0;EO(v);r=u;return t|0}i[c+8>>0]=1;t=c;EO(v);r=u;return t|0}while(0);if((s|0)==14)c=pb()|0;EO(v);v=c;sb(v|0);return 0}function ij(a,b,c,d,e,f,g,h,l,m,n,o,p,q,r){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;k[c>>2]=a;z=q+11|0;H=q+4|0;A=p+11|0;B=p+4|0;C=(d&512|0)==0;D=g+8|0;E=(r|0)>0;F=o+11|0;G=o+4|0;y=0;while(1){if((y|0)==4)break;a:do switch(i[l+y>>0]|0){case 0:{k[b>>2]=k[c>>2];break}case 1:{k[b>>2]=k[c>>2];w=Fc[k[(k[g>>2]|0)+28>>2]&2047](g,32)|0;x=k[c>>2]|0;k[c>>2]=x+1;i[x>>0]=w;break}case 3:{x=i[z>>0]|0;s=x<<24>>24<0;if((s?k[H>>2]|0:x&255)|0){w=i[(s?k[q>>2]|0:q)>>0]|0;x=k[c>>2]|0;k[c>>2]=x+1;i[x>>0]=w}break}case 2:{t=i[A>>0]|0;s=t<<24>>24<0;t=s?k[B>>2]|0:t&255;if(!(C|(t|0)==0)){x=s?k[p>>2]|0:p;u=x+t|0;s=k[c>>2]|0;t=x;while(1){if((t|0)==(u|0))break;i[s>>0]=i[t>>0]|0;s=s+1|0;t=t+1|0}k[c>>2]=s}break}case 4:{t=k[c>>2]|0;e=h?e+1|0:e;u=e;while(1){if(u>>>0>=f>>>0)break;s=i[u>>0]|0;if(s<<24>>24<=-1)break;if(!(j[(k[D>>2]|0)+(s<<24>>24<<1)>>1]&2048))break;u=u+1|0}if(E){v=r;while(1){s=(v|0)>0;if(!(u>>>0>e>>>0&s))break;x=u+-1|0;s=i[x>>0]|0;w=k[c>>2]|0;k[c>>2]=w+1;i[w>>0]=s;v=v+-1|0;u=x}if(s)w=Fc[k[(k[g>>2]|0)+28>>2]&2047](g,48)|0;else w=0;s=v;while(1){v=k[c>>2]|0;k[c>>2]=v+1;if((s|0)<=0)break;i[v>>0]=w;s=s+-1|0}i[v>>0]=m}b:do if((u|0)==(e|0)){w=Fc[k[(k[g>>2]|0)+28>>2]&2047](g,48)|0;x=k[c>>2]|0;k[c>>2]=x+1;i[x>>0]=w}else{x=i[F>>0]|0;s=x<<24>>24<0;if(!((s?k[G>>2]|0:x&255)|0)){w=-1;v=0;x=0}else{w=i[(s?k[o>>2]|0:o)>>0]|0;v=0;x=0}while(1){if((u|0)==(e|0))break b;if((x|0)==(w|0)){w=k[c>>2]|0;k[c>>2]=w+1;i[w>>0]=n;v=v+1|0;w=i[F>>0]|0;s=w<<24>>24<0;if(v>>>0<(s?k[G>>2]|0:w&255)>>>0){w=i[(s?k[o>>2]|0:o)+v>>0]|0;w=w<<24>>24|0;w=(w|0)==127?-1:w|0;s=0}else{w=x;s=0}}else s=x;I=u+-1|0;J=i[I>>0]|0;x=k[c>>2]|0;k[c>>2]=x+1;i[x>>0]=J;x=s+1|0;u=I}}while(0);s=k[c>>2]|0;if((t|0)!=(s|0))while(1){s=s+-1|0;if(t>>>0>=s>>>0)break a;J=i[t>>0]|0;i[t>>0]=i[s>>0]|0;i[s>>0]=J;t=t+1|0}break}default:{}}while(0);y=y+1|0}e=i[z>>0]|0;s=e<<24>>24<0;e=s?k[H>>2]|0:e&255;if(e>>>0>1){J=s?k[q>>2]|0:q;t=J+e|0;s=k[c>>2]|0;e=J;while(1){e=e+1|0;if((e|0)==(t|0))break;i[s>>0]=i[e>>0]|0;s=s+1|0}k[c>>2]=s}switch((d&176)<<24>>24){case 32:{k[b>>2]=k[c>>2];break}case 16:break;default:k[b>>2]=a}return}function jj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;o=r;r=r+64|0;n=o+52|0;h=o+40|0;g=o+36|0;t=o+24|0;q=o+4|0;j=o+20|0;l=o+16|0;m=o;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;jI(n,50724,1);y=0;na(375,h|0);s=y;y=0;do if(s&1)b=pb()|0;else{y=0;Ra(17,t|0,c+24|0,n|0,h|0);s=y;y=0;if(s&1){b=pb()|0;$9(h);break}$9(h);$9(n);y=0;Na(100,a|0,t|0,c|0);s=y;y=0;if(s&1)b=pb()|0;else{i=b+312|0;d=k[i>>2]|0;p=(k[b+316>>2]|0)-d|0;f=(p|0)/12|0;s=a+4|0;if(!(p|0?(k[s>>2]|0)==(k[a>>2]|0):0)){$9(t);r=o;return}p=q+4|0;b=0;while(1){y=0;Na(100,q|0,d+(b*12|0)|0,c|0);e=y;y=0;if(e&1){d=14;break}e=k[p>>2]|0;d=k[q>>2]|0;if((e|0)!=(d|0)){k[j>>2]=k[s>>2];k[l>>2]=d;k[m>>2]=e;y=0;k[g>>2]=k[j>>2];k[h>>2]=k[l>>2];k[n>>2]=k[m>>2];Ma(9,a|0,g|0,h|0,n|0)|0;e=y;y=0;if(e&1){d=15;break}d=k[q>>2]|0}if(d|0){e=k[p>>2]|0;if((e|0)!=(d|0)){do{u=e+-48|0;k[p>>2]=u;$9(e+-12|0);$9(e+-24|0);$9(e+-36|0);$9(u);e=k[p>>2]|0}while((e|0)!=(d|0));d=k[q>>2]|0}zqa(d)}b=b+1|0;if(!(b>>>0<f>>>0?(k[s>>2]|0)==(k[a>>2]|0):0)){d=33;break}d=k[i>>2]|0}if((d|0)==14){b=pb()|0;f=N}else if((d|0)==15){b=pb()|0;f=N;d=k[q>>2]|0;if(d|0){e=k[p>>2]|0;if((e|0)!=(d|0)){do{u=e+-48|0;k[p>>2]=u;$9(e+-12|0);$9(e+-24|0);$9(e+-36|0);$9(u);e=k[p>>2]|0}while((e|0)!=(d|0));d=k[q>>2]|0}zqa(d)}}else if((d|0)==33){$9(t);r=o;return}d=k[a>>2]|0;if(d){e=k[s>>2]|0;if((e|0)!=(d|0)){do{u=e+-48|0;k[s>>2]=u;$9(e+-12|0);$9(e+-24|0);$9(e+-36|0);$9(u);e=k[s>>2]|0}while((e|0)!=(d|0));d=k[a>>2]|0}zqa(d)}}$9(t);u=b;sb(u|0)}while(0);$9(n);u=b;sb(u|0)}function kj(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;n=r;r=r+112|0;g=n;m=n+100|0;b=n+96|0;s=n+92|0;l=n+88|0;j=n+48|0;p=n+44|0;q=n+40|0;o=Cj(a)|0;k[b>>2]=o;do if(!o){y=0;oa(482,m|0,0);s=y;y=0;if(!(s&1)){s=b;EO(s);s=k[m>>2]|0;r=n;return s|0}}else{h=a+108|0;while(1){y=0;c=ta(81,a|0,1,0)|0;o=y;y=0;if(o&1){e=8;break}if(!c){y=0;c=ta(80,a|0,1,0)|0;o=y;y=0;if(o&1){e=8;break}if(!c){e=34;break}else f=1}else f=0;y=0;ta(70,a|0,1,0)|0;o=y;y=0;if(o&1){e=8;break}y=0;c=qa(433,a|0)|0;o=y;y=0;if(o&1){e=8;break}k[s>>2]=c;y=0;o=qa(332,72)|0;e=y;y=0;if(e&1){e=25;break}c=j;d=h;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(482,p|0,k[b>>2]|0);e=y;y=0;if(e&1){e=26;break}y=0;oa(482,q|0,k[s>>2]|0);e=y;y=0;if(e&1){e=27;break}c=g;d=j;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(366,o|0);e=y;y=0;if(e&1){c=1;e=28;break}c=o+12|0;d=g;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));i[o+52>>0]=0;i[o+53>>0]=0;i[o+54>>0]=0;k[o+56>>2]=0;k[o>>2]=10324;c=o+60|0;y=0;oa(464,c|0,p|0);e=y;y=0;if(e&1){e=19;break}y=0;oa(464,o+64|0,q|0);e=y;y=0;if(e&1){e=20;break}k[o+68>>2]=f;y=0;oa(482,l|0,o|0);f=y;y=0;if(f&1){c=0;e=28;break}y=0;Ha(966,b|0,l|0)|0;f=y;y=0;if(f&1){e=30;break}EO(l);EO(q);EO(p);EO(s)}if((e|0)==8){s=pb()|0;q=b;EO(q);sb(s|0)}else if((e|0)==19){c=pb()|0;e=21}else if((e|0)==20){n=pb()|0;EO(c);c=n;e=21}else if((e|0)==25)c=pb()|0;else if((e|0)==26){c=pb()|0;e=32}else if((e|0)==27){c=pb()|0;EO(p);e=32}else if((e|0)==28){n=pb()|0;d=c;c=n;e=29}else if((e|0)==30){c=pb()|0;EO(l);d=0;e=31}else if((e|0)==34){y=0;oa(464,m|0,b|0);s=y;y=0;if(s&1)break;EO(b);s=k[m>>2]|0;r=n;return s|0}if((e|0)==21){d=1;e=29}if((e|0)==29)e=31;if((e|0)==31){EO(q);EO(p);if(d)e=32}if((e|0)==32)zqa(o);EO(s);s=c;q=b;EO(q);sb(s|0)}while(0);s=pb()|0;q=b;EO(q);sb(s|0);return 0}function lj(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;A=0;z=r;r=r+480|0;p=z+468|0;E=z+464|0;v=z+472|0;w=z+460|0;x=z+456|0;B=z+444|0;C=z+432|0;D=z+420|0;o=z+416|0;h=z+16|0;q=z+8|0;s=z+4|0;t=z;u=yV(d)|0;k[E>>2]=u;y=0;u=Ha(973,E|0,78176)|0;n=y;y=0;a:do if(n&1)a=pb()|0;else{l=f+8+3|0;m=i[l>>0]|0;a=m<<24>>24<0;n=f+4|0;do if(!((a?k[n>>2]|0:m&255)|0))m=0;else{a=k[(a?k[f>>2]|0:f)>>2]|0;y=0;g=Ha(k[(k[u>>2]|0)+44>>2]|0,u|0,45)|0;m=y;y=0;if(m&1){a=pb()|0;break a}else{m=(a|0)==(g|0);break}}while(0);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[D+(a<<2)>>2]=0;a=a+1|0}y=0;Ga(4,c|0,m|0,E|0,v|0,w|0,x|0,B|0,C|0,D|0,o|0);j=y;y=0;if(j&1)a=pb()|0;else{j=i[l>>0]|0;c=k[n>>2]|0;g=j<<24>>24<0?c:j&255;a=k[o>>2]|0;if((g|0)>(a|0)){G=i[D+8+3>>0]|0;F=i[C+8+3>>0]|0;g=(G<<24>>24<0?k[D+4>>2]|0:G&255)+(g-a<<1|1)+(F<<24>>24<0?k[C+4>>2]|0:F&255)|0}else{G=i[D+8+3>>0]|0;g=i[C+8+3>>0]|0;g=(G<<24>>24<0?k[D+4>>2]|0:G&255)+2+(g<<24>>24<0?k[C+4>>2]|0:g&255)|0}g=g+a|0;do if(g>>>0>100){h=pd(g<<2)|0;g=h;if(!h){y=0;la(6);G=y;y=0;if(G&1){a=pb()|0;break}else{h=0;j=i[l>>0]|0;c=k[n>>2]|0;a=k[o>>2]|0;A=26;break}}else A=26}else{g=0;A=26}while(0);if((A|0)==26){G=j<<24>>24<0;F=G?k[f>>2]|0:f;y=0;va(2,h|0,q|0,s|0,k[d+4>>2]|0,F|0,F+((G?c:j&255)<<2)|0,u|0,m|0,v|0,k[w>>2]|0,k[x>>2]|0,B|0,C|0,D|0,a|0);G=y;y=0;if(!(G&1)){k[t>>2]=k[b>>2];G=k[q>>2]|0;a=k[s>>2]|0;y=0;k[p>>2]=k[t>>2];a=pa(45,p|0,h|0,G|0,a|0,d|0,e|0)|0;G=y;y=0;if(!(G&1)){if(g|0)Pf(g);w9(D);w9(C);$9(B);lQ(k[E>>2]|0)|0;r=z;return a|0}}a=pb()|0}if(g|0)Pf(g)}w9(D);w9(C);$9(B)}while(0);lQ(k[E>>2]|0)|0;sb(a|0);return 0}function mj(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;A=0;z=r;r=r+176|0;p=z+56|0;E=z+52|0;v=z+164|0;w=z+161|0;x=z+160|0;B=z+40|0;C=z+28|0;D=z+16|0;o=z+12|0;h=z+60|0;q=z+8|0;s=z+4|0;t=z;u=yV(d)|0;k[E>>2]=u;y=0;u=Ha(973,E|0,78144)|0;n=y;y=0;a:do if(n&1)a=pb()|0;else{l=f+11|0;m=i[l>>0]|0;a=m<<24>>24<0;n=f+4|0;do if(!((a?k[n>>2]|0:m&255)|0))m=0;else{a=i[(a?k[f>>2]|0:f)>>0]|0;y=0;g=Ha(k[(k[u>>2]|0)+28>>2]|0,u|0,45)|0;m=y;y=0;if(m&1){a=pb()|0;break a}else{m=a<<24>>24==g<<24>>24;break}}while(0);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[D+(a<<2)>>2]=0;a=a+1|0}y=0;Ga(3,c|0,m|0,E|0,v|0,w|0,x|0,B|0,C|0,D|0,o|0);j=y;y=0;if(j&1)a=pb()|0;else{j=i[l>>0]|0;c=k[n>>2]|0;g=j<<24>>24<0?c:j&255;a=k[o>>2]|0;if((g|0)>(a|0)){G=i[D+11>>0]|0;F=i[C+11>>0]|0;g=(G<<24>>24<0?k[D+4>>2]|0:G&255)+(g-a<<1|1)+(F<<24>>24<0?k[C+4>>2]|0:F&255)|0}else{G=i[D+11>>0]|0;g=i[C+11>>0]|0;g=(G<<24>>24<0?k[D+4>>2]|0:G&255)+2+(g<<24>>24<0?k[C+4>>2]|0:g&255)|0}g=g+a|0;do if(g>>>0>100){h=pd(g)|0;g=h;if(!h){y=0;la(6);G=y;y=0;if(G&1){a=pb()|0;break}else{h=0;j=i[l>>0]|0;c=k[n>>2]|0;a=k[o>>2]|0;A=26;break}}else A=26}else{g=0;A=26}while(0);if((A|0)==26){G=j<<24>>24<0;F=G?k[f>>2]|0:f;y=0;va(1,h|0,q|0,s|0,k[d+4>>2]|0,F|0,F+(G?c:j&255)|0,u|0,m|0,v|0,i[w>>0]|0,i[x>>0]|0,B|0,C|0,D|0,a|0);G=y;y=0;if(!(G&1)){k[t>>2]=k[b>>2];G=k[q>>2]|0;a=k[s>>2]|0;y=0;k[p>>2]=k[t>>2];a=pa(39,p|0,h|0,G|0,a|0,d|0,e|0)|0;G=y;y=0;if(!(G&1)){if(g|0)Pf(g);$9(D);$9(C);$9(B);lQ(k[E>>2]|0)|0;r=z;return a|0}}a=pb()|0}if(g|0)Pf(g)}$9(D);$9(C);$9(B)}while(0);lQ(k[E>>2]|0)|0;sb(a|0);return 0}function nj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;x=0;v=r;r=r+144|0;j=v+96|0;o=v+92|0;g=v+88|0;s=v+84|0;t=v+80|0;c=v+76|0;d=v+72|0;e=v+68|0;w=v+64|0;h=v+24|0;m=v+20|0;n=v+16|0;l=v+12|0;p=v+8|0;q=v+4|0;u=v;f=b+64|0;rT(j,f);i=k[j>>2]|0;k[d>>2]=i;if(!i)EO(d);else{y=0;oa(464,c|0,f|0);i=y;y=0;if(i&1){x=pb()|0;EO(d);sb(x|0)}i=k[c>>2]|0;k[e>>2]=i;i=(k[i+72>>2]|0)==(k[i+68>>2]|0);EO(e);EO(d);if(!i){i=ZL(72)|0;c=h;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(464,g|0,f|0);f=y;y=0;do if(f&1)c=pb()|0;else{g=k[g>>2]|0;k[n>>2]=g;y=0;c=Ha(c|0,a|0,g|0)|0;g=y;y=0;if(!(g&1)){y=0;oa(482,m|0,c|0);g=y;y=0;if(!(g&1)){y=0;c=j;d=h;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Na(127,i|0,j|0,m|0);h=y;y=0;if(h&1)d=1;else{y=0;oa(482,w|0,i|0);h=y;y=0;if(h&1)d=0;else{EO(m);EO(n);d=b+68|0;y=0;oa(464,j|0,d|0);n=y;y=0;a:do if(n&1)x=22;else{n=k[j>>2]|0;k[l>>2]=n;EO(l);do if(n|0){c=k[w>>2]|0;y=0;oa(464,o|0,d|0);n=y;y=0;if(n&1){x=22;break a}k[q>>2]=k[o>>2];c=c+68|0;y=0;Ha(966,c|0,q|0)|0;o=y;y=0;if(!(o&1)){y=0;oa(464,s|0,c|0);o=y;y=0;if(!(o&1)){k[p>>2]=k[s>>2];EO(p);EO(q);break}}c=pb()|0;EO(q);break a}while(0);y=0;oa(464,t|0,(k[w>>2]|0)+64|0);s=y;y=0;if(s&1)x=22;else{c=k[t>>2]|0;k[u>>2]=c;y=0;c=ta(157,a|0,c|0,k[w>>2]|0)|0;t=y;y=0;if(t&1){c=pb()|0;EO(u);break}EO(u);EO(w);x=c;r=v;return x|0}}while(0);if((x|0)==22)c=pb()|0;EO(w);x=c;sb(x|0)}}c=pb()|0;EO(m);EO(n);if(d)break;sb(c|0)}}c=pb()|0;EO(n)}while(0);zqa(i);x=c;sb(x|0)}}x=b;r=v;return x|0}function oj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;p=r;r=r+96|0;e=p+40|0;o=p;q=p+84|0;n=p+80|0;l=ZL(88)|0;m=b+72|0;j=b+76|0;h=b+80|0;c=k[h>>2]|0;d=k[j>>2]|0;g=e;b=b+12|0;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));y=0;na(366,l|0);g=y;y=0;do if(g&1)b=pb()|0;else{d=c-d>>2;g=l+12|0;b=e;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;b=l+56|0;k[b>>2]=0;k[l>>2]=7760;c=l+60|0;k[c>>2]=7720;f=l+64|0;g=l+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,d|0);e=y;y=0;if(e&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{q=d+-4|0;k[g>>2]=q;EO(q);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[l>>2]=7552;k[c>>2]=7680;k[l+80>>2]=0;i[l+84>>0]=0;i[l+85>>0]=0;k[b>>2]=5;_V(q,l);b=k[q>>2]|0;i[b+85>>0]=1;f=(k[h>>2]|0)-(k[j>>2]|0)>>2;do if(!f)c=12;else{e=0;while(1){y=0;b=Ha(k[(k[m>>2]|0)+16>>2]|0,m|0,e|0)|0;l=y;y=0;if(l&1){c=18;break}if(k[b>>2]|0){c=(k[q>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;b=Ha(k[(k[m>>2]|0)+16>>2]|0,m|0,e|0)|0;l=y;y=0;if(l&1){c=18;break}b=k[b>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,a|0)|0;l=y;y=0;if(l&1){c=18;break}y=0;oa(482,n|0,b|0);l=y;y=0;if(l&1){c=18;break}y=0;oa(d|0,c|0,n|0);l=y;y=0;if(l&1){c=25;break}EO(n)}e=e+1|0;if(e>>>0>=f>>>0){c=11;break}}if((c|0)==11){b=k[q>>2]|0;c=12;break}else if((c|0)==18){b=pb()|0;break}else if((c|0)==25){b=pb()|0;EO(n);break}}while(0);do if((c|0)==12){if((k[b+68>>2]|0)!=(k[b+64>>2]|0)){if(!b)b=0;else i[b+8>>0]=1;o=b;EO(q);r=p;return o|0}y=0;c=qa(332,60)|0;n=y;y=0;if(n&1){b=pb()|0;break}g=o;b=b+12|0;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));y=0;na(366,c|0);n=y;y=0;if(n&1){b=pb()|0;zqa(c);break}g=c+12|0;b=o;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=11032;k[c+56>>2]=8;o=c;EO(q);r=p;return o|0}while(0);EO(q);q=b;sb(q|0)}while(0);zqa(l);q=b;sb(q|0);return 0}function pj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;e=0;i=r;r=r+48|0;g=i+32|0;l=i+28|0;c=i+4|0;m=i+8|0;j=i;rT(l,b+68|0);y=0;oa(464,g|0,b+64|0);h=y;y=0;if(h&1){m=pb()|0;EO(l);sb(m|0)}f=k[g>>2]|0;k[c>>2]=f;EO(c);d=a+24|0;h=a+28|0;c=k[h>>2]|0;if((c|0)==(k[d>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;Na(120,m|0,c|0,1);c=y;y=0;if(c&1){m=pb()|0;EO(l);sb(m|0)}k[g>>2]=m;c=k[h>>2]|0;if(c>>>0<(k[a+32>>2]|0)>>>0){k[c>>2]=m;k[h>>2]=(k[h>>2]|0)+4;e=8}else{y=0;oa(573,d|0,g|0);d=y;y=0;if(d&1)c=pb()|0;else e=8}a:do if((e|0)==8){d=a+48|0;y=0;oa(482,g|0,b|0);b=y;y=0;do if(b&1)c=pb()|0;else{b=a+52|0;c=k[b>>2]|0;if(c>>>0<(k[a+56>>2]|0)>>>0){y=0;oa(464,c|0,g|0);d=y;y=0;if(d&1)e=27;else k[b>>2]=(k[b>>2]|0)+4}else{y=0;oa(584,d|0,g|0);d=y;y=0;if(d&1)e=27}if((e|0)==27){c=pb()|0;EO(g);break}EO(g);c=k[l>>2]|0;d=a+8|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,d|0)|0;e=y;y=0;if(!(e&1)){y=0;oa(482,j|0,c|0);e=y;y=0;if(!(e&1)){while(1){c=k[j>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+72>>2]|0,c|0)|0;e=y;y=0;if(e&1){e=30;break}if(!c){e=34;break}y=0;oa(583,a|0,f|0);e=y;y=0;if(e&1){e=30;break}c=k[l>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,d|0)|0;e=y;y=0;if(e&1){e=31;break}y=0;oa(482,g|0,c|0);e=y;y=0;if(e&1){e=31;break}y=0;Ha(966,j|0,g|0)|0;e=y;y=0;if(e&1){e=32;break}EO(g)}if((e|0)==30)c=pb()|0;else if((e|0)==31){c=pb()|0;e=33}else if((e|0)==32){c=pb()|0;EO(g);e=33}else if((e|0)==34){d=k[b>>2]|0;c=d+-4|0;do{g=d+-4|0;k[b>>2]=g;EO(g);d=k[b>>2]|0}while((d|0)!=(c|0));k[h>>2]=(k[h>>2]|0)+-4;EO(j);jB(m,k[m+4>>2]|0);EO(l);r=i;return 0}EO(j);break a}}c=pb()|0;break a}while(0)}while(0);jB(m,k[m+4>>2]|0);m=c;EO(l);sb(m|0);return 0}function qj(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;b=yO(a)|0;if(b|0){a=b;return a|0}a:do if(a|0){c=i[45693]|0;b:do if(!(c<<24>>24)){b=a;e=6}else{b=a;d=45693;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=6;break}}}while(0);c:do if((e|0)==6){c=i[b>>0]|0;if(c<<24>>24){e=b;d:while(1){if(e|0){b=i[46478]|0;if(!(b<<24>>24)){b=e;e=22;break}if(c<<24>>24==b<<24>>24){b=e;c=46478;do{b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24)){e=22;break d}}while((i[b>>0]|0)==d<<24>>24)}}e=e+1|0;c=i[e>>0]|0;if(!(c<<24>>24))break c}if((e|0)==22)return b|0}}while(0);c=i[45696]|0;if(!(c<<24>>24))b=a;else{b=a;d=45696;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}while(1){if(baa(b)|0)break;c=Lja(b)|0;if((c|0)==(b|0)|(c|0)==0)break a;else b=c}if(b|0){a=b;return a|0}}while(0);if((i[a>>0]|0)==47){b=Pw(a+1|0)|0;if(b|0){a=b;return a|0}}a=eg(a)|0;return a|0}function rj(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=0;a=ex(a)|0;if(!a){j=0;return j|0}h=i[44181]|0;d=h<<24>>24==0;a:do if(!d){b=44181;c=h;while(1){if((i[a>>0]|0)!=c<<24>>24){a=0;break}a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break a}return a|0}while(0);c=i[a>>0]|0;if(!(c<<24>>24)){j=0;return j|0}if(d){b=0;d=0;while(1){switch(c<<24>>24){case 92:{e=d;a=a+1|0;break}case 34:{b=b^1;e=d;break}case 39:{e=d^1;break}default:if(b){b=1;e=d}else{b=0;e=d;a=d?a:a+-1|0}}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=0;break}else d=e}return a|0}else{b=0;d=0;g=0}b:while(1){c:do switch(c<<24>>24){case 92:{a=a+1|0;e=g;break}case 34:{b=b^1;e=g;break}case 39:{d=d^1;e=g;break}default:if(b){b=1;e=g}else if(d){b=0;d=1;e=g}else if(!a){b=0;d=0;a=0;e=g}else{d:do if(c<<24>>24==h<<24>>24){f=a;b=44181;while(1){d=f+1|0;b=b+1|0;e=i[b>>0]|0;if(!(e<<24>>24))break;if((i[d>>0]|0)!=e<<24>>24)break d;else f=d}b=0;d=0;a=f;e=g+1|0;break c}while(0);b=i[45708]|0;e:do if(!(b<<24>>24))c=a;else{if(c<<24>>24==b<<24>>24){b=a;c=45708}else{b=0;d=0;e=g;break c}while(1){b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24)){c=b;break e}if((i[b>>0]|0)!=d<<24>>24){b=0;d=0;e=g;break c}}}while(0);if(!g)break b;else{b=0;d=0;a=c+-1|0;e=g+-1|0}}}while(0);a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=0;j=48;break}else g=e}if((j|0)==48)return a|0;if(!c){j=0;return j|0}a=eV(c)|0;do if(!a){a=c+1|0;b=(i[c>>0]|0)==36?a:c;if(b|0){if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=kw(b)|0;if(b|0){b=iw(b)|0;if(b|0){a=b;break}}}b=yq(c)|0;if(!b){if((i[c>>0]|0)!=45){j=c;return j|0}}else a=b}while(0);while(1){b=eV(a)|0;if(b|0){a=b;continue}c=a+1|0;b=(i[a>>0]|0)==36?c:a;if(b|0){if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=kw(b)|0;if(b|0){b=iw(b)|0;if(b|0){a=b;continue}}}b=yq(a)|0;if(b|0){a=b;continue}if((i[a>>0]|0)==45)a=c;else break}return a|0}function sj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;n=a+4|0;o=k[n>>2]|0;c=o&-8;j=a+c|0;h=k[19153]|0;d=o&3;if(!((d|0)!=1&a>>>0>=h>>>0&a>>>0<j>>>0))Za();e=k[j+4>>2]|0;if(!(e&1))Za();if(!d){if(b>>>0<256){a=0;return a|0}if(c>>>0>=(b+4|0)>>>0)if((c-b|0)>>>0<=k[19269]<<1>>>0)return a|0;a=0;return a|0}if(c>>>0>=b>>>0){c=c-b|0;if(c>>>0<=15)return a|0;m=a+b|0;k[n>>2]=o&1|b|2;k[m+4>>2]=c|3;o=m+c+4|0;k[o>>2]=k[o>>2]|1;Zf(m,c);return a|0}if((j|0)==(k[19155]|0)){c=(k[19152]|0)+c|0;if(c>>>0<=b>>>0){a=0;return a|0}m=c-b|0;l=a+b|0;k[n>>2]=o&1|b|2;k[l+4>>2]=m|1;k[19155]=l;k[19152]=m;return a|0}if((j|0)==(k[19154]|0)){d=(k[19151]|0)+c|0;if(d>>>0<b>>>0){a=0;return a|0}c=d-b|0;if(c>>>0>15){d=a+b|0;m=d+c|0;k[n>>2]=o&1|b|2;k[d+4>>2]=c|1;k[m>>2]=c;o=m+4|0;k[o>>2]=k[o>>2]&-2}else{k[n>>2]=o&1|d|2;d=a+d+4|0;k[d>>2]=k[d>>2]|1;d=0;c=0}k[19151]=c;k[19154]=d;return a|0}if(e&2|0){a=0;return a|0}l=(e&-8)+c|0;if(l>>>0<b>>>0){a=0;return a|0}m=l-b|0;f=e>>>3;do if(e>>>0<256){d=k[j+8>>2]|0;e=k[j+12>>2]|0;c=76636+(f<<1<<2)|0;if((d|0)!=(c|0)){if(d>>>0<h>>>0)Za();if((k[d+12>>2]|0)!=(j|0))Za()}if((e|0)==(d|0)){k[19149]=k[19149]&~(1<<f);break}if((e|0)==(c|0))g=e+8|0;else{if(e>>>0<h>>>0)Za();c=e+8|0;if((k[c>>2]|0)==(j|0))g=c;else Za()}k[d+12>>2]=e;k[g>>2]=d}else{g=k[j+24>>2]|0;e=k[j+12>>2]|0;do if((e|0)==(j|0)){e=j+16|0;d=e+4|0;c=k[d>>2]|0;if(!c){c=k[e>>2]|0;if(!c){i=0;break}else d=e}while(1){e=c+20|0;f=k[e>>2]|0;if(f|0){c=f;d=e;continue}e=c+16|0;f=k[e>>2]|0;if(!f)break;else{c=f;d=e}}if(d>>>0<h>>>0)Za();else{k[d>>2]=0;i=c;break}}else{f=k[j+8>>2]|0;if(f>>>0<h>>>0)Za();c=f+12|0;if((k[c>>2]|0)!=(j|0))Za();d=e+8|0;if((k[d>>2]|0)==(j|0)){k[c>>2]=e;k[d>>2]=f;i=e;break}else Za()}while(0);if(g|0){c=k[j+28>>2]|0;d=76900+(c<<2)|0;if((j|0)==(k[d>>2]|0)){k[d>>2]=i;if(!i){k[19150]=k[19150]&~(1<<c);break}}else{if(g>>>0<(k[19153]|0)>>>0)Za();c=g+16|0;if((k[c>>2]|0)==(j|0))k[c>>2]=i;else k[g+20>>2]=i;if(!i)break}e=k[19153]|0;if(i>>>0<e>>>0)Za();k[i+24>>2]=g;c=j+16|0;d=k[c>>2]|0;do if(d|0)if(d>>>0<e>>>0)Za();else{k[i+16>>2]=d;k[d+24>>2]=i;break}while(0);c=k[c+4>>2]|0;if(c|0)if(c>>>0<(k[19153]|0)>>>0)Za();else{k[i+20>>2]=c;k[c+24>>2]=i;break}}}while(0);if(m>>>0<16){k[n>>2]=l|o&1|2;o=a+l+4|0;k[o>>2]=k[o>>2]|1;return a|0}else{l=a+b|0;k[n>>2]=o&1|b|2;k[l+4>>2]=m|3;o=l+m+4|0;k[o>>2]=k[o>>2]|1;Zf(l,m);return a|0}return 0}function tj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0;n=0;l=r;r=r+336|0;m=l;o=l+224|0;g=l+120|0;h=l+20|0;e=c;f=k[e+4>>2]|0;p=m;k[p>>2]=k[e>>2];k[p+4>>2]=f;k[m+8>>2]=45182;k[m+12>>2]=47537;i[m+16>>0]=0;yD(o,m);k[h>>2]=5060;m=h+4|0;p=o+4|0;y=0;oa(452,m|0,p|0);f=y;y=0;do if(f&1){c=pb()|0;n=25}else{y=0;oa(453,h+16|0,o+16|0);f=y;y=0;if(f&1){c=pb()|0;$9(m);n=25;break}f=h+68|0;e=o+68|0;k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];k[f+12>>2]=k[e+12>>2];k[f+16>>2]=k[e+16>>2];k[f+20>>2]=k[e+20>>2];k[f+24>>2]=k[e+24>>2];j[f+28>>1]=j[e+28>>1]|0;y=0;oa(454,g|0,h|0);f=y;y=0;if(f&1){c=pb()|0;k[h>>2]=5060;$9(h+52|0);d=k[h+28>>2]|0;e=d;if(d|0){f=h+32|0;a=k[f>>2]|0;if((a|0)!=(d|0))k[f>>2]=a+(~(((a+-24-e|0)>>>0)/24|0)*24|0);zqa(d)}f=k[h+16>>2]|0;a=f;if(f|0){d=h+20|0;e=k[d>>2]|0;if((e|0)!=(f|0))k[d>>2]=e+(~((e+-4-a|0)>>>2)<<2);zqa(f)}$9(m);break}k[h>>2]=5060;$9(h+52|0);c=k[h+28>>2]|0;d=c;if(c|0){e=h+32|0;f=k[e>>2]|0;if((f|0)!=(c|0))k[e>>2]=f+(~(((f+-24-d|0)>>>0)/24|0)*24|0);zqa(c)}e=k[h+16>>2]|0;f=e;if(e|0){c=h+20|0;d=k[c>>2]|0;if((d|0)!=(e|0))k[c>>2]=d+(~((d+-4-f|0)>>>2)<<2);zqa(e)}$9(m);i[g+99>>0]=1;y=0;oa(k[(k[b>>2]|0)+40>>2]|0,b|0,g|0);m=y;y=0;if(!(m&1)){y=0;oa(455,a|0,g+4|0);m=y;y=0;if(!(m&1)){HD(g);k[o>>2]=5060;$9(o+52|0);c=k[o+28>>2]|0;d=c;if(c|0){e=o+32|0;f=k[e>>2]|0;if((f|0)!=(c|0))k[e>>2]=f+(~(((f+-24-d|0)>>>0)/24|0)*24|0);zqa(c)}e=k[o+16>>2]|0;if(!e){$9(p);r=l;return}c=o+20|0;d=k[c>>2]|0;if((d|0)!=(e|0))k[c>>2]=d+(~((d+-4-e|0)>>>2)<<2);zqa(e);$9(p);r=l;return}}c=pb()|0;HD(g)}while(0);k[o>>2]=5060;$9(o+52|0);d=k[o+28>>2]|0;e=d;if(d|0){f=o+32|0;a=k[f>>2]|0;if((a|0)!=(d|0))k[f>>2]=a+(~(((a+-24-e|0)>>>0)/24|0)*24|0);zqa(d)}f=k[o+16>>2]|0;if(!f){$9(p);sb(c|0)}d=o+20|0;e=k[d>>2]|0;if((e|0)!=(f|0))k[d>>2]=e+(~((e+-4-f|0)>>>2)<<2);zqa(f);$9(p);sb(c|0)}function uj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;v=0;q=r;r=r+432|0;j=q+424|0;a=q+24|0;u=q+16|0;o=q+8|0;s=q+4|0;n=q+428|0;l=q;k[u>>2]=a;w=u+4|0;k[w>>2]=417;m=a+400|0;y=0;h=qa(341,e|0)|0;p=y;y=0;if(p&1){h=pb()|0;k[u>>2]=0;v=43}else{k[s>>2]=h;y=0;h=Ha(973,s|0,78176)|0;p=y;y=0;if(p&1)h=pb()|0;else{i[n>>0]=0;p=k[c>>2]|0;k[l>>2]=p;a=k[e+4>>2]|0;e=p;y=0;k[j>>2]=k[l>>2];a=Fa(2,b|0,j|0,d|0,s|0,a|0,f|0,n|0,h|0,u|0,o|0,m|0)|0;d=y;y=0;a:do if(d&1)v=13;else{if(a){a=g+8+3|0;if((i[a>>0]|0)<0){k[k[g>>2]>>2]=0;k[g+4>>2]=0}else{k[g>>2]=0;i[a>>0]=0}if(i[n>>0]|0){y=0;a=Ha(k[(k[h>>2]|0)+44>>2]|0,h|0,45)|0;n=y;y=0;if(n&1){v=13;break}y=0;oa(632,g|0,a|0);n=y;y=0;if(n&1){v=13;break}}y=0;l=Ha(k[(k[h>>2]|0)+44>>2]|0,h|0,48)|0;n=y;y=0;if(n&1){v=13;break}h=k[o>>2]|0;j=h+-4|0;a=k[u>>2]|0;while(1){if(a>>>0>=j>>>0)break;if((k[a>>2]|0)!=(l|0))break;a=a+4|0}y=0;ta(171,g|0,a|0,h|0)|0;g=y;y=0;if(g&1){a=pb()|0;break}}a=k[b>>2]|0;do if(!a)h=1;else{h=k[a+12>>2]|0;if((h|0)==(k[a+16>>2]|0)){y=0;a=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;g=y;y=0;if(g&1){v=13;break a}}else a=k[h>>2]|0;if((a|0)==-1){k[b>>2]=0;h=1;break}else{h=(k[b>>2]|0)==0;break}}while(0);do if(!p)v=34;else{a=k[e+12>>2]|0;if((a|0)==(k[e+16>>2]|0)){y=0;a=qa(k[(k[p>>2]|0)+36>>2]|0,e|0)|0;p=y;y=0;if(p&1){v=13;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;v=34;break}else if(h)break;else{v=36;break}}while(0);if((v|0)==34)if(h)v=36;if((v|0)==36)k[f>>2]=k[f>>2]|2;h=k[b>>2]|0;lQ(k[s>>2]|0)|0;a=k[u>>2]|0;k[u>>2]=0;if(a|0){y=0;na(k[w>>2]|0,a|0);w=y;y=0;if(w&1){w=tb(0)|0;dla(w)}}r=q;return h|0}while(0);if((v|0)==13)a=pb()|0;h=a}lQ(k[s>>2]|0)|0;a=k[u>>2]|0;k[u>>2]=0;if(!a)t=h;else v=43}if((v|0)==43){y=0;na(k[w>>2]|0,a|0);w=y;y=0;if(w&1){w=tb(0)|0;dla(w)}else t=h}sb(t|0);return 0}function vj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;m=r;r=r+16|0;e=m+8|0;g=m+4|0;h=m;d=k[a+4>>2]|0;if((d|0)!=(k[b+4>>2]|0)){c=0;r=m;return c|0}switch(d|0){case 1:{c=(k[a+8>>2]|0)==(k[b+8>>2]|0);r=m;return c|0}case 0:{rT(e,a+12|0);d=k[e>>2]|0;k[g>>2]=d;f=d;y=0;oa(464,e|0,b+12|0);l=y;y=0;if(l&1){m=pb()|0;EO(g);sb(m|0)}e=k[e>>2]|0;k[h>>2]=e;a=e;d=k[d>>2]|0;if(c){y=0;d=Ha(k[d+160>>2]|0,f|0,a|0)|0;c=y;y=0;if(c&1)a=13;else if(d){d=0;a=11}else{y=0;d=Ha(k[(k[e>>2]|0)+160>>2]|0,a|0,f|0)|0;c=y;y=0;if(c&1)a=13;else{d=d^1;a=11}}}else{y=0;d=Ha(k[d+164>>2]|0,f|0,a|0)|0;c=y;y=0;if(c&1)a=13;else a=11}if((a|0)==11){EO(h);EO(g);c=d;r=m;return c|0}else if((a|0)==13){m=pb()|0;EO(h);EO(g);sb(m|0)}break}case 2:{h=a+16|0;d=k[h>>2]|0;i=a+20|0;f=k[i>>2]|0;g=(f|0)==0;if(!g)Sba(f);e=k[d+20>>2]|0;j=b+16|0;a=k[j>>2]|0;l=b+20|0;d=k[l>>2]|0;if(!d)d=k[a+20>>2]|0;else{Sba(d);b=k[a+20>>2]|0;kZ(d);d=b}if(!g)kZ(f);if((e|0)!=(d|0)){c=0;r=m;return c|0}d=k[h>>2]|0;f=k[i>>2]|0;g=(f|0)==0;if(!g)Sba(f);b=k[d+4>>2]|0;e=k[d+16>>2]|0;a=b+(((e>>>0)/170|0)<<2)|0;if((k[d+8>>2]|0)==(b|0))d=0;else d=(k[a>>2]|0)+(((e>>>0)%170|0)*24|0)|0;if(!g)kZ(f);g=k[h>>2]|0;b=k[i>>2]|0;h=(b|0)==0;if(!h)Sba(b);e=(k[g+16>>2]|0)+(k[g+20>>2]|0)|0;f=k[g+4>>2]|0;if((k[g+8>>2]|0)==(f|0))i=0;else i=(k[f+(((e>>>0)/170|0)<<2)>>2]|0)+(((e>>>0)%170|0)*24|0)|0;if(!h)kZ(b);b=k[j>>2]|0;h=k[l>>2]|0;f=(h|0)==0;if(!f)Sba(h);l=k[b+4>>2]|0;e=k[b+16>>2]|0;g=l+(((e>>>0)/170|0)<<2)|0;if((k[b+8>>2]|0)==(l|0))e=0;else e=(k[g>>2]|0)+(((e>>>0)%170|0)*24|0)|0;if(!f)kZ(h);a:while(1){do{if((d|0)==(i|0)){d=1;a=48;break a}if(!(vj(d,e,c)|0)){d=0;a=48;break a}d=d+24|0;if((d-(k[a>>2]|0)|0)==4080){d=a+4|0;a=d;d=k[d>>2]|0}e=e+24|0}while((e-(k[g>>2]|0)|0)!=4080);e=g+4|0;g=e;e=k[e>>2]|0}if((a|0)==48){r=m;return d|0}break}case 3:{c=1;r=m;return c|0}default:{m=gb(4)|0;k[m>>2]=31378;Wb(m|0,4696,0)}}return 0}function wj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=r;r=r+16|0;h=i;switch(b-a>>2|0){case 2:{d=b+-4|0;if(!(Fc[k[c>>2]&2047](d,a)|0)){c=1;r=i;return c|0}c=k[a>>2]|0;k[a>>2]=k[d>>2];k[d>>2]=c;c=1;r=i;return c|0}case 3:{g=a+4|0;d=b+-4|0;b=Fc[k[c>>2]&2047](g,a)|0;e=Fc[k[c>>2]&2047](d,g)|0;if(!b){if(!e){c=1;r=i;return c|0}b=k[g>>2]|0;k[g>>2]=k[d>>2];k[d>>2]=b;if(!(Fc[k[c>>2]&2047](g,a)|0)){c=1;r=i;return c|0}c=k[a>>2]|0;k[a>>2]=k[g>>2];k[g>>2]=c;c=1;r=i;return c|0}f=k[a>>2]|0;if(e){k[a>>2]=k[d>>2];k[d>>2]=f;c=1;r=i;return c|0}k[a>>2]=k[g>>2];k[g>>2]=f;if(!(Fc[k[c>>2]&2047](d,g)|0)){c=1;r=i;return c|0}c=k[g>>2]|0;k[g>>2]=k[d>>2];k[d>>2]=c;c=1;r=i;return c|0}case 4:{Yv(a,a+4|0,a+8|0,b+-4|0,c)|0;c=1;r=i;return c|0}case 5:{e=a+4|0;f=a+8|0;g=a+12|0;d=b+-4|0;Yv(a,e,f,g,c)|0;if(!(Fc[k[c>>2]&2047](d,g)|0)){c=1;r=i;return c|0}b=k[g>>2]|0;k[g>>2]=k[d>>2];k[d>>2]=b;if(!(Fc[k[c>>2]&2047](g,f)|0)){c=1;r=i;return c|0}b=k[f>>2]|0;k[f>>2]=k[g>>2];k[g>>2]=b;if(!(Fc[k[c>>2]&2047](f,e)|0)){c=1;r=i;return c|0}b=k[e>>2]|0;k[e>>2]=k[f>>2];k[f>>2]=b;if(!(Fc[k[c>>2]&2047](e,a)|0)){c=1;r=i;return c|0}c=k[a>>2]|0;k[a>>2]=k[e>>2];k[e>>2]=c;c=1;r=i;return c|0}case 1:case 0:{c=1;r=i;return c|0}default:{f=a+8|0;d=a+4|0;g=Fc[k[c>>2]&2047](d,a)|0;e=Fc[k[c>>2]&2047](f,d)|0;do if(g){g=k[a>>2]|0;if(e){k[a>>2]=k[f>>2];k[f>>2]=g;break}k[a>>2]=k[d>>2];k[d>>2]=g;if(Fc[k[c>>2]&2047](f,d)|0){g=k[d>>2]|0;k[d>>2]=k[f>>2];k[f>>2]=g}}else if(e){g=k[d>>2]|0;k[d>>2]=k[f>>2];k[f>>2]=g;if(Fc[k[c>>2]&2047](d,a)|0){g=k[a>>2]|0;k[a>>2]=k[d>>2];k[d>>2]=g}}while(0);d=a+12|0;a:do if((d|0)==(b|0)){e=1;d=0}else{e=0;while(1){if(Fc[k[c>>2]&2047](d,f)|0){k[h>>2]=k[d>>2];g=d;while(1){k[g>>2]=k[f>>2];if((f|0)==(a|0))break;g=f+-4|0;if(Fc[k[c>>2]&2047](h,g)|0){j=f;f=g;g=j}else break}k[f>>2]=k[h>>2];e=e+1|0;if((e|0)==8){e=0;d=(d+4|0)==(b|0);break a}}f=d+4|0;if((f|0)==(b|0)){e=1;d=0;break}else{j=d;d=f;f=j}}}while(0);j=d|e;r=i;return j|0}}return 0}function xj(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=r;r=r+16|0;q=s;o=s+8|0;l=c;while(1){if((l|0)==(d|0)){l=d;break}if(!(k[l>>2]|0))break;l=l+4|0}k[h>>2]=f;k[e>>2]=c;n=g;p=a+8|0;a:while(1){if((f|0)==(g|0)|(c|0)==(d|0)){j=c;a=53;break}t=b;a=k[t+4>>2]|0;m=q;k[m>>2]=k[t>>2];k[m+4>>2]=a;m=_8(k[p>>2]|0)|0;y=0;a=sa(35,f|0,e|0,l-c>>2|0,n-f|0,b|0)|0;t=y;y=0;if(t&1){a=11;break}if(m|0){y=0;qa(471,m|0)|0;t=y;y=0;if(t&1){a=10;break}}switch(a|0){case -1:{a=16;break a}case 0:{j=1;a=50;break a}default:{}}f=(k[h>>2]|0)+a|0;k[h>>2]=f;if((f|0)==(g|0)){a=51;break}if((l|0)==(d|0)){l=d;c=k[e>>2]|0}else{c=_8(k[p>>2]|0)|0;y=0;f=ta(172,o|0,0,b|0)|0;t=y;y=0;if(t&1){a=36;break}if(c|0){y=0;qa(471,c|0)|0;t=y;y=0;if(t&1){a=35;break}}if((f|0)==-1){j=2;a=49;break}if(f>>>0>(n-(k[h>>2]|0)|0)>>>0){j=1;a=49;break}else c=o;while(1){if(!f)break;m=i[c>>0]|0;t=k[h>>2]|0;k[h>>2]=t+1;i[t>>0]=m;c=c+1|0;f=f+-1|0}c=(k[e>>2]|0)+4|0;k[e>>2]=c;l=c;while(1){if((l|0)==(d|0)){l=d;break}if(!(k[l>>2]|0))break;l=l+4|0}f=k[h>>2]|0}}do if((a|0)==10){t=tb(0)|0;dla(t)}else if((a|0)==11){j=pb()|0;if(m|0){y=0;qa(471,m|0)|0;t=y;y=0;if(t&1){t=tb(0)|0;dla(t)}}sb(j|0)}else if((a|0)==16){k[h>>2]=f;while(1){if((c|0)==(k[e>>2]|0)){a=28;break}t=k[c>>2]|0;l=_8(k[p>>2]|0)|0;y=0;f=ta(172,f|0,t|0,q|0)|0;t=y;y=0;if(t&1){a=22;break}if(l|0){y=0;qa(471,l|0)|0;t=y;y=0;if(t&1){a=21;break}}if((f|0)==-1){a=28;break}f=(k[h>>2]|0)+f|0;k[h>>2]=f;c=c+4|0}if((a|0)==21){t=tb(0)|0;dla(t)}else if((a|0)==22){j=pb()|0;if(l|0){y=0;qa(471,l|0)|0;t=y;y=0;if(t&1){t=tb(0)|0;dla(t)}}sb(j|0)}else if((a|0)==28){k[e>>2]=c;j=2;a=50;break}}else if((a|0)==35){t=tb(0)|0;dla(t)}else if((a|0)==36){j=pb()|0;if(c|0){y=0;qa(471,c|0)|0;t=y;y=0;if(t&1){t=tb(0)|0;dla(t)}}sb(j|0)}else if((a|0)==49)a=50;else if((a|0)==51){j=k[e>>2]|0;a=53}while(0);if((a|0)!=50)if((a|0)==53)j=(j|0)!=(d|0)&1;r=s;return j|0}function yj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;l=r;r=r+112|0;f=l+100|0;h=l;c=l+96|0;d=l+44|0;j=l+56|0;n=l+48|0;m=l+40|0;rT(f,b+60|0);e=k[f>>2]|0;k[c>>2]=e;if(!e){e=0;o=3}else{y=0;e=Ha(k[(k[e>>2]|0)+52>>2]|0,e|0,a|0)|0;o=y;y=0;if(o&1)o=13;else o=3}do if((o|0)==3){y=0;oa(482,f|0,e|0);g=y;y=0;if(g&1)o=13;else{y=0;Ha(966,c|0,f|0)|0;g=y;y=0;if(g&1){d=pb()|0;EO(f);break}EO(f);y=0;oa(464,f|0,b+64|0);o=y;y=0;if(o&1){o=pb()|0;n=c;EO(n);sb(o|0)}e=k[f>>2]|0;k[d>>2]=e;if(!e){e=0;o=8}else{y=0;e=Ha(k[(k[e>>2]|0)+52>>2]|0,e|0,a|0)|0;o=y;y=0;if(o&1)o=17;else o=8}do if((o|0)==8){y=0;oa(482,f|0,e|0);g=y;y=0;if(g&1)o=17;else{y=0;Ha(966,d|0,f|0)|0;g=y;y=0;if(g&1){e=pb()|0;EO(f);o=19;break}EO(f);y=0;g=qa(332,68)|0;f=y;y=0;if(f&1){e=pb()|0;break}f=j;e=b+12|0;a=f+40|0;do{k[f>>2]=k[e>>2];f=f+4|0;e=e+4|0}while((f|0)<(a|0));e=k[c>>2]|0;if(!e)e=0;else e=pw(e,40,432,0)|0;y=0;oa(482,n|0,e|0);b=y;y=0;if(b&1)e=pb()|0;else{y=0;oa(464,m|0,d|0);b=y;y=0;if(b&1)e=pb()|0;else{f=h;e=j;a=f+40|0;do{k[f>>2]=k[e>>2];f=f+4|0;e=e+4|0}while((f|0)<(a|0));y=0;na(366,g|0);j=y;y=0;if(j&1)e=pb()|0;else{f=g+12|0;e=h;a=f+40|0;do{k[f>>2]=k[e>>2];f=f+4|0;e=e+4|0}while((f|0)<(a|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=10820;e=g+60|0;y=0;oa(464,e|0,n|0);j=y;y=0;do if(j&1)e=pb()|0;else{y=0;oa(464,g+64|0,m|0);j=y;y=0;if(j&1){l=pb()|0;EO(e);e=l;break}else{EO(m);EO(n);EO(d);EO(c);r=l;return g|0}}while(0)}EO(m)}EO(n)}zqa(g)}}while(0);if((o|0)==17){e=pb()|0;o=19}EO(d);o=e;n=c;EO(n);sb(o|0)}}while(0);if((o|0)==13)d=pb()|0;o=d;n=c;EO(n);sb(o|0);return 0}function zj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;n=0;o=r;r=r+48|0;h=o+44|0;i=o+40|0;e=o+36|0;q=o+16|0;p=o+4|0;g=o+12|0;j=o+8|0;l=o;d=a+24|0;m=a+28|0;c=k[m>>2]|0;if((c|0)==(k[d>>2]|0))c=0;else c=k[c+-4>>2]|0;iR(q,c,1);k[h>>2]=q;c=k[m>>2]|0;if(c>>>0<(k[a+32>>2]|0)>>>0){k[c>>2]=q;k[m>>2]=(k[m>>2]|0)+4;n=6}else{y=0;oa(573,d|0,h|0);f=y;y=0;if(f&1)c=pb()|0;else n=6}a:do if((n|0)==6){c=a+48|0;y=0;oa(482,h|0,b|0);f=y;y=0;do if(f&1)c=pb()|0;else{f=a+52|0;d=k[f>>2]|0;if(d>>>0<(k[a+56>>2]|0)>>>0){y=0;oa(464,d|0,h|0);d=y;y=0;if(d&1)n=21;else k[f>>2]=(k[f>>2]|0)+4}else{y=0;oa(584,c|0,h|0);d=y;y=0;if(d&1)n=21}if((n|0)==21){c=pb()|0;EO(h);break}EO(h);y=0;oa(464,e|0,b+68|0);d=y;y=0;if(d&1){c=pb()|0;break a}c=k[e>>2]|0;k[g>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;e=y;y=0;if(!(e&1)){y=0;oa(482,p|0,c|0);e=y;y=0;if(!(e&1)){EO(g);c=k[p>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+72>>2]|0,c|0)|0;g=y;y=0;b:do if(g&1)n=25;else{do if(c){y=0;oa(464,i|0,b+64|0);l=y;y=0;if(l&1){n=25;break b}l=k[i>>2]|0;k[j>>2]=l;y=0;oa(583,a|0,l|0);l=y;y=0;if(l&1){c=pb()|0;EO(j);break b}else{EO(j);break}}else{y=0;oa(464,h|0,b+72|0);j=y;y=0;if(j&1){n=25;break b}c=k[h>>2]|0;k[l>>2]=c;EO(l);if(c|0){y=0;oa(583,a|0,c|0);l=y;y=0;if(l&1){c=pb()|0;break b}}}while(0);d=k[f>>2]|0;c=d+-4|0;do{n=d+-4|0;k[f>>2]=n;EO(n);d=k[f>>2]|0}while((d|0)!=(c|0));k[m>>2]=(k[m>>2]|0)+-4;EO(p);jB(q,k[q+4>>2]|0);r=o;return 0}while(0);if((n|0)==25)c=pb()|0;EO(p);break a}}c=pb()|0;EO(g);break a}while(0)}while(0);jB(q,k[q+4>>2]|0);sb(c|0);return 0}function Aj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;n=r;r=r+64|0;l=n;q=n+56|0;o=n+40|0;m=n+52|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;jI(o,36590,4);y=0;g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=pa(40,o|0,a|0,d|0,l|0,f|0,0)|0;p=y;y=0;if(!(p&1)){y=0;oa(482,q|0,b|0);p=y;y=0;if(!(p&1)){$9(o);y=0;p=qa(332,88)|0;j=y;y=0;a:do if(j&1)b=pb()|0;else{c=k[q>>2]|0;b=k[c+88>>2]|0;c=k[c+84>>2]|0;g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(366,p|0);e=y;y=0;do if(e&1)b=pb()|0;else{c=b-c>>2;g=p+12|0;h=l;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[p+52>>0]=0;i[p+53>>0]=0;i[p+54>>0]=0;b=p+56|0;k[b>>2]=0;k[p>>2]=7760;a=p+60|0;k[a>>2]=7720;d=p+64|0;f=p+68|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;y=0;oa(518,d|0,c|0);e=y;y=0;if(e&1){b=pb()|0;a=N;c=k[d>>2]|0;if(c|0){g=k[f>>2]|0;if((g|0)!=(c|0)){do{o=g+-4|0;k[f>>2]=o;EO(o);g=k[f>>2]|0}while((g|0)!=(c|0));c=k[d>>2]|0}zqa(c)}break}k[p>>2]=7552;k[a>>2]=7680;k[p+80>>2]=0;i[p+84>>0]=0;i[p+85>>0]=0;k[b>>2]=5;g=k[q>>2]|0;b=k[g+84>>2]|0;g=k[g+88>>2]|0;if((b|0)==(g|0)){EO(q);r=n;return p|0}while(1){y=0;oa(464,o|0,b|0);e=y;y=0;if(e&1){c=23;break}c=k[(k[a>>2]|0)+20>>2]|0;y=0;oa(464,m|0,o|0);e=y;y=0;if(e&1){c=24;break}y=0;oa(c|0,a|0,m|0);e=y;y=0;if(e&1){c=25;break}EO(m);EO(o);b=b+4|0;if((b|0)==(g|0)){c=14;break}}if((c|0)==14){EO(q);r=n;return p|0}else if((c|0)==23){b=pb()|0;break a}else if((c|0)==24)b=pb()|0;else if((c|0)==25){b=pb()|0;EO(m)}EO(o);break a}while(0);zqa(p)}while(0);EO(q);q=b;sb(q|0)}}q=pb()|0;$9(o);sb(q|0);return 0}function Bj(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;v=0;w=r;r=r+128|0;p=w+88|0;j=w+76|0;u=w+80|0;z=w+72|0;e=w+32|0;g=w+24|0;h=w+16|0;x=w+20|0;l=w+12|0;m=w+8|0;q=w+4|0;s=w;k[p>>2]=4;t=a+60|0;b=k[t>>2]|0;if(b>>>0<(k[a+64>>2]|0)>>>0){k[b>>2]=4;k[t>>2]=b+4}else az(a+56|0,p);n=i[(k[(k[a+48>>2]|0)+-4>>2]|0)+84>>0]|0;o=n<<24>>24!=0;f=ZL(72)|0;b=e;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(482,g|0,0);d=y;y=0;do if(d&1)b=pb()|0;else{y=0;oa(482,h|0,0);d=y;y=0;if(d&1){b=pb()|0;EO(g);break}y=0;b=p;c=e;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));Ra(27,f|0,p|0,g|0,h|0);e=y;y=0;if(e&1)c=1;else{y=0;oa(482,z|0,f|0);e=y;y=0;if(e&1)c=0;else{EO(h);EO(g);y=0;b=Ha(1003,a|0,0)|0;h=y;y=0;if(h&1)b=pb()|0;else{k[x>>2]=b;b=k[z>>2]|0;y=0;oa(464,m|0,x|0);h=y;y=0;do if(h&1)v=25;else{b=b+68|0;y=0;Ha(966,b|0,m|0)|0;h=y;y=0;if(!(h&1)){y=0;oa(464,j|0,b|0);h=y;y=0;if(!(h&1)){k[l>>2]=k[j>>2];EO(l);EO(m);c=k[z>>2]|0;d=a+164|0;e=i[d>>0]|0;i[d>>0]=n;y=0;b=Ha(1010,a|0,o|0)|0;a=y;y=0;if(a&1){b=pb()|0;i[d>>0]=e;v=26;break}i[d>>0]=e;k[s>>2]=b;b=c+64|0;y=0;Ha(966,b|0,s|0)|0;a=y;y=0;if(!(a&1)){y=0;oa(464,p|0,b|0);a=y;y=0;if(!(a&1)){k[q>>2]=k[p>>2];EO(q);EO(s);k[t>>2]=(k[t>>2]|0)+-4;b=k[z>>2]|0;if(!b)b=0;else i[b+8>>0]=1;y=0;oa(482,u|0,b|0);v=y;y=0;if(v&1){v=25;break}EO(x);EO(z);r=w;return k[u>>2]|0}}b=pb()|0;EO(s);break}}b=pb()|0;EO(m)}while(0);if((v|0)==25){b=pb()|0;v=26}EO(x)}EO(z);z=b;sb(z|0)}}b=pb()|0;EO(h);EO(g);if(!c){z=b;sb(z|0)}}while(0);zqa(f);z=b;sb(z|0);return 0}function Cj(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=0;g=r;r=r+48|0;e=g+36|0;f=g+32|0;h=g+28|0;i=g+24|0;c=g+12|0;d=g;b=kn(a)|0;k[h>>2]=b;do if(!b){y=0;b=ta(90,a|0,1,0)|0;l=y;y=0;if(!(l&1)){if(!b){y=0;oa(482,f|0,0);l=y;y=0;if(l&1)break;EO(h);l=k[f>>2]|0;r=g;return l|0}y=0;ta(70,a|0,1,0)|0;l=y;y=0;if(!(l&1)){y=0;b=qa(434,a|0)|0;l=y;y=0;if(!(l&1)){k[i>>2]=b;a:do if(!b){y=0;b=qa(435,a|0)|0;l=y;y=0;do if(l&1)b=pb()|0;else{k[e>>2]=b;y=0;Ha(966,i|0,e|0)|0;l=y;y=0;if(l&1){b=pb()|0;EO(e);break}EO(e);y=0;b=ta(74,a|0,1,0)|0;l=y;y=0;if(l&1){j=15;break a}if(b|0){j=28;break a}k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;Na(75,d|0,40798,45);l=y;y=0;if(l&1){j=15;break a}l=a+108|0;y=0;k[e>>2]=k[l>>2];k[e+4>>2]=k[l+4>>2];k[e+8>>2]=k[l+8>>2];Na(109,a|0,d|0,e|0);l=y;y=0;if(l&1){b=pb()|0;$9(d);break a}else{$9(d);j=28;break a}}while(0)}else{y=0;b=ta(74,a|0,1,0)|0;l=y;y=0;if(l&1)j=15;else if(!b){k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(75,c|0,40798,45);l=y;y=0;if(l&1)j=15;else{l=a+108|0;y=0;k[e>>2]=k[l>>2];k[e+4>>2]=k[l+4>>2];k[e+8>>2]=k[l+8>>2];Na(109,a|0,c|0,e|0);l=y;y=0;if(l&1){b=pb()|0;$9(c);break}else{$9(c);j=28;break}}}else j=28}while(0);if((j|0)==28){y=0;ta(70,a|0,1,0)|0;l=y;y=0;if(l&1)j=15;else{y=0;oa(464,f|0,i|0);l=y;y=0;if(l&1)j=15;else{EO(i);EO(h);l=k[f>>2]|0;r=g;return l|0}}}if((j|0)==15)b=pb()|0;EO(i);l=b;EO(h);sb(l|0)}}}}else{y=0;oa(464,f|0,h|0);l=y;y=0;if(!(l&1)){EO(h);l=k[f>>2]|0;r=g;return l|0}}while(0);l=pb()|0;EO(h);sb(l|0);return 0}function Dj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;g=k[a>>2]|0;h=g;b=g+((k[b>>2]|0)-h>>2<<2)|0;c=k[c>>2]|0;e=k[d>>2]|0;p=e-c|0;i=p>>2;l=e;if((p|0)<=0){p=b;return p|0}o=a+8|0;d=k[o>>2]|0;p=a+4|0;j=k[p>>2]|0;f=j;if((i|0)<=(d-f>>2|0)){g=f-b|0;d=g>>2;if((i|0)>(d|0)){f=c+(d<<2)|0;e=f;if((f|0)==(l|0))d=j;else{d=j;do{rT(d,f);f=f+4|0;d=(k[p>>2]|0)+4|0;k[p>>2]=d}while((f|0)!=(l|0))}if((g|0)<=0){p=b;return p|0}}else d=j;h=d-(b+(i<<2))>>2;f=b+(h<<2)|0;if(f>>>0<j>>>0){g=f;i=d;do{rT(i,g);g=g+4|0;i=(k[p>>2]|0)+4|0;k[p>>2]=i}while(g>>>0<j>>>0)}if(h|0)do{d=d+-4|0;f=f+-4|0;LH(d,f)|0}while((f|0)!=(b|0));if((c|0)==(e|0)){p=b;return p|0}else d=b;while(1){LH(d,c)|0;c=c+4|0;if((c|0)==(e|0))break;else d=d+4|0}return b|0}f=(f-h>>2)+i|0;if(f>>>0>1073741823){OM(a);e=k[a>>2]|0;g=e;d=k[o>>2]|0}else e=h;n=d-e|0;d=n>>1;f=n>>2>>>0<536870911?(d>>>0<f>>>0?f:d):1073741823;d=b-e>>2;do if(!f)n=0;else if(f>>>0>1073741823){p=gb(4)|0;doa(p);Wb(p|0,4496,348)}else{n=ZL(f<<2)|0;break}while(0);m=n+(d<<2)|0;i=m;j=n+(f<<2)|0;do if((c|0)==(l|0)){h=i;f=g;g=23}else{d=i;e=m;while(1){y=0;oa(464,e|0,c|0);h=y;y=0;if(h&1){g=38;break}e=d+4|0;d=e;c=c+4|0;if((c|0)==(l|0)){g=22;break}}if((g|0)==22){h=d;f=k[a>>2]|0;g=23;break}else if((g|0)==38){p=pb()|0;b=d;c=i;d=p;break}}while(0);a:do if((g|0)==23){b:do if((f|0)==(b|0)){d=m;c=i}else{e=b;c=i;d=m;while(1){e=e+-4|0;y=0;oa(464,d+-4|0,e|0);l=y;y=0;if(l&1)break;d=c+-4|0;c=d;if((e|0)==(f|0))break b}d=pb()|0;b=h;break a}while(0);f=k[p>>2]|0;do if((f|0)==(b|0)){e=h;c=d}else{e=h;d=h;while(1){y=0;oa(464,d|0,b|0);l=y;y=0;if(l&1){g=36;break}b=b+4|0;d=e+4|0;e=d;if((b|0)==(f|0)){g=31;break}}if((g|0)==31){b=k[p>>2]|0;break}else if((g|0)==36){d=pb()|0;b=e;break a}}while(0);d=k[a>>2]|0;k[a>>2]=c;k[p>>2]=e;k[o>>2]=j;if((b|0)!=(d|0))do{b=b+-4|0;EO(b)}while((b|0)!=(d|0));if(!d){p=m;return p|0}zqa(d);p=m;return p|0}while(0);if((b|0)!=(c|0))do{b=b+-4|0;EO(b)}while((b|0)!=(c|0));if(!n)sb(d|0);zqa(n);sb(d|0);return 0}function Ej(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;u=0;v=r;r=r+16|0;t=v;p=b+11|0;n=i[p>>0]|0;m=n<<24>>24<0;s=b+4|0;n=m?k[s>>2]|0:n&255;o=a+11|0;f=i[o>>0]|0;e=f<<24>>24<0;q=a+4|0;f=e?k[q>>2]|0:f&255;g=f>>>0<n>>>0;d=g?f:n;if(!d)u=3;else{d=zM(m?k[b>>2]|0:b,e?k[a>>2]|0:a,d)|0;if(!d)u=3}if((u|0)==3)d=n>>>0<f>>>0?-1:g&1;h=(d|0)<0;j=c+11|0;f=i[j>>0]|0;e=f<<24>>24<0;l=c+4|0;f=e?k[l>>2]|0:f&255;g=n>>>0<f>>>0;d=g?n:f;if(!d)u=6;else{d=zM(e?k[c>>2]|0:c,m?k[b>>2]|0:b,d)|0;if(!d)u=6}if((u|0)==6)d=f>>>0<n>>>0?-1:g&1;d=(d|0)<0;if(!h){if(!d){b=0;r=v;return b|0}k[t>>2]=k[b>>2];k[t+4>>2]=k[b+4>>2];k[t+8>>2]=k[b+8>>2];k[b>>2]=k[c>>2];k[b+4>>2]=k[c+4>>2];k[b+8>>2]=k[c+8>>2];k[c>>2]=k[t>>2];k[c+4>>2]=k[t+4>>2];k[c+8>>2]=k[t+8>>2];h=i[p>>0]|0;g=h<<24>>24<0;h=g?k[s>>2]|0:h&255;f=i[o>>0]|0;e=f<<24>>24<0;f=e?k[q>>2]|0:f&255;d=f>>>0<h>>>0?f:h;if(!d)u=11;else{d=zM(g?k[b>>2]|0:b,e?k[a>>2]|0:a,d)|0;if(!d)u=11;else if((d|0)<0)d=a;else{b=1;r=v;return b|0}}do if((u|0)==11)if(h>>>0<f>>>0){d=a;break}else{b=1;r=v;return b|0}while(0);k[t>>2]=k[d>>2];k[t+4>>2]=k[d+4>>2];k[t+8>>2]=k[d+8>>2];k[d>>2]=k[b>>2];k[d+4>>2]=k[b+4>>2];k[d+8>>2]=k[b+8>>2];k[b>>2]=k[t>>2];k[b+4>>2]=k[t+4>>2];k[b+8>>2]=k[t+8>>2];b=2;r=v;return b|0}if(d){k[t>>2]=k[a>>2];k[t+4>>2]=k[a+4>>2];k[t+8>>2]=k[a+8>>2];k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];k[c>>2]=k[t>>2];k[c+4>>2]=k[t+4>>2];k[c+8>>2]=k[t+8>>2];b=1;r=v;return b|0}k[t>>2]=k[a>>2];k[t+4>>2]=k[a+4>>2];k[t+8>>2]=k[a+8>>2];k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];k[b>>2]=k[t>>2];k[b+4>>2]=k[t+4>>2];k[b+8>>2]=k[t+8>>2];h=i[j>>0]|0;g=h<<24>>24<0;h=g?k[l>>2]|0:h&255;f=i[p>>0]|0;e=f<<24>>24<0;f=e?k[s>>2]|0:f&255;d=f>>>0<h>>>0?f:h;if(!d)u=19;else{d=zM(g?k[c>>2]|0:c,e?k[b>>2]|0:b,d)|0;if(!d)u=19;else if((d|0)<0)d=c;else{b=1;r=v;return b|0}}do if((u|0)==19)if(h>>>0<f>>>0){d=c;break}else{b=1;r=v;return b|0}while(0);k[t>>2]=k[b>>2];k[t+4>>2]=k[b+4>>2];k[t+8>>2]=k[b+8>>2];k[b>>2]=k[d>>2];k[b+4>>2]=k[d+4>>2];k[b+8>>2]=k[d+8>>2];k[d>>2]=k[t>>2];k[d+4>>2]=k[t+4>>2];k[d+8>>2]=k[t+8>>2];b=2;r=v;return b|0}function Fj(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=r;r=r+16|0;q=s;l=c;while(1){if((l|0)==(d|0)){l=d;break}if(!(i[l>>0]|0))break;l=l+1|0}k[h>>2]=f;k[e>>2]=c;o=g;p=a+8|0;a=f;while(1){if((a|0)==(g|0)|(c|0)==(d|0)){j=c;f=51;break}f=b;m=k[f+4>>2]|0;n=q;k[n>>2]=k[f>>2];k[n+4>>2]=m;n=l;m=_8(k[p>>2]|0)|0;y=0;f=sa(36,a|0,e|0,n-c|0,o-a>>2|0,b|0)|0;t=y;y=0;if(t&1){f=11;break}if(m|0){y=0;qa(471,m|0)|0;t=y;y=0;if(t&1){f=10;break}}if((f|0)==-1){l=a;f=16;break}a=(k[h>>2]|0)+(f<<2)|0;k[h>>2]=a;if((a|0)==(g|0)){f=48;break}c=k[e>>2]|0;if((l|0)==(d|0))l=d;else{l=_8(k[p>>2]|0)|0;y=0;c=Ma(30,a|0,c|0,1,b|0)|0;t=y;y=0;if(t&1){f=38;break}if(l|0){y=0;qa(471,l|0)|0;t=y;y=0;if(t&1){f=37;break}}if(c|0){j=2;f=47;break}k[h>>2]=(k[h>>2]|0)+4;c=(k[e>>2]|0)+1|0;k[e>>2]=c;l=c;while(1){if((l|0)==(d|0)){l=d;break}if(!(i[l>>0]|0))break;l=l+1|0}a=k[h>>2]|0}}do if((f|0)==10){t=tb(0)|0;dla(t)}else if((f|0)==11){j=pb()|0;if(m|0){y=0;qa(471,m|0)|0;t=y;y=0;if(t&1){t=tb(0)|0;dla(t)}}sb(j|0)}else if((f|0)==16){a:while(1){k[h>>2]=l;if((c|0)==(k[e>>2]|0)){f=31;break}a=_8(k[p>>2]|0)|0;y=0;l=Ma(30,l|0,c|0,n-c|0,q|0)|0;t=y;y=0;if(t&1){f=21;break}if(a|0){y=0;qa(471,a|0)|0;t=y;y=0;if(t&1){f=20;break}}switch(l|0){case -1:{f=27;break a}case -2:{f=28;break a}case 0:{c=c+1|0;break}default:c=c+l|0}l=(k[h>>2]|0)+4|0;f=16}if((f|0)==20){t=tb(0)|0;dla(t)}else if((f|0)==21){j=pb()|0;if(a|0){y=0;qa(471,a|0)|0;t=y;y=0;if(t&1){t=tb(0)|0;dla(t)}}sb(j|0)}else if((f|0)==27){k[e>>2]=c;j=2;f=47;break}else if((f|0)==28){k[e>>2]=c;j=1;f=47;break}else if((f|0)==31){k[e>>2]=c;j=(c|0)!=(d|0)&1;f=47;break}}else if((f|0)==37){t=tb(0)|0;dla(t)}else if((f|0)==38){j=pb()|0;if(l|0){y=0;qa(471,l|0)|0;t=y;y=0;if(t&1){t=tb(0)|0;dla(t)}}sb(j|0)}else if((f|0)==48){j=k[e>>2]|0;f=51}while(0);if((f|0)!=47)if((f|0)==51)j=(j|0)!=(d|0)&1;r=s;return j|0}function Gj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;u=0;q=r;r=r+144|0;j=q+24|0;a=q+32|0;t=q+16|0;o=q+8|0;s=q+4|0;n=q+28|0;l=q;k[t>>2]=a;w=t+4|0;k[w>>2]=417;m=a+100|0;y=0;h=qa(341,e|0)|0;p=y;y=0;if(p&1){h=pb()|0;k[t>>2]=0;u=41}else{k[s>>2]=h;y=0;h=Ha(973,s|0,78144)|0;p=y;y=0;if(p&1)h=pb()|0;else{i[n>>0]=0;p=k[c>>2]|0;k[l>>2]=p;a=k[e+4>>2]|0;e=p;y=0;k[j>>2]=k[l>>2];a=Fa(1,b|0,j|0,d|0,s|0,a|0,f|0,n|0,h|0,t|0,o|0,m|0)|0;d=y;y=0;a:do if(d&1)u=13;else{if(a){a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}if(i[n>>0]|0){y=0;a=Ha(k[(k[h>>2]|0)+28>>2]|0,h|0,45)|0;n=y;y=0;if(n&1){u=13;break}y=0;oa(461,g|0,a|0);n=y;y=0;if(n&1){u=13;break}}y=0;l=Ha(k[(k[h>>2]|0)+28>>2]|0,h|0,48)|0;n=y;y=0;if(n&1){u=13;break}h=k[o>>2]|0;j=h+-1|0;a=k[t>>2]|0;while(1){if(a>>>0>=j>>>0)break;if((i[a>>0]|0)!=l<<24>>24)break;a=a+1|0}y=0;ta(170,g|0,a|0,h|0)|0;g=y;y=0;if(g&1){a=pb()|0;break}}a=k[b>>2]|0;do if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;a=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;g=y;y=0;if(g&1){u=13;break a}if((a|0)==-1){k[b>>2]=0;a=0;break}else{a=k[b>>2]|0;break}}while(0);h=(a|0)==0;do if(!p)u=33;else{if((k[e+12>>2]|0)==(k[e+16>>2]|0)){y=0;a=qa(k[(k[p>>2]|0)+36>>2]|0,e|0)|0;p=y;y=0;if(p&1){u=13;break a}if((a|0)==-1){k[c>>2]=0;u=33;break}}if(!h)u=34}while(0);if((u|0)==33)if(h)u=34;if((u|0)==34)k[f>>2]=k[f>>2]|2;h=k[b>>2]|0;lQ(k[s>>2]|0)|0;a=k[t>>2]|0;k[t>>2]=0;if(a|0){y=0;na(k[w>>2]|0,a|0);w=y;y=0;if(w&1){w=tb(0)|0;dla(w)}}r=q;return h|0}while(0);if((u|0)==13)a=pb()|0;h=a}lQ(k[s>>2]|0)|0;a=k[t>>2]|0;k[t>>2]=0;if(!a)v=h;else u=41}if((u|0)==41){y=0;na(k[w>>2]|0,a|0);w=y;y=0;if(w&1){w=tb(0)|0;dla(w)}else v=h}sb(v|0);return 0}function Hj(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=0;t=r;r=r+16|0;q=t;p=Jl(a,b,c,d,f)|0;j=i[e+11>>0]|0;h=j<<24>>24<0;j=h?k[e+4>>2]|0:j&255;m=d+11|0;l=i[m>>0]|0;g=l<<24>>24<0;n=d+4|0;l=g?k[n>>2]|0:l&255;f=l>>>0<j>>>0?l:j;if(!f)s=3;else{f=zM(h?k[e>>2]|0:e,g?k[d>>2]|0:d,f)|0;if(!f)s=3;else if((f|0)<0){f=e;o=d}else{s=p;r=t;return s|0}}do if((s|0)==3)if(j>>>0<l>>>0){f=e;o=d;break}else{s=p;r=t;return s|0}while(0);k[q>>2]=k[o>>2];k[q+4>>2]=k[o+4>>2];k[q+8>>2]=k[o+8>>2];k[o>>2]=k[f>>2];k[o+4>>2]=k[f+4>>2];k[o+8>>2]=k[f+8>>2];k[f>>2]=k[q>>2];k[f+4>>2]=k[q+4>>2];k[f+8>>2]=k[q+8>>2];e=p+1|0;j=i[m>>0]|0;h=j<<24>>24<0;j=h?k[n>>2]|0:j&255;m=c+11|0;l=i[m>>0]|0;g=l<<24>>24<0;n=c+4|0;l=g?k[n>>2]|0:l&255;f=l>>>0<j>>>0?l:j;if(!f)s=8;else{f=zM(h?k[d>>2]|0:o,g?k[c>>2]|0:c,f)|0;if(!f)s=8;else if((f|0)<0)d=c;else{s=e;r=t;return s|0}}do if((s|0)==8)if(j>>>0<l>>>0){d=c;break}else{s=e;r=t;return s|0}while(0);k[q>>2]=k[d>>2];k[q+4>>2]=k[d+4>>2];k[q+8>>2]=k[d+8>>2];k[d>>2]=k[o>>2];k[d+4>>2]=k[o+4>>2];k[d+8>>2]=k[o+8>>2];k[o>>2]=k[q>>2];k[o+4>>2]=k[q+4>>2];k[o+8>>2]=k[q+8>>2];e=p+2|0;j=i[m>>0]|0;h=j<<24>>24<0;j=h?k[n>>2]|0:j&255;n=b+11|0;l=i[n>>0]|0;g=l<<24>>24<0;o=b+4|0;l=g?k[o>>2]|0:l&255;f=l>>>0<j>>>0?l:j;if(!f)s=13;else{f=zM(h?k[c>>2]|0:d,g?k[b>>2]|0:b,f)|0;if(!f)s=13;else if((f|0)<0)m=b;else{s=e;r=t;return s|0}}do if((s|0)==13)if(j>>>0<l>>>0){m=b;break}else{s=e;r=t;return s|0}while(0);k[q>>2]=k[m>>2];k[q+4>>2]=k[m+4>>2];k[q+8>>2]=k[m+8>>2];k[m>>2]=k[d>>2];k[m+4>>2]=k[d+4>>2];k[m+8>>2]=k[d+8>>2];k[d>>2]=k[q>>2];k[d+4>>2]=k[q+4>>2];k[d+8>>2]=k[q+8>>2];e=p+3|0;j=i[n>>0]|0;h=j<<24>>24<0;j=h?k[o>>2]|0:j&255;l=i[a+11>>0]|0;g=l<<24>>24<0;l=g?k[a+4>>2]|0:l&255;f=l>>>0<j>>>0?l:j;if(!f)s=18;else{f=zM(h?k[b>>2]|0:m,g?k[a>>2]|0:a,f)|0;if(!f)s=18;else if((f|0)>=0){s=e;r=t;return s|0}}do if((s|0)==18)if(j>>>0<l>>>0)break;else{s=e;r=t;return s|0}while(0);k[q>>2]=k[a>>2];k[q+4>>2]=k[a+4>>2];k[q+8>>2]=k[a+8>>2];k[a>>2]=k[m>>2];k[a+4>>2]=k[m+4>>2];k[a+8>>2]=k[m+8>>2];k[m>>2]=k[q>>2];k[m+4>>2]=k[q+4>>2];k[m+8>>2]=k[q+8>>2];s=p+4|0;r=t;return s|0}function Ij(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;l=0;m=r;r=r+48|0;c=m+8|0;o=m+32|0;n=m+20|0;i=m+16|0;g=m+12|0;h=a+76|0;f=(k[a+80>>2]|0)-(k[h>>2]|0)>>2;j=b+76|0;e=(k[b+80>>2]|0)-(k[j>>2]|0)>>2;bs(o,h);y=0;oa(511,n|0,j|0);j=y;y=0;if(j&1){d=pb()|0;a=o}else{j=o+4|0;y=0;Na(78,k[o>>2]|0,k[j>>2]|0,m|0);h=y;y=0;do if(h&1)l=9;else{h=n+4|0;y=0;Na(78,k[n>>2]|0,k[h>>2]|0,c|0);d=y;y=0;if(d&1)l=9;else{d=0;b=0;a:while(1){if((d|0)==(f|0)){l=6;break}if((b|0)==(e|0)){l=12;break}y=0;oa(464,i|0,(k[o>>2]|0)+(d<<2)|0);c=y;y=0;if(c&1){l=8;break}y=0;oa(464,g|0,(k[n>>2]|0)+(b<<2)|0);c=y;y=0;if(c&1){l=17;break}a=k[i>>2]|0;do if(!a){a=d+1|0;l=23}else{c=k[g>>2]|0;if(!c){a=d;b=b+1|0;l=23;break}y=0;a=Ha(k[(k[a>>2]|0)+164>>2]|0,a|0,c|0)|0;c=y;y=0;if(c&1){l=18;break a}if(a){a=d;l=23}else{c=0;a=d}}while(0);if((l|0)==23){l=0;c=1;a=a+1|0;b=b+1|0}EO(g);EO(i);if(c)d=a;else{c=0;break}}if((l|0)==6)c=(f|0)==(e|0);else if((l|0)==8){c=pb()|0;a=n;b=N;l=10;break}else if((l|0)==12)c=(f|0)==(e|0);else if((l|0)==17){c=pb()|0;a=N;l=25}else if((l|0)==18){c=pb()|0;a=N;EO(g);l=25}if((l|0)==25){EO(i);b=a;a=n;break}a=k[n>>2]|0;if(a|0){b=k[h>>2]|0;if((b|0)!=(a|0)){do{l=b+-4|0;k[h>>2]=l;EO(l);b=k[h>>2]|0}while((b|0)!=(a|0));a=k[n>>2]|0}zqa(a)}a=k[o>>2]|0;if(!a){r=m;return c|0}b=k[j>>2]|0;if((b|0)!=(a|0)){do{n=b+-4|0;k[j>>2]=n;EO(n);b=k[j>>2]|0}while((b|0)!=(a|0));a=k[o>>2]|0}zqa(a);r=m;return c|0}}while(0);if((l|0)==9){c=pb()|0;a=n;b=N;l=10}a=k[a>>2]|0;if(a|0){e=n+4|0;d=k[e>>2]|0;if((d|0)!=(a|0)){do{m=d+-4|0;k[e>>2]=m;EO(m);d=k[e>>2]|0}while((d|0)!=(a|0));a=k[n>>2]|0}zqa(a)}d=c;a=o}a=k[a>>2]|0;if(!a)sb(d|0);c=o+4|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{n=b+-4|0;k[c>>2]=n;EO(n);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[o>>2]|0}zqa(a);sb(d|0);return 0}function Jj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;q=r;r=r+16|0;s=q+4|0;p=q;d=a+4|0;if(!b){c=k[a>>2]|0;k[a>>2]=0;if(c|0)zqa(c);k[d>>2]=0;r=q;return}if(b>>>0>1073741823){s=gb(4)|0;doa(s);Wb(s|0,4496,348)}o=ZL(b<<2)|0;c=k[a>>2]|0;k[a>>2]=o;if(c|0)zqa(c);k[d>>2]=b;c=0;do{k[(k[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));d=a+8|0;g=k[d>>2]|0;if(!g){r=q;return}c=k[g+4>>2]|0;n=b+-1|0;o=(n&b|0)==0;if(o)c=c&n;else c=(c>>>0)%(b>>>0)|0;k[(k[a>>2]|0)+(c<<2)>>2]=d;d=k[g>>2]|0;if(!d){r=q;return}m=a+16|0;e=c;f=g;c=g;a:while(1){l=c;b:while(1){c:do if(o){c=d;while(1){j=k[c+4>>2]&n;if((j|0)==(e|0))break c;d=(k[a>>2]|0)+(j<<2)|0;if(!(k[d>>2]|0)){e=j;break b}g=c+8|0;i=c;while(1){if(!(k[i>>2]|0)){d=0;break}rT(s,g);y=0;oa(464,p|0,(k[i>>2]|0)+8|0);h=y;y=0;if(h&1){d=24;break a}y=0;h=ta(165,m|0,s|0,p|0)|0;d=y;y=0;if(d&1){d=25;break a}EO(p);EO(s);d=k[i>>2]|0;if(h)i=d;else break}k[f>>2]=d;k[i>>2]=k[k[(k[a>>2]|0)+(j<<2)>>2]>>2];k[k[(k[a>>2]|0)+(j<<2)>>2]>>2]=c;c=k[f>>2]|0;if(!c){d=44;break a}}}else{c=d;while(1){j=((k[c+4>>2]|0)>>>0)%(b>>>0)|0;if((j|0)==(e|0))break c;d=(k[a>>2]|0)+(j<<2)|0;if(!(k[d>>2]|0)){e=j;break b}g=c+8|0;i=c;while(1){if(!(k[i>>2]|0)){d=0;break}rT(s,g);y=0;oa(464,p|0,(k[i>>2]|0)+8|0);h=y;y=0;if(h&1){d=35;break a}y=0;h=ta(165,m|0,s|0,p|0)|0;d=y;y=0;if(d&1){d=37;break a}EO(p);EO(s);d=k[i>>2]|0;if(h)i=d;else break}k[f>>2]=d;k[i>>2]=k[k[(k[a>>2]|0)+(j<<2)>>2]>>2];k[k[(k[a>>2]|0)+(j<<2)>>2]>>2]=c;c=k[f>>2]|0;if(!c){d=44;break a}}}while(0);d=k[c>>2]|0;if(!d){d=44;break a}else{f=c;l=c}}k[d>>2]=l;d=k[c>>2]|0;if(!d){d=44;break}else f=c}if((d|0)==24){c=pb()|0;d=36}else if((d|0)==25){c=pb()|0;d=38}else if((d|0)==35){c=pb()|0;d=36}else if((d|0)==37){c=pb()|0;d=38}else if((d|0)==44){r=q;return}if((d|0)==36){q=c;EO(s);sb(q|0)}else if((d|0)==38){EO(p);q=c;EO(s);sb(q|0)}}function Kj(a){a=a|0;var b=0;a:do if(!(i[71920]|0))if(eca(71920)|0){if(!(i[71928]|0))if(eca(71928)|0){b=78556;do{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}b=b+12|0}while((b|0)!=78844);Pb(410,0,x|0)|0}y=0;Ha(1006,78556,52033)|0;b=y;y=0;do if(!(b&1)){y=0;Ha(1006,78568,52041)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78580,52050)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78592,52056)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78604,52062)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78616,52066)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78628,52071)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78640,52076)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78652,52083)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78664,52093)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78676,52101)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78688,52110)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78700,52119)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78712,52123)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78724,52127)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1006,78736,52131)|0;b=y;y=0;if(b&1)break;y=0;Ha(1006,78748,52062)|0;b=y;y=0;if(b&1)break;y=0;Ha(1006,78760,52135)|0;b=y;y=0;if(b&1)break;y=0;Ha(1006,78772,52139)|0;b=y;y=0;if(b&1)break;y=0;Ha(1006,78784,52143)|0;b=y;y=0;if(b&1)break;y=0;Ha(1006,78796,52147)|0;b=y;y=0;if(b&1)break;y=0;Ha(1006,78808,52151)|0;b=y;y=0;if(b&1)break;y=0;Ha(1006,78820,52155)|0;b=y;y=0;if(b&1)break;y=0;Ha(1006,78832,52159)|0;b=y;y=0;if(b&1)break;k[19711]=78556;break a}}}}}}}}}}}}}}}while(0);b=pb()|0;sb(b|0)}while(0);return k[19711]|0}function Lj(a){a=a|0;var b=0;a:do if(!(i[72e3]|0))if(eca(72e3)|0){if(!(i[72008]|0))if(eca(72008)|0){b=79368;do{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}b=b+12|0}while((b|0)!=79656);Pb(413,0,x|0)|0}y=0;Ha(1030,79368,24732)|0;b=y;y=0;do if(!(b&1)){y=0;Ha(1030,79380,24764)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79392,24800)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79404,24824)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79416,24848)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79428,24864)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79440,24884)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79452,24904)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79464,24932)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79476,24972)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79488,25004)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79500,25040)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79512,25076)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79524,25092)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79536,25108)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1030,79548,25124)|0;b=y;y=0;if(b&1)break;y=0;Ha(1030,79560,24848)|0;b=y;y=0;if(b&1)break;y=0;Ha(1030,79572,25140)|0;b=y;y=0;if(b&1)break;y=0;Ha(1030,79584,25156)|0;b=y;y=0;if(b&1)break;y=0;Ha(1030,79596,25172)|0;b=y;y=0;if(b&1)break;y=0;Ha(1030,79608,25188)|0;b=y;y=0;if(b&1)break;y=0;Ha(1030,79620,25204)|0;b=y;y=0;if(b&1)break;y=0;Ha(1030,79632,25220)|0;b=y;y=0;if(b&1)break;y=0;Ha(1030,79644,25236)|0;b=y;y=0;if(b&1)break;k[19914]=79368;break a}}}}}}}}}}}}}}}while(0);b=pb()|0;sb(b|0)}while(0);return k[19914]|0}function Mj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;s=0;l=r;r=r+128|0;e=l;d=l+80|0;q=l+68|0;f=l+56|0;g=l+48|0;h=l+40|0;j=d;m=c+12|0;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));pK(q,76496);j=e;m=d;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));y=0;oa(629,a|0,q|0);p=y;y=0;if(p&1)d=pb()|0;else{k[a>>2]=14052;o=a+8|0;y=0;oa(452,o|0,q|0);p=y;y=0;do if(p&1)d=pb()|0;else{p=a+20|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(75,p|0,47013,5);n=y;y=0;if(n&1){d=pb()|0;$9(o);break}j=a+32|0;m=e;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));k[a+72>>2]=0;$9(q);k[a>>2]=18964;k[a+76>>2]=b;k[a+80>>2]=c;y=0;Ha(1006,o|0,47019)|0;q=y;y=0;a:do if(q&1)s=17;else{q=k[(k[c>>2]|0)+28>>2]|0;k[g>>2]=0;k[g+4>>2]=5;y=0;k[e>>2]=k[g>>2];k[e+4>>2]=k[g+4>>2];Na(q|0,f|0,c|0,e|0);q=y;y=0;do if(q&1)d=pb()|0;else{q=i[f+11>>0]|0;n=q<<24>>24<0;y=0;ta(47,o|0,(n?k[f>>2]|0:f)|0,(n?k[f+4>>2]|0:q&255)|0)|0;q=y;y=0;if(q&1){d=pb()|0;$9(f);break}$9(f);y=0;Ha(970,o|0,47049)|0;q=y;y=0;if(q&1){s=17;break a}q=k[(k[b>>2]|0)+28>>2]|0;k[h>>2]=0;k[h+4>>2]=5;y=0;k[e>>2]=k[h>>2];k[e+4>>2]=k[h+4>>2];Na(q|0,f|0,b|0,e|0);q=y;y=0;do if(q&1)d=pb()|0;else{q=i[f+11>>0]|0;n=q<<24>>24<0;y=0;ta(47,o|0,(n?k[f>>2]|0:f)|0,(n?k[f+4>>2]|0:q&255)|0)|0;q=y;y=0;if(q&1){d=pb()|0;$9(f);break}$9(f);y=0;Ha(970,o|0,47054)|0;s=y;y=0;if(s&1){s=17;break a}r=l;return}while(0);break a}while(0)}while(0);if((s|0)==17)d=pb()|0;k[a>>2]=14052;$9(p);$9(o);cda(a);a=d;sb(a|0)}while(0);cda(a)}$9(q);a=d;sb(a|0)}function Nj(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;y=0;u=b+12|0;f=k[u>>2]|0;e=k[c+12>>2]|0;if((f|0)==(e|0)){c=d;y=c;y=k[y>>2]|0;c=c+4|0;c=k[c>>2]|0;d=a;b=d;k[b>>2]=y;d=d+4|0;k[d>>2]=c;return}t=b+8|0;w=c+8|0;s=c+8|0;x=d+4|0;v=b+8|0;do{h=d;r=k[h>>2]|0;g=r;r=(k[h+4>>2]|0)-(k[r>>2]|0)|0;h=(r|0)/24|0;i=h+-1|0;if((r|0)>24){h=g+(((i>>>0)/170|0)<<2)|0;g=(k[h>>2]|0)+(((i>>>0)%170|0)*24|0)|0}else{r=170-h|0;h=g+(((r|0)/-170|0)<<2)|0;g=(k[h>>2]|0)+((169-((r|0)%170|0)|0)*24|0)|0}l=g+24|0;h=l-(k[h>>2]|0)|0;j=(h|0)/24|0;if((f|0)==(e|0))f=0;else{r=k[s>>2]|0;q=k[v>>2]|0;f=((q-r>>2)*170|0)+((f-(k[q>>2]|0)|0)/24|0)+((e-(k[r>>2]|0)|0)/-24|0)|0}if((f|0)>(j|0)){f=w;g=k[f>>2]|0;i=g;do if(!h){g=k[w>>2]|0;f=e}else{f=(((k[f+4>>2]|0)-(k[g>>2]|0)|0)/24|0)+j|0;if((f|0)>0){r=i+(((f>>>0)/170|0)<<2)|0;g=r;f=(k[r>>2]|0)+(((f>>>0)%170|0)*24|0)|0;break}else{f=169-f|0;r=i+(((f|0)/-170|0)<<2)|0;g=r;f=(k[r>>2]|0)+((169-((f|0)%170|0)|0)*24|0)|0;break}}while(0);r=f;f=j;h=i;p=r;q=g;o=g}else{o=t;r=b;h=k[s>>2]|0;p=k[o+4>>2]|0;q=k[r>>2]|0;r=k[r+4>>2]|0;o=k[o>>2]|0}g=e;e=p;if((e|0)!=(g|0)){n=l;while(1){m=n;n=n+-24|0;j=g+24|0;g=j;i=k[h>>2]|0;if((g-i|0)==4080){g=h+4|0;h=g;g=k[g>>2]|0;y=19}else if((j|0)==(i|0))y=19;else{l=h;h=j}if((y|0)==19){y=0;l=h;h=(k[h+-4>>2]|0)+4080|0}i=h+-24|0;k[n>>2]=k[i>>2];k[n+4>>2]=k[i+4>>2];k[n+8>>2]=k[i+8>>2];LH(m+-12|0,h+-12|0)|0;i=k[h+-8>>2]|0;j=k[h+-4>>2]|0;if(j|0)Sba(j);k[m+-8>>2]=i;m=m+-4|0;h=k[m>>2]|0;k[m>>2]=j;if(h|0)kZ(h);if((e|0)==(g|0))break;else h=l}}n=c;k[n>>2]=q;k[n+4>>2]=r;r=w;k[r>>2]=o;k[r+4>>2]=p;do if(f|0){g=k[d>>2]|0;f=(((k[x>>2]|0)-(k[g>>2]|0)|0)/24|0)-f|0;if((f|0)>0){r=g+(((f>>>0)/170|0)<<2)|0;k[d>>2]=r;k[x>>2]=(k[r>>2]|0)+(((f>>>0)%170|0)*24|0);break}else{r=169-f|0;q=g+(((r|0)/-170|0)<<2)|0;k[d>>2]=q;k[x>>2]=(k[q>>2]|0)+((169-((r|0)%170|0)|0)*24|0);break}}while(0);f=k[u>>2]|0}while((f|0)!=(e|0));c=d;y=c;y=k[y>>2]|0;c=c+4|0;c=k[c>>2]|0;d=a;b=d;k[b>>2]=y;d=d+4|0;k[d>>2]=c;return}function Oj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;p=0;q=r;r=r+144|0;j=q+96|0;s=q+68|0;n=q+80|0;o=q+56|0;l=q+16|0;m=q;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;jI(s,35750,7);y=0;b=j;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));g=sa(25,s|0,a|0,d|0,j|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;$9(s);s=e;sb(s|0)}$9(s);pK(s,g+64|0);h=s+11|0;c=i[h>>0]|0;a=c<<24>>24<0?k[s+4>>2]|0:c&255;a:do if(!a)p=4;else{b=0;while(1){y=0;c=qa(352,i[(c<<24>>24<0?k[s>>2]|0:s)+b>>0]|0)|0;f=y;y=0;if(f&1)break;if(c){f=((i[h>>0]|0)<0?k[s>>2]|0:s)+b|0;d=(lja(i[f>>0]|0)|0)&255;i[f>>0]=d}b=b+1|0;if(b>>>0>=a>>>0){p=4;break a}c=i[h>>0]|0}b=pb()|0}while(0);do if((p|0)==4){if(!g)p=21;else{b=pw(g,520,536,0)|0;if(!b)p=21;else{y=0;c=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;e=y;y=0;if(!(e&1)){y=0;oa(452,o|0,s|0);e=y;y=0;if(e&1){b=pb()|0;break}k[c+76>>2]=0;y=0;b=Ha(967,c+64|0,o|0)|0;e=y;y=0;if(!(e&1)){y=0;oa(452,n|0,b|0);e=y;y=0;if(!(e&1)){$9(n);$9(o);e=c;$9(s);r=q;return e|0}}b=pb()|0;$9(o);break}}}if((p|0)==21){y=0;c=qa(332,80)|0;p=y;y=0;if(!(p&1)){b=l;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));y=0;oa(452,m|0,s|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;b=j;g=l;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));Ea(2,c|0,j|0,m|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;$9(m);break}$9(m);e=c;$9(s);r=q;return e|0}while(0);zqa(c);break}}b=pb()|0}while(0);$9(s);s=b;sb(s|0);return 0}function Pj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;p=0;q=r;r=r+144|0;j=q+96|0;s=q+68|0;n=q+80|0;o=q+56|0;l=q+16|0;m=q;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;jI(s,35750,7);y=0;b=j;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));g=sa(25,s|0,a|0,d|0,j|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;$9(s);s=e;sb(s|0)}$9(s);pK(s,g+64|0);h=s+11|0;c=i[h>>0]|0;a=c<<24>>24<0?k[s+4>>2]|0:c&255;a:do if(!a)p=4;else{b=0;while(1){y=0;c=qa(352,i[(c<<24>>24<0?k[s>>2]|0:s)+b>>0]|0)|0;f=y;y=0;if(f&1)break;if(c){f=((i[h>>0]|0)<0?k[s>>2]|0:s)+b|0;d=(mja(i[f>>0]|0)|0)&255;i[f>>0]=d}b=b+1|0;if(b>>>0>=a>>>0){p=4;break a}c=i[h>>0]|0}b=pb()|0}while(0);do if((p|0)==4){if(!g)p=21;else{b=pw(g,520,536,0)|0;if(!b)p=21;else{y=0;c=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;e=y;y=0;if(!(e&1)){y=0;oa(452,o|0,s|0);e=y;y=0;if(e&1){b=pb()|0;break}k[c+76>>2]=0;y=0;b=Ha(967,c+64|0,o|0)|0;e=y;y=0;if(!(e&1)){y=0;oa(452,n|0,b|0);e=y;y=0;if(!(e&1)){$9(n);$9(o);e=c;$9(s);r=q;return e|0}}b=pb()|0;$9(o);break}}}if((p|0)==21){y=0;c=qa(332,80)|0;p=y;y=0;if(!(p&1)){b=l;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));y=0;oa(452,m|0,s|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;b=j;g=l;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));Ea(2,c|0,j|0,m|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;$9(m);break}$9(m);e=c;$9(s);r=q;return e|0}while(0);zqa(c);break}}b=pb()|0}while(0);$9(s);s=b;sb(s|0);return 0}function Qj(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;f=k[a>>2]|0;do if(!f)h=1;else{g=k[f+12>>2]|0;if((g|0)==(k[f+16>>2]|0))f=oc[k[(k[f>>2]|0)+36>>2]&511](f)|0;else f=k[g>>2]|0;if((f|0)==-1){k[a>>2]=0;h=1;break}else{h=(k[a>>2]|0)==0;break}}while(0);g=k[b>>2]|0;do if(!g)p=14;else{f=k[g+12>>2]|0;if((f|0)==(k[g+16>>2]|0))f=oc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else f=k[f>>2]|0;if((f|0)==-1){k[b>>2]=0;p=14;break}else if(h){p=17;break}else{p=16;break}}while(0);if((p|0)==14)if(h)p=16;else{g=0;p=17}a:do if((p|0)==16){k[c>>2]=k[c>>2]|6;f=0}else if((p|0)==17){f=k[a>>2]|0;h=k[f+12>>2]|0;if((h|0)==(k[f+16>>2]|0))f=oc[k[(k[f>>2]|0)+36>>2]&511](f)|0;else f=k[h>>2]|0;if(!(rc[k[(k[d>>2]|0)+12>>2]&255](d,2048,f)|0)){k[c>>2]=k[c>>2]|4;f=0;break}f=(rc[k[(k[d>>2]|0)+52>>2]&255](d,f,0)|0)<<24>>24;h=k[a>>2]|0;i=h+12|0;j=k[i>>2]|0;if((j|0)==(k[h+16>>2]|0)){oc[k[(k[h>>2]|0)+40>>2]&511](h)|0;l=g;i=g}else{k[i>>2]=j+4;l=g;i=g}while(1){f=f+-48|0;o=e+-1|0;g=k[a>>2]|0;do if(!g)j=1;else{h=k[g+12>>2]|0;if((h|0)==(k[g+16>>2]|0))g=oc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else g=k[h>>2]|0;if((g|0)==-1){k[a>>2]=0;j=1;break}else{j=(k[a>>2]|0)==0;break}}while(0);do if(!i){n=l;m=0;g=1}else{g=k[i+12>>2]|0;if((g|0)==(k[i+16>>2]|0))g=oc[k[(k[i>>2]|0)+36>>2]&511](i)|0;else g=k[g>>2]|0;if((g|0)==-1){k[b>>2]=0;n=0;m=0;g=1;break}else{n=l;m=l;g=(l|0)==0;break}}while(0);h=k[a>>2]|0;if(!((e|0)>1&(j^g)))break;g=k[h+12>>2]|0;if((g|0)==(k[h+16>>2]|0))g=oc[k[(k[h>>2]|0)+36>>2]&511](h)|0;else g=k[g>>2]|0;if(!(rc[k[(k[d>>2]|0)+12>>2]&255](d,2048,g)|0))break a;f=((rc[k[(k[d>>2]|0)+52>>2]&255](d,g,0)|0)<<24>>24)+(f*10|0)|0;g=k[a>>2]|0;h=g+12|0;i=k[h>>2]|0;if((i|0)==(k[g+16>>2]|0)){oc[k[(k[g>>2]|0)+40>>2]&511](g)|0;e=o;l=n;i=m;continue}else{k[h>>2]=i+4;e=o;l=n;i=m;continue}}do if(!h)h=1;else{g=k[h+12>>2]|0;if((g|0)==(k[h+16>>2]|0))g=oc[k[(k[h>>2]|0)+36>>2]&511](h)|0;else g=k[g>>2]|0;if((g|0)==-1){k[a>>2]=0;h=1;break}else{h=(k[a>>2]|0)==0;break}}while(0);do if(!n)p=60;else{g=k[n+12>>2]|0;if((g|0)==(k[n+16>>2]|0))g=oc[k[(k[n>>2]|0)+36>>2]&511](n)|0;else g=k[g>>2]|0;if((g|0)==-1){k[b>>2]=0;p=60;break}else if(h)break a;else break}while(0);if((p|0)==60)if(!h)break;k[c>>2]=k[c>>2]|2}while(0);return f|0}function Rj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;h=r;r=r+112|0;e=h+96|0;f=h;d=h+56|0;n=h+44|0;m=h+40|0;g=d;j=c+12|0;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));pK(n,76496);g=f;j=d;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));y=0;oa(629,a|0,n|0);p=y;y=0;if(p&1)d=pb()|0;else{k[a>>2]=14052;o=a+8|0;y=0;oa(452,o|0,n|0);p=y;y=0;do if(p&1)d=pb()|0;else{p=a+20|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(75,p|0,47013,5);l=y;y=0;if(l&1){d=pb()|0;$9(o);break}g=a+32|0;j=f;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));k[a+72>>2]=0;$9(n);k[a>>2]=19060;k[a+76>>2]=b;k[a+80>>2]=c;y=0;Ha(1006,o|0,47139)|0;n=y;y=0;a:do if(n&1)q=18;else{y=0;oa(464,e|0,b+100|0);n=y;y=0;if(n&1)d=pb()|0;else{n=k[e>>2]|0;k[m>>2]=n;y=0;oa(k[(k[n>>2]|0)+20>>2]|0,f|0,n|0);n=y;y=0;do if(n&1)d=pb()|0;else{n=i[f+11>>0]|0;l=n<<24>>24<0;y=0;ta(47,o|0,(l?k[f>>2]|0:f)|0,(l?k[f+4>>2]|0:n&255)|0)|0;n=y;y=0;if(n&1){d=pb()|0;$9(f);break}$9(f);EO(m);y=0;Ha(970,o|0,47154)|0;n=y;y=0;if(n&1){q=18;break a}y=0;oa(k[(k[c>>2]|0)+20>>2]|0,e|0,c|0);n=y;y=0;do if(n&1)d=pb()|0;else{n=i[e+11>>0]|0;m=n<<24>>24<0;y=0;ta(47,o|0,(m?k[e>>2]|0:e)|0,(m?k[e+4>>2]|0:n&255)|0)|0;n=y;y=0;if(n&1){d=pb()|0;$9(e);break}$9(e);y=0;Ha(970,o|0,47164)|0;q=y;y=0;if(q&1){q=18;break a}r=h;return}while(0);break a}while(0);EO(m)}}while(0);if((q|0)==18)d=pb()|0;k[a>>2]=14052;$9(p);$9(o);cda(a);a=d;sb(a|0)}while(0);cda(a)}$9(n);a=d;sb(a|0)}function Sj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;t=0;u=r;r=r+16|0;v=u;s=EZ(g,78176)|0;l=EZ(g,78184)|0;mc[k[(k[l>>2]|0)+20>>2]&1023](v,l);p=v+11|0;o=i[p>>0]|0;q=v+4|0;a:do if(!((o<<24>>24<0?k[q>>2]|0:o&255)|0)){y=0;Ma(k[(k[s>>2]|0)+48>>2]|0,s|0,a|0,c|0,d|0)|0;t=y;y=0;if(t&1){g=pb()|0;t=30;break}else{g=d+(c-a<<2)|0;k[f>>2]=g;t=29;break}}else{k[f>>2]=d;g=i[a>>0]|0;switch(g<<24>>24){case 43:case 45:{y=0;g=Ha(k[(k[s>>2]|0)+44>>2]|0,s|0,g|0)|0;o=y;y=0;if(!(o&1)){j=k[f>>2]|0;k[f>>2]=j+4;k[j>>2]=g;j=a+1|0;t=9}break}default:{j=a;t=9}}b:do if((t|0)==9){c:do if((c-j|0)>1)if((i[j>>0]|0)==48){g=j+1|0;switch(i[g>>0]|0){case 88:case 120:break;default:{o=j;break c}}y=0;h=Ha(k[(k[s>>2]|0)+44>>2]|0,s|0,48)|0;o=y;y=0;if(o&1)break b;o=k[f>>2]|0;k[f>>2]=o+4;k[o>>2]=h;y=0;g=Ha(k[(k[s>>2]|0)+44>>2]|0,s|0,i[g>>0]|0)|0;o=y;y=0;if(o&1)break b;o=k[f>>2]|0;k[f>>2]=o+4;k[o>>2]=g;o=j+2|0}else o=j;else o=j;while(0);d:do if((o|0)!=(c|0)){g=c;h=o;while(1){g=g+-1|0;if(h>>>0>=g>>>0)break d;n=i[h>>0]|0;i[h>>0]=i[g>>0]|0;i[g>>0]=n;h=h+1|0}}while(0);y=0;n=qa(k[(k[l>>2]|0)+16>>2]|0,l|0)|0;m=y;y=0;if(!(m&1)){m=o;h=0;j=0;while(1){if(m>>>0>=c>>>0)break;g=i[p>>0]|0;l=g<<24>>24<0;w=i[(l?k[v>>2]|0:v)+h>>0]|0;if(w<<24>>24!=0&(j|0)==(w<<24>>24|0)){j=k[f>>2]|0;k[f>>2]=j+4;k[j>>2]=n;h=(h>>>0<((l?k[q>>2]|0:g&255)+-1|0)>>>0&1)+h|0;j=0}y=0;g=Ha(k[(k[s>>2]|0)+44>>2]|0,s|0,i[m>>0]|0)|0;w=y;y=0;if(w&1){t=26;break}w=k[f>>2]|0;k[f>>2]=w+4;k[w>>2]=g;m=m+1|0;j=j+1|0}if((t|0)==26){g=pb()|0;t=30;break a}j=a;g=d+(o-j<<2)|0;h=k[f>>2]|0;if((g|0)==(h|0)){a=j;t=29;break a}else a=h;while(1){a=a+-4|0;if(g>>>0>=a>>>0){a=j;g=h;t=29;break a}w=k[g>>2]|0;k[g>>2]=k[a>>2];k[a>>2]=w;g=g+4|0}}}while(0);g=pb()|0;t=30}while(0);if((t|0)==29){k[e>>2]=(b|0)==(c|0)?g:d+(b-a<<2)|0;$9(v);r=u;return}else if((t|0)==30){$9(v);sb(g|0)}}function Tj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;e=0;f=r;r=r+80|0;g=f+16|0;d=f;b=k[b>>2]|0;if(!b){g=0;r=f;return g|0}c=a+72|0;mc[k[(k[b>>2]|0)+40>>2]&1023](b,c);SN(a+76|0,1);Ue(g,c);b=k[a+16>>2]|0;a:do if(!(i[b+20>>0]|0)){if(i[b+17>>0]|0){h=a+372|0;c=i[h+11>>0]|0;b=c<<24>>24<0;y=0;ta(47,g|0,(b?k[h>>2]|0:h)|0,(b?k[a+376>>2]|0:c&255)|0)|0;c=y;y=0;if(c&1){e=8;break}y=0;oa(527,d|0,a|0);h=y;y=0;do if(h&1)b=pb()|0;else{h=i[d+11>>0]|0;a=h<<24>>24<0;y=0;ta(47,g|0,(a?k[d>>2]|0:d)|0,(a?k[d+4>>2]|0:h&255)|0)|0;h=y;y=0;if(h&1){b=pb()|0;$9(d);break}else{$9(d);e=23;break a}}while(0);break}b=a+408|0;h=i[b+11>>0]|0;do if(!((h<<24>>24<0?k[a+412>>2]|0:h&255)|0)){y=0;c=sa(21,b|0,0,-1,82159,0)|0;h=y;y=0;if(h&1){h=tb(0)|0;dla(h)}else if(!c){e=23;break a}else break}while(0);j=a+372|0;h=i[j+11>>0]|0;c=h<<24>>24<0;y=0;ta(47,g|0,(c?k[j>>2]|0:j)|0,(c?k[a+376>>2]|0:h&255)|0)|0;h=y;y=0;if(h&1)e=8;else{y=0;Na(92,d|0,a|0,b|0);j=y;y=0;do if(j&1)b=pb()|0;else{j=i[d+11>>0]|0;h=j<<24>>24<0;y=0;ta(47,g|0,(h?k[d>>2]|0:d)|0,(h?k[d+4>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){b=pb()|0;$9(d);break}else{$9(d);e=23;break a}}while(0)}}else e=23;while(0);if((e|0)==23){y=0;e=qa(340,((i[g+11>>0]|0)<0?k[g>>2]|0:g)|0)|0;j=y;y=0;if(j&1)e=8;else{$9(g+48|0);b=k[g+24>>2]|0;c=b;if(b|0){a=g+28|0;d=k[a>>2]|0;if((d|0)!=(b|0))k[a>>2]=d+(~(((d+-24-c|0)>>>0)/24|0)*24|0);zqa(b)}b=k[g+12>>2]|0;c=b;if(b|0){a=g+16|0;d=k[a>>2]|0;if((d|0)!=(b|0))k[a>>2]=d+(~((d+-4-c|0)>>>2)<<2);zqa(b)}$9(g);j=e;r=f;return j|0}}if((e|0)==8)b=pb()|0;$9(g+48|0);c=k[g+24>>2]|0;a=c;if(c|0){d=g+28|0;e=k[d>>2]|0;if((e|0)!=(c|0))k[d>>2]=e+(~(((e+-24-a|0)>>>0)/24|0)*24|0);zqa(c)}c=k[g+12>>2]|0;if(!c){$9(g);sb(b|0)}a=g+16|0;d=k[a>>2]|0;if((d|0)!=(c|0))k[a>>2]=d+(~((d+-4-c|0)>>>2)<<2);zqa(c);$9(g);sb(b|0);return 0}function Uj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;n=r;r=r+80|0;m=n;p=n+64|0;o=n+52|0;c=n+40|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;jI(o,36600,5);y=0;h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));b=pa(40,o|0,a|0,d|0,m|0,f|0,0)|0;l=y;y=0;if(!(l&1)){y=0;oa(482,p|0,b|0);l=y;y=0;if(!(l&1)){$9(o);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(75,c|0,36606,5);l=y;y=0;do if(l&1){b=pb()|0;q=16}else{y=0;h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));b=pa(40,c|0,a|0,d|0,m|0,f|0,0)|0;l=y;y=0;if(!(l&1)){y=0;oa(482,o|0,b|0);l=y;y=0;if(!(l&1)){$9(c);c=k[p>>2]|0;b=k[c+88>>2]|0;c=k[c+84>>2]|0;a=k[o>>2]|0;g=k[a+88>>2]|0;a=k[a+84>>2]|0;y=0;d=qa(332,104)|0;l=y;y=0;a:do if(l&1)b=pb()|0;else{h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,d|0);e=y;y=0;do if(e&1)b=pb()|0;else{g=(g-a>>2)+(b-c>>2)|0;h=d+12|0;j=m;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;b=d+56|0;k[b>>2]=0;k[d>>2]=7760;c=d+60|0;y=0;oa(553,c|0,g|0);e=y;y=0;if(e&1){b=pb()|0;break}k[d>>2]=7880;k[c>>2]=8004;k[b>>2]=6;e=k[p>>2]|0;y=0;Ha(984,c|0,((e|0)==0?0:e+60|0)|0)|0;e=y;y=0;if(!(e&1)){e=k[o>>2]|0;y=0;Ha(984,c|0,((e|0)==0?0:e+60|0)|0)|0;e=y;y=0;if(!(e&1)){EO(o);EO(p);r=n;return d|0}}b=pb()|0;break a}while(0);zqa(d)}while(0);EO(o);break}}b=pb()|0;$9(c);q=16}while(0);EO(p);q=b;sb(q|0)}}q=pb()|0;$9(o);sb(q|0);return 0}
function Af(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;u=r;r=r+112|0;s=u+100|0;t=u+88|0;m=u+84|0;j=u+80|0;z=u+68|0;x=u+56|0;w=u+44|0;v=u+32|0;q=u+12|0;p=u;o=u+28|0;n=u+24|0;l=a+116|0;rT(s,l);c=k[s>>2]|0;k[m>>2]=c;c=(c|0)==0;EO(m);m=b+116|0;rT(s,m);d=k[s>>2]|0;k[j>>2]=d;d=(d|0)==0;EO(j);if(c&d){pK(s,a+84|0);y=0;oa(452,t|0,b+84|0);q=y;y=0;a:do if(q&1)c=pb()|0;else{e=i[s+11>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[s+4>>2]|0:e;q=i[t+11>>0]|0;c=q<<24>>24<0;b:do if((g|0)==((c?k[t+4>>2]|0:q&255)|0)){h=k[s>>2]|0;j=f?h:s;c=c?k[t>>2]|0:t;d=(g|0)==0;c:do if(f){if(!d)if(zM(j,c,g)|0){c=0;break b}}else if(!d){if((h&255)<<24>>24==(i[c>>0]|0))d=s;else{c=0;break b}while(1){e=e+-1|0;d=d+1|0;if(!e)break c;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){c=0;break b}}}while(0);y=0;oa(452,z|0,a+104|0);q=y;y=0;if(q&1)c=pb()|0;else{y=0;oa(452,x|0,b+104|0);q=y;y=0;d:do if(q&1)c=pb()|0;else{e=i[z+11>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[z+4>>2]|0:e;q=i[x+11>>0]|0;c=q<<24>>24<0;e:do if((g|0)==((c?k[x+4>>2]|0:q&255)|0)){h=k[z>>2]|0;j=f?h:z;c=c?k[x>>2]|0:x;d=(g|0)==0;f:do if(f){if(!d)if(zM(j,c,g)|0){c=0;break e}}else if(!d){if((h&255)<<24>>24==(i[c>>0]|0))d=z;else{c=0;break e}while(1){e=e+-1|0;d=d+1|0;if(!e)break f;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){c=0;break e}}}while(0);y=0;oa(452,w|0,a+72|0);a=y;y=0;do if(a&1)c=pb()|0;else{y=0;oa(452,v|0,b+72|0);b=y;y=0;if(b&1){c=pb()|0;$9(w);break}else{c=ap(w,v)|0;$9(v);$9(w);break e}}while(0);$9(x);break d}else c=0;while(0);$9(x);$9(z);break b}while(0);$9(z)}$9(t);break a}else c=0;while(0);$9(t);$9(s);z=c;r=u;return z|0}while(0);$9(s);z=c;sb(z|0)}if(c^d){z=0;r=u;return z|0}pK(z,a+84|0);y=0;oa(452,x|0,b+84|0);j=y;y=0;g:do if(j&1)c=pb()|0;else{e=i[z+11>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[z+4>>2]|0:e;j=i[x+11>>0]|0;c=j<<24>>24<0;h:do if((g|0)==((c?k[x+4>>2]|0:j&255)|0)){h=k[z>>2]|0;j=f?h:z;c=c?k[x>>2]|0:x;d=(g|0)==0;i:do if(f){if(!d)if(zM(j,c,g)|0){c=0;break h}}else if(!d){if((h&255)<<24>>24==(i[c>>0]|0))d=z;else{c=0;break h}while(1){e=e+-1|0;d=d+1|0;if(!e)break i;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){c=0;break h}}}while(0);y=0;oa(452,w|0,a+104|0);j=y;y=0;if(j&1)c=pb()|0;else{y=0;oa(452,v|0,b+104|0);j=y;y=0;j:do if(j&1)c=pb()|0;else{e=i[w+11>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[w+4>>2]|0:e;j=i[v+11>>0]|0;c=j<<24>>24<0;k:do if((g|0)==((c?k[v+4>>2]|0:j&255)|0)){h=k[w>>2]|0;j=f?h:w;c=c?k[v>>2]|0:v;d=(g|0)==0;l:do if(f){if(!d)if(zM(j,c,g)|0){c=0;break k}}else if(!d){if((h&255)<<24>>24==(i[c>>0]|0))d=w;else{c=0;break k}while(1){e=e+-1|0;d=d+1|0;if(!e)break l;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){c=0;break k}}}while(0);y=0;oa(452,q|0,a+72|0);a=y;y=0;if(a&1)c=pb()|0;else{y=0;oa(452,p|0,b+72|0);b=y;y=0;m:do if(b&1)c=pb()|0;else{n:do if(ap(q,p)|0){y=0;oa(464,s|0,l|0);b=y;y=0;if(b&1)c=pb()|0;else{c=k[s>>2]|0;k[o>>2]=c;d=k[(k[c>>2]|0)+88>>2]|0;y=0;oa(464,t|0,m|0);s=y;y=0;do if(s&1)c=pb()|0;else{t=k[t>>2]|0;k[n>>2]=t;y=0;c=Ha(d|0,c|0,t|0)|0;t=y;y=0;if(t&1){c=pb()|0;EO(n);break}else{EO(n);EO(o);break n}}while(0);EO(o)}$9(p);break m}else c=0;while(0);$9(p);$9(q);break k}while(0);$9(q)}$9(v);break j}else c=0;while(0);$9(v);$9(w);break h}while(0);$9(w)}$9(x);break g}else c=0;while(0);$9(x);$9(z);z=c;r=u;return z|0}while(0);$9(z);z=c;sb(z|0);return 0}function Bf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;g=0;h=r;r=r+32|0;e=h+8|0;c=h+4|0;f=h;rT(e,b+68|0);d=k[e>>2]|0;k[c>>2]=d;y=0;oa(k[(k[d>>2]|0)+40>>2]|0,d|0,a|0);d=y;y=0;if(d&1){h=pb()|0;EO(c);sb(h|0)}EO(c);c=a+4|0;d=a+98|0;if(!(i[d>>0]|0)){if((lka(c)|0)==4)g=8;else if((k[b+60+4>>2]&255)<<24>>24)if(!(i[b+54>>0]|0))if(oc[k[(k[b>>2]|0)+104>>2]&511](b)|0)g=8;else if(oc[k[(k[b>>2]|0)+108>>2]&511](b)|0)g=8}else g=8;do if((g|0)==8){k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,47081,1);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break}j=pb()|0;$9(e);sb(j|0)}while(0);a:do switch(k[b+60>>2]|0){case 0:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44218,2);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break a}j=pb()|0;$9(e);sb(j|0)}case 1:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44221,2);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break a}j=pb()|0;$9(e);sb(j|0)}case 2:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44224,2);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break a}j=pb()|0;$9(e);sb(j|0)}case 3:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44227,2);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break a}j=pb()|0;$9(e);sb(j|0)}case 4:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44129,1);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break a}j=pb()|0;$9(e);sb(j|0)}case 5:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44230,2);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break a}j=pb()|0;$9(e);sb(j|0)}case 6:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44233,1);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break a}j=pb()|0;$9(e);sb(j|0)}case 7:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44235,2);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break a}j=pb()|0;$9(e);sb(j|0)}case 8:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,46419,1);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break a}j=pb()|0;$9(e);sb(j|0)}case 9:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44216,1);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break a}j=pb()|0;$9(e);sb(j|0)}case 10:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44238,1);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break a}j=pb()|0;$9(e);sb(j|0)}case 11:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44131,1);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break a}j=pb()|0;$9(e);sb(j|0)}case 12:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44240,1);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break a}j=pb()|0;$9(e);sb(j|0)}default:{}}while(0);if(!(i[d>>0]|0))if((lka(c)|0)==4)g=58;else{j=b+60|0;j=xV(k[j>>2]|0,k[j+4>>2]|0,40)|0;if((j&255)<<24>>24)if(!(i[b+54>>0]|0))if(oc[k[(k[b>>2]|0)+104>>2]&511](b)|0)g=58;else if(oc[k[(k[b>>2]|0)+108>>2]&511](b)|0)g=58}else g=58;do if((g|0)==58){k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,47081,1);y=0;oa(605,c|0,e|0);j=y;y=0;if(!(j&1)){$9(e);break}j=pb()|0;$9(e);sb(j|0)}while(0);rT(e,b+72|0);j=k[e>>2]|0;k[f>>2]=j;y=0;oa(k[(k[j>>2]|0)+40>>2]|0,j|0,a|0);j=y;y=0;if(!(j&1)){EO(f);r=h;return}j=pb()|0;EO(f);sb(j|0)}function Cf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;m=r;r=r+128|0;n=m+88|0;p=m+76|0;q=m+64|0;s=m+60|0;f=m+48|0;g=m+24|0;j=m+36|0;o=m+12|0;l=m;c=k[a+28>>2]|0;if((c|0)==(k[a+24>>2]|0))h=0;else h=k[c+-4>>2]|0;_V(s,oc[k[(k[b>>2]|0)+12>>2]&511](b)|0);y=0;a=qa(354,h|0)|0;e=y;y=0;a:do if(!(e&1)){e=b+68|0;y=0;oa(452,g|0,e|0);d=y;y=0;if(d&1)a=pb()|0;else{d=b+88|0;y=0;c=Ha(970,g|0,((k[d>>2]|0)==0?42777:42903)|0)|0;t=y;y=0;if(t&1)a=pb()|0;else{k[f>>2]=k[c>>2];k[f+4>>2]=k[c+4>>2];k[f+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[n>>2]=f;y=0;ya(17,q|0,a|0,f|0,80083,n|0,p|0);t=y;y=0;if(t&1)a=pb()|0;else{a=k[q>>2]|0;y=0;oa(482,n|0,k[s>>2]|0);t=y;y=0;do if(t&1)a=pb()|0;else{y=0;Ha(966,a+28|0,n|0)|0;t=y;y=0;if(t&1){a=pb()|0;EO(n);break}EO(n);$9(f);$9(g);if((k[d>>2]|0)!=1){t=k[s>>2]|0;t=t+84|0;k[t>>2]=h;EO(s);r=m;return 0}y=0;oa(452,j|0,e|0);t=y;y=0;if(t&1)break a;y=0;a=qa(456,((i[j+11>>0]|0)<0?k[j>>2]|0:j)|0)|0;t=y;y=0;b:do if(t&1)a=pb()|0;else{c:do if(!a){y=0;oa(452,n|0,e|0);t=y;y=0;if(t&1)a=pb()|0;else{t=i[n+11>>0]|0;do if(((t<<24>>24<0?k[n+4>>2]|0:t&255)|0)==7){y=0;a=sa(21,n|0,0,-1,42907,7)|0;t=y;y=0;if(t&1){t=tb(0)|0;dla(t)}if(a|0)break;$9(n);$9(j);break c}while(0);y=0;oa(452,p|0,e|0);t=y;y=0;do if(t&1)a=pb()|0;else{t=i[p+11>>0]|0;do if(((t<<24>>24<0?k[p+4>>2]|0:t&255)|0)==10){y=0;a=sa(21,p|0,0,-1,42915,10)|0;t=y;y=0;if(t&1){t=tb(0)|0;dla(t)}if(a|0)break;$9(p);$9(n);$9(j);break c}while(0);y=0;oa(452,q|0,e|0);t=y;y=0;if(t&1){a=pb()|0;$9(p);break}t=i[q+11>>0]|0;if(((t<<24>>24<0?k[q+4>>2]|0:t&255)|0)!=3){$9(q);$9(p);$9(n);$9(j);t=k[s>>2]|0;t=t+84|0;k[t>>2]=h;EO(s);r=m;return 0}y=0;a=sa(21,q|0,0,-1,42926,3)|0;t=y;y=0;if(t&1){t=tb(0)|0;dla(t)}$9(q);$9(p);$9(n);$9(j);if(!a)break c;t=k[s>>2]|0;t=t+84|0;k[t>>2]=h;EO(s);r=m;return 0}while(0);$9(n)}break b}else $9(j);while(0);y=0;oa(452,q|0,e|0);t=y;y=0;if(t&1)a=pb()|0;else{y=0;a=ta(52,q|0,0,42930)|0;t=y;y=0;if(t&1)a=pb()|0;else{k[p>>2]=k[a>>2];k[p+4>>2]=k[a+4>>2];k[p+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;y=0;a=Ha(970,p|0,42950)|0;t=y;y=0;if(t&1)a=pb()|0;else{k[o>>2]=k[a>>2];k[o+4>>2]=k[a+4>>2];k[o+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(75,l|0,42966,75);t=y;y=0;do if(t&1)a=pb()|0;else{y=0;d=n;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(129,o|0,l|0,n|0);t=y;y=0;if(t&1){a=pb()|0;$9(l);break}$9(l);$9(o);$9(p);$9(q);t=k[s>>2]|0;t=t+84|0;k[t>>2]=h;EO(s);r=m;return 0}while(0);$9(o)}$9(p)}$9(q)}t=a;EO(s);sb(t|0)}while(0);$9(j);t=a;EO(s);sb(t|0)}while(0)}$9(f)}$9(g)}t=a;EO(s);sb(t|0)}while(0);t=pb()|0;EO(s);sb(t|0);return 0}function Df(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;J=r;r=r+176|0;C=J;t=J+156|0;v=J+144|0;A=J+104|0;I=J+96|0;G=J+56|0;N=J+52|0;M=J+40|0;H=J+28|0;B=J+24|0;D=J+16|0;mw(a,0,0)|0;E=a+128|0;wN(a+108|0,E);k[a+132>>2]=0;k[E>>2]=0;F=a+108|0;b=G;c=F;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));L=Pd(a)|0;k[N>>2]=L;k[M>>2]=0;L=M+4|0;k[L>>2]=0;k[M+8>>2]=0;k[H>>2]=0;K=H+4|0;k[K>>2]=0;k[H+8>>2]=0;u=a+76|0;y=0;b=qa(359,k[u>>2]|0)|0;z=y;y=0;a:do if(z&1)e=pb()|0;else{g=a+80|0;w=a+152|0;x=a+84|0;z=a+96|0;h=a+156|0;j=C+4|0;l=C+5|0;m=H+8|0;n=M+8|0;o=C+4|0;p=C+5|0;q=C+4|0;s=C+5|0;f=b>>>0<=(k[g>>2]|0)>>>0?b:0;b:while(1){k[C>>2]=k[w>>2];k[C+4>>2]=k[w+4>>2];k[C+8>>2]=k[w+8>>2];e=k[u>>2]|0;k[t>>2]=k[x>>2];k[t+4>>2]=k[x+4>>2];k[t+8>>2]=k[x+8>>2];k[v>>2]=k[z>>2];k[v+4>>2]=k[z+4>>2];k[v+8>>2]=k[z+8>>2];b=A;c=F;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;ta(61,a|0,1,0)|0;d=y;y=0;if(d&1){c=10;break}y=0;b=ta(89,a|0,1,0)|0;d=y;y=0;if(d&1){c=10;break}if(!b){c=6;break}y=0;b=qa(359,k[u>>2]|0)|0;e=y;y=0;if(e&1){c=10;break}b=b>>>0<=(k[g>>2]|0)>>>0?b:0;switch(i[k[h>>2]>>0]|0){case 42:{k[C>>2]=10;i[j>>0]=(f|0)!=0&1;i[l>>0]=(b|0)!=0&1;b=k[K>>2]|0;if(b>>>0<(k[m>>2]|0)>>>0){d=C;e=k[d+4>>2]|0;f=b;k[f>>2]=k[d>>2];k[f+4>>2]=e;k[K>>2]=(k[K>>2]|0)+8}else{y=0;oa(565,H|0,C|0);f=y;y=0;if(f&1){c=17;break b}}break}case 47:{k[C>>2]=11;i[o>>0]=(f|0)!=0&1;i[p>>0]=(b|0)!=0&1;b=k[K>>2]|0;if(b>>>0<(k[m>>2]|0)>>>0){d=C;e=k[d+4>>2]|0;f=b;k[f>>2]=k[d>>2];k[f+4>>2]=e;k[K>>2]=(k[K>>2]|0)+8}else{y=0;oa(565,H|0,C|0);f=y;y=0;if(f&1){c=22;break b}}break}case 37:{k[C>>2]=12;i[q>>0]=(f|0)!=0&1;i[s>>0]=(b|0)!=0&1;b=k[K>>2]|0;if(b>>>0<(k[m>>2]|0)>>>0){d=C;e=k[d+4>>2]|0;f=b;k[f>>2]=k[d>>2];k[f+4>>2]=e;k[K>>2]=(k[K>>2]|0)+8}else{y=0;oa(565,H|0,C|0);f=y;y=0;if(f&1){c=27;break b}}break}default:{c=28;break b}}y=0;b=qa(384,a|0)|0;f=y;y=0;if(f&1){c=40;break}k[C>>2]=b;b=k[L>>2]|0;if(b>>>0<(k[n>>2]|0)>>>0){y=0;oa(464,b|0,C|0);f=y;y=0;if(f&1){c=41;break}k[L>>2]=(k[L>>2]|0)+4}else{y=0;oa(546,M|0,C|0);f=y;y=0;if(f&1){c=41;break}}EO(C);y=0;b=qa(359,k[u>>2]|0)|0;f=y;y=0;if(f&1){c=31;break}f=b>>>0<=(k[g>>2]|0)>>>0?b:0}do if((c|0)==6){b=F;c=A;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));k[w>>2]=k[C>>2];k[w+4>>2]=k[C+4>>2];k[w+8>>2]=k[C+8>>2];k[u>>2]=e;k[z>>2]=k[v>>2];k[z+4>>2]=k[v+4>>2];k[z+8>>2]=k[v+8>>2];k[x>>2]=k[t>>2];k[x+4>>2]=k[t+4>>2];k[x+8>>2]=k[t+8>>2];y=0;oa(464,B|0,N|0);A=y;y=0;if(A&1){b=pb()|0;c=12;break}y=0;b=sa(29,a|0,B|0,M|0,H|0,0)|0;A=y;y=0;if(A&1){e=pb()|0;EO(B);break a}k[I>>2]=b;EO(B);b=G+20|0;y=0;Na(111,D|0,F|0,G|0);F=y;y=0;if(!(F&1)){y=0;Na(112,C|0,D|0,E|0);F=y;y=0;if(!(F&1)){F=C;c=k[F+4>>2]|0;k[b>>2]=k[F>>2];k[b+4>>2]=c;DN((k[I>>2]|0)+12|0,G|0,40)|0;b=k[H>>2]|0;c=b;if(b|0){d=k[K>>2]|0;if((d|0)!=(b|0))k[K>>2]=d+(~((d+-8-c|0)>>>3)<<3);zqa(b)}b=k[M>>2]|0;if(!b){EO(N);N=k[I>>2]|0;r=J;return N|0}c=k[L>>2]|0;if((c|0)!=(b|0)){do{K=c+-4|0;k[L>>2]=K;EO(K);c=k[L>>2]|0}while((c|0)!=(b|0));b=k[M>>2]|0}zqa(b);EO(N);N=k[I>>2]|0;r=J;return N|0}}e=pb()|0;EO(I);break a}else if((c|0)==10){b=pb()|0;c=12}else if((c|0)==17){e=pb()|0;break a}else if((c|0)==22){e=pb()|0;break a}else if((c|0)==27){e=pb()|0;break a}else if((c|0)==28){b=gb(8)|0;y=0;oa(507,b|0,40078);J=y;y=0;if(J&1){e=pb()|0;fb(b|0);break a}else{y=0;Na(76,b|0,4528,353);y=0;b=pb()|0;c=32;break}}else if((c|0)==31){b=pb()|0;c=32}else if((c|0)==40){b=pb()|0;c=42}else if((c|0)==41){b=pb()|0;EO(C);c=42}while(0);if((c|0)==12){e=b;break}else if((c|0)==32){e=b;break}else if((c|0)==42){e=b;break}}while(0);b=k[H>>2]|0;c=b;if(b|0){d=k[K>>2]|0;if((d|0)!=(b|0))k[K>>2]=d+(~((d+-8-c|0)>>>3)<<3);zqa(b)}b=k[M>>2]|0;if(!b){EO(N);sb(e|0)}c=k[L>>2]|0;if((c|0)!=(b|0)){do{K=c+-4|0;k[L>>2]=K;EO(K);c=k[L>>2]|0}while((c|0)!=(b|0));b=k[M>>2]|0}zqa(b);EO(N);sb(e|0);return 0}function Ef(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=0;k[a+4>>2]=b+-1;k[a>>2]=26384;f=a+8|0;y=0;oa(634,f|0,28);e=y;y=0;if(e&1)b=pb()|0;else{e=a+144|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(75,e|0,51545,1);d=y;y=0;if(d&1)b=pb()|0;else{b=k[f>>2]|0;c=a+12|0;d=k[c>>2]|0;while(1){if((d|0)==(b|0))break;h=d+-4|0;k[c>>2]=h;d=h}k[18009]=0;k[18008]=24048;y=0;oa(635,a|0,72032);h=y;y=0;do if(h&1)g=42;else{k[18011]=0;k[18010]=24080;y=0;oa(636,a|0,72040);h=y;y=0;if(h&1)g=42;else{k[18013]=0;k[18012]=26404;k[18014]=0;i[72060]=0;h=TQ()|0;k[18014]=h;y=0;oa(637,a|0,72048);h=y;y=0;if(h&1)g=42;else{k[18017]=0;k[18016]=26600;y=0;oa(638,a|0,72064);h=y;y=0;if(h&1)g=42;else{k[18019]=0;k[18018]=26668;y=0;oa(639,a|0,72072);h=y;y=0;if(h&1)g=42;else{y=0;oa(640,72080,1);h=y;y=0;if(h&1)g=42;else{y=0;oa(641,a|0,72080);h=y;y=0;if(h&1)g=42;else{k[18025]=0;k[18024]=26716;y=0;oa(642,a|0,72096);h=y;y=0;if(h&1)g=42;else{k[18027]=0;k[18026]=26764;y=0;oa(643,a|0,72104);h=y;y=0;if(h&1)g=42;else{uN(72112,1);y=0;oa(644,a|0,72112);h=y;y=0;if(h&1)g=42;else{oN(72136,1);y=0;oa(645,a|0,72136);h=y;y=0;if(h&1)g=42;else{k[18043]=0;k[18042]=24112;y=0;oa(646,a|0,72168);h=y;y=0;if(h&1)g=42;else{k[18045]=0;k[18044]=24176;y=0;oa(647,a|0,72176);h=y;y=0;if(h&1)g=42;else{k[18047]=0;k[18046]=24240;y=0;oa(648,a|0,72184);h=y;y=0;if(h&1)g=42;else{k[18049]=0;k[18048]=24292;y=0;oa(649,a|0,72192);h=y;y=0;if(h&1)g=42;else{k[18051]=0;k[18050]=25840;y=0;oa(650,a|0,72200);h=y;y=0;if(h&1){g=42;break}k[18053]=0;k[18052]=25896;y=0;oa(651,a|0,72208);h=y;y=0;if(h&1){g=42;break}k[18055]=0;k[18054]=25952;y=0;oa(652,a|0,72216);h=y;y=0;if(h&1){g=42;break}k[18057]=0;k[18056]=26008;y=0;oa(653,a|0,72224);h=y;y=0;if(h&1){g=42;break}k[18059]=0;k[18058]=26064;y=0;oa(654,a|0,72232);h=y;y=0;if(h&1){g=42;break}k[18061]=0;k[18060]=26092;y=0;oa(655,a|0,72240);h=y;y=0;if(h&1){g=42;break}k[18063]=0;k[18062]=26120;y=0;oa(656,a|0,72248);h=y;y=0;if(h&1){g=42;break}k[18065]=0;k[18064]=26148;y=0;oa(657,a|0,72256);h=y;y=0;if(h&1){g=42;break}k[18067]=0;k[18066]=24344;k[18068]=24392;y=0;oa(658,a|0,72264);h=y;y=0;if(h&1){g=42;break}k[18071]=0;k[18070]=24428;k[18072]=24476;y=0;oa(659,a|0,72280);h=y;y=0;if(h&1){g=42;break}k[18075]=0;k[18074]=26580;y=0;b=La(3)|0;h=y;y=0;if(h&1){b=pb()|0;break}k[18076]=b;k[18074]=25792;y=0;oa(660,a|0,72296);h=y;y=0;if(h&1){g=42;break}k[18079]=0;k[18078]=26580;y=0;b=La(3)|0;h=y;y=0;if(h&1){b=pb()|0;break}k[18080]=b;k[18078]=25816;y=0;oa(661,a|0,72312);h=y;y=0;if(h&1){g=42;break}k[18083]=0;k[18082]=26176;y=0;oa(662,a|0,72328);h=y;y=0;if(h&1){g=42;break}k[18085]=0;k[18084]=26208;y=0;oa(663,a|0,72336);h=y;y=0;if(h&1){g=42;break}return}}}}}}}}}}}}}}}while(0);if((g|0)==42)b=pb()|0;$9(e)}aL(f)}sb(b|0)}function Ff(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;m=r;r=r+32|0;j=m+16|0;c=m+12|0;o=m+8|0;p=m+4|0;l=m;rT(o,b+76|0);y=0;oa(464,c|0,b+80|0);n=y;y=0;if(n&1){p=pb()|0;EO(o);sb(p|0)}c=k[c>>2]|0;k[p>>2]=c;h=k[b+72>>2]|0;d=c;do if(!h){e=k[o>>2]|0;if(e|0)if((k[e+76>>2]|0)!=(k[e+80>>2]|0)){n=9;break}if(!c){EO(p);EO(o);r=m;return}y=0;oa(k[(k[c>>2]|0)+40>>2]|0,d|0,a|0);n=y;y=0;if(n&1)n=8;else{EO(p);EO(o);r=m;return}}else n=9;while(0);a:do if((n|0)==9){if(i[b+60>>0]|0){y=0;c=qa(k[(k[b>>2]|0)+128>>2]|0,b|0)|0;g=y;y=0;if(g&1){n=8;break}if(!c){c=a+4|0;y=0;na(393,c|0);g=y;y=0;if(g&1){n=8;break}y=0;na(392,c|0);g=y;y=0;if(g&1){n=8;break}}}c=k[o>>2]|0;do if(!c){e=1;c=0}else{if((k[c+80>>2]|0)!=(k[c+76>>2]|0)){y=0;oa(k[(k[c>>2]|0)+40>>2]|0,c|0,a|0);g=y;y=0;if(g&1){n=8;break a}c=k[o>>2]|0;if(!c){e=1;c=0;break}}d=k[c+80>>2]|0;e=k[c+76>>2]|0;if((d|0)==(e|0))e=1;else if((d-e|0)==4){d=k[e>>2]|0;if(!d)e=0;else e=(pw(d,144,384,0)|0)!=0}else e=0;d=k[c+76>>2]|0;if(((k[c+80>>2]|0)-d|0)==4){c=k[d>>2]|0;if(c|0)if(pw(c,144,384,0)|0){c=0;break}}c=(k[p>>2]|0)!=0}while(0);g=a+4|0;y=0;d=qa(458,g|0)|0;f=y;y=0;b:do if(!(f&1)){f=(h|0)!=0;if(f&(d|0)==3)k[a+80>>2]=0;c:do switch(h|0){case 0:{if(c){y=0;na(394,g|0);l=y;y=0;if(l&1)break b}break}case 1:{y=0;na(397,g|0);l=y;y=0;if(l&1)break b;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,44129,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(605,g|0,j|0);l=y;y=0;if(l&1){c=pb()|0;$9(j);break}else{$9(j);y=0;na(397,g|0);l=y;y=0;if(l&1)break b;else break c}}while(0);break a}case 3:{y=0;na(397,g|0);l=y;y=0;if(l&1)break b;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,46419,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(605,g|0,j|0);l=y;y=0;if(l&1){c=pb()|0;$9(j);break}else{$9(j);y=0;na(397,g|0);l=y;y=0;if(l&1)break b;else break c}}while(0);break a}case 4:{y=0;na(394,g|0);h=y;y=0;if(h&1)break b;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,44131,1);h=y;y=0;do if(h&1)c=pb()|0;else{y=0;oa(605,g|0,j|0);h=y;y=0;if(h&1){c=pb()|0;$9(j);break}$9(j);y=0;oa(464,j|0,b+84|0);h=y;y=0;if(h&1)break b;h=k[j>>2]|0;k[l>>2]=h;y=0;oa(k[(k[h>>2]|0)+40>>2]|0,h|0,a|0);h=y;y=0;if(h&1){c=pb()|0;EO(l);break a}EO(l);k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,44131,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(605,g|0,j|0);l=y;y=0;if(l&1){c=pb()|0;$9(j);break}else{$9(j);y=0;na(394,g|0);l=y;y=0;if(l&1)break b;else break c}}while(0);break a}while(0);break a}case 2:{if(e){y=0;na(397,g|0);l=y;y=0;if(l&1)break b}else{y=0;na(394,g|0);l=y;y=0;if(l&1)break b}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,44133,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(605,g|0,j|0);l=y;y=0;if(l&1){c=pb()|0;$9(j);break}$9(j);if(!(k[p>>2]|0)){y=0;na(397,g|0);l=y;y=0;if(l&1)break b;else break c}else{y=0;na(394,g|0);l=y;y=0;if(l&1)break b;else break c}}while(0);break a}default:{}}while(0);c=k[p>>2]|0;if(f&(c|0)!=0)if(!(i[b+61>>0]|0))d=c;else{y=0;na(393,g|0);l=y;y=0;if(l&1)break;c=k[p>>2]|0;d=c}else d=c;if(d|0){y=0;oa(k[(k[c>>2]|0)+40>>2]|0,c|0,a|0);a=y;y=0;if(a&1)break;if(k[p>>2]|0){EO(p);EO(o);r=m;return}}if(!(i[b+61>>0]|0)){EO(p);EO(o);r=m;return}y=0;c=qa(458,g|0)|0;b=y;y=0;if(!(b&1)){if((c|0)!=2){EO(p);EO(o);r=m;return}y=0;na(394,g|0);b=y;y=0;if(!(b&1)){EO(p);EO(o);r=m;return}}}while(0);c=pb()|0}while(0);if((n|0)==8)c=pb()|0;EO(p);p=c;EO(o);sb(p|0)}function Gf(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;b=rj(a)|0;if(!b)e=4;else{while(1){c=rj(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)==37)e=4}if((e|0)==4){if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=kw(b)|0;if(!b){e=0;return e|0}b=iw(b)|0;if(!b){e=0;return e|0}}d=wl(b)|0;if(!d){e=0;return e|0}if((i[d>>0]|0)!=40){e=d;return e|0}a=vt(d+1|0)|0;if(!a){e=d;return e|0}b=Lq(a)|0;do if(!b)b=0;else{b=vt(b)|0;if(!b)b=0;else if((i[b>>0]|0)==61){c=vt(b+1|0)|0;if(!c)b=0;else{b=c+1|0;if((i[c>>0]|0)==36){if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=kw(b)|0;if(!b)e=20;else{b=iw(b)|0;if(!b)e=20}}else e=20;if((e|0)==20){b=up(c)|0;if(!b){b=0;break}}c=ip(b)|0;if(c){b=c;while(1){c=ip(b)|0;if(!c)break;else b=c}}}}else b=0}while(0);b=b|0?b:a;if(!b){e=d;return e|0}c=vt(b)|0;if(!c){e=d;return e|0}if((i[c>>0]|0)!=41){e=d;return e|0}while(1){b=c+1|0;if((i[b>>0]|0)!=40){e=43;break}d=vt(c+2|0)|0;if(!d){e=43;break}c=Lq(d)|0;do if(!c)c=0;else{c=vt(c)|0;if(!c)c=0;else if((i[c>>0]|0)==61){a=vt(c+1|0)|0;if(!a)c=0;else{c=a+1|0;if((i[a>>0]|0)==36){if((i[c>>0]|0)==45)do c=c+1|0;while((i[c>>0]|0)==45);c=kw(c)|0;if(!c)e=36;else{c=iw(c)|0;if(!c)e=36}}else e=36;if((e|0)==36){e=0;c=up(a)|0;if(!c){c=0;break}}a=ip(c)|0;if(a){c=a;while(1){a=ip(c)|0;if(!a)break;else c=a}}}}else c=0}while(0);c=c|0?c:d;if(!c){e=43;break}c=vt(c)|0;if(!c){e=43;break}if((i[c>>0]|0)!=41){e=43;break}}if((e|0)==43)return b|0;return 0}function Hf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;s=0;q=r;r=r+64|0;n=q+48|0;j=q+44|0;d=q+40|0;v=q+36|0;e=q+32|0;u=q+28|0;t=q+24|0;f=q+20|0;g=q+4|0;h=q+16|0;i=q+12|0;o=q+8|0;l=q;m=a+60|0;p=a+64|0;c=k[p>>2]|0;if((c|0)==(k[m>>2]|0))_V(n,0);else rT(n,c+-4|0);c=k[n>>2]|0;k[e>>2]=c;y=0;oa(482,v|0,c|0);c=y;y=0;if(c&1){v=pb()|0;EO(e);sb(v|0)}EO(e);if(!(k[v>>2]|0)){EO(v);r=q;return 0}y=0;oa(464,d|0,b+64|0);e=y;y=0;if(e&1)b=pb()|0;else{k[u>>2]=k[d>>2];y=0;oa(482,t|0,0);e=y;y=0;if(e&1)b=pb()|0;else{b=k[u>>2]|0;if(!b)b=0;else b=pw(b,88,104,0)|0;y=0;oa(482,n|0,b|0);e=y;y=0;a:do if(e&1){b=pb()|0;s=18}else{y=0;Ha(966,t|0,n|0)|0;e=y;y=0;if(e&1){b=pb()|0;EO(n);s=18;break}e=(k[t>>2]|0)==0;EO(n);if(e){b=k[u>>2]|0;if(!b)b=0;else b=pw(b,88,1440,0)|0;y=0;oa(482,f|0,b|0);e=y;y=0;if(!(e&1)){b=k[f>>2]|0;b:do if(b|0){y=0;b=qa(k[(k[b>>2]|0)+132>>2]|0,b|0)|0;e=y;y=0;c:do if(e&1)s=30;else{if(b){y=0;b=Ha(532,a+8|0,k[f>>2]|0)|0;e=y;y=0;do if(e&1)s=31;else{y=0;oa(482,n|0,b|0);e=y;y=0;if(e&1){s=31;break}y=0;Ha(966,t|0,n|0)|0;e=y;y=0;if(e&1){b=pb()|0;EO(n);break}else{EO(n);break b}}while(0);if((s|0)==31)b=pb()|0;break}y=0;oa(482,n|0,0);e=y;y=0;do if(e&1)b=pb()|0;else{b=k[p>>2]|0;do if(b>>>0<(k[a+68>>2]|0)>>>0){y=0;oa(464,b|0,n|0);e=y;y=0;if(e&1){s=46;break}k[p>>2]=(k[p>>2]|0)+4}else{y=0;oa(556,m|0,n|0);e=y;y=0;if(e&1)s=46}while(0);if((s|0)==46){b=pb()|0;EO(n);break}EO(n);y=0;b=Ha(532,a+8|0,k[f>>2]|0)|0;e=y;y=0;do if(e&1)s=48;else{y=0;oa(482,n|0,b|0);e=y;y=0;if(e&1){s=48;break}y=0;Ha(966,t|0,n|0)|0;e=y;y=0;if(e&1){b=pb()|0;EO(n);break}EO(n);y=0;na(367,k[t>>2]|0);s=y;y=0;if(s&1){s=30;break c}c=k[p>>2]|0;b=c+-4|0;while(1){s=c+-4|0;k[p>>2]=s;EO(s);c=k[p>>2]|0;if((c|0)==(b|0))break b}}while(0);if((s|0)==48)b=pb()|0;break c}while(0)}while(0);if((s|0)==30)b=pb()|0;EO(f);break a}while(0);EO(f);s=53}}else s=53;d:do if((s|0)==53){b=k[t>>2]|0;if(!b){EO(t);EO(u);EO(v);r=q;return 0}c=k[b+76>>2]|0;d=k[b+80>>2]|0;e:do if((c|0)!=(d|0)){e=a+76|0;b=c;f:while(1){y=0;oa(464,g|0,b|0);f=y;y=0;if(f&1){s=63;break}c=k[g>>2]|0;do if(c|0){y=0;oa(464,n|0,c+76|0);f=y;y=0;if(f&1){s=64;break f}f=k[n>>2]|0;k[h>>2]=f;EO(h);if(!f)break;y=0;oa(464,j|0,(k[g>>2]|0)+76|0);f=y;y=0;if(f&1){s=64;break f}f=k[j>>2]|0;k[i>>2]=f;k[f+64>>2]=k[(k[e>>2]|0)+-4>>2];EO(i)}while(0);EO(g);b=b+4|0;if((b|0)==(d|0))break e}if((s|0)==63){b=pb()|0;break a}else if((s|0)==64){b=pb()|0;EO(g);break a}}while(0);y=0;oa(482,n|0,0);j=y;y=0;do if(j&1)b=pb()|0;else{b=k[p>>2]|0;if(b>>>0<(k[a+68>>2]|0)>>>0){y=0;oa(464,b|0,n|0);m=y;y=0;if(m&1)s=77;else k[p>>2]=(k[p>>2]|0)+4}else{y=0;oa(556,m|0,n|0);m=y;y=0;if(m&1)s=77}if((s|0)==77){b=pb()|0;EO(n);break}EO(n);y=0;oa(482,o|0,k[t>>2]|0);n=y;y=0;if(n&1)break d;y=0;oa(464,l|0,v|0);n=y;y=0;do if(n&1)b=pb()|0;else{y=0;Na(128,a|0,o|0,l|0);n=y;y=0;if(n&1){b=pb()|0;EO(l);break}EO(l);EO(o);c=k[p>>2]|0;b=c+-4|0;do{s=c+-4|0;k[p>>2]=s;EO(s);c=k[p>>2]|0}while((c|0)!=(b|0));EO(t);EO(u);EO(v);r=q;return 0}while(0);EO(o);break a}while(0);break a}while(0);b=pb()|0}while(0);EO(t)}EO(u)}EO(v);v=b;sb(v|0);return 0}function If(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k[a>>2]=14128;n=a+212|0;q=a+216|0;b=k[n>>2]|0;if((k[q>>2]|0)!=(b|0)){c=0;do{Pf(k[b+(c<<3)>>2]|0);Pf(k[(k[n>>2]|0)+(c<<3)+4>>2]|0);c=c+1|0;b=k[n>>2]|0}while(c>>>0<(k[q>>2]|0)-b>>3>>>0)}o=a+200|0;p=a+204|0;b=k[o>>2]|0;if((k[p>>2]|0)!=(b|0)){c=0;do{Pf(k[b+(c<<2)>>2]|0);c=c+1|0;b=k[o>>2]|0}while(c>>>0<(k[p>>2]|0)-b>>2>>>0)}l=a+260|0;m=a+264|0;c=k[m>>2]|0;j=k[l>>2]|0;b=j;a:do if((c|0)==(j|0)){e=c;f=b}else{d=0;while(1){y=0;qa(338,k[b+(d<<2)>>2]|0)|0;j=y;y=0;if(j&1)break;y=0;qa(339,k[(k[l>>2]|0)+(d<<2)>>2]|0)|0;j=y;y=0;if(j&1)break;y=0;na(371,k[(k[l>>2]|0)+(d<<2)>>2]|0);j=y;y=0;if(j&1)break;d=d+1|0;c=k[m>>2]|0;j=k[l>>2]|0;b=j;if(d>>>0>=c-j>>2>>>0){e=c;f=b;break a}}j=tb(0)|0;$9(a+420|0);$9(a+408|0);$9(a+396|0);$9(a+384|0);$9(a+372|0);$9(a+360|0);rP(a+348|0);qP(a+336|0);qP(a+324|0);rJ(a+312|0);rJ(a+300|0);rJ(a+288|0);rJ(a+276|0);BP(a+260|0);HE(a+236|0);RM(a+224|0);sP(n);bQ(a+200|0);tL(a+72|0);HF(a+36|0);$9(a+20|0);$9(a+4|0);dla(j)}while(0);b=e;c=k[n>>2]|0;d=k[q>>2]|0;if((d|0)!=(c|0))k[q>>2]=d+(~((d+-8-c|0)>>>3)<<3);if((b|0)!=(f|0))k[m>>2]=b+(~((b+-4-f|0)>>>2)<<2);i=a+236|0;c=k[i>>2]|0;j=a+240|0;b=k[j>>2]|0;if((b|0)!=(c|0))do{h=b+-8|0;k[j>>2]=h;EO(b+-4|0);EO(h);b=k[j>>2]|0}while((b|0)!=(c|0));g=a+248|0;f=a+252|0;Wx(g,k[f>>2]|0);k[a+256>>2]=0;k[g>>2]=f;k[f>>2]=0;g=a+224|0;h=a+228|0;WB(g,k[h>>2]|0);k[a+232>>2]=0;k[g>>2]=h;k[h>>2]=0;$9(a+420|0);$9(a+408|0);$9(a+396|0);$9(a+384|0);$9(a+372|0);$9(a+360|0);b=k[a+348>>2]|0;c=b;if(b|0){d=a+352|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}b=k[a+336>>2]|0;c=b;if(b|0){d=a+340|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}b=k[a+324>>2]|0;c=b;if(b|0){d=a+328|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}d=a+312|0;b=k[d>>2]|0;if(b|0){e=a+316|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{r=c+-12|0;k[e>>2]=r;$9(r);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}d=a+300|0;b=k[d>>2]|0;if(b|0){e=a+304|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{r=c+-12|0;k[e>>2]=r;$9(r);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}d=a+288|0;b=k[d>>2]|0;if(b|0){e=a+292|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{r=c+-12|0;k[e>>2]=r;$9(r);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}d=a+276|0;b=k[d>>2]|0;if(b|0){e=a+280|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{r=c+-12|0;k[e>>2]=r;$9(r);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}zqa(b)}b=k[l>>2]|0;c=b;if(b|0){d=k[m>>2]|0;if((d|0)!=(b|0))k[m>>2]=d+(~((d+-4-c|0)>>>2)<<2);zqa(b)}Wx(a+248|0,k[f>>2]|0);b=k[i>>2]|0;if(b|0){c=k[j>>2]|0;if((c|0)!=(b|0)){do{r=c+-8|0;k[j>>2]=r;EO(c+-4|0);EO(r);c=k[j>>2]|0}while((c|0)!=(b|0));b=k[i>>2]|0}zqa(b)}WB(g,k[h>>2]|0);b=k[n>>2]|0;c=b;if(b|0){d=k[q>>2]|0;if((d|0)!=(b|0))k[q>>2]=d+(~((d+-8-c|0)>>>3)<<3);zqa(b)}b=k[o>>2]|0;if(!b){r=a+72|0;tL(r);r=a+36|0;HF(r);r=a+20|0;$9(r);r=a+4|0;$9(r);return}c=k[p>>2]|0;if((c|0)!=(b|0))k[p>>2]=c+(~((c+-4-b|0)>>>2)<<2);zqa(b);r=a+72|0;tL(r);r=a+36|0;HF(r);r=a+20|0;$9(r);r=a+4|0;$9(r);return}function Jf(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;U=0;V=r;r=r+144|0;j=V+128|0;h=V+112|0;S=V+124|0;T=V+120|0;l=V+116|0;m=V+108|0;n=V+104|0;o=V+100|0;p=V+96|0;q=V+92|0;s=V+88|0;t=V+84|0;u=V+80|0;v=V+76|0;w=V+72|0;x=V+68|0;z=V+64|0;A=V+60|0;B=V+56|0;C=V+52|0;D=V+48|0;E=V+44|0;F=V+40|0;G=V+36|0;H=V+32|0;I=V+28|0;J=V+24|0;K=V+20|0;L=V+16|0;M=V+12|0;N=V+8|0;O=V+4|0;P=V;k[e>>2]=0;Q=yV(d)|0;k[j>>2]=Q;y=0;R=Ha(973,j|0,78176)|0;W=y;y=0;if(W&1){W=pb()|0;lQ(Q)|0;sb(W|0)}lQ(Q)|0;do switch(g<<24>>24|0){case 65:case 97:{k[S>>2]=k[c>>2];k[j>>2]=k[S>>2];TD(a,f+24|0,b,j,e,R);U=28;break}case 104:case 66:case 98:{k[T>>2]=k[c>>2];k[j>>2]=k[T>>2];LD(a,f+16|0,b,j,e,R);U=28;break}case 99:{g=a+8|0;g=oc[k[(k[g>>2]|0)+12>>2]&511](g)|0;k[l>>2]=k[b>>2];k[m>>2]=k[c>>2];U=i[g+8+3>>0]|0;c=U<<24>>24<0;W=c?k[g>>2]|0:g;U=W+((c?k[g+4>>2]|0:U&255)<<2)|0;k[h>>2]=k[l>>2];k[j>>2]=k[m>>2];U=fh(a,h,j,d,e,f,W,U)|0;k[b>>2]=U;U=28;break}case 101:case 100:{k[n>>2]=k[c>>2];k[j>>2]=k[n>>2];rG(a,f+12|0,b,j,e,R);U=28;break}case 68:{k[o>>2]=k[b>>2];k[p>>2]=k[c>>2];k[h>>2]=k[o>>2];k[j>>2]=k[p>>2];U=fh(a,h,j,d,e,f,25592,25624)|0;k[b>>2]=U;U=28;break}case 70:{k[q>>2]=k[b>>2];k[s>>2]=k[c>>2];k[h>>2]=k[q>>2];k[j>>2]=k[s>>2];U=fh(a,h,j,d,e,f,25624,25656)|0;k[b>>2]=U;U=28;break}case 72:{k[t>>2]=k[c>>2];k[j>>2]=k[t>>2];MG(a,f+8|0,b,j,e,R);U=28;break}case 73:{k[u>>2]=k[c>>2];k[j>>2]=k[u>>2];hG(a,f+8|0,b,j,e,R);U=28;break}case 106:{k[v>>2]=k[c>>2];k[j>>2]=k[v>>2];sG(a,f+28|0,b,j,e,R);U=28;break}case 109:{k[w>>2]=k[c>>2];k[j>>2]=k[w>>2];DG(a,f+16|0,b,j,e,R);U=28;break}case 77:{k[x>>2]=k[c>>2];k[j>>2]=k[x>>2];IG(a,f+4|0,b,j,e,R);U=28;break}case 116:case 110:{k[z>>2]=k[c>>2];k[j>>2]=k[z>>2];mo(a,b,j,e,R);U=28;break}case 112:{k[A>>2]=k[c>>2];k[j>>2]=k[A>>2];zy(a,f+8|0,b,j,e,R);U=28;break}case 114:{k[B>>2]=k[b>>2];k[C>>2]=k[c>>2];k[h>>2]=k[B>>2];k[j>>2]=k[C>>2];U=fh(a,h,j,d,e,f,25656,25700)|0;k[b>>2]=U;U=28;break}case 82:{k[D>>2]=k[b>>2];k[E>>2]=k[c>>2];k[h>>2]=k[D>>2];k[j>>2]=k[E>>2];U=fh(a,h,j,d,e,f,25700,25720)|0;k[b>>2]=U;U=28;break}case 83:{k[F>>2]=k[c>>2];k[j>>2]=k[F>>2];HG(a,f,b,j,e,R);U=28;break}case 84:{k[G>>2]=k[b>>2];k[H>>2]=k[c>>2];k[h>>2]=k[G>>2];k[j>>2]=k[H>>2];U=fh(a,h,j,d,e,f,25720,25752)|0;k[b>>2]=U;U=28;break}case 119:{k[I>>2]=k[c>>2];k[j>>2]=k[I>>2];GG(a,f+24|0,b,j,e,R);U=28;break}case 120:{W=k[(k[a>>2]|0)+20>>2]|0;k[J>>2]=k[b>>2];k[K>>2]=k[c>>2];k[h>>2]=k[J>>2];k[j>>2]=k[K>>2];h=nc[W&63](a,h,j,d,e,f)|0;break}case 88:{g=a+8|0;g=oc[k[(k[g>>2]|0)+24>>2]&511](g)|0;k[L>>2]=k[b>>2];k[M>>2]=k[c>>2];U=i[g+8+3>>0]|0;c=U<<24>>24<0;W=c?k[g>>2]|0:g;U=W+((c?k[g+4>>2]|0:U&255)<<2)|0;k[h>>2]=k[L>>2];k[j>>2]=k[M>>2];U=fh(a,h,j,d,e,f,W,U)|0;k[b>>2]=U;U=28;break}case 121:{k[N>>2]=k[c>>2];k[j>>2]=k[N>>2];jF(a,f+20|0,b,j,e,R);U=28;break}case 89:{k[O>>2]=k[c>>2];k[j>>2]=k[O>>2];MH(a,f+20|0,b,j,e,R);U=28;break}case 37:{k[P>>2]=k[c>>2];k[j>>2]=k[P>>2];Yn(a,b,j,e,R);U=28;break}default:{k[e>>2]=k[e>>2]|4;U=28}}while(0);if((U|0)==28)h=k[b>>2]|0;r=V;return h|0}function Kf(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;U=0;V=r;r=r+144|0;j=V+128|0;h=V+112|0;S=V+124|0;T=V+120|0;l=V+116|0;m=V+108|0;n=V+104|0;o=V+100|0;p=V+96|0;q=V+92|0;s=V+88|0;t=V+84|0;u=V+80|0;v=V+76|0;w=V+72|0;x=V+68|0;z=V+64|0;A=V+60|0;B=V+56|0;C=V+52|0;D=V+48|0;E=V+44|0;F=V+40|0;G=V+36|0;H=V+32|0;I=V+28|0;J=V+24|0;K=V+20|0;L=V+16|0;M=V+12|0;N=V+8|0;O=V+4|0;P=V;k[e>>2]=0;Q=yV(d)|0;k[j>>2]=Q;y=0;R=Ha(973,j|0,78144)|0;W=y;y=0;if(W&1){W=pb()|0;lQ(Q)|0;sb(W|0)}lQ(Q)|0;do switch(g<<24>>24|0){case 65:case 97:{k[S>>2]=k[c>>2];k[j>>2]=k[S>>2];UD(a,f+24|0,b,j,e,R);U=28;break}case 104:case 66:case 98:{k[T>>2]=k[c>>2];k[j>>2]=k[T>>2];MD(a,f+16|0,b,j,e,R);U=28;break}case 99:{g=a+8|0;g=oc[k[(k[g>>2]|0)+12>>2]&511](g)|0;k[l>>2]=k[b>>2];k[m>>2]=k[c>>2];U=i[g+11>>0]|0;c=U<<24>>24<0;W=c?k[g>>2]|0:g;U=W+(c?k[g+4>>2]|0:U&255)|0;k[h>>2]=k[l>>2];k[j>>2]=k[m>>2];U=sh(a,h,j,d,e,f,W,U)|0;k[b>>2]=U;U=28;break}case 101:case 100:{k[n>>2]=k[c>>2];k[j>>2]=k[n>>2];tG(a,f+12|0,b,j,e,R);U=28;break}case 68:{k[o>>2]=k[b>>2];k[p>>2]=k[c>>2];k[h>>2]=k[o>>2];k[j>>2]=k[p>>2];U=sh(a,h,j,d,e,f,52248,52256)|0;k[b>>2]=U;U=28;break}case 70:{k[q>>2]=k[b>>2];k[s>>2]=k[c>>2];k[h>>2]=k[q>>2];k[j>>2]=k[s>>2];U=sh(a,h,j,d,e,f,52256,52264)|0;k[b>>2]=U;U=28;break}case 72:{k[t>>2]=k[c>>2];k[j>>2]=k[t>>2];NG(a,f+8|0,b,j,e,R);U=28;break}case 73:{k[u>>2]=k[c>>2];k[j>>2]=k[u>>2];iG(a,f+8|0,b,j,e,R);U=28;break}case 106:{k[v>>2]=k[c>>2];k[j>>2]=k[v>>2];uG(a,f+28|0,b,j,e,R);U=28;break}case 109:{k[w>>2]=k[c>>2];k[j>>2]=k[w>>2];EG(a,f+16|0,b,j,e,R);U=28;break}case 77:{k[x>>2]=k[c>>2];k[j>>2]=k[x>>2];LG(a,f+4|0,b,j,e,R);U=28;break}case 116:case 110:{k[z>>2]=k[c>>2];k[j>>2]=k[z>>2];Yo(a,b,j,e,R);U=28;break}case 112:{k[A>>2]=k[c>>2];k[j>>2]=k[A>>2];Cy(a,f+8|0,b,j,e,R);U=28;break}case 114:{k[B>>2]=k[b>>2];k[C>>2]=k[c>>2];k[h>>2]=k[B>>2];k[j>>2]=k[C>>2];U=sh(a,h,j,d,e,f,52264,52275)|0;k[b>>2]=U;U=28;break}case 82:{k[D>>2]=k[b>>2];k[E>>2]=k[c>>2];k[h>>2]=k[D>>2];k[j>>2]=k[E>>2];U=sh(a,h,j,d,e,f,52275,52280)|0;k[b>>2]=U;U=28;break}case 83:{k[F>>2]=k[c>>2];k[j>>2]=k[F>>2];KG(a,f,b,j,e,R);U=28;break}case 84:{k[G>>2]=k[b>>2];k[H>>2]=k[c>>2];k[h>>2]=k[G>>2];k[j>>2]=k[H>>2];U=sh(a,h,j,d,e,f,52280,52288)|0;k[b>>2]=U;U=28;break}case 119:{k[I>>2]=k[c>>2];k[j>>2]=k[I>>2];JG(a,f+24|0,b,j,e,R);U=28;break}case 120:{W=k[(k[a>>2]|0)+20>>2]|0;k[J>>2]=k[b>>2];k[K>>2]=k[c>>2];k[h>>2]=k[J>>2];k[j>>2]=k[K>>2];h=nc[W&63](a,h,j,d,e,f)|0;break}case 88:{g=a+8|0;g=oc[k[(k[g>>2]|0)+24>>2]&511](g)|0;k[L>>2]=k[b>>2];k[M>>2]=k[c>>2];U=i[g+11>>0]|0;c=U<<24>>24<0;W=c?k[g>>2]|0:g;U=W+(c?k[g+4>>2]|0:U&255)|0;k[h>>2]=k[L>>2];k[j>>2]=k[M>>2];U=sh(a,h,j,d,e,f,W,U)|0;k[b>>2]=U;U=28;break}case 121:{k[N>>2]=k[c>>2];k[j>>2]=k[N>>2];kF(a,f+20|0,b,j,e,R);U=28;break}case 89:{k[O>>2]=k[c>>2];k[j>>2]=k[O>>2];NH(a,f+20|0,b,j,e,R);U=28;break}case 37:{k[P>>2]=k[c>>2];k[j>>2]=k[P>>2];Ko(a,b,j,e,R);U=28;break}default:{k[e>>2]=k[e>>2]|4;U=28}}while(0);if((U|0)==28)h=k[b>>2]|0;r=V;return h|0}function Lf(a,b){a=a|0;b=b|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;if((cc|0)==1)cc=3}Qc(fc+40804|0);return k[dc>>2]|0}function Mf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;n=0;x=r;r=r+32|0;f=x+4|0;l=x;w=a+8|0;e=k[w>>2]|0;u=a+4|0;h=k[u>>2]|0;j=(e|0)==(h|0);g=(j&1)+b|0;g=(((g>>>0)%170|0|0)!=0&1)+((g>>>0)/170|0)|0;i=e-h>>2;v=a+16|0;d=k[v>>2]|0;b=((((i|0)==0?0:(i*170|0)+-1|0)-((k[a+20>>2]|0)+d)|0)>>>0)/170|0;b=g>>>0<b>>>0?g:b;c=g-b|0;if(!c){k[v>>2]=(b*170|0)+d;if(!b){r=x;return}v=e+-4|0;k[f>>2]=k[v>>2];k[w>>2]=v;Gt(a,f);b=b+-1|0;if(!b){r=x;return}do{v=(k[w>>2]|0)+-4|0;k[f>>2]=k[v>>2];k[w>>2]=v;Gt(a,f);b=b+-1|0}while((b|0)!=0);r=x;return}s=a+12|0;d=k[a>>2]|0;e=(k[s>>2]|0)-d|0;if(c>>>0<=((e>>2)-i|0)>>>0){a:do if((h|0)==(d|0))n=7;else while(1){d=ZL(4080)|0;k[f>>2]=d;Ht(a,f);c=c+-1|0;d=k[u>>2]|0;e=(k[v>>2]|0)+170+((((k[w>>2]|0)-d|0)==4)<<31>>31)|0;k[v>>2]=e;if(!c){c=e;break a}if((d|0)==(k[a>>2]|0)){n=7;break}}while(0);if((n|0)==7){do{u=ZL(4080)|0;k[f>>2]=u;jv(a,f);c=c+-1|0;b=b+1|0}while((c|0)!=0);c=k[v>>2]|0}k[v>>2]=c+(b*170|0);if(!b){r=x;return}do{v=(k[w>>2]|0)+-4|0;k[f>>2]=k[v>>2];k[w>>2]=v;Gt(a,f);b=b+-1|0}while((b|0)!=0);r=x;return}q=(g*170|0)+(j<<31>>31)|0;d=e>>1;t=i+c|0;d=d>>>0<t>>>0?t:d;k[f+12>>2]=0;k[f+16>>2]=a+12;do if(!d)e=0;else if(d>>>0>1073741823){x=gb(4)|0;doa(x);Wb(x|0,4496,348)}else{e=ZL(d<<2)|0;break}while(0);k[f>>2]=e;t=f+8|0;k[t>>2]=e;p=f+4|0;k[p>>2]=e;g=f+12|0;k[g>>2]=e+(d<<2);while(1){y=0;d=qa(332,4080)|0;o=y;y=0;if(o&1){n=26;break}k[l>>2]=d;y=0;oa(519,f|0,l|0);o=y;y=0;if(o&1){n=26;break}c=c+-1|0;if(!c){n=20;break}}b:do if((n|0)==20){c:do if(!b)b=k[w>>2]|0;else{c=k[w>>2]|0;m=k[t>>2]|0;d:while(1){o=c+-4|0;n=k[g>>2]|0;c=n;i=m;do if((m|0)==(n|0)){n=k[p>>2]|0;l=k[f>>2]|0;d=l;if(n>>>0>l>>>0){c=n;e=((c-d>>2)+1|0)/-2|0;h=n+(e<<2)|0;c=i-c|0;d=c>>2;if(!d)c=n;else{DN(h|0,n|0,c|0)|0;c=k[p>>2]|0}n=h+(d<<2)|0;k[t>>2]=n;k[p>>2]=c+(e<<2);c=n;break}c=c-d>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=35;break d}y=0;d=qa(332,c<<2|0)|0;j=y;y=0;if(j&1){n=42;break d}i=d;e=d+(c>>>2<<2)|0;j=e;h=d+(c<<2)|0;if((n|0)==(m|0))c=j;else{c=j;d=n;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(m|0))}k[f>>2]=i;k[p>>2]=j;k[t>>2]=c;k[g>>2]=h;if(l){zqa(l);c=k[t>>2]|0}}else c=m;while(0);k[c>>2]=k[o>>2];m=(k[t>>2]|0)+4|0;k[t>>2]=m;c=(k[w>>2]|0)+-4|0;k[w>>2]=c;b=b+-1|0;if(!b){b=c;break c}}if((n|0)==35){b=gb(4)|0;doa(b);y=0;Na(76,b|0,4496,348);y=0;b=pb()|0}else if((n|0)==42)b=pb()|0;m=b;break b}while(0);e=k[u>>2]|0;do if((e|0)==(b|0)){h=p;i=t;d=k[t>>2]|0}else{d=k[t>>2]|0;e:while(1){o=k[g>>2]|0;b=o;i=d;do if((d|0)==(o|0)){n=k[p>>2]|0;m=k[f>>2]|0;c=m;if(n>>>0>m>>>0){b=n;d=((b-c>>2)+1|0)/-2|0;h=n+(d<<2)|0;b=i-b|0;c=b>>2;if(!c)b=n;else{DN(h|0,n|0,b|0)|0;b=k[p>>2]|0}o=h+(c<<2)|0;k[t>>2]=o;k[p>>2]=b+(d<<2);b=o;break}b=b-c>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){n=59;break e}y=0;c=qa(332,b<<2|0)|0;o=y;y=0;if(o&1){n=66;break e}j=c;h=c+(b>>>2<<2)|0;l=h;i=c+(b<<2)|0;if((n|0)==(d|0))b=l;else{b=l;c=n;do{k[h>>2]=k[c>>2];h=b+4|0;b=h;c=c+4|0}while((c|0)!=(d|0))}k[f>>2]=j;k[p>>2]=l;k[t>>2]=b;k[g>>2]=i;if(m){zqa(m);b=k[t>>2]|0}}else b=d;while(0);k[b>>2]=k[e>>2];d=(k[t>>2]|0)+4|0;k[t>>2]=d;e=e+4|0;b=k[w>>2]|0;if((e|0)==(b|0)){n=47;break}}if((n|0)==47){h=p;i=t;e=k[u>>2]|0;break}else if((n|0)==59){b=gb(4)|0;doa(b);y=0;Na(76,b|0,4496,348);y=0;b=pb()|0}else if((n|0)==66)b=pb()|0;m=b;break b}while(0);c=k[a>>2]|0;k[a>>2]=k[f>>2];k[f>>2]=c;k[u>>2]=k[h>>2];k[h>>2]=e;k[w>>2]=d;k[i>>2]=b;w=k[s>>2]|0;k[s>>2]=k[g>>2];k[g>>2]=w;k[v>>2]=q+(k[v>>2]|0);if((b|0)!=(e|0))k[t>>2]=b+(~((b+-4-e|0)>>>2)<<2);if(c|0)zqa(c);r=x;return}else if((n|0)==26){b=tb(0)|0;vb(b|0)|0;b=k[p>>2]|0;if((b|0)!=(k[t>>2]|0))do{zqa(k[b>>2]|0);b=b+4|0}while((b|0)!=(k[t>>2]|0));y=0;la(4);y=0;b=pb()|0;y=0;la(3);x=y;y=0;if(x&1){x=tb(0)|0;dla(x)}else m=b}while(0);b=k[p>>2]|0;c=k[t>>2]|0;if((c|0)!=(b|0))k[t>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[f>>2]|0;if(!b)sb(m|0);zqa(b);sb(m|0)}function Nf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;z=0;x=r;r=r+512|0;u=x+472|0;A=x+320|0;m=x+432|0;n=x+420|0;h=x+280|0;l=x+264|0;v=x+160|0;w=x+56|0;s=x+16|0;t=x;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;jI(A,36464,6);y=0;o=u;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));o=sa(27,A|0,a|0,d|0,u|0,f|0)|0;q=y;y=0;if(q&1){z=pb()|0;$9(A);A=z;sb(A|0)}$9(A);g=o+56|0;b=k[g>>2]|0;switch(b|0){case 8:{g=ZL(80)|0;o=m;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(75,n|0,44148,4);A=y;y=0;do if(A&1)b=pb()|0;else{y=0;o=u;p=m;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));Ea(2,g|0,u|0,n|0,0,0,0,1);A=y;y=0;if(A&1){b=pb()|0;$9(n);break}$9(n);A=g;r=x;return A|0}while(0);zqa(g);A=b;sb(A|0)}case 1:{z=10;break}default:{}}do if((z|0)==10){if(!(oc[k[(k[o>>2]|0)+84>>2]&511](o)|0)){b=k[g>>2]|0;break}g=ZL(80)|0;o=h;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(75,l|0,53637,5);A=y;y=0;do if(A&1)b=pb()|0;else{y=0;o=u;p=h;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));Ea(2,g|0,u|0,l|0,0,0,0,1);A=y;y=0;if(A&1){b=pb()|0;$9(l);break}$9(l);A=g;r=x;return A|0}while(0);zqa(g);A=b;sb(A|0)}while(0);if((b|0)==4){A=o;r=x;return A|0}f=c+16|0;l=k[f>>2]|0;h=k[l>>2]|0;k[l>>2]=5;yD(A,k[f>>2]|0);k[w>>2]=5060;l=w+4|0;m=A+4|0;y=0;oa(452,l|0,m|0);c=y;y=0;do if(c&1){b=pb()|0;z=45}else{y=0;oa(453,w+16|0,A+16|0);c=y;y=0;if(c&1){b=pb()|0;$9(l);z=45;break}c=w+68|0;q=A+68|0;k[c>>2]=k[q>>2];k[c+4>>2]=k[q+4>>2];k[c+8>>2]=k[q+8>>2];k[c+12>>2]=k[q+12>>2];k[c+16>>2]=k[q+16>>2];k[c+20>>2]=k[q+20>>2];k[c+24>>2]=k[q+24>>2];j[c+28>>1]=j[q+28>>1]|0;y=0;oa(454,v|0,w|0);c=y;y=0;if(c&1){b=pb()|0;k[w>>2]=5060;$9(w+52|0);g=k[w+28>>2]|0;a=g;if(g|0){d=w+32|0;f=k[d>>2]|0;if((f|0)!=(g|0))k[d>>2]=f+(~(((f+-24-a|0)>>>0)/24|0)*24|0);zqa(g)}d=k[w+16>>2]|0;f=d;if(d|0){g=w+20|0;a=k[g>>2]|0;if((a|0)!=(d|0))k[g>>2]=a+(~((a+-4-f|0)>>>2)<<2);zqa(d)}$9(l);break}k[w>>2]=5060;$9(w+52|0);b=k[w+28>>2]|0;g=b;if(b|0){a=w+32|0;d=k[a>>2]|0;if((d|0)!=(b|0))k[a>>2]=d+(~(((d+-24-g|0)>>>0)/24|0)*24|0);zqa(b)}a=k[w+16>>2]|0;d=a;if(a|0){b=w+20|0;g=k[b>>2]|0;if((g|0)!=(a|0))k[b>>2]=g+(~((g+-4-d|0)>>>2)<<2);zqa(a)}$9(l);b=v+4|0;i[v+99>>0]=0;y=0;oa(k[(k[o>>2]|0)+40>>2]|0,o|0,v|0);w=y;y=0;if(w&1)z=55;else{k[k[f>>2]>>2]=h;y=0;f=qa(332,80)|0;w=y;y=0;if(w&1)z=55;else{o=s;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(455,t|0,b|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;o=u;p=s;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));Ea(2,f|0,u|0,t|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;$9(t);break}$9(t);HD(v);k[A>>2]=5060;$9(A+52|0);b=k[A+28>>2]|0;g=b;if(b|0){a=A+32|0;d=k[a>>2]|0;if((d|0)!=(b|0))k[a>>2]=d+(~(((d+-24-g|0)>>>0)/24|0)*24|0);zqa(b)}a=k[A+16>>2]|0;d=a;if(a|0){b=A+20|0;g=k[b>>2]|0;if((g|0)!=(a|0))k[b>>2]=g+(~((g+-4-d|0)>>>2)<<2);zqa(a)}$9(m);A=f;r=x;return A|0}while(0);zqa(f)}}if((z|0)==55)b=pb()|0;HD(v)}while(0);k[A>>2]=5060;$9(A+52|0);g=k[A+28>>2]|0;a=g;if(g|0){d=A+32|0;f=k[d>>2]|0;if((f|0)!=(g|0))k[d>>2]=f+(~(((f+-24-a|0)>>>0)/24|0)*24|0);zqa(g)}d=k[A+16>>2]|0;f=d;if(d|0){g=A+20|0;a=k[g>>2]|0;if((a|0)!=(d|0))k[g>>2]=a+(~((a+-4-f|0)>>>2)<<2);zqa(d)}$9(m);A=b;sb(A|0);return 0}function Of(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0,l=0,m=0.0,n=0.0,o=0.0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;z=0;w=r;r=r+256|0;s=w+216|0;A=w+16|0;x=w;v=w+176|0;t=w+160|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;jI(A,35329,6);y=0;b=s;j=e;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));b=sa(24,A|0,a|0,d|0,s|0,f|0)|0;u=y;y=0;if(u&1){z=pb()|0;$9(A);A=z;sb(A|0)}$9(A);m=+p[b+64>>3];m=m>255.0?255.0:m<0.0?0.0:m;n=+p[b+72>>3];n=n>255.0?255.0:n<0.0?0.0:n;o=+p[b+80>>3];o=o>255.0?255.0:o<0.0?0.0:o;h=+p[b+88>>3];h=h>1.0?255.0:(h<0.0?0.0:h)*255.0;u=A+64|0;b=A+8|0;k[b>>2]=14400;q=A+12|0;k[A>>2]=14440;k[u>>2]=14460;k[A+4>>2]=0;y=0;oa(528,A+64|0,q|0);l=y;y=0;if(l&1){A=pb()|0;dja(u);sb(A|0)}k[A+136>>2]=0;k[A+140>>2]=-1;k[A>>2]=14380;k[u>>2]=14420;k[b>>2]=14400;y=0;na(373,q|0);l=y;y=0;do if(l&1)b=pb()|0;else{k[q>>2]=14240;d=A+44|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[A+60>>2]=24;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;oa(529,q|0,s|0);l=y;y=0;if(l&1){b=pb()|0;$9(s);$9(d);nba(q);break}$9(s);f=A+8|0;i[s>>0]=35;y=0;b=ta(54,f|0,s|0,1)|0;l=y;y=0;do if(l&1)z=24;else{k[b+(k[(k[b>>2]|0)+-12>>2]|0)+12>>2]=2;k[b+(k[(k[b>>2]|0)+-12>>2]|0)+76>>2]=48;b=f+(k[(k[f>>2]|0)+-12>>2]|0)+4|0;k[b>>2]=k[b>>2]&-75|8;k[f+(k[(k[f>>2]|0)+-12>>2]|0)+12>>2]=2;b=c+16|0;y=0;h=+ua(1,+h,k[(k[b>>2]|0)+4>>2]|0);c=y;y=0;if(!(c&1)){y=0;Ha(978,f|0,~~h>>>0|0)|0;c=y;y=0;if(!(c&1)){c=f+(k[(k[f>>2]|0)+-12>>2]|0)+4|0;k[c>>2]=k[c>>2]&-75|8;k[f+(k[(k[f>>2]|0)+-12>>2]|0)+12>>2]=2;y=0;h=+ua(1,+m,k[(k[b>>2]|0)+4>>2]|0);c=y;y=0;if(!(c&1)){y=0;Ha(978,f|0,~~h>>>0|0)|0;c=y;y=0;if(!(c&1)){c=f+(k[(k[f>>2]|0)+-12>>2]|0)+4|0;k[c>>2]=k[c>>2]&-75|8;k[f+(k[(k[f>>2]|0)+-12>>2]|0)+12>>2]=2;y=0;h=+ua(1,+n,k[(k[b>>2]|0)+4>>2]|0);c=y;y=0;if(!(c&1)){y=0;Ha(978,f|0,~~h>>>0|0)|0;c=y;y=0;if(!(c&1)){c=f+(k[(k[f>>2]|0)+-12>>2]|0)+4|0;k[c>>2]=k[c>>2]&-75|8;k[f+(k[(k[f>>2]|0)+-12>>2]|0)+12>>2]=2;y=0;h=+ua(1,+o,k[(k[b>>2]|0)+4>>2]|0);c=y;y=0;if(!(c&1)){y=0;Ha(978,f|0,~~h>>>0|0)|0;c=y;y=0;if(!(c&1)){y=0;oa(530,x|0,q|0);c=y;y=0;if(c&1){z=24;break}g=x+11|0;b=i[g>>0]|0;a=b<<24>>24<0?k[x+4>>2]|0:b&255;do if(a|0){c=b<<24>>24<0?k[x>>2]|0:x;l=(lja(i[c>>0]|0)|0)&255;i[c>>0]=l;if((a|0)==1)break;else b=1;do{c=((i[g>>0]|0)<0?k[x>>2]|0:x)+b|0;l=(lja(i[c>>0]|0)|0)&255;i[c>>0]=l;b=b+1|0}while((b|0)!=(a|0))}while(0);y=0;g=qa(332,80)|0;c=y;y=0;if(c&1)b=pb()|0;else{b=v;j=e;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));y=0;oa(452,t|0,x|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;b=s;j=v;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));Ea(2,g|0,s|0,t|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;$9(t);break}else{$9(t);$9(x);k[A>>2]=14380;k[u>>2]=14420;k[f>>2]=14400;k[q>>2]=14240;$9(d);nba(q);zka(A,14472);dja(u);r=w;return g|0}}while(0);zqa(g)}$9(x);break}}b=pb()|0;break}}b=pb()|0;break}}b=pb()|0;break}}b=pb()|0}while(0);if((z|0)==24)b=pb()|0;k[A>>2]=14380;k[u>>2]=14420;k[f>>2]=14400;k[q>>2]=14240;$9(d);nba(q);zka(A,14472);dja(u);A=b;sb(A|0)}while(0);zka(A,14472);A=b;dja(u);sb(A|0);return 0}function Pf(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!a)return;c=a+-8|0;g=k[19153]|0;if(c>>>0<g>>>0)Za();a=k[a+-4>>2]|0;b=a&3;if((b|0)==1)Za();d=a&-8;n=c+d|0;do if(!(a&1)){a=k[c>>2]|0;if(!b)return;j=c+(0-a)|0;i=a+d|0;if(j>>>0<g>>>0)Za();if((j|0)==(k[19154]|0)){a=n+4|0;b=k[a>>2]|0;if((b&3|0)!=3){q=j;e=i;break}k[19151]=i;k[a>>2]=b&-2;k[j+4>>2]=i|1;k[j+i>>2]=i;return}d=a>>>3;if(a>>>0<256){b=k[j+8>>2]|0;c=k[j+12>>2]|0;a=76636+(d<<1<<2)|0;if((b|0)!=(a|0)){if(b>>>0<g>>>0)Za();if((k[b+12>>2]|0)!=(j|0))Za()}if((c|0)==(b|0)){k[19149]=k[19149]&~(1<<d);q=j;e=i;break}if((c|0)==(a|0))f=c+8|0;else{if(c>>>0<g>>>0)Za();a=c+8|0;if((k[a>>2]|0)==(j|0))f=a;else Za()}k[b+12>>2]=c;k[f>>2]=b;q=j;e=i;break}f=k[j+24>>2]|0;c=k[j+12>>2]|0;do if((c|0)==(j|0)){c=j+16|0;b=c+4|0;a=k[b>>2]|0;if(!a){a=k[c>>2]|0;if(!a){h=0;break}else b=c}while(1){c=a+20|0;d=k[c>>2]|0;if(d|0){a=d;b=c;continue}c=a+16|0;d=k[c>>2]|0;if(!d)break;else{a=d;b=c}}if(b>>>0<g>>>0)Za();else{k[b>>2]=0;h=a;break}}else{d=k[j+8>>2]|0;if(d>>>0<g>>>0)Za();a=d+12|0;if((k[a>>2]|0)!=(j|0))Za();b=c+8|0;if((k[b>>2]|0)==(j|0)){k[a>>2]=c;k[b>>2]=d;h=c;break}else Za()}while(0);if(!f){q=j;e=i}else{a=k[j+28>>2]|0;b=76900+(a<<2)|0;if((j|0)==(k[b>>2]|0)){k[b>>2]=h;if(!h){k[19150]=k[19150]&~(1<<a);q=j;e=i;break}}else{if(f>>>0<(k[19153]|0)>>>0)Za();a=f+16|0;if((k[a>>2]|0)==(j|0))k[a>>2]=h;else k[f+20>>2]=h;if(!h){q=j;e=i;break}}c=k[19153]|0;if(h>>>0<c>>>0)Za();k[h+24>>2]=f;a=j+16|0;b=k[a>>2]|0;do if(b|0)if(b>>>0<c>>>0)Za();else{k[h+16>>2]=b;k[b+24>>2]=h;break}while(0);a=k[a+4>>2]|0;if(!a){q=j;e=i}else if(a>>>0<(k[19153]|0)>>>0)Za();else{k[h+20>>2]=a;k[a+24>>2]=h;q=j;e=i;break}}}else{q=c;e=d}while(0);if(q>>>0>=n>>>0)Za();a=n+4|0;b=k[a>>2]|0;if(!(b&1))Za();if(!(b&2)){if((n|0)==(k[19155]|0)){p=(k[19152]|0)+e|0;k[19152]=p;k[19155]=q;k[q+4>>2]=p|1;if((q|0)!=(k[19154]|0))return;k[19154]=0;k[19151]=0;return}if((n|0)==(k[19154]|0)){p=(k[19151]|0)+e|0;k[19151]=p;k[19154]=q;k[q+4>>2]=p|1;k[q+p>>2]=p;return}e=(b&-8)+e|0;d=b>>>3;do if(b>>>0<256){b=k[n+8>>2]|0;c=k[n+12>>2]|0;a=76636+(d<<1<<2)|0;if((b|0)!=(a|0)){if(b>>>0<(k[19153]|0)>>>0)Za();if((k[b+12>>2]|0)!=(n|0))Za()}if((c|0)==(b|0)){k[19149]=k[19149]&~(1<<d);break}if((c|0)==(a|0))l=c+8|0;else{if(c>>>0<(k[19153]|0)>>>0)Za();a=c+8|0;if((k[a>>2]|0)==(n|0))l=a;else Za()}k[b+12>>2]=c;k[l>>2]=b}else{f=k[n+24>>2]|0;a=k[n+12>>2]|0;do if((a|0)==(n|0)){c=n+16|0;b=c+4|0;a=k[b>>2]|0;if(!a){a=k[c>>2]|0;if(!a){m=0;break}else b=c}while(1){c=a+20|0;d=k[c>>2]|0;if(d|0){a=d;b=c;continue}c=a+16|0;d=k[c>>2]|0;if(!d)break;else{a=d;b=c}}if(b>>>0<(k[19153]|0)>>>0)Za();else{k[b>>2]=0;m=a;break}}else{b=k[n+8>>2]|0;if(b>>>0<(k[19153]|0)>>>0)Za();c=b+12|0;if((k[c>>2]|0)!=(n|0))Za();d=a+8|0;if((k[d>>2]|0)==(n|0)){k[c>>2]=a;k[d>>2]=b;m=a;break}else Za()}while(0);if(f|0){a=k[n+28>>2]|0;b=76900+(a<<2)|0;if((n|0)==(k[b>>2]|0)){k[b>>2]=m;if(!m){k[19150]=k[19150]&~(1<<a);break}}else{if(f>>>0<(k[19153]|0)>>>0)Za();a=f+16|0;if((k[a>>2]|0)==(n|0))k[a>>2]=m;else k[f+20>>2]=m;if(!m)break}c=k[19153]|0;if(m>>>0<c>>>0)Za();k[m+24>>2]=f;a=n+16|0;b=k[a>>2]|0;do if(b|0)if(b>>>0<c>>>0)Za();else{k[m+16>>2]=b;k[b+24>>2]=m;break}while(0);a=k[a+4>>2]|0;if(a|0)if(a>>>0<(k[19153]|0)>>>0)Za();else{k[m+20>>2]=a;k[a+24>>2]=m;break}}}while(0);k[q+4>>2]=e|1;k[q+e>>2]=e;if((q|0)==(k[19154]|0)){k[19151]=e;return}}else{k[a>>2]=b&-2;k[q+4>>2]=e|1;k[q+e>>2]=e}a=e>>>3;if(e>>>0<256){c=76636+(a<<1<<2)|0;b=k[19149]|0;a=1<<a;if(!(b&a)){k[19149]=b|a;o=c;p=c+8|0}else{a=c+8|0;b=k[a>>2]|0;if(b>>>0<(k[19153]|0)>>>0)Za();else{o=b;p=a}}k[p>>2]=q;k[o+12>>2]=q;k[q+8>>2]=o;k[q+12>>2]=c;return}a=e>>>8;if(!a)a=0;else if(e>>>0>16777215)a=31;else{o=(a+1048320|0)>>>16&8;p=a<<o;n=(p+520192|0)>>>16&4;p=p<<n;a=(p+245760|0)>>>16&2;a=14-(n|o|a)+(p<<a>>>15)|0;a=e>>>(a+7|0)&1|a<<1}d=76900+(a<<2)|0;k[q+28>>2]=a;k[q+20>>2]=0;k[q+16>>2]=0;b=k[19150]|0;c=1<<a;do if(!(b&c)){k[19150]=b|c;k[d>>2]=q;k[q+24>>2]=d;k[q+12>>2]=q;k[q+8>>2]=q}else{b=e<<((a|0)==31?0:25-(a>>>1)|0);d=k[d>>2]|0;while(1){if((k[d+4>>2]&-8|0)==(e|0)){a=130;break}c=d+16+(b>>>31<<2)|0;a=k[c>>2]|0;if(!a){a=127;break}else{b=b<<1;d=a}}if((a|0)==127)if(c>>>0<(k[19153]|0)>>>0)Za();else{k[c>>2]=q;k[q+24>>2]=d;k[q+12>>2]=q;k[q+8>>2]=q;break}else if((a|0)==130){a=d+8|0;b=k[a>>2]|0;p=k[19153]|0;if(b>>>0>=p>>>0&d>>>0>=p>>>0){k[b+12>>2]=q;k[a>>2]=q;k[q+8>>2]=b;k[q+12>>2]=d;k[q+24>>2]=0;break}else Za()}}while(0);q=(k[19157]|0)+-1|0;k[19157]=q;if(!q)a=77052;else return;while(1){a=k[a>>2]|0;if(!a)break;else a=a+8|0}k[19157]=-1;return}function Qf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;u=0;B=r;r=r+160|0;x=B+120|0;q=B;t=B+52|0;s=B+40|0;z=B+80|0;A=B+64|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,35750,7);p=y;y=0;a:do if(p&1){b=tb(0)|0;u=36}else{y=0;g=x;j=e;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));c=sa(25,q|0,a|0,d|0,x|0,f|0)|0;p=y;y=0;if(p&1){b=tb(0)|0;$9(q);u=36;break}$9(q);k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,36033,10);p=y;y=0;do if(p&1)b=tb(0)|0;else{y=0;g=x;j=e;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));b=sa(25,q|0,a|0,d|0,x|0,f|0)|0;p=y;y=0;if(p&1){b=tb(0)|0;$9(q);break}$9(q);y=0;oa(452,t|0,c+64|0);p=y;y=0;if(p&1){b=tb(0)|0;u=51;break a}y=0;ma(5,x|0,t|0,0,0,1);p=y;y=0;do if(p&1)b=tb(0)|0;else{c=t+11|0;if((i[c>>0]|0)<0){i[k[t>>2]>>0]=0;k[t+4>>2]=0}else{i[t>>0]=0;i[c>>0]=0}y=0;oa(506,t|0,0);p=y;y=0;if(p&1){p=tb(0)|0;dla(p)}k[t>>2]=k[x>>2];k[t+4>>2]=k[x+4>>2];k[t+8>>2]=k[x+8>>2];k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;$9(x);y=0;oa(452,s|0,b+64|0);p=y;y=0;if(p&1){b=tb(0)|0;break}y=0;ma(5,x|0,s|0,0,0,1);p=y;y=0;b:do if(p&1)b=tb(0)|0;else{b=s+11|0;if((i[b>>0]|0)<0){i[k[s>>2]>>0]=0;k[s+4>>2]=0}else{i[s>>0]=0;i[b>>0]=0}y=0;oa(506,s|0,0);p=y;y=0;if(p&1){p=tb(0)|0;dla(p)}k[s>>2]=k[x>>2];k[s+4>>2]=k[x+4>>2];k[s+8>>2]=k[x+8>>2];k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;$9(x);c=i[c>>0]|0;p=c<<24>>24<0;g=p?k[t>>2]|0:t;c=p?k[t+4>>2]|0:c&255;b=i[b>>0]|0;p=b<<24>>24<0;l=p?k[s>>2]|0:s;b=p?k[s+4>>2]|0:b&255;do if(c>>>0<b>>>0)u=31;else{if(!b)b=0;else{p=g+c|0;m=l+b|0;o=g;n=p;c:do if((c|0)<(b|0))c=n;else{d=p+(1-b)|0;if((d|0)==(g|0)){c=n;break}j=i[l>>0]|0;c=o;b=g;while(1){while(1){if((i[b>>0]|0)==j<<24>>24){g=l;a=b;break}b=b+1|0;if((b|0)==(d|0)){c=n;break c}else c=b}do{g=g+1|0;if((g|0)==(m|0))break c;a=a+1|0}while((i[a>>0]|0)==(i[g>>0]|0));b=b+1|0;if((b|0)==(d|0)){c=n;break}else c=b}}while(0);b=c-o|0;if((c|0)==(p|0)|(b|0)==-1){u=31;break}}y=0;c=ta(57,t|0,0,b|0)|0;q=y;y=0;if(q&1)u=44;else{g=1;b=0;c=c+1|0}}while(0);do if((u|0)==31){y=0;b=qa(332,60)|0;p=y;y=0;if(p&1)u=44;else{g=q;j=e;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));y=0;na(366,b|0);p=y;y=0;if(p&1){u=tb(0)|0;zqa(b);b=u;break b}else{g=b+12|0;j=q;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=11032;k[b+56>>2]=8;g=0;c=-1;break}}}while(0);if((u|0)==44){b=tb(0)|0;break}$9(s);$9(t);if(g){v=c;w=e;break a}r=B;return b|0}while(0);$9(s)}while(0);$9(t);u=51;break a}while(0);u=51}while(0);if((u|0)==36)u=51;do if((u|0)==51){vb(b|0)|0;y=0;oa(555,e|0,f|0);f=y;y=0;if(!(f&1)){rb();v=-1;w=e;break}b=pb()|0;y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}else{B=b;sb(B|0)}}while(0);c=ZL(104)|0;g=z;j=w;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(75,A|0,82159,0);e=y;y=0;do if(e&1)b=pb()|0;else{h=+(v>>>0);y=0;g=x;j=z;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));Ca(1,c|0,x|0,+h,A|0,1);e=y;y=0;if(e&1){b=pb()|0;$9(A);break}$9(A);e=c;r=B;return e|0}while(0);zqa(c);B=b;sb(B|0);return 0}function Rf(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;p=0;t=r;r=r+144|0;q=t;s=t+136|0;u=t+124|0;o=t+120|0;l=t+96|0;j=t+108|0;g=t+56|0;h=t+40|0;m=a+76|0;n=k[m>>2]|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;jI(u,82159,0);y=0;b=ta(109,a|0,0,0)|0;f=y;y=0;do if(!(f&1)){do if(b|0){c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,q|0);p=y;y=0;if(p&1)p=19;else p=7}else if(f>>>0<11){i[q+11>>0]=f;b=q}else p=7;if((p|0)==7){d=f+16&-16;y=0;b=qa(332,d|0)|0;v=y;y=0;if(v&1)p=19;else{k[q>>2]=b;k[q+8>>2]=d|-2147483648;k[q+4>>2]=f}}if((p|0)==19){v=pb()|0;$9(u);sb(v|0)}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;b=u+11|0;if((i[b>>0]|0)<0){i[k[u>>2]>>0]=0;k[u+4>>2]=0}else{i[u>>0]=0;i[b>>0]=0}y=0;oa(506,u|0,0);v=y;y=0;if(v&1){v=tb(0)|0;dla(v)}else{k[u>>2]=k[q>>2];k[u+4>>2]=k[q+4>>2];k[u+8>>2]=k[q+8>>2];k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;$9(q);break}}while(0);b=k[m>>2]|0;y=0;c=qa(360,b|0)|0;v=y;y=0;if(!(v&1)){b=c|0?c:b;if(b|0){c=i[44181]|0;a:do if(!(c<<24>>24))c=0;else{d=44181;while(1){if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){c=0;break}}}while(0);v=c<<24>>24==0?b:0;f=a+80|0;if(!((v|0)==0?1:v>>>0>(k[f>>2]|0)>>>0)){b=k[m>>2]|0;b:do if(!b){b=0;p=40}else{while(1){y=0;c=qa(360,b|0)|0;v=y;y=0;if(v&1)break;c=c|0?c:b;if(!c){p=40;break b}d=i[44181]|0;c:do if(!(d<<24>>24))d=0;else{e=44181;while(1){if((i[c>>0]|0)!=d<<24>>24)break c;c=c+1|0;e=e+1|0;d=i[e>>0]|0;if(!(d<<24>>24)){d=0;break}}}while(0);v=d<<24>>24==0?c:0;if(!(v|0?v>>>0<=(k[f>>2]|0)>>>0:0)){p=40;break b}y=0;b=qa(397,b|0)|0;v=y;y=0;if(v&1)break;if(!b){b=0;p=40;break b}y=0;b=qa(398,b|0)|0;v=y;y=0;if(v&1)break;if(!b){b=0;p=40;break b}}b=pb()|0}while(0);do if((p|0)==40){k[m>>2]=b;k[l>>2]=n;k[l+4>>2]=n;k[l+8>>2]=b;y=0;k[q>>2]=k[l>>2];k[q+4>>2]=k[l+4>>2];k[q+8>>2]=k[l+8>>2];b=ta(79,a|0,q|0,0)|0;v=y;y=0;if(v&1){b=pb()|0;break}k[o>>2]=b;y=0;oa(482,s|0,b|0);v=y;y=0;if(v&1){v=pb()|0;EO(o);$9(u);sb(v|0)}else{EO(o);$9(u);v=k[s>>2]|0;r=t;return v|0}}while(0);v=b;$9(u);sb(v|0)}}v=i[u+11>>0]|0;if(!((v<<24>>24<0?k[u+4>>2]|0:v&255)|0)){y=0;b=sa(21,u|0,0,-1,82159,0)|0;v=y;y=0;if(v&1){v=tb(0)|0;dla(v)}if(!b){y=0;oa(482,s|0,0);v=y;y=0;if(v&1)break;$9(u);v=k[s>>2]|0;r=t;return v|0}}y=0;oa(567,j|0,u|0);v=y;y=0;if(!(v&1)){y=0;e=qa(332,80)|0;v=y;y=0;d:do if(v&1)b=pb()|0;else{d=g;b=a+108|0;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));y=0;oa(452,h|0,j|0);v=y;y=0;do if(v&1)b=pb()|0;else{d=q;b=g;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));y=0;na(366,e|0);v=y;y=0;if(v&1)c=1;else{d=e+12|0;b=q;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=4;k[e>>2]=9640;i[e+60>>0]=0;i[e+61>>0]=0;y=0;oa(547,e+64|0,h|0);v=y;y=0;if(v&1){b=pb()|0;$9(h);break}k[e+76>>2]=0;y=0;oa(482,s|0,e|0);v=y;y=0;if(v&1)c=0;else{$9(h);$9(j);$9(u);v=k[s>>2]|0;r=t;return v|0}}b=pb()|0;$9(h);if(!c)break d}while(0);zqa(e)}while(0);$9(j);v=b;$9(u);sb(v|0)}}}while(0);v=pb()|0;$9(u);sb(v|0);return 0}function Sf(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;o=0;u=r;r=r+80|0;p=u;t=u+68|0;w=u+60|0;e=u+64|0;v=u+56|0;l=u+52|0;m=u+48|0;s=u+44|0;n=u+40|0;a:do if(Yt(a,0,0)|0){j=ZL(84)|0;q=a+108|0;f=p;g=q;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(366,j|0);h=y;y=0;do if(h&1)b=pb()|0;else{f=j+12|0;g=p;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;b=j+56|0;k[j>>2]=9504;k[b>>2]=4;c=j+60|0;k[c>>2]=7720;f=j+64|0;g=j+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,0);h=y;y=0;if(h&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{w=d+-4|0;k[g>>2]=w;EO(w);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[j>>2]=9328;k[c>>2]=9464;k[j+80>>2]=0;k[b>>2]=4;_V(w,j);b=(k[w>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(332,80)|0;j=y;y=0;b:do if(j&1)o=24;else{j=a+152|0;y=0;f=p;g=q;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Na(108,d|0,p|0,j|0);h=y;y=0;if(h&1){b=pb()|0;zqa(d);break}y=0;oa(482,e|0,d|0);h=y;y=0;if(h&1)o=24;else{y=0;oa(c|0,b|0,e|0);h=y;y=0;if(h&1){b=pb()|0;EO(e);break}EO(e);e=a+76|0;b=k[e>>2]|0;c:do if((i[b>>0]|0)==35)if((i[b+1>>0]|0)==123){y=0;b=qa(426,a|0)|0;h=y;y=0;if(h&1){o=24;break b}k[v>>2]=b;do if(!b)o=18;else{c=(k[w>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(482,l|0,b|0);h=y;y=0;if(h&1)o=28;else{y=0;oa(d|0,c|0,l|0);h=y;y=0;if(h&1){b=pb()|0;EO(l);break}else{EO(l);o=18;break}}}while(0);do if((o|0)==18){while(1){y=0;b=ta(150,a|0,0,0)|0;o=y;y=0;if(o&1){o=27;break}if(!b){b=0;o=51;break}b=(k[w>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(332,80)|0;o=y;y=0;if(o&1){o=27;break}y=0;f=p;g=q;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Na(108,d|0,p|0,j|0);o=y;y=0;if(o&1){o=44;break}y=0;oa(482,m|0,d|0);o=y;y=0;if(o&1){o=27;break}y=0;oa(c|0,b|0,m|0);o=y;y=0;if(o&1){o=45;break}EO(m);b=k[e>>2]|0;if((i[b>>0]|0)!=35){o=50;break}if((i[b+1>>0]|0)!=123){o=50;break}y=0;b=qa(426,a|0)|0;o=y;y=0;if(o&1){o=27;break}k[s>>2]=b;if(b|0){c=(k[w>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(482,n|0,b|0);o=y;y=0;if(o&1){o=46;break}y=0;oa(d|0,c|0,n|0);o=y;y=0;if(o&1){o=47;break}EO(n)}EO(s)}if((o|0)==27){b=pb()|0;o=29;break}else if((o|0)==44){b=pb()|0;zqa(d);break}else if((o|0)==45){b=pb()|0;EO(m);break}else if((o|0)==46){b=pb()|0;o=49}else if((o|0)==47){b=pb()|0;EO(n);o=49}else if((o|0)==50){y=0;oa(482,t|0,k[w>>2]|0);s=y;y=0;if(s&1){o=28;break}else{b=1;o=51}}if((o|0)==49){EO(s);break}else if((o|0)==51){EO(v);break c}}while(0);if((o|0)==28){b=pb()|0;o=29}EO(v);break b}else o=53;else o=53;while(0);do if((o|0)==53){y=0;b=qa(332,80)|0;v=y;y=0;if(v&1){o=24;break b}y=0;f=p;g=q;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Na(108,b|0,p|0,j|0);v=y;y=0;if(v&1){v=pb()|0;zqa(b);b=v;break b}else{y=0;oa(482,t|0,b|0);v=y;y=0;if(v&1){o=24;break b}else{b=1;break}}}while(0);EO(w);if(!b)break a;w=k[t>>2]|0;r=u;return w|0}}while(0);if((o|0)==24)b=pb()|0;EO(w);w=b;sb(w|0)}while(0);zqa(j);w=b;sb(w|0)}while(0);_V(t,0);w=k[t>>2]|0;r=u;return w|0}function Tf(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;o=0;u=r;r=r+80|0;p=u;t=u+68|0;w=u+60|0;e=u+64|0;v=u+56|0;l=u+52|0;m=u+48|0;s=u+44|0;n=u+40|0;a:do if(Zt(a,0,0)|0){j=ZL(84)|0;q=a+108|0;f=p;g=q;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(366,j|0);h=y;y=0;do if(h&1)b=pb()|0;else{f=j+12|0;g=p;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;b=j+56|0;k[j>>2]=9504;k[b>>2]=4;c=j+60|0;k[c>>2]=7720;f=j+64|0;g=j+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,0);h=y;y=0;if(h&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{w=d+-4|0;k[g>>2]=w;EO(w);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[j>>2]=9328;k[c>>2]=9464;k[j+80>>2]=0;k[b>>2]=4;_V(w,j);b=(k[w>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(332,80)|0;j=y;y=0;b:do if(j&1)o=24;else{j=a+152|0;y=0;f=p;g=q;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Na(108,d|0,p|0,j|0);h=y;y=0;if(h&1){b=pb()|0;zqa(d);break}y=0;oa(482,e|0,d|0);h=y;y=0;if(h&1)o=24;else{y=0;oa(c|0,b|0,e|0);h=y;y=0;if(h&1){b=pb()|0;EO(e);break}EO(e);e=a+76|0;b=k[e>>2]|0;c:do if((i[b>>0]|0)==35)if((i[b+1>>0]|0)==123){y=0;b=qa(426,a|0)|0;h=y;y=0;if(h&1){o=24;break b}k[v>>2]=b;do if(!b)o=18;else{c=(k[w>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(482,l|0,b|0);h=y;y=0;if(h&1)o=28;else{y=0;oa(d|0,c|0,l|0);h=y;y=0;if(h&1){b=pb()|0;EO(l);break}else{EO(l);o=18;break}}}while(0);do if((o|0)==18){while(1){y=0;b=ta(149,a|0,0,0)|0;o=y;y=0;if(o&1){o=27;break}if(!b){b=0;o=51;break}b=(k[w>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(332,80)|0;o=y;y=0;if(o&1){o=27;break}y=0;f=p;g=q;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Na(108,d|0,p|0,j|0);o=y;y=0;if(o&1){o=44;break}y=0;oa(482,m|0,d|0);o=y;y=0;if(o&1){o=27;break}y=0;oa(c|0,b|0,m|0);o=y;y=0;if(o&1){o=45;break}EO(m);b=k[e>>2]|0;if((i[b>>0]|0)!=35){o=50;break}if((i[b+1>>0]|0)!=123){o=50;break}y=0;b=qa(426,a|0)|0;o=y;y=0;if(o&1){o=27;break}k[s>>2]=b;if(b|0){c=(k[w>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(482,n|0,b|0);o=y;y=0;if(o&1){o=46;break}y=0;oa(d|0,c|0,n|0);o=y;y=0;if(o&1){o=47;break}EO(n)}EO(s)}if((o|0)==27){b=pb()|0;o=29;break}else if((o|0)==44){b=pb()|0;zqa(d);break}else if((o|0)==45){b=pb()|0;EO(m);break}else if((o|0)==46){b=pb()|0;o=49}else if((o|0)==47){b=pb()|0;EO(n);o=49}else if((o|0)==50){y=0;oa(482,t|0,k[w>>2]|0);s=y;y=0;if(s&1){o=28;break}else{b=1;o=51}}if((o|0)==49){EO(s);break}else if((o|0)==51){EO(v);break c}}while(0);if((o|0)==28){b=pb()|0;o=29}EO(v);break b}else o=53;else o=53;while(0);do if((o|0)==53){y=0;b=qa(332,80)|0;v=y;y=0;if(v&1){o=24;break b}y=0;f=p;g=q;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Na(108,b|0,p|0,j|0);v=y;y=0;if(v&1){v=pb()|0;zqa(b);b=v;break b}else{y=0;oa(482,t|0,b|0);v=y;y=0;if(v&1){o=24;break b}else{b=1;break}}}while(0);EO(w);if(!b)break a;w=k[t>>2]|0;r=u;return w|0}}while(0);if((o|0)==24)b=pb()|0;EO(w);w=b;sb(w|0)}while(0);zqa(j);w=b;sb(w|0)}while(0);_V(t,0);w=k[t>>2]|0;r=u;return w|0}function Uf(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;o=0;u=r;r=r+80|0;p=u;t=u+68|0;w=u+60|0;e=u+64|0;v=u+56|0;l=u+52|0;m=u+48|0;s=u+44|0;n=u+40|0;a:do if(hu(a,0,0)|0){j=ZL(84)|0;q=a+108|0;f=p;g=q;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(366,j|0);h=y;y=0;do if(h&1)b=pb()|0;else{f=j+12|0;g=p;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;b=j+56|0;k[j>>2]=9504;k[b>>2]=4;c=j+60|0;k[c>>2]=7720;f=j+64|0;g=j+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,0);h=y;y=0;if(h&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{w=d+-4|0;k[g>>2]=w;EO(w);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[j>>2]=9328;k[c>>2]=9464;k[j+80>>2]=0;k[b>>2]=4;_V(w,j);b=(k[w>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(332,80)|0;j=y;y=0;b:do if(j&1)o=24;else{j=a+152|0;y=0;f=p;g=q;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Na(108,d|0,p|0,j|0);h=y;y=0;if(h&1){b=pb()|0;zqa(d);break}y=0;oa(482,e|0,d|0);h=y;y=0;if(h&1)o=24;else{y=0;oa(c|0,b|0,e|0);h=y;y=0;if(h&1){b=pb()|0;EO(e);break}EO(e);e=a+76|0;b=k[e>>2]|0;c:do if((i[b>>0]|0)==35)if((i[b+1>>0]|0)==123){y=0;b=qa(426,a|0)|0;h=y;y=0;if(h&1){o=24;break b}k[v>>2]=b;do if(!b)o=18;else{c=(k[w>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(482,l|0,b|0);h=y;y=0;if(h&1)o=28;else{y=0;oa(d|0,c|0,l|0);h=y;y=0;if(h&1){b=pb()|0;EO(l);break}else{EO(l);o=18;break}}}while(0);do if((o|0)==18){while(1){y=0;b=ta(148,a|0,0,0)|0;o=y;y=0;if(o&1){o=27;break}if(!b){b=0;o=51;break}b=(k[w>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(332,80)|0;o=y;y=0;if(o&1){o=27;break}y=0;f=p;g=q;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Na(108,d|0,p|0,j|0);o=y;y=0;if(o&1){o=44;break}y=0;oa(482,m|0,d|0);o=y;y=0;if(o&1){o=27;break}y=0;oa(c|0,b|0,m|0);o=y;y=0;if(o&1){o=45;break}EO(m);b=k[e>>2]|0;if((i[b>>0]|0)!=35){o=50;break}if((i[b+1>>0]|0)!=123){o=50;break}y=0;b=qa(426,a|0)|0;o=y;y=0;if(o&1){o=27;break}k[s>>2]=b;if(b|0){c=(k[w>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(482,n|0,b|0);o=y;y=0;if(o&1){o=46;break}y=0;oa(d|0,c|0,n|0);o=y;y=0;if(o&1){o=47;break}EO(n)}EO(s)}if((o|0)==27){b=pb()|0;o=29;break}else if((o|0)==44){b=pb()|0;zqa(d);break}else if((o|0)==45){b=pb()|0;EO(m);break}else if((o|0)==46){b=pb()|0;o=49}else if((o|0)==47){b=pb()|0;EO(n);o=49}else if((o|0)==50){y=0;oa(482,t|0,k[w>>2]|0);s=y;y=0;if(s&1){o=28;break}else{b=1;o=51}}if((o|0)==49){EO(s);break}else if((o|0)==51){EO(v);break c}}while(0);if((o|0)==28){b=pb()|0;o=29}EO(v);break b}else o=53;else o=53;while(0);do if((o|0)==53){y=0;b=qa(332,80)|0;v=y;y=0;if(v&1){o=24;break b}y=0;f=p;g=q;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Na(108,b|0,p|0,j|0);v=y;y=0;if(v&1){v=pb()|0;zqa(b);b=v;break b}else{y=0;oa(482,t|0,b|0);v=y;y=0;if(v&1){o=24;break b}else{b=1;break}}}while(0);EO(w);if(!b)break a;w=k[t>>2]|0;r=u;return w|0}}while(0);if((o|0)==24)b=pb()|0;EO(w);w=b;sb(w|0)}while(0);zqa(j);w=b;sb(w|0)}while(0);_V(t,0);w=k[t>>2]|0;r=u;return w|0}function Vf(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;u=0;t=r;r=r+80|0;z=t+48|0;w=t+24|0;v=t;gD(z);q=z+16|0;i=k[q>>2]|0;x=z+20|0;o=k[x>>2]|0;p=(o|0)==0;if(!p)Sba(o);y=0;na(389,w|0);s=y;y=0;do if(s&1){f=pb()|0;u=55}else{l=i+8|0;g=k[l>>2]|0;m=i+4|0;f=k[m>>2]|0;s=g-f>>2;j=i+16|0;h=k[j>>2]|0;n=i+20|0;e=k[n>>2]|0;if((((s|0)==0?0:(s*170|0)+-1|0)|0)==(e+h|0)){y=0;na(370,i|0);s=y;y=0;if(!(s&1)){e=k[n>>2]|0;h=k[j>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;u=7}}else u=7;if((u|0)==7){e=e+h|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/170|0)<<2)>>2]|0)+(((e>>>0)%170|0)*24|0)|0;k[e>>2]=k[w>>2];k[e+4>>2]=k[w+4>>2];k[e+8>>2]=k[w+8>>2];f=w+12|0;y=0;oa(464,e+12|0,f|0);s=y;y=0;if(!(s&1)){m=w+16|0;k[e+16>>2]=k[m>>2];s=w+20|0;k[e+20>>2]=k[s>>2];k[m>>2]=0;k[s>>2]=0;k[n>>2]=(k[n>>2]|0)+1;EO(f);if(!p)kZ(o);y=0;oa(512,z|0,b|0);s=y;y=0;if(!(s&1)){y=0;na(387,w|0);s=y;y=0;if(!(s&1)){p=w+16|0;e=k[p>>2]|0;s=w+20|0;b=k[s>>2]|0;o=(b|0)==0;if(!o)Sba(b);y=0;na(389,v|0);n=y;y=0;do if(n&1){f=pb()|0;u=62}else{l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;A=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;if((((A|0)==0?0:(A*170|0)+-1|0)|0)==(h+j|0)){y=0;na(370,e|0);A=y;y=0;if(!(A&1)){h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;u=20}}else{e=j;u=20}if((u|0)==20){e=h+e|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/170|0)<<2)>>2]|0)+(((e>>>0)%170|0)*24|0)|0;k[e>>2]=k[v>>2];k[e+4>>2]=k[v+4>>2];k[e+8>>2]=k[v+8>>2];f=v+12|0;y=0;oa(464,e+12|0,f|0);A=y;y=0;if(!(A&1)){m=v+16|0;k[e+16>>2]=k[m>>2];A=v+20|0;k[e+20>>2]=k[A>>2];k[m>>2]=0;k[A>>2]=0;k[n>>2]=(k[n>>2]|0)+1;EO(f);if(!o)kZ(b);y=0;oa(512,w|0,c|0);A=y;y=0;if(A&1){f=pb()|0;break}k[v>>2]=0;m=v+4|0;k[m>>2]=0;k[v+8>>2]=0;y=0;Ra(40,z|0,w|0,d|0,v|0);A=y;y=0;do if(A&1){f=pb()|0;l=N}else{e=k[q>>2]|0;i=k[x>>2]|0;j=(i|0)==0;if(!j)Sba(i);f=(k[e+20>>2]|0)+-1|0;e=k[p>>2]|0;g=k[s>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;Ea(6,a|0,v|0,z|0,w|0,f|0,(k[e+20>>2]|0)+-1|0,d|0);A=y;y=0;if(A&1){f=pb()|0;e=N;if(!h)kZ(g);if(j){l=e;break}kZ(i);l=e;break}if(!h)kZ(g);if(!j)kZ(i);e=k[v>>2]|0;if(e|0){f=k[m>>2]|0;if((f|0)!=(e|0)){do{g=f+-12|0;k[m>>2]=g;h=k[g>>2]|0;i=h;if(!h)f=g;else{f=f+-8|0;g=k[f>>2]|0;if((g|0)!=(h|0))k[f>>2]=g+(~((g+-4-i|0)>>>2)<<2);zqa(h);f=k[m>>2]|0}}while((f|0)!=(e|0));e=k[v>>2]|0}zqa(e)}e=k[s>>2]|0;if(e|0)kZ(e);EO(w+12|0);e=k[x>>2]|0;if(!e){A=z+12|0;EO(A);r=t;return}kZ(e);A=z+12|0;EO(A);r=t;return}while(0);e=k[v>>2]|0;if(e|0){g=k[m>>2]|0;if((g|0)!=(e|0)){do{h=g+-12|0;k[m>>2]=h;i=k[h>>2]|0;j=i;if(!i)g=h;else{g=g+-8|0;h=k[g>>2]|0;if((h|0)!=(i|0))k[g>>2]=h+(~((h+-4-j|0)>>>2)<<2);zqa(i);g=k[m>>2]|0}}while((g|0)!=(e|0));e=k[v>>2]|0}zqa(e)}break}}f=pb()|0;e=k[v+20>>2]|0;if(e|0)kZ(e);EO(v+12|0);u=62}while(0);if((u|0)==62)if(!o)kZ(b);e=k[s>>2]|0;if(e|0)kZ(e);EO(w+12|0);break}}f=pb()|0;break}}f=pb()|0;e=k[w+20>>2]|0;if(e|0)kZ(e);EO(w+12|0);u=55}while(0);if((u|0)==55)if(!p)kZ(o);e=k[x>>2]|0;if(!e){A=z+12|0;EO(A);sb(f|0)}kZ(e);A=z+12|0;EO(A);sb(f|0)}function Wf(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;q=0;n=r;r=r+80|0;m=n;j=n+64|0;o=n+40|0;l=n+56|0;pK(j,76496);h=m;g=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(g|0));y=0;oa(629,a|0,j|0);t=y;y=0;if(t&1)b=pb()|0;else{k[a>>2]=14052;s=a+8|0;y=0;oa(452,s|0,j|0);t=y;y=0;do if(t&1)b=pb()|0;else{t=a+20|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,47013,5);p=y;y=0;if(p&1){b=pb()|0;$9(s);break}h=a+32|0;b=m;g=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(g|0));k[a+72>>2]=0;$9(j);k[a>>2]=15100;p=a+76|0;y=0;oa(452,p|0,c|0);j=y;y=0;if(j&1)b=pb()|0;else{j=a+88|0;y=0;oa(452,j|0,d|0);h=y;y=0;if(h&1)b=pb()|0;else{h=a+100|0;y=0;oa(452,h|0,e|0);g=y;y=0;if(g&1)b=pb()|0;else{k[a+112>>2]=f;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;g=i[d+11>>0]|0;b=g<<24>>24<0;g=b?k[d+4>>2]|0:g&255;y=0;Ra(10,m|0,(b?k[d>>2]|0:d)|0,g|0,g+3|0);d=y;y=0;a:do if(d&1)q=26;else{y=0;ta(47,m|0,47056,3)|0;d=y;y=0;if(d&1)q=26;else{b=s+11|0;if((i[b>>0]|0)<0){i[k[s>>2]>>0]=0;k[a+12>>2]=0}else{i[s>>0]=0;i[b>>0]=0}y=0;oa(506,s|0,0);d=y;y=0;if(d&1){d=tb(0)|0;dla(d)}k[s>>2]=k[m>>2];k[s+4>>2]=k[m+4>>2];k[s+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;$9(m);b:do if(f|0){d=k[(k[f>>2]|0)+28>>2]|0;k[l>>2]=0;k[l+4>>2]=5;y=0;k[m>>2]=k[l>>2];k[m+4>>2]=k[l+4>>2];Na(d|0,o|0,f|0,m|0);l=y;y=0;do if(l&1)b=pb()|0;else{l=i[o+11>>0]|0;f=l<<24>>24<0;y=0;ta(47,s|0,(f?k[o>>2]|0:o)|0,(f?k[o+4>>2]|0:l&255)|0)|0;l=y;y=0;if(l&1){b=pb()|0;$9(o);break}else{$9(o);break b}}while(0);break a}while(0);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;b=e+11|0;g=i[b>>0]|0;g=g<<24>>24<0?k[e+4>>2]|0:g&255;y=0;Ra(10,m|0,47060,11,g+11|0);l=y;y=0;do if(l&1)q=38;else{y=0;ta(47,m|0,((i[b>>0]|0)<0?k[e>>2]|0:e)|0,g|0)|0;e=y;y=0;if(e&1)q=38;else{e=i[m+11>>0]|0;l=e<<24>>24<0;y=0;ta(47,s|0,(l?k[m>>2]|0:m)|0,(l?k[m+4>>2]|0:e&255)|0)|0;e=y;y=0;if(e&1){b=pb()|0;$9(m);break}$9(m);k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;b=c+11|0;g=i[b>>0]|0;g=g<<24>>24<0?k[c+4>>2]|0:g&255;y=0;Ra(10,o|0,47072,6,g+6|0);e=y;y=0;do if(e&1)q=41;else{y=0;ta(47,o|0,((i[b>>0]|0)<0?k[c>>2]|0:c)|0,g|0)|0;c=y;y=0;if(c&1){q=41;break}y=0;b=Ha(970,o|0,47079)|0;c=y;y=0;do if(c&1)b=pb()|0;else{k[m>>2]=k[b>>2];k[m+4>>2]=k[b+4>>2];k[m+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;c=i[m+11>>0]|0;e=c<<24>>24<0;y=0;ta(47,s|0,(e?k[m>>2]|0:m)|0,(e?k[m+4>>2]|0:c&255)|0)|0;c=y;y=0;if(c&1){b=pb()|0;$9(m);break}else{$9(m);$9(o);r=n;return}}while(0);$9(o)}while(0);if((q|0)==41){b=pb()|0;$9(o)}break a}}while(0);if((q|0)==38){b=pb()|0;$9(m)}}}while(0);if((q|0)==26){b=pb()|0;$9(m)}$9(h)}$9(j)}$9(p)}k[a>>2]=14052;$9(t);$9(s);cda(a);a=b;sb(a|0)}while(0);cda(a)}$9(j);a=b;sb(a|0)}function Xf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;m=0;h=r;r=r+48|0;e=h+36|0;c=h+32|0;d=h+28|0;o=h+16|0;p=h+12|0;n=h+8|0;l=h+4|0;j=h;pK(o,b+68|0);y=0;oa(464,d|0,b+80|0);g=y;y=0;if(g&1){p=pb()|0;$9(o);sb(p|0)}k[p>>2]=k[d>>2];y=0;oa(464,c|0,b+84|0);g=y;y=0;if(g&1)c=pb()|0;else{k[n>>2]=k[c>>2];y=0;oa(464,e|0,b+64|0);g=y;y=0;if(g&1)c=pb()|0;else{k[l>>2]=k[e>>2];g=a+4|0;y=0;na(392,g|0);d=y;y=0;a:do if(d&1)m=13;else{y=0;Na(139,g|0,o|0,b|0);b=y;y=0;if(b&1)m=13;else{if(k[p>>2]|0){y=0;na(394,g|0);b=y;y=0;if(b&1){m=13;break}c=a+97|0;i[c>>0]=1;b=k[p>>2]|0;y=0;oa(k[(k[b>>2]|0)+40>>2]|0,b|0,a|0);b=y;y=0;if(b&1){m=13;break}i[c>>0]=0}b:do if(k[n>>2]|0){y=0;na(394,g|0);b=y;y=0;if(b&1){m=13;break a}b=k[n>>2]|0;y=0;oa(k[(k[b>>2]|0)+32>>2]|0,e|0,b|0);b=y;y=0;do if(b&1)c=pb()|0;else{y=0;Na(139,g|0,e|0,k[n>>2]|0);b=y;y=0;if(b&1){c=pb()|0;$9(e);break}else{$9(e);break b}}while(0);break a}while(0);c=k[l>>2]|0;if(!c){y=0;na(396,g|0);m=y;y=0;if(m&1){m=13;break}EO(l);EO(n);EO(p);$9(o);r=h;return}y=0;c=qa(k[(k[c>>2]|0)+72>>2]|0,c|0)|0;b=y;y=0;if(b&1)m=13;else{if(!c){b=k[l>>2]|0;if((k[b+72>>2]|0)!=(k[b+68>>2]|0)){y=0;oa(606,g|0,0);e=y;y=0;if(e&1){m=13;break}e=i[o+11>>0]|0;do if(((e<<24>>24<0?k[o+4>>2]|0:e&255)|0)==10){y=0;c=sa(21,o|0,0,-1,44062,10)|0;e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}else{f=(c|0)==0;break}}else f=0;while(0);d=k[l>>2]|0;e=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>2;c:do if(e|0){b=e+-1|0;do if(f){c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;f=y;y=0;if(f&1){m=46;break}y=0;oa(464,j|0,d|0);f=y;y=0;if(f&1){m=46;break}f=k[j>>2]|0;y=0;oa(k[(k[f>>2]|0)+40>>2]|0,f|0,a|0);f=y;y=0;if(f&1){m=47;break}EO(j);c=c+1|0;if(c>>>0>=e>>>0)break c;d=k[l>>2]|0}if((m|0)==46){c=pb()|0;m=55;break}else if((m|0)==47){c=pb()|0;m=57;break}}else{c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;f=y;y=0;if(f&1){m=54;break}y=0;oa(464,j|0,d|0);f=y;y=0;if(f&1){m=54;break}f=k[j>>2]|0;y=0;oa(k[(k[f>>2]|0)+40>>2]|0,f|0,a|0);f=y;y=0;if(f&1){m=56;break}if(c>>>0<b>>>0){y=0;na(395,g|0);f=y;y=0;if(f&1){m=56;break}}EO(j);c=c+1|0;if(c>>>0>=e>>>0)break c;d=k[l>>2]|0}if((m|0)==54){c=pb()|0;m=55;break}else if((m|0)==56){c=pb()|0;m=57;break}}while(0);if((m|0)==55)break a;else if((m|0)==57){EO(j);break a}}while(0);y=0;oa(607,g|0,0);j=y;y=0;if(j&1){c=pb()|0;break}else{EO(l);EO(n);EO(p);$9(o);r=h;return}}}y=0;na(397,g|0);j=y;y=0;if(j&1)m=13;else{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(75,e|0,44059,2);j=y;y=0;do if(j&1)c=pb()|0;else{y=0;oa(605,g|0,e|0);j=y;y=0;if(j&1){c=pb()|0;$9(e);break}$9(e);EO(l);EO(n);EO(p);$9(o);r=h;return}while(0)}}}}while(0);if((m|0)==13)c=pb()|0;EO(l)}EO(n)}EO(p);p=c;$9(o);sb(p|0)}function Yf(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;t=r;r=r+176|0;q=t+148|0;z=t+152|0;n=t+136|0;o=t+88|0;v=t+24|0;x=t+72|0;w=t+60|0;s=t;p=t+16|0;u=a+384|0;m=u+11|0;c=i[m>>0]|0;if(c<<24>>24<0)c=k[a+388>>2]|0;else c=c&255;if(!c){_V(q,0);z=q;z=k[z>>2]|0;r=t;return z|0}kD(n);y=0;Ra(17,z|0,u|0,a+4|0,n|0);j=y;y=0;if(j&1){z=pb()|0;$9(n);sb(z|0)}$9(n);y=0;c=qa(342,z|0)|0;j=y;y=0;a:do if(j&1)b=pb()|0;else{h=a+312|0;e=k[h>>2]|0;g=(k[a+316>>2]|0)-e|0;j=(g|0)/12|0;d=(c|0)==0;b:do if(d&(g|0)!=0){f=z+11|0;g=z+4|0;d=0;c=e;while(1){y=0;na(375,o|0);e=y;y=0;if(e&1){c=23;break}y=0;Ra(17,n|0,u|0,c+(d*12|0)|0,o|0);e=y;y=0;if(e&1){c=24;break}if((i[f>>0]|0)<0){i[k[z>>2]>>0]=0;k[g>>2]=0}else{i[z>>0]=0;i[f>>0]=0}y=0;oa(506,z|0,0);e=y;y=0;if(e&1){c=19;break}k[z>>2]=k[n>>2];k[z+4>>2]=k[n+4>>2];k[z+8>>2]=k[n+8>>2];k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;$9(n);$9(o);y=0;e=qa(342,z|0)|0;c=y;y=0;if(c&1){c=26;break}c=d+1|0;d=(e|0)==0;if(!(d&c>>>0<j>>>0)){b=d;break b}d=c;c=k[h>>2]|0}if((c|0)==19){x=tb(0)|0;dla(x)}else if((c|0)==23)b=pb()|0;else if((c|0)==24){b=pb()|0;$9(o)}else if((c|0)==26){b=pb()|0;break a}break a}else{e=c;b=d}while(0);do if(b){c=gb(12)|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;b=i[m>>0]|0;b=b<<24>>24<0?k[a+388>>2]|0:b&255;y=0;Ra(10,c|0,32037,38,b+38|0);x=y;y=0;if(!(x&1)){y=0;ta(47,c|0,((i[m>>0]|0)<0?k[u>>2]|0:u)|0,b|0)|0;x=y;y=0;if(!(x&1)){y=0;Na(76,c|0,1624,368);y=0;break}}b=pb()|0;$9(c);fb(c|0);break a}else{b=a+20|0;y=0;Ha(967,b|0,z|0)|0;l=y;y=0;if(!(l&1)){if((i[m>>0]|0)<0)c=k[u>>2]|0;else c=u;if((i[b+11>>0]|0)<0)b=k[b>>2]|0;y=0;d=Ma(8,c|0,b|0,e|0,0)|0;m=y;y=0;if(!(m&1)){k[n>>2]=d;b=a+264|0;c=k[b>>2]|0;if((c|0)==(k[a+268>>2]|0)){y=0;oa(533,a+260|0,n|0);n=y;y=0;if(n&1)c=51;else c=43}else{k[c>>2]=d;k[b>>2]=(k[b>>2]|0)+4;c=43}c:do if((c|0)==43){y=0;oa(452,x|0,u|0);u=y;y=0;if(u&1)b=pb()|0;else{k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;Na(75,w|0,50724,1);u=y;y=0;if(u&1)b=pb()|0;else{y=0;Na(96,v|0,x|0,w|0);u=y;y=0;if(u&1)b=pb()|0;else{y=0;oa(452,s|0,z|0);u=y;y=0;if(u&1)b=pb()|0;else{y=0;Na(97,o|0,v|0,s|0);u=y;y=0;do if(u&1)b=pb()|0;else{k[p>>2]=e;k[p+4>>2]=0;y=0;Ra(18,a|0,o|0,p|0,0);u=y;y=0;if(u&1){b=pb()|0;$9(o+36|0);$9(o+24|0);$9(o+12|0);$9(o);break}$9(o+36|0);$9(o+24|0);$9(o+12|0);$9(o);$9(s);$9(v+24|0);$9(v+12|0);$9(v);$9(w);$9(x);y=0;b=qa(k[(k[a>>2]|0)+12>>2]|0,a|0)|0;x=y;y=0;if(x&1){c=51;break c}k[q>>2]=b;$9(z);z=q;z=k[z>>2]|0;r=t;return z|0}while(0);$9(s)}$9(v+24|0);$9(v+12|0);$9(v)}$9(w)}$9(x)}}while(0);if((c|0)==51)b=pb()|0;break a}}}while(0);b=pb()|0}while(0);$9(z);z=b;sb(z|0);return 0}function Zf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;o=a+b|0;c=k[a+4>>2]|0;do if(!(c&1)){f=k[a>>2]|0;if(!(c&3))return;l=a+(0-f)|0;j=f+b|0;h=k[19153]|0;if(l>>>0<h>>>0)Za();if((l|0)==(k[19154]|0)){a=o+4|0;c=k[a>>2]|0;if((c&3|0)!=3){r=l;e=j;break}k[19151]=j;k[a>>2]=c&-2;k[l+4>>2]=j|1;k[l+j>>2]=j;return}d=f>>>3;if(f>>>0<256){c=k[l+8>>2]|0;b=k[l+12>>2]|0;a=76636+(d<<1<<2)|0;if((c|0)!=(a|0)){if(c>>>0<h>>>0)Za();if((k[c+12>>2]|0)!=(l|0))Za()}if((b|0)==(c|0)){k[19149]=k[19149]&~(1<<d);r=l;e=j;break}if((b|0)==(a|0))g=b+8|0;else{if(b>>>0<h>>>0)Za();a=b+8|0;if((k[a>>2]|0)==(l|0))g=a;else Za()}k[c+12>>2]=b;k[g>>2]=c;r=l;e=j;break}f=k[l+24>>2]|0;b=k[l+12>>2]|0;do if((b|0)==(l|0)){b=l+16|0;c=b+4|0;a=k[c>>2]|0;if(!a){a=k[b>>2]|0;if(!a){i=0;break}else c=b}while(1){b=a+20|0;d=k[b>>2]|0;if(d|0){a=d;c=b;continue}b=a+16|0;d=k[b>>2]|0;if(!d)break;else{a=d;c=b}}if(c>>>0<h>>>0)Za();else{k[c>>2]=0;i=a;break}}else{d=k[l+8>>2]|0;if(d>>>0<h>>>0)Za();a=d+12|0;if((k[a>>2]|0)!=(l|0))Za();c=b+8|0;if((k[c>>2]|0)==(l|0)){k[a>>2]=b;k[c>>2]=d;i=b;break}else Za()}while(0);if(!f){r=l;e=j}else{a=k[l+28>>2]|0;c=76900+(a<<2)|0;if((l|0)==(k[c>>2]|0)){k[c>>2]=i;if(!i){k[19150]=k[19150]&~(1<<a);r=l;e=j;break}}else{if(f>>>0<(k[19153]|0)>>>0)Za();a=f+16|0;if((k[a>>2]|0)==(l|0))k[a>>2]=i;else k[f+20>>2]=i;if(!i){r=l;e=j;break}}b=k[19153]|0;if(i>>>0<b>>>0)Za();k[i+24>>2]=f;a=l+16|0;c=k[a>>2]|0;do if(c|0)if(c>>>0<b>>>0)Za();else{k[i+16>>2]=c;k[c+24>>2]=i;break}while(0);a=k[a+4>>2]|0;if(!a){r=l;e=j}else if(a>>>0<(k[19153]|0)>>>0)Za();else{k[i+20>>2]=a;k[a+24>>2]=i;r=l;e=j;break}}}else{r=a;e=b}while(0);g=k[19153]|0;if(o>>>0<g>>>0)Za();a=o+4|0;c=k[a>>2]|0;if(!(c&2)){if((o|0)==(k[19155]|0)){q=(k[19152]|0)+e|0;k[19152]=q;k[19155]=r;k[r+4>>2]=q|1;if((r|0)!=(k[19154]|0))return;k[19154]=0;k[19151]=0;return}if((o|0)==(k[19154]|0)){q=(k[19151]|0)+e|0;k[19151]=q;k[19154]=r;k[r+4>>2]=q|1;k[r+q>>2]=q;return}e=(c&-8)+e|0;d=c>>>3;do if(c>>>0<256){c=k[o+8>>2]|0;b=k[o+12>>2]|0;a=76636+(d<<1<<2)|0;if((c|0)!=(a|0)){if(c>>>0<g>>>0)Za();if((k[c+12>>2]|0)!=(o|0))Za()}if((b|0)==(c|0)){k[19149]=k[19149]&~(1<<d);break}if((b|0)==(a|0))m=b+8|0;else{if(b>>>0<g>>>0)Za();a=b+8|0;if((k[a>>2]|0)==(o|0))m=a;else Za()}k[c+12>>2]=b;k[m>>2]=c}else{f=k[o+24>>2]|0;b=k[o+12>>2]|0;do if((b|0)==(o|0)){b=o+16|0;c=b+4|0;a=k[c>>2]|0;if(!a){a=k[b>>2]|0;if(!a){n=0;break}else c=b}while(1){b=a+20|0;d=k[b>>2]|0;if(d|0){a=d;c=b;continue}b=a+16|0;d=k[b>>2]|0;if(!d)break;else{a=d;c=b}}if(c>>>0<g>>>0)Za();else{k[c>>2]=0;n=a;break}}else{d=k[o+8>>2]|0;if(d>>>0<g>>>0)Za();a=d+12|0;if((k[a>>2]|0)!=(o|0))Za();c=b+8|0;if((k[c>>2]|0)==(o|0)){k[a>>2]=b;k[c>>2]=d;n=b;break}else Za()}while(0);if(f|0){a=k[o+28>>2]|0;c=76900+(a<<2)|0;if((o|0)==(k[c>>2]|0)){k[c>>2]=n;if(!n){k[19150]=k[19150]&~(1<<a);break}}else{if(f>>>0<(k[19153]|0)>>>0)Za();a=f+16|0;if((k[a>>2]|0)==(o|0))k[a>>2]=n;else k[f+20>>2]=n;if(!n)break}b=k[19153]|0;if(n>>>0<b>>>0)Za();k[n+24>>2]=f;a=o+16|0;c=k[a>>2]|0;do if(c|0)if(c>>>0<b>>>0)Za();else{k[n+16>>2]=c;k[c+24>>2]=n;break}while(0);a=k[a+4>>2]|0;if(a|0)if(a>>>0<(k[19153]|0)>>>0)Za();else{k[n+20>>2]=a;k[a+24>>2]=n;break}}}while(0);k[r+4>>2]=e|1;k[r+e>>2]=e;if((r|0)==(k[19154]|0)){k[19151]=e;return}}else{k[a>>2]=c&-2;k[r+4>>2]=e|1;k[r+e>>2]=e}a=e>>>3;if(e>>>0<256){b=76636+(a<<1<<2)|0;c=k[19149]|0;a=1<<a;if(!(c&a)){k[19149]=c|a;p=b;q=b+8|0}else{a=b+8|0;c=k[a>>2]|0;if(c>>>0<(k[19153]|0)>>>0)Za();else{p=c;q=a}}k[q>>2]=r;k[p+12>>2]=r;k[r+8>>2]=p;k[r+12>>2]=b;return}a=e>>>8;if(!a)a=0;else if(e>>>0>16777215)a=31;else{p=(a+1048320|0)>>>16&8;q=a<<p;o=(q+520192|0)>>>16&4;q=q<<o;a=(q+245760|0)>>>16&2;a=14-(o|p|a)+(q<<a>>>15)|0;a=e>>>(a+7|0)&1|a<<1}d=76900+(a<<2)|0;k[r+28>>2]=a;k[r+20>>2]=0;k[r+16>>2]=0;c=k[19150]|0;b=1<<a;if(!(c&b)){k[19150]=c|b;k[d>>2]=r;k[r+24>>2]=d;k[r+12>>2]=r;k[r+8>>2]=r;return}c=e<<((a|0)==31?0:25-(a>>>1)|0);d=k[d>>2]|0;while(1){if((k[d+4>>2]&-8|0)==(e|0)){a=127;break}b=d+16+(c>>>31<<2)|0;a=k[b>>2]|0;if(!a){a=124;break}else{c=c<<1;d=a}}if((a|0)==124){if(b>>>0<(k[19153]|0)>>>0)Za();k[b>>2]=r;k[r+24>>2]=d;k[r+12>>2]=r;k[r+8>>2]=r;return}else if((a|0)==127){a=d+8|0;c=k[a>>2]|0;q=k[19153]|0;if(!(c>>>0>=q>>>0&d>>>0>=q>>>0))Za();k[c+12>>2]=r;k[a>>2]=r;k[r+8>>2]=c;k[r+12>>2]=d;k[r+24>>2]=0;return}}function _f(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;s=r;r=r+256|0;m=s+208|0;o=s;w=s+152|0;f=s+168|0;l=s+156|0;d=s+48|0;n=s+112|0;p=s+96|0;q=s+56|0;u=s+44|0;t=s+40|0;rT(m,b+60|0);c=k[m>>2]|0;k[w>>2]=c;if(!c){c=0;v=3}else{y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;v=y;y=0;if(v&1)v=6;else v=3}do if((v|0)==3){y=0;oa(482,m|0,c|0);j=y;y=0;if(j&1)v=6;else{y=0;Ha(966,w|0,m|0)|0;j=y;y=0;if(j&1){d=pb()|0;EO(m);c=w;break}EO(m);c=k[w>>2]|0;a:do if(c|0)if(pw(c,40,536,0)|0){y=0;e=qa(332,80)|0;v=y;y=0;do if(v&1)c=pb()|0;else{g=f;h=c+12|0;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));v=(pw(c,40,536,0)|0)+64|0;y=0;oa(452,l|0,v|0);v=y;y=0;if(v&1)c=pb()|0;else{y=0;g=m;h=f;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));Ea(2,e|0,m|0,l|0,0,0,0,1);v=y;y=0;if(v&1)d=1;else{y=0;oa(482,o|0,e|0);v=y;y=0;if(v&1)d=0;else{y=0;Ha(966,w|0,o|0)|0;v=y;y=0;if(v&1){c=pb()|0;EO(o);$9(l);break}else{EO(o);$9(l);break a}}}c=pb()|0;$9(l);if(!d)break}zqa(e)}while(0);v=c;EO(w);sb(v|0)}while(0);y=0;oa(464,m|0,b+64|0);v=y;y=0;if(v&1){v=pb()|0;EO(w);sb(v|0)}c=k[m>>2]|0;k[d>>2]=c;if(!c){c=0;v=26}else{y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;v=y;y=0;if(v&1)v=30;else v=26}b:do if((v|0)==26){y=0;oa(482,m|0,c|0);l=y;y=0;if(l&1)v=30;else{y=0;Ha(966,d|0,m|0)|0;l=y;y=0;if(l&1){c=pb()|0;EO(m);v=32;break}EO(m);c=k[d>>2]|0;c:do if(c|0)if(pw(c,40,536,0)|0){y=0;f=qa(332,80)|0;l=y;y=0;do if(l&1)c=pb()|0;else{g=n;h=c+12|0;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));l=(pw(c,40,536,0)|0)+64|0;y=0;oa(452,p|0,l|0);l=y;y=0;if(l&1)c=pb()|0;else{y=0;g=m;h=n;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));Ea(2,f|0,m|0,p|0,0,0,0,1);n=y;y=0;if(n&1)e=1;else{y=0;oa(482,o|0,f|0);n=y;y=0;if(n&1)e=0;else{y=0;Ha(966,d|0,o|0)|0;n=y;y=0;if(n&1){c=pb()|0;EO(o);$9(p);break}else{EO(o);$9(p);break c}}}c=pb()|0;$9(p);if(!e)break}zqa(f)}while(0);break b}while(0);y=0;f=qa(332,72)|0;p=y;y=0;if(p&1){c=pb()|0;break}g=q;h=b+12|0;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;oa(464,u|0,w|0);p=y;y=0;if(p&1)c=pb()|0;else{y=0;oa(464,t|0,d|0);p=y;y=0;if(p&1)c=pb()|0;else{e=i[b+68>>0]|0;g=o;h=q;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(366,f|0);q=y;y=0;if(q&1)c=pb()|0;else{g=f+12|0;h=o;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=0;k[f>>2]=10112;c=f+60|0;y=0;oa(464,c|0,u|0);q=y;y=0;do if(q&1)c=pb()|0;else{y=0;oa(464,f+64|0,t|0);q=y;y=0;if(q&1){s=pb()|0;EO(c);c=s;break}else{i[f+68>>0]=e;EO(t);EO(u);EO(d);EO(w);r=s;return f|0}}while(0)}EO(t)}EO(u)}zqa(f)}}while(0);if((v|0)==30){c=pb()|0;v=32}EO(d);v=c;EO(w);sb(v|0)}}while(0);if((v|0)==6){d=pb()|0;c=w}w=d;v=c;EO(v);sb(w|0);return 0}function $f(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;m=0;h=k[a>>2]|0;j=h;b=h+((((k[b>>2]|0)-j|0)/48|0)*48|0)|0;p=k[c>>2]|0;f=k[d>>2]|0;r=f-p|0;l=(r|0)/48|0;o=f;if((r|0)<=0){r=b;return r|0}q=a+8|0;g=k[q>>2]|0;r=a+4|0;n=k[r>>2]|0;d=n;if((l|0)<=((g-d|0)/48|0|0)){h=d-b|0;d=(h|0)/48|0;if((l|0)>(d|0)){g=p+(d*48|0)|0;f=g;if((g|0)==(o|0))d=n;else{d=n;do{Iy(d,g);g=g+48|0;d=(k[r>>2]|0)+48|0;k[r>>2]=d}while((g|0)!=(o|0))}if((h|0)<=0){r=b;return r|0}}else d=n;h=d-(b+(l*48|0))|0;m=b+(((h|0)/48|0)*48|0)|0;if(m>>>0<n>>>0){g=m;j=d;do{k[j>>2]=k[g>>2];k[j+4>>2]=k[g+4>>2];k[j+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;q=j+12|0;a=g+12|0;k[q>>2]=k[a>>2];k[q+4>>2]=k[a+4>>2];k[q+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;a=j+24|0;q=g+24|0;k[a>>2]=k[q>>2];k[a+4>>2]=k[q+4>>2];k[a+8>>2]=k[q+8>>2];k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;q=j+36|0;a=g+36|0;k[q>>2]=k[a>>2];k[q+4>>2]=k[a+4>>2];k[q+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;g=g+48|0;j=(k[r>>2]|0)+48|0;k[r>>2]=j}while(g>>>0<n>>>0)}do if(!h)e=p;else{while(1){g=d;d=d+-48|0;j=m;m=m+-48|0;gs(d,m)|0;h=g+-12|0;j=j+-12|0;l=h+11|0;if((i[l>>0]|0)<0){i[k[h>>2]>>0]=0;k[g+-8>>2]=0}else{i[h>>0]=0;i[l>>0]=0}y=0;oa(506,h|0,0);r=y;y=0;if(r&1){m=13;break}k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];k[h+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;if((m|0)==(b|0)){m=16;break}}if((m|0)==13){r=tb(0)|0;dla(r)}else if((m|0)==16){e=k[c>>2]|0;break}}while(0);if((e|0)==(f|0)){r=b;return r|0}else d=b;while(1){$M(d,e)|0;$M(d+12|0,e+12|0)|0;$M(d+24|0,e+24|0)|0;$M(d+36|0,e+36|0)|0;e=e+48|0;if((e|0)==(f|0))break;else d=d+48|0}return b|0}f=((d-j|0)/48|0)+l|0;if(f>>>0>89478485){OM(a);d=k[a>>2]|0;h=d;e=k[q>>2]|0}else{e=g;d=j}c=(e-d|0)/48|0;e=c<<1;f=c>>>0<44739242?(e>>>0<f>>>0?f:e):89478485;e=(b-d|0)/48|0;do if(!f)j=0;else if(f>>>0>89478485){r=gb(4)|0;doa(r);Wb(r|0,4496,348)}else{j=ZL(f*48|0)|0;break}while(0);n=j+(e*48|0)|0;e=n;l=j+(f*48|0)|0;do if((p|0)==(o|0))f=e;else{f=e;g=n;d=p;while(1){y=0;oa(475,g|0,d|0);p=y;y=0;if(p&1)break;g=f+48|0;f=g;d=d+48|0;if((d|0)==(o|0)){m=28;break}}if((m|0)==28){h=k[a>>2]|0;break}e=pb()|0;b=f;if((b|0)!=(n|0))do{$9(b+-12|0);$9(b+-24|0);$9(b+-36|0);b=b+-48|0;$9(b)}while((b|0)!=(n|0));if(!j)sb(e|0);zqa(j);sb(e|0)}while(0);if((h|0)==(b|0)){d=n;h=e}else{g=b;d=n;do{p=d+-48|0;c=g;g=g+-48|0;k[p>>2]=k[g>>2];k[p+4>>2]=k[g+4>>2];k[p+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;p=d+-36|0;o=c+-36|0;k[p>>2]=k[o>>2];k[p+4>>2]=k[o+4>>2];k[p+8>>2]=k[o+8>>2];k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;o=d+-24|0;p=c+-24|0;k[o>>2]=k[p>>2];k[o+4>>2]=k[p+4>>2];k[o+8>>2]=k[p+8>>2];k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;p=d+-12|0;d=c+-12|0;k[p>>2]=k[d>>2];k[p+4>>2]=k[d+4>>2];k[p+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;d=e+-48|0;e=d}while((g|0)!=(h|0));h=e}g=k[r>>2]|0;if((g|0)!=(b|0)){d=f;e=f;do{k[e>>2]=k[b>>2];k[e+4>>2]=k[b+4>>2];k[e+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;c=e+12|0;p=b+12|0;k[c>>2]=k[p>>2];k[c+4>>2]=k[p+4>>2];k[c+8>>2]=k[p+8>>2];k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;p=e+24|0;c=b+24|0;k[p>>2]=k[c>>2];k[p+4>>2]=k[c+4>>2];k[p+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;c=e+36|0;p=b+36|0;k[c>>2]=k[p>>2];k[c+4>>2]=k[p+4>>2];k[c+8>>2]=k[p+8>>2];k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;b=b+48|0;e=d+48|0;d=e}while((b|0)!=(g|0));f=d;d=h;b=k[r>>2]|0}e=k[a>>2]|0;k[a>>2]=d;k[r>>2]=f;k[q>>2]=l;if((b|0)!=(e|0))do{$9(b+-12|0);$9(b+-24|0);$9(b+-36|0);b=b+-48|0;$9(b)}while((b|0)!=(e|0));if(!e){r=n;return r|0}zqa(e);r=n;return r|0}function ag(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;q=0;w=r;r=r+272|0;s=w+232|0;x=w+168|0;u=w+24|0;v=w+8|0;n=w+216|0;o=w;t=w+176|0;g=s;h=d;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));_V(x,Vl(a,b,c,s,e)|0);b=k[x>>2]|0;a:do if((k[b+56>>2]|0)==8){p=u+64|0;b=u+8|0;k[b>>2]=14400;m=u+12|0;k[u>>2]=14440;k[p>>2]=14460;k[u+4>>2]=0;y=0;oa(528,u+64|0,m|0);l=y;y=0;if(l&1)b=pb()|0;else{k[u+136>>2]=0;k[u+140>>2]=-1;k[u>>2]=14380;k[p>>2]=14420;k[b>>2]=14400;y=0;na(373,m|0);l=y;y=0;do if(l&1)b=pb()|0;else{k[m>>2]=14240;e=u+44|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[u+60>>2]=24;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;oa(529,m|0,s|0);l=y;y=0;if(l&1){b=pb()|0;$9(s);$9(e);nba(m);break}$9(s);l=u+8|0;b=i[a+11>>0]|0;j=b<<24>>24<0;y=0;b=ta(54,l|0,(j?k[a>>2]|0:a)|0,(j?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;b:do if(a&1)q=21;else{y=0;ta(54,b|0,35155,53)|0;a=y;y=0;if(a&1)q=21;else{y=0;b=ta(54,l|0,35209,54)|0;a=y;y=0;if(a&1)q=21;else{k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;a=JI(c)|0;y=0;Na(75,s|0,c|0,a|0);c=y;y=0;do if(c&1){b=pb()|0;q=23}else{c=xI(s,40,0)|0;y=0;ma(4,v|0,s|0,0,c|0,s|0);c=y;y=0;if(c&1){b=pb()|0;$9(s);q=23;break}$9(s);c=i[v+11>>0]|0;a=c<<24>>24<0;y=0;b=ta(54,b|0,(a?k[v>>2]|0:v)|0,(a?k[v+4>>2]|0:c&255)|0)|0;c=y;y=0;if(!(c&1)){y=0;ta(54,b|0,47079,1)|0;c=y;y=0;if(!(c&1)){$9(v);y=0;oa(530,n|0,m|0);c=y;y=0;if(c&1){q=21;break b}y=0;g=s;h=d;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));oa(458,n|0,s|0);d=y;y=0;if(d&1){b=pb()|0;$9(n);break b}else{$9(n);k[u>>2]=14380;k[p>>2]=14420;k[l>>2]=14400;k[m>>2]=14240;$9(e);nba(m);zka(u,14472);dja(p);b=k[x>>2]|0;break a}}}b=pb()|0;$9(v)}while(0)}}}while(0);if((q|0)==21)b=pb()|0;k[u>>2]=14380;k[p>>2]=14420;k[l>>2]=14400;k[m>>2]=14240;$9(e);nba(m);zka(u,14472);dja(p);w=b;EO(x);sb(w|0)}while(0);zka(u,14472)}dja(p);w=b;EO(x);sb(w|0)}while(0);if(b|0){e=pw(b,40,520,0)|0;if(e|0)i[e+60>>0]=0}q=k[(k[b>>2]|0)+28>>2]|0;d=k[f+16>>2]|0;n=k[d+4>>2]|0;p=o;k[p>>2]=k[d>>2];k[p+4>>2]=n;y=0;k[s>>2]=k[o>>2];k[s+4>>2]=k[o+4>>2];Na(q|0,u|0,b|0,s|0);q=y;y=0;do if(q&1)b=pb()|0;else{y=0;b=Ha(970,u|0,46488)|0;q=y;y=0;if(q&1){b=pb()|0;$9(u);break}k[v>>2]=k[b>>2];k[v+4>>2]=k[b+4>>2];k[v+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;$9(u);b=i[v+11>>0]|0;e=k[v>>2]|0;y=0;Ra(16,t|0,35264,0,-1);u=y;y=0;if(!(u&1)){b=b<<24>>24<0?e:v;y=0;g=s;h=t;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=Ma(11,b|0,f|0,s|0,0)|0;u=y;y=0;if(!(u&1)){$9(v);EO(x);r=w;return b|0}}w=pb()|0;$9(v);EO(x);sb(w|0)}while(0);w=b;EO(x);sb(w|0);return 0}function bg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;t=0;v=r;r=r+48|0;u=v+28|0;s=v;n=v+24|0;o=v+20|0;q=v+16|0;p=v+12|0;pK(u,a+72|0);y=0;oa(452,s|0,b+72|0);m=y;y=0;if(m&1){v=pb()|0;$9(u);sb(v|0)}m=ap(u,s)|0;$9(s);$9(u);if(!m){u=0;r=v;return u|0}l=a+84|0;pK(u,l);m=b+84|0;y=0;oa(452,s|0,m|0);j=y;y=0;if(j&1){v=pb()|0;$9(u);sb(v|0)}e=i[u+11>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[u+4>>2]|0:e;j=i[s+11>>0]|0;c=j<<24>>24<0;a:do if((g|0)==((c?k[s+4>>2]|0:j&255)|0)){h=k[u>>2]|0;j=f?h:u;c=c?k[s>>2]|0:s;d=(g|0)==0;b:do if(f)if(d){$9(s);$9(u);break}else{j=(zM(j,c,g)|0)==0;$9(s);$9(u);if(j)break;else break a}else{if(d){$9(s);$9(u);break}c:do if((h&255)<<24>>24==(i[c>>0]|0)){d=u;while(1){e=e+-1|0;d=d+1|0;if(!e)break;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0))break c}$9(s);$9(u);break b}while(0);$9(s);$9(u);break a}while(0);l=a+104|0;pK(u,l);m=b+104|0;y=0;oa(452,s|0,m|0);j=y;y=0;if(j&1){v=pb()|0;$9(u);sb(v|0)}e=i[u+11>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[u+4>>2]|0:e;j=i[s+11>>0]|0;c=j<<24>>24<0;d:do if((g|0)==((c?k[s+4>>2]|0:j&255)|0)){h=k[u>>2]|0;j=f?h:u;c=c?k[s>>2]|0:s;d=(g|0)==0;e:do if(f)if(d){$9(s);$9(u);break}else{j=(zM(j,c,g)|0)==0;$9(s);$9(u);if(j)break;else break d}else{if(d){$9(s);$9(u);break}f:do if((h&255)<<24>>24==(i[c>>0]|0)){d=u;while(1){e=e+-1|0;d=d+1|0;if(!e)break;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0))break f}$9(s);$9(u);break e}while(0);$9(s);$9(u);break d}while(0);d=a+116|0;rT(u,d);e=k[u>>2]|0;k[n>>2]=e;e=(e|0)==0;EO(n);f=b+116|0;rT(u,f);c=k[u>>2]|0;k[o>>2]=c;c=(c|0)==0;EO(o);if(e&c){u=1;r=v;return u|0}if(e|c){u=0;r=v;return u|0}rT(u,d);c=k[u>>2]|0;k[q>>2]=c;d=k[(k[c>>2]|0)+124>>2]|0;y=0;oa(464,u|0,f|0);t=y;y=0;do if(t&1)c=pb()|0;else{u=k[u>>2]|0;k[p>>2]=u;y=0;c=Ha(d|0,c|0,u|0)|0;u=y;y=0;if(u&1){c=pb()|0;EO(p);break}EO(p);EO(q);u=c;r=v;return u|0}while(0);EO(q);v=c;sb(v|0)}else{$9(s);$9(u)}while(0);pK(u,l);y=0;oa(452,s|0,m|0);q=y;y=0;if(q&1){v=pb()|0;$9(u);sb(v|0)}f=i[u+11>>0]|0;d=f<<24>>24<0;f=d?k[u+4>>2]|0:f&255;g=i[s+11>>0]|0;e=g<<24>>24<0;g=e?k[s+4>>2]|0:g&255;h=g>>>0<f>>>0;c=h?g:f;if(!c)t=43;else{c=zM(d?k[u>>2]|0:u,e?k[s>>2]|0:s,c)|0;if(!c)t=43}if((t|0)==43)c=f>>>0<g>>>0?-1:h&1;$9(s);$9(u);u=(c|0)<0;r=v;return u|0}else{$9(s);$9(u)}while(0);pK(u,l);y=0;oa(452,s|0,m|0);q=y;y=0;if(q&1){v=pb()|0;$9(u);sb(v|0)}f=i[u+11>>0]|0;d=f<<24>>24<0;f=d?k[u+4>>2]|0:f&255;g=i[s+11>>0]|0;e=g<<24>>24<0;g=e?k[s+4>>2]|0:g&255;h=g>>>0<f>>>0;c=h?g:f;if(!c)t=51;else{c=zM(d?k[u>>2]|0:u,e?k[s>>2]|0:s,c)|0;if(!c)t=51}if((t|0)==51)c=f>>>0<g>>>0?-1:h&1;$9(s);$9(u);u=(c|0)<0;r=v;return u|0}function cg(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;m=0;s=r;r=r+64|0;g=s;q=s+52|0;b=s+56|0;t=s+48|0;l=s+44|0;o=s+40|0;p=zh(a)|0;k[b>>2]=p;p=a+76|0;y=0;c=qa(359,k[p>>2]|0)|0;n=y;y=0;a:do if(!(n&1)){n=a+80|0;if((c|0)==0?1:c>>>0>(k[n>>2]|0)>>>0)c=k[p>>2]|0;y=0;d=qa(360,c|0)|0;j=y;y=0;if(!(j&1)){c=d|0?d:c;b:do switch(i[c>>0]|0){case 44:case 58:case 41:case 123:case 125:case 59:{c=c+1|0;break}default:{y=0;d=qa(362,c|0)|0;j=y;y=0;if(j&1)break a;if(!d){d=i[44142]|0;if(d<<24>>24){e=c;f=44142;while(1){if((i[e>>0]|0)!=d<<24>>24)break;e=e+1|0;f=f+1|0;d=i[f>>0]|0;if(!(d<<24>>24)){c=e;break b}}y=0;d=qa(368,c|0)|0;j=y;y=0;if(j&1)break a;if(!d){y=0;c=qa(369,c|0)|0;j=y;y=0;if(j&1)break a}else c=d}}else c=d}}while(0);if(!((c|0)==0?1:c>>>0>(k[n>>2]|0)>>>0)){y=0;oa(464,q|0,b|0);t=y;y=0;if(t&1)break;EO(b);t=k[q>>2]|0;r=s;return t|0}y=0;j=qa(332,88)|0;h=y;y=0;if(!(h&1)){c=g;d=a+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(366,j|0);h=y;y=0;do if(h&1)c=pb()|0;else{c=j+12|0;d=g;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[c>>2]=0;k[j>>2]=7760;d=j+60|0;k[d>>2]=7720;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(518,g|0,2);f=y;y=0;if(f&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{t=e+-4|0;k[h>>2]=t;EO(t);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[j>>2]=7552;k[d>>2]=7680;k[j+80>>2]=1;i[j+84>>0]=0;i[j+85>>0]=0;k[c>>2]=5;y=0;oa(482,t|0,j|0);j=y;y=0;if(j&1)break a;c=(k[t>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(464,l|0,b|0);j=y;y=0;do if(j&1)m=55;else{y=0;oa(d|0,c|0,l|0);j=y;y=0;if(j&1){c=pb()|0;EO(l);break}EO(l);c:while(1){y=0;c=qa(359,k[p>>2]|0)|0;m=y;y=0;if(m&1){m=54;break}if((c|0)==0?1:c>>>0>(k[n>>2]|0)>>>0)c=k[p>>2]|0;y=0;d=qa(360,c|0)|0;m=y;y=0;if(m&1){m=54;break}c=d|0?d:c;d:do switch(i[c>>0]|0){case 44:case 58:case 41:case 123:case 125:case 59:{c=c+1|0;break}default:{y=0;d=qa(362,c|0)|0;m=y;y=0;if(m&1){m=54;break c}if(!d){d=i[44142]|0;if(!(d<<24>>24))break d;else{e=c;f=44142}while(1){if((i[e>>0]|0)!=d<<24>>24)break;e=e+1|0;f=f+1|0;d=i[f>>0]|0;if(!(d<<24>>24)){c=e;break d}}y=0;d=qa(368,c|0)|0;m=y;y=0;if(m&1){m=54;break c}if(d|0){c=d;break d}y=0;c=qa(369,c|0)|0;m=y;y=0;if(m&1){m=54;break c}}else c=d}}while(0);if(!((c|0)==0?1:c>>>0>(k[n>>2]|0)>>>0)){m=59;break}y=0;c=qa(359,k[p>>2]|0)|0;m=y;y=0;if(m&1){m=54;break}if((c|0)==0?1:c>>>0>(k[n>>2]|0)>>>0)c=k[p>>2]|0;y=0;c=qa(360,c|0)|0;m=y;y=0;if(m&1){m=54;break}m=k[n>>2]|0;if(((c>>>0<=m>>>0?c:0)|0)==(m|0)){m=59;break}c=(k[t>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;e=qa(371,a|0)|0;m=y;y=0;if(m&1){m=54;break}k[o>>2]=e;y=0;oa(d|0,c|0,o|0);m=y;y=0;if(m&1){m=58;break}EO(o)}if((m|0)==54){c=pb()|0;m=56;break}else if((m|0)==58){c=pb()|0;EO(o);break}else if((m|0)==59){y=0;oa(482,q|0,k[t>>2]|0);p=y;y=0;if(p&1){m=55;break}EO(t);t=b;EO(t);t=k[q>>2]|0;r=s;return t|0}}while(0);if((m|0)==55){c=pb()|0;m=56}EO(t);t=c;EO(b);sb(t|0)}while(0);zqa(j);t=c;EO(b);sb(t|0)}}}while(0);t=pb()|0;EO(b);sb(t|0);return 0}function dg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;u=0;m=r;r=r+96|0;o=m;t=m+84|0;s=m+68|0;q=m+44|0;n=m+80|0;j=m+64|0;l=m+56|0;p=m+40|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;jI(s,36590,4);y=0;b=o;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=pa(40,s|0,a|0,d|0,o|0,f|0,0)|0;h=y;y=0;if(!(h&1)){y=0;oa(482,t|0,b|0);h=y;y=0;if(!(h&1)){$9(s);k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,36612,5);h=y;y=0;do if(h&1){b=pb()|0;u=16}else{y=0;b=o;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(26,q|0,a|0,d|0,o|0,f|0)|0;h=y;y=0;if(!(h&1)){y=0;oa(482,s|0,b|0);h=y;y=0;if(!(h&1)){$9(q);y=0;h=qa(332,104)|0;f=y;y=0;a:do if(f&1)b=pb()|0;else{b=o;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));y=0;na(366,h|0);e=y;y=0;do if(e&1)b=pb()|0;else{b=h+12|0;c=o;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;b=h+56|0;k[b>>2]=0;k[h>>2]=7760;e=h+60|0;y=0;oa(553,e|0,1);f=y;y=0;if(f&1){b=pb()|0;break}k[h>>2]=7880;k[e>>2]=8004;k[b>>2]=6;d=k[t>>2]|0;b=k[d+84>>2]|0;d=k[d+88>>2]|0;if((b|0)==(d|0)){EO(s);EO(t);r=m;return h|0}f=l+4|0;b:while(1){y=0;oa(464,q|0,b|0);a=y;y=0;if(a&1){u=23;break}a=k[s>>2]|0;a=(k[a+68>>2]|0)-(k[a+64>>2]|0)>>2;if(!a)u=32;else{g=0;do{y=0;oa(464,n|0,q|0);c=y;y=0;if(c&1){u=28;break b}y=0;c=Ha(981,k[s>>2]|0,g|0)|0;v=y;y=0;if(v&1){u=29;break b}k[j>>2]=c;y=0;c=Ha(982,n|0,j|0)|0;v=y;y=0;if(v&1){u=30;break b}EO(j);EO(n);g=g+1|0}while(!(g>>>0>=a>>>0|c));if(!c)u=32}if((u|0)==32){u=0;c=k[t>>2]|0;y=0;oa(464,p|0,q|0);v=y;y=0;if(v&1){u=39;break}y=0;c=Ha(965,c+60|0,p|0)|0;v=y;y=0;if(v&1){u=40;break}k[o>>2]=c;y=0;oa(464,l|0,q|0);v=y;y=0;if(v&1){u=41;break}y=0;oa(464,f|0,o|0);v=y;y=0;if(v&1){u=36;break}y=0;Ha(985,e|0,l|0)|0;v=y;y=0;if(v&1){u=43;break}EO(f);EO(l);EO(o);EO(p)}EO(q);b=b+4|0;if((b|0)==(d|0)){u=12;break}}switch(u|0){case 12:{EO(s);EO(t);r=m;return h|0}case 23:{b=pb()|0;break a}case 28:{b=pb()|0;break}case 29:{b=pb()|0;u=31;break}case 30:{b=pb()|0;EO(j);u=31;break}case 36:{b=pb()|0;EO(l);u=42;break}case 39:{b=pb()|0;u=46;break}case 40:{b=pb()|0;u=45;break}case 41:{b=pb()|0;u=42;break}case 43:{b=pb()|0;EO(f);EO(l);u=44;break}}if((u|0)==31)EO(n);else if((u|0)==42)u=44;if((u|0)==44){EO(o);u=45}if((u|0)==45){EO(p);u=46}EO(q);break a}while(0);zqa(h)}while(0);EO(s);break}}b=pb()|0;$9(q);u=16}while(0);EO(t);v=b;sb(v|0)}}v=pb()|0;$9(s);sb(v|0);return 0}function eg(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=0;b=i[32630]|0;a:do if(!(b<<24>>24))f=5;else{d=i[a>>0]|0;c=32630;while(1){if(d<<24>>24==b<<24>>24)break;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){f=5;break a}}b=a+1|0;if(d<<24>>24){f=b;return f|0}}while(0);if((f|0)==5)b=a+1|0;c=i[32626]|0;b:do if(c<<24>>24){e=i[a>>0]|0;d=32626;while(1){if(e<<24>>24==c<<24>>24)break;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24))break b}if(e<<24>>24){f=b;return f|0}}while(0);c=i[a>>0]|0;if(c<<24>>24==40){e=jO(b)|0;if(e|0){c=e+1|0;if((i[e>>0]|0)==38)if((i[c>>0]|0)==45){do c=c+1|0;while((i[c>>0]|0)==45);c=aP(c)|0;if(!c)f=19;else{c=jO(c)|0;if(!c)f=19}}else f=19;else f=19;if((f|0)==19){c=qj(e)|0;if(!c)c=0;else while(1){d=qj(c)|0;if(!d)break;else c=d}}c=c|0?c:e;if(c|0){c=jO(c)|0;if(c|0)if((i[c>>0]|0)==41){f=c+1|0;return f|0}}}c=i[a>>0]|0}if(c<<24>>24==61){f=b;return f|0}b=i[32584]|0;if(!(b<<24>>24)){f=a;return f|0}c:do if(c<<24>>24==b<<24>>24){b=a;d=32584;while(1){b=b+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24))break;if((i[b>>0]|0)!=e<<24>>24)break c}return b|0}while(0);b=i[32587]|0;d:do if(!(b<<24>>24))f=46;else{e:do if(c<<24>>24==b<<24>>24){b=a;d=32587;while(1){b=b+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24))break;if((i[b>>0]|0)!=e<<24>>24)break e}return b|0}while(0);b=i[32590]|0;if(!(b<<24>>24))f=46;else{f:do if(c<<24>>24==b<<24>>24){b=a;d=32590;while(1){b=b+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24))break;if((i[b>>0]|0)!=e<<24>>24)break f}return b|0}while(0);b=i[32593]|0;if(!(b<<24>>24))f=46;else{g:do if(c<<24>>24==b<<24>>24){b=a;d=32593;while(1){b=b+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24))break;if((i[b>>0]|0)!=e<<24>>24)break g}return b|0}while(0);b=i[32596]|0;if(!(b<<24>>24))f=46;else if(c<<24>>24==b<<24>>24){b=a;c=32596;while(1){b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24))break;if((i[b>>0]|0)!=d<<24>>24)break d}return b|0}}}}while(0);if((f|0)==46)if(a|0){f=a;return f|0}f=bk(a)|0;return f|0}function fg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;x=r;r=r+64|0;z=x+48|0;h=x+44|0;d=x+32|0;v=x+20|0;f=x+16|0;g=x+12|0;w=x;e=a+60|0;rT(z,e);q=k[z>>2]|0;k[h>>2]=q;a:do if(!q)e=0;else{y=0;oa(464,z|0,e|0);q=y;y=0;if(q&1)c=pb()|0;else{q=k[z>>2]|0;k[f>>2]=q;y=0;oa(k[(k[q>>2]|0)+32>>2]|0,v|0,q|0);q=y;y=0;do if(q&1)c=pb()|0;else{y=0;ma(5,d|0,v|0,0,0,1);q=y;y=0;if(q&1){c=pb()|0;$9(v);break}else{e=(tN(d,30956)|0)==0;$9(d);$9(v);EO(f);break a}}while(0);EO(f)}EO(h);z=c;sb(z|0)}while(0);EO(h);rT(z,a+64|0);d=k[z>>2]|0;k[g>>2]=d;a=d;EO(g);k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;d=(d|0)!=0;b:do if(e){if(d){s=a+64|0;e=k[s>>2]|0;m=(k[a+68>>2]|0)-e>>2;if(m|0){n=z+11|0;o=z+4|0;p=b+11|0;q=b+4|0;d=0;while(1){u=k[e+(d<<2)>>2]|0;y=0;oa(k[(k[u>>2]|0)+32>>2]|0,w|0,u|0);u=y;y=0;if(u&1){d=32;break}y=0;ma(5,v|0,w|0,0,0,1);u=y;y=0;if(u&1){d=33;break}if((i[n>>0]|0)<0){i[k[z>>2]>>0]=0;k[o>>2]=0}else{i[z>>0]=0;i[n>>0]=0}y=0;oa(506,z|0,0);u=y;y=0;if(u&1){d=22;break}k[z>>2]=k[v>>2];k[z+4>>2]=k[v+4>>2];k[z+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;$9(v);$9(w);if(!(tN(z,30961)|0)){c=0;d=62;break b}f=i[n>>0]|0;g=f<<24>>24<0;f=f&255;h=g?k[o>>2]|0:f;u=i[p>>0]|0;e=u<<24>>24<0;do if((h|0)==((e?k[q>>2]|0:u&255)|0)){j=k[z>>2]|0;l=g?j:z;e=e?k[b>>2]|0:b;a=(h|0)==0;if(g){if(a){c=0;d=62;break b}if(!(zM(l,e,h)|0)){c=0;d=62;break b}else break}if(a){c=0;d=62;break b}if((j&255)<<24>>24==(i[e>>0]|0)){a=z;do{f=f+-1|0;a=a+1|0;if(!f){c=0;d=62;break b}e=e+1|0}while((i[a>>0]|0)==(i[e>>0]|0))}}while(0);d=d+1|0;if(d>>>0>=m>>>0){c=1;d=62;break b}e=k[s>>2]|0}if((d|0)==22){x=tb(0)|0;dla(x)}else if((d|0)==32)c=pb()|0;else if((d|0)==33){c=pb()|0;$9(w)}break}}c=(tN(b,43604)|0)!=0;d=62}else{if(d){q=a+64|0;d=k[q>>2]|0;l=(k[a+68>>2]|0)-d>>2;if(l|0){m=z+11|0;n=z+4|0;o=b+11|0;p=b+4|0;c=0;while(1){t=k[d+(c<<2)>>2]|0;y=0;oa(k[(k[t>>2]|0)+32>>2]|0,w|0,t|0);t=y;y=0;if(t&1){d=57;break}y=0;ma(5,v|0,w|0,0,0,1);t=y;y=0;if(t&1){d=58;break}if((i[m>>0]|0)<0){i[k[z>>2]>>0]=0;k[n>>2]=0}else{i[z>>0]=0;i[m>>0]=0}y=0;oa(506,z|0,0);t=y;y=0;if(t&1){d=47;break}k[z>>2]=k[v>>2];k[z+4>>2]=k[v+4>>2];k[z+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;$9(v);$9(w);if(!(tN(z,30961)|0)){c=1;d=62;break b}a=i[m>>0]|0;f=a<<24>>24<0;a=a&255;g=f?k[n>>2]|0:a;t=i[o>>0]|0;d=t<<24>>24<0;do if((g|0)==((d?k[p>>2]|0:t&255)|0)){h=k[z>>2]|0;j=f?h:z;d=d?k[b>>2]|0:b;e=(g|0)==0;if(f){if(e){c=1;d=62;break b}if(!(zM(j,d,g)|0)){c=1;d=62;break b}else break}if(e){c=1;d=62;break b}if((h&255)<<24>>24==(i[d>>0]|0)){e=z;do{a=a+-1|0;e=e+1|0;if(!a){c=1;d=62;break b}d=d+1|0}while((i[e>>0]|0)==(i[d>>0]|0))}}while(0);c=c+1|0;if(c>>>0>=l>>>0){c=0;d=62;break b}d=k[q>>2]|0}if((d|0)==47){x=tb(0)|0;dla(x)}else if((d|0)==57)u=pb()|0;else if((d|0)==58){u=pb()|0;$9(w)}c=u;break}}c=(tN(b,43604)|0)==0;d=62}while(0);if((d|0)==62){$9(z);r=x;return c|0}$9(z);z=c;sb(z|0);return 0}function gg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=0;d=i[b>>0]|0;a:do if(d<<24>>24){f=b;e=d;b:while(1){c=f+1|0;do if(e<<24>>24>-1)c=1;else{if((e&255)<194){g=22;break b}if((e&255)<224)if((i[c>>0]&-64)<<24>>24==-128){c=2;break}else{g=22;break b}if((e&255)<240){switch(e<<24>>24){case -32:{c=i[c>>0]|0;if((c&255)<160){g=22;break b}break}case -19:{c=i[c>>0]|0;if((c&255)>159){g=22;break b}break}default:c=i[c>>0]|0}if((c&-64)<<24>>24!=-128){g=22;break b}if((i[f+2>>0]&-64)<<24>>24==-128){c=3;break}else{g=22;break b}}if((e&255)>=245){g=22;break b}switch(e<<24>>24){case -16:{c=i[c>>0]|0;if((c&255)<144){g=22;break b}break}case -12:{c=i[c>>0]|0;if((c&255)>143){g=22;break b}break}default:c=i[c>>0]|0}if((c&-64)<<24>>24!=-128){g=22;break b}if((i[f+2>>0]&-64)<<24>>24!=-128){g=22;break b}if((i[f+3>>0]&-64)<<24>>24==-128)c=4;else{g=22;break b}}while(0);f=f+c|0;e=i[f>>0]|0;if(!(e<<24>>24)){e=b;break}}if((g|0)==22){a=gb(8)|0;k[a>>2]=15080;i[a+4>>0]=0;Wb(a|0,1720,200)}c:while(1){c=e+1|0;do if(d<<24>>24>-1)c=1;else{if((d&255)<194){g=43;break c}if((d&255)<224)if((i[c>>0]&-64)<<24>>24==-128){c=2;break}else{g=43;break c}if((d&255)<240){switch(d<<24>>24){case -32:{c=i[c>>0]|0;if((c&255)<160){g=43;break c}break}case -19:{c=i[c>>0]|0;if((c&255)>159){g=43;break c}break}default:c=i[c>>0]|0}if((c&-64)<<24>>24!=-128){g=43;break c}if((i[e+2>>0]&-64)<<24>>24==-128){c=3;break}else{g=43;break c}}if((d&255)>=245){g=43;break c}switch(d<<24>>24){case -16:{c=i[c>>0]|0;if((c&255)<144){g=43;break c}break}case -12:{c=i[c>>0]|0;if((c&255)>143){g=43;break c}break}default:c=i[c>>0]|0}if((c&-64)<<24>>24!=-128){g=43;break c}if((i[e+2>>0]&-64)<<24>>24!=-128){g=43;break c}if((i[e+3>>0]&-64)<<24>>24==-128)c=4;else{g=43;break c}}while(0);e=e+c|0;d=i[e>>0]|0;if(!(d<<24>>24))break a}if((g|0)==43)eb(39235,39052,1167,39254)}while(0);l=a+4|0;e=k[l>>2]|0;d=k[a>>2]|0;c=d;do if((e-d|0)<14){h=a+8|0;f=k[h>>2]|0;g=d-f|0;c=g+14|0;d=e-f|0;do d=d<<1;while(d>>>0<c>>>0);c=BH(f,d|1)|0;k[h>>2]=c;if(!c){mN(45154,15,1,k[4849]|0)|0;Zb(1)}else{j=c+g|0;k[a>>2]=j;k[l>>2]=c+d;break}}else j=c;while(0);c=j+1|0;i[j>>0]=34;d=i[b>>0]|0;if(!(d<<24>>24)){j=c;l=j+1|0;i[j>>0]=34;k[a>>2]=l;return}h=a+8|0;f=d;d:while(1){d=b+1|0;e:do switch(f<<24>>24){case 34:{i[c>>0]=92;i[c+1>>0]=34;c=c+2|0;break}case 92:{i[c>>0]=92;i[c+1>>0]=92;c=c+2|0;break}case 8:{i[c>>0]=92;i[c+1>>0]=98;c=c+2|0;break}case 12:{i[c>>0]=92;i[c+1>>0]=102;c=c+2|0;break}case 10:{i[c>>0]=92;i[c+1>>0]=110;c=c+2|0;break}case 13:{i[c>>0]=92;i[c+1>>0]=114;c=c+2|0;break}case 9:{i[c>>0]=92;i[c+1>>0]=116;c=c+2|0;break}default:{do if(f<<24>>24>-1)if((f&255)<31){j=f&255;i[c>>0]=92;i[c+1>>0]=117;i[c+2>>0]=48;i[c+3>>0]=48;i[c+4>>0]=i[39266+(j>>>4)>>0]|0;i[c+5>>0]=i[39266+(j&15)>>0]|0;c=c+6|0;break e}else g=1;else{if((f&255)<194){g=80;break d}if((f&255)<224)if((i[d>>0]&-64)<<24>>24==-128){g=2;break}else{g=80;break d}if((f&255)<240){switch(f<<24>>24){case -32:{d=i[d>>0]|0;if((d&255)<160){g=80;break d}break}case -19:{d=i[d>>0]|0;if((d&255)>159){g=80;break d}break}default:d=i[d>>0]|0}if((d&-64)<<24>>24!=-128){g=80;break d}if((i[b+2>>0]&-64)<<24>>24==-128){g=3;break}else{g=80;break d}}if((f&255)>=245){g=80;break d}switch(f<<24>>24){case -16:{d=i[d>>0]|0;if((d&255)<144){g=80;break d}break}case -12:{d=i[d>>0]|0;if((d&255)>143){g=80;break d}break}default:d=i[d>>0]|0}if((d&-64)<<24>>24!=-128){g=80;break d}if((i[b+2>>0]&-64)<<24>>24!=-128){g=80;break d}if((i[b+3>>0]&-64)<<24>>24==-128)g=4;else{g=80;break d}}while(0);d=b+g|0;e=g+-1|0;i[c>>0]=f;if(e|0){f=c;do{b=b+1|0;f=f+1|0;e=e+-1|0;i[f>>0]=i[b>>0]|0}while((e|0)!=0)}c=c+g|0}}while(0);k[a>>2]=c;b=k[l>>2]|0;e=c;if((b-e|0)<14){f=k[h>>2]|0;g=e-f|0;c=g+14|0;e=b-f|0;do e=e<<1;while(e>>>0<c>>>0);c=BH(f,e|1)|0;k[h>>2]=c;if(!c){g=89;break}j=c+g|0;k[a>>2]=j;k[l>>2]=c+e;c=j}f=i[d>>0]|0;if(!(f<<24>>24)){g=92;break}else b=d}if((g|0)==80)eb(53637,39052,1225,39254);else if((g|0)==89){mN(45154,15,1,k[4849]|0)|0;Zb(1)}else if((g|0)==92){l=c+1|0;i[c>>0]=34;k[a>>2]=l;return}}function hg(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;C=r;r=r+224|0;D=C+16|0;u=C+176|0;x=C+160|0;B=C+148|0;z=C+136|0;g=C+8|0;o=C+96|0;q=C+68|0;t=C+80|0;w=C+56|0;n=C;h=+p[b+64>>3];switch(a|0){case 10:case 8:{f=ZL(112)|0;if(!e){v=u;e=b+12|0;s=v+40|0;do{k[v>>2]=k[e>>2];v=v+4|0;e=e+4|0}while((v|0)<(s|0))}else{v=u;s=v+40|0;do{k[v>>2]=k[e>>2];v=v+4|0;e=e+4|0}while((v|0)<(s|0))}d=15320+(a<<2)|0;y=0;l=+za(k[d>>2]|0,+h,+(+p[c+64>>3]));B=y;y=0;if(B&1)A=13;else{y=0;m=+za(k[d>>2]|0,+h,+(+p[c+72>>3]));B=y;y=0;if(B&1)A=13;else{y=0;j=+za(k[d>>2]|0,+h,+(+p[c+80>>3]));B=y;y=0;if(B&1)A=13;else{h=+p[c+88>>3];k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(75,x|0,82159,0);B=y;y=0;if(B&1)A=13;else{v=D;e=u;s=v+40|0;do{k[v>>2]=k[e>>2];v=v+4|0;e=e+4|0}while((v|0)<(s|0));y=0;na(366,f|0);B=y;y=0;do if(B&1)d=pb()|0;else{v=f+12|0;e=D;s=v+40|0;do{k[v>>2]=k[e>>2];v=v+4|0;e=e+4|0}while((v|0)<(s|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;d=f+56|0;k[d>>2]=0;k[f>>2]=9088;p[f+64>>3]=l;p[f+72>>3]=m;p[f+80>>3]=j;p[f+88>>3]=h;y=0;oa(452,f+96|0,x|0);D=y;y=0;if(D&1){d=pb()|0;break}k[f+108>>2]=0;k[d>>2]=3;$9(x);D=f;r=C;return D|0}while(0);$9(x)}}}}if((A|0)==13)d=pb()|0;zqa(f);D=d;sb(D|0)}case 11:case 9:{k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;jI(B,(a|0)==9?44216:44131,1);A=k[(k[c>>2]|0)+28>>2]|0;f=d;d=k[f>>2]|0;f=k[f+4>>2]|0;x=g;k[x>>2]=d;k[x+4>>2]=f;y=0;k[D>>2]=k[g>>2];k[D+4>>2]=k[g+4>>2];Na(A|0,z|0,c|0,D|0);A=y;y=0;if(A&1)d=pb()|0;else{y=0;g=qa(332,80)|0;A=y;y=0;if(A&1)d=pb()|0;else{if(!e){v=o;e=b+12|0;s=v+40|0;do{k[v>>2]=k[e>>2];v=v+4|0;e=e+4|0}while((v|0)<(s|0))}else{v=o;s=v+40|0;do{k[v>>2]=k[e>>2];v=v+4|0;e=e+4|0}while((v|0)<(s|0))}A=k[(k[b>>2]|0)+28>>2]|0;x=n;k[x>>2]=d;k[x+4>>2]=f;y=0;k[D>>2]=k[n>>2];k[D+4>>2]=k[n+4>>2];Na(A|0,w|0,b|0,D|0);A=y;y=0;if(A&1)d=pb()|0;else{d=i[B+11>>0]|0;A=d<<24>>24<0;y=0;d=ta(47,w|0,(A?k[B>>2]|0:B)|0,(A?k[B+4>>2]|0:d&255)|0)|0;A=y;y=0;if(A&1)d=pb()|0;else{k[t>>2]=k[d>>2];k[t+4>>2]=k[d+4>>2];k[t+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;d=i[z+11>>0]|0;A=d<<24>>24<0;y=0;d=ta(47,t|0,(A?k[z>>2]|0:z)|0,(A?k[z+4>>2]|0:d&255)|0)|0;A=y;y=0;do if(A&1)d=pb()|0;else{k[q>>2]=k[d>>2];k[q+4>>2]=k[d+4>>2];k[q+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;v=D;e=o;s=v+40|0;do{k[v>>2]=k[e>>2];v=v+4|0;e=e+4|0}while((v|0)<(s|0));Ea(2,g|0,D|0,q|0,0,0,0,1);D=y;y=0;if(D&1){d=pb()|0;$9(q);break}$9(q);$9(t);$9(w);$9(z);$9(B);D=g;r=C;return D|0}while(0);$9(t)}$9(w)}zqa(g)}$9(z)}$9(B);D=d;sb(D|0)}case 12:{g=gb(40)|0;y=0;oa(581,D|0,12);C=y;y=0;if(C&1)d=pb()|0;else{y=0;Ra(33,g|0,b|0,c|0,D|0);C=y;y=0;if(C&1)f=1;else{y=0;Na(76,g|0,2448,217);y=0;f=0}d=pb()|0;$9(D);if(!f){D=d;sb(D|0)}}fb(g|0);D=d;sb(D|0)}default:{D=0;r=C;return D|0}}return 0}function ig(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;x=r;r=r+96|0;v=x+52|0;q=x+56|0;B=x+48|0;A=x+36|0;u=x+24|0;s=x;m=x+20|0;n=x+16|0;t=x+8|0;mw(a,0,0)|0;o=a+128|0;wN(a+108|0,o);k[a+132>>2]=0;k[o>>2]=0;p=a+108|0;b=q;c=p;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));z=he(a)|0;k[B>>2]=z;k[A>>2]=0;z=A+4|0;k[z>>2]=0;k[A+8>>2]=0;k[u>>2]=0;w=u+4|0;k[w>>2]=0;k[u+8>>2]=0;e=a+76|0;f=a+80|0;g=s+4|0;h=s+5|0;j=u+8|0;l=A+8|0;while(1){b=k[e>>2]|0;y=0;c=qa(360,b|0)|0;d=y;y=0;if(d&1){c=39;break}c=c|0?c:b;y=0;b=qa(374,c|0)|0;d=y;y=0;if(d&1){c=39;break}if(!b){y=0;b=qa(375,c|0)|0;d=y;y=0;if(d&1){c=39;break}if(!b){y=0;b=qa(376,c|0)|0;d=y;y=0;if(d&1){c=39;break}if(!b){y=0;b=qa(377,c|0)|0;d=y;y=0;if(d&1){c=39;break}if(!b){y=0;b=qa(378,c|0)|0;d=y;y=0;if(d&1){c=39;break}if(!b){y=0;b=qa(379,c|0)|0;d=y;y=0;if(d&1){c=39;break}}}}}}if((b|0)==0?1:b>>>0>(k[f>>2]|0)>>>0){c=51;break}y=0;b=qa(359,k[e>>2]|0)|0;d=y;y=0;if(d&1){c=39;break}d=b|0?b>>>0<=(k[f>>2]|0)>>>0:0;y=0;b=ta(82,a|0,1,0)|0;c=y;y=0;if(c&1){c=42;break}if(!b){y=0;b=ta(83,a|0,1,0)|0;c=y;y=0;if(c&1){c=42;break}if(!b){y=0;b=ta(84,a|0,1,0)|0;c=y;y=0;if(c&1){c=42;break}if(!b){y=0;b=ta(85,a|0,1,0)|0;c=y;y=0;if(c&1){c=42;break}if(!b){y=0;b=ta(86,a|0,1,0)|0;c=y;y=0;if(c&1){c=42;break}if(!b){y=0;b=ta(87,a|0,1,0)|0;c=y;y=0;if(c&1){c=42;break}c=b|0?6:2}else c=4}else c=7}else c=5}else c=3}else c=2;y=0;b=qa(359,k[e>>2]|0)|0;C=y;y=0;if(C&1){c=43;break}b=b|0?b>>>0<=(k[f>>2]|0)>>>0:0;k[s>>2]=c;i[g>>0]=d&1;i[h>>0]=b&1;b=k[w>>2]|0;if(b>>>0<(k[j>>2]|0)>>>0){c=s;d=k[c+4>>2]|0;C=b;k[C>>2]=k[c>>2];k[C+4>>2]=d;k[w>>2]=(k[w>>2]|0)+8}else{y=0;oa(565,u|0,s|0);C=y;y=0;if(C&1){c=44;break}}y=0;b=qa(380,a|0)|0;C=y;y=0;if(C&1){c=45;break}k[m>>2]=b;y=0;oa(482,s|0,b|0);C=y;y=0;if(C&1){c=46;break}b=k[z>>2]|0;if(b>>>0<(k[l>>2]|0)>>>0){y=0;oa(464,b|0,s|0);C=y;y=0;if(C&1){c=47;break}k[z>>2]=(k[z>>2]|0)+4}else{y=0;oa(546,A|0,s|0);C=y;y=0;if(C&1){c=47;break}}EO(s);EO(m);y=0;qa(359,k[e>>2]|0)|0;C=y;y=0;if(C&1){c=50;break}}do if((c|0)==39){b=pb()|0;c=41}else if((c|0)==42)e=pb()|0;else if((c|0)==43)e=pb()|0;else if((c|0)==44)e=pb()|0;else if((c|0)==45){b=pb()|0;c=49}else if((c|0)==46){b=pb()|0;c=48}else if((c|0)==47){b=pb()|0;EO(s);c=48}else if((c|0)==50)e=pb()|0;else if((c|0)==51){y=0;oa(464,n|0,B|0);C=y;y=0;if(C&1){b=pb()|0;c=41;break}y=0;b=sa(29,a|0,n|0,A|0,u|0,0)|0;C=y;y=0;if(C&1){e=pb()|0;EO(n);break}k[v>>2]=b;EO(n);b=q+20|0;y=0;Na(111,t|0,p|0,q|0);C=y;y=0;if(!(C&1)){y=0;Na(112,s|0,t|0,o|0);C=y;y=0;if(!(C&1)){C=s;c=k[C+4>>2]|0;k[b>>2]=k[C>>2];k[b+4>>2]=c;DN((k[v>>2]|0)+12|0,q|0,40)|0;b=k[u>>2]|0;c=b;if(b|0){d=k[w>>2]|0;if((d|0)!=(b|0))k[w>>2]=d+(~((d+-8-c|0)>>>3)<<3);zqa(b)}b=k[A>>2]|0;if(!b){EO(B);C=k[v>>2]|0;r=x;return C|0}c=k[z>>2]|0;if((c|0)!=(b|0)){do{C=c+-4|0;k[z>>2]=C;EO(C);c=k[z>>2]|0}while((c|0)!=(b|0));b=k[A>>2]|0}zqa(b);EO(B);C=k[v>>2]|0;r=x;return C|0}}e=pb()|0;EO(v)}while(0);if((c|0)==41)e=b;else if((c|0)==48){EO(m);c=49}if((c|0)==49)e=b;b=k[u>>2]|0;c=b;if(b|0){d=k[w>>2]|0;if((d|0)!=(b|0))k[w>>2]=d+(~((d+-8-c|0)>>>3)<<3);zqa(b)}b=k[A>>2]|0;if(!b){EO(B);sb(e|0)}c=k[z>>2]|0;if((c|0)!=(b|0)){do{C=c+-4|0;k[z>>2]=C;EO(C);c=k[z>>2]|0}while((c|0)!=(b|0));b=k[A>>2]|0}zqa(b);EO(B);sb(e|0);return 0}function jg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;m=0;g=r;r=r+80|0;f=g+56|0;e=g+52|0;d=g+48|0;n=g+36|0;l=g+24|0;j=g+12|0;h=g;kD(n);c=k[b+12>>2]|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;o=JI(c)|0;y=0;Na(75,f|0,c|0,o|0);o=y;y=0;do if(o&1)c=pb()|0;else{y=0;Ra(17,l|0,f|0,n|0,n|0);o=y;y=0;if(o&1){c=pb()|0;$9(f);break}$9(f);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;o=JI(c)|0;y=0;Na(75,f|0,c|0,o|0);o=y;y=0;do if(o&1){c=pb()|0;m=38}else{y=0;Ra(20,j|0,f|0,n|0,n|0);o=y;y=0;if(o&1){c=pb()|0;$9(f);m=38;break}$9(f);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;o=JI(c)|0;y=0;Na(75,f|0,c|0,o|0);o=y;y=0;do if(o&1){c=pb()|0;m=41}else{y=0;Ra(32,h|0,j|0,l|0,f|0);o=y;y=0;if(o&1){c=pb()|0;$9(f);m=41;break}$9(f);y=0;c=ta(54,77440,47307,21)|0;o=y;y=0;a:do if(o&1)m=42;else{o=i[a+11>>0]|0;p=o<<24>>24<0;y=0;a=ta(54,c|0,(p?k[a>>2]|0:a)|0,(p?k[a+4>>2]|0:o&255)|0)|0;o=y;y=0;if(o&1)m=42;else{y=0;c=qa(341,a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;p=y;y=0;if(p&1)m=42;else{k[d>>2]=c;y=0;c=Ha(973,d|0,78144)|0;p=y;y=0;if(!(p&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,10)|0;p=y;y=0;if(!(p&1)){Sea(d);y=0;Ha(1016,a|0,c|0)|0;p=y;y=0;if(p&1){m=42;break}y=0;qa(442,a|0)|0;p=y;y=0;if(p&1){m=42;break}y=0;a=ta(54,77440,47329,44)|0;p=y;y=0;if(p&1){m=42;break}y=0;c=qa(341,a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;p=y;y=0;if(p&1){m=42;break}k[e>>2]=c;y=0;c=Ha(973,e|0,78144)|0;p=y;y=0;do if(!(p&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,10)|0;p=y;y=0;if(p&1)break;Sea(e);y=0;Ha(1016,a|0,c|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;qa(442,a|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;c=ta(54,77440,47374,16)|0;p=y;y=0;if(p&1){m=42;break a}y=0;c=Ha(972,c|0,(k[b>>2]|0)+1|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;c=ta(54,c|0,47391,4)|0;p=y;y=0;if(p&1){m=42;break a}a=i[h+11>>0]|0;p=a<<24>>24<0;y=0;a=ta(54,c|0,(p?k[h>>2]|0:h)|0,(p?k[h+4>>2]|0:a&255)|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;c=qa(341,a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;p=y;y=0;if(p&1){m=42;break a}k[f>>2]=c;y=0;c=Ha(973,f|0,78144)|0;p=y;y=0;do if(!(p&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,10)|0;p=y;y=0;if(p&1)break;Sea(f);y=0;Ha(1016,a|0,c|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;qa(442,a|0)|0;p=y;y=0;if(p&1){m=42;break a}$9(h);$9(j);$9(l);$9(n);r=g;return}while(0);c=pb()|0;Sea(f);break a}while(0);c=pb()|0;Sea(e);break}}c=pb()|0;Sea(d)}}}while(0);if((m|0)==42)c=pb()|0;$9(h)}while(0);$9(j)}while(0);$9(l);p=c;$9(n);sb(p|0)}while(0);p=c;$9(n);sb(p|0)}function kg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;m=0;g=r;r=r+80|0;f=g+56|0;e=g+52|0;d=g+48|0;n=g+36|0;l=g+24|0;j=g+12|0;h=g;kD(n);c=k[b+12>>2]|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;o=JI(c)|0;y=0;Na(75,f|0,c|0,o|0);o=y;y=0;do if(o&1)c=pb()|0;else{y=0;Ra(17,l|0,f|0,n|0,n|0);o=y;y=0;if(o&1){c=pb()|0;$9(f);break}$9(f);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;o=JI(c)|0;y=0;Na(75,f|0,c|0,o|0);o=y;y=0;do if(o&1){c=pb()|0;m=38}else{y=0;Ra(20,j|0,f|0,n|0,n|0);o=y;y=0;if(o&1){c=pb()|0;$9(f);m=38;break}$9(f);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;o=JI(c)|0;y=0;Na(75,f|0,c|0,o|0);o=y;y=0;do if(o&1){c=pb()|0;m=41}else{y=0;Ra(32,h|0,j|0,l|0,f|0);o=y;y=0;if(o&1){c=pb()|0;$9(f);m=41;break}$9(f);y=0;c=ta(54,77440,47477,9)|0;o=y;y=0;a:do if(o&1)m=42;else{o=i[a+11>>0]|0;p=o<<24>>24<0;y=0;a=ta(54,c|0,(p?k[a>>2]|0:a)|0,(p?k[a+4>>2]|0:o&255)|0)|0;o=y;y=0;if(o&1)m=42;else{y=0;c=qa(341,a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;p=y;y=0;if(p&1)m=42;else{k[d>>2]=c;y=0;c=Ha(973,d|0,78144)|0;p=y;y=0;if(!(p&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,10)|0;p=y;y=0;if(!(p&1)){Sea(d);y=0;Ha(1016,a|0,c|0)|0;p=y;y=0;if(p&1){m=42;break}y=0;qa(442,a|0)|0;p=y;y=0;if(p&1){m=42;break}y=0;c=ta(54,77440,47374,16)|0;p=y;y=0;if(p&1){m=42;break}y=0;c=Ha(972,c|0,(k[b>>2]|0)+1|0)|0;p=y;y=0;if(p&1){m=42;break}y=0;c=ta(54,c|0,47391,4)|0;p=y;y=0;if(p&1){m=42;break}a=i[h+11>>0]|0;p=a<<24>>24<0;y=0;a=ta(54,c|0,(p?k[h>>2]|0:h)|0,(p?k[h+4>>2]|0:a&255)|0)|0;p=y;y=0;if(p&1){m=42;break}y=0;c=qa(341,a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;p=y;y=0;if(p&1){m=42;break}k[e>>2]=c;y=0;c=Ha(973,e|0,78144)|0;p=y;y=0;do if(!(p&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,10)|0;p=y;y=0;if(p&1)break;Sea(e);y=0;Ha(1016,a|0,c|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;qa(442,a|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;a=ta(54,77440,47487,49)|0;p=y;y=0;if(p&1){m=42;break a}y=0;c=qa(341,a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;p=y;y=0;if(p&1){m=42;break a}k[f>>2]=c;y=0;c=Ha(973,f|0,78144)|0;p=y;y=0;do if(!(p&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,10)|0;p=y;y=0;if(p&1)break;Sea(f);y=0;Ha(1016,a|0,c|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;qa(442,a|0)|0;p=y;y=0;if(p&1){m=42;break a}$9(h);$9(j);$9(l);$9(n);r=g;return}while(0);c=pb()|0;Sea(f);break a}while(0);c=pb()|0;Sea(e);break}}c=pb()|0;Sea(d)}}}while(0);if((m|0)==42)c=pb()|0;$9(h)}while(0);$9(j)}while(0);$9(l);p=c;$9(n);sb(p|0)}while(0);p=c;$9(n);sb(p|0)}function lg(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;j=r;r=r+48|0;g=j+24|0;l=j+12|0;h=j;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;f=k[a+72>>2]|0;do switch(i[f>>0]|0){case -17:{if((i[32639]|0)==-17?(f+3|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[32640]|0))b=(i[f+2>>0]|0)==(i[32641]|0)?3:0;else b=0;else b=0;y=0;Ha(1006,l|0,41563)|0;h=y;y=0;if(h&1)c=5;else{h=b;a=a+76|0;g=k[a>>2]|0;h=g+h|0;k[a>>2]=h;$9(l);r=j;return}break}case -2:{if((i[32642]|0)==-2?(f+2|0)>>>0<=(k[a+80>>2]|0)>>>0:0)b=(i[f+1>>0]|0)==(i[32643]|0)?2:0;else b=0;y=0;Ha(1006,l|0,41569)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case -1:{b=k[a+80>>2]|0;c=f+2|0;if(c>>>0<=b>>>0&(i[32644]|0)==-1){d=i[f+1>>0]|0;if(d<<24>>24==(i[32645]|0))if((f+4|0)>>>0<=b>>>0&(i[32650]|0)==-1&d<<24>>24==(i[32651]|0))if((i[c>>0]|0)==(i[32652]|0)){b=(i[f+3>>0]|0)==(i[32653]|0)?4:0;c=2}else{b=0;c=2}else{b=0;c=2}else{b=0;c=0}}else{b=0;c=0}b=b|c;y=0;Ha(1006,l|0,((b|0)==2?41589:41612)|0)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case 0:{if((i[32646]|0)==0?(f+4|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[32647]|0))if((i[f+2>>0]|0)==(i[32648]|0))b=(i[f+3>>0]|0)==(i[32649]|0)?4:0;else b=0;else b=0;else b=0;y=0;Ha(1006,l|0,41635)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case 43:{d=k[a+80>>2]|0;e=f+4|0;if(e>>>0>d>>>0){b=0;c=0}else{if((i[32654]|0)==43)if((i[f+1>>0]|0)==(i[32655]|0))if((i[f+2>>0]|0)==(i[32656]|0))b=(i[f+3>>0]|0)==(i[32657]|0)?4:0;else b=0;else b=0;else b=0;if((i[32658]|0)==43)if((i[f+1>>0]|0)==(i[32659]|0))if((i[f+2>>0]|0)==(i[32660]|0))c=(i[f+3>>0]|0)==(i[32661]|0)?4:0;else c=0;else c=0;else c=0;c=c|b;if((i[32662]|0)==43)if((i[f+1>>0]|0)==(i[32663]|0))if((i[f+2>>0]|0)==(i[32664]|0))b=(i[f+3>>0]|0)==(i[32665]|0)?4:0;else b=0;else b=0;else b=0;b=c|b;if((i[32666]|0)==43)if((i[f+1>>0]|0)==(i[32667]|0))if((i[f+2>>0]|0)==(i[32668]|0))c=(i[f+3>>0]|0)==(i[32669]|0)?4:0;else c=0;else c=0;else c=0}c=b|c;if((f+5|0)>>>0<=d>>>0&(i[32670]|0)==43)if((i[f+1>>0]|0)==(i[32671]|0))if((i[f+2>>0]|0)==(i[32672]|0))if((i[f+3>>0]|0)==(i[32673]|0))b=(i[e>>0]|0)==(i[32674]|0)?5:0;else b=0;else b=0;else b=0;else b=0;y=0;Ha(1006,l|0,41655)|0;f=y;y=0;if(f&1)c=5;else{b=c|b;c=43}break}case -9:{if((i[32675]|0)==-9?(f+3|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[32676]|0))b=(i[f+2>>0]|0)==(i[32677]|0)?3:0;else b=0;else b=0;y=0;Ha(1006,l|0,41661)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case -35:{if((i[32678]|0)==-35?(f+4|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[32679]|0))if((i[f+2>>0]|0)==(i[32680]|0))b=(i[f+3>>0]|0)==(i[32681]|0)?4:0;else b=0;else b=0;else b=0;y=0;Ha(1006,l|0,41667)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case 14:{if((i[32682]|0)==14?(f+3|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[32683]|0))b=(i[f+2>>0]|0)==(i[32684]|0)?3:0;else b=0;else b=0;y=0;Ha(1006,l|0,41678)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case -5:{if((i[32685]|0)==-5?(f+3|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[32686]|0))b=(i[f+2>>0]|0)==(i[32687]|0)?3:0;else b=0;else b=0;y=0;Ha(1006,l|0,41683)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case -124:{if((i[32688]|0)==-124?(f+4|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[32689]|0))if((i[f+2>>0]|0)==(i[32690]|0))b=(i[f+3>>0]|0)==(i[32691]|0)?4:0;else b=0;else b=0;else b=0;y=0;Ha(1006,l|0,41690)|0;f=y;y=0;if(f&1)c=5;else c=43;break}default:{h=0;a=a+76|0;g=k[a>>2]|0;h=g+h|0;k[a>>2]=h;$9(l);r=j;return}}while(0);if((c|0)==5)b=pb()|0;else if((c|0)==43){if(!b){h=0;a=a+76|0;g=k[a>>2]|0;h=g+h|0;k[a>>2]=h;$9(l);r=j;return}k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;c=l+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[l+4>>2]|0:d&255;y=0;Ra(10,h|0,41699,74,d+74|0);f=y;y=0;if(!(f&1)){y=0;ta(47,h|0,((i[c>>0]|0)<0?k[l>>2]|0:l)|0,d|0)|0;f=y;y=0;if(!(f&1)){f=a+108|0;y=0;k[g>>2]=k[f>>2];k[g+4>>2]=k[f+4>>2];k[g+8>>2]=k[f+8>>2];Na(109,a|0,h|0,g|0);g=y;y=0;if(g&1){j=pb()|0;$9(h);$9(l);sb(j|0)}else{$9(h);h=b;a=a+76|0;g=k[a>>2]|0;h=g+h|0;k[a>>2]=h;$9(l);r=j;return}}}b=pb()|0;$9(h)}j=b;$9(l);sb(j|0)}function mg(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0,o=0;o=r;r=r+16|0;n=o;if(a){m=EZ(c,79864)|0;if(b){mc[k[(k[m>>2]|0)+44>>2]&1023](n,m);a=k[n>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[m>>2]|0)+32>>2]&1023](n,m);a=j+11|0;if((i[a>>0]|0)<0){i[k[j>>2]>>0]=0;k[j+4>>2]=0}else{i[j>>0]=0;i[a>>0]=0}y=0;oa(506,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;dla(d)}k[j>>2]=k[n>>2];k[j+4>>2]=k[n+4>>2];k[j+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}$9(n);c=m}else{mc[k[(k[m>>2]|0)+40>>2]&1023](n,m);a=k[n>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[m>>2]|0)+28>>2]&1023](n,m);a=j+11|0;if((i[a>>0]|0)<0){i[k[j>>2]>>0]=0;k[j+4>>2]=0}else{i[j>>0]=0;i[a>>0]=0}y=0;oa(506,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;dla(d)}k[j>>2]=k[n>>2];k[j+4>>2]=k[n+4>>2];k[j+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}$9(n);c=m}a=oc[k[(k[m>>2]|0)+12>>2]&511](m)|0;i[e>>0]=a;a=oc[k[(k[m>>2]|0)+16>>2]&511](m)|0;i[f>>0]=a;mc[k[(k[c>>2]|0)+20>>2]&1023](n,m);a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}y=0;oa(506,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}k[g>>2]=k[n>>2];k[g+4>>2]=k[n+4>>2];k[g+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}$9(n);mc[k[(k[c>>2]|0)+24>>2]&1023](n,m);a=h+11|0;if((i[a>>0]|0)<0){i[k[h>>2]>>0]=0;k[h+4>>2]=0}else{i[h>>0]=0;i[a>>0]=0}y=0;oa(506,h|0,0);g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}k[h>>2]=k[n>>2];k[h+4>>2]=k[n+4>>2];k[h+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}$9(n);a=oc[k[(k[m>>2]|0)+36>>2]&511](m)|0}else{m=EZ(c,79856)|0;if(b){mc[k[(k[m>>2]|0)+44>>2]&1023](n,m);a=k[n>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[m>>2]|0)+32>>2]&1023](n,m);a=j+11|0;if((i[a>>0]|0)<0){i[k[j>>2]>>0]=0;k[j+4>>2]=0}else{i[j>>0]=0;i[a>>0]=0}y=0;oa(506,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;dla(d)}k[j>>2]=k[n>>2];k[j+4>>2]=k[n+4>>2];k[j+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}$9(n);c=m}else{mc[k[(k[m>>2]|0)+40>>2]&1023](n,m);a=k[n>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[m>>2]|0)+28>>2]&1023](n,m);a=j+11|0;if((i[a>>0]|0)<0){i[k[j>>2]>>0]=0;k[j+4>>2]=0}else{i[j>>0]=0;i[a>>0]=0}y=0;oa(506,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;dla(d)}k[j>>2]=k[n>>2];k[j+4>>2]=k[n+4>>2];k[j+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}$9(n);c=m}a=oc[k[(k[m>>2]|0)+12>>2]&511](m)|0;i[e>>0]=a;a=oc[k[(k[m>>2]|0)+16>>2]&511](m)|0;i[f>>0]=a;mc[k[(k[c>>2]|0)+20>>2]&1023](n,m);a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}y=0;oa(506,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}k[g>>2]=k[n>>2];k[g+4>>2]=k[n+4>>2];k[g+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}$9(n);mc[k[(k[c>>2]|0)+24>>2]&1023](n,m);a=h+11|0;if((i[a>>0]|0)<0){i[k[h>>2]>>0]=0;k[h+4>>2]=0}else{i[h>>0]=0;i[a>>0]=0}y=0;oa(506,h|0,0);g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}k[h>>2]=k[n>>2];k[h+4>>2]=k[n+4>>2];k[h+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}$9(n);a=oc[k[(k[m>>2]|0)+36>>2]&511](m)|0}k[l>>2]=a;r=o;return}function ng(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;i=0;z=r;r=r+80|0;p=z+72|0;q=z+68|0;s=z+64|0;t=z+60|0;u=z+56|0;v=z+52|0;h=z+48|0;B=z+44|0;d=z+40|0;e=z+32|0;f=z+28|0;w=z+36|0;j=z+16|0;l=z+12|0;m=z+8|0;n=z+4|0;o=z;A=z+24|0;x=z+20|0;g=b+68|0;rT(p,g);c=k[p>>2]|0;k[d>>2]=c;if(!c)c=0;else c=pw(c,88,104,0)|0;y=0;oa(482,B|0,c|0);c=y;y=0;if(c&1){B=pb()|0;EO(d);sb(B|0)}EO(d);c=k[B>>2]|0;a:do if(!c)i=47;else{y=0;c=Ha(1021,0,c|0)|0;d=y;y=0;if(d&1)i=12;else{y=0;oa(482,f|0,c|0);d=y;y=0;if(d&1)i=12;else{y=0;Ha(966,g|0,f|0)|0;d=y;y=0;if(!(d&1)){y=0;oa(464,h|0,g|0);g=y;y=0;if(!(g&1)){k[e>>2]=k[h>>2];EO(e);EO(f);h=k[B>>2]|0;c=k[h+76>>2]|0;h=k[h+80>>2]|0;if((c|0)==(h|0)){i=47;break}b:while(1){y=0;oa(464,w|0,c|0);i=y;y=0;if(i&1){i=20;break}d=k[w>>2]|0;if(d|0)do{y=0;oa(464,s|0,d+76|0);i=y;y=0;if(i&1){i=21;break b}i=k[s>>2]|0;k[j>>2]=i;EO(j);if(i|0){y=0;oa(464,p|0,(k[w>>2]|0)+76|0);i=y;y=0;if(i&1){i=21;break b}g=k[p>>2]|0;k[l>>2]=g;EO(l);d=k[g+76>>2]|0;g=k[g+80>>2]|0;if((d|0)!=(g|0))do{e=k[d>>2]|0;do if(e|0){e=pw(e,144,288,0)|0;if(!e)break;f=e+104|0;y=0;oa(464,q|0,f|0);i=y;y=0;if(i&1){i=27;break b}e=k[q>>2]|0;k[m>>2]=e;if(!e){EO(m);break}e=pw(e,88,104,0)|0;EO(m);if(!e)break;y=0;e=Ha(1021,0,e|0)|0;i=y;y=0;if(i&1){i=35;break b}y=0;na(367,e|0);i=y;y=0;if(i&1){i=36;break b}y=0;oa(482,o|0,e|0);i=y;y=0;if(i&1){i=36;break b}y=0;Ha(966,f|0,o|0)|0;i=y;y=0;if(i&1){i=37;break b}y=0;oa(464,t|0,f|0);i=y;y=0;if(i&1){i=37;break b}k[n>>2]=k[t>>2];EO(n);EO(o)}while(0);d=d+4|0}while((d|0)!=(g|0))}y=0;oa(464,u|0,(k[w>>2]|0)+80|0);i=y;y=0;if(i&1){i=42;break b}k[p>>2]=k[u>>2];y=0;Ha(966,w|0,p|0)|0;i=y;y=0;if(i&1){i=43;break b}EO(p);d=k[w>>2]|0}while((d|0)!=0);EO(w);c=c+4|0;if((c|0)==(h|0)){i=47;break a}}if((i|0)==20){c=pb()|0;break}else if((i|0)==21)c=pb()|0;else if((i|0)==27)c=pb()|0;else if((i|0)==35)c=pb()|0;else if((i|0)==36)c=pb()|0;else if((i|0)==37){c=pb()|0;EO(o)}else if((i|0)==42){c=pb()|0;i=44}else if((i|0)==43){c=pb()|0;EO(p);i=44}EO(w);break}}c=pb()|0;EO(f)}}}while(0);if((i|0)==47){y=0;oa(464,v|0,b+64|0);w=y;y=0;if(w&1)i=12;else{d=k[v>>2]|0;k[A>>2]=d;e=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>2;if(!e){EO(A);EO(B);r=z;return}c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;w=y;y=0;if(w&1){i=57;break}if(k[d>>2]|0){d=(k[A>>2]|0)+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;w=y;y=0;if(w&1){i=57;break}y=0;oa(464,x|0,d|0);w=y;y=0;if(w&1){i=57;break}w=k[x>>2]|0;y=0;oa(k[(k[w>>2]|0)+40>>2]|0,w|0,a|0);w=y;y=0;if(w&1){i=58;break}EO(x)}c=c+1|0;if(c>>>0>=e>>>0){i=50;break}d=k[A>>2]|0}if((i|0)==50){EO(A);EO(B);r=z;return}else if((i|0)==57)c=pb()|0;else if((i|0)==58){c=pb()|0;EO(x)}EO(A)}}if((i|0)==12)c=pb()|0;EO(B);B=c;sb(B|0)}function og(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0;n=r;r=r+16|0;m=n;if(a){c=EZ(c,79880)|0;if(b){mc[k[(k[c>>2]|0)+44>>2]&1023](m,c);a=k[m>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[c>>2]|0)+32>>2]&1023](m,c);a=j+8+3|0;if((i[a>>0]|0)<0){k[k[j>>2]>>2]=0;k[j+4>>2]=0}else{k[j>>2]=0;i[a>>0]=0}y=0;oa(633,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;dla(d)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}w9(m)}else{mc[k[(k[c>>2]|0)+40>>2]&1023](m,c);a=k[m>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[c>>2]|0)+28>>2]&1023](m,c);a=j+8+3|0;if((i[a>>0]|0)<0){k[k[j>>2]>>2]=0;k[j+4>>2]=0}else{k[j>>2]=0;i[a>>0]=0}y=0;oa(633,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;dla(d)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}w9(m)}a=oc[k[(k[c>>2]|0)+12>>2]&511](c)|0;k[e>>2]=a;a=oc[k[(k[c>>2]|0)+16>>2]&511](c)|0;k[f>>2]=a;mc[k[(k[c>>2]|0)+20>>2]&1023](m,c);a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}y=0;oa(506,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}k[g>>2]=k[m>>2];k[g+4>>2]=k[m+4>>2];k[g+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}$9(m);mc[k[(k[c>>2]|0)+24>>2]&1023](m,c);a=h+8+3|0;if((i[a>>0]|0)<0){k[k[h>>2]>>2]=0;k[h+4>>2]=0}else{k[h>>2]=0;i[a>>0]=0}y=0;oa(633,h|0,0);g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}w9(m);a=oc[k[(k[c>>2]|0)+36>>2]&511](c)|0}else{c=EZ(c,79872)|0;if(b){mc[k[(k[c>>2]|0)+44>>2]&1023](m,c);a=k[m>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[c>>2]|0)+32>>2]&1023](m,c);a=j+8+3|0;if((i[a>>0]|0)<0){k[k[j>>2]>>2]=0;k[j+4>>2]=0}else{k[j>>2]=0;i[a>>0]=0}y=0;oa(633,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;dla(d)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}w9(m)}else{mc[k[(k[c>>2]|0)+40>>2]&1023](m,c);a=k[m>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[c>>2]|0)+28>>2]&1023](m,c);a=j+8+3|0;if((i[a>>0]|0)<0){k[k[j>>2]>>2]=0;k[j+4>>2]=0}else{k[j>>2]=0;i[a>>0]=0}y=0;oa(633,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;dla(d)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}w9(m)}a=oc[k[(k[c>>2]|0)+12>>2]&511](c)|0;k[e>>2]=a;a=oc[k[(k[c>>2]|0)+16>>2]&511](c)|0;k[f>>2]=a;mc[k[(k[c>>2]|0)+20>>2]&1023](m,c);a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}y=0;oa(506,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}k[g>>2]=k[m>>2];k[g+4>>2]=k[m+4>>2];k[g+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}$9(m);mc[k[(k[c>>2]|0)+24>>2]&1023](m,c);a=h+8+3|0;if((i[a>>0]|0)<0){k[k[h>>2]>>2]=0;k[h+4>>2]=0}else{k[h>>2]=0;i[a>>0]=0}y=0;oa(633,h|0,0);g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}w9(m);a=oc[k[(k[c>>2]|0)+36>>2]&511](c)|0}k[l>>2]=a;r=n;return}function pg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;v=0;x=r;r=r+240|0;w=x+200|0;i=x+160|0;j=x+144|0;A=x+88|0;z=x+64|0;q=x+104|0;s=x+76|0;o=x;t=x+24|0;u=x+8|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;jI(w,35329,6);y=0;b=Ha(971,a|0,w|0)|0;n=y;y=0;if(n&1){A=pb()|0;$9(w);sb(A|0)}b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,520,0)|0;$9(w);if(b|0){g=ZL(80)|0;l=i;m=e;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(452,z|0,b+64|0);e=y;y=0;if(e&1)b=pb()|0;else{y=0;b=ta(52,z|0,0,35442)|0;e=y;y=0;if(e&1)b=pb()|0;else{k[A>>2]=k[b>>2];k[A+4>>2]=k[b+4>>2];k[A+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,A|0,44127)|0;e=y;y=0;do if(e&1)b=pb()|0;else{k[j>>2]=k[b>>2];k[j+4>>2]=k[b+4>>2];k[j+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;l=w;m=i;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Ea(2,g|0,w|0,j|0,0,0,0,1);w=y;y=0;if(w&1){b=pb()|0;$9(j);break}$9(j);$9(A);$9(z);A=g;r=x;return A|0}while(0);$9(A)}$9(z)}zqa(g);A=b;sb(A|0)}k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;jI(w,35329,6);y=0;b=Ha(971,a|0,w|0)|0;n=y;y=0;if(n&1){A=pb()|0;$9(w);sb(A|0)}b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,448,0)|0;$9(w);if(!b){g=ZL(104)|0;l=t;m=e;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(75,A|0,35329,6);z=y;y=0;if(z&1)b=pb()|0;else{y=0;l=w;m=e;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));b=sa(24,A|0,a|0,d|0,w|0,f|0)|0;z=y;y=0;do if(z&1)v=41;else{h=+p[b+88>>3];k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(75,u|0,82159,0);z=y;y=0;if(z&1)v=41;else{y=0;l=w;m=t;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Ca(1,g|0,w|0,+h,u|0,1);z=y;y=0;if(z&1){b=pb()|0;$9(u);break}$9(u);$9(A);A=g;r=x;return A|0}}while(0);if((v|0)==41)b=pb()|0;$9(A)}zqa(g);A=b;sb(A|0)}g=ZL(80)|0;l=q;m=e;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));e=k[(k[b>>2]|0)+28>>2]|0;d=k[c+16>>2]|0;f=k[d+4>>2]|0;v=o;k[v>>2]=k[d>>2];k[v+4>>2]=f;y=0;k[w>>2]=k[o>>2];k[w+4>>2]=k[o+4>>2];Na(e|0,z|0,b|0,w|0);e=y;y=0;if(e&1)b=pb()|0;else{y=0;b=ta(52,z|0,0,35449)|0;e=y;y=0;if(e&1)b=pb()|0;else{k[A>>2]=k[b>>2];k[A+4>>2]=k[b+4>>2];k[A+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,A|0,44127)|0;e=y;y=0;do if(e&1)b=pb()|0;else{k[s>>2]=k[b>>2];k[s+4>>2]=k[b+4>>2];k[s+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;l=w;m=q;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Ea(2,g|0,w|0,s|0,0,0,0,1);w=y;y=0;if(w&1){b=pb()|0;$9(s);break}$9(s);$9(A);$9(z);A=g;r=x;return A|0}while(0);$9(A)}$9(z)}zqa(g);A=b;sb(A|0);return 0}function qg(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;D=0;t=r;r=r+208|0;o=t+160|0;p=t+152|0;q=t+112|0;C=t+76|0;g=t+100|0;B=t+72|0;m=t+88|0;A=t+28|0;z=t+12|0;s=t+32|0;w=t+16|0;x=t+8|0;v=t+4|0;u=t;k[o>>2]=4;n=a+60|0;b=k[n>>2]|0;if(b>>>0<(k[a+64>>2]|0)>>>0){k[b>>2]=4;k[n>>2]=b+4}else az(a+56|0,o);h=a+108|0;b=q;c=h;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));j=i[(k[(k[a+48>>2]|0)+-4>>2]|0)+84>>0]|0;l=j<<24>>24!=0;sl(o,a);c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){LM(o);D=8}else if(f>>>0<11){i[o+11>>0]=f;b=o}else D=8;if((D|0)==8){d=f+16&-16;b=ZL(d)|0;k[o>>2]=b;k[o+8>>2]=d|-2147483648;k[o+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;y=0;oa(552,C|0,o|0);f=y;y=0;if(f&1){D=pb()|0;$9(o);sb(D|0)}$9(o);y=0;b=ta(138,a|0,1,0)|0;f=y;y=0;a:do if(f&1)D=19;else{do if(!b){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,41423,41);f=y;y=0;if(f&1){D=19;break a}y=0;k[o>>2]=k[h>>2];k[o+4>>2]=k[h+4>>2];k[o+8>>2]=k[h+8>>2];Na(109,a|0,g|0,o|0);f=y;y=0;if(f&1){b=pb()|0;$9(g);break a}else{$9(g);break}}while(0);y=0;b=qa(380,a|0)|0;g=y;y=0;if(g&1)D=19;else{k[B>>2]=b;y=0;b=ta(139,a|0,1,0)|0;g=y;y=0;b:do if(g&1)D=24;else{do if(!b){y=0;b=ta(140,a|0,1,0)|0;g=y;y=0;if(g&1){D=24;break b}if(!b){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,41465,52);g=y;y=0;if(g&1){D=24;break b}y=0;k[o>>2]=k[h>>2];k[o+4>>2]=k[h+4>>2];k[o+8>>2]=k[h+8>>2];Na(109,a|0,m|0,o|0);h=y;y=0;if(h&1){b=pb()|0;$9(m);break b}else{$9(m);f=0;break}}else f=0}else f=1;while(0);y=0;b=qa(380,a|0)|0;m=y;y=0;if(m&1)D=24;else{k[A>>2]=b;c=a+164|0;d=i[c>>0]|0;i[c>>0]=j;y=0;b=Ha(1010,a|0,l|0)|0;a=y;y=0;if(a&1){b=pb()|0;i[c>>0]=d}else{i[c>>0]=d;k[z>>2]=b;k[n>>2]=(k[n>>2]|0)+-4;y=0;e=qa(332,92)|0;n=y;y=0;c:do if(n&1)b=pb()|0;else{b=s;c=q;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(452,w|0,C|0);q=y;y=0;do if(q&1)b=pb()|0;else{y=0;oa(464,x|0,B|0);q=y;y=0;if(q&1){b=pb()|0;$9(w);break}y=0;oa(464,v|0,A|0);q=y;y=0;if(q&1){b=pb()|0;c=1}else{y=0;oa(464,u|0,z|0);q=y;y=0;if(q&1){b=pb()|0;c=1}else{y=0;b=o;c=s;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));Ea(3,e|0,o|0,w|0,x|0,v|0,u|0,f|0);s=y;y=0;do if(s&1)c=1;else{y=0;oa(482,p|0,e|0);s=y;y=0;if(s&1){c=0;break}EO(u);EO(v);EO(x);$9(w);EO(z);EO(A);EO(B);$9(C);r=t;return k[p>>2]|0}while(0);b=pb()|0;EO(u)}EO(v)}EO(x);$9(w);if(!c)break c}while(0);zqa(e)}while(0);EO(z)}EO(A)}}while(0);if((D|0)==24)b=pb()|0;EO(B)}}while(0);if((D|0)==19)b=pb()|0;$9(C);D=b;sb(D|0);return 0}function rg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;x=0;q=r;r=r+144|0;n=q;m=q+128|0;t=q+76|0;u=q+52|0;o=q+88|0;v=q+40|0;s=q+64|0;w=ZL(112)|0;b=o;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(75,v|0,35304,4);g=y;y=0;if(g&1){x=pb()|0;zqa(w);sb(x|0)}y=0;b=n;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,v|0,a|0,d|0,n|0,f|0)|0;g=y;y=0;if(g&1)x=37;else{y=0;oa(457,u|0,b|0);g=y;y=0;if(g&1)x=37;else{g=i[u+11>>0]|0;if(((g<<24>>24<0?k[u+4>>2]|0:g&255)|0)==1){y=0;c=sa(21,u|0,0,-1,44240,1)|0;g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}$9(u);if(!c){l=+p[b+64>>3]*255.0/100.0;l=l<0.0?0.0:l;l=l>255.0?255.0:l}else x=10}else{$9(u);x=10}if((x|0)==10){l=+p[b+64>>3];l=l<0.0?0.0:l;l=l>255.0?255.0:l}k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(75,u|0,35309,6);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=n;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,u|0,a|0,d|0,n|0,f|0)|0;g=y;y=0;if(g&1)x=39;else{y=0;oa(457,t|0,b|0);g=y;y=0;if(g&1)x=39;else{g=i[t+11>>0]|0;if(((g<<24>>24<0?k[t+4>>2]|0:g&255)|0)==1){y=0;c=sa(21,t|0,0,-1,44240,1)|0;g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}$9(t);if(!c){j=+p[b+64>>3]*255.0/100.0;j=j<0.0?0.0:j;j=j>255.0?255.0:j}else x=20}else{$9(t);x=20}if((x|0)==20){j=+p[b+64>>3];j=j<0.0?0.0:j;j=j>255.0?255.0:j}k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,35316,5);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=n;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,t|0,a|0,d|0,n|0,f|0)|0;f=y;y=0;if(f&1)x=41;else{y=0;oa(457,m|0,b|0);f=y;y=0;if(f&1)x=41;else{f=i[m+11>>0]|0;if(((f<<24>>24<0?k[m+4>>2]|0:f&255)|0)==1){y=0;c=sa(21,m|0,0,-1,44240,1)|0;f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}$9(m);if(!c){h=+p[b+64>>3]*255.0/100.0;h=h<0.0?0.0:h;h=h>255.0?255.0:h}else x=30}else{$9(m);x=30}if((x|0)==30){h=+p[b+64>>3];h=h<0.0?0.0:h;h=h>255.0?255.0:h}k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,82159,0);f=y;y=0;if(f&1)x=41;else{b=n;c=o;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));y=0;na(366,w|0);f=y;y=0;do if(f&1)b=pb()|0;else{b=w+12|0;c=n;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));i[w+52>>0]=0;i[w+53>>0]=0;i[w+54>>0]=0;b=w+56|0;k[b>>2]=0;k[w>>2]=9088;p[w+64>>3]=l;p[w+72>>3]=j;p[w+80>>3]=h;p[w+88>>3]=1.0;y=0;oa(452,w+96|0,s|0);f=y;y=0;if(f&1){b=pb()|0;break}else{k[w+108>>2]=0;k[b>>2]=3;$9(s);$9(t);$9(u);$9(v);r=q;return w|0}}while(0);$9(s)}}}if((x|0)==41)b=pb()|0;$9(t)}}}if((x|0)==39)b=pb()|0;$9(u)}}}if((x|0)==37)b=pb()|0;$9(v);x=b;zqa(w);sb(x|0);return 0}function sg(a){a=a|0;if((cc|0)!=2){k[dc+8>>2]=a;if((cc|0)==1)cc=3}Qc(fc+42952|0);return k[dc>>2]|0}function tg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;p=0;s=r;r=r+208|0;l=s+104|0;t=s;n=s+168|0;o=s+156|0;m=s+144|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;jI(t,36624,9);y=0;g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));c=sa(23,t|0,a|0,d|0,l|0,f|0)|0;q=y;y=0;if(q&1){s=pb()|0;$9(t);t=s;sb(t|0)}$9(t);k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;jI(t,36634,9);y=0;g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=sa(23,t|0,a|0,d|0,l|0,f|0)|0;q=y;y=0;if(q&1){s=pb()|0;$9(t);t=s;sb(t|0)}$9(t);if(!(dU(c)|0))if(!(dU(b)|0)){nw(t,b);y=0;oa(456,l|0,c|0);q=y;y=0;do if(q&1){c=pb()|0;b=N;p=37}else{y=0;Na(74,t|0,l|0,0);q=y;y=0;if(q&1){c=pb()|0;b=N;$9(l);p=37;break}$9(l);y=0;q=qa(332,68)|0;j=y;y=0;if(j&1){c=pb()|0;f=N;break}g=n;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;oa(457,o|0,c|0);e=y;y=0;if(e&1){c=pb()|0;b=N}else{y=0;oa(457,m|0,t|0);e=y;y=0;do if(e&1){c=pb()|0;b=N}else{g=i[o+11>>0]|0;a=g<<24>>24<0;g=g&255;d=a?k[o+4>>2]|0:g;e=i[m+11>>0]|0;b=e<<24>>24<0;a:do if((d|0)==((b?k[m+4>>2]|0:e&255)|0)){f=k[o>>2]|0;h=a?f:o;b=b?k[m>>2]|0:m;c=(d|0)==0;if(a){if(c){b=1;break}b=(zM(h,b,d)|0)==0&1;break}if(c)b=1;else if((f&255)<<24>>24==(i[b>>0]|0)){c=o;while(1){g=g+-1|0;c=c+1|0;if(!g){b=1;break a}b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0)){b=0;break}}}else b=0}else b=0;while(0);g=l;h=n;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(366,q|0);n=y;y=0;if(n&1){c=pb()|0;b=N;$9(m);break}g=q+12|0;h=l;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[q+52>>0]=0;i[q+53>>0]=0;i[q+54>>0]=0;k[q>>2]=9208;i[q+60>>0]=b;k[q+64>>2]=0;k[q+56>>2]=1;$9(m);$9(o);k[t>>2]=4736;g=t+88|0;b=k[g>>2]|0;if(b|0){a=t+92|0;c=k[a>>2]|0;if((c|0)!=(b|0)){do{p=c+-12|0;k[a>>2]=p;$9(p);c=k[a>>2]|0}while((c|0)!=(b|0));b=k[g>>2]|0}zqa(b)}a=t+76|0;b=k[a>>2]|0;if(b|0){g=t+80|0;c=k[g>>2]|0;if((c|0)!=(b|0)){do{t=c+-12|0;k[g>>2]=t;$9(t);c=k[g>>2]|0}while((c|0)!=(b|0));b=k[a>>2]|0}zqa(b)}t=q;r=s;return t|0}while(0);$9(o)}zqa(q);f=b}while(0);if((p|0)==37)f=b;k[t>>2]=4736;a=t+88|0;b=k[a>>2]|0;if(b|0){d=t+92|0;g=k[d>>2]|0;if((g|0)!=(b|0)){do{s=g+-12|0;k[d>>2]=s;$9(s);g=k[d>>2]|0}while((g|0)!=(b|0));b=k[a>>2]|0}zqa(b)}d=t+76|0;b=k[d>>2]|0;if(b|0){a=t+80|0;g=k[a>>2]|0;if((g|0)!=(b|0)){do{t=g+-12|0;k[a>>2]=t;$9(t);g=k[a>>2]|0}while((g|0)!=(b|0));b=k[d>>2]|0}zqa(b)}t=c;sb(t|0)}b=ZL(68)|0;g=t;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(366,b|0);q=y;y=0;if(q&1){t=pb()|0;zqa(b);sb(t|0)}else{g=b+12|0;h=t;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=9208;i[b+60>>0]=1;k[b+64>>2]=0;k[b+56>>2]=1;t=b;r=s;return t|0}return 0}function ug(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;s=0;u=r;r=r+64|0;v=u+44|0;t=u+32|0;l=u+16|0;m=u;q=u+28|0;p=u+12|0;n=a+72|0;pK(v,n);o=b+72|0;y=0;oa(452,t|0,o|0);j=y;y=0;a:do if(j&1)c=pb()|0;else{b:do if(ap(v,t)|0){y=0;oa(452,l|0,a+84|0);j=y;y=0;do if(j&1)c=pb()|0;else{y=0;oa(452,m|0,b+84|0);j=y;y=0;if(j&1){c=pb()|0;$9(l);break}e=i[l+11>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[l+4>>2]|0:e;j=i[m+11>>0]|0;c=j<<24>>24<0;if((g|0)!=((c?k[m+4>>2]|0:j&255)|0)){$9(m);$9(l);$9(t);$9(v);break b}h=k[l>>2]|0;j=f?h:l;c=c?k[m>>2]|0:m;d=(g|0)==0;c:do if(f)if(d){$9(m);$9(l);$9(t);$9(v);break}else{j=(zM(j,c,g)|0)==0;$9(m);$9(l);$9(t);$9(v);if(j)break;else break b}else{if(d){$9(m);$9(l);$9(t);$9(v);break}d:do if((h&255)<<24>>24==(i[c>>0]|0)){d=l;while(1){e=e+-1|0;d=d+1|0;if(!e)break;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0))break d}$9(m);$9(l);$9(t);$9(v);break c}while(0);$9(m);$9(l);$9(t);$9(v);break b}while(0);rT(v,a+104|0);c=k[v>>2]|0;k[q>>2]=c;d=k[(k[c>>2]|0)+136>>2]|0;y=0;oa(464,v|0,b+104|0);t=y;y=0;do if(t&1)c=pb()|0;else{v=k[v>>2]|0;k[p>>2]=v;y=0;c=Ha(d|0,c|0,v|0)|0;v=y;y=0;if(v&1){c=pb()|0;EO(p);break}EO(p);EO(q);v=c;r=u;return v|0}while(0);EO(q);v=c;sb(v|0)}while(0);$9(t);break a}else{$9(t);$9(v)}while(0);pK(v,n);y=0;oa(452,t|0,o|0);q=y;y=0;if(q&1){u=pb()|0;$9(v);v=u;sb(v|0)}q=ap(v,t)|0;$9(t);$9(v);if(q){pK(v,a+84|0);y=0;oa(452,t|0,b+84|0);q=y;y=0;if(q&1){u=pb()|0;$9(v);v=u;sb(v|0)}f=i[v+11>>0]|0;d=f<<24>>24<0;f=d?k[v+4>>2]|0:f&255;g=i[t+11>>0]|0;e=g<<24>>24<0;g=e?k[t+4>>2]|0:g&255;h=g>>>0<f>>>0;c=h?g:f;if(!c)s=35;else{c=zM(d?k[v>>2]|0:v,e?k[t>>2]|0:t,c)|0;if(!c)s=35}if((s|0)==35)c=f>>>0<g>>>0?-1:h&1;$9(t);$9(v);v=(c|0)<0;r=u;return v|0}else{pK(v,n);y=0;oa(452,t|0,o|0);q=y;y=0;if(q&1){u=pb()|0;$9(v);v=u;sb(v|0)}f=i[v+11>>0]|0;d=f<<24>>24<0;f=d?k[v+4>>2]|0:f&255;g=i[t+11>>0]|0;e=g<<24>>24<0;g=e?k[t+4>>2]|0:g&255;h=g>>>0<f>>>0;c=h?g:f;if(!c)s=42;else{c=zM(d?k[v>>2]|0:v,e?k[t>>2]|0:t,c)|0;if(!c)s=42}if((s|0)==42)c=f>>>0<g>>>0?-1:h&1;$9(t);$9(v);v=(c|0)<0;r=u;return v|0}}while(0);$9(v);v=c;sb(v|0);return 0}function vg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;s=0;u=r;r=r+64|0;v=u+44|0;t=u+32|0;l=u+16|0;m=u;q=u+28|0;p=u+12|0;n=a+72|0;pK(v,n);o=b+72|0;y=0;oa(452,t|0,o|0);j=y;y=0;a:do if(j&1)c=pb()|0;else{b:do if(ap(v,t)|0){y=0;oa(452,l|0,a+84|0);j=y;y=0;do if(j&1)c=pb()|0;else{y=0;oa(452,m|0,b+84|0);j=y;y=0;if(j&1){c=pb()|0;$9(l);break}e=i[l+11>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[l+4>>2]|0:e;j=i[m+11>>0]|0;c=j<<24>>24<0;if((g|0)!=((c?k[m+4>>2]|0:j&255)|0)){$9(m);$9(l);$9(t);$9(v);break b}h=k[l>>2]|0;j=f?h:l;c=c?k[m>>2]|0:m;d=(g|0)==0;c:do if(f)if(d){$9(m);$9(l);$9(t);$9(v);break}else{j=(zM(j,c,g)|0)==0;$9(m);$9(l);$9(t);$9(v);if(j)break;else break b}else{if(d){$9(m);$9(l);$9(t);$9(v);break}d:do if((h&255)<<24>>24==(i[c>>0]|0)){d=l;while(1){e=e+-1|0;d=d+1|0;if(!e)break;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0))break d}$9(m);$9(l);$9(t);$9(v);break c}while(0);$9(m);$9(l);$9(t);$9(v);break b}while(0);rT(v,a+104|0);c=k[v>>2]|0;k[q>>2]=c;d=k[(k[c>>2]|0)+124>>2]|0;y=0;oa(464,v|0,b+104|0);t=y;y=0;do if(t&1)c=pb()|0;else{v=k[v>>2]|0;k[p>>2]=v;y=0;c=Ha(d|0,c|0,v|0)|0;v=y;y=0;if(v&1){c=pb()|0;EO(p);break}EO(p);EO(q);v=c;r=u;return v|0}while(0);EO(q);v=c;sb(v|0)}while(0);$9(t);break a}else{$9(t);$9(v)}while(0);pK(v,n);y=0;oa(452,t|0,o|0);q=y;y=0;if(q&1){u=pb()|0;$9(v);v=u;sb(v|0)}q=ap(v,t)|0;$9(t);$9(v);if(q){pK(v,a+84|0);y=0;oa(452,t|0,b+84|0);q=y;y=0;if(q&1){u=pb()|0;$9(v);v=u;sb(v|0)}f=i[v+11>>0]|0;d=f<<24>>24<0;f=d?k[v+4>>2]|0:f&255;g=i[t+11>>0]|0;e=g<<24>>24<0;g=e?k[t+4>>2]|0:g&255;h=g>>>0<f>>>0;c=h?g:f;if(!c)s=35;else{c=zM(d?k[v>>2]|0:v,e?k[t>>2]|0:t,c)|0;if(!c)s=35}if((s|0)==35)c=f>>>0<g>>>0?-1:h&1;$9(t);$9(v);v=(c|0)<0;r=u;return v|0}else{pK(v,n);y=0;oa(452,t|0,o|0);q=y;y=0;if(q&1){u=pb()|0;$9(v);v=u;sb(v|0)}f=i[v+11>>0]|0;d=f<<24>>24<0;f=d?k[v+4>>2]|0:f&255;g=i[t+11>>0]|0;e=g<<24>>24<0;g=e?k[t+4>>2]|0:g&255;h=g>>>0<f>>>0;c=h?g:f;if(!c)s=42;else{c=zM(d?k[v>>2]|0:v,e?k[t>>2]|0:t,c)|0;if(!c)s=42}if((s|0)==42)c=f>>>0<g>>>0?-1:h&1;$9(t);$9(v);v=(c|0)<0;r=u;return v|0}}while(0);$9(v);v=c;sb(v|0);return 0}function wg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;l=0;a:while(1){j=b;m=b+-4|0;while(1){b:while(1){i=a;d=j-i|0;e=d>>2;switch(e|0){case 2:{l=5;break a}case 3:{l=7;break a}case 4:{l=15;break a}case 5:{l=16;break a}case 1:case 0:{l=68;break a}default:{}}if((d|0)<124){l=22;break a}h=a+(((e|0)/2|0)<<2)|0;do if((d|0)>3996){e=(e|0)/4|0;g=a+(e<<2)|0;e=h+(e<<2)|0;d=Yv(a,g,h,e,c)|0;if(Fc[k[c>>2]&2047](m,e)|0){f=k[e>>2]|0;k[e>>2]=k[m>>2];k[m>>2]=f;f=d+1|0;if(Fc[k[c>>2]&2047](e,h)|0){f=k[h>>2]|0;k[h>>2]=k[e>>2];k[e>>2]=f;e=d+2|0;if(Fc[k[c>>2]&2047](h,g)|0){f=k[g>>2]|0;k[g>>2]=k[h>>2];k[h>>2]=f;if(Fc[k[c>>2]&2047](g,a)|0){f=k[a>>2]|0;k[a>>2]=k[g>>2];k[g>>2]=f;d=d+4|0}else d=d+3|0}else d=e}else d=f}}else{g=Fc[k[c>>2]&2047](h,a)|0;d=Fc[k[c>>2]&2047](m,h)|0;if(!g){if(!d){d=0;break}g=k[h>>2]|0;k[h>>2]=k[m>>2];k[m>>2]=g;if(!(Fc[k[c>>2]&2047](h,a)|0)){d=1;break}d=k[a>>2]|0;k[a>>2]=k[h>>2];k[h>>2]=d;d=2;break}e=k[a>>2]|0;if(d){k[a>>2]=k[m>>2];k[m>>2]=e;d=1;break}k[a>>2]=k[h>>2];k[h>>2]=e;if(Fc[k[c>>2]&2047](m,h)|0){d=k[h>>2]|0;k[h>>2]=k[m>>2];k[m>>2]=d;d=2}else d=1}while(0);if(Fc[k[c>>2]&2047](a,h)|0){e=m;break}else e=m;while(1){e=e+-4|0;if((a|0)==(e|0))break;if(Fc[k[c>>2]&2047](e,h)|0){l=51;break b}}d=a+4|0;if(!(Fc[k[c>>2]&2047](a,m)|0)){if((d|0)==(m|0)){l=68;break a}while(1){if(Fc[k[c>>2]&2047](a,d)|0)break;d=d+4|0;if((d|0)==(m|0)){l=68;break a}}i=k[d>>2]|0;k[d>>2]=k[m>>2];k[m>>2]=i;d=d+4|0}if((d|0)==(m|0)){l=68;break a}else e=m;while(1){while(1){f=d+4|0;if(Fc[k[c>>2]&2047](a,d)|0)break;else d=f}do e=e+-4|0;while(Fc[k[c>>2]&2047](a,e)|0);if(d>>>0>=e>>>0){a=d;continue b}i=k[d>>2]|0;k[d>>2]=k[e>>2];k[e>>2]=i;d=f}}if((l|0)==51){l=0;g=k[a>>2]|0;k[a>>2]=k[e>>2];k[e>>2]=g;d=d+1|0}f=a+4|0;c:do if(f>>>0<e>>>0)while(1){while(1){g=f+4|0;if(Fc[k[c>>2]&2047](f,h)|0)f=g;else break}do e=e+-4|0;while(!(Fc[k[c>>2]&2047](e,h)|0));if(f>>>0>e>>>0){e=h;break c}n=k[f>>2]|0;k[f>>2]=k[e>>2];k[e>>2]=n;h=(h|0)==(f|0)?e:h;f=g;d=d+1|0}else e=h;while(0);if((f|0)!=(e|0))if(Fc[k[c>>2]&2047](e,f)|0){n=k[f>>2]|0;k[f>>2]=k[e>>2];k[e>>2]=n;d=d+1|0}if(!d){d=wj(a,f,c)|0;e=f+4|0;if(wj(e,b,c)|0){l=67;break}if(d){a=e;continue}}n=f;if((n-i|0)>=(j-n|0)){l=66;break}wg(a,f,c);a=f+4|0}if((l|0)==66){l=0;wg(f+4|0,b,c);b=f;continue}else if((l|0)==67){l=0;if(d){l=68;break}else{b=f;continue}}}if((l|0)==5){if(!(Fc[k[c>>2]&2047](m,a)|0))return;n=k[a>>2]|0;k[a>>2]=k[m>>2];k[m>>2]=n;return}else if((l|0)==7){b=a+4|0;n=Fc[k[c>>2]&2047](b,a)|0;d=Fc[k[c>>2]&2047](m,b)|0;if(!n){if(!d)return;n=k[b>>2]|0;k[b>>2]=k[m>>2];k[m>>2]=n;if(!(Fc[k[c>>2]&2047](b,a)|0))return;n=k[a>>2]|0;k[a>>2]=k[b>>2];k[b>>2]=n;return}e=k[a>>2]|0;if(d){k[a>>2]=k[m>>2];k[m>>2]=e;return}k[a>>2]=k[b>>2];k[b>>2]=e;if(!(Fc[k[c>>2]&2047](m,b)|0))return;n=k[b>>2]|0;k[b>>2]=k[m>>2];k[m>>2]=n;return}else if((l|0)==15){Yv(a,a+4|0,a+8|0,m,c)|0;return}else if((l|0)==16){b=a+4|0;d=a+8|0;e=a+12|0;Yv(a,b,d,e,c)|0;if(!(Fc[k[c>>2]&2047](m,e)|0))return;n=k[e>>2]|0;k[e>>2]=k[m>>2];k[m>>2]=n;if(!(Fc[k[c>>2]&2047](e,d)|0))return;n=k[d>>2]|0;k[d>>2]=k[e>>2];k[e>>2]=n;if(!(Fc[k[c>>2]&2047](d,b)|0))return;n=k[b>>2]|0;k[b>>2]=k[d>>2];k[d>>2]=n;if(!(Fc[k[c>>2]&2047](b,a)|0))return;n=k[a>>2]|0;k[a>>2]=k[b>>2];k[b>>2]=n;return}else if((l|0)==22){Kv(a,b,c);return}else if((l|0)==68)return}function xg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;o=0;e=r;r=r+336|0;c=e+312|0;s=e+300|0;p=e+160|0;l=e+24|0;f=e+12|0;d=e;c4(s,b+76|0,b);q=p+60|0;m=p+8|0;k[p>>2]=14164;k[q>>2]=14184;k[p+4>>2]=0;y=0;oa(528,p+60|0,m|0);n=y;y=0;if(n&1)b=pb()|0;else{k[p+132>>2]=0;k[p+136>>2]=-1;k[p>>2]=14204;k[q>>2]=14224;y=0;na(373,m|0);n=y;y=0;do if(n&1)b=pb()|0;else{k[m>>2]=14240;n=p+40|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[p+56>>2]=8;y=0;oa(529,m|0,s|0);j=y;y=0;if(j&1){b=pb()|0;$9(n);nba(m);break}j=l+56|0;g=l+4|0;k[l>>2]=14580;k[j>>2]=14600;y=0;oa(528,l+56|0,g|0);h=y;y=0;a:do if(h&1){b=pb()|0;o=24}else{k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=14324;k[j>>2]=14344;y=0;na(373,g|0);h=y;y=0;do if(h&1)b=pb()|0;else{k[g>>2]=14240;h=l+36|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;oa(529,g|0,c|0);b=y;y=0;if(b&1){b=pb()|0;$9(c);$9(h);nba(g);break}$9(c);k[c+12>>2]=255;y=0;Na(93,c|0,p|0,l|0);c=y;y=0;b:do if(c&1)b=pb()|0;else{y=0;oa(530,d|0,g|0);c=y;y=0;do if(c&1)b=pb()|0;else{y=0;b=ta(52,d|0,0,31711)|0;c=y;y=0;if(c&1){b=pb()|0;$9(d);break}k[f>>2]=k[b>>2];k[f+4>>2]=k[b+4>>2];k[f+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;$9(d);c=f+11|0;t=i[c>>0]|0;b=f+4|0;y=0;ta(53,f|0,(t<<24>>24<0?k[b>>2]|0:t&255)+-1|0,-1)|0;t=y;y=0;if(t&1)b=pb()|0;else{k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;t=i[c>>0]|0;b=t<<24>>24<0?k[b>>2]|0:t&255;y=0;Ra(10,d|0,31689,21,b+21|0);t=y;y=0;do if(t&1)o=30;else{y=0;ta(47,d|0,((i[c>>0]|0)<0?k[f>>2]|0:f)|0,b|0)|0;t=y;y=0;if(t&1)o=30;else{y=0;b=Ha(970,d|0,45689)|0;t=y;y=0;if(t&1){b=pb()|0;$9(d);break}else{k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;$9(d);$9(f);k[l>>2]=14324;k[j>>2]=14344;k[g>>2]=14240;$9(h);nba(g);Kka(l,14356);dja(j);k[p>>2]=14204;k[q>>2]=14224;k[m>>2]=14240;$9(n);nba(m);Lka(p,14300);dja(q);$9(s);r=e;return}}}while(0);if((o|0)==30){b=pb()|0;$9(d)}}$9(f);break b}while(0)}while(0);k[l>>2]=14324;k[j>>2]=14344;k[g>>2]=14240;$9(h);nba(g);Kka(l,14356);dja(j);break a}while(0);Kka(l,14356);o=24}while(0);if((o|0)==24)dja(j);k[p>>2]=14204;k[q>>2]=14224;k[m>>2]=14240;$9(n);nba(m);Lka(p,14300);dja(q);t=b;$9(s);sb(t|0)}while(0);Lka(p,14300)}dja(q);t=b;$9(s);sb(t|0)}function yg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;v=r;r=r+112|0;f=v+40|0;j=v;m=v+100|0;l=v+88|0;u=v+96|0;t=v+80|0;n=k[b+80>>2]|0;if((n|0)!=2){if(i[b+53>>0]|0){r=v;return b|0}s=ZL(88)|0;j=b+64|0;m=b+68|0;c=k[m>>2]|0;d=k[j>>2]|0;l=i[b+84>>0]|0;o=f;p=b+12|0;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(366,s|0);q=y;y=0;do if(q&1)c=pb()|0;else{e=c-d>>2;o=s+12|0;p=f;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));i[s+52>>0]=0;i[s+53>>0]=0;i[s+54>>0]=0;c=s+56|0;k[c>>2]=0;k[s>>2]=7760;d=s+60|0;k[d>>2]=7720;g=s+64|0;h=s+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(518,g|0,e|0);q=y;y=0;if(q&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{v=e+-4|0;k[h>>2]=v;EO(v);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[s>>2]=7552;k[d>>2]=7680;k[s+80>>2]=n;i[s+84>>0]=l;i[s+85>>0]=0;k[c>>2]=5;_V(u,s);e=k[j>>2]|0;h=(k[m>>2]|0)-e>>2;c=k[u>>2]|0;a:do if(h){j=b+64|0;d=0;while(1){f=c+60|0;g=k[(k[f>>2]|0)+20>>2]|0;c=k[e+(d<<2)>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;s=y;y=0;if(s&1){e=52;break}y=0;oa(482,t|0,c|0);s=y;y=0;if(s&1){e=52;break}y=0;oa(g|0,f|0,t|0);s=y;y=0;if(s&1){e=53;break}EO(t);d=d+1|0;c=k[u>>2]|0;if(d>>>0>=h>>>0)break a;e=k[j>>2]|0}if((e|0)==52)c=pb()|0;else if((e|0)==53){c=pb()|0;EO(t)}EO(u);v=c;sb(v|0)}while(0);i[c+54>>0]=i[b+54>>0]|0;i[c+85>>0]=i[b+85>>0]|0;i[c+53>>0]=1;if(!c)c=0;else i[c+8>>0]=1;EO(u);b=c;r=v;return b|0}while(0);zqa(s);v=c;sb(v|0)}g=ZL(104)|0;f=b+64|0;h=b+68|0;c=k[h>>2]|0;d=k[f>>2]|0;o=j;p=b+12|0;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(366,g|0);u=y;y=0;do if(u&1)c=pb()|0;else{e=c-d>>2>>>1;o=g+12|0;p=j;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;c=g+56|0;k[c>>2]=0;k[g>>2]=7760;d=g+60|0;y=0;oa(553,d|0,e|0);u=y;y=0;if(u&1){c=pb()|0;break}k[g>>2]=7880;k[d>>2]=8004;k[c>>2]=6;_V(m,g);d=k[f>>2]|0;g=(k[h>>2]|0)-d>>2;b:do if(!g){d=m;e=23}else{h=b+64|0;j=l+4|0;c=0;while(1){d=k[d+(c<<2)>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,a|0)|0;u=y;y=0;if(u&1){e=18;break}e=k[(k[h>>2]|0)+((c|1)<<2)>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+52>>2]|0,e|0,a|0)|0;u=y;y=0;if(u&1){e=19;break}i[d+52>>0]=1;f=(k[m>>2]|0)+60|0;y=0;oa(482,l|0,d|0);u=y;y=0;if(u&1){e=20;break}y=0;oa(482,j|0,e|0);u=y;y=0;if(u&1){e=14;break}y=0;Ha(985,f|0,l|0)|0;u=y;y=0;if(u&1){e=22;break}EO(j);EO(l);c=c+2|0;if(c>>>0>=g>>>0){d=m;e=23;break b}d=k[h>>2]|0}if((e|0)==14){c=pb()|0;EO(l)}else if((e|0)==18){c=pb()|0;break}else if((e|0)==19){c=pb()|0;break}else if((e|0)==20)c=pb()|0;else if((e|0)==22){c=pb()|0;EO(j);EO(l);break}}while(0);c:do if((e|0)==23){c=k[d>>2]|0;do if(!(k[c+100>>2]|0)){i[c+54>>0]=i[b+54>>0]|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;b=y;y=0;if(!(b&1)){EO(m);b=c;r=v;return b|0}}else{c=gb(84)|0;y=0;Na(122,c|0,k[d>>2]|0,b|0);v=y;y=0;if(v&1){v=pb()|0;fb(c|0);c=v;break c}else{y=0;Na(76,c|0,2496,158);y=0;break}}while(0);c=pb()|0}while(0);EO(m);v=c;sb(v|0)}while(0);zqa(g);v=c;sb(v|0);return 0}function zg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;u=0;v=r;r=r+64|0;m=v+60|0;l=v+56|0;s=v+48|0;t=v;z=v+16|0;n=v+40|0;x=v+36|0;w=v+4|0;q=k[c>>2]|0;k[n>>2]=k[q+76>>2];k[x>>2]=k[q+80>>2];k[l>>2]=k[n>>2];k[m>>2]=k[x>>2];Xh(z,l,m);k[w>>2]=0;x=w+4|0;k[x>>2]=0;k[w+8>>2]=0;n=k[c>>2]|0;n=(k[n+80>>2]|0)-(k[n+76>>2]|0)>>2;do if(!n){d=0;e=0;u=4}else{o=b+16|0;p=b+12|0;q=w+8|0;j=0;a:while(1){d=k[o>>2]|0;b:do if(d|0){e=k[(k[c>>2]|0)+76>>2]|0;c:do if(!(k[e+(j<<2)>>2]|0))while(1){if(!(k[d+16>>2]|0))break c;d=k[d>>2]|0;if(!d)break b}else while(1){if(k[d+16>>2]|0)break c;d=k[d+4>>2]|0;if(!d)break b}while(0);i=e+(j<<2)|0;k[m>>2]=i;y=0;ya(24,s|0,p|0,i|0,80084,m|0,l|0);i=y;y=0;if(i&1){u=11;break a}i=k[s>>2]|0;d=k[i+20>>2]|0;i=k[i+24>>2]|0;if((d|0)!=(i|0))do{h=k[d>>2]|0;e=k[h+76>>2]|0;h=k[h+80>>2]|0;if((e|0)==(h|0))u=20;else{g=1;do{y=0;f=Ha(1026,z|0,e|0)|0;A=y;y=0;if(A&1){u=18;break a}A=(f|0)==0;g=g&(A^1);e=e+4|0}while(!(A|(e|0)==(h|0)));if(g)u=20}do if((u|0)==20){u=0;e=d+4|0;f=k[x>>2]|0;if((f|0)==(k[q>>2]|0)){y=0;oa(626,w|0,e|0);A=y;y=0;if(A&1){u=15;break a}else break}else{k[f>>2]=k[e>>2];k[x>>2]=f+4;break}}while(0);d=d+8|0}while((d|0)!=(i|0))}while(0);j=j+1|0;if(j>>>0>=n>>>0){u=3;break}}if((u|0)==3){d=k[w>>2]|0;e=k[x>>2]|0;u=4;break}else if((u|0)==11){g=pb()|0;break}else if((u|0)==15){g=pb()|0;break}else if((u|0)==18){g=pb()|0;break}}while(0);d:do if((u|0)==4){y=0;Na(148,d|0,e|0,t|0);A=y;y=0;if(A&1){g=pb()|0;break}d=k[w>>2]|0;i=k[x>>2]|0;j=d;f=i;e:do if((d|0)==(i|0)){e=d;u=30}else{e=d+4|0;if((e|0)==(i|0))h=i;else{g=e;e=d;h=k[d>>2]|0;while(1){A=h;h=k[g>>2]|0;if((A|0)==(h|0)){u=30;break e}e=g+4|0;if((e|0)==(i|0)){h=i;break}else{A=g;g=e;e=A}}}}while(0);if((u|0)==30)if((e|0)==(i|0))h=i;else{g=e+8|0;if((g|0)!=(i|0)){h=k[e>>2]|0;do{A=h;h=k[g>>2]|0;if((A|0)!=(h|0)){e=e+4|0;k[e>>2]=h}g=g+4|0}while((g|0)!=(i|0))}h=e+4|0}e=h-j>>2;g=f-j>>2;do if(e>>>0>g>>>0){y=0;oa(627,w|0,e-g|0);A=y;y=0;if(A&1){g=pb()|0;break d}else{d=k[w>>2]|0;f=k[x>>2]|0;e=d;break}}else if(e>>>0>=g>>>0|(i|0)==(h|0))e=j;else{f=i+(~((i+-4-h|0)>>>2)<<2)|0;k[x>>2]=f;e=j}while(0);k[a>>2]=0;m=a+4|0;k[m>>2]=0;k[a+8>>2]=0;j=f-e>>2;f:do if(j){l=a+8|0;e=0;i=0;h=0;while(1){d=k[d+(e<<2)>>2]|0;f=k[b>>2]|0;g=f+(d<<3)|0;if((i|0)==(h|0)){y=0;oa(595,a|0,g|0);A=y;y=0;if(A&1){u=54;break}}else{y=0;oa(464,i|0,g|0);A=y;y=0;if(A&1){u=54;break}y=0;oa(464,i+4|0,f+(d<<3)+4|0);A=y;y=0;if(A&1){u=49;break}k[m>>2]=(k[m>>2]|0)+8}e=e+1|0;d=k[w>>2]|0;if(e>>>0>=j>>>0)break f;i=k[m>>2]|0;h=k[l>>2]|0}if((u|0)==49){g=pb()|0;f=N;EO(i)}else if((u|0)==54){g=pb()|0;f=N}d=k[a>>2]|0;if(!d)break d;e=k[m>>2]|0;if((e|0)!=(d|0)){do{A=e+-8|0;k[m>>2]=A;EO(e+-4|0);EO(A);e=k[m>>2]|0}while((e|0)!=(d|0));d=k[a>>2]|0}zqa(d);break d}while(0);e=d;if(d|0){f=k[x>>2]|0;if((f|0)!=(d|0))k[x>>2]=f+(~((f+-4-e|0)>>>2)<<2);zqa(d)}d=k[z+8>>2]|0;if(d|0)do{A=d;d=k[d>>2]|0;EO(A+8|0);zqa(A)}while((d|0)!=0);d=k[z>>2]|0;k[z>>2]=0;if(!d){r=v;return}zqa(d);r=v;return}while(0);d=k[w>>2]|0;e=d;if(d|0){f=k[x>>2]|0;if((f|0)!=(d|0))k[x>>2]=f+(~((f+-4-e|0)>>>2)<<2);zqa(d)}d=k[z+8>>2]|0;if(d|0)do{A=d;d=k[d>>2]|0;EO(A+8|0);zqa(A)}while((d|0)!=0);d=k[z>>2]|0;k[z>>2]=0;if(!d)sb(g|0);zqa(d);sb(g|0)}function Ag(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;q=0;s=r;r=r+48|0;n=s+32|0;o=s+28|0;v=s+16|0;u=s+4|0;p=s;k[v>>2]=0;w=v+4|0;k[w>>2]=0;k[v+8>>2]=0;k[u>>2]=0;t=u+4|0;k[t>>2]=0;k[u+8>>2]=0;g=b+16|0;d=k[g>>2]|0;h=b+20|0;e=k[h>>2]|0;f=(e|0)==0;if(!f)Sba(e);c=(k[d+16>>2]|0)+(k[d+20>>2]|0)|0;m=k[d+4>>2]|0;b=m+(((c>>>0)/170|0)<<2)|0;if((k[d+8>>2]|0)==(m|0))c=0;else c=(k[b>>2]|0)+(((c>>>0)%170|0)*24|0)|0;if(!f)kZ(e);f=k[g>>2]|0;g=k[h>>2]|0;h=(g|0)==0;if(!h)Sba(g);d=k[f+4>>2]|0;e=k[f+16>>2]|0;if((k[f+8>>2]|0)==(d|0))d=0;else d=(k[d+(((e>>>0)/170|0)<<2)>>2]|0)+(((e>>>0)%170|0)*24|0)|0;if(!h)kZ(g);a:do if((c|0)==(d|0))q=52;else{l=u+8|0;m=v+8|0;b:while(1){h=b;if((c|0)==(k[h>>2]|0))e=(k[h+-4>>2]|0)+4080|0;else e=c;j=e+-24|0;if(!(k[e+-20>>2]|0)){g=e+-12|0;y=0;oa(464,o|0,g|0);f=y;y=0;if(f&1){q=27;break}f=k[o>>2]|0;k[p>>2]=f;e=k[u>>2]|0;c:do if((e|0)==(k[t>>2]|0))q=29;else while(1){x=k[e>>2]|0;y=0;f=Ha(k[(k[x>>2]|0)+164>>2]|0,x|0,f|0)|0;x=y;y=0;if(x&1){q=28;break b}e=e+4|0;if(f)break c;if((e|0)==(k[t>>2]|0)){q=29;break c}f=k[p>>2]|0}while(0);if((q|0)==29){q=0;y=0;oa(464,n|0,g|0);x=y;y=0;if(x&1){q=38;break}k[o>>2]=k[n>>2];e=k[t>>2]|0;if(e>>>0<(k[l>>2]|0)>>>0){y=0;oa(464,e|0,o|0);x=y;y=0;if(x&1){q=39;break}k[t>>2]=(k[t>>2]|0)+4}else{y=0;oa(517,u|0,o|0);x=y;y=0;if(x&1){q=39;break}}EO(o);k[n>>2]=j;e=k[w>>2]|0;if(e>>>0<(k[m>>2]|0)>>>0){k[e>>2]=j;k[w>>2]=(k[w>>2]|0)+4}else{y=0;oa(522,v|0,n|0);x=y;y=0;if(x&1){q=41;break}}}EO(p)}else{k[n>>2]=j;e=k[w>>2]|0;if(e>>>0<(k[m>>2]|0)>>>0){k[e>>2]=j;k[w>>2]=(k[w>>2]|0)+4}else{y=0;oa(522,v|0,n|0);x=y;y=0;if(x&1){q=48;break}}}if((c|0)==(k[h>>2]|0)){c=h+-4|0;b=c;c=(k[c>>2]|0)+4080|0}c=c+-24|0;if((c|0)==(d|0)){q=52;break a}}if((q|0)==27){d=pb()|0;break}else if((q|0)==28)c=pb()|0;else if((q|0)==38){c=pb()|0;q=40}else if((q|0)==39){c=pb()|0;EO(o);q=40}else if((q|0)==41)c=pb()|0;else if((q|0)==48){d=pb()|0;break}EO(p);d=c}while(0);d:do if((q|0)==52){y=0;b=qa(332,36)|0;x=y;y=0;do if(x&1)c=pb()|0;else{k[b+4>>2]=0;k[b+8>>2]=0;k[b>>2]=14100;c=b+12|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[c+16>>2]=0;k[c+20>>2]=0;i[a>>0]=0;k[a+4>>2]=2;k[a+8>>2]=0;h=a+12|0;y=0;oa(482,h|0,0);x=y;y=0;if(x&1){c=pb()|0;kZ(b);break}g=a+16|0;k[g>>2]=c;f=a+20|0;k[f>>2]=b;Sba(b);kZ(b);c=(k[w>>2]|0)-(k[v>>2]|0)>>2;e:do if(c|0){while(1){c=c+-1|0;b=k[g>>2]|0;d=k[f>>2]|0;e=(d|0)==0;if(!e)Sba(d);y=0;oa(523,b|0,k[(k[v>>2]|0)+(c<<2)>>2]|0);x=y;y=0;if(x&1)break;if(!e)kZ(d);if(!c)break e}b=pb()|0;if(!e)kZ(d);c=k[f>>2]|0;if(c|0)kZ(c);EO(h);d=b;break d}while(0);c=k[u>>2]|0;if(c|0){b=k[t>>2]|0;if((b|0)!=(c|0)){do{x=b+-4|0;k[t>>2]=x;EO(x);b=k[t>>2]|0}while((b|0)!=(c|0));c=k[u>>2]|0}zqa(c)}c=k[v>>2]|0;if(!c){r=s;return}b=k[w>>2]|0;if((b|0)!=(c|0))k[w>>2]=b+(~((b+-4-c|0)>>>2)<<2);zqa(c);r=s;return}while(0);d=c}while(0);c=k[u>>2]|0;if(c|0){b=k[t>>2]|0;if((b|0)!=(c|0)){do{x=b+-4|0;k[t>>2]=x;EO(x);b=k[t>>2]|0}while((b|0)!=(c|0));c=k[u>>2]|0}zqa(c)}c=k[v>>2]|0;if(!c)sb(d|0);b=k[w>>2]|0;if((b|0)!=(c|0))k[w>>2]=b+(~((b+-4-c|0)>>>2)<<2);zqa(c);sb(d|0)}function Bg(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;A=0;w=r;r=r+320|0;v=w;t=w+208|0;z=w+192|0;x=w+180|0;u=w+176|0;p=w+16|0;q=w+8|0;s=w+4|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[z+(a<<2)>>2]=0;a=a+1|0}y=0;a=qa(341,d|0)|0;o=y;y=0;do if(o&1){a=pb()|0;A=36}else{k[x>>2]=a;y=0;d=Ha(973,x|0,78176)|0;o=y;y=0;if(!(o&1)){y=0;Ma(k[(k[d>>2]|0)+48>>2]|0,d|0,51509,51535,t|0)|0;o=y;y=0;if(!(o&1)){lQ(a)|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[x+(a<<2)>>2]=0;a=a+1|0}o=x+11|0;if((i[o>>0]|0)<0)a=(k[x+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,x|0,a|0,0);n=y;y=0;if(n&1)a=pb()|0;else{a=(i[o>>0]|0)<0?k[x>>2]|0:x;k[u>>2]=a;k[q>>2]=p;k[s>>2]=0;l=x+4|0;m=x+8|0;g=k[b>>2]|0;a:while(1){if(!g){n=0;g=1}else{d=k[g+12>>2]|0;if((d|0)==(k[g+16>>2]|0)){y=0;d=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;n=y;y=0;if(n&1){A=38;break}}else d=k[d>>2]|0;if((d|0)==-1){k[b>>2]=0;n=0;g=1}else{n=g;g=0}}h=k[c>>2]|0;do if(!h)A=26;else{d=k[h+12>>2]|0;if((d|0)==(k[h+16>>2]|0)){y=0;d=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;j=y;y=0;if(j&1){A=38;break a}}else d=k[d>>2]|0;if((d|0)==-1){k[c>>2]=0;A=26;break}else if(g)break;else{A=48;break a}}while(0);if((A|0)==26){A=0;if(g){h=0;A=48;break}else h=0}d=i[o>>0]|0;d=d<<24>>24<0?k[l>>2]|0:d&255;if((k[u>>2]|0)==(a+d|0)){y=0;Na(94,x|0,d<<1|0,0);j=y;y=0;if(j&1){A=40;break}if((i[o>>0]|0)<0)a=(k[m>>2]&2147483647)+-1|0;else a=10;y=0;Na(94,x|0,a|0,0);j=y;y=0;if(j&1){A=40;break}a=(i[o>>0]|0)<0?k[x>>2]|0:x;k[u>>2]=a+d}g=n+12|0;d=k[g>>2]|0;j=n+16|0;if((d|0)==(k[j>>2]|0)){y=0;d=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;B=y;y=0;if(B&1){A=38;break}}else d=k[d>>2]|0;if(nq(d,16,a,u,s,0,z,p,q,t)|0){A=48;break}d=k[g>>2]|0;if((d|0)==(k[j>>2]|0)){y=0;qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;B=y;y=0;if(B&1){A=38;break}else{g=n;continue}}else{k[g>>2]=d+4;g=n;continue}}if((A|0)==38)a=pb()|0;else if((A|0)==40)a=pb()|0;else if((A|0)==48){y=0;Na(94,x|0,(k[u>>2]|0)-a|0,0);B=y;y=0;b:do if(!(B&1)){a=i[o>>0]|0;d=k[x>>2]|0;y=0;g=La(3)|0;B=y;y=0;if(!(B&1)){y=0;k[v>>2]=f;a=Ma(20,(a<<24>>24<0?d:x)|0,g|0,51542,v|0)|0;B=y;y=0;if(!(B&1)){if((a|0)!=1)k[e>>2]=4;if(!n)d=1;else{a=k[n+12>>2]|0;if((a|0)==(k[n+16>>2]|0)){y=0;a=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;B=y;y=0;if(B&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)A=65;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;B=y;y=0;if(B&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;A=65;break}else if(d)break;else{A=67;break}}while(0);if((A|0)==65)if(d)A=67;if((A|0)==67)k[e>>2]=k[e>>2]|2;B=k[b>>2]|0;$9(x);$9(z);r=w;return B|0}}}while(0);a=pb()|0}}$9(x);break}}A=pb()|0;lQ(a)|0;a=A;A=36}while(0);$9(z);sb(a|0);return 0}function Cg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;v=0;q=r;r=r+160|0;n=q;e=q+156|0;w=q+152|0;x=q+144|0;c=q+148|0;d=q+104|0;j=q+100|0;l=q+92|0;u=q+96|0;p=q+88|0;o=q+48|0;s=q+44|0;t=q+40|0;rT(w,b+64|0);y=0;oa(464,e|0,b+68|0);m=y;y=0;if(m&1){x=pb()|0;EO(w);sb(x|0)}m=k[e>>2]|0;k[c>>2]=m;y=0;oa(482,x|0,m|0);m=y;y=0;if(m&1){x=pb()|0;EO(c);EO(w);sb(x|0)}EO(c);c=k[x>>2]|0;a:do if(!c){y=0;h=qa(332,68)|0;m=y;y=0;b:do if(m&1)c=pb()|0;else{c=d;f=b+12|0;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;oa(482,j|0,0);m=y;y=0;do if(m&1)c=pb()|0;else{y=0;oa(482,l|0,0);m=y;y=0;if(m&1){c=pb()|0;EO(j);break}c=n;f=d;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;na(366,h|0);m=y;y=0;c:do if(m&1){c=1;v=28}else{c=h+12|0;f=n;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h+56>>2]=0;k[h>>2]=10820;c=h+60|0;y=0;oa(464,c|0,j|0);m=y;y=0;do if(m&1)c=pb()|0;else{y=0;oa(464,h+64|0,l|0);m=y;y=0;if(m&1){v=pb()|0;EO(c);c=v;break}y=0;oa(482,e|0,h|0);m=y;y=0;if(m&1){c=0;v=28;break c}y=0;Ha(966,x|0,e|0)|0;m=y;y=0;if(m&1){c=pb()|0;EO(e);d=0;break c}else{EO(e);EO(l);EO(j);v=34;break a}}while(0);d=1;v=29}while(0);if((v|0)==28){u=pb()|0;d=c;c=u;v=29}EO(l);EO(j);if(!d)break b}while(0);zqa(h)}while(0)}else{y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;m=y;y=0;do if(m&1)v=10;else{y=0;oa(482,n|0,c|0);m=y;y=0;if(m&1)v=10;else{y=0;Ha(966,x|0,n|0)|0;m=y;y=0;if(m&1){c=pb()|0;EO(n);break}else{EO(n);v=34;break a}}}while(0);if((v|0)==10)c=pb()|0}while(0);if((v|0)==34){h=a+97|0;j=i[h>>0]|0;i[h>>0]=1;l=a+96|0;m=i[l>>0]|0;i[l>>0]=0;c=k[w>>2]|0;if(!c){c=0;v=36}else{y=0;c=Ha(k[(k[a>>2]|0)+12>>2]|0,a|0,c|0)|0;v=y;y=0;if(v&1)v=41;else v=36}if((v|0)==36){y=0;oa(482,u|0,c|0);a=y;y=0;if(a&1)v=41;else{y=0;e=qa(332,72)|0;a=y;y=0;d:do if(a&1)c=pb()|0;else{c=o;f=b+12|0;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;oa(464,s|0,u|0);b=y;y=0;do if(b&1)c=pb()|0;else{c=k[x>>2]|0;if(!c)c=0;else c=pw(c,40,1336,0)|0;y=0;oa(482,t|0,c|0);b=y;y=0;if(b&1){c=pb()|0;EO(s);break}y=0;c=n;f=o;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));Ra(30,e|0,n|0,s|0,t|0);o=y;y=0;if(o&1)d=1;else{y=0;oa(482,p|0,e|0);o=y;y=0;if(o&1)d=0;else{EO(t);EO(s);c=k[p>>2]|0;if(!c){v=0;EO(p);EO(u);i[l>>0]=m;i[h>>0]=j;EO(x);EO(w);r=q;return v|0}i[c+8>>0]=1;v=c;EO(p);EO(u);i[l>>0]=m;i[h>>0]=j;EO(x);EO(w);r=q;return v|0}}c=pb()|0;EO(t);EO(s);if(!d)break d}while(0);zqa(e)}while(0);EO(u)}}if((v|0)==41)c=pb()|0;i[l>>0]=m;i[h>>0]=j}EO(x);x=c;EO(w);sb(x|0);return 0}function Dg(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0;n=r;r=r+16|0;m=n;if(a){b=EZ(b,79880)|0;mc[k[(k[b>>2]|0)+44>>2]&1023](m,b);a=k[m>>2]|0;i[c>>0]=a;i[c+1>>0]=a>>8;i[c+2>>0]=a>>16;i[c+3>>0]=a>>24;mc[k[(k[b>>2]|0)+32>>2]&1023](m,b);a=j+8+3|0;if((i[a>>0]|0)<0){k[k[j>>2]>>2]=0;k[j+4>>2]=0}else{k[j>>2]=0;i[a>>0]=0}y=0;oa(633,j|0,0);c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}w9(m);mc[k[(k[b>>2]|0)+28>>2]&1023](m,b);a=h+8+3|0;if((i[a>>0]|0)<0){k[k[h>>2]>>2]=0;k[h+4>>2]=0}else{k[h>>2]=0;i[a>>0]=0}y=0;oa(633,h|0,0);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}w9(m);a=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;k[d>>2]=a;a=oc[k[(k[b>>2]|0)+16>>2]&511](b)|0;k[e>>2]=a;mc[k[(k[b>>2]|0)+20>>2]&1023](m,b);a=f+11|0;if((i[a>>0]|0)<0){i[k[f>>2]>>0]=0;k[f+4>>2]=0}else{i[f>>0]=0;i[a>>0]=0}y=0;oa(506,f|0,0);e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}k[f>>2]=k[m>>2];k[f+4>>2]=k[m+4>>2];k[f+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}$9(m);mc[k[(k[b>>2]|0)+24>>2]&1023](m,b);a=g+8+3|0;if((i[a>>0]|0)<0){k[k[g>>2]>>2]=0;k[g+4>>2]=0}else{k[g>>2]=0;i[a>>0]=0}y=0;oa(633,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}k[g>>2]=k[m>>2];k[g+4>>2]=k[m+4>>2];k[g+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}w9(m);a=oc[k[(k[b>>2]|0)+36>>2]&511](b)|0}else{b=EZ(b,79872)|0;mc[k[(k[b>>2]|0)+44>>2]&1023](m,b);a=k[m>>2]|0;i[c>>0]=a;i[c+1>>0]=a>>8;i[c+2>>0]=a>>16;i[c+3>>0]=a>>24;mc[k[(k[b>>2]|0)+32>>2]&1023](m,b);a=j+8+3|0;if((i[a>>0]|0)<0){k[k[j>>2]>>2]=0;k[j+4>>2]=0}else{k[j>>2]=0;i[a>>0]=0}y=0;oa(633,j|0,0);c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}w9(m);mc[k[(k[b>>2]|0)+28>>2]&1023](m,b);a=h+8+3|0;if((i[a>>0]|0)<0){k[k[h>>2]>>2]=0;k[h+4>>2]=0}else{k[h>>2]=0;i[a>>0]=0}y=0;oa(633,h|0,0);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}w9(m);a=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;k[d>>2]=a;a=oc[k[(k[b>>2]|0)+16>>2]&511](b)|0;k[e>>2]=a;mc[k[(k[b>>2]|0)+20>>2]&1023](m,b);a=f+11|0;if((i[a>>0]|0)<0){i[k[f>>2]>>0]=0;k[f+4>>2]=0}else{i[f>>0]=0;i[a>>0]=0}y=0;oa(506,f|0,0);e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}k[f>>2]=k[m>>2];k[f+4>>2]=k[m+4>>2];k[f+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}$9(m);mc[k[(k[b>>2]|0)+24>>2]&1023](m,b);a=g+8+3|0;if((i[a>>0]|0)<0){k[k[g>>2]>>2]=0;k[g+4>>2]=0}else{k[g>>2]=0;i[a>>0]=0}y=0;oa(633,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}k[g>>2]=k[m>>2];k[g+4>>2]=k[m+4>>2];k[g+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}w9(m);a=oc[k[(k[b>>2]|0)+36>>2]&511](b)|0}k[l>>2]=a;r=n;return}function Eg(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,r=0;a:do if(b>>>0>36){e=v9()|0;k[e>>2]=22;e=0;d=0}else{r=a+4|0;q=a+100|0;do{f=k[r>>2]|0;if(f>>>0<(k[q>>2]|0)>>>0){k[r>>2]=f+1;f=l[f>>0]|0}else f=HA(a)|0}while((dma(f)|0)!=0);b:do switch(f|0){case 43:case 45:{f=((f|0)==45)<<31>>31;g=k[r>>2]|0;if(g>>>0<(k[q>>2]|0)>>>0){k[r>>2]=g+1;p=f;f=l[g>>0]|0;break b}else{p=f;f=HA(a)|0;break b}}default:p=0}while(0);g=(b|0)==0;do if((b|16|0)==16&(f|0)==48){f=k[r>>2]|0;if(f>>>0<(k[q>>2]|0)>>>0){k[r>>2]=f+1;f=l[f>>0]|0}else f=HA(a)|0;if((f|32|0)!=120)if(g){b=8;n=46;break}else{n=32;break}f=k[r>>2]|0;if(f>>>0<(k[q>>2]|0)>>>0){k[r>>2]=f+1;f=l[f>>0]|0}else f=HA(a)|0;if((l[48026+f>>0]|0)>15){d=(k[q>>2]|0)==0;if(!d)k[r>>2]=(k[r>>2]|0)+-1;if(!c){vO(a,0);e=0;d=0;break a}if(d){e=0;d=0;break a}k[r>>2]=(k[r>>2]|0)+-1;e=0;d=0;break a}else{b=16;n=46}}else{b=g?10:b;if((l[48026+f>>0]|0)>>>0<b>>>0)n=32;else{if(k[q>>2]|0)k[r>>2]=(k[r>>2]|0)+-1;vO(a,0);e=v9()|0;k[e>>2]=22;e=0;d=0;break a}}while(0);if((n|0)==32)if((b|0)==10){b=f+-48|0;if(b>>>0<10){f=0;g=b;do{f=(f*10|0)+g|0;b=k[r>>2]|0;if(b>>>0<(k[q>>2]|0)>>>0){k[r>>2]=b+1;b=l[b>>0]|0}else b=HA(a)|0;g=b+-48|0}while(g>>>0<10&f>>>0<429496729);c=0}else{b=f;f=0;c=0}g=b+-48|0;if(g>>>0<10){m=g;while(1){g=PQ(f|0,c|0,10,0)|0;h=N;j=((m|0)<0)<<31>>31;o=~j;if(h>>>0>o>>>0|(h|0)==(o|0)&g>>>0>~m>>>0){g=b;b=m;break}f=G6(g|0,h|0,m|0,j|0)|0;c=N;b=k[r>>2]|0;if(b>>>0<(k[q>>2]|0)>>>0){k[r>>2]=b+1;b=l[b>>0]|0}else b=HA(a)|0;h=b+-48|0;if(h>>>0<10&(c>>>0<429496729|(c|0)==429496729&f>>>0<2576980378))m=h;else{g=b;b=h;break}}if(b>>>0>9){g=p;b=c}else{b=10;n=72}}else{g=p;b=c}}else n=46;c:do if((n|0)==46){if(!(b+-1&b)){n=i[48282+((b*23|0)>>>5&7)>>0]|0;c=i[48026+f>>0]|0;g=c&255;if(g>>>0<b>>>0){f=0;h=g;do{f=h|f<<n;g=k[r>>2]|0;if(g>>>0<(k[q>>2]|0)>>>0){k[r>>2]=g+1;g=l[g>>0]|0}else g=HA(a)|0;c=i[48026+g>>0]|0;h=c&255}while(f>>>0<134217728&h>>>0<b>>>0);h=0}else{g=f;h=0;f=0}j=xV(-1,-1,n|0)|0;m=N;if((c&255)>>>0>=b>>>0|(h>>>0>m>>>0|(h|0)==(m|0)&f>>>0>j>>>0)){c=h;n=72;break}else g=h;while(1){f=MU(f|0,g|0,n|0)|0;h=N;f=c&255|f;g=k[r>>2]|0;if(g>>>0<(k[q>>2]|0)>>>0){k[r>>2]=g+1;g=l[g>>0]|0}else g=HA(a)|0;c=i[48026+g>>0]|0;if((c&255)>>>0>=b>>>0|(h>>>0>m>>>0|(h|0)==(m|0)&f>>>0>j>>>0)){c=h;n=72;break c}else g=h}}c=i[48026+f>>0]|0;g=c&255;if(g>>>0<b>>>0){f=0;h=g;do{f=h+(aa(f,b)|0)|0;g=k[r>>2]|0;if(g>>>0<(k[q>>2]|0)>>>0){k[r>>2]=g+1;g=l[g>>0]|0}else g=HA(a)|0;c=i[48026+g>>0]|0;h=c&255}while(f>>>0<119304647&h>>>0<b>>>0);h=0}else{g=f;f=0;h=0}if((c&255)>>>0<b>>>0){n=Ada(-1,-1,b|0,0)|0;o=N;m=h;while(1){if(m>>>0>o>>>0|(m|0)==(o|0)&f>>>0>n>>>0){c=m;n=72;break c}h=PQ(f|0,m|0,b|0,0)|0;j=N;c=c&255;if(j>>>0>4294967295|(j|0)==-1&h>>>0>~c>>>0){c=m;n=72;break c}f=G6(c|0,0,h|0,j|0)|0;h=N;g=k[r>>2]|0;if(g>>>0<(k[q>>2]|0)>>>0){k[r>>2]=g+1;g=l[g>>0]|0}else g=HA(a)|0;c=i[48026+g>>0]|0;if((c&255)>>>0>=b>>>0){c=h;n=72;break}else m=h}}else{c=h;n=72}}while(0);if((n|0)==72)if((l[48026+g>>0]|0)>>>0<b>>>0){do{f=k[r>>2]|0;if(f>>>0<(k[q>>2]|0)>>>0){k[r>>2]=f+1;f=l[f>>0]|0}else f=HA(a)|0}while((l[48026+f>>0]|0)>>>0<b>>>0);g=v9()|0;k[g>>2]=34;g=(d&1|0)==0&0==0?p:0;b=e;f=d}else{g=p;b=c}if(k[q>>2]|0)k[r>>2]=(k[r>>2]|0)+-1;if(!(b>>>0<e>>>0|(b|0)==(e|0)&f>>>0<d>>>0)){if(!((d&1|0)!=0|0!=0|(g|0)!=0)){r=v9()|0;k[r>>2]=34;d=G6(d|0,e|0,-1,-1)|0;e=N;break}if(b>>>0>e>>>0|(b|0)==(e|0)&f>>>0>d>>>0){r=v9()|0;k[r>>2]=34;break}}d=((g|0)<0)<<31>>31;d=ST(f^g|0,b^d|0,g|0,d|0)|0;e=N}while(0);N=e;return d|0}function Fg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;q=0;o=r;r=r+144|0;m=o+8|0;s=o+96|0;h=o+104|0;j=o+84|0;p=o+72|0;d=o;l=o+60|0;n=o+48|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,35750,7);y=0;b=Ha(971,a|0,m|0)|0;a=y;y=0;if(!(a&1)){y=0;oa(464,s|0,b|0);a=y;y=0;if(!(a&1)){$9(m);b=k[s>>2]|0;do if(!b)q=19;else{a=pw(b,8,536,0)|0;if(!a){if(!(pw(b,8,520,0)|0)){q=19;break}q=b;EO(s);r=o;return q|0}y=0;f=qa(332,80)|0;p=y;y=0;if(p&1){b=pb()|0;break}g=h;b=e;d=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(d|0));y=0;oa(452,j|0,a+64|0);e=y;y=0;if(e&1)b=pb()|0;else{g=m;b=h;d=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(d|0));y=0;na(366,f|0);e=y;y=0;do if(e&1)b=pb()|0;else{g=f+12|0;b=m;d=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(d|0));b=f+52|0;i[b>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=4;k[f>>2]=9640;i[f+60>>0]=0;i[f+61>>0]=0;y=0;oa(547,f+64|0,j|0);e=y;y=0;if(e&1){b=pb()|0;break}k[f+76>>2]=0;$9(j);i[b>>0]=1;q=f;EO(s);r=o;return q|0}while(0);$9(j)}zqa(f)}while(0);do if((q|0)==19){f=c+16|0;q=k[f>>2]|0;g=k[q>>2]|0;k[q>>2]=0;q=k[(k[b>>2]|0)+28>>2]|0;c=k[f>>2]|0;h=k[c+4>>2]|0;j=d;k[j>>2]=k[c>>2];k[j+4>>2]=h;y=0;k[m>>2]=k[d>>2];k[m+4>>2]=k[d+4>>2];Na(q|0,p|0,b|0,m|0);q=y;y=0;if(q&1){b=pb()|0;break}b=k[s>>2]|0;if(!b)q=25;else if(!(pw(b,8,1368,0)|0))q=25;else{k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,44148,4);q=y;y=0;if(q&1)q=23;else q=26}if((q|0)==25){y=0;oa(452,m|0,p|0);q=y;y=0;if(q&1)q=23;else q=26}if((q|0)==23)b=pb()|0;else if((q|0)==26){d=p+11|0;if((i[d>>0]|0)<0){i[k[p>>2]>>0]=0;k[p+4>>2]=0}else{i[p>>0]=0;i[d>>0]=0}y=0;oa(506,p|0,0);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}k[p>>2]=k[m>>2];k[p+4>>2]=k[m+4>>2];k[p+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;$9(m);k[k[f>>2]>>2]=g;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;b=i[d>>0]|0;b=b<<24>>24<0?k[p+4>>2]|0:b&255;y=0;Ra(10,n|0,35758,8,b+8|0);j=y;y=0;if(j&1)q=36;else{y=0;ta(47,n|0,((i[d>>0]|0)<0?k[p>>2]|0:p)|0,b|0)|0;j=y;y=0;if(j&1)q=36;else{y=0;b=Ha(970,n|0,35767)|0;j=y;y=0;do if(j&1)b=pb()|0;else{k[l>>2]=k[b>>2];k[l+4>>2]=k[b+4>>2];k[l+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;g=m;b=e;d=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(d|0));oa(554,l|0,m|0);e=y;y=0;if(e&1){b=pb()|0;$9(l);break}$9(l);$9(n);q=k[s>>2]|0;$9(p);EO(s);r=o;return q|0}while(0);$9(n)}}if((q|0)==36){b=pb()|0;$9(n)}}$9(p)}while(0);EO(s);s=b;sb(s|0)}}s=pb()|0;$9(m);sb(s|0);return 0}
function ee(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;K=0;H=r;r=r+448|0;I=H+408|0;J=H+396|0;j=H+384|0;l=H+344|0;C=H;w=H+328|0;x=H+316|0;z=H+304|0;A=H+264|0;t=H+248|0;g=H+236|0;h=H+224|0;s=H+184|0;L=H+176|0;G=H+120|0;c=H+60|0;B=H+136|0;E=H+116|0;F=H+104|0;v=H+40|0;m=H+64|0;n=H+56|0;u=H+44|0;D=a+76|0;b=HI(k[D>>2]|0)|0;f=a+80|0;if((b|0)==0?1:b>>>0>(k[f>>2]|0)>>>0)b=k[D>>2]|0;q=oW(b)|0;b=q|0?q:b;a:do if(b|0){d=i[44181]|0;if(d<<24>>24){e=44181;do{if((i[b>>0]|0)!=d<<24>>24)break a;b=b+1|0;e=e+1|0;d=i[e>>0]|0}while(d<<24>>24!=0)}d=i[45708]|0;b:do if(!(d<<24>>24))d=0;else{e=45708;while(1){if((i[b>>0]|0)!=d<<24>>24)break b;b=b+1|0;e=e+1|0;d=i[e>>0]|0;if(!(d<<24>>24)){d=0;break}}}while(0);q=d<<24>>24==0?b:0;if(!((q|0)==0?1:q>>>0>(k[f>>2]|0)>>>0)){k[D>>2]=(k[D>>2]|0)+2;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;jI(I,39964,11);k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;Na(75,J|0,39976,7);q=y;y=0;if(q&1)b=pb()|0;else{k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,39984,44);q=y;y=0;do if(q&1)b=pb()|0;else{y=0;Ra(25,a|0,I|0,J|0,j|0);q=y;y=0;if(q&1){b=pb()|0;$9(j);break}else{$9(j);$9(J);$9(I);break a}}while(0);$9(J)}$9(I);L=b;sb(L|0)}}while(0);_V(L,0);y=0;b=qa(359,k[D>>2]|0)|0;q=y;y=0;c:do if(q&1)K=60;else{if((b|0)==0?1:b>>>0>(k[f>>2]|0)>>>0)b=k[D>>2]|0;y=0;d=qa(360,b|0)|0;q=y;y=0;if(q&1)K=60;else{y=0;b=qa(395,(d|0?d:b)|0)|0;q=y;y=0;if(q&1)K=60;else{if(b|0){y=0;b=qa(396,b|0)|0;q=y;y=0;if(q&1){K=60;break}if(b|0){q=(i[b>>0]|0)==58?b+1|0:0;if(!((q|0)==0?1:q>>>0>(k[f>>2]|0)>>>0)){j=a+152|0;k[t>>2]=k[j>>2];k[t+4>>2]=k[j+4>>2];k[t+8>>2]=k[j+8>>2];d=k[D>>2]|0;l=a+84|0;k[g>>2]=k[l>>2];k[g+4>>2]=k[l+4>>2];k[g+8>>2]=k[l+8>>2];m=a+96|0;k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];n=a+108|0;o=s;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;ta(61,a|0,1,0)|0;K=y;y=0;if(K&1){K=60;break}y=0;b=ta(102,a|0,1,0)|0;K=y;y=0;if(K&1){K=60;break}if(!b){o=n;p=s;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[j>>2]=k[t>>2];k[j+4>>2]=k[t+4>>2];k[j+8>>2]=k[t+8>>2];k[D>>2]=d;k[m>>2]=k[h>>2];k[m+4>>2]=k[h+4>>2];k[m+8>>2]=k[h+8>>2];k[l>>2]=k[g>>2];k[l+4>>2]=k[g+4>>2];k[l+8>>2]=k[g+8>>2]}f=k[a+156>>2]|0;g=k[a+160>>2]|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;h=g-f|0;if(h>>>0>4294967279){y=0;na(377,I|0);K=y;y=0;if(K&1)K=61;else K=37}else if(h>>>0<11){i[I+11>>0]=h;b=I;K=39}else K=37;if((K|0)==37){d=h+16&-16;y=0;b=qa(332,d|0)|0;K=y;y=0;if(K&1)K=61;else{k[I>>2]=b;k[I+8>>2]=d|-2147483648;k[I+4>>2]=h;K=39}}do if((K|0)==39){if((f|0)!=(g|0)){e=b;d=f;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(g|0))break;else e=e+1|0}b=b+h|0}i[b>>0]=0;y=0;oa(552,G|0,I|0);v=y;y=0;if(v&1){b=pb()|0;$9(I);break}$9(I);o=I;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[w>>2]=k[j>>2];k[w+4>>2]=k[j+4>>2];k[w+8>>2]=k[j+8>>2];d=k[D>>2]|0;k[x>>2]=k[l>>2];k[x+4>>2]=k[l+4>>2];k[x+8>>2]=k[l+8>>2];k[z>>2]=k[m>>2];k[z+4>>2]=k[m+4>>2];k[z+8>>2]=k[m+8>>2];o=A;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;ta(61,a|0,1,0)|0;v=y;y=0;do if(v&1)K=64;else{y=0;b=ta(91,a|0,1,0)|0;v=y;y=0;if(v&1){K=64;break}if(!b){o=n;p=A;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[j>>2]=k[w>>2];k[j+4>>2]=k[w+4>>2];k[j+8>>2]=k[w+8>>2];k[D>>2]=d;k[m>>2]=k[z>>2];k[m+4>>2]=k[z+4>>2];k[m+8>>2]=k[z+8>>2];k[l>>2]=k[x>>2];k[l+4>>2]=k[x+4>>2];k[l+8>>2]=k[x+8>>2]}y=0;b=qa(370,a|0)|0;D=y;y=0;if(D&1){K=64;break}k[c>>2]=b;y=0;e=qa(332,84)|0;D=y;y=0;d:do if(D&1)b=pb()|0;else{o=B;p=I;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(464,E|0,c|0);I=y;y=0;do if(I&1)b=pb()|0;else{y=0;oa(452,F|0,G|0);I=y;y=0;if(I&1){b=pb()|0;EO(E);break}o=C;p=B;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(366,e|0);I=y;y=0;e:do if(I&1){b=1;K=68}else{o=e+12|0;p=C;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=8284;b=e+60|0;y=0;oa(464,b|0,E|0);I=y;y=0;do if(I&1)b=pb()|0;else{y=0;oa(452,e+64|0,F|0);I=y;y=0;if(I&1){K=pb()|0;EO(b);b=K;break}i[e+76>>0]=0;i[e+77>>0]=0;k[e+80>>2]=0;y=0;oa(482,J|0,e|0);I=y;y=0;if(I&1){b=0;K=68;break e}y=0;Ha(966,L|0,J|0)|0;I=y;y=0;if(I&1){b=pb()|0;EO(J);d=0;break e}EO(J);$9(F);EO(E);EO(c);$9(G);L=k[L>>2]|0;r=H;return L|0}while(0);d=1;K=69}while(0);if((K|0)==68){J=pb()|0;d=b;b=J;K=69}$9(F);EO(E);if(!d)break d}while(0);zqa(e)}while(0);EO(c)}while(0);if((K|0)==64)b=pb()|0;$9(G);break c}else if((K|0)==61)b=pb()|0;while(0);break}}}y=0;b=qa(370,a|0)|0;G=y;y=0;if(G&1){b=pb()|0;break}k[v>>2]=b;if(!b)g=0;else g=pw(b,40,216,0)|0;c=a+152|0;k[I>>2]=k[c>>2];k[I+4>>2]=k[c+4>>2];k[I+8>>2]=k[c+8>>2];d=k[D>>2]|0;e=a+84|0;k[J>>2]=k[e>>2];k[J+4>>2]=k[e+4>>2];k[J+8>>2]=k[e+8>>2];f=a+96|0;k[j>>2]=k[f>>2];k[j+4>>2]=k[f+4>>2];k[j+8>>2]=k[f+8>>2];h=a+108|0;o=l;p=h;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;ta(61,a|0,1,0)|0;G=y;y=0;if(G&1)K=86;else{y=0;b=ta(108,a|0,1,0)|0;G=y;y=0;if(G&1)K=86;else{do if(!b){o=h;p=l;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[c>>2]=k[I>>2];k[c+4>>2]=k[I+4>>2];k[c+8>>2]=k[I+8>>2];k[D>>2]=d;k[f>>2]=k[j>>2];k[f+4>>2]=k[j+4>>2];k[f+8>>2]=k[j+8>>2];k[e>>2]=k[J>>2];k[e+4>>2]=k[J+4>>2];k[e+8>>2]=k[J+8>>2];b=0;c=0}else if((k[(k[v>>2]|0)+56>>2]|0)==6){b=1;c=0}else{if(g|0)if((k[g+80>>2]|0)==2){b=1;c=0;break}b=0;c=1}while(0);y=0;d=qa(332,84)|0;G=y;y=0;f:do if(G&1)b=pb()|0;else{o=m;p=h;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(464,n|0,v|0);G=y;y=0;do if(G&1)b=pb()|0;else{k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(75,u|0,82159,0);G=y;y=0;if(G&1){b=pb()|0;EO(n);break}y=0;o=I;p=m;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));ya(14,d|0,I|0,n|0,u|0,c|0,b|0);I=y;y=0;do if(I&1){b=1;K=98}else{y=0;oa(482,J|0,d|0);I=y;y=0;if(I&1){b=0;K=98;break}y=0;Ha(966,L|0,J|0)|0;I=y;y=0;if(I&1){b=pb()|0;EO(J);c=0;break}EO(J);$9(u);EO(n);EO(v);L=k[L>>2]|0;r=H;return L|0}while(0);if((K|0)==98){J=pb()|0;c=b;b=J}$9(u);EO(n);if(!c)break f}while(0);zqa(d)}while(0)}}if((K|0)==86)b=pb()|0;EO(v)}}}while(0);if((K|0)==60)b=pb()|0;EO(L);L=b;sb(L|0);return 0}function fe(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;W=0;T=r;r=r+512|0;U=T+120|0;J=T+80|0;D=T+40|0;d=T;S=T+496|0;e=T+456|0;f=T+452|0;F=T+448|0;H=T+408|0;K=T+392|0;I=T+404|0;B=T+224|0;C=T+220|0;O=T+216|0;P=T+176|0;V=T+160|0;fw(a,1,0)|0;Q=a+76|0;c=k[Q>>2]|0;j=ZL(84)|0;R=a+108|0;l=d;m=R;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,j|0);M=y;y=0;do if(M&1)c=pb()|0;else{l=j+12|0;m=d;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;d=j+56|0;k[j>>2]=9504;k[d>>2]=4;L=j+60|0;k[L>>2]=7720;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(518,g|0,0);M=y;y=0;if(M&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{W=e+-4|0;k[h>>2]=W;EO(W);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[j>>2]=9328;k[L>>2]=9464;k[j+80>>2]=0;k[d>>2]=4;M=ZL(80)|0;l=e;m=R;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(482,f|0,j|0);G=y;y=0;if(G&1)c=pb()|0;else{l=D;m=e;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,M|0);G=y;y=0;do if(G&1)c=pb()|0;else{l=M+12|0;m=D;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[M+52>>0]=0;i[M+53>>0]=0;i[M+54>>0]=0;i[M+60>>0]=0;i[M+61>>0]=0;i[M+62>>0]=0;d=M+64|0;k[d>>2]=0;k[M+68>>2]=0;k[M+56>>2]=7;k[M>>2]=11548;y=0;oa(464,M+72|0,f|0);G=y;y=0;if(G&1){c=pb()|0;break}i[M+76>>0]=0;EO(f);k[d>>2]=k[a+68>>2];if(c>>>0>=b>>>0){W=c;k[Q>>2]=W;EN(M,R);_V(S,M);W=k[S>>2]|0;r=T;return W|0}u=b;x=V+8|0;z=V+4|0;w=V+11|0;o=K+8|0;p=K+4|0;q=K+11|0;s=a+80|0;t=a+40|0;v=B+56|0;E=B+44|0;G=B+48|0;A=B+60|0;a:while(1){f=0;d=c;b:while(1){e=i[d>>0]|0;if(!(e<<24>>24)){W=90;break a}c:do if(f)f=0;else if(e<<24>>24==92)f=1;else{e=Qz(d)|0;if(!e){e=i[44181]|0;if(!(e<<24>>24))if(!d){f=0;d=0;break}else break b;else{f=d;g=44181}while(1){if((i[f>>0]|0)!=e<<24>>24){f=0;break c}g=g+1|0;e=i[g>>0]|0;if(!(e<<24>>24)){W=25;break b}else f=f+1|0}}else{f=0;d=e}}while(0);d=d+1|0;if(d>>>0>=b>>>0){W=90;break a}}if((W|0)==25){W=0;if(!d){W=90;break}}if(c>>>0<d>>>0){h=k[(k[L>>2]|0)+20>>2]|0;j=ZL(80)|0;l=H;m=R;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;g=d-c|0;if(g>>>0>4294967279){y=0;na(377,K|0);W=y;y=0;if(W&1){W=48;break}else W=31}else if(g>>>0<11){i[q>>0]=g;f=K}else W=31;if((W|0)==31){W=0;e=g+16&-16;y=0;f=qa(332,e|0)|0;n=y;y=0;if(n&1){W=48;break}k[K>>2]=f;k[o>>2]=e|-2147483648;k[p>>2]=g}if((c|0)==(d|0))c=f;else{e=f;while(1){i[e>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(d|0))break;else e=e+1|0}c=f+g|0}i[c>>0]=0;l=J;m=H;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,j|0);n=y;y=0;if(n&1){d=1;W=50;break}l=j+12|0;m=J;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=4;k[j>>2]=9640;i[j+60>>0]=0;i[j+61>>0]=0;y=0;oa(547,j+64|0,K|0);n=y;y=0;if(n&1){W=38;break}k[j+76>>2]=0;y=0;oa(482,F|0,j|0);n=y;y=0;if(n&1){d=0;W=50;break}y=0;oa(h|0,L|0,F|0);n=y;y=0;if(n&1){W=49;break}EO(F);$9(K)}f=d+2|0;c=oW(f)|0;c=jO(c|0?c:f)|0;if(c|0){d=i[45708]|0;d:do if(!(d<<24>>24))d=0;else{e=45708;while(1){if((i[c>>0]|0)!=d<<24>>24)break d;c=c+1|0;e=e+1|0;d=i[e>>0]|0;if(!(d<<24>>24)){d=0;break}}}while(0);n=d<<24>>24==0?c:0;if(!((n|0)==0?1:n>>>0>(k[s>>2]|0)>>>0)){k[Q>>2]=f;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;jI(U,39964,11);k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;Na(75,J|0,39976,7);n=y;y=0;if(n&1){W=61;break}k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;y=0;Na(75,D|0,39984,44);n=y;y=0;if(n&1){W=62;break}y=0;Ra(25,a|0,U|0,J|0,D|0);n=y;y=0;if(n&1){W=63;break}$9(D);$9(J);$9(U)}}c=hk(f,b)|0;d=k[t>>2]|0;l=U;m=R;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));kl(B,f,c,d,U,0);y=0;d=Ha(1003,B|0,0)|0;n=y;y=0;if(n&1){W=78;break}k[I>>2]=d;d=k[v>>2]|0;e=d;if(d|0){f=k[A>>2]|0;if((f|0)!=(d|0))k[A>>2]=f+(~((f+-4-e|0)>>>2)<<2);zqa(d)}d=k[E>>2]|0;if(d|0){e=k[G>>2]|0;if((e|0)!=(d|0)){do{n=e+-4|0;k[G>>2]=n;EO(n);e=k[G>>2]|0}while((e|0)!=(d|0));d=k[E>>2]|0}zqa(d)}n=k[I>>2]|0;i[n+54>>0]=1;d=k[(k[L>>2]|0)+20>>2]|0;y=0;oa(482,C|0,n|0);n=y;y=0;if(n&1){W=87;break}y=0;oa(d|0,L|0,C|0);n=y;y=0;if(n&1){W=88;break}EO(C);EO(I);if(c>>>0>=b>>>0){W=110;break}}switch(W|0){case 38:{c=pb()|0;$9(K);W=51;break}case 48:{c=pb()|0;W=51;break}case 49:{W=pb()|0;EO(F);$9(K);sb(W|0)}case 50:{c=pb()|0;$9(K);if(d)W=51;else{W=c;sb(W|0)}break}case 61:{c=pb()|0;break}case 62:{c=pb()|0;W=64;break}case 63:{c=pb()|0;$9(D);W=64;break}case 78:{g=pb()|0;f=N;c=k[v>>2]|0;d=c;if(c|0){e=k[A>>2]|0;if((e|0)!=(c|0))k[A>>2]=e+(~((e+-4-d|0)>>>2)<<2);zqa(c)}c=k[E>>2]|0;if(!c){W=g;sb(W|0)}d=k[G>>2]|0;if((d|0)!=(c|0)){do{W=d+-4|0;k[G>>2]=W;EO(W);d=k[G>>2]|0}while((d|0)!=(c|0));c=k[E>>2]|0}zqa(c);W=g;sb(W|0)}case 87:{c=pb()|0;W=89;break}case 88:{c=pb()|0;EO(C);W=89;break}case 90:{g=k[(k[L>>2]|0)+20>>2]|0;h=ZL(80)|0;l=P;m=R;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;f=u-c|0;if(f>>>0>4294967279){y=0;na(377,V|0);W=y;y=0;if(W&1)W=106;else W=94}else if(f>>>0<11){i[w>>0]=f;e=V;W=96}else W=94;if((W|0)==94){d=f+16&-16;y=0;e=qa(332,d|0)|0;W=y;y=0;if(W&1)W=106;else{k[V>>2]=e;k[x>>2]=d|-2147483648;k[z>>2]=f;W=96}}do if((W|0)==96){if((c|0)==(b|0))c=e;else{d=e;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(b|0))break;else d=d+1|0}c=e+f|0}i[c>>0]=0;l=U;m=P;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,h|0);W=y;y=0;if(W&1)d=1;else{l=h+12|0;m=U;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h+56>>2]=4;k[h>>2]=9640;i[h+60>>0]=0;i[h+61>>0]=0;y=0;oa(547,h+64|0,V|0);W=y;y=0;if(W&1){c=pb()|0;$9(V);break}k[h+76>>2]=0;y=0;oa(482,O|0,h|0);W=y;y=0;if(W&1)d=0;else{y=0;oa(g|0,L|0,O|0);W=y;y=0;if(W&1){W=pb()|0;EO(O);$9(V);sb(W|0)}else{EO(O);$9(V);W=b;k[Q>>2]=W;EN(M,R);_V(S,M);W=k[S>>2]|0;r=T;return W|0}}}c=pb()|0;$9(V);if(!d){W=c;sb(W|0)}}else if((W|0)==106)c=pb()|0;while(0);zqa(h);W=c;sb(W|0)}case 110:{k[Q>>2]=c;EN(M,R);_V(S,M);W=k[S>>2]|0;r=T;return W|0}}if((W|0)==51){zqa(j);W=c;sb(W|0)}else if((W|0)==64)$9(J);else if((W|0)==89){EO(I);W=c;sb(W|0)}$9(U);W=c;sb(W|0)}while(0);EO(f)}zqa(M);W=c;sb(W|0)}while(0);zqa(j);W=c;sb(W|0);return 0}function ge(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0;M=r;r=r+320|0;O=M+8|0;T=M+276|0;h=M+304|0;R=M+272|0;F=M+300|0;I=M+128|0;G=M+288|0;C=M+120|0;J=M+68|0;D=M;H=M+64|0;E=M+80|0;Q=M+60|0;P=M+56|0;L=M+52|0;K=M+48|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;jI(T,36731,10);y=0;j=O;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));A=sa(26,T|0,a|0,d|0,O|0,f|0)|0;S=y;y=0;if(S&1){S=pb()|0;$9(T);T=S;sb(T|0)}$9(T);f=A+64|0;d=A+68|0;a=k[d>>2]|0;b=k[f>>2]|0;do if((a|0)==(b|0)){k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;jI(h,36742,48);y=0;j=O;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));oa(458,h|0,O|0);S=y;y=0;if(!(S&1)){$9(h);a=k[d>>2]|0;b=k[f>>2]|0;break}T=pb()|0;$9(h);sb(T|0)}while(0);k[T>>2]=0;S=T+4|0;k[S>>2]=0;k[T+8>>2]=0;f=a-b>>2;a:do if(!f)h=57;else{B=I+64|0;h=I+8|0;w=I+12|0;n=I+4|0;o=I+64|0;p=I+136|0;q=I+140|0;x=I+44|0;s=I+60|0;z=I+8|0;t=c+16|0;u=J+11|0;v=T+8|0;d=0;while(1){y=0;b=Ha(981,A|0,d|0)|0;m=y;y=0;if(m&1){h=26;break}k[F>>2]=b;y=0;oa(482,R|0,b|0);m=y;y=0;if(m&1){h=27;break}EO(F);b=k[R>>2]|0;if((k[b+56>>2]|0)==8){k[h>>2]=14400;k[I>>2]=14440;k[B>>2]=14460;k[n>>2]=0;y=0;oa(528,o|0,w|0);m=y;y=0;if(m&1){h=17;break}k[p>>2]=0;k[q>>2]=-1;k[I>>2]=14380;k[B>>2]=14420;k[h>>2]=14400;y=0;na(373,w|0);m=y;y=0;if(m&1){h=18;break}k[w>>2]=14240;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[x+12>>2]=0;k[s>>2]=24;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;y=0;oa(529,w|0,O|0);m=y;y=0;if(m&1){h=16;break}$9(O);y=0;ta(54,z|0,36791,63)|0;m=y;y=0;if(m&1){h=30;break}y=0;ta(54,z|0,36855,68)|0;m=y;y=0;if(m&1){h=30;break}y=0;oa(530,G|0,w|0);m=y;y=0;if(m&1){h=30;break}y=0;j=O;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));oa(458,G|0,O|0);m=y;y=0;if(m&1){h=31;break}$9(G);k[I>>2]=14380;k[B>>2]=14420;k[z>>2]=14400;k[w>>2]=14240;$9(x);nba(w);zka(I,14472);dja(B);b=k[R>>2]|0}if(!b)b=0;else b=pw(b,40,520,0)|0;y=0;oa(482,C|0,b|0);m=y;y=0;if(m&1){h=28;break}b=k[C>>2]|0;if(b|0)i[b+60>>0]=0;EO(C);m=k[R>>2]|0;l=k[(k[m>>2]|0)+28>>2]|0;b=k[t>>2]|0;a=k[b+4>>2]|0;j=D;k[j>>2]=k[b>>2];k[j+4>>2]=a;y=0;k[O>>2]=k[D>>2];k[O+4>>2]=k[D+4>>2];Na(l|0,I|0,m|0,O|0);m=y;y=0;if(m&1){h=48;break}y=0;b=Ha(970,I|0,46488)|0;m=y;y=0;if(m&1){h=49;break}k[J>>2]=k[b>>2];k[J+4>>2]=k[b+4>>2];k[J+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;$9(I);b=i[u>>0]|0;a=k[J>>2]|0;y=0;Ra(16,E|0,35264,0,-1);m=y;y=0;if(m&1){h=51;break}b=b<<24>>24<0?a:J;y=0;j=O;l=E;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));b=Ma(11,b|0,c|0,O|0,0)|0;m=y;y=0;if(m&1){h=51;break}k[H>>2]=b;y=0;oa(482,O|0,b|0);m=y;y=0;if(m&1){h=52;break}b=k[S>>2]|0;if(b>>>0<(k[v>>2]|0)>>>0){y=0;oa(464,b|0,O|0);m=y;y=0;if(m&1){h=53;break}k[S>>2]=(k[S>>2]|0)+4}else{y=0;oa(556,T|0,O|0);m=y;y=0;if(m&1){h=53;break}}EO(O);EO(H);$9(J);EO(R);d=d+1|0;if(d>>>0>=f>>>0){h=9;break}}switch(h|0){case 9:{b=k[T>>2]|0;if((b|0)==(k[S>>2]|0)){h=57;break a}y=0;oa(464,Q|0,b|0);J=y;y=0;if(J&1){f=pb()|0;d=N;h=118;break a}b=b+4|0;b:do if((b|0)==(k[S>>2]|0))h=107;else{o=O+4|0;j=O+8|0;l=g+4|0;m=g+8|0;n=O+8|0;c:while(1){y=0;oa(464,P|0,b|0);J=y;y=0;if(J&1){h=79;break}k[O>>2]=0;k[o>>2]=0;k[j>>2]=0;y=0;oa(482,R|0,k[Q>>2]|0);J=y;y=0;if(J&1){h=82;break}a=k[l>>2]|0;if(a>>>0<(k[m>>2]|0)>>>0){y=0;oa(464,a|0,R|0);J=y;y=0;if(J&1){h=83;break}k[l>>2]=(k[l>>2]|0)+4}else{y=0;oa(556,g|0,R|0);J=y;y=0;if(J&1){h=83;break}}EO(R);y=0;a=Ma(7,k[P>>2]|0,c|0,g|0,1)|0;J=y;y=0;if(J&1){h=85;break}y=0;oa(482,L|0,a|0);J=y;y=0;if(J&1){h=85;break}d=k[l>>2]|0;a=d+-4|0;do{J=d+-4|0;k[l>>2]=J;EO(J);d=k[l>>2]|0}while((d|0)!=(a|0));d=k[L>>2]|0;h=(k[d+80>>2]|0)-(k[d+76>>2]|0)>>2;d:do if(h|0){a=0;while(1){d=(k[d+76>>2]|0)+(a<<2)|0;f=k[o>>2]|0;if((f|0)==(k[n>>2]|0)){y=0;oa(515,O|0,d|0);J=y;y=0;if(J&1){h=93;break c}}else{y=0;oa(464,f|0,d|0);J=y;y=0;if(J&1){h=93;break c}k[o>>2]=(k[o>>2]|0)+4}a=a+1|0;if(a>>>0>=h>>>0)break d;d=k[L>>2]|0}}while(0);a=(k[Q>>2]|0)+76|0;if((a|0)!=(O|0)){y=0;Na(105,a|0,k[O>>2]|0,k[o>>2]|0);J=y;y=0;if(J&1){h=86;break}}EO(L);a=k[O>>2]|0;if(a|0){d=k[o>>2]|0;if((d|0)!=(a|0)){do{J=d+-4|0;k[o>>2]=J;EO(J);d=k[o>>2]|0}while((d|0)!=(a|0));a=k[O>>2]|0}zqa(a)}EO(P);b=b+4|0;if((b|0)==(k[S>>2]|0)){h=107;break b}}if((h|0)==79){b=pb()|0;a=N;h=81;break}else if((h|0)==82){b=pb()|0;a=N;h=84}else if((h|0)==83){b=pb()|0;a=N;EO(R);h=84}else if((h|0)==85){b=pb()|0;a=N}else if((h|0)==86){b=pb()|0;a=N;h=100}else if((h|0)==93){b=pb()|0;a=N;h=100}if((h|0)!=84)if((h|0)==100)EO(L);d=k[O>>2]|0;if(d|0){f=k[o>>2]|0;if((f|0)!=(d|0)){do{R=f+-4|0;k[o>>2]=R;EO(R);f=k[o>>2]|0}while((f|0)!=(d|0));d=k[O>>2]|0}zqa(d)}EO(P)}while(0);do if((h|0)==107){y=0;na(379,K|0);R=y;y=0;if(R&1){b=pb()|0;a=N;h=81;break}b=k[Q>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,K|0)|0;R=y;y=0;if(R&1){b=pb()|0;a=N;break}else{EO(Q);d=b;h=112;break a}}while(0);EO(Q);f=b;d=a;h=118;break a}case 16:{b=pb()|0;a=N;$9(O);$9(x);nba(w);h=19;break}case 17:{b=pb()|0;a=N;h=20;break}case 18:{b=pb()|0;a=N;h=19;break}case 26:{f=pb()|0;d=N;h=118;break a}case 27:{f=pb()|0;d=N;EO(F);h=118;break a}case 28:{b=pb()|0;a=N;h=29;break}case 30:{b=pb()|0;a=N;h=32;break}case 31:{b=pb()|0;a=N;$9(G);h=32;break}case 48:{b=pb()|0;a=N;h=50;break}case 49:{b=pb()|0;a=N;$9(I);h=50;break}case 51:{b=pb()|0;a=N;h=55;break}case 52:{b=pb()|0;a=N;h=54;break}case 53:{b=pb()|0;a=N;EO(O);h=54;break}}if((h|0)==19){zka(I,14472);h=20}else if((h|0)==32){k[I>>2]=14380;k[B>>2]=14420;k[z>>2]=14400;k[w>>2]=14240;$9(x);nba(w);zka(I,14472);dja(B)}else if((h|0)!=50)if((h|0)==54){EO(H);h=55}if((h|0)==20){dja(B);h=29}else if((h|0)==55)$9(J);EO(R);f=b;d=a;h=118}while(0);do if((h|0)==57){y=0;d=qa(332,60)|0;R=y;y=0;if(R&1){f=pb()|0;d=N;h=118;break}j=O;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));y=0;na(366,d|0);R=y;y=0;if(R&1){f=pb()|0;h=N;zqa(d);d=h;h=118;break}else{j=d+12|0;l=O;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d>>2]=11032;k[d+56>>2]=8;h=112;break}}while(0);if((h|0)==112){b=k[T>>2]|0;if(!b){r=M;return d|0}a=k[S>>2]|0;if((a|0)!=(b|0)){do{R=a+-4|0;k[S>>2]=R;EO(R);a=k[S>>2]|0}while((a|0)!=(b|0));b=k[T>>2]|0}zqa(b);r=M;return d|0}else if((h|0)==118){b=k[T>>2]|0;if(b|0){a=k[S>>2]|0;if((a|0)!=(b|0)){do{R=a+-4|0;k[S>>2]=R;EO(R);a=k[S>>2]|0}while((a|0)!=(b|0));b=k[T>>2]|0}zqa(b)}T=f;sb(T|0)}return 0}function he(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;Y=0;V=r;r=r+256|0;L=V;B=V+244|0;E=V+232|0;F=V+192|0;G=V+176|0;H=V+164|0;I=V+152|0;J=V+112|0;U=V+64|0;M=V+72|0;_=V+60|0;Z=V+48|0;X=V+36|0;P=V+32|0;b=V+28|0;K=V+24|0;Q=V+16|0;mw(a,0,0)|0;R=a+128|0;wN(a+108|0,R);k[a+132>>2]=0;k[R>>2]=0;S=a+108|0;c=M;e=S;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));C=Df(a)|0;k[_>>2]=C;C=a+76|0;y=0;c=qa(359,k[C>>2]|0)|0;O=y;y=0;a:do if(!(O&1)){D=a+80|0;if((c|0)==0?1:c>>>0>(k[D>>2]|0)>>>0)c=k[C>>2]|0;y=0;d=qa(360,c|0)|0;O=y;y=0;if(!(O&1)){O=d|0?d:c;O=(i[O>>0]|0)==43?O+1|0:0;do if((O|0)==0?1:O>>>0>(k[D>>2]|0)>>>0){y=0;c=qa(381,k[C>>2]|0)|0;O=y;y=0;if(O&1)break a;if(!((c|0)==0?1:c>>>0>(k[D>>2]|0)>>>0)){c=k[C>>2]|0;y=0;d=qa(360,c|0)|0;O=y;y=0;if(O&1)break a;d=d|0?d:c;y=0;c=qa(382,d|0)|0;O=y;y=0;if(O&1)break a;if(!((d|0)==0|(c|0)!=0)){e=d+1|0;if((i[d>>0]|0)==45){y=0;c=qa(357,e|0)|0;O=y;y=0;if(O&1)break a;O=(c|0)!=0;if(!(O|(O?0:e)>>>0>(k[D>>2]|0)>>>0)){Y=20;break}}}}c=k[C>>2]|0;y=0;d=qa(360,c|0)|0;O=y;y=0;if(O&1)break a;d=d|0?d:c;y=0;c=qa(382,d|0)|0;O=y;y=0;if(O&1)break a;if(!((d|0)==0|(c|0)!=0)){e=d+1|0;if((i[d>>0]|0)==45){y=0;c=qa(382,e|0)|0;O=y;y=0;if(O&1)break a;O=(c|0)!=0;if(!(O|(O?0:e)>>>0>(k[D>>2]|0)>>>0))Y=20}}}else Y=20;while(0);if((Y|0)==20){c=k[C>>2]|0;y=0;d=qa(360,c|0)|0;O=y;y=0;if(O&1)break;c=d|0?d:c;if((i[c>>0]|0)==45)do c=c+1|0;while((i[c>>0]|0)==45);y=0;c=qa(344,c|0)|0;O=y;y=0;if(O&1)break;if((c|0)==0?1:c>>>0>(k[D>>2]|0)>>>0){k[Z>>2]=0;O=Z+4|0;k[O>>2]=0;k[Z+8>>2]=0;k[X>>2]=0;A=X+4|0;k[A>>2]=0;k[X+8>>2]=0;y=0;c=qa(359,k[C>>2]|0)|0;z=y;y=0;b:do if(z&1){W=pb()|0;T=N}else{m=a+152|0;n=a+84|0;o=a+96|0;p=a+156|0;q=a+160|0;s=B+8|0;t=B+4|0;u=B+11|0;v=L+4|0;w=L+5|0;x=X+8|0;z=Z+8|0;c=c>>>0<=(k[D>>2]|0)>>>0?c:0;while(1){l=(c|0)!=0;k[G>>2]=k[m>>2];k[G+4>>2]=k[m+4>>2];k[G+8>>2]=k[m+8>>2];d=k[C>>2]|0;k[H>>2]=k[n>>2];k[H+4>>2]=k[n+4>>2];k[H+8>>2]=k[n+8>>2];k[I>>2]=k[o>>2];k[I+4>>2]=k[o+4>>2];k[I+8>>2]=k[o+8>>2];c=J;e=S;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;ta(61,a|0,1,0)|0;j=y;y=0;if(j&1){Y=72;break}y=0;c=ta(64,a|0,1,0)|0;j=y;y=0;if(j&1){Y=72;break}if(!c){c=S;e=J;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));k[m>>2]=k[G>>2];k[m+4>>2]=k[G+4>>2];k[m+8>>2]=k[G+8>>2];k[C>>2]=d;k[o>>2]=k[I>>2];k[o+4>>2]=k[I+4>>2];k[o+8>>2]=k[I+8>>2];k[n>>2]=k[H>>2];k[n+4>>2]=k[H+4>>2];k[n+8>>2]=k[H+8>>2];y=0;c=qa(359,d|0)|0;j=y;y=0;if(j&1){Y=72;break}if((c|0)==0?1:c>>>0>(k[D>>2]|0)>>>0)c=k[C>>2]|0;y=0;d=qa(360,c|0)|0;j=y;y=0;if(j&1){Y=72;break}c=d|0?d:c;if((i[c>>0]|0)==45)do c=c+1|0;while((i[c>>0]|0)==45);y=0;c=qa(344,c|0)|0;j=y;y=0;if(j&1){Y=72;break}if(!((c|0)==0?1:c>>>0>(k[D>>2]|0)>>>0)){Y=84;break}k[L>>2]=k[m>>2];k[L+4>>2]=k[m+4>>2];k[L+8>>2]=k[m+8>>2];d=k[C>>2]|0;k[B>>2]=k[n>>2];k[B+4>>2]=k[n+4>>2];k[B+8>>2]=k[n+8>>2];k[E>>2]=k[o>>2];k[E+4>>2]=k[o+4>>2];k[E+8>>2]=k[o+8>>2];c=F;e=S;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;ta(61,a|0,1,0)|0;j=y;y=0;if(j&1){Y=72;break}y=0;c=ta(88,a|0,1,0)|0;j=y;y=0;if(j&1){Y=72;break}if(!c){Y=43;break}}y=0;h=qa(359,k[C>>2]|0)|0;j=y;y=0;if(j&1){Y=72;break}j=h>>>0<=(k[D>>2]|0)>>>0;d=k[p>>2]|0;f=k[q>>2]|0;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){y=0;na(377,B|0);Y=y;y=0;if(Y&1){Y=75;break}else Y=51}else if(g>>>0<11){i[u>>0]=g;c=B}else Y=51;if((Y|0)==51){Y=0;e=g+16&-16;y=0;c=qa(332,e|0)|0;$=y;y=0;if($&1){Y=75;break}k[B>>2]=c;k[s>>2]=e|-2147483648;k[t>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;d=(h|0)!=0&j;$=i[u>>0]|0;if((($<<24>>24<0?k[t>>2]|0:$&255)|0)==1){y=0;c=sa(21,B|0,0,-1,46419,1)|0;$=y;y=0;if($&1){Y=58;break}c=(c|0)==0?8:9}else c=9;k[L>>2]=c;i[v>>0]=l&1;i[w>>0]=d&1;c=k[A>>2]|0;if(c>>>0<(k[x>>2]|0)>>>0){j=L;l=k[j+4>>2]|0;$=c;k[$>>2]=k[j>>2];k[$+4>>2]=l;k[A>>2]=(k[A>>2]|0)+8}else{y=0;oa(565,X|0,L|0);$=y;y=0;if($&1){Y=76;break}}$9(B);y=0;c=qa(383,a|0)|0;$=y;y=0;if($&1){Y=78;break}k[P>>2]=c;y=0;oa(482,L|0,c|0);$=y;y=0;if($&1){Y=79;break}c=k[O>>2]|0;if(c>>>0<(k[z>>2]|0)>>>0){y=0;oa(464,c|0,L|0);$=y;y=0;if($&1){Y=80;break}k[O>>2]=(k[O>>2]|0)+4}else{y=0;oa(546,Z|0,L|0);$=y;y=0;if($&1){Y=80;break}}EO(L);EO(P);y=0;c=qa(359,k[C>>2]|0)|0;$=y;y=0;if($&1){Y=83;break}c=c>>>0<=(k[D>>2]|0)>>>0?c:0}if((Y|0)==43){c=S;e=F;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));k[m>>2]=k[L>>2];k[m+4>>2]=k[L+4>>2];k[m+8>>2]=k[L+8>>2];k[C>>2]=d;k[o>>2]=k[E>>2];k[o+4>>2]=k[E+4>>2];k[o+8>>2]=k[E+8>>2];k[n>>2]=k[B>>2];k[n+4>>2]=k[B+4>>2];k[n+8>>2]=k[B+8>>2];Y=84}else if((Y|0)==58){$=tb(0)|0;dla($)}else if((Y|0)==72){b=pb()|0;c=N;Y=74}else if((Y|0)==75){b=pb()|0;c=N;Y=77}else if((Y|0)==76){b=pb()|0;c=N;$9(B);Y=77}else if((Y|0)==78){b=pb()|0;c=N;Y=82}else if((Y|0)==79){b=pb()|0;c=N;Y=81}else if((Y|0)==80){b=pb()|0;c=N;EO(L);Y=81}else if((Y|0)==83){W=pb()|0;T=N;break}do if((Y|0)==77){W=b;T=c;break b}else if((Y|0)==81){EO(P);Y=82}else if((Y|0)==84){c:do if((k[O>>2]|0)==(k[Z>>2]|0)){y=0;oa(464,U|0,_|0);$=y;y=0;if($&1)Y=73}else{y=0;oa(464,K|0,_|0);$=y;y=0;if($&1)Y=73;else{y=0;c=sa(29,a|0,K|0,Z|0,X|0,0)|0;$=y;y=0;if($&1){W=pb()|0;T=N;EO(K);break b}k[b>>2]=c;EO(K);c=M+20|0;y=0;Na(111,Q|0,S|0,M|0);$=y;y=0;do if($&1)Y=93;else{y=0;Na(112,L|0,Q|0,R|0);$=y;y=0;if($&1)Y=93;else{T=L;W=k[T+4>>2]|0;$=c;k[$>>2]=k[T>>2];k[$+4>>2]=W;DN((k[b>>2]|0)+12|0,M|0,40)|0;y=0;oa(464,U|0,b|0);$=y;y=0;if($&1){c=pb()|0;d=N;break}else{EO(b);break c}}}while(0);if((Y|0)==93){c=pb()|0;d=N}EO(b);W=c;T=d;break b}}while(0);if((Y|0)==73){b=pb()|0;c=N;Y=74;break}b=k[X>>2]|0;c=b;if(b|0){d=k[A>>2]|0;if((d|0)!=(b|0))k[A>>2]=d+(~((d+-8-c|0)>>>3)<<3);zqa(b)}b=k[Z>>2]|0;if(b|0){c=k[O>>2]|0;if((c|0)!=(b|0)){do{$=c+-4|0;k[O>>2]=$;EO($);c=k[O>>2]|0}while((c|0)!=(b|0));b=k[Z>>2]|0}zqa(b)}$=_;EO($);$=k[U>>2]|0;r=V;return $|0}while(0);if((Y|0)==74){W=b;T=c;break}else if((Y|0)==82){W=b;T=c;break}}while(0);b=k[X>>2]|0;c=b;if(b|0){d=k[A>>2]|0;if((d|0)!=(b|0))k[A>>2]=d+(~((d+-8-c|0)>>>3)<<3);zqa(b)}b=k[Z>>2]|0;if(b|0){c=k[O>>2]|0;if((c|0)!=(b|0)){do{$=c+-4|0;k[O>>2]=$;EO($);c=k[O>>2]|0}while((c|0)!=(b|0));b=k[Z>>2]|0}zqa(b)}$=W;EO(_);sb($|0)}}y=0;oa(464,U|0,_|0);$=y;y=0;if(!($&1)){$=_;EO($);$=k[U>>2]|0;r=V;return $|0}}}while(0);$=pb()|0;EO(_);sb($|0);return 0}function ie(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0;L=0;I=r;r=r+368|0;F=I+328|0;G=I+316|0;m=I+312|0;e=I+304|0;c=I;O=I+296|0;M=I+288|0;f=I+308|0;K=I+272|0;n=I+300|0;j=I+292|0;q=I+284|0;s=I+232|0;x=I+220|0;t=I+208|0;u=I+168|0;z=I+156|0;A=I+152|0;B=I+112|0;D=I+100|0;v=I+96|0;w=I+56|0;C=I+40|0;J=I+216|0;H=I+212|0;l=ZL(88)|0;E=b+12|0;h=c;o=E;p=h+40|0;do{k[h>>2]=k[o>>2];h=h+4|0;o=o+4|0}while((h|0)<(p|0));y=0;na(366,l|0);p=y;y=0;do if(p&1)c=pb()|0;else{h=l+12|0;o=c;p=h+40|0;do{k[h>>2]=k[o>>2];h=h+4|0;o=o+4|0}while((h|0)<(p|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;c=l+56|0;k[c>>2]=0;k[l>>2]=7760;d=l+60|0;k[d>>2]=7720;g=l+64|0;h=l+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(518,g|0,2);p=y;y=0;if(p&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{O=e+-4|0;k[h>>2]=O;EO(O);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[l>>2]=7552;k[d>>2]=7680;k[l+80>>2]=1;i[l+84>>0]=0;i[l+85>>0]=0;k[c>>2]=5;_V(O,l);i[(k[O>>2]|0)+85>>0]=1;y=0;oa(464,e|0,b+76|0);p=y;y=0;if(p&1)c=pb()|0;else{d=k[e>>2]|0;k[M>>2]=d;do if(!d)L=25;else{c=k[d+76>>2]|0;if(((k[d+80>>2]|0)-c|0)==4){c=k[c>>2]|0;if(c|0)if(pw(c,144,384,0)|0){L=25;break}}y=0;c=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,a|0)|0;p=y;y=0;if(p&1)L=22;else if(!c)L=25;else{d=(k[O>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(482,f|0,c|0);p=y;y=0;if(p&1){c=pb()|0;break}y=0;oa(e|0,d|0,f|0);p=y;y=0;if(p&1){c=pb()|0;EO(f);break}else{EO(f);L=25;break}}}while(0);do if((L|0)==25){c=b+84|0;y=0;oa(464,m|0,c|0);p=y;y=0;if(p&1)L=22;else{p=k[m>>2]|0;k[n>>2]=p;do if(!p){k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;y=0;Na(75,K|0,82159,0);L=y;y=0;if(L&1)L=32;else L=31}else{y=0;oa(464,F|0,c|0);p=y;y=0;if(p&1)L=32;else{p=k[F>>2]|0;k[j>>2]=p;y=0;oa(k[(k[p>>2]|0)+32>>2]|0,K|0,p|0);p=y;y=0;if(p&1){c=pb()|0;EO(j);break}else{EO(j);L=31;break}}}while(0);if((L|0)==31){EO(n);a:do switch(k[b+72>>2]|0){case 1:{c=(k[O>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;f=qa(332,80)|0;D=y;y=0;if(D&1)L=35;else{h=s;o=E;p=h+40|0;do{k[h>>2]=k[o>>2];h=h+4|0;o=o+4|0}while((h|0)<(p|0));k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(75,x|0,44129,1);E=y;y=0;if(E&1){c=pb()|0;d=N}else{y=0;h=F;o=s;p=h+40|0;do{k[h>>2]=k[o>>2];h=h+4|0;o=o+4|0}while((h|0)<(p|0));Ea(2,f|0,F|0,x|0,0,0,0,1);F=y;y=0;if(F&1)e=1;else{y=0;oa(482,q|0,f|0);F=y;y=0;if(F&1)e=0;else{y=0;oa(d|0,c|0,q|0);F=y;y=0;if(F&1){c=pb()|0;EO(q);$9(x);break a}else{EO(q);$9(x);L=80;break a}}}c=pb()|0;d=N;$9(x);if(!e)break a}zqa(f)}break}case 3:{c=(k[O>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;f=qa(332,80)|0;D=y;y=0;if(D&1)L=35;else{h=u;o=E;p=h+40|0;do{k[h>>2]=k[o>>2];h=h+4|0;o=o+4|0}while((h|0)<(p|0));k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(75,z|0,46419,1);E=y;y=0;if(E&1){c=pb()|0;d=N}else{y=0;h=F;o=u;p=h+40|0;do{k[h>>2]=k[o>>2];h=h+4|0;o=o+4|0}while((h|0)<(p|0));Ea(2,f|0,F|0,z|0,0,0,0,1);F=y;y=0;if(F&1)e=1;else{y=0;oa(482,t|0,f|0);F=y;y=0;if(F&1)e=0;else{y=0;oa(d|0,c|0,t|0);F=y;y=0;if(F&1){c=pb()|0;EO(t);$9(z);break a}else{EO(t);$9(z);L=80;break a}}}c=pb()|0;d=N;$9(z);if(!e)break a}zqa(f)}break}case 4:{e=(k[O>>2]|0)+60|0;f=k[(k[e>>2]|0)+20>>2]|0;y=0;g=qa(332,80)|0;C=y;y=0;if(C&1)L=35;else{h=B;o=E;p=h+40|0;do{k[h>>2]=k[o>>2];h=h+4|0;o=o+4|0}while((h|0)<(p|0));k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;c=K+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[K+4>>2]|0:d&255;y=0;Ra(10,G|0,44131,1,d+1|0);E=y;y=0;do if(E&1)L=64;else{y=0;ta(47,G|0,((i[c>>0]|0)<0?k[K>>2]|0:K)|0,d|0)|0;E=y;y=0;if(E&1)L=64;else{y=0;c=Ha(970,G|0,44131)|0;E=y;y=0;if(E&1){c=pb()|0;d=N;$9(G);break}k[D>>2]=k[c>>2];k[D+4>>2]=k[c+4>>2];k[D+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;h=F;o=B;p=h+40|0;do{k[h>>2]=k[o>>2];h=h+4|0;o=o+4|0}while((h|0)<(p|0));Ea(2,g|0,F|0,D|0,0,0,0,1);F=y;y=0;do if(F&1){c=1;L=66}else{y=0;oa(482,A|0,g|0);F=y;y=0;if(F&1){c=0;L=66}else{y=0;oa(f|0,e|0,A|0);F=y;y=0;if(F&1){c=pb()|0;d=N;EO(A);e=0;break}else{EO(A);$9(D);$9(G);L=80;break a}}}while(0);if((L|0)==66){d=pb()|0;e=c;c=d;d=N}$9(D);$9(G);if(!e)break a}}while(0);if((L|0)==64){c=pb()|0;d=N;$9(G)}zqa(g)}break}case 2:{c=(k[O>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;f=qa(332,80)|0;D=y;y=0;if(D&1)L=35;else{h=w;o=E;p=h+40|0;do{k[h>>2]=k[o>>2];h=h+4|0;o=o+4|0}while((h|0)<(p|0));k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;y=0;Na(75,C|0,44133,1);E=y;y=0;if(E&1){c=pb()|0;d=N}else{y=0;h=F;o=w;p=h+40|0;do{k[h>>2]=k[o>>2];h=h+4|0;o=o+4|0}while((h|0)<(p|0));Ea(2,f|0,F|0,C|0,0,0,0,1);F=y;y=0;if(F&1)e=1;else{y=0;oa(482,v|0,f|0);F=y;y=0;if(F&1)e=0;else{y=0;oa(d|0,c|0,v|0);F=y;y=0;if(F&1){c=pb()|0;EO(v);$9(C);break a}else{EO(v);$9(C);L=80;break a}}}c=pb()|0;d=N;$9(C);if(!e)break a}zqa(f)}break}default:L=80}while(0);b:do if((L|0)==80){y=0;oa(464,G|0,b+80|0);b=y;y=0;if(b&1)L=35;else{c=k[G>>2]|0;k[J>>2]=c;c:do if(c|0){y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;G=y;y=0;d:do if(G&1)L=85;else{y=0;oa(482,H|0,c|0);G=y;y=0;if(G&1)L=85;else{c=k[H>>2]|0;do if(c|0){c=pw(c,40,216,0)|0;if(c|0){G=(k[O>>2]|0)+60|0;y=0;oa(k[(k[G>>2]|0)+24>>2]|0,G|0,c+60|0);G=y;y=0;if(!(G&1))break;c=pb()|0;EO(H);break d}}while(0);EO(H);break c}}while(0);if((L|0)==85)c=pb()|0;EO(J);break b}while(0);c=k[O>>2]|0;if((k[c+68>>2]|0)==(k[c+64>>2]|0)){L=0;EO(J);$9(K);EO(M);EO(O);r=I;return L|0}if(!c)c=0;else i[c+8>>0]=1;L=c;EO(J);$9(K);EO(M);EO(O);r=I;return L|0}}while(0);if((L|0)==35)c=pb()|0;$9(K);break}else if((L|0)==32)c=pb()|0;EO(n)}}while(0);if((L|0)==22)c=pb()|0;EO(M)}EO(O);O=c;sb(O|0)}while(0);zqa(l);O=c;sb(O|0);return 0}function je(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;N=r;r=r+224|0;L=N+40|0;K=N;x=N+200|0;H=N+160|0;J=N+144|0;B=N+104|0;C=N+92|0;w=N+80|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;jI(K,35329,6);y=0;D=L;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));M=sa(24,K|0,a|0,d|0,L|0,f|0)|0;I=y;y=0;if(I&1){N=pb()|0;$9(K);sb(N|0)}$9(K);k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;jI(L,35304,4);y=0;b=Ha(971,a|0,L|0)|0;I=y;y=0;if(I&1){N=pb()|0;$9(L);sb(N|0)}b=k[b>>2]|0;if(!b)g=0;else g=pw(b,8,448,0)|0;$9(L);k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;jI(L,35309,6);y=0;b=Ha(971,a|0,L|0)|0;I=y;y=0;if(I&1){N=pb()|0;$9(L);sb(N|0)}b=k[b>>2]|0;if(!b)c=0;else c=pw(b,8,448,0)|0;$9(L);k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;jI(L,35316,5);y=0;b=Ha(971,a|0,L|0)|0;I=y;y=0;if(I&1){N=pb()|0;$9(L);sb(N|0)}b=k[b>>2]|0;if(!b)v=0;else v=pw(b,8,448,0)|0;$9(L);k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;jI(L,35368,4);y=0;b=Ha(971,a|0,L|0)|0;I=y;y=0;if(I&1){N=pb()|0;$9(L);sb(N|0)}b=k[b>>2]|0;if(!b)G=0;else G=pw(b,8,448,0)|0;$9(L);k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;jI(L,35373,11);y=0;b=Ha(971,a|0,L|0)|0;I=y;y=0;if(I&1){N=pb()|0;$9(L);sb(N|0)}b=k[b>>2]|0;if(!b)t=0;else t=pw(b,8,448,0)|0;$9(L);k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;jI(L,35385,10);y=0;b=Ha(971,a|0,L|0)|0;I=y;y=0;if(I&1){N=pb()|0;$9(L);sb(N|0)}b=k[b>>2]|0;if(!b)A=0;else A=pw(b,8,448,0)|0;$9(L);k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;jI(L,35322,6);y=0;b=Ha(971,a|0,L|0)|0;I=y;y=0;if(I&1){N=pb()|0;$9(L);sb(N|0)}b=k[b>>2]|0;if(!b)I=0;else I=pw(b,8,448,0)|0;$9(L);g=(g|0)!=0;u=(c|0)!=0;c=g|u|(v|0)!=0;z=(G|0)!=0;t=(t|0)!=0;b=z|t|(A|0)!=0;do if(c&b){k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;jI(x,35458,57);y=0;D=L;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));oa(458,x|0,L|0);F=y;y=0;if(!(F&1)){$9(x);break}N=pb()|0;$9(x);sb(N|0)}while(0);if(c){do if(g){k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;jI(K,35304,4);y=0;D=L;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,L|0,-255.0,255.0,f|0)|0;G=y;y=0;if(!(G&1)){m=+p[b+64>>3];$9(K);break}N=pb()|0;$9(K);sb(N|0)}else m=0.0;while(0);do if(u){k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;jI(K,35309,6);y=0;D=L;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,L|0,-255.0,255.0,f|0)|0;G=y;y=0;if(!(G&1)){l=+p[b+64>>3];$9(K);break}N=pb()|0;$9(K);sb(N|0)}else l=0.0;while(0);do if(!v)s=0.0;else{k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;jI(K,35316,5);y=0;D=L;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,L|0,-255.0,255.0,f|0)|0;G=y;y=0;if(!(G&1)){s=+p[b+64>>3];$9(K);break}N=pb()|0;$9(K);sb(N|0)}while(0);do if(!I)q=0.0;else{k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;jI(K,35322,6);y=0;D=L;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,L|0,-1.0,1.0,f|0)|0;L=y;y=0;if(!(L&1)){q=+p[b+64>>3];$9(K);break}N=pb()|0;$9(K);sb(N|0)}while(0);c=ZL(112)|0;D=H;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));h=+p[M+64>>3];j=+p[M+72>>3];n=+p[M+80>>3];o=+p[M+88>>3];k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;Na(75,J|0,82159,0);M=y;y=0;if(M&1)b=pb()|0;else{D=K;E=H;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));y=0;na(366,c|0);M=y;y=0;do if(M&1)b=pb()|0;else{m=m+h;l=l+j;j=s+n;h=q+o;D=c+12|0;E=K;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=9088;p[c+64>>3]=m;p[c+72>>3]=l;p[c+80>>3]=j;p[c+88>>3]=h;y=0;oa(452,c+96|0,J|0);M=y;y=0;if(M&1){b=pb()|0;break}k[c+108>>2]=0;k[b>>2]=3;$9(J);M=c;r=N;return M|0}while(0);$9(J)}zqa(c);N=b;sb(N|0)}if(!b){if(!I){k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;jI(w,35516,39);y=0;D=L;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));oa(458,w|0,L|0);e=y;y=0;if(e&1){N=pb()|0;$9(w);sb(N|0)}else{$9(w);r=N;return M|0}}c=ZL(112)|0;D=B;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));l=+p[M+64>>3];m=+p[M+72>>3];n=+p[M+80>>3];j=+p[M+88>>3];h=+p[I+64>>3];k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;y=0;Na(75,C|0,82159,0);M=y;y=0;if(M&1)b=pb()|0;else{D=L;E=B;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));y=0;na(366,c|0);M=y;y=0;do if(M&1)b=pb()|0;else{h=j+h;D=c+12|0;E=L;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=9088;p[c+64>>3]=l;p[c+72>>3]=m;p[c+80>>3]=n;p[c+88>>3]=h;y=0;oa(452,c+96|0,C|0);M=y;y=0;if(M&1){b=pb()|0;break}k[c+108>>2]=0;k[b>>2]=3;$9(C);M=c;r=N;return M|0}while(0);$9(C)}zqa(c);N=b;sb(N|0)}m=+p[M+64>>3]/255.0;n=+p[M+72>>3]/255.0;o=+p[M+80>>3]/255.0;b=n<o;l=b?o:n;l=m<l?l:m;h=o<n?o:n;h=h<m?h:m;q=l-h;j=l+h;s=j*.5;do if(l==h){h=0.0;j=0.0}else{j=q/(s<.5?j:2.0-l-h);if(m==l){h=(b?6.0:0.0)+(n-o)/q;break}if(n==l){h=(o-m)/q+2.0;break}if(!(o==l)){h=0.0;break}h=(m-n)/q+4.0}while(0);m=h/6.0*360.0;o=j*100.0;q=s*100.0;do if(t){k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;jI(K,35373,11);y=0;D=L;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,L|0,-100.0,100.0,f|0)|0;J=y;y=0;if(!(J&1)){l=+p[b+64>>3];$9(K);break}N=pb()|0;$9(K);sb(N|0)}else l=0.0;while(0);do if(!A)j=0.0;else{k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;jI(K,35385,10);y=0;D=L;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,L|0,-100.0,100.0,f|0)|0;J=y;y=0;if(!(J&1)){j=+p[b+64>>3];$9(K);break}N=pb()|0;$9(K);sb(N|0)}while(0);do if(!I)n=0.0;else{k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;jI(K,35322,6);y=0;D=L;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,L|0,-1.0,1.0,f|0)|0;f=y;y=0;if(!(f&1)){n=+p[b+64>>3];$9(K);break}N=pb()|0;$9(K);sb(N|0)}while(0);if(z)h=+p[G+64>>3];else h=0.0;m=m+h;l=o+l;j=q+j;h=n+ +p[M+88>>3];D=L;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));M=lm(m,l,j,h,0,L)|0;r=N;return M|0}function ke(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=r;r=r+608|0;G=I+560|0;E=I+544|0;A=I+160|0;o=I+532|0;p=I+120|0;q=I+520|0;s=I+80|0;t=I+508|0;u=I+40|0;v=I+452|0;h=I;H=I+504|0;j=I+464|0;w=I+440|0;l=I+400|0;x=I+384|0;m=I+344|0;C=I+328|0;n=I+288|0;z=I+272|0;d=I+268|0;e=I+264|0;f=I+260|0;g=I+256|0;B=I+216|0;D=I+200|0;mw(a,0,0)|0;if(Yu(a,1,0)|0){g=ZL(104)|0;b=j;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,w|0);F=y;y=0;if(F&1)F=16;else F=6}else if(f>>>0<11){i[w+11>>0]=f;b=w;F=8}else F=6;if((F|0)==6){d=f+16&-16;y=0;b=qa(332,d|0)|0;F=y;y=0;if(F&1)F=16;else{k[w>>2]=b;k[w+8>>2]=d|-2147483648;k[w+4>>2]=f;F=8}}do if((F|0)==8){if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;b=h;c=j;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(452,v|0,w|0);F=y;y=0;if(F&1)c=1;else{y=0;b=G;c=h;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));Na(88,g|0,G|0,v|0);G=y;y=0;if(G&1){b=pb()|0;$9(v);$9(w);break}$9(v);k[g>>2]=12424;y=0;oa(482,H|0,g|0);G=y;y=0;if(G&1)c=0;else{$9(w);H=k[H>>2]|0;r=I;return H|0}}b=pb()|0;$9(w);if(!c){I=b;sb(I|0)}}else if((F|0)==16)b=pb()|0;while(0);zqa(g);I=b;sb(I|0)}if(yv(a,1,0)|0){g=ZL(104)|0;b=l;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,x|0);F=y;y=0;if(F&1)F=34;else F=24}else if(f>>>0<11){i[x+11>>0]=f;b=x;F=26}else F=24;if((F|0)==24){d=f+16&-16;y=0;b=qa(332,d|0)|0;F=y;y=0;if(F&1)F=34;else{k[x>>2]=b;k[x+8>>2]=d|-2147483648;k[x+4>>2]=f;F=26}}do if((F|0)==26){if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;b=u;c=l;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(452,t|0,x|0);F=y;y=0;if(F&1)c=1;else{y=0;b=G;c=u;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));Na(88,g|0,G|0,t|0);G=y;y=0;if(G&1){b=pb()|0;$9(t);$9(x);break}$9(t);k[g>>2]=12604;y=0;oa(482,H|0,g|0);G=y;y=0;if(G&1)c=0;else{$9(x);H=k[H>>2]|0;r=I;return H|0}}b=pb()|0;$9(x);if(!c){I=b;sb(I|0)}}else if((F|0)==34)b=pb()|0;while(0);zqa(g);I=b;sb(I|0)}if(Au(a,1,0)|0){h=ZL(104)|0;b=m;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));e=k[a+156>>2]|0;f=k[a+160>>2]|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;g=f-e|0;if(g>>>0>4294967279){y=0;na(377,E|0);F=y;y=0;if(F&1)F=53;else F=42}else if(g>>>0<11){i[E+11>>0]=g;b=E;F=44}else F=42;if((F|0)==42){c=g+16&-16;y=0;b=qa(332,c|0)|0;F=y;y=0;if(F&1)F=53;else{k[E>>2]=b;k[E+8>>2]=c|-2147483648;k[E+4>>2]=g;F=44}}do if((F|0)==44){if((e|0)!=(f|0)){d=b;c=e;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(f|0))break;else d=d+1|0}b=b+g|0}i[b>>0]=0;y=0;ma(5,C|0,E|0,0,0,1);a=y;y=0;if(a&1){b=pb()|0;$9(E);break}b=s;c=m;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(452,q|0,C|0);a=y;y=0;do if(a&1){b=1;F=55}else{y=0;b=G;c=s;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));Na(88,h|0,G|0,q|0);G=y;y=0;if(G&1){b=pb()|0;$9(q);c=1;break}$9(q);k[h>>2]=12240;y=0;oa(482,H|0,h|0);G=y;y=0;if(G&1){b=0;F=55}else{$9(C);$9(E);H=k[H>>2]|0;r=I;return H|0}}while(0);if((F|0)==55){I=pb()|0;c=b;b=I}$9(C);$9(E);if(!c){I=b;sb(I|0)}}else if((F|0)==53)b=pb()|0;while(0);zqa(h);I=b;sb(I|0)}if(wr(a,1,0)|0){g=ZL(104)|0;b=n;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,z|0);F=y;y=0;if(F&1)F=73;else F=63}else if(f>>>0<11){i[z+11>>0]=f;b=z;F=65}else F=63;if((F|0)==63){d=f+16&-16;y=0;b=qa(332,d|0)|0;F=y;y=0;if(F&1)F=73;else{k[z>>2]=b;k[z+8>>2]=d|-2147483648;k[z+4>>2]=f;F=65}}do if((F|0)==65){if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;b=p;c=n;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(452,o|0,z|0);F=y;y=0;if(F&1)c=1;else{y=0;b=G;c=p;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));Na(88,g|0,G|0,o|0);G=y;y=0;if(G&1){b=pb()|0;$9(o);$9(z);break}$9(o);k[g>>2]=12240;y=0;oa(482,H|0,g|0);G=y;y=0;if(G&1)c=0;else{$9(z);H=k[H>>2]|0;r=I;return H|0}}b=pb()|0;$9(z);if(!c){I=b;sb(I|0)}}else if((F|0)==73)b=pb()|0;while(0);zqa(g);I=b;sb(I|0)}b=a+76|0;F=k[b>>2]|0;c=oW(F)|0;F=GK(c|0?c:F)|0;c=a+80|0;if(!((F|0)==0?1:F>>>0>(k[c>>2]|0)>>>0)){G=ei(a)|0;k[d>>2]=G;y=0;oa(482,H|0,G|0);G=y;y=0;if(G&1){I=pb()|0;EO(d);sb(I|0)}else{EO(d);H=k[H>>2]|0;r=I;return H|0}}F=k[b>>2]|0;C=oW(F)|0;F=sT(C|0?C:F)|0;if(!((F|0)==0?1:F>>>0>(k[c>>2]|0)>>>0)){G=Hd(a)|0;k[e>>2]=G;y=0;oa(482,H|0,G|0);G=y;y=0;if(G&1){I=pb()|0;EO(e);sb(I|0)}else{EO(e);H=k[H>>2]|0;r=I;return H|0}}F=k[b>>2]|0;C=oW(F)|0;F=C|0?C:F;F=(i[F>>0]|0)==58?F+1|0:0;if(!((F|0)==0?1:F>>>0>(k[c>>2]|0)>>>0)){G=Hd(a)|0;k[f>>2]=G;y=0;oa(482,H|0,G|0);G=y;y=0;if(G&1){I=pb()|0;EO(f);sb(I|0)}else{EO(f);H=k[H>>2]|0;r=I;return H|0}}if(Xs(a,1,0)|0){G=wd(a)|0;k[g>>2]=G;y=0;oa(482,H|0,G|0);G=y;y=0;if(G&1){I=pb()|0;EO(g);sb(I|0)}else{EO(g);H=k[H>>2]|0;r=I;return H|0}}if(!(Nu(a,1,0)|0)){_V(H,0);H=k[H>>2]|0;r=I;return H|0}g=ZL(104)|0;b=B;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,D|0);F=y;y=0;if(F&1)F=106;else F=97}else if(f>>>0<11){i[D+11>>0]=f;b=D;F=99}else F=97;if((F|0)==97){d=f+16&-16;y=0;b=qa(332,d|0)|0;F=y;y=0;if(F&1)F=106;else{k[D>>2]=b;k[D+8>>2]=d|-2147483648;k[D+4>>2]=f;F=99}}if((F|0)==99){if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;b=A;c=B;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(452,E|0,D|0);F=y;y=0;do if(F&1)b=pb()|0;else{y=0;b=G;c=A;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));Na(88,g|0,G|0,E|0);G=y;y=0;if(G&1){b=pb()|0;$9(E);break}$9(E);k[g>>2]=12060;$9(D);k[g+64>>2]=k[a+68>>2];_V(H,g);H=k[H>>2]|0;r=I;return H|0}while(0);$9(D)}else if((F|0)==106)b=pb()|0;zqa(g);I=b;sb(I|0);return 0}function le(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0.0,l=0.0,m=0,n=0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;x=0;H=r;r=r+192|0;E=H+152|0;A=H+88|0;z=H+44|0;w=H+40|0;s=H;I=H+16|0;D=H+4|0;t=H+112|0;u=H+100|0;F=H+48|0;G=H+28|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(75,A|0,35750,7);B=y;y=0;a:do if(B&1){h=tb(0)|0;x=11}else{y=0;c=E;g=e;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));n=sa(25,A|0,a|0,d|0,E|0,f|0)|0;B=y;y=0;if(B&1){h=tb(0)|0;$9(A);x=11;break}$9(A);k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(75,A|0,36044,9);B=y;y=0;do if(B&1)h=tb(0)|0;else{y=0;c=E;g=e;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));b=sa(23,A|0,a|0,d|0,E|0,f|0)|0;B=y;y=0;if(B&1){h=tb(0)|0;$9(A);break}j=+p[b+64>>3];$9(A);k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(75,A|0,36054,7);B=y;y=0;do if(B&1)h=tb(0)|0;else{y=0;c=E;g=e;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));b=sa(23,A|0,a|0,d|0,E|0,f|0)|0;B=y;y=0;if(B&1){h=tb(0)|0;$9(A);break}l=+p[b+64>>3];$9(A);if(!n)B=0;else B=pw(n,520,536,0)|0;y=0;oa(452,E|0,n+64|0);v=y;y=0;do if(v&1)h=tb(0)|0;else{y=0;ma(5,D|0,E|0,0,0,1);v=y;y=0;if(v&1){h=tb(0)|0;$9(E);break}$9(E);v=D+11|0;d=i[v>>0]|0;c=d<<24>>24<0;g=c?k[D>>2]|0:D;d=c?k[D+4>>2]|0:d&255;c=g+d|0;k[s>>2]=g;g=c;b:do if((d|0)>0){b=0;while(1){k[w>>2]=g;y=0;k[E>>2]=k[w>>2];Ha(980,s|0,E|0)|0;d=y;y=0;if(d&1)break;b=b+1|0;if((k[s>>2]|0)>>>0>=c>>>0){c=b;x=24;break b}}h=tb(0)|0}else{c=0;x=24}while(0);c:do if((x|0)==24){k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;y=0;Na(75,E|0,36054,7);x=y;y=0;do if(x&1)h=tb(0)|0;else{y=0;b=Ha(971,a|0,E|0)|0;x=y;y=0;if(x&1){h=tb(0)|0;$9(E);break}b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,448,0)|0;$9(E);l=(b|0)==0?-1.0:l;do if(!(l==0.0)){o=+(c>>>0);if(o+l<0.0)break;do if(l<0.0){l=+((c+1|0)>>>0)+l;if(!(l==0.0))break;l=1.0}while(0);q=l>o?o:l;do if(j<0.0){j=j+ +((c+1|0)>>>0);if(!(j<0.0))break;j=0.0}else{if(!(j==0.0))break;j=j+1.0}while(0);d:do if(j<=q){m=i[v>>0]|0;g=m<<24>>24<0;c=k[D>>2]|0;h=g?c:D;k[w>>2]=h;o=j+-1.0;n=D+4|0;b=k[n>>2]|0;g=h+(g?b:m&255)|0;do if(o>0.0){l=0.0;while(1){k[z>>2]=g;y=0;k[E>>2]=k[z>>2];Ha(980,w|0,E|0)|0;x=y;y=0;if(x&1){x=91;break}l=l+1.0;if(!(l<o)){x=71;break}}if((x|0)==71){d=w;h=k[w>>2]|0;g=i[v>>0]|0;c=k[D>>2]|0;b=k[n>>2]|0;x=72;break}else if((x|0)==91){h=tb(0)|0;break}}else{d=w;g=m;x=72}while(0);if((x|0)==72){k[z>>2]=h;l=q-j+1.0;x=g<<24>>24<0;b=(x?c:D)+(x?b:g&255)|0;do if(l>0.0){j=0.0;while(1){k[A>>2]=b;y=0;k[E>>2]=k[A>>2];Ha(980,z|0,E|0)|0;x=y;y=0;if(x&1){x=92;break}j=j+1.0;if(!(j<l)){x=76;break}}if((x|0)==76){h=k[z>>2]|0;x=77;break}else if((x|0)==92){C=tb(0)|0;break}}else x=77;while(0);do if((x|0)==77){c=k[d>>2]|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;m=h-c|0;b=c;n=h;do if(m>>>0>4294967279){y=0;na(377,E|0);A=y;y=0;if(A&1)x=93;else x=81}else{if(m>>>0>=11){x=81;break}i[E+11>>0]=m;h=E}while(0);do if((x|0)==81){g=m+16&-16;y=0;h=qa(332,g|0)|0;A=y;y=0;if(A&1){x=93;break}k[E>>2]=h;k[E+8>>2]=g|-2147483648;k[E+4>>2]=m}while(0);if((x|0)==93){C=tb(0)|0;break}if((b|0)!=(n|0))while(1){i[h>>0]=i[b>>0]|0;b=c+1|0;h=h+1|0;if((b|0)==(n|0))break;else c=b}i[h>>0]=0;h=I+11|0;if((i[h>>0]|0)<0){i[k[I>>2]>>0]=0;k[I+4>>2]=0}else{i[I>>0]=0;i[h>>0]=0}y=0;oa(506,I|0,0);A=y;y=0;if(A&1){B=tb(0)|0;dla(B)}else{k[I>>2]=k[E>>2];k[I+4>>2]=k[E+4>>2];k[I+8>>2]=k[E+8>>2];k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;$9(E);break d}}while(0);h=C}break c}while(0);do if(B|0){if(!(i[B+60>>0]|0))break;y=0;Na(104,E|0,I|0,0);C=y;y=0;if(C&1){h=tb(0)|0;break c}h=I+11|0;if((i[h>>0]|0)<0){i[k[I>>2]>>0]=0;k[I+4>>2]=0}else{i[I>>0]=0;i[h>>0]=0}y=0;oa(506,I|0,0);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}else{k[I>>2]=k[E>>2];k[I+4>>2]=k[E+4>>2];k[I+8>>2]=k[E+8>>2];k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;$9(E);break}}while(0);$9(D);x=111;break a}while(0);e:do if(B|0){if(!(i[B+60>>0]|0))break;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(75,A|0,82159,0);C=y;y=0;do if(C&1)h=tb(0)|0;else{y=0;Na(104,E|0,A|0,0);C=y;y=0;if(C&1){h=tb(0)|0;$9(A);break}b=I+11|0;if((i[b>>0]|0)<0){i[k[I>>2]>>0]=0;k[I+4>>2]=0}else{i[I>>0]=0;i[b>>0]=0}y=0;oa(506,I|0,0);C=y;y=0;if(C&1){C=tb(0)|0;dla(C)}else{k[I>>2]=k[E>>2];k[I+4>>2]=k[E+4>>2];k[I+8>>2]=k[E+8>>2];k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;$9(E);$9(A);break e}}while(0);break c}while(0);y=0;b=qa(332,80)|0;C=y;y=0;if(C&1){h=tb(0)|0;break c}c=t;g=e;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));y=0;oa(452,u|0,I|0);C=y;y=0;do if(C&1)h=tb(0)|0;else{y=0;c=E;g=t;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));Ea(2,b|0,E|0,u|0,0,0,0,1);C=y;y=0;if(C&1){h=tb(0)|0;$9(u);break}$9(u);$9(D);e=b;$9(I);r=H;return e|0}while(0);zqa(b);break c}while(0)}while(0);$9(D);x=109;break a}while(0);x=109;break a}while(0);x=109;break a}while(0);x=109}while(0);if((x|0)==11)x=109;do if((x|0)==109){vb(h|0)|0;y=0;oa(555,e|0,f|0);f=y;y=0;if(!(f&1)){y=0;la(3);f=y;y=0;if(f&1)break;else{x=111;break}}h=pb()|0;y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}else{e=h;$9(I);sb(e|0)}}while(0);if((x|0)==111){y=0;b=qa(332,80)|0;f=y;y=0;if(!(f&1)){c=F;g=e;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));y=0;oa(452,G|0,I|0);e=y;y=0;do if(e&1)h=pb()|0;else{y=0;c=E;g=F;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));Ea(2,b|0,E|0,G|0,0,0,0,1);e=y;y=0;if(e&1){h=pb()|0;$9(G);break}$9(G);e=b;$9(I);r=H;return e|0}while(0);zqa(b);e=h;$9(I);sb(e|0)}}e=pb()|0;$9(I);sb(e|0);return 0}function me(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;Q=r;r=r+128|0;N=Q+120|0;J=Q+104|0;I=Q+88|0;K=Q+8|0;E=Q;z=Q+80|0;A=Q+72|0;B=Q+64|0;C=Q+48|0;D=Q+40|0;F=Q+24|0;G=Q+16|0;s=k[d+8>>2]|0;w=d+12|0;o=k[w>>2]|0;u=k[e+8>>2]|0;y=e+12|0;t=k[y>>2]|0;p=t;v=o;if((o|0)==(t|0))q=0;else q=((v-(k[s>>2]|0)|0)/24|0)+((s-u>>2)*170|0)+((p-(k[u>>2]|0)|0)/-24|0)|0;L=b+4|0;h=k[L>>2]|0;M=b+16|0;n=k[M>>2]|0;f=h+(((n>>>0)/170|0)<<2)|0;P=b+8|0;g=k[P>>2]|0;l=g;m=h;if((g|0)==(h|0))j=0;else j=(k[f>>2]|0)+(((n>>>0)%170|0)*24|0)|0;i=k[c+4>>2]|0;if((i|0)==(j|0))O=0;else{O=k[c>>2]|0;O=((O-f>>2)*170|0)+((i-(k[O>>2]|0)|0)/24|0)+((j-(k[f>>2]|0)|0)/-24|0)|0}H=b+20|0;c=k[H>>2]|0;if(O>>>0<(c-O|0)>>>0){if(q>>>0>n>>>0){Mf(b,q-n|0);f=k[M>>2]|0;h=k[L>>2]|0;g=k[P>>2]|0}else f=n;x=h+(((f>>>0)/170|0)<<2)|0;if((g|0)==(h|0))t=0;else t=(k[x>>2]|0)+(((f>>>0)%170|0)*24|0)|0;g=x;f=t;h=d;j=k[h>>2]|0;h=k[h+4>>2]|0;d=K;k[d>>2]=j;k[d+4>>2]=h;if(q>>>0>O>>>0){do if(O>>>0<q>>>1>>>0){h=e;j=k[h>>2]|0;h=k[h+4>>2]|0;if(!O){s=u;i=j}else{i=((p-(k[u>>2]|0)|0)/24|0)+O|0;if((i|0)>0){p=u+(((i>>>0)/170|0)<<2)|0;s=p;p=(k[p>>2]|0)+(((i>>>0)%170|0)*24|0)|0;i=j;break}else{p=169-i|0;i=u+(((p|0)/-170|0)<<2)|0;s=i;p=(k[i>>2]|0)+((169-((p|0)%170|0)|0)*24|0)|0;i=j;break}}}else{i=q-O|0;if(!i){p=v;i=j}else{i=((v-(k[s>>2]|0)|0)/24|0)-i|0;if((i|0)>0){p=s+(((i>>>0)/170|0)<<2)|0;s=p;p=(k[p>>2]|0)+(((i>>>0)%170|0)*24|0)|0;i=j;break}else{p=169-i|0;i=s+(((p|0)/-170|0)<<2)|0;s=i;p=(k[i>>2]|0)+((169-((p|0)%170|0)|0)*24|0)|0;i=j;break}}}while(0);d=K;k[d>>2]=i;k[d+4>>2]=h;i=p;if((i|0)==(o|0)){q=O;c=g;j=f}else{c=g;l=s;h=f;while(1){j=c;if((h|0)==(k[j>>2]|0)){h=j+-4|0;c=h;h=(k[h>>2]|0)+4080|0}m=h+-24|0;n=m;i=i+24|0;j=k[l>>2]|0;if((i-j|0)==4080){l=l+4|0;i=k[l>>2]|0;j=i}if((i|0)==(j|0))j=(k[l+-4>>2]|0)+4080|0;else j=i;d=j+-24|0;k[m>>2]=k[d>>2];k[m+4>>2]=k[d+4>>2];k[m+8>>2]=k[d+8>>2];rT(h+-12|0,j+-12|0);k[h+-8>>2]=k[j+-8>>2];j=k[j+-4>>2]|0;k[h+-4>>2]=j;if(j|0)Sba(j);k[M>>2]=(k[M>>2]|0)+-1;k[H>>2]=(k[H>>2]|0)+1;if((i|0)==(k[w>>2]|0)){q=O;j=n;break}else h=n}}}else{c=g;p=v;j=f}if(q|0){h=((f-(k[x>>2]|0)|0)/24|0)+q|0;if((h|0)>0){d=x+(((h>>>0)/170|0)<<2)|0;i=(k[d>>2]|0)+(((h>>>0)%170|0)*24|0)|0;h=d}else{i=169-h|0;h=x+(((i|0)/-170|0)<<2)|0;i=(k[h>>2]|0)+((169-((i|0)%170|0)|0)*24|0)|0}o=i;if((i|0)!=(t|0)){b=h;n=i;while(1){i=c;if((j|0)==(k[i>>2]|0)){l=i+-4|0;m=l;l=(k[l>>2]|0)+4080|0}else{m=c;l=j}j=l+-24|0;i=b;if((n|0)==(k[i>>2]|0)){c=i+-4|0;i=c;c=(k[c>>2]|0)+4080|0}else{i=b;c=n}n=c+-24|0;k[j>>2]=k[n>>2];k[j+4>>2]=k[n+4>>2];k[j+8>>2]=k[n+8>>2];rT(l+-12|0,c+-12|0);G=c+-8|0;k[l+-8>>2]=k[G>>2];d=c+-4|0;k[l+-4>>2]=k[d>>2];k[G>>2]=0;k[d>>2]=0;k[M>>2]=(k[M>>2]|0)+-1;k[H>>2]=(k[H>>2]|0)+1;if((n|0)==(t|0))break;else{b=i;c=m}}}if(q>>>0<O>>>0){k[z>>2]=h;k[z+4>>2]=o;H=A;k[H>>2]=g;k[H+4>>2]=f;do if(O|0){h=A+4|0;i=((f-(k[x>>2]|0)|0)/24|0)+O|0;if((i|0)>0){H=x+(((i>>>0)/170|0)<<2)|0;k[A>>2]=H;k[h>>2]=(k[H>>2]|0)+(((i>>>0)%170|0)*24|0);break}else{H=169-i|0;d=x+(((H|0)/-170|0)<<2)|0;k[A>>2]=d;k[h>>2]=(k[d>>2]|0)+((169-((H|0)%170|0)|0)*24|0);break}}while(0);k[B>>2]=g;k[B+4>>2]=f;k[I>>2]=k[z>>2];k[I+4>>2]=k[z+4>>2];k[J>>2]=k[A>>2];k[J+4>>2]=k[A+4>>2];k[N>>2]=k[B>>2];k[N+4>>2]=k[B+4>>2];Ll(E,I,J,N);g=k[E>>2]|0;f=k[E+4>>2]|0}d=K;H=k[d+4>>2]|0;K=C;k[K>>2]=k[d>>2];k[K+4>>2]=H;k[C+8>>2]=s;k[C+12>>2]=p;k[D>>2]=g;k[D+4>>2]=f;k[I>>2]=k[C>>2];k[I+4>>2]=k[C+4>>2];k[I+8>>2]=k[C+8>>2];k[I+12>>2]=k[C+12>>2];k[J>>2]=k[e>>2];k[J+4>>2]=k[e+4>>2];k[J+8>>2]=k[e+8>>2];k[J+12>>2]=k[e+12>>2];k[N>>2]=k[D>>2];k[N+4>>2]=k[D+4>>2];Ok(E,I,J,N,0)}}else{f=l-m>>2;f=((f|0)==0?0:(f*170|0)+-1|0)-(c+n)|0;if(q>>>0>f>>>0){tf(b,q-f|0);f=k[M>>2]|0;c=k[H>>2]|0;h=k[L>>2]|0;g=k[P>>2]|0}else f=n;f=f+c|0;z=h+(((f>>>0)/170|0)<<2)|0;if((g|0)==(h|0))x=0;else x=(k[z>>2]|0)+(((f>>>0)%170|0)*24|0)|0;g=z;f=x;j=e;i=k[j>>2]|0;j=k[j+4>>2]|0;w=c-O|0;if(q>>>0>w>>>0){do if(w>>>0<q>>>1>>>0){j=d;i=k[j>>2]|0;j=k[j+4>>2]|0;if(!w)h=v;else{h=((v-(k[s>>2]|0)|0)/24|0)-w|0;if((h|0)>0){e=s+(((h>>>0)/170|0)<<2)|0;s=e;h=(k[e>>2]|0)+(((h>>>0)%170|0)*24|0)|0;break}else{h=169-h|0;e=s+(((h|0)/-170|0)<<2)|0;s=e;h=(k[e>>2]|0)+((169-((h|0)%170|0)|0)*24|0)|0;break}}}else{h=q-w|0;if(!h){s=u;h=p}else{h=((p-(k[u>>2]|0)|0)/24|0)+h|0;if((h|0)>0){e=u+(((h>>>0)/170|0)<<2)|0;s=e;h=(k[e>>2]|0)+(((h>>>0)%170|0)*24|0)|0;break}else{h=169-h|0;e=u+(((h|0)/-170|0)<<2)|0;s=e;h=(k[e>>2]|0)+((169-((h|0)%170|0)|0)*24|0)|0;break}}}while(0);if((h|0)==(t|0)){q=w;b=g;c=f;o=i;n=j}else{b=g;o=s;m=h;c=f;l=k[s>>2]|0;while(1){n=c;if((m|0)==(l|0))c=(k[o+-4>>2]|0)+4080|0;else c=m;e=c+-24|0;k[n>>2]=k[e>>2];k[n+4>>2]=k[e+4>>2];k[n+8>>2]=k[e+8>>2];rT(n+12|0,c+-12|0);k[n+16>>2]=k[c+-8>>2];c=k[c+-4>>2]|0;k[n+20>>2]=c;if(c|0)Sba(c);c=n+24|0;if((c-(k[b>>2]|0)|0)==4080){c=b+4|0;b=c;c=k[c>>2]|0}l=k[o>>2]|0;if((m|0)==(l|0)){n=o+-4|0;l=k[n>>2]|0;m=l+4080|0}else n=o;m=m+-24|0;k[H>>2]=(k[H>>2]|0)+1;if((m|0)==(k[y>>2]|0)){q=w;t=h;o=i;n=j;break}else o=n}}}else{b=g;s=u;c=f;o=i;n=j}if(q|0){h=((f-(k[z>>2]|0)|0)/24|0)-q|0;if((h|0)>0){m=z+(((h>>>0)/170|0)<<2)|0;i=(k[m>>2]|0)+(((h>>>0)%170|0)*24|0)|0}else{i=169-h|0;m=z+(((i|0)/-170|0)<<2)|0;i=(k[m>>2]|0)+((169-((i|0)%170|0)|0)*24|0)|0}l=m;if((i|0)!=(x|0)){j=l;h=i;do{k[c>>2]=k[h>>2];k[c+4>>2]=k[h+4>>2];k[c+8>>2]=k[h+8>>2];rT(c+12|0,h+12|0);E=h+16|0;k[c+16>>2]=k[E>>2];e=h+20|0;k[c+20>>2]=k[e>>2];k[E>>2]=0;k[e>>2]=0;c=c+24|0;if((c-(k[b>>2]|0)|0)==4080){c=b+4|0;b=c;c=k[c>>2]|0}h=h+24|0;if((h-(k[j>>2]|0)|0)==4080){h=j+4|0;j=h;h=k[h>>2]|0}k[H>>2]=(k[H>>2]|0)+1}while((h|0)!=(x|0))}if(q>>>0<w>>>0){do if(!w){c=g;h=f}else{h=((f-(k[z>>2]|0)|0)/24|0)-w|0;if((h|0)>0){H=z+(((h>>>0)/170|0)<<2)|0;c=H;h=(k[H>>2]|0)+(((h>>>0)%170|0)*24|0)|0;break}else{h=169-h|0;H=z+(((h|0)/-170|0)<<2)|0;c=H;h=(k[H>>2]|0)+((169-((h|0)%170|0)|0)*24|0)|0;break}}while(0);if((i|0)!=(h|0)){j=k[m>>2]|0;h=((i-j|0)/24|0)+((l-c>>2)*170|0)+((h-(k[c>>2]|0)|0)/-24|0)|0;if((h|0)>0){c=m;while(1){if((i|0)==(j|0)){c=c+-4|0;j=k[c>>2]|0;i=j+4080|0}l=i+-24|0;H=(i-j|0)/24|0;e=(H|0)>(h|0);H=e?h:H;E=I;k[E>>2]=g;k[E+4>>2]=f;k[N>>2]=k[I>>2];k[N+4>>2]=k[I+4>>2];Mn(J,e?i+((0-h|0)*24|0)|0:j,i,N,0);f=J;g=k[f>>2]|0;f=k[f+4>>2]|0;h=h-H|0;i=H+-1|0;do if(!i)i=l;else{i=((l-(k[c>>2]|0)|0)/24|0)-i|0;if((i|0)>0){H=c+(((i>>>0)/170|0)<<2)|0;c=H;i=(k[H>>2]|0)+(((i>>>0)%170|0)*24|0)|0;break}else{i=169-i|0;H=c+(((i|0)/-170|0)<<2)|0;c=H;i=(k[H>>2]|0)+((169-((i|0)%170|0)|0)*24|0)|0;break}}while(0);if((h|0)<=0)break;j=k[c>>2]|0}}}}H=F;k[H>>2]=o;k[H+4>>2]=n;k[F+8>>2]=s;k[F+12>>2]=t;k[G>>2]=g;k[G+4>>2]=f;k[I>>2]=k[d>>2];k[I+4>>2]=k[d+4>>2];k[I+8>>2]=k[d+8>>2];k[I+12>>2]=k[d+12>>2];k[J>>2]=k[F>>2];k[J+4>>2]=k[F+4>>2];k[J+8>>2]=k[F+8>>2];k[J+12>>2]=k[F+12>>2];k[N>>2]=k[G>>2];k[N+4>>2]=k[G+4>>2];Nj(K,I,J,N,0)}}N=k[L>>2]|0;f=k[M>>2]|0;h=N+(((f>>>0)/170|0)<<2)|0;if((k[P>>2]|0)==(N|0)){g=0;f=0}else{g=0;f=(k[h>>2]|0)+(((f>>>0)%170|0)*24|0)|0}P=a;k[P>>2]=g|h;k[P+4>>2]=f;if(!O){r=Q;return}g=a+4|0;f=((f-(k[h>>2]|0)|0)/24|0)+O|0;if((f|0)>0){P=h+(((f>>>0)/170|0)<<2)|0;k[a>>2]=P;k[g>>2]=(k[P>>2]|0)+(((f>>>0)%170|0)*24|0);r=Q;return}else{P=169-f|0;O=h+(((P|0)/-170|0)<<2)|0;k[a>>2]=O;k[g>>2]=(k[O>>2]|0)+((169-((P|0)%170|0)|0)*24|0);r=Q;return}}function ne(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;z=0;B=r;r=r+96|0;p=B+80|0;w=B+64|0;q=B+48|0;s=B+44|0;F=B+32|0;G=B+20|0;x=B+16|0;C=B;k[F+4>>2]=0;A=F+8|0;k[A>>2]=0;E=F+4|0;k[F>>2]=E;n=G+4|0;k[n>>2]=0;o=G+8|0;k[o>>2]=0;D=G+4|0;k[G>>2]=D;b=k[a>>2]|0;g=k[a+4>>2]|0;a:do if((b|0)!=(g|0)){h=p+4|0;v=w+4|0;i=w+8|0;j=q+4|0;l=D;t=q+8|0;m=q+12|0;u=q+4|0;f=b;b:while(1){y=0;oa(464,s|0,f|0);e=y;y=0;if(e&1){z=49;break}y=0;oa(482,q|0,k[s>>2]|0);e=y;y=0;if(e&1){z=8;break}EO(s);e=k[q>>2]|0;k[x>>2]=e;y=0;e=qa(k[(k[e>>2]|0)+8>>2]|0,e|0)|0;d=y;y=0;if(d&1){z=51;break}a=k[D>>2]|0;do if(!a)z=17;else{b=D;c:while(1){d=a;while(1){if((k[d+16>>2]|0)>>>0>=e>>>0)break;a=k[d+4>>2]|0;if(!a)break c;else d=a}a=k[d>>2]|0;if(!a){b=d;break}else b=d}if((b|0)==(D|0))z=17;else if(e>>>0<(k[b+16>>2]|0)>>>0)z=17;else{d=k[x>>2]|0;y=0;d=qa(k[(k[d>>2]|0)+8>>2]|0,d|0)|0;e=y;y=0;if(e&1){z=86;break b}b=k[D>>2]|0;if(!b){z=77;break b}while(1){a=k[b+16>>2]|0;if(d>>>0<a>>>0){b=k[b>>2]|0;if(!b){z=77;break b}}else{if(a>>>0>=d>>>0)break;b=k[b+4>>2]|0;if(!b){z=77;break b}}}if(!b){z=77;break b}a=b+24|0;d=k[a>>2]|0;if((d|0)==(k[b+28>>2]|0)){y=0;oa(595,b+20|0,f|0);e=y;y=0;if(e&1){z=88;break b}else break}y=0;oa(464,d|0,f|0);e=y;y=0;if(e&1){z=88;break b}y=0;oa(464,d+4|0,f+4|0);e=y;y=0;if(e&1){z=83;break b}k[a>>2]=(k[a>>2]|0)+8}}while(0);if((z|0)==17){z=0;k[p>>2]=k[A>>2];y=0;oa(464,h|0,x|0);e=y;y=0;if(e&1){z=52;break}y=0;Ra(39,w|0,F|0,p|0,p|0);e=y;y=0;if(e&1){z=53;break}EO(h);k[w>>2]=0;k[v>>2]=0;k[i>>2]=0;y=0;oa(595,w|0,f|0);e=y;y=0;if(e&1){z=55;break}b=k[x>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;e=y;y=0;if(e&1){z=56;break}k[q>>2]=b;y=0;oa(596,j|0,w|0);e=y;y=0;if(e&1){z=56;break}b=k[D>>2]|0;do if(!b){k[p>>2]=D;a=l;d=D}else{e=k[q>>2]|0;while(1){a=k[b+16>>2]|0;if(e>>>0<a>>>0){a=k[b>>2]|0;if(!a){z=26;break}else b=a}else{if(a>>>0>=e>>>0){z=31;break}d=b+4|0;a=k[d>>2]|0;if(!a){z=30;break}else b=a}}if((z|0)==26){z=0;k[p>>2]=b;a=b;d=b;break}else if((z|0)==30){z=0;k[p>>2]=b;a=b;break}else if((z|0)==31){z=0;k[p>>2]=b;a=b;d=p;break}}while(0);if(!(k[d>>2]|0)){y=0;b=qa(332,32)|0;e=y;y=0;if(e&1){z=57;break}k[b+16>>2]=k[q>>2];k[b+20>>2]=k[j>>2];k[b+24>>2]=k[t>>2];k[b+28>>2]=k[m>>2];k[m>>2]=0;k[t>>2]=0;k[j>>2]=0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=a;k[d>>2]=b;a=k[k[G>>2]>>2]|0;if(a){k[G>>2]=a;b=k[d>>2]|0}jn(k[n>>2]|0,b);k[o>>2]=(k[o>>2]|0)+1}b=k[u>>2]|0;if(b|0){a=k[t>>2]|0;if((a|0)!=(b|0)){do{e=a+-8|0;k[t>>2]=e;EO(a+-4|0);EO(e);a=k[t>>2]|0}while((a|0)!=(b|0));b=k[u>>2]|0}zqa(b)}b=k[w>>2]|0;if(b|0){a=k[v>>2]|0;if((a|0)!=(b|0)){do{e=a+-8|0;k[v>>2]=e;EO(a+-4|0);EO(e);a=k[v>>2]|0}while((a|0)!=(b|0));b=k[w>>2]|0}zqa(b)}}EO(x);f=f+8|0;if((f|0)==(g|0)){z=3;break}}d:switch(z|0){case 3:{if(!(k[A>>2]|0))break a;f=C+4|0;g=c+4|0;h=c+8|0;j=C+4|0;l=C+8|0;i=0;e:while(1){b=k[E>>2]|0;if(!b){z=100;break}while(1){a=k[b+16>>2]|0;if(i>>>0<a>>>0){b=k[b>>2]|0;if(!b){z=100;break e}}else{if(a>>>0>=i>>>0)break;b=k[b+4>>2]|0;if(!b){z=100;break e}}}if(!b){z=100;break}d=b+20|0;e=k[d>>2]|0;y=0;e=qa(k[(k[e>>2]|0)+8>>2]|0,e|0)|0;z=y;y=0;if(z&1){z=130;break}b=k[D>>2]|0;if(!b){z=111;break}while(1){a=k[b+16>>2]|0;if(e>>>0<a>>>0){b=k[b>>2]|0;if(!b){z=111;break e}}else{if(a>>>0>=e>>>0)break;b=k[b+4>>2]|0;if(!b){z=111;break e}}}if(!b){z=111;break}y=0;oa(464,C|0,d|0);z=y;y=0;if(z&1){z=132;break}y=0;oa(596,f|0,b+20|0);z=y;y=0;if(z&1){z=116;break}b=k[g>>2]|0;if((b|0)==(k[h>>2]|0)){y=0;oa(597,c|0,C|0);z=y;y=0;if(z&1){z=134;break}}else{y=0;oa(464,b|0,C|0);z=y;y=0;if(z&1){z=134;break}y=0;oa(596,b+4|0,f|0);z=y;y=0;if(z&1){z=120;break}k[g>>2]=(k[g>>2]|0)+16}b=k[j>>2]|0;if(b|0){a=k[l>>2]|0;if((a|0)!=(b|0)){do{z=a+-8|0;k[l>>2]=z;EO(a+-4|0);EO(z);a=k[l>>2]|0}while((a|0)!=(b|0));b=k[j>>2]|0}zqa(b)}EO(C);i=i+1|0;if(i>>>0>=(k[A>>2]|0)>>>0){a=D;b=E;z=92;break}}do if((z|0)==92){E=k[a>>2]|0;Yx(G,E);G=k[b>>2]|0;AE(F,G);r=B;return}else if((z|0)==100){b=gb(8)|0;y=0;oa(484,b|0,43840);C=y;y=0;if(C&1){C=pb()|0;fb(b|0);b=C}else{k[b>>2]=27092;y=0;Na(76,b|0,4560,351);y=0;b=pb()|0}a=b;b=D;break d}else if((z|0)==111){b=gb(8)|0;y=0;oa(484,b|0,43840);C=y;y=0;if(C&1){z=pb()|0;fb(b|0);b=z;z=131;break}else{k[b>>2]=27092;y=0;Na(76,b|0,4560,351);y=0;b=pb()|0;z=131;break}}else if((z|0)==116){b=pb()|0;EO(C);z=133}else if((z|0)==120){a=pb()|0;e=N;EO(b);z=135}else if((z|0)==130){b=pb()|0;z=131}else if((z|0)==132){b=pb()|0;z=133}else if((z|0)==134){a=pb()|0;e=N;z=135}while(0);if((z|0)==131){a=b;b=D;break}else if((z|0)==133){a=b;b=D;break}else if((z|0)==135){b=k[j>>2]|0;if(b|0){d=k[l>>2]|0;if((d|0)!=(b|0)){do{B=d+-8|0;k[l>>2]=B;EO(d+-4|0);EO(B);d=k[l>>2]|0}while((d|0)!=(b|0));b=k[j>>2]|0}zqa(b)}EO(C);b=D;break}break}case 8:{b=pb()|0;EO(s);z=50;break}case 49:{b=pb()|0;z=50;break}case 51:{b=pb()|0;z=91;break}case 52:{b=pb()|0;z=54;break}case 53:{b=pb()|0;EO(h);z=54;break}case 55:{b=pb()|0;e=N;z=63;break}case 56:{b=pb()|0;a=N;z=62;break}case 57:{b=pb()|0;e=N;a=k[u>>2]|0;if(!a){a=e;z=62}else{d=k[t>>2]|0;if((d|0)!=(a|0)){do{C=d+-8|0;k[t>>2]=C;EO(d+-4|0);EO(C);d=k[t>>2]|0}while((d|0)!=(a|0));a=k[u>>2]|0}zqa(a);a=e;z=62}break}case 77:{b=gb(8)|0;y=0;oa(484,b|0,43840);C=y;y=0;if(C&1){z=pb()|0;fb(b|0);b=z;z=87;break}else{k[b>>2]=27092;y=0;Na(76,b|0,4560,351);y=0;b=pb()|0;z=87;break}}case 83:{b=pb()|0;EO(d);z=89;break}case 86:{b=pb()|0;z=87;break}case 88:{b=pb()|0;z=89;break}}if((z|0)==50){a=b;b=D}else if((z|0)==54)z=91;else if((z|0)==62){e=a;z=63}else if((z|0)==87)z=91;else if((z|0)==89)z=91;if((z|0)==63){a=k[w>>2]|0;if(a|0){d=k[v>>2]|0;if((d|0)!=(a|0)){do{C=d+-8|0;k[v>>2]=C;EO(d+-4|0);EO(C);d=k[v>>2]|0}while((d|0)!=(a|0));a=k[w>>2]|0}zqa(a)}z=91}if((z|0)==91){EO(x);a=b;b=D}Yx(G,k[b>>2]|0);AE(F,k[E>>2]|0);sb(a|0)}while(0);D=k[D>>2]|0;Yx(G,D);G=k[E>>2]|0;AE(F,G);r=B;return}function oe(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;R=0;N=r;r=r+320|0;E=N+272|0;M=N+260|0;B=N+248|0;O=N+236|0;m=N+232|0;n=N;z=N+228|0;K=N+224|0;g=N+220|0;w=N+216|0;d=N+212|0;x=N+208|0;S=N+196|0;c=N+204|0;L=N+192|0;e=N+200|0;j=N+152|0;F=N+144|0;s=N+132|0;l=N+128|0;Q=N+84|0;o=N+88|0;t=N+80|0;u=N+76|0;p=N+68|0;P=N+72|0;G=N+64|0;A=N+60|0;H=N+56|0;C=N+52|0;I=N+48|0;J=N+44|0;D=N+40|0;f=b+68|0;rT(E,f);v=k[E>>2]|0;k[c>>2]=v;y=0;oa(482,S|0,v|0);v=y;y=0;if(v&1){S=pb()|0;EO(c);sb(S|0)}EO(c);q=a+20|0;v=a+24|0;c=k[v>>2]|0;if((c|0)==(k[q>>2]|0))c=k[a+8>>2]|0;else c=c+-4|0;c=k[c>>2]|0;a:do if(!c)R=46;else{h=pw(c,680,808,0)|0;if(!h)R=46;else{y=0;oa(464,d|0,h+68|0);c=y;y=0;if(c&1){c=pb()|0;break}d=k[d>>2]|0;k[e>>2]=d;y=0;oa(482,L|0,d|0);d=y;y=0;if(d&1){c=pb()|0;EO(e);break}EO(e);y=0;e=qa(332,80)|0;d=y;y=0;b:do if(d&1){c=pb()|0;R=42}else{y=0;oa(464,g|0,f|0);f=y;y=0;if(f&1)c=pb()|0;else{f=k[g>>2]|0;k[F>>2]=f;d=j;f=f+12|0;g=d+40|0;do{k[d>>2]=k[f>>2];d=d+4|0;f=f+4|0}while((d|0)<(g|0));g=k[L>>2]|0;y=0;oa(k[(k[g>>2]|0)+32>>2]|0,B|0,g|0);g=y;y=0;if(g&1){c=pb()|0;d=1}else{y=0;c=Ha(970,B|0,44216)|0;g=y;y=0;if(g&1){c=pb()|0;d=1}else{k[M>>2]=k[c>>2];k[M+4>>2]=k[c+4>>2];k[M+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;g=k[S>>2]|0;y=0;oa(k[(k[g>>2]|0)+32>>2]|0,O|0,g|0);g=y;y=0;if(g&1){c=pb()|0;d=1}else{c=i[O+11>>0]|0;g=c<<24>>24<0;y=0;c=ta(47,M|0,(g?k[O>>2]|0:O)|0,(g?k[O+4>>2]|0:c&255)|0)|0;g=y;y=0;if(g&1){c=pb()|0;d=1}else{k[s>>2]=k[c>>2];k[s+4>>2]=k[c+4>>2];k[s+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;d=n;f=j;g=d+40|0;do{k[d>>2]=k[f>>2];d=d+4|0;f=f+4|0}while((d|0)<(g|0));y=0;na(366,e|0);j=y;y=0;do if(j&1){d=1;R=33}else{d=e+12|0;f=n;g=d+40|0;do{k[d>>2]=k[f>>2];d=d+4|0;f=f+4|0}while((d|0)<(g|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=4;k[e>>2]=9640;i[e+60>>0]=0;i[e+61>>0]=0;y=0;oa(547,e+64|0,s|0);n=y;y=0;if(n&1){c=pb()|0;d=1;R=34;break}k[e+76>>2]=0;y=0;oa(482,E|0,e|0);n=y;y=0;if(n&1){d=0;R=33;break}y=0;Ha(966,S|0,E|0)|0;n=y;y=0;if(n&1){c=pb()|0;EO(E);d=0;break}EO(E);$9(s);$9(O);$9(M);$9(B);EO(F);y=0;oa(464,m|0,h+72|0);F=y;y=0;if(F&1){c=pb()|0;break b}R=k[m>>2]|0;k[l>>2]=R;EO(l);if(!R)k[b+56>>2]=(k[h+56>>2]|0)+1;EO(L);R=46;break a}while(0);if((R|0)==33){c=pb()|0;R=34}$9(s)}$9(O)}$9(M)}$9(B)}EO(F);if(!d){R=42;break}}zqa(e);R=42}while(0);EO(L)}}while(0);c:do if((R|0)==46){y=0;e=qa(332,80)|0;L=y;y=0;if(L&1){c=pb()|0;break}d=o;f=b+12|0;g=d+40|0;do{k[d>>2]=k[f>>2];d=d+4|0;f=f+4|0}while((d|0)<(g|0));y=0;oa(464,t|0,S|0);L=y;y=0;do if(L&1)c=pb()|0;else{y=0;oa(464,B|0,b+72|0);L=y;y=0;if(L&1){c=pb()|0;EO(t);break}k[u>>2]=k[B>>2];c=i[b+76>>0]|0;y=0;oa(482,p|0,0);L=y;y=0;if(L&1){c=pb()|0;d=1}else{c=c<<24>>24!=0;y=0;d=E;f=o;g=d+40|0;do{k[d>>2]=k[f>>2];d=d+4|0;f=f+4|0}while((d|0)<(g|0));ya(20,e|0,E|0,t|0,u|0,c|0,p|0);L=y;y=0;if(L&1)c=1;else{y=0;oa(482,Q|0,e|0);L=y;y=0;if(L&1)c=0;else{EO(p);EO(u);EO(t);c=k[Q>>2]|0;i[c+77>>0]=i[b+77>>0]|0;k[c+56>>2]=k[b+56>>2];k[E>>2]=c;d=k[v>>2]|0;if(d>>>0<(k[a+28>>2]|0)>>>0){k[d>>2]=c;k[v>>2]=(k[v>>2]|0)+4;R=55}else{y=0;oa(590,q|0,E|0);L=y;y=0;if(L&1)c=pb()|0;else R=55}d:do if((R|0)==55){c=b+64|0;y=0;oa(464,E|0,c|0);L=y;y=0;if(L&1){c=pb()|0;break}L=k[E>>2]|0;k[G>>2]=L;do if(!L){d=0;c=0;R=60}else{d=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(464,M|0,c|0);L=y;y=0;if(L&1){c=pb()|0;break}c=k[M>>2]|0;k[A>>2]=c;y=0;c=Ha(d|0,a|0,c|0)|0;R=y;y=0;if(R&1){c=pb()|0;R=84}else{d=1;R=60}}while(0);do if((R|0)==60){y=0;oa(482,P|0,c|0);M=y;y=0;if(M&1){c=pb()|0;if(d){R=84;break}else break}if(d)EO(A);EO(G);k[v>>2]=(k[v>>2]|0)+-4;c=k[P>>2]|0;e:do if(!c)R=93;else{if((k[c+72>>2]|0)==(k[c+68>>2]|0)){R=93;break}y=0;oa(464,O|0,(k[Q>>2]|0)+72|0);M=y;y=0;if(M&1){R=86;break}O=k[O>>2]|0;k[H>>2]=O;f:do if(!O)EO(H);else{y=0;oa(464,z|0,(k[Q>>2]|0)+72|0);O=y;y=0;do if(O&1)c=pb()|0;else{c=k[z>>2]|0;k[C>>2]=c;y=0;c=qa(k[(k[c>>2]|0)+80>>2]|0,c|0)|0;O=y;y=0;if(O&1){c=pb()|0;EO(C);break}EO(C);EO(H);if(c)break f;c=k[P>>2]|0;y=0;oa(482,I|0,k[Q>>2]|0);O=y;y=0;if(O&1){R=86;break e}O=c+68|0;k[K>>2]=k[O>>2];y=0;k[E>>2]=k[K>>2];ta(156,O|0,E|0,I|0)|0;O=y;y=0;if(O&1){c=pb()|0;EO(I);break e}else{EO(I);break f}}while(0);EO(H);break e}while(0);c=k[P>>2]|0;if(!c){R=0;EO(P);EO(Q);EO(S);r=N;return R|0}i[c+8>>0]=1;R=c;EO(P);EO(Q);EO(S);r=N;return R|0}while(0);do if((R|0)==93){y=0;oa(464,w|0,(k[Q>>2]|0)+72|0);O=y;y=0;if(O&1){R=86;break}O=k[w>>2]|0;k[J>>2]=O;if(!O){EO(J);R=0;EO(P);EO(Q);EO(S);r=N;return R|0}y=0;oa(464,x|0,(k[Q>>2]|0)+72|0);O=y;y=0;do if(O&1)c=pb()|0;else{c=k[x>>2]|0;k[D>>2]=c;y=0;c=qa(k[(k[c>>2]|0)+80>>2]|0,c|0)|0;O=y;y=0;if(O&1){c=pb()|0;EO(D);break}EO(D);EO(J);if(c){R=0;EO(P);EO(Q);EO(S);r=N;return R|0}c=k[Q>>2]|0;if(!c){R=0;EO(P);EO(Q);EO(S);r=N;return R|0}i[c+8>>0]=1;R=c;EO(P);EO(Q);EO(S);r=N;return R|0}while(0);EO(J)}while(0);if((R|0)==86)c=pb()|0;EO(P);break d}while(0);if((R|0)==84)EO(A);EO(G)}while(0);EO(Q);break c}}R=pb()|0;EO(p);d=c;c=R}EO(u);EO(t);if(!d)break c}while(0);zqa(e)}while(0);EO(S);S=c;sb(S|0);return 0}function pe(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;M=0;L=r;r=r+128|0;E=L+124|0;w=L+120|0;e=L+116|0;p=L+112|0;j=L+108|0;x=L+104|0;q=L+100|0;f=L+96|0;N=L+84|0;D=L+80|0;z=L+76|0;B=L+64|0;l=L+60|0;o=L+48|0;g=L+44|0;m=L+40|0;K=L+72|0;J=L+68|0;G=L+36|0;I=L+32|0;H=L+56|0;F=L+52|0;A=L+28|0;C=L+24|0;s=L+20|0;u=L+16|0;t=L+12|0;v=L+8|0;h=L+4|0;n=L;c=k[a+28>>2]|0;if((c|0)==(k[a+24>>2]|0))d=0;else d=k[c+-4>>2]|0;pK(N,b+64|0);c=(i[b+80>>0]|0)!=0;do if(!(i[b+81>>0]|0)){if(!c){y=0;oa(464,f|0,b+76|0);b=y;y=0;if(b&1)break;c=k[f>>2]|0;k[n>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;b=y;y=0;do if(b&1)M=123;else{y=0;oa(482,h|0,c|0);b=y;y=0;if(b&1)M=123;else{y=0;Na(117,d|0,N|0,h|0);b=y;y=0;if(b&1){c=pb()|0;EO(h);break}EO(h);EO(n);$9(N);r=L;return 0}}while(0);if((M|0)==123)c=pb()|0;EO(n);M=c;$9(N);sb(M|0)}y=0;c=Ha(1013,d|0,N|0)|0;D=y;y=0;if(!(D&1)){if(c){a:do if(!d)M=75;else{while(1){y=0;c=qa(438,d|0)|0;H=y;y=0;if(H&1){M=52;break}if(!c){M=75;break a}y=0;c=Ha(990,d|0,N|0)|0;H=y;y=0;if(H&1){M=52;break}if(c)break;c=k[d+12>>2]|0;if(!c){M=75;break a}else d=c}if((M|0)==52){c=pb()|0;break}y=0;c=Ha(1014,d|0,N|0)|0;H=y;y=0;if(H&1)M=53;else{y=0;oa(464,K|0,c|0);H=y;y=0;if(H&1)M=53;else{c=k[K>>2]|0;b:do if(!c){c=gb(8)|0;y=0;oa(507,c|0,43242);L=y;y=0;if(L&1){L=pb()|0;fb(c|0);c=L;break}else{y=0;Na(76,c|0,4528,353);y=0;M=55;break}}else{H=pw(c,8,40,0)|0;y=0;oa(482,J|0,H|0);H=y;y=0;if(H&1)M=55;else{c=k[J>>2]|0;if(!c)M=59;else if((k[c+56>>2]|0)==8)M=59;c:do if((M|0)==59){y=0;oa(464,E|0,b+76|0);b=y;y=0;if(b&1)c=pb()|0;else{c=k[E>>2]|0;k[I>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;b=y;y=0;do if(b&1)M=65;else{y=0;oa(482,G|0,c|0);b=y;y=0;if(b&1){M=65;break}y=0;Na(116,d|0,N|0,G|0);b=y;y=0;if(b&1){c=pb()|0;EO(G);break}else{EO(G);EO(I);break c}}while(0);if((M|0)==65)c=pb()|0;EO(I)}EO(J);break b}while(0);EO(J);EO(K);$9(N);r=L;return 0}}while(0);if((M|0)==55)c=pb()|0;EO(K);M=c;$9(N);sb(M|0)}}}while(0);do if((M|0)==75){c=gb(8)|0;y=0;oa(507,c|0,43242);M=y;y=0;if(!(M&1)){y=0;Na(76,c|0,4528,353);y=0;M=53;break}M=pb()|0;fb(c|0);$9(N);sb(M|0)}while(0);if((M|0)==53)c=pb()|0;M=c;$9(N);sb(M|0)}y=0;c=Ha(989,d|0,N|0)|0;K=y;y=0;if(!(K&1))if(c){y=0;c=Ha(1012,d|0,N|0)|0;K=y;y=0;if(K&1)break;y=0;oa(464,H|0,c|0);K=y;y=0;if(K&1)break;c=k[H>>2]|0;d:do if(c|0){K=pw(c,8,40,0)|0;y=0;oa(482,F|0,K|0);K=y;y=0;e:do if(K&1)c=pb()|0;else{c=k[F>>2]|0;if(!c)M=87;else if((k[c+56>>2]|0)==8)M=87;f:do if((M|0)==87){y=0;oa(464,w|0,b+76|0);b=y;y=0;if(b&1)c=pb()|0;else{c=k[w>>2]|0;k[C>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;b=y;y=0;do if(b&1)M=93;else{y=0;oa(482,A|0,c|0);b=y;y=0;if(b&1){M=93;break}y=0;Na(115,d|0,N|0,A|0);b=y;y=0;if(b&1){c=pb()|0;EO(A);break}else{EO(A);EO(C);break f}}while(0);if((M|0)==93)c=pb()|0;EO(C)}EO(F);break e}while(0);EO(F);break d}while(0);EO(H);M=c;$9(N);sb(M|0)}while(0);EO(H);$9(N);r=L;return 0}else{y=0;c=qa(438,d|0)|0;K=y;y=0;if(K&1)break;if(c){y=0;oa(464,p|0,b+76|0);b=y;y=0;if(b&1)break;c=k[p>>2]|0;k[u>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;b=y;y=0;do if(b&1)M=107;else{y=0;oa(482,s|0,c|0);b=y;y=0;if(b&1)M=107;else{y=0;Na(116,d|0,N|0,s|0);b=y;y=0;if(b&1){c=pb()|0;EO(s);break}EO(s);EO(u);$9(N);r=L;return 0}}while(0);if((M|0)==107)c=pb()|0;EO(u);M=c;$9(N);sb(M|0)}else{y=0;oa(464,q|0,b+76|0);b=y;y=0;if(b&1)break;c=k[q>>2]|0;k[v>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;b=y;y=0;do if(b&1)M=115;else{y=0;oa(482,t|0,c|0);b=y;y=0;if(b&1)M=115;else{y=0;Na(116,d|0,N|0,t|0);b=y;y=0;if(b&1){c=pb()|0;EO(t);break}EO(t);EO(v);$9(N);r=L;return 0}}while(0);if((M|0)==115)c=pb()|0;EO(v);M=c;$9(N);sb(M|0)}}}}else{if(!c){y=0;oa(464,e|0,b+76|0);b=y;y=0;if(b&1)break;c=k[e>>2]|0;k[m>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;b=y;y=0;do if(b&1)M=38;else{y=0;oa(482,g|0,c|0);b=y;y=0;if(b&1)M=38;else{y=0;Na(115,d|0,N|0,g|0);b=y;y=0;if(b&1){c=pb()|0;EO(g);break}EO(g);EO(m);$9(N);r=L;return 0}}while(0);if((M|0)==38)c=pb()|0;EO(m);M=c;$9(N);sb(M|0)}y=0;c=Ha(989,d|0,N|0)|0;K=y;y=0;if(!(K&1)){if(!c){y=0;oa(464,j|0,b+76|0);b=y;y=0;if(b&1)break;c=k[j>>2]|0;k[o>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;b=y;y=0;do if(b&1)M=30;else{y=0;oa(482,l|0,c|0);b=y;y=0;if(b&1)M=30;else{y=0;Na(115,d|0,N|0,l|0);b=y;y=0;if(b&1){c=pb()|0;EO(l);break}EO(l);EO(o);$9(N);r=L;return 0}}while(0);if((M|0)==30)c=pb()|0;EO(o);M=c;$9(N);sb(M|0)}y=0;c=Ha(1012,d|0,N|0)|0;K=y;y=0;if(!(K&1)){c=k[c>>2]|0;if(!c)c=0;else c=pw(c,8,40,0)|0;y=0;oa(482,D|0,c|0);K=y;y=0;if(!(K&1)){c=k[D>>2]|0;if(!c)M=14;else if((k[c+56>>2]|0)==8)M=14;g:do if((M|0)==14){y=0;oa(464,x|0,b+76|0);b=y;y=0;if(b&1)c=pb()|0;else{c=k[x>>2]|0;k[B>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;b=y;y=0;do if(b&1)M=20;else{y=0;oa(482,z|0,c|0);b=y;y=0;if(b&1)M=20;else{y=0;Na(115,d|0,N|0,z|0);b=y;y=0;if(b&1){c=pb()|0;EO(z);break}else{EO(z);EO(B);break g}}}while(0);if((M|0)==20)c=pb()|0;EO(B)}EO(D);M=c;$9(N);sb(M|0)}while(0);EO(D);$9(N);r=L;return 0}}}}while(0);M=pb()|0;$9(N);sb(M|0);return 0}function qe(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;W=0;O=r;r=r+400|0;z=O+360|0;w=O+80|0;D=O+356|0;E=O+352|0;u=O+348|0;v=O+344|0;I=O+340|0;s=O+336|0;o=O+332|0;e=O+328|0;V=O+40|0;J=O;j=O+324|0;l=O+320|0;t=O+316|0;p=O+304|0;U=O+312|0;c=O+264|0;P=O+256|0;Q=O+252|0;x=O+248|0;T=O+308|0;A=O+208|0;K=O+192|0;L=O+188|0;F=O+184|0;B=O+180|0;C=O+176|0;G=O+172|0;H=O+168|0;M=O+128|0;S=O+124|0;R=O+120|0;q=ZL(88)|0;n=a+20|0;m=a+24|0;d=k[m>>2]|0;if((d|0)==(k[n>>2]|0))d=k[a+8>>2]|0;else d=d+-4|0;h=V;f=(k[d>>2]|0)+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;na(366,q|0);h=y;y=0;do if(h&1)c=pb()|0;else{h=q+12|0;f=V;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));k[q>>2]=5252;k[q+52>>2]=0;k[q+56>>2]=0;i[q+60>>0]=0;d=q+64|0;k[d>>2]=5212;g=q+68|0;h=q+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,0);f=y;y=0;if(f&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{W=e+-4|0;k[h>>2]=W;EO(W);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[q>>2]=5076;k[d>>2]=5172;i[q+84>>0]=0;i[q+85>>0]=0;d=k[m>>2]|0;if((d|0)==(k[n>>2]|0))d=k[a+8>>2]|0;else d=d+-4|0;d=k[d>>2]|0;_V(V,oc[k[(k[d>>2]|0)+12>>2]&511](d)|0);d=k[V>>2]|0;y=0;oa(482,l|0,q|0);q=y;y=0;a:do if(q&1)W=58;else{d=d+64|0;y=0;Ha(966,d|0,l|0)|0;q=y;y=0;if(!(q&1)){y=0;oa(464,e|0,d|0);q=y;y=0;if(!(q&1)){k[j>>2]=k[e>>2];EO(j);EO(l);e=k[V>>2]|0;d=k[m>>2]|0;if((d|0)==(k[n>>2]|0))d=k[a+8>>2]|0;else d=d+-4|0;k[e+56>>2]=k[(k[d>>2]|0)+56>>2];y=0;oa(464,o|0,e+64|0);q=y;y=0;if(q&1){W=58;break}d=k[o>>2]|0;k[t>>2]=d;d=d+64|0;e=k[(k[d>>2]|0)+24>>2]|0;f=b+64|0;y=0;oa(464,s|0,f|0);q=y;y=0;do if(q&1)c=pb()|0;else{s=k[s>>2]|0;k[p>>2]=s;y=0;oa(e|0,d|0,((s|0)==0?0:s+64|0)|0);s=y;y=0;if(s&1){c=pb()|0;EO(p);break}EO(p);EO(t);y=0;l=qa(332,88)|0;t=y;y=0;if(t&1){W=58;break a}y=0;oa(464,v|0,f|0);t=y;y=0;b:do if(t&1)c=pb()|0;else{v=k[v>>2]|0;k[P>>2]=v;do if(!v){h=c;f=b+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));j=0}else{y=0;oa(464,u|0,f|0);v=y;y=0;if(v&1){c=pb()|0;EO(P);break b}else{f=k[u>>2]|0;k[Q>>2]=f;h=c;f=f+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));j=1;break}}while(0);h=w;f=c;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;na(366,l|0);v=y;y=0;do if(v&1){c=1;W=65}else{h=l+12|0;f=w;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));k[l>>2]=5252;k[l+52>>2]=0;k[l+56>>2]=0;i[l+60>>0]=0;c=l+64|0;k[c>>2]=5212;g=l+68|0;h=l+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,0);w=y;y=0;if(w&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{U=e+-4|0;k[h>>2]=U;EO(U);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}d=1;break}k[l>>2]=5076;k[c>>2]=5172;i[l+84>>0]=0;i[l+85>>0]=0;y=0;oa(482,U|0,l|0);w=y;y=0;if(w&1){c=0;W=65;break}if(j)EO(Q);EO(P);c=(k[U>>2]|0)+64|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(482,x|0,k[V>>2]|0);Q=y;y=0;c:do if(Q&1)W=70;else{y=0;oa(d|0,c|0,x|0);Q=y;y=0;if(Q&1){c=pb()|0;EO(x);break}EO(x);y=0;e=qa(332,88)|0;Q=y;y=0;if(Q&1){W=70;break}h=A;f=b+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;oa(452,K|0,b+68|0);Q=y;y=0;do if(Q&1)c=pb()|0;else{y=0;oa(464,z|0,b+80|0);Q=y;y=0;if(Q&1){c=pb()|0;$9(K);break}k[L>>2]=k[z>>2];y=0;oa(464,F|0,U|0);Q=y;y=0;if(Q&1){c=pb()|0;d=1}else{y=0;oa(482,B|0,0);Q=y;y=0;if(Q&1){c=pb()|0;d=1}else{y=0;h=z;f=A;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));ya(19,e|0,z|0,K|0,L|0,F|0,B|0);Q=y;y=0;do if(Q&1)c=1;else{y=0;oa(482,T|0,e|0);Q=y;y=0;if(Q&1){c=0;break}EO(B);EO(F);EO(L);$9(K);d=b+84|0;y=0;oa(464,D|0,d|0);Q=y;y=0;d:do if(Q&1)W=80;else{Q=k[D>>2]|0;k[C>>2]=Q;EO(C);e:do if(Q|0){c=k[T>>2]|0;y=0;oa(464,E|0,d|0);Q=y;y=0;if(Q&1){W=80;break d}k[H>>2]=k[E>>2];c=c+84|0;y=0;Ha(966,c|0,H|0)|0;Q=y;y=0;do if(!(Q&1)){y=0;oa(464,I|0,c|0);Q=y;y=0;if(Q&1)break;k[G>>2]=k[I>>2];EO(G);EO(H);break e}while(0);c=pb()|0;EO(H);break d}while(0);y=0;d=qa(332,72)|0;Q=y;y=0;if(Q&1){W=80;break}c=k[T>>2]|0;h=M;f=c+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;oa(482,S|0,c|0);Q=y;y=0;if(Q&1)c=pb()|0;else{y=0;oa(482,R|0,0);Q=y;y=0;if(Q&1)c=pb()|0;else{h=J;f=M;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;na(366,d|0);Q=y;y=0;do if(Q&1)c=pb()|0;else{h=d+12|0;f=J;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));k[d+52>>2]=6;k[d+56>>2]=0;i[d+60>>0]=0;k[d>>2]=5528;y=0;oa(464,d+64|0,S|0);Q=y;y=0;if(Q&1){c=pb()|0;break}else{i[d+68>>0]=(k[R>>2]|0)==0&1;EO(R);EO(S);EO(T);EO(U);EO(V);r=O;return d|0}}while(0);EO(R)}EO(S)}zqa(d)}while(0);if((W|0)==80)c=pb()|0;EO(T);break c}while(0);T=pb()|0;EO(B);d=c;c=T}EO(F)}EO(L);$9(K);if(!d)break c}while(0);zqa(e)}while(0);if((W|0)==70)c=pb()|0;EO(U);break a}while(0);if((W|0)==65){U=pb()|0;d=c;c=U}if(j){EO(Q);EO(P);if(d)break;else break a}else{EO(P);if(d)break;else break a}}while(0);zqa(l);break a}while(0);EO(t);break}}c=pb()|0;EO(l)}while(0);if((W|0)==58)c=pb()|0;EO(V);W=c;sb(W|0)}while(0);zqa(q);W=c;sb(W|0);return 0}function re(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;K=0;E=r;r=r+416|0;H=E+40|0;w=E+396|0;z=E+384|0;A=E+344|0;B=E+304|0;n=E+292|0;o=E+280|0;t=E+264|0;u=E+224|0;J=E;D=E+276|0;c=E+184|0;e=E+180|0;f=E+176|0;d=E+164|0;g=E+152|0;m=E+148|0;I=E+128|0;v=E+144|0;x=E+132|0;C=E+88|0;F=E+84|0;G=E+80|0;if(mu(a,1,0)|0){b=ce(a)|0;k[H>>2]=b;y=0;d=qa(332,72)|0;I=y;y=0;a:do if(I&1)b=pb()|0;else{h=c;j=a+108|0;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;oa(482,e|0,b|0);I=y;y=0;do if(I&1)b=pb()|0;else{y=0;oa(482,f|0,0);I=y;y=0;if(I&1){b=pb()|0;EO(e);break}h=J;j=c;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,d|0);I=y;y=0;b:do if(I&1){b=1;K=16}else{h=d+12|0;j=J;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=0;k[d>>2]=10112;b=d+60|0;y=0;oa(464,b|0,e|0);J=y;y=0;do if(J&1)b=pb()|0;else{y=0;oa(464,d+64|0,f|0);J=y;y=0;if(J&1){J=pb()|0;EO(b);b=J;break}i[d+68>>0]=1;y=0;oa(482,D|0,d|0);K=y;y=0;if(K&1){b=0;K=16;break b}EO(f);EO(e);EO(H);K=k[D>>2]|0;r=E;return K|0}while(0);c=1}while(0);if((K|0)==16){K=pb()|0;c=b;b=K}EO(f);EO(e);if(!c)break a}while(0);zqa(d)}while(0);EO(H);K=b;sb(K|0)}e=a+152|0;k[H>>2]=k[e>>2];k[H+4>>2]=k[e+4>>2];k[H+8>>2]=k[e+8>>2];f=a+76|0;b=k[f>>2]|0;p=a+84|0;k[w>>2]=k[p>>2];k[w+4>>2]=k[p+4>>2];k[w+8>>2]=k[p+8>>2];q=a+96|0;k[z>>2]=k[q>>2];k[z+4>>2]=k[q+4>>2];k[z+8>>2]=k[q+8>>2];s=a+108|0;h=A;j=s;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));mw(a,1,0)|0;do if(!(ft(a,1,0)|0)){h=s;j=A;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));k[e>>2]=k[H>>2];k[e+4>>2]=k[H+4>>2];k[e+8>>2]=k[H+8>>2];k[f>>2]=b;k[q>>2]=k[z>>2];k[q+4>>2]=k[z+4>>2];k[q+8>>2]=k[z+8>>2];k[p>>2]=k[w>>2];k[p+4>>2]=k[w+4>>2];k[p+8>>2]=k[w+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;jI(d,41041,42);l=a+108|0;y=0;k[H>>2]=k[l>>2];k[H+4>>2]=k[l+4>>2];k[H+8>>2]=k[l+8>>2];Na(109,a|0,d|0,H|0);l=y;y=0;if(!(l&1)){$9(d);break}K=pb()|0;$9(d);sb(K|0)}while(0);_V(J,0);y=0;b=qa(359,k[f>>2]|0)|0;l=y;y=0;c:do if(l&1)K=33;else{d=a+80|0;if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)b=k[f>>2]|0;y=0;c=qa(360,b|0)|0;l=y;y=0;if(l&1)K=33;else{l=c|0?c:b;l=(i[l>>0]|0)==41?l+1|0:0;do if(!((l|0)==0?1:l>>>0>(k[d>>2]|0)>>>0)){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,41084,48);l=y;y=0;if(l&1){K=33;break c}l=a+108|0;y=0;k[H>>2]=k[l>>2];k[H+4>>2]=k[l+4>>2];k[H+8>>2]=k[l+8>>2];Na(109,a|0,g|0,H|0);l=y;y=0;if(l&1){b=pb()|0;$9(g);break c}else{$9(g);break}}while(0);y=0;b=qa(380,a|0)|0;l=y;y=0;if(l&1)b=pb()|0;else{k[m>>2]=b;y=0;oa(482,H|0,b|0);l=y;y=0;do if(l&1)b=pb()|0;else{y=0;Ha(966,J|0,H|0)|0;l=y;y=0;if(l&1){b=pb()|0;EO(H);break}EO(H);EO(m);y=0;oa(482,I|0,0);m=y;y=0;if(m&1){K=33;break c}k[n>>2]=k[e>>2];k[n+4>>2]=k[e+4>>2];k[n+8>>2]=k[e+8>>2];c=k[f>>2]|0;k[o>>2]=k[p>>2];k[o+4>>2]=k[p+4>>2];k[o+8>>2]=k[p+8>>2];k[t>>2]=k[q>>2];k[t+4>>2]=k[q+4>>2];k[t+8>>2]=k[q+8>>2];h=u;j=s;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;ta(61,a|0,1,0)|0;m=y;y=0;d:do if(m&1)K=52;else{y=0;b=ta(91,a|0,1,0)|0;m=y;y=0;if(m&1)K=52;else{e:do if(!b){h=s;j=u;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));k[e>>2]=k[n>>2];k[e+4>>2]=k[n+4>>2];k[e+8>>2]=k[n+8>>2];k[f>>2]=c;k[q>>2]=k[t>>2];k[q+4>>2]=k[t+4>>2];k[q+8>>2]=k[t+8>>2];k[p>>2]=k[o>>2];k[p+4>>2]=k[o+4>>2];k[p+8>>2]=k[o+8>>2]}else{y=0;b=Ha(1003,a|0,1)|0;u=y;y=0;if(u&1)b=pb()|0;else{k[v>>2]=b;y=0;oa(482,H|0,b|0);u=y;y=0;do if(u&1)b=pb()|0;else{y=0;Ha(966,I|0,H|0)|0;u=y;y=0;if(u&1){b=pb()|0;EO(H);break}else{EO(H);EO(v);c=k[f>>2]|0;break e}}while(0);EO(v)}break d}while(0);k[w>>2]=k[e>>2];k[w+4>>2]=k[e+4>>2];k[w+8>>2]=k[e+8>>2];k[z>>2]=k[p>>2];k[z+4>>2]=k[p+4>>2];k[z+8>>2]=k[p+8>>2];k[A>>2]=k[q>>2];k[A+4>>2]=k[q+4>>2];k[A+8>>2]=k[q+8>>2];h=B;j=s;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;ta(61,a|0,1,0)|0;v=y;y=0;if(v&1)K=52;else{y=0;b=ta(74,a|0,1,0)|0;v=y;y=0;if(v&1)K=52;else{do if(!b){h=s;j=B;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));k[e>>2]=k[w>>2];k[e+4>>2]=k[w+4>>2];k[e+8>>2]=k[w+8>>2];k[f>>2]=c;k[q>>2]=k[A>>2];k[q+4>>2]=k[A+4>>2];k[q+8>>2]=k[A+8>>2];k[p>>2]=k[z>>2];k[p+4>>2]=k[z+4>>2];k[p+8>>2]=k[z+8>>2];k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(75,x|0,41133,46);B=y;y=0;if(B&1){K=52;break d}B=a+108|0;y=0;k[H>>2]=k[B>>2];k[H+4>>2]=k[B+4>>2];k[H+8>>2]=k[B+8>>2];Na(109,a|0,x|0,H|0);a=y;y=0;if(a&1){b=pb()|0;$9(x);break d}else{$9(x);break}}while(0);y=0;d=qa(332,72)|0;a=y;y=0;if(a&1){K=52;break}h=C;j=(k[J>>2]|0)+12|0;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;oa(464,F|0,J|0);a=y;y=0;do if(a&1)b=pb()|0;else{y=0;oa(464,G|0,I|0);a=y;y=0;if(a&1){b=pb()|0;EO(F);break}h=H;j=C;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,d|0);a=y;y=0;f:do if(a&1){b=1;K=79}else{h=d+12|0;j=H;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=0;k[d>>2]=10112;b=d+60|0;y=0;oa(464,b|0,F|0);H=y;y=0;do if(H&1)b=pb()|0;else{y=0;oa(464,d+64|0,G|0);H=y;y=0;if(H&1){H=pb()|0;EO(b);b=H;break}i[d+68>>0]=0;y=0;oa(482,D|0,d|0);K=y;y=0;if(K&1){b=0;K=79;break f}EO(G);EO(F);EO(I);EO(J);K=k[D>>2]|0;r=E;return K|0}while(0);c=1}while(0);if((K|0)==79){H=pb()|0;c=b;b=H}EO(G);EO(F);if(!c)break d}while(0);zqa(d)}}}}while(0);if((K|0)==52)b=pb()|0;EO(I);break c}while(0);EO(m)}}}while(0);if((K|0)==33)b=pb()|0;EO(J);K=b;sb(K|0);return 0}function se(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;K=0;I=r;r=r+96|0;G=I+80|0;J=I+76|0;H=I+72|0;E=I+68|0;u=I+64|0;F=I+60|0;v=I+56|0;w=I+52|0;m=I+48|0;x=I+44|0;n=I+40|0;z=I+36|0;o=I+32|0;A=I+28|0;p=I+24|0;B=I+20|0;q=I+16|0;C=I+12|0;s=I+8|0;D=I+4|0;t=I;a:while(1){j=b;l=b+-4|0;while(1){i=a;b:while(1){h=i;a=j-h|0;d=a>>2;switch(d|0){case 2:{K=5;break a}case 3:{K=15;break a}case 4:{K=16;break a}case 5:{K=17;break a}case 1:case 0:{K=117;break a}default:{}}if((a|0)<28){K=19;break a}f=i+(((d|0)/2|0)<<2)|0;if((a|0)>3996){a=(d|0)/4|0;a=qi(i,i+(a<<2)|0,f,f+(a<<2)|0,l,c)|0}else a=Yg(i,f,l,c)|0;rT(E,i);y=0;oa(464,u|0,f|0);g=y;y=0;if(g&1){K=31;break a}d=k[E>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+160>>2]|0,d|0,k[u>>2]|0)|0;g=y;y=0;if(g&1){K=32;break a}EO(u);EO(E);if(d){d=l;break}else d=l;while(1){d=d+-4|0;if((i|0)==(d|0))break;rT(A,d);y=0;oa(464,p|0,f|0);g=y;y=0;if(g&1){K=75;break a}e=k[A>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+160>>2]|0,e|0,k[p>>2]|0)|0;g=y;y=0;if(g&1){K=76;break a}EO(p);EO(A);if(e){K=71;break b}}a=i+4|0;rT(F,i);y=0;oa(464,v|0,l|0);h=y;y=0;if(h&1){K=34;break a}d=k[F>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+160>>2]|0,d|0,k[v>>2]|0)|0;h=y;y=0;if(h&1){K=35;break a}EO(v);EO(F);if(!d){if((a|0)==(l|0)){K=117;break a}while(1){rT(w,i);y=0;oa(464,m|0,a|0);h=y;y=0;if(h&1){K=44;break a}d=k[w>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+160>>2]|0,d|0,k[m>>2]|0)|0;h=y;y=0;if(h&1){K=45;break a}EO(m);EO(w);if(d)break;a=a+4|0;if((a|0)==(l|0)){K=117;break a}}rT(G,a);y=0;Ha(966,a|0,l|0)|0;h=y;y=0;if(h&1){K=42;break a}y=0;Ha(966,l|0,G|0)|0;h=y;y=0;if(h&1){K=42;break a}EO(G);a=a+4|0}if((a|0)==(l|0)){K=117;break a}else d=l;while(1){while(1){rT(x,i);y=0;oa(464,n|0,a|0);h=y;y=0;if(h&1){K=54;break a}e=k[x>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+160>>2]|0,e|0,k[n>>2]|0)|0;h=y;y=0;if(h&1){K=55;break a}EO(n);EO(x);if(e)break;a=a+4|0}do{rT(z,i);d=d+-4|0;y=0;oa(464,o|0,d|0);h=y;y=0;if(h&1){K=60;break a}e=k[z>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+160>>2]|0,e|0,k[o>>2]|0)|0;h=y;y=0;if(h&1){K=61;break a}EO(o);EO(z)}while(e);if(a>>>0>=d>>>0){i=a;continue b}rT(G,a);y=0;Ha(966,a|0,d|0)|0;h=y;y=0;if(h&1){K=66;break a}y=0;Ha(966,d|0,G|0)|0;h=y;y=0;if(h&1){K=66;break a}EO(G);a=a+4|0}}if((K|0)==71){K=0;rT(G,i);y=0;Ha(966,i|0,d|0)|0;g=y;y=0;if(g&1){K=73;break a}y=0;Ha(966,d|0,G|0)|0;g=y;y=0;if(g&1){K=73;break a}EO(G);a=a+1|0}e=i+4|0;c:do if(e>>>0<d>>>0){g=f;while(1){while(1){rT(B,e);y=0;oa(464,q|0,g|0);f=y;y=0;if(f&1){K=84;break a}f=k[B>>2]|0;y=0;f=Ha(k[(k[f>>2]|0)+160>>2]|0,f|0,k[q>>2]|0)|0;L=y;y=0;if(L&1){K=85;break a}EO(q);EO(B);if(!f)break;e=e+4|0}do{d=d+-4|0;rT(C,d);y=0;oa(464,s|0,g|0);L=y;y=0;if(L&1){K=90;break a}f=k[C>>2]|0;y=0;f=Ha(k[(k[f>>2]|0)+160>>2]|0,f|0,k[s>>2]|0)|0;L=y;y=0;if(L&1){K=91;break a}EO(s);EO(C)}while(!f);if(e>>>0>d>>>0){f=g;break c}rT(G,e);y=0;Ha(966,e|0,d|0)|0;L=y;y=0;if(L&1){K=96;break a}y=0;Ha(966,d|0,G|0)|0;L=y;y=0;if(L&1){K=96;break a}EO(G);g=(g|0)==(e|0)?d:g;e=e+4|0;a=a+1|0}}while(0);if((e|0)!=(f|0)){rT(D,f);y=0;oa(464,t|0,e|0);L=y;y=0;if(L&1){K=106;break a}d=k[D>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+160>>2]|0,d|0,k[t>>2]|0)|0;L=y;y=0;if(L&1){K=107;break a}EO(t);EO(D);if(d){rT(G,e);y=0;Ha(966,e|0,f|0)|0;L=y;y=0;if(L&1){K=104;break a}y=0;Ha(966,f|0,G|0)|0;L=y;y=0;if(L&1){K=104;break a}EO(G);a=a+1|0}}if(!a){d=hi(i,e,c)|0;a=e+4|0;if(hi(a,b,c)|0){K=115;break}if(d)continue}L=e;if((L-h|0)>=(j-L|0)){K=114;break}se(i,e,c);a=e+4|0}if((K|0)==114){K=0;se(e+4|0,b,c);a=i;b=e;continue}else if((K|0)==115){K=0;if(d){K=117;break}else{a=i;b=e;continue}}}switch(K|0){case 5:{a=b+-4|0;rT(J,a);y=0;oa(464,H|0,i|0);L=y;y=0;do if(L&1)a=pb()|0;else{b=k[J>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+160>>2]|0,b|0,k[H>>2]|0)|0;L=y;y=0;if(L&1){a=pb()|0;EO(H);break}EO(H);EO(J);if(!b){r=I;return}rT(G,i);y=0;Ha(966,i|0,a|0)|0;L=y;y=0;if(L&1){L=pb()|0;EO(G);sb(L|0)}y=0;Ha(966,a|0,G|0)|0;L=y;y=0;if(L&1){L=pb()|0;EO(G);sb(L|0)}EO(G);r=I;return}while(0);EO(J);L=a;sb(L|0)}case 15:{Yg(i,i+4|0,l,c)|0;r=I;return}case 16:{dk(i,i+4|0,i+8|0,l,c)|0;r=I;return}case 17:{qi(i,i+4|0,i+8|0,i+12|0,l,c)|0;r=I;return}case 19:{Dm(i,b,c);r=I;return}case 31:{a=pb()|0;K=33;break}case 32:{a=pb()|0;EO(u);K=33;break}case 34:{a=pb()|0;K=36;break}case 35:{a=pb()|0;EO(v);K=36;break}case 42:{L=pb()|0;EO(G);sb(L|0)}case 44:{a=pb()|0;K=46;break}case 45:{a=pb()|0;EO(m);K=46;break}case 54:{a=pb()|0;K=56;break}case 55:{a=pb()|0;EO(n);K=56;break}case 60:{a=pb()|0;K=62;break}case 61:{a=pb()|0;EO(o);K=62;break}case 66:{L=pb()|0;EO(G);sb(L|0)}case 73:{L=pb()|0;EO(G);sb(L|0)}case 75:{a=pb()|0;K=77;break}case 76:{a=pb()|0;EO(p);K=77;break}case 84:{a=pb()|0;K=86;break}case 85:{a=pb()|0;EO(q);K=86;break}case 90:{a=pb()|0;K=92;break}case 91:{a=pb()|0;EO(s);K=92;break}case 96:{L=pb()|0;EO(G);sb(L|0)}case 104:{L=pb()|0;EO(G);sb(L|0)}case 106:{a=pb()|0;K=108;break}case 107:{a=pb()|0;EO(t);K=108;break}case 117:{r=I;return}}if((K|0)==33){EO(E);L=a;sb(L|0)}else if((K|0)==36){EO(F);L=a;sb(L|0)}else if((K|0)==46){EO(w);L=a;sb(L|0)}else if((K|0)==56){EO(x);L=a;sb(L|0)}else if((K|0)==62){EO(z);L=a;sb(L|0)}else if((K|0)==77){EO(A);L=a;sb(L|0)}else if((K|0)==86){EO(B);L=a;sb(L|0)}else if((K|0)==92){EO(C);L=a;sb(L|0)}else if((K|0)==108){EO(D);L=a;sb(L|0)}}function te(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;w=0;u=r;r=r+256|0;m=u+240|0;E=u+228|0;F=u+216|0;C=u+72|0;v=u+12|0;n=u;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;y=0;Na(75,F|0,82159,0);D=y;y=0;if(D&1){F=pb()|0;$9(E);sb(F|0)}D=C+64|0;c=C+8|0;k[c>>2]=14400;B=C+12|0;k[C>>2]=14440;k[D>>2]=14460;k[C+4>>2]=0;y=0;oa(528,C+64|0,B|0);A=y;y=0;a:do if(A&1){c=pb()|0;w=42}else{k[C+136>>2]=0;k[C+140>>2]=-1;k[C>>2]=14380;k[D>>2]=14420;k[c>>2]=14400;y=0;na(373,B|0);A=y;y=0;do if(A&1)c=pb()|0;else{k[B>>2]=14240;A=C+44|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[C+60>>2]=24;y=0;oa(529,B|0,a|0);z=y;y=0;if(z&1){c=pb()|0;$9(A);nba(B);break}x=v+8|0;z=v+24|0;c=z;a=c+36|0;do{k[c>>2]=0;c=c+4|0}while((c|0)<(a|0));t=v+4|0;j=v+20|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;i[t+16>>0]=0;y=0;Ha(1006,x|0,82159)|0;t=y;y=0;b:do if(t&1)w=45;else{y=0;Ha(1006,z|0,82159)|0;t=y;y=0;if(t&1)w=45;else{k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,82159,0);t=y;y=0;c:do if(t&1){c=pb()|0;a=N}else{s=v+36|0;t=v+44|0;e=k[t>>2]|0;q=v+40|0;d=k[q>>2]|0;h=e-d>>2;p=v+52|0;a=k[p>>2]|0;o=v+56|0;c=k[o>>2]|0;do if((((h|0)==0?0:(h*341|0)+-1|0)|0)==(c+a|0)){y=0;na(403,s|0);h=y;y=0;if(h&1){c=pb()|0;a=N;$9(m);break c}else{c=k[o>>2]|0;a=k[p>>2]|0;e=k[t>>2]|0;d=k[q>>2]|0;break}}while(0);c=c+a|0;if((e|0)==(d|0))c=0;else c=(k[d+(((c>>>0)/341|0)<<2)>>2]|0)+(((c>>>0)%341|0)*12|0)|0;k[c>>2]=k[m>>2];k[c+4>>2]=k[m+4>>2];k[c+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[o>>2]=(k[o>>2]|0)+1;$9(m);k[v>>2]=b;a=E+11|0;d=E+4|0;e=m+11|0;b=m+4|0;d:while(1){if((i[a>>0]|0)<0){i[k[E>>2]>>0]=0;k[d>>2]=0}else{i[E>>0]=0;i[a>>0]=0}y=0;Na(143,m|0,C|0,1);h=y;y=0;if(h&1){w=44;break}f=k[C+(k[(k[C>>2]|0)+-12>>2]|0)+24>>2]|0;g=f+12|0;h=f+16|0;e:while(1){c=k[g>>2]|0;if((c|0)==(k[h>>2]|0)){y=0;c=qa(k[(k[f>>2]|0)+40>>2]|0,f|0)|0;G=y;y=0;if(G&1){w=43;break d}}else{k[g>>2]=c+1;c=l[c>>0]|0}switch(c|0){case 10:break e;case 13:{w=27;break e}case -1:{w=34;break e}default:{}}y=0;oa(461,E|0,c&255|0);G=y;y=0;if(G&1){w=43;break d}}do if((w|0)==27){w=0;c=k[g>>2]|0;if((c|0)==(k[h>>2]|0)){y=0;c=qa(k[(k[f>>2]|0)+36>>2]|0,f|0)|0;G=y;y=0;if(G&1){w=44;break d}}else c=l[c>>0]|0;if((c|0)==10){c=k[g>>2]|0;if((c|0)==(k[h>>2]|0)){y=0;qa(k[(k[f>>2]|0)+40>>2]|0,f|0)|0;G=y;y=0;if(G&1){w=44;break d}else break}else{k[g>>2]=c+1;break}}}else if((w|0)==34){w=0;G=i[a>>0]|0;if(!((G<<24>>24<0?k[d>>2]|0:G&255)|0)){G=C+(k[(k[C>>2]|0)+-12>>2]|0)|0;y=0;oa(532,G|0,k[G+16>>2]|2|0);G=y;y=0;if(G&1){w=44;break d}}}while(0);if(k[C+(k[(k[C>>2]|0)+-12>>2]|0)+16>>2]&7|0){w=53;break}y=0;Na(144,m|0,E|0,v|0);G=y;y=0;if(G&1){w=50;break}G=i[e>>0]|0;h=G<<24>>24<0;y=0;ta(47,F|0,(h?k[m>>2]|0:m)|0,(h?k[b>>2]|0:G&255)|0)|0;G=y;y=0;if(G&1){w=51;break}$9(m)}if((w|0)==43){c=pb()|0;a=N;w=46;break b}else if((w|0)==44){c=pb()|0;a=N;w=46;break b}else if((w|0)==50){c=pb()|0;a=N}else if((w|0)==51){c=pb()|0;a=N;$9(m)}else if((w|0)==53){k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(75,n|0,82159,0);G=y;y=0;if(G&1){w=45;break b}i[j>>0]=1;y=0;Na(144,m|0,n|0,v|0);G=y;y=0;do if(G&1){c=pb()|0;a=N}else{G=i[m+11>>0]|0;j=G<<24>>24<0;y=0;ta(47,F|0,(j?k[m>>2]|0:m)|0,(j?k[m+4>>2]|0:G&255)|0)|0;G=y;y=0;if(G&1){c=pb()|0;a=N;$9(m);break}$9(m);b=i[F+11>>0]|0;c=b<<24>>24<0;b=pd((c?k[F+4>>2]|0:b&255)+1|0)|0;wma(b,c?k[F>>2]|0:F)|0;$9(n);c=k[q>>2]|0;a=k[p>>2]|0;d=c+(((a>>>0)/341|0)<<2)|0;if((k[t>>2]|0)==(c|0)){e=0;c=0}else{e=(k[o>>2]|0)+a|0;e=(k[c+(((e>>>0)/341|0)<<2)>>2]|0)+(((e>>>0)%341|0)*12|0)|0;c=(k[d>>2]|0)+(((a>>>0)%341|0)*12|0)|0}f:while(1){do{if((c|0)==(e|0))break f;$9(c);c=c+12|0}while((c-(k[d>>2]|0)|0)!=4092);c=d+4|0;d=c;c=k[c>>2]|0}k[o>>2]=0;d=k[t>>2]|0;a=k[q>>2]|0;e=d-a>>2;c=a;if(e>>>0>2)do{zqa(k[a>>2]|0);c=(k[q>>2]|0)+4|0;k[q>>2]=c;d=k[t>>2]|0;a=c;e=d-a>>2}while(e>>>0>2);switch(e|0){case 1:{k[p>>2]=170;break}case 2:{k[p>>2]=341;break}default:{}}do if((c|0)!=(d|0)){do{zqa(k[c>>2]|0);c=c+4|0}while((c|0)!=(d|0));c=k[q>>2]|0;a=k[t>>2]|0;if((a|0)==(c|0))break;k[t>>2]=a+(~((a+-4-c|0)>>>2)<<2)}while(0);c=k[s>>2]|0;if(!c){$9(z);$9(x);k[C>>2]=14380;k[D>>2]=14420;G=C+8|0;k[G>>2]=14400;k[B>>2]=14240;$9(A);nba(B);zka(C,14472);dja(D);$9(F);$9(E);r=u;return b|0}zqa(c);$9(z);$9(x);k[C>>2]=14380;k[D>>2]=14420;G=C+8|0;k[G>>2]=14400;k[B>>2]=14240;$9(A);nba(B);zka(C,14472);dja(D);$9(F);$9(E);r=u;return b|0}while(0);$9(n);break b}break b}while(0)}}while(0);if((w|0)==45){c=pb()|0;a=N;w=46}j=v+40|0;d=k[j>>2]|0;h=v+52|0;e=k[h>>2]|0;b=d+(((e>>>0)/341|0)<<2)|0;m=v+44|0;if((k[m>>2]|0)==(d|0)){f=0;g=v+56|0;d=0}else{g=v+56|0;f=(k[g>>2]|0)+e|0;f=(k[d+(((f>>>0)/341|0)<<2)>>2]|0)+(((f>>>0)%341|0)*12|0)|0;d=(k[b>>2]|0)+(((e>>>0)%341|0)*12|0)|0}g:while(1){do{if((d|0)==(f|0))break g;$9(d);d=d+12|0}while((d-(k[b>>2]|0)|0)!=4092);d=b+4|0;b=d;d=k[d>>2]|0}k[g>>2]=0;b=k[m>>2]|0;e=k[j>>2]|0;f=b-e>>2;d=e;if(f>>>0>2)do{zqa(k[e>>2]|0);d=(k[j>>2]|0)+4|0;k[j>>2]=d;b=k[m>>2]|0;e=d;f=b-e>>2}while(f>>>0>2);switch(f|0){case 1:{k[h>>2]=170;break}case 2:{k[h>>2]=341;break}default:{}}if((d|0)!=(b|0)){do{zqa(k[d>>2]|0);d=d+4|0}while((d|0)!=(b|0));a=k[j>>2]|0;d=k[m>>2]|0;if((d|0)!=(a|0))k[m>>2]=d+(~((d+-4-a|0)>>>2)<<2)}a=k[v+36>>2]|0;if(a|0)zqa(a);$9(z);$9(x);k[C>>2]=14380;k[D>>2]=14420;k[C+8>>2]=14400;k[B>>2]=14240;$9(A);nba(B);zka(C,14472);dja(D);break a}while(0);zka(C,14472);w=42}while(0);if((w|0)==42)dja(D);$9(F);G=c;$9(E);sb(G|0);return 0}function ue(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;K=0;B=r;r=r+352|0;E=B+336|0;C=B+324|0;w=B+312|0;A=B+272|0;v=B+40|0;n=B;h=B+256|0;j=B+244|0;l=B+216|0;m=B+176|0;D=B+240|0;b=B+228|0;J=B+156|0;g=B+160|0;I=B+104|0;H=B+96|0;o=B+152|0;u=B+112|0;F=B+100|0;G=B+92|0;x=B+80|0;z=a+76|0;t=k[z>>2]|0;d=oW(t)|0;t=d|0?d:t;t=(i[t>>0]|0)==41?t+1|0:0;d=a+80|0;do if(!((t|0)==0?1:t>>>0>(k[d>>2]|0)>>>0)){k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,40913,46);t=a+108|0;y=0;k[E>>2]=k[t>>2];k[E+4>>2]=k[t+4>>2];k[E+8>>2]=k[t+8>>2];Na(109,a|0,b|0,E|0);t=y;y=0;if(!(t&1)){$9(b);break}K=pb()|0;$9(b);sb(K|0)}while(0);c=k[z>>2]|0;b=oW(c)|0;c=b|0?b:c;b=rK(c)|0;if(!b)b=iK(c)|0;a:do if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0){k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;jI(E,39964,11);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;y=0;Na(75,C|0,39976,7);t=y;y=0;if(t&1)b=pb()|0;else{k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;Na(75,w|0,40960,36);t=y;y=0;do if(t&1)b=pb()|0;else{y=0;Ra(25,a|0,E|0,C|0,w|0);t=y;y=0;if(t&1){b=pb()|0;$9(w);break}else{$9(w);$9(C);$9(E);break a}}while(0);$9(C)}$9(E);K=b;sb(K|0)}while(0);p=cf(a,0)|0;k[J>>2]=p;p=a+152|0;k[h>>2]=k[p>>2];k[h+4>>2]=k[p+4>>2];k[h+8>>2]=k[p+8>>2];c=k[z>>2]|0;q=a+84|0;k[j>>2]=k[q>>2];k[j+4>>2]=k[q+4>>2];k[j+8>>2]=k[q+8>>2];s=a+96|0;k[l>>2]=k[s>>2];k[l+4>>2]=k[s+4>>2];k[l+8>>2]=k[s+8>>2];t=a+108|0;b=m;e=t;f=b+40|0;do{k[b>>2]=k[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(f|0));y=0;ta(61,a|0,1,0)|0;f=y;y=0;b:do if(f&1)K=23;else{y=0;b=ta(91,a|0,1,0)|0;f=y;y=0;if(f&1)K=23;else{do if(!b){b=t;e=m;f=b+40|0;do{k[b>>2]=k[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(f|0));k[p>>2]=k[h>>2];k[p+4>>2]=k[h+4>>2];k[p+8>>2]=k[h+8>>2];k[z>>2]=c;k[s>>2]=k[l>>2];k[s+4>>2]=k[l+4>>2];k[s+8>>2]=k[l+8>>2];k[q>>2]=k[j>>2];k[q+4>>2]=k[j+4>>2];k[q+8>>2]=k[j+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,40599,38);m=y;y=0;if(m&1){K=23;break b}m=a+108|0;y=0;k[E>>2]=k[m>>2];k[E+4>>2]=k[m+4>>2];k[E+8>>2]=k[m+8>>2];Na(109,a|0,g|0,E|0);m=y;y=0;if(m&1){b=pb()|0;$9(g);break b}else{$9(g);break}}while(0);y=0;b=Ha(1003,a|0,0)|0;m=y;y=0;if(m&1)K=23;else{k[I>>2]=b;y=0;h=qa(332,88)|0;m=y;y=0;c:do if(m&1)K=40;else{b=n;e=(k[J>>2]|0)+12|0;f=b+40|0;do{k[b>>2]=k[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(f|0));y=0;na(366,h|0);m=y;y=0;do if(m&1)b=pb()|0;else{b=h+12|0;e=n;f=b+40|0;do{k[b>>2]=k[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(f|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;b=h+56|0;k[b>>2]=0;k[h>>2]=7760;c=h+60|0;k[c>>2]=7720;f=h+64|0;g=h+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,1);n=y;y=0;if(n&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{H=d+-4|0;k[g>>2]=H;EO(H);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[h>>2]=7552;k[c>>2]=7680;k[h+80>>2]=1;i[h+84>>0]=0;i[h+85>>0]=0;k[b>>2]=5;y=0;oa(482,H|0,h|0);n=y;y=0;if(n&1){K=40;break c}b=k[I>>2]|0;d:do if((k[b+56>>2]|0)==5){if(!b)b=0;else b=pw(b,40,216,0)|0;y=0;oa(482,E|0,b|0);o=y;y=0;do if(o&1)b=pb()|0;else{y=0;Ha(966,H|0,E|0)|0;o=y;y=0;if(o&1){b=pb()|0;EO(E);break}else{EO(E);K=54;break d}}while(0)}else{b=(k[H>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(464,o|0,I|0);n=y;y=0;if(n&1)K=43;else{y=0;oa(c|0,b|0,o|0);n=y;y=0;if(n&1){b=pb()|0;EO(o);break}else{EO(o);K=54;break}}}while(0);e:do if((K|0)==54){y=0;d=qa(332,68)|0;o=y;y=0;if(o&1)K=43;else{b=u;e=(k[H>>2]|0)+12|0;f=b+40|0;do{k[b>>2]=k[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(f|0));y=0;oa(464,F|0,J|0);o=y;y=0;do if(o&1)b=pb()|0;else{y=0;oa(482,G|0,k[H>>2]|0);o=y;y=0;if(o&1){b=pb()|0;EO(F);break}b=v;e=u;f=b+40|0;do{k[b>>2]=k[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(f|0));y=0;na(366,d|0);u=y;y=0;f:do if(u&1){b=1;K=72}else{b=d+12|0;e=v;f=b+40|0;do{k[b>>2]=k[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(f|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=0;k[d>>2]=10820;b=d+60|0;y=0;oa(464,b|0,F|0);v=y;y=0;do if(v&1)b=pb()|0;else{y=0;oa(464,d+64|0,G|0);v=y;y=0;if(v&1){E=pb()|0;EO(b);b=E;break}y=0;oa(482,D|0,d|0);v=y;y=0;if(v&1){b=0;K=72;break f}EO(G);EO(F);k[E>>2]=k[p>>2];k[E+4>>2]=k[p+4>>2];k[E+8>>2]=k[p+8>>2];c=k[z>>2]|0;k[C>>2]=k[q>>2];k[C+4>>2]=k[q+4>>2];k[C+8>>2]=k[q+8>>2];k[w>>2]=k[s>>2];k[w+4>>2]=k[s+4>>2];k[w+8>>2]=k[s+8>>2];b=A;e=t;f=b+40|0;do{k[b>>2]=k[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(f|0));y=0;ta(61,a|0,1,0)|0;G=y;y=0;do if(G&1)K=75;else{y=0;b=ta(74,a|0,1,0)|0;G=y;y=0;if(G&1){K=75;break}if(b|0){EO(H);EO(I);EO(J);K=k[D>>2]|0;r=B;return K|0}b=t;e=A;f=b+40|0;do{k[b>>2]=k[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(f|0));k[p>>2]=k[E>>2];k[p+4>>2]=k[E+4>>2];k[p+8>>2]=k[E+8>>2];k[z>>2]=c;k[s>>2]=k[w>>2];k[s+4>>2]=k[w+4>>2];k[s+8>>2]=k[w+8>>2];k[q>>2]=k[C>>2];k[q+4>>2]=k[C+4>>2];k[q+8>>2]=k[C+8>>2];k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(75,x|0,40997,43);G=y;y=0;if(G&1){K=75;break}G=a+108|0;y=0;k[E>>2]=k[G>>2];k[E+4>>2]=k[G+4>>2];k[E+8>>2]=k[G+8>>2];Na(109,a|0,x|0,E|0);G=y;y=0;if(G&1){b=pb()|0;$9(x);break}$9(x);EO(H);EO(I);EO(J);K=k[D>>2]|0;r=B;return K|0}while(0);if((K|0)==75)b=pb()|0;EO(D);break e}while(0);c=1}while(0);if((K|0)==72){E=pb()|0;c=b;b=E}EO(G);EO(F);if(!c)break e}while(0);zqa(d)}}while(0);if((K|0)==43)b=pb()|0;EO(H);break c}while(0);zqa(h)}while(0);if((K|0)==40)b=pb()|0;EO(I)}}}while(0);if((K|0)==23)b=pb()|0;EO(J);K=b;sb(K|0);return 0}function ve(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;w=0;v=r;r=r+208|0;u=v;p=v+196|0;m=v+192|0;g=v+188|0;h=v+184|0;E=v+180|0;F=v+176|0;D=v+172|0;C=v+168|0;B=v+164|0;j=v+160|0;l=v+108|0;n=v+104|0;o=v+96|0;A=v+136|0;z=v+112|0;s=v+100|0;q=v+72|0;x=v+48|0;t=v+40|0;e=vM(a)|0;k[E>>2]=e;y=0;e=qa(333,b|0)|0;f=y;y=0;if(f&1){F=pb()|0;EO(E);sb(F|0)}k[F>>2]=e;f=k[E>>2]|0;do if(!f){y=0;Ra(12,30965,30989,921,31001);y=0;w=5}else{if(!e){y=0;Ra(12,31012,30989,922,31001);y=0;w=5;break}if(k[f+72>>2]|0){D=0;EO(F);EO(E);r=v;return D|0}if(k[e+72>>2]|0){D=0;EO(F);EO(E);r=v;return D|0}y=0;oa(464,h|0,f+76|0);f=y;y=0;if(f&1)w=5;else{k[D>>2]=k[h>>2];y=0;oa(464,g|0,(k[F>>2]|0)+76|0);h=y;y=0;if(h&1)d=pb()|0;else{e=k[g>>2]|0;k[C>>2]=e;f=k[D>>2]|0;a:do if(!f){y=0;Ra(12,31036,30989,935,31001);y=0;w=15}else{if(!e){y=0;Ra(12,31070,30989,936,31001);y=0;w=15;break}y=0;e=ta(49,e|0,f|0,c|0)|0;h=y;y=0;if(h&1)w=15;else{y=0;oa(482,B|0,e|0);h=y;y=0;if(h&1)w=15;else{b:do if(!(k[B>>2]|0))d=0;else{h=k[D>>2]|0;e=k[h+76>>2]|0;do if(((k[h+80>>2]|0)-e|0)==4){g=k[e>>2]|0;e=g+84|0;h=i[e+11>>0]|0;if(((h<<24>>24<0?k[g+88>>2]|0:h&255)|0)==1){y=0;e=sa(21,e|0,0,-1,44238,1)|0;h=y;y=0;if(h&1){A=tb(0)|0;dla(A)}else if(!e){w=31;break}else{w=26;break}}else w=26}else w=26;while(0);do if((w|0)==26){h=k[C>>2]|0;e=k[h+76>>2]|0;if(((k[h+80>>2]|0)-e|0)==4){g=k[e>>2]|0;e=g+84|0;h=i[e+11>>0]|0;if(((h<<24>>24<0?k[g+88>>2]|0:h&255)|0)==1){y=0;e=sa(21,e|0,0,-1,44238,1)|0;h=y;y=0;if(h&1){A=tb(0)|0;dla(A)}else if(!e){w=31;break}else{d=0;w=41;break}}else{d=0;w=41}}else{d=0;w=41}}while(0);c:do if((w|0)==31){d=k[E>>2]|0;y=0;oa(482,l|0,0);h=y;y=0;if(h&1)w=38;else{d=d+76|0;y=0;Ha(966,d|0,l|0)|0;h=y;y=0;do if(!(h&1)){y=0;oa(464,m|0,d|0);h=y;y=0;if(h&1)break;k[j>>2]=k[m>>2];EO(j);EO(l);d=k[F>>2]|0;y=0;oa(464,o|0,B|0);m=y;y=0;if(m&1){w=38;break c}d=d+76|0;y=0;Ha(966,d|0,o|0)|0;m=y;y=0;do if(!(m&1)){y=0;oa(464,p|0,d|0);m=y;y=0;if(m&1)break;k[n>>2]=k[p>>2];EO(n);EO(o);d=1;w=41;break c}while(0);d=pb()|0;EO(o);break c}while(0);d=pb()|0;EO(l)}}while(0);if((w|0)==41){y=0;Na(79,A|0,a|0,c|0);p=y;y=0;if(p&1)w=38;else{y=0;Na(79,z|0,b|0,c|0);b=y;y=0;if(b&1)d=pb()|0;else{d:do if(d)w=57;else{y=0;d=qa(335,k[B>>2]|0)|0;b=y;y=0;if(b&1){w=51;break}k[s>>2]=d;y=0;Na(79,q|0,d|0,c|0);b=y;y=0;do if(b&1)d=pb()|0;else{y=0;oa(512,z|0,q|0);b=y;y=0;if(b&1){d=pb()|0;e=k[q+20>>2]|0;if(e|0)kZ(e);EO(q+12|0);break}else{d=k[q+20>>2]|0;if(d|0)kZ(d);EO(q+12|0);EO(s);w=57;break d}}while(0);EO(s)}while(0);do if((w|0)==57){y=0;Ra(13,x|0,A|0,z|0,c|0);s=y;y=0;if(s&1){w=51;break}y=0;q=qa(332,104)|0;s=y;y=0;e:do if(s&1)d=pb()|0;else{f=u;d=a+12|0;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));y=0;na(366,q|0);s=y;y=0;do if(s&1)d=pb()|0;else{f=q+12|0;d=u;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));i[q+52>>0]=0;i[q+53>>0]=0;i[q+54>>0]=0;k[q>>2]=11396;i[q+60>>0]=0;i[q+61>>0]=0;i[q+62>>0]=0;k[q+64>>2]=0;k[q+68>>2]=0;k[q+56>>2]=7;m=q+72|0;k[m>>2]=14012;b=q+76|0;a=q+80|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;y=0;oa(513,b|0,0);s=y;y=0;if(s&1){d=pb()|0;g=N;e=k[b>>2]|0;if(e|0){f=k[a>>2]|0;if((f|0)!=(e|0)){do{v=f+-4|0;k[a>>2]=v;EO(v);f=k[a>>2]|0}while((f|0)!=(e|0));e=k[b>>2]|0}zqa(e)}break}k[q>>2]=13796;k[m>>2]=13972;k[q+92>>2]=0;k[q+96>>2]=0;k[q+100>>2]=0;d=k[x+16>>2]|0;n=x+20|0;o=k[n>>2]|0;p=(o|0)==0;if(!p)Sba(o);e=k[d+4>>2]|0;f=k[d+16>>2]|0;g=e+(((f>>>0)/170|0)<<2)|0;if((k[d+8>>2]|0)==(e|0)){h=0;d=0}else{h=f+(k[d+20>>2]|0)|0;h=(k[e+(((h>>>0)/170|0)<<2)>>2]|0)+(((h>>>0)%170|0)*24|0)|0;d=(k[g>>2]|0)+(((f>>>0)%170|0)*24|0)|0}j=u+20|0;l=u+12|0;f:while(1){do{if((d|0)==(h|0)){w=74;break f}e=k[(k[m>>2]|0)+20>>2]|0;y=0;Na(80,u|0,d|0,c|0);w=y;y=0;if(w&1){w=94;break f}y=0;f=Ha(969,u|0,c|0)|0;w=y;y=0;if(w&1){w=95;break f}y=0;oa(482,t|0,f|0);w=y;y=0;if(w&1){w=95;break f}y=0;oa(e|0,m|0,t|0);w=y;y=0;if(w&1){w=96;break f}EO(t);e=k[j>>2]|0;if(e|0)kZ(e);EO(l);d=d+24|0}while((d-(k[g>>2]|0)|0)!=4080);d=g+4|0;g=d;d=k[d>>2]|0}if((w|0)==74){d=(k[a>>2]|0)!=(k[b>>2]|0)?q:0;if(!p)kZ(o);e=k[n>>2]|0;if(e|0)kZ(e);EO(x+12|0);e=k[z+20>>2]|0;if(e|0)kZ(e);EO(z+12|0);e=k[A+20>>2]|0;if(e|0)kZ(e);EO(A+12|0);break b}else if((w|0)==94)d=pb()|0;else if((w|0)==95){d=pb()|0;w=97}else if((w|0)==96){d=pb()|0;EO(t);w=97}if((w|0)==97){e=k[j>>2]|0;if(e|0)kZ(e);EO(l)}if(p)break e;kZ(o);break e}while(0);zqa(q)}while(0);e=k[x+20>>2]|0;if(e|0)kZ(e);EO(x+12|0)}while(0);if((w|0)==51)d=pb()|0;e=k[z+20>>2]|0;if(e|0)kZ(e);EO(z+12|0)}e=k[A+20>>2]|0;if(e|0)kZ(e);EO(A+12|0)}}if((w|0)==38)d=pb()|0;EO(B);break a}while(0);EO(B);EO(C);EO(D);D=d;EO(F);EO(E);r=v;return D|0}}}while(0);if((w|0)==15)d=pb()|0;EO(C)}EO(D)}}while(0);if((w|0)==5)d=pb()|0;EO(F);F=d;EO(E);sb(F|0);return 0}function we(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;u=0;n=r;r=r+192|0;q=n+180|0;w=n+168|0;v=n+24|0;h=n+12|0;m=n;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;x=v+64|0;c=v+8|0;k[c>>2]=14400;t=v+12|0;k[v>>2]=14440;k[x>>2]=14460;k[v+4>>2]=0;y=0;oa(528,v+64|0,t|0);s=y;y=0;if(s&1)c=pb()|0;else{k[v+136>>2]=0;k[v+140>>2]=-1;k[v>>2]=14380;k[x>>2]=14420;k[c>>2]=14400;y=0;na(373,t|0);s=y;y=0;do if(s&1)c=pb()|0;else{k[t>>2]=14240;o=v+44|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[v+60>>2]=24;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;oa(529,t|0,q|0);s=y;y=0;if(s&1){c=pb()|0;$9(q);$9(o);nba(t);break}$9(q);k[v+(k[(k[v>>2]|0)+-12>>2]|0)+8>>2]=12;s=v+8|0;j=b+64|0;y=0;Da(1,s|0,+(+p[j>>3]))|0;e=y;y=0;a:do if(e&1)u=21;else{y=0;oa(530,h|0,t|0);e=y;y=0;if(e&1)u=21;else{c=i[h+11>>0]|0;d=c<<24>>24<0;e=d?k[h>>2]|0:h;c=d?k[h+4>>2]|0:c&255;b:do if(!c)u=15;else{d=e+c|0;c=e;while(1){if((i[c>>0]|0)==101)break;c=c+1|0;if((c|0)==(d|0)){u=15;break b}}if((c|0)==(d|0))u=15;else{$9(h);if((c-e|0)!=-1){y=0;oa(532,v+(k[(k[v>>2]|0)+-12>>2]|0)|0,0);h=y;y=0;if(h&1){u=21;break a}k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;oa(529,t|0,q|0);h=y;y=0;if(h&1){c=pb()|0;$9(q);break a}else{$9(q);h=k[(k[a+72>>2]|0)+4>>2]|0;k[v+(k[(k[v>>2]|0)+-12>>2]|0)+8>>2]=(h|0)>12?h:12;h=s+(k[(k[s>>2]|0)+-12>>2]|0)+4|0;k[h>>2]=k[h>>2]&-261|4;y=0;Da(1,s|0,+(+p[j>>3]))|0;h=y;y=0;if(h&1){u=21;break a}else break}}}}while(0);if((u|0)==15)$9(h);y=0;oa(530,q|0,t|0);h=y;y=0;if(h&1)u=21;else{h=i[q+11>>0]|0;d=h<<24>>24<0;e=d?k[q>>2]|0:q;h=d?k[q+4>>2]|0:h&255;d=e+h|0;if(!h)h=-1;else{c=e;c:while(1){switch(i[c>>0]|0){case 44:case 46:break c;default:{}}c=c+1|0;if((c|0)==(d|0)){c=d;break}}h=(c|0)==(d|0)?-1:c-e|0}c=d;while(1){if((c|0)==(e|0)){e=-1;break}c=c+-1|0;if(!(Ty(44202,l[c>>0]|0,1)|0)){u=30;break}}if((u|0)==30)e=c-e|0;c=(h|0)==-1|(e|0)==(h|0);y=0;oa(532,v+(k[(k[v>>2]|0)+-12>>2]|0)|0,0);d=y;y=0;d:do if(d&1)u=42;else{k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;oa(529,t|0,m|0);d=y;y=0;if(d&1){c=pb()|0;$9(m);break}$9(m);e:do if(c){k[v+(k[(k[v>>2]|0)+-12>>2]|0)+8>>2]=0;h=s+(k[(k[s>>2]|0)+-12>>2]|0)+4|0;k[h>>2]=k[h>>2]&-261|4;y=0;Da(1,s|0,+(+p[j>>3]))|0;j=y;y=0;if(j&1){u=42;break d}y=0;oa(530,m|0,t|0);j=y;y=0;if(j&1){c=pb()|0;break d}c=w+11|0;if((i[c>>0]|0)<0){i[k[w>>2]>>0]=0;k[w+4>>2]=0}else{i[w>>0]=0;i[c>>0]=0}y=0;oa(506,w|0,0);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}else{k[w>>2]=k[m>>2];k[w+4>>2]=k[m+4>>2];k[w+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;$9(m);f=c;g=w+4|0;break}}else{c=k[(k[a+72>>2]|0)+4>>2]|0;d=v+(k[(k[v>>2]|0)+-12>>2]|0)|0;if(e>>>0<(c+h|0)>>>0)k[d+8>>2]=e-h;else k[d+8>>2]=c;h=s+(k[(k[s>>2]|0)+-12>>2]|0)+4|0;k[h>>2]=k[h>>2]&-261|4;y=0;Da(1,s|0,+(+p[j>>3]))|0;j=y;y=0;if(j&1){u=42;break d}y=0;oa(530,m|0,t|0);j=y;y=0;if(j&1){c=pb()|0;break d}f=w+11|0;if((i[f>>0]|0)<0){i[k[w>>2]>>0]=0;k[w+4>>2]=0}else{i[w>>0]=0;i[f>>0]=0}y=0;oa(506,w|0,0);u=y;y=0;if(u&1){u=tb(0)|0;dla(u)}k[w>>2]=k[m>>2];k[w+4>>2]=k[m+4>>2];k[w+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;$9(m);c=i[f>>0]|0;u=c<<24>>24<0;g=w+4|0;d=u?k[w>>2]|0:w;c=d+(u?k[g>>2]|0:c&255)|0;while(1){if((c|0)==(d|0)){u=59;break}c=c+-1|0;e=i[c>>0]|0;if(!(Ty(44202,e&255,1)|0)){u=58;break}}do if((u|0)==58){c=c-d|0;if((c|0)==-1){u=59;break}switch(e<<24>>24){case 44:case 46:{c=c+1|0;break}default:{}}y=0;Na(94,w|0,c+1|0,0);j=y;y=0;if(!(j&1))break e;c=pb()|0}while(0);if((u|0)==59){y=0;Ha(1006,w|0,44204)|0;j=y;y=0;if(!(j&1))break;c=pb()|0}break d}while(0);d=i[f>>0]|0;c=k[g>>2]|0;do if(((d<<24>>24<0?c:d&255)|0)==3){y=0;c=sa(21,w|0,0,-1,44204,3)|0;j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}if(!c){y=0;Ha(1006,w|0,44202)|0;j=y;y=0;if(j&1){u=42;break d}else break}else{d=i[f>>0]|0;c=k[g>>2]|0;u=73;break}}else u=73;while(0);f:do if((u|0)==73){do if(!((d<<24>>24<0?c:d&255)|0)){y=0;c=sa(21,w|0,0,-1,82159,0)|0;j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}if(!c){y=0;Ha(1006,w|0,44202)|0;j=y;y=0;if(j&1){u=42;break d}else break f}else{d=i[f>>0]|0;c=k[g>>2]|0;break}}while(0);do if(((d<<24>>24<0?c:d&255)|0)==2){y=0;c=sa(21,w|0,0,-1,44208,2)|0;j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}if(!c){y=0;Ha(1006,w|0,44202)|0;j=y;y=0;if(j&1){u=42;break d}else break f}else{d=i[f>>0]|0;c=k[g>>2]|0;break}}while(0);do if(((d<<24>>24<0?c:d&255)|0)==4){y=0;c=sa(21,w|0,0,-1,44211,4)|0;j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}if(c|0)break;y=0;Ha(1006,w|0,44202)|0;j=y;y=0;if(j&1){u=42;break d}else break f}while(0);if((k[k[a+72>>2]>>2]|0)!=3)break;c=(i[f>>0]|0)<0?k[w>>2]|0:w;d=(i[c>>0]|0)==45;e=d&1;if(!(i[b+72>>0]|0))break;if((i[c+e>>0]|0)!=48)break;if((i[c+(d?2:1)>>0]|0)!=46)break;y=0;ta(53,w|0,e|0,1)|0;j=y;y=0;if(!(j&1))break;c=pb()|0;break d}while(0);y=0;oa(457,m|0,b|0);j=y;y=0;do if(j&1)c=pb()|0;else{j=i[m+11>>0]|0;h=j<<24>>24<0;y=0;ta(47,w|0,(h?k[m>>2]|0:m)|0,(h?k[m+4>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){c=pb()|0;$9(m);break}$9(m);y=0;Na(139,a+4|0,w|0,b|0);u=y;y=0;if(u&1){u=42;break d}$9(q);k[v>>2]=14380;k[x>>2]=14420;k[s>>2]=14400;k[t>>2]=14240;$9(o);nba(t);zka(v,14472);dja(x);$9(w);r=n;return}while(0)}while(0);if((u|0)==42)c=pb()|0;$9(q)}}}while(0);if((u|0)==21)c=pb()|0;k[v>>2]=14380;k[x>>2]=14420;k[s>>2]=14400;k[t>>2]=14240;$9(o);nba(t);zka(v,14472);dja(x);x=c;$9(w);sb(x|0)}while(0);zka(v,14472)}dja(x);x=c;$9(w);sb(x|0)}function xe(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=0;j=r;r=r+16|0;b=j;h=j+8|0;c=j+4|0;k[h>>2]=a;do if(a>>>0<212){a=sM(23040,23232,h,b)|0;a=k[a>>2]|0}else{if(a>>>0>4294967291){a=gb(8)|0;y=0;oa(507,a|0,50736);j=y;y=0;if(j&1){j=pb()|0;fb(a|0);sb(j|0)}else{k[a>>2]=27112;Wb(a|0,4576,353)}}g=(a>>>0)/210|0;e=g*210|0;k[c>>2]=a-e;d=(sM(23232,23424,c,b)|0)-23232>>2;a=0;f=d;e=(k[23232+(d<<2)>>2]|0)+e|0;a:while(1){b=5;while(1){if(b>>>0>=47){d=211;i=12;break}c=k[23040+(b<<2)>>2]|0;d=(e>>>0)/(c>>>0)|0;if(d>>>0<c>>>0){i=111;break a}if((e|0)==(aa(d,c)|0))break;else b=b+1|0}b:do if((i|0)==12){c:while(1){i=0;b=(e>>>0)/(d>>>0)|0;do if(b>>>0<d>>>0){b=d;c=1;a=e}else if((e|0)==(aa(b,d)|0)){b=d;c=9}else{b=d+10|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e}else if((e|0)==(aa(c,b)|0))c=9;else{b=d+12|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e}else if((e|0)==(aa(c,b)|0))c=9;else{b=d+16|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e}else if((e|0)==(aa(c,b)|0))c=9;else{b=d+18|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e}else if((e|0)==(aa(c,b)|0))c=9;else{b=d+22|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e}else if((e|0)==(aa(c,b)|0))c=9;else{b=d+28|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e}else{if((e|0)==(aa(c,b)|0)){c=9;break}b=d+30|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+36|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+40|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+42|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+46|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+52|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+58|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+60|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+66|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+70|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+72|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+78|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+82|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+88|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+96|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+100|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+102|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+106|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+108|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+112|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+120|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+126|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+130|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+136|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+138|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+142|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+148|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+150|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+156|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+162|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+166|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+168|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+172|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+178|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+180|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+186|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+190|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+192|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+196|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+198|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+208|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}c=(e|0)==(aa(c,b)|0);b=c?b:d+210|0;c=c?9:0}}}}}}}while(0);switch(c&15){case 9:break b;case 0:{d=b;i=12;break}default:break c}}if(c){i=112;break a}}while(0);d=f+1|0;c=(d|0)==48;e=(c&1)+g|0;d=c?0:d;f=d;g=e;e=(k[23232+(d<<2)>>2]|0)+(e*210|0)|0}if((i|0)==111){k[h>>2]=e;a=e;break}else if((i|0)==112){k[h>>2]=e;break}}while(0);r=j;return a|0}function ye(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;K=0;I=r;r=r+96|0;G=I+80|0;J=I+76|0;H=I+72|0;E=I+68|0;u=I+64|0;F=I+60|0;v=I+56|0;w=I+52|0;m=I+48|0;x=I+44|0;n=I+40|0;z=I+36|0;o=I+32|0;A=I+28|0;p=I+24|0;B=I+20|0;q=I+16|0;C=I+12|0;s=I+8|0;D=I+4|0;t=I;a:while(1){j=b;l=b+-4|0;while(1){i=a;b:while(1){h=i;a=j-h|0;d=a>>2;switch(d|0){case 2:{K=5;break a}case 3:{K=15;break a}case 4:{K=16;break a}case 5:{K=17;break a}case 1:case 0:{K=117;break a}default:{}}if((a|0)<28){K=19;break a}f=i+(((d|0)/2|0)<<2)|0;if((a|0)>3996){a=(d|0)/4|0;a=Ki(i,i+(a<<2)|0,f,f+(a<<2)|0,l,c)|0}else a=kh(i,f,l,c)|0;rT(E,i);y=0;oa(464,u|0,f|0);g=y;y=0;if(g&1){K=31;break a}y=0;d=Ha(968,k[E>>2]|0,k[u>>2]|0)|0;g=y;y=0;if(g&1){K=32;break a}EO(u);EO(E);if(d){d=l;break}else d=l;while(1){d=d+-4|0;if((i|0)==(d|0))break;rT(A,d);y=0;oa(464,p|0,f|0);g=y;y=0;if(g&1){K=75;break a}y=0;e=Ha(968,k[A>>2]|0,k[p>>2]|0)|0;g=y;y=0;if(g&1){K=76;break a}EO(p);EO(A);if(e){K=71;break b}}a=i+4|0;rT(F,i);y=0;oa(464,v|0,l|0);h=y;y=0;if(h&1){K=34;break a}y=0;d=Ha(968,k[F>>2]|0,k[v>>2]|0)|0;h=y;y=0;if(h&1){K=35;break a}EO(v);EO(F);if(!d){if((a|0)==(l|0)){K=117;break a}while(1){rT(w,i);y=0;oa(464,m|0,a|0);h=y;y=0;if(h&1){K=44;break a}y=0;d=Ha(968,k[w>>2]|0,k[m>>2]|0)|0;h=y;y=0;if(h&1){K=45;break a}EO(m);EO(w);if(d)break;a=a+4|0;if((a|0)==(l|0)){K=117;break a}}rT(G,a);y=0;Ha(966,a|0,l|0)|0;h=y;y=0;if(h&1){K=42;break a}y=0;Ha(966,l|0,G|0)|0;h=y;y=0;if(h&1){K=42;break a}EO(G);a=a+4|0}if((a|0)==(l|0)){K=117;break a}else d=l;while(1){while(1){rT(x,i);y=0;oa(464,n|0,a|0);h=y;y=0;if(h&1){K=54;break a}y=0;e=Ha(968,k[x>>2]|0,k[n>>2]|0)|0;h=y;y=0;if(h&1){K=55;break a}EO(n);EO(x);if(e)break;a=a+4|0}do{rT(z,i);d=d+-4|0;y=0;oa(464,o|0,d|0);h=y;y=0;if(h&1){K=60;break a}y=0;e=Ha(968,k[z>>2]|0,k[o>>2]|0)|0;h=y;y=0;if(h&1){K=61;break a}EO(o);EO(z)}while(e);if(a>>>0>=d>>>0){i=a;continue b}rT(G,a);y=0;Ha(966,a|0,d|0)|0;h=y;y=0;if(h&1){K=66;break a}y=0;Ha(966,d|0,G|0)|0;h=y;y=0;if(h&1){K=66;break a}EO(G);a=a+4|0}}if((K|0)==71){K=0;rT(G,i);y=0;Ha(966,i|0,d|0)|0;g=y;y=0;if(g&1){K=73;break a}y=0;Ha(966,d|0,G|0)|0;g=y;y=0;if(g&1){K=73;break a}EO(G);a=a+1|0}e=i+4|0;c:do if(e>>>0<d>>>0){g=f;while(1){while(1){rT(B,e);y=0;oa(464,q|0,g|0);f=y;y=0;if(f&1){K=84;break a}y=0;f=Ha(968,k[B>>2]|0,k[q>>2]|0)|0;L=y;y=0;if(L&1){K=85;break a}EO(q);EO(B);if(!f)break;e=e+4|0}do{d=d+-4|0;rT(C,d);y=0;oa(464,s|0,g|0);L=y;y=0;if(L&1){K=90;break a}y=0;f=Ha(968,k[C>>2]|0,k[s>>2]|0)|0;L=y;y=0;if(L&1){K=91;break a}EO(s);EO(C)}while(!f);if(e>>>0>d>>>0){f=g;break c}rT(G,e);y=0;Ha(966,e|0,d|0)|0;L=y;y=0;if(L&1){K=96;break a}y=0;Ha(966,d|0,G|0)|0;L=y;y=0;if(L&1){K=96;break a}EO(G);g=(g|0)==(e|0)?d:g;e=e+4|0;a=a+1|0}}while(0);if((e|0)!=(f|0)){rT(D,f);y=0;oa(464,t|0,e|0);L=y;y=0;if(L&1){K=106;break a}y=0;d=Ha(968,k[D>>2]|0,k[t>>2]|0)|0;L=y;y=0;if(L&1){K=107;break a}EO(t);EO(D);if(d){rT(G,e);y=0;Ha(966,e|0,f|0)|0;L=y;y=0;if(L&1){K=104;break a}y=0;Ha(966,f|0,G|0)|0;L=y;y=0;if(L&1){K=104;break a}EO(G);a=a+1|0}}if(!a){d=si(i,e,c)|0;a=e+4|0;if(si(a,b,c)|0){K=115;break}if(d)continue}L=e;if((L-h|0)>=(j-L|0)){K=114;break}ye(i,e,c);a=e+4|0}if((K|0)==114){K=0;ye(e+4|0,b,c);a=i;b=e;continue}else if((K|0)==115){K=0;if(d){K=117;break}else{a=i;b=e;continue}}}switch(K|0){case 5:{a=b+-4|0;rT(J,a);y=0;oa(464,H|0,i|0);L=y;y=0;do if(L&1)a=pb()|0;else{y=0;b=Ha(968,k[J>>2]|0,k[H>>2]|0)|0;L=y;y=0;if(L&1){a=pb()|0;EO(H);break}EO(H);EO(J);if(!b){r=I;return}rT(G,i);y=0;Ha(966,i|0,a|0)|0;L=y;y=0;if(L&1){L=pb()|0;EO(G);sb(L|0)}y=0;Ha(966,a|0,G|0)|0;L=y;y=0;if(L&1){L=pb()|0;EO(G);sb(L|0)}EO(G);r=I;return}while(0);EO(J);L=a;sb(L|0)}case 15:{kh(i,i+4|0,l,c)|0;r=I;return}case 16:{rk(i,i+4|0,i+8|0,l,c)|0;r=I;return}case 17:{Ki(i,i+4|0,i+8|0,i+12|0,l,c)|0;r=I;return}case 19:{Xm(i,b,c);r=I;return}case 31:{a=pb()|0;K=33;break}case 32:{a=pb()|0;EO(u);K=33;break}case 34:{a=pb()|0;K=36;break}case 35:{a=pb()|0;EO(v);K=36;break}case 42:{L=pb()|0;EO(G);sb(L|0)}case 44:{a=pb()|0;K=46;break}case 45:{a=pb()|0;EO(m);K=46;break}case 54:{a=pb()|0;K=56;break}case 55:{a=pb()|0;EO(n);K=56;break}case 60:{a=pb()|0;K=62;break}case 61:{a=pb()|0;EO(o);K=62;break}case 66:{L=pb()|0;EO(G);sb(L|0)}case 73:{L=pb()|0;EO(G);sb(L|0)}case 75:{a=pb()|0;K=77;break}case 76:{a=pb()|0;EO(p);K=77;break}case 84:{a=pb()|0;K=86;break}case 85:{a=pb()|0;EO(q);K=86;break}case 90:{a=pb()|0;K=92;break}case 91:{a=pb()|0;EO(s);K=92;break}case 96:{L=pb()|0;EO(G);sb(L|0)}case 104:{L=pb()|0;EO(G);sb(L|0)}case 106:{a=pb()|0;K=108;break}case 107:{a=pb()|0;EO(t);K=108;break}case 117:{r=I;return}}if((K|0)==33){EO(E);L=a;sb(L|0)}else if((K|0)==36){EO(F);L=a;sb(L|0)}else if((K|0)==46){EO(w);L=a;sb(L|0)}else if((K|0)==56){EO(x);L=a;sb(L|0)}else if((K|0)==62){EO(z);L=a;sb(L|0)}else if((K|0)==77){EO(A);L=a;sb(L|0)}else if((K|0)==86){EO(B);L=a;sb(L|0)}else if((K|0)==92){EO(C);L=a;sb(L|0)}else if((K|0)==108){EO(D);L=a;sb(L|0)}}function ze(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;y=0;z=r;r=r+16|0;x=z;a:while(1){s=b;w=b+-12|0;t=b+-24|0;u=w+11|0;v=b+-8|0;while(1){b:while(1){q=a;d=s-q|0;switch((d|0)/12|0|0){case 2:{y=5;break a}case 3:{y=11;break a}case 4:{y=12;break a}case 5:{y=13;break a}case 1:case 0:{y=114;break a}default:{}}if((d|0)<84){y=15;break a}e=(d>>>0)/24|0;l=a+(e*12|0)|0;if((d|0)>11988){d=(d>>>0)/48|0;d=Hj(a,a+(d*12|0)|0,l,l+(d*12|0)|0,w,c)|0}else d=Ej(a,l,w,c)|0;o=a+11|0;n=i[o>>0]|0;m=n<<24>>24<0;p=a+4|0;n=m?k[p>>2]|0:n&255;j=i[l+11>>0]|0;f=j<<24>>24<0;j=f?k[a+(e*12|0)+4>>2]|0:j&255;e=j>>>0<n>>>0?j:n;if(!e)y=21;else{e=zM(m?k[a>>2]|0:a,f?k[l>>2]|0:l,e)|0;if(!e)y=21;else if((e|0)<0){e=w;break}}if((y|0)==21){y=0;if(n>>>0<j>>>0){e=w;break}}if((a|0)!=(t|0))if(f){f=w;e=t;while(1){h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[f+-8>>2]|0:h&255;f=j>>>0<h>>>0?j:h;if(!f)y=28;else{f=zM(g?k[e>>2]|0:e,k[l>>2]|0,f)|0;if(!f)y=28;else if((f|0)<0){y=76;break b}}if((y|0)==28){y=0;if(h>>>0<j>>>0){y=76;break b}}f=e+-12|0;if((a|0)==(f|0))break;else{h=e;e=f;f=h}}}else{f=w;e=t;while(1){h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[f+-8>>2]|0:h&255;f=j>>>0<h>>>0?j:h;if(!f)y=73;else{f=zM(g?k[e>>2]|0:e,l,f)|0;if(!f)y=73;else if((f|0)<0){y=76;break b}}if((y|0)==73){y=0;if(h>>>0<j>>>0){y=76;break b}}f=e+-12|0;if((a|0)==(f|0))break;else{h=e;e=f;f=h}}}d=a+12|0;g=i[u>>0]|0;f=g<<24>>24<0;g=f?k[v>>2]|0:g&255;e=g>>>0<n>>>0?g:n;if(!e)y=32;else{e=zM(m?k[a>>2]|0:a,f?k[w>>2]|0:w,e)|0;if(!e)y=32;else if((e|0)>=0)y=34}if((y|0)==32){y=0;if(n>>>0>=g>>>0)y=34}if((y|0)==34){y=0;if((d|0)==(w|0)){y=114;break a}c:do if(m)while(1){g=i[d+11>>0]|0;f=g<<24>>24<0;g=f?k[d+4>>2]|0:g&255;e=g>>>0<n>>>0?g:n;if(!e)y=39;else{e=zM(k[a>>2]|0,f?k[d>>2]|0:d,e)|0;if(!e)y=39;else if((e|0)<0)break c}if((y|0)==39){y=0;if(n>>>0<g>>>0)break c}d=d+12|0;if((d|0)==(w|0)){y=114;break a}}else while(1){g=i[d+11>>0]|0;f=g<<24>>24<0;g=f?k[d+4>>2]|0:g&255;e=g>>>0<n>>>0?g:n;if(!e)y=43;else{e=zM(a,f?k[d>>2]|0:d,e)|0;if(!e)y=43;else if((e|0)<0)break c}if((y|0)==43){y=0;if(n>>>0<g>>>0)break c}d=d+12|0;if((d|0)==(w|0)){y=114;break a}}while(0);k[x>>2]=k[d>>2];k[x+4>>2]=k[d+4>>2];k[x+8>>2]=k[d+8>>2];k[d>>2]=k[w>>2];k[d+4>>2]=k[w+4>>2];k[d+8>>2]=k[w+8>>2];k[w>>2]=k[x>>2];k[w+4>>2]=k[x+4>>2];k[w+8>>2]=k[x+8>>2];d=d+12|0}if((d|0)==(w|0)){y=114;break a}e=w;while(1){l=i[o>>0]|0;j=l<<24>>24<0;l=j?k[p>>2]|0:l&255;d:do if(j)while(1){h=i[d+11>>0]|0;g=h<<24>>24<0;h=g?k[d+4>>2]|0:h&255;f=h>>>0<l>>>0?h:l;if(!f)y=53;else{f=zM(k[a>>2]|0,g?k[d>>2]|0:d,f)|0;if(!f)y=53;else if((f|0)<0)break d}if((y|0)==53){y=0;if(l>>>0<h>>>0)break d}d=d+12|0}else while(1){h=i[d+11>>0]|0;g=h<<24>>24<0;h=g?k[d+4>>2]|0:h&255;f=h>>>0<l>>>0?h:l;if(!f)y=57;else{f=zM(a,g?k[d>>2]|0:d,f)|0;if(!f)y=57;else if((f|0)<0)break d}if((y|0)==57){y=0;if(l>>>0<h>>>0)break d}d=d+12|0}while(0);e:do if(j)while(1){h=e+-12|0;g=i[h+11>>0]|0;f=g<<24>>24<0;g=f?k[e+-8>>2]|0:g&255;e=g>>>0<l>>>0?g:l;if(e|0){e=zM(k[a>>2]|0,f?k[h>>2]|0:h,e)|0;if(e|0)if((e|0)<0){e=h;continue}else{e=h;break e}}if(l>>>0<g>>>0)e=h;else{e=h;break}}else while(1){h=e+-12|0;g=i[h+11>>0]|0;f=g<<24>>24<0;g=f?k[e+-8>>2]|0:g&255;e=g>>>0<l>>>0?g:l;if(e|0){e=zM(a,f?k[h>>2]|0:h,e)|0;if(e|0)if((e|0)<0){e=h;continue}else{e=h;break e}}if(l>>>0<g>>>0)e=h;else{e=h;break}}while(0);if(d>>>0>=e>>>0){a=d;continue b}k[x>>2]=k[d>>2];k[x+4>>2]=k[d+4>>2];k[x+8>>2]=k[d+8>>2];k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];k[d+8>>2]=k[e+8>>2];k[e>>2]=k[x>>2];k[e+4>>2]=k[x+4>>2];k[e+8>>2]=k[x+8>>2];d=d+12|0}}if((y|0)==76){y=0;k[x>>2]=k[a>>2];k[x+4>>2]=k[a+4>>2];k[x+8>>2]=k[a+8>>2];k[a>>2]=k[e>>2];k[a+4>>2]=k[e+4>>2];k[a+8>>2]=k[e+8>>2];k[e>>2]=k[x>>2];k[e+4>>2]=k[x+4>>2];k[e+8>>2]=k[x+8>>2];d=d+1|0}f=a+12|0;f:do if(f>>>0<e>>>0){n=l;while(1){m=i[n+11>>0]|0;l=m<<24>>24<0;m=l?k[n+4>>2]|0:m&255;g:do if(l)while(1){j=i[f+11>>0]|0;h=j<<24>>24<0;j=h?k[f+4>>2]|0:j&255;g=m>>>0<j>>>0?m:j;if(!g)y=82;else{g=zM(h?k[f>>2]|0:f,k[n>>2]|0,g)|0;if(!g)y=82;else if((g|0)>=0)break g}if((y|0)==82){y=0;if(j>>>0>=m>>>0)break g}f=f+12|0}else while(1){j=i[f+11>>0]|0;h=j<<24>>24<0;j=h?k[f+4>>2]|0:j&255;g=m>>>0<j>>>0?m:j;if(!g)y=86;else{g=zM(h?k[f>>2]|0:f,n,g)|0;if(!g)y=86;else if((g|0)>=0)break g}if((y|0)==86){y=0;if(j>>>0>=m>>>0)break g}f=f+12|0}while(0);h:do if(l)while(1){j=e+-12|0;h=i[j+11>>0]|0;g=h<<24>>24<0;h=g?k[e+-8>>2]|0:h&255;e=m>>>0<h>>>0?m:h;if(e|0){e=zM(g?k[j>>2]|0:j,k[n>>2]|0,e)|0;if(e|0)if((e|0)<0){e=j;break h}else{e=j;continue}}if(h>>>0<m>>>0){e=j;break}else e=j}else while(1){j=e+-12|0;h=i[j+11>>0]|0;g=h<<24>>24<0;h=g?k[e+-8>>2]|0:h&255;e=m>>>0<h>>>0?m:h;if(e|0){e=zM(g?k[j>>2]|0:j,n,e)|0;if(e|0)if((e|0)<0){e=j;break h}else{e=j;continue}}if(h>>>0<m>>>0){e=j;break}else e=j}while(0);if(f>>>0>e>>>0){e=n;m=f;break f}k[x>>2]=k[f>>2];k[x+4>>2]=k[f+4>>2];k[x+8>>2]=k[f+8>>2];k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];k[e>>2]=k[x>>2];k[e+4>>2]=k[x+4>>2];k[e+8>>2]=k[x+8>>2];n=(n|0)==(f|0)?e:n;f=f+12|0;d=d+1|0}}else{e=l;m=f}while(0);do if((m|0)!=(e|0)){j=i[e+11>>0]|0;g=j<<24>>24<0;j=g?k[e+4>>2]|0:j&255;l=i[m+11>>0]|0;h=l<<24>>24<0;l=h?k[m+4>>2]|0:l&255;f=l>>>0<j>>>0?l:j;if(!f)y=103;else{f=zM(g?k[e>>2]|0:e,h?k[m>>2]|0:m,f)|0;if(!f)y=103;else if((f|0)<0)f=m;else break}if((y|0)==103){y=0;if(j>>>0>=l>>>0)break;f=m}k[x>>2]=k[f>>2];k[x+4>>2]=k[f+4>>2];k[x+8>>2]=k[f+8>>2];k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];k[e>>2]=k[x>>2];k[e+4>>2]=k[x+4>>2];k[e+8>>2]=k[x+8>>2];d=d+1|0}while(0);if(!d){d=Yh(a,m,c)|0;e=m+12|0;if(Yh(e,b,c)|0){y=113;break}if(d){a=e;continue}}p=m;if((p-q|0)>=(s-p|0)){y=112;break}ze(a,m,c);a=m+12|0}if((y|0)==112){y=0;ze(m+12|0,b,c);b=m;continue}else if((y|0)==113){y=0;if(d){y=114;break}else{b=m;continue}}}if((y|0)==5){f=i[u>>0]|0;e=f<<24>>24<0;f=e?k[v>>2]|0:f&255;g=i[a+11>>0]|0;d=g<<24>>24<0;g=d?k[a+4>>2]|0:g&255;b=g>>>0<f>>>0?g:f;if(!b)y=7;else{b=zM(e?k[w>>2]|0:w,d?k[a>>2]|0:a,b)|0;if(!b)y=7;else if((b|0)>=0){r=z;return}}do if((y|0)==7)if(f>>>0<g>>>0)break;else{r=z;return}while(0);k[x>>2]=k[a>>2];k[x+4>>2]=k[a+4>>2];k[x+8>>2]=k[a+8>>2];k[a>>2]=k[w>>2];k[a+4>>2]=k[w+4>>2];k[a+8>>2]=k[w+8>>2];k[w>>2]=k[x>>2];k[w+4>>2]=k[x+4>>2];k[w+8>>2]=k[x+8>>2];r=z;return}else if((y|0)==11){Ej(a,a+12|0,w,c)|0;r=z;return}else if((y|0)==12){Jl(a,a+12|0,a+24|0,w,c)|0;r=z;return}else if((y|0)==13){Hj(a,a+12|0,a+24|0,a+36|0,w,c)|0;r=z;return}else if((y|0)==15){Ol(a,b,c);r=z;return}else if((y|0)==114){r=z;return}}function Ae(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;L=0;A=r;r=r+304|0;q=A+40|0;h=A+288|0;j=A;f=A+276|0;K=A+272|0;g=A+232|0;p=A+220|0;F=A+216|0;n=A+176|0;E=A+168|0;s=A+128|0;v=A+120|0;w=A+116|0;t=A+112|0;D=A+108|0;u=A+104|0;C=A+100|0;x=A+96|0;B=A+92|0;z=A+80|0;c=b+16|0;e=k[c>>2]|0;d=b+20|0;b=k[d>>2]|0;if(!b)if(!(k[e+20>>2]|0)){L=0;r=A;return L|0}else{I=0;J=1;b=e}else{Sba(b);J=(k[e+20>>2]|0)==0;kZ(b);if(J){L=0;r=A;return L|0}c=k[c>>2]|0;b=k[d>>2]|0;if(!b){I=0;J=1;b=c}else{Sba(b);I=b;J=0;b=c}}l=k[b+16>>2]|0;l=(k[(k[b+4>>2]|0)+(((l>>>0)/170|0)<<2)>>2]|0)+(((l>>>0)%170|0)*24|0)|0;G=k[a>>2]|0;b=k[G+16>>2]|0;G=k[G+20>>2]|0;H=(G|0)==0;if(!H)Sba(G);o=k[b+16>>2]|0;o=(k[(k[b+4>>2]|0)+(((o>>>0)/170|0)<<2)>>2]|0)+(((o>>>0)%170|0)*24|0)|0;m=k[a+4>>2]|0;y=0;Ra(15,f|0,-1,-1,-1);f=y;y=0;if(f&1)L=84;else{y=0;d=qa(332,104)|0;f=y;y=0;if(f&1)L=84;else{y=0;Ra(16,g|0,43828,0,-1);f=y;y=0;do if(f&1)L=50;else{k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(75,p|0,43835,4);f=y;y=0;if(f&1)L=50;else{e=j;b=g;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));y=0;oa(452,h|0,p|0);g=y;y=0;if(g&1)c=1;else{y=0;e=q;b=j;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));Na(88,d|0,q|0,h|0);j=y;y=0;if(j&1){b=pb()|0;$9(h);$9(p);L=52;break}$9(h);k[d>>2]=12240;y=0;oa(482,K|0,d|0);j=y;y=0;if(j&1)c=0;else{$9(p);y=0;g=qa(332,108)|0;p=y;y=0;a:do if(p&1)L=53;else{y=0;Ra(16,n|0,43828,0,-1);p=y;y=0;do if(p&1)L=54;else{e=q;b=n;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));y=0;na(366,g|0);p=y;y=0;if(p&1)L=54;else{e=g+12|0;b=q;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g>>2]=11396;i[g+60>>0]=0;i[g+61>>0]=0;i[g+62>>0]=0;k[g+64>>2]=0;k[g+68>>2]=0;k[g+56>>2]=7;b=g+72|0;k[b>>2]=13580;a=g+76|0;f=g+80|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;y=0;oa(516,a|0,1);p=y;y=0;if(p&1){b=pb()|0;e=N;c=k[a>>2]|0;if(c|0){d=k[f>>2]|0;if((d|0)!=(c|0)){do{F=d+-4|0;k[f>>2]=F;EO(F);d=k[f>>2]|0}while((d|0)!=(c|0));c=k[a>>2]|0}zqa(c)}break}k[g>>2]=13364;k[b>>2]=13540;p=g+96|0;k[p>>2]=0;k[g+100>>2]=0;k[g+92>>2]=p;i[g+104>>0]=0;i[g+105>>0]=0;y=0;oa(482,F|0,g|0);p=y;y=0;if(p&1){L=53;break a}b=k[F>>2]|0;c=b+76|0;y=0;oa(482,q|0,k[K>>2]|0);p=y;y=0;b:do if(p&1){b=pb()|0;L=59}else{d=b+80|0;e=k[d>>2]|0;do if(e>>>0<(k[b+84>>2]|0)>>>0){y=0;oa(464,e|0,q|0);p=y;y=0;if(p&1){L=58;break}k[d>>2]=(k[d>>2]|0)+4}else{y=0;oa(521,c|0,q|0);p=y;y=0;if(p&1)L=58}while(0);if((L|0)==58){b=pb()|0;EO(q);L=59;break}EO(q);y=0;d=qa(332,88)|0;p=y;y=0;if(p&1){b=pb()|0;break}y=0;Ra(16,s|0,43828,0,-1);p=y;y=0;do if(p&1)L=60;else{y=0;oa(482,v|0,k[F>>2]|0);p=y;y=0;if(p&1){L=60;break}y=0;oa(482,w|0,0);p=y;y=0;if(p&1){b=pb()|0;EO(v);break}y=0;oa(482,t|0,0);p=y;y=0;if(p&1){b=pb()|0;c=1}else{y=0;e=q;b=s;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));ya(11,d|0,q|0,0,v|0,w|0,t|0);s=y;y=0;do if(s&1)b=1;else{y=0;oa(482,E|0,d|0);s=y;y=0;if(s&1){b=0;break}EO(t);EO(w);EO(v);y=0;b=Ha(969,l|0,m|0)|0;w=y;y=0;do if(w&1)L=66;else{y=0;oa(482,D|0,b|0);w=y;y=0;if(w&1){L=66;break}b=k[D>>2]|0;y=0;oa(482,u|0,k[E>>2]|0);w=y;y=0;do if(w&1)L=67;else{y=0;Na(83,b|0,u|0,0);w=y;y=0;if(w&1){b=pb()|0;EO(u);break}EO(u);y=0;b=Ha(969,o|0,m|0)|0;w=y;y=0;if(w&1){L=67;break}y=0;oa(482,C|0,b|0);w=y;y=0;if(w&1){L=67;break}b=k[C>>2]|0;y=0;oa(482,x|0,k[E>>2]|0);w=y;y=0;do if(w&1)L=69;else{y=0;Na(83,b|0,x|0,0);w=y;y=0;if(w&1){b=pb()|0;EO(x);break}EO(x);b=k[D>>2]|0;c=k[(k[b>>2]|0)+148>>2]|0;y=0;oa(464,B|0,C|0);x=y;y=0;if(x&1){L=69;break}k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(75,z|0,82159,0);x=y;y=0;do if(x&1)b=pb()|0;else{y=0;b=ta(c|0,b|0,B|0,z|0)|0;x=y;y=0;if(x&1){b=pb()|0;$9(z);break}$9(z);EO(B);EO(C);EO(D);EO(E);EO(F);EO(K);if(!H)kZ(G);if(J){L=b;r=A;return L|0}kZ(I);L=b;r=A;return L|0}while(0);EO(B)}while(0);if((L|0)==69)b=pb()|0;EO(C)}while(0);if((L|0)==67)b=pb()|0;EO(D)}while(0);if((L|0)==66)b=pb()|0;EO(E);break b}while(0);E=pb()|0;EO(t);c=b;b=E}EO(w);EO(v);if(!c)break b}while(0);if((L|0)==60)b=pb()|0;zqa(d)}while(0);EO(F);break a}}while(0);if((L|0)==54)b=pb()|0;zqa(g)}while(0);if((L|0)==53)b=pb()|0;EO(K);break}}b=pb()|0;$9(p);if(c)L=52}}while(0);if((L|0)==50){b=pb()|0;L=52}if((L|0)==52)zqa(d)}}if((L|0)==84)b=pb()|0;if(!H)kZ(G);if(J)sb(b|0);kZ(I);sb(b|0);return 0}function Be(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;J=0;I=r;r=r+128|0;w=I+112|0;E=I+108|0;p=I+104|0;e=I+100|0;q=I+96|0;j=I+92|0;u=I+88|0;f=I+84|0;K=I+72|0;v=I+68|0;A=I+60|0;l=I+52|0;o=I+48|0;g=I+44|0;m=I+40|0;H=I+64|0;F=I+36|0;G=I+32|0;D=I+56|0;B=I+28|0;C=I+24|0;s=I+20|0;x=I+16|0;t=I+12|0;z=I+8|0;h=I+4|0;n=I;d=QU(k[a+4>>2]|0)|0;pK(K,b+64|0);c=(i[b+80>>0]|0)!=0;do if(!(i[b+81>>0]|0)){if(!c){y=0;oa(464,f|0,b+76|0);b=y;y=0;if(b&1)break;c=k[f>>2]|0;k[n>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;b=y;y=0;do if(b&1)J=110;else{y=0;oa(482,h|0,c|0);b=y;y=0;if(b&1)J=110;else{y=0;Na(117,d|0,K|0,h|0);b=y;y=0;if(b&1){c=pb()|0;EO(h);break}EO(h);EO(n);$9(K);r=I;return 0}}while(0);if((J|0)==110)c=pb()|0;EO(n);J=c;$9(K);sb(J|0)}y=0;c=Ha(1013,d|0,K|0)|0;A=y;y=0;if(!(A&1)){if(c){a:do if(!d)J=66;else{while(1){y=0;c=qa(438,d|0)|0;D=y;y=0;if(D&1){J=46;break}if(!c){J=66;break a}y=0;c=Ha(990,d|0,K|0)|0;D=y;y=0;if(D&1){J=46;break}if(c)break;c=k[d+12>>2]|0;if(!c){J=66;break a}else d=c}if((J|0)==46){c=pb()|0;break}y=0;c=Ha(1014,d|0,K|0)|0;D=y;y=0;if(D&1)J=47;else{y=0;oa(464,H|0,c|0);D=y;y=0;if(D&1)J=47;else{c=k[H>>2]|0;b:do if(!c){c=gb(8)|0;y=0;oa(507,c|0,43242);J=y;y=0;if(J&1){J=pb()|0;fb(c|0);c=J;break}else{y=0;Na(76,c|0,4528,353);y=0;c=pb()|0;break}}else{c=pw(c,8,40,0)|0;if(!c)J=51;else if((k[c+56>>2]|0)==8)J=51;c:do if((J|0)==51){y=0;oa(464,E|0,b+76|0);b=y;y=0;if(b&1){c=pb()|0;break b}c=k[E>>2]|0;k[G>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;b=y;y=0;do if(b&1)J=57;else{y=0;oa(482,F|0,c|0);b=y;y=0;if(b&1)J=57;else{y=0;Na(116,d|0,K|0,F|0);b=y;y=0;if(b&1){c=pb()|0;EO(F);break}else{EO(F);EO(G);break c}}}while(0);if((J|0)==57)c=pb()|0;EO(G);break b}while(0);EO(H);$9(K);r=I;return 0}while(0);EO(H);J=c;$9(K);sb(J|0)}}}while(0);do if((J|0)==66){c=gb(8)|0;y=0;oa(507,c|0,43242);J=y;y=0;if(!(J&1)){y=0;Na(76,c|0,4528,353);y=0;J=47;break}J=pb()|0;fb(c|0);$9(K);sb(J|0)}while(0);if((J|0)==47)c=pb()|0;J=c;$9(K);sb(J|0)}y=0;c=Ha(989,d|0,K|0)|0;H=y;y=0;if(!(H&1)){if(c){y=0;c=Ha(1012,d|0,K|0)|0;H=y;y=0;if(H&1)break;y=0;oa(464,D|0,c|0);H=y;y=0;if(H&1)break;c=k[D>>2]|0;d:do if(c|0){c=pw(c,8,40,0)|0;if(c|0)if((k[c+56>>2]|0)!=8)break;y=0;oa(464,w|0,b+76|0);b=y;y=0;if(b&1)c=pb()|0;else{c=k[w>>2]|0;k[C>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;b=y;y=0;do if(b&1)J=82;else{y=0;oa(482,B|0,c|0);b=y;y=0;if(b&1)J=82;else{y=0;Na(115,d|0,K|0,B|0);b=y;y=0;if(b&1){c=pb()|0;EO(B);break}else{EO(B);EO(C);break d}}}while(0);if((J|0)==82)c=pb()|0;EO(C)}EO(D);J=c;$9(K);sb(J|0)}while(0);EO(D);$9(K);r=I;return 0}y=0;c=qa(438,d|0)|0;H=y;y=0;if(!(H&1))if(c){y=0;oa(464,p|0,b+76|0);b=y;y=0;if(b&1)break;c=k[p>>2]|0;k[x>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;b=y;y=0;do if(b&1)J=94;else{y=0;oa(482,s|0,c|0);b=y;y=0;if(b&1)J=94;else{y=0;Na(116,d|0,K|0,s|0);b=y;y=0;if(b&1){c=pb()|0;EO(s);break}EO(s);EO(x);$9(K);r=I;return 0}}while(0);if((J|0)==94)c=pb()|0;EO(x);J=c;$9(K);sb(J|0)}else{y=0;oa(464,q|0,b+76|0);b=y;y=0;if(b&1)break;c=k[q>>2]|0;k[z>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;b=y;y=0;do if(b&1)J=102;else{y=0;oa(482,t|0,c|0);b=y;y=0;if(b&1)J=102;else{y=0;Na(116,d|0,K|0,t|0);b=y;y=0;if(b&1){c=pb()|0;EO(t);break}EO(t);EO(z);$9(K);r=I;return 0}}while(0);if((J|0)==102)c=pb()|0;EO(z);J=c;$9(K);sb(J|0)}}}}else{if(!c){y=0;oa(464,e|0,b+76|0);b=y;y=0;if(b&1)break;c=k[e>>2]|0;k[m>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;b=y;y=0;do if(b&1)J=32;else{y=0;oa(482,g|0,c|0);b=y;y=0;if(b&1)J=32;else{y=0;Na(115,d|0,K|0,g|0);b=y;y=0;if(b&1){c=pb()|0;EO(g);break}EO(g);EO(m);$9(K);r=I;return 0}}while(0);if((J|0)==32)c=pb()|0;EO(m);J=c;$9(K);sb(J|0)}y=0;c=Ha(989,d|0,K|0)|0;H=y;y=0;if(!(H&1)){if(!c){y=0;oa(464,j|0,b+76|0);b=y;y=0;if(b&1)break;c=k[j>>2]|0;k[o>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;b=y;y=0;do if(b&1)J=24;else{y=0;oa(482,l|0,c|0);b=y;y=0;if(b&1)J=24;else{y=0;Na(115,d|0,K|0,l|0);b=y;y=0;if(b&1){c=pb()|0;EO(l);break}EO(l);EO(o);$9(K);r=I;return 0}}while(0);if((J|0)==24)c=pb()|0;EO(o);J=c;$9(K);sb(J|0)}y=0;c=Ha(1012,d|0,K|0)|0;H=y;y=0;if(!(H&1)){c=k[c>>2]|0;if(c|0){c=pw(c,8,40,0)|0;if(c|0)if((k[c+56>>2]|0)!=8){$9(K);r=I;return 0}}y=0;oa(464,u|0,b+76|0);b=y;y=0;if(b&1){J=pb()|0;$9(K);sb(J|0)}c=k[u>>2]|0;k[A>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;b=y;y=0;do if(b&1)J=16;else{y=0;oa(482,v|0,c|0);b=y;y=0;if(b&1)J=16;else{y=0;Na(115,d|0,K|0,v|0);b=y;y=0;if(b&1){c=pb()|0;EO(v);break}EO(v);EO(A);$9(K);r=I;return 0}}while(0);if((J|0)==16)c=pb()|0;EO(A);J=c;$9(K);sb(J|0)}}}while(0);J=pb()|0;$9(K);sb(J|0);return 0}function Ce(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,m=0.0,n=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0;P=0;R=r;r=r+304|0;J=R+16|0;K=R+8|0;L=R+33|0;M=R;O=R+32|0;if((k[a+76>>2]|0)>-1)Q=Iqa(a)|0;else Q=0;f=i[b>>0]|0;a:do if(!(f<<24>>24))b=0;else{z=a+4|0;A=a+100|0;B=a+108|0;C=a+8|0;D=L+10|0;E=L+33|0;y=K+4|0;F=L+46|0;G=L+94|0;H=L+1|0;I=L+1|0;n=b;v=0;b=0;e=0;d=0;b:while(1){c:do if(!(dma(f&255)|0)){f=f<<24>>24==37;d:do if(f){g=n+1|0;h=i[g>>0]|0;e:do switch(h<<24>>24){case 37:break d;case 42:{x=0;g=n+2|0;break}default:{f=(h&255)+-48|0;if(f>>>0<10)if((i[n+2>>0]|0)==36){k[J>>2]=k[c>>2];while(1){x=(k[J>>2]|0)+(4-1)&~(4-1);g=k[x>>2]|0;k[J>>2]=x+4;if(f>>>0>1)f=f+-1|0;else break}x=g;g=n+3|0;break e}w=(k[c>>2]|0)+(4-1)&~(4-1);x=k[w>>2]|0;k[c>>2]=w+4}}while(0);n=i[g>>0]|0;f=n&255;if((f+-48|0)>>>0<10){h=0;do{h=(h*10|0)+-48+f|0;g=g+1|0;n=i[g>>0]|0;f=n&255}while((f+-48|0)>>>0<10)}else h=0;if(n<<24>>24==109){n=g+1|0;f=(x|0)!=0&1;e=0;d=0;g=n;n=i[n>>0]|0}else f=0;q=g+1|0;switch(n<<24>>24){case 104:{w=(i[q>>0]|0)==104;n=w?-2:-1;g=w?g+2|0:q;break}case 108:{w=(i[q>>0]|0)==108;n=w?3:1;g=w?g+2|0:q;break}case 106:{n=3;g=q;break}case 116:case 122:{n=1;g=q;break}case 76:{n=2;g=q;break}case 110:case 112:case 67:case 83:case 91:case 99:case 115:case 88:case 71:case 70:case 69:case 65:case 103:case 102:case 101:case 97:case 120:case 117:case 111:case 105:case 100:{n=0;break}default:{P=154;break b}}t=l[g>>0]|0;u=(t&47|0)==3;t=u?t|32:t;u=u?1:n;s=t&255;switch(s<<24>>24){case 99:{h=(h|0)<1?1:h;break}case 91:break;case 110:{if(!x){h=v;break c}switch(u|0){case -2:{i[x>>0]=v;h=v;break c}case -1:{j[x>>1]=v;h=v;break c}case 0:{k[x>>2]=v;h=v;break c}case 1:{k[x>>2]=v;h=v;break c}case 3:{h=x;k[h>>2]=v;k[h+4>>2]=((v|0)<0)<<31>>31;h=v;break c}default:{h=v;break c}}}default:{vO(a,0);do{n=k[z>>2]|0;if(n>>>0<(k[A>>2]|0)>>>0){k[z>>2]=n+1;n=l[n>>0]|0}else n=HA(a)|0}while((dma(n)|0)!=0);if(!(k[A>>2]|0))n=k[z>>2]|0;else{n=(k[z>>2]|0)+-1|0;k[z>>2]=n}v=(k[B>>2]|0)+v+n-(k[C>>2]|0)|0}}vO(a,h);n=k[z>>2]|0;q=k[A>>2]|0;if(n>>>0<q>>>0)k[z>>2]=n+1;else{if((HA(a)|0)<0){P=154;break b}q=k[A>>2]|0}if(q|0)k[z>>2]=(k[z>>2]|0)+-1;f:do switch(s<<24>>24){case 91:case 99:case 115:{w=(t|0)==99;g:do if((t|16|0)==115){jJ(H|0,-1,256)|0;i[L>>0]=0;if((t|0)==115){i[E>>0]=0;i[D>>0]=0;i[D+1>>0]=0;i[D+2>>0]=0;i[D+3>>0]=0;i[D+4>>0]=0}}else{s=g+1|0;t=(i[s>>0]|0)==94;n=t&1;g=t?g+2|0:s;jJ(I|0,t&1|0,256)|0;i[L>>0]=0;switch(i[g>>0]|0){case 45:{t=(n^1)&255;i[F>>0]=t;g=g+1|0;break}case 93:{t=(n^1)&255;i[G>>0]=t;g=g+1|0;break}default:t=(n^1)&255}while(1){n=i[g>>0]|0;h:do switch(n<<24>>24){case 0:{P=154;break b}case 93:break g;case 45:{s=g+1|0;n=i[s>>0]|0;switch(n<<24>>24){case 93:case 0:{n=45;break h}default:{}}g=i[g+-1>>0]|0;if((g&255)<(n&255)){g=g&255;do{g=g+1|0;i[L+g>>0]=t;n=i[s>>0]|0}while((g|0)<(n&255|0));g=s}else g=s;break}default:{}}while(0);i[L+((n&255)+1)>>0]=t;g=g+1|0}}while(0);n=w?h+1|0:31;t=(u|0)==1;u=(f|0)!=0;i:do if(t){if(u){e=pd(n<<2)|0;if(!e){d=0;P=154;break b}}else e=x;k[K>>2]=0;k[y>>2]=0;s=n;d=0;j:while(1){q=(e|0)==0;do{k:while(1){n=k[z>>2]|0;if(n>>>0<(k[A>>2]|0)>>>0){k[z>>2]=n+1;n=l[n>>0]|0}else n=HA(a)|0;if(!(i[L+(n+1)>>0]|0))break j;i[O>>0]=n;switch(vw(M,O,1,K)|0){case -1:{d=0;P=154;break b}case -2:break;default:break k}}if(!q){k[e+(d<<2)>>2]=k[M>>2];d=d+1|0}}while(!(u&(d|0)==(s|0)));d=s<<1|1;n=BH(e,d<<2)|0;if(!n){d=0;P=154;break b}else{q=s;s=d;e=n;d=q}}if(!(uja(K)|0)){d=0;P=154;break b}else{q=d;d=0}}else{if(u){d=pd(n)|0;if(!d){d=0;e=0;P=154;break b}else{q=n;e=0}while(1){do{n=k[z>>2]|0;if(n>>>0<(k[A>>2]|0)>>>0){k[z>>2]=n+1;n=l[n>>0]|0}else n=HA(a)|0;if(!(i[L+(n+1)>>0]|0)){q=e;e=0;break i}i[d+e>>0]=n;e=e+1|0}while((e|0)!=(q|0));e=q<<1|1;n=BH(d,e)|0;if(!n){e=0;P=154;break b}else{s=q;q=e;d=n;e=s}}}if(!x){e=q;while(1){d=k[z>>2]|0;if(d>>>0<e>>>0){k[z>>2]=d+1;d=l[d>>0]|0}else d=HA(a)|0;if(!(i[L+(d+1)>>0]|0)){q=0;d=0;e=0;break i}e=k[A>>2]|0}}else{n=0;e=q;while(1){d=k[z>>2]|0;if(d>>>0<e>>>0){k[z>>2]=d+1;d=l[d>>0]|0}else d=HA(a)|0;if(!(i[L+(d+1)>>0]|0)){q=n;d=x;e=0;break i}i[x+n>>0]=d;n=n+1|0;e=k[A>>2]|0}}}while(0);if(!(k[A>>2]|0))n=k[z>>2]|0;else{n=(k[z>>2]|0)+-1|0;k[z>>2]=n}n=n-(k[C>>2]|0)+(k[B>>2]|0)|0;if(!n)break b;if(!((n|0)==(h|0)|w^1))break b;do if(u)if(t){k[x>>2]=e;break}else{k[x>>2]=d;break}while(0);if(!w){if(e|0)k[e+(q<<2)>>2]=0;if(!d){d=0;break f}i[d+q>>0]=0}break}case 120:case 88:case 112:{h=16;P=136;break}case 111:{h=8;P=136;break}case 117:case 100:{h=10;P=136;break}case 105:{h=0;P=136;break}case 71:case 103:case 70:case 102:case 69:case 101:case 65:case 97:{m=+Gd(a,u,0);if((k[B>>2]|0)==((k[C>>2]|0)-(k[z>>2]|0)|0))break b;if(x)switch(u|0){case 0:{o[x>>2]=m;break f}case 1:{p[x>>3]=m;break f}case 2:{p[x>>3]=m;break f}default:break f}break}default:{}}while(0);l:do if((P|0)==136){P=0;h=Eg(a,h,0,-1,-1)|0;if((k[B>>2]|0)==((k[C>>2]|0)-(k[z>>2]|0)|0))break b;if((x|0)!=0&(t|0)==112){k[x>>2]=h;break}if(x)switch(u|0){case -2:{i[x>>0]=h;break l}case -1:{j[x>>1]=h;break l}case 0:{k[x>>2]=h;break l}case 1:{k[x>>2]=h;break l}case 3:{w=x;k[w>>2]=h;k[w+4>>2]=N;break l}default:break l}}while(0);b=((x|0)!=0&1)+b|0;h=(k[B>>2]|0)+v+(k[z>>2]|0)-(k[C>>2]|0)|0;break c}while(0);g=n+(f&1)|0;vO(a,0);f=k[z>>2]|0;if(f>>>0<(k[A>>2]|0)>>>0){k[z>>2]=f+1;f=l[f>>0]|0}else f=HA(a)|0;if((f|0)!=(l[g>>0]|0)){P=22;break b}h=v+1|0}else{g=n;while(1){f=g+1|0;if(!(dma(l[f>>0]|0)|0))break;else g=f}vO(a,0);do{f=k[z>>2]|0;if(f>>>0<(k[A>>2]|0)>>>0){k[z>>2]=f+1;f=l[f>>0]|0}else f=HA(a)|0}while((dma(f)|0)!=0);if(!(k[A>>2]|0))f=k[z>>2]|0;else{f=(k[z>>2]|0)+-1|0;k[z>>2]=f}h=(k[B>>2]|0)+v+f-(k[C>>2]|0)|0}while(0);n=g+1|0;f=i[n>>0]|0;if(!(f<<24>>24))break a;else v=h}if((P|0)==22){if(k[A>>2]|0)k[z>>2]=(k[z>>2]|0)+-1;if((b|0)!=0|(f|0)>-1)break;else{f=0;b=e;P=155}}else if((P|0)==154)if(!b){b=e;P=155}if((P|0)==155){e=b;b=-1}if(f){Pf(d);Pf(e)}}while(0);if(Q|0)Hqa(a);r=R;return b|0}function De(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0.0,j=0,l=0,m=0,n=0,o=0.0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;A=0;B=r;r=r+96|0;H=B+84|0;F=B+72|0;D=B+60|0;C=B+48|0;u=B+36|0;t=B+24|0;x=B+12|0;v=B;k[H>>2]=0;G=H+4|0;k[G>>2]=0;k[H+8>>2]=0;k[F>>2]=0;E=F+4|0;k[E>>2]=0;k[F+8>>2]=0;y=0;oa(459,D|0,b+76|0);z=y;y=0;if(z&1)e=pb()|0;else{y=0;oa(459,C|0,b+88|0);z=y;y=0;if(z&1){e=pb()|0;g=N}else{j=k[a+76>>2]|0;s=k[a+80>>2]|0;f=(j|0)==(s|0);if(f)z=(k[a+88>>2]|0)==(k[a+92>>2]|0);else z=0;if((k[b+76>>2]|0)==(k[b+80>>2]|0))w=(k[b+88>>2]|0)==(k[b+92>>2]|0);else w=0;a:do if(f){h=1.0;A=39}else{p=D+4|0;q=H+8|0;h=1.0;b:while(1){y=0;oa(452,u|0,j|0);j=j+12|0;n=y;y=0;if(n&1){A=17;break}f=k[D>>2]|0;m=k[p>>2]|0;l=f;c:do if((l|0)==(m|0))A=33;else{while(1){y=0;oa(452,t|0,l|0);n=y;y=0;if(n&1){A=18;break b}y=0;o=+Ja(1,u|0,t|0,0);n=y;y=0;if(n&1){A=32;break b}if(!(o==0.0))break;l=l+12|0;$9(t);if((l|0)==(m|0)){A=33;break c}else f=l}l=k[D>>2]|0;l=l+(((f-l|0)/12|0)*12|0)|0;f=l+12|0;n=k[p>>2]|0;if((f|0)==(n|0))A=29;else{do{m=l+11|0;if((i[m>>0]|0)<0){i[k[l>>2]>>0]=0;k[l+4>>2]=0}else{i[l>>0]=0;i[m>>0]=0}y=0;oa(506,l|0,0);m=y;y=0;if(m&1){A=26;break b}k[l>>2]=k[f>>2];k[l+4>>2]=k[f+4>>2];k[l+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;f=f+12|0;l=l+12|0}while((f|0)!=(n|0));f=k[p>>2]|0;if((f|0)!=(l|0))A=29}if((A|0)==29){A=0;do{n=f+-12|0;k[p>>2]=n;$9(n);f=k[p>>2]|0}while((f|0)!=(l|0))}$9(t);h=h*o}while(0);do if((A|0)==33){A=0;f=k[G>>2]|0;if((f|0)==(k[q>>2]|0)){y=0;oa(460,H|0,u|0);n=y;y=0;if(n&1){A=19;break b}else break}y=0;oa(452,f|0,u|0);n=y;y=0;if(n&1){A=19;break b}k[G>>2]=(k[G>>2]|0)+12}while(0);$9(u);if((j|0)==(s|0)){A=39;break a}}if((A|0)==17){e=pb()|0;g=N;break}else if((A|0)==18){e=pb()|0;c=N;A=20}else if((A|0)==19){e=pb()|0;c=N;A=20}else if((A|0)==26){B=tb(0)|0;dla(B)}else if((A|0)==32){e=pb()|0;g=N;$9(t)}if((A|0)==20)g=c;$9(u)}while(0);d:do if((A|0)==39){e=k[a+88>>2]|0;m=k[a+92>>2]|0;e:do if((e|0)==(m|0))A=71;else{n=C+4|0;p=F+8|0;f:while(1){y=0;oa(452,x|0,e|0);e=e+12|0;u=y;y=0;if(u&1){A=47;break}f=k[C>>2]|0;j=k[n>>2]|0;g=f;g:do if((g|0)==(j|0))A=65;else{while(1){y=0;oa(452,v|0,g|0);u=y;y=0;if(u&1){A=50;break f}y=0;o=+Ja(1,x|0,v|0,0);u=y;y=0;if(u&1){A=64;break f}if(!(o==0.0))break;g=g+12|0;$9(v);if((g|0)==(j|0)){A=65;break g}else f=g}g=k[C>>2]|0;g=g+(((f-g|0)/12|0)*12|0)|0;f=g+12|0;l=k[n>>2]|0;if((f|0)==(l|0))A=61;else{do{j=g+11|0;if((i[j>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[j>>0]=0}y=0;oa(506,g|0,0);u=y;y=0;if(u&1){A=58;break f}k[g>>2]=k[f>>2];k[g+4>>2]=k[f+4>>2];k[g+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;f=f+12|0;g=g+12|0}while((f|0)!=(l|0));f=k[n>>2]|0;if((f|0)!=(g|0))A=61}if((A|0)==61){A=0;do{u=f+-12|0;k[n>>2]=u;$9(u);f=k[n>>2]|0}while((f|0)!=(g|0))}$9(v);h=h*o}while(0);do if((A|0)==65){A=0;f=k[E>>2]|0;if((f|0)==(k[p>>2]|0)){y=0;oa(460,F|0,x|0);u=y;y=0;if(u&1){A=51;break f}else break}y=0;oa(452,f|0,x|0);u=y;y=0;if(u&1){A=51;break f}k[E>>2]=(k[E>>2]|0)+12}while(0);$9(x);if((e|0)==(m|0)){A=71;break e}}if((A|0)==47){e=pb()|0;c=N;break}else if((A|0)==50){c=pb()|0;d=N;A=52}else if((A|0)==51){c=pb()|0;d=N;A=52}else if((A|0)==58){B=tb(0)|0;dla(B)}else if((A|0)==64){c=pb()|0;d=N;$9(v)}$9(x);e=c;g=d;break d}while(0);if((A|0)==71){do if(w|(k[G>>2]|0)==(k[H>>2]|0)){if(!(w|(k[E>>2]|0)==(k[F>>2]|0))){c=gb(28)|0;y=0;Na(85,c|0,b|0,a|0);B=y;y=0;if(B&1){e=pb()|0;g=N;fb(c|0);break d}else{y=0;Na(76,c|0,1488,160);y=0;break}}j=D+4|0;A=k[D>>2]|0;c=A;if(!(z|(k[j>>2]|0)==(A|0))){c=gb(28)|0;y=0;Na(85,c|0,b|0,a|0);B=y;y=0;if(B&1){e=pb()|0;g=N;fb(c|0);break d}else{y=0;Na(76,c|0,1488,160);y=0;break}}f=C+4|0;A=k[f>>2]|0;d=k[C>>2]|0;g=d;e=A;if(!(z|(A|0)==(d|0))){c=gb(28)|0;y=0;Na(85,c|0,b|0,a|0);B=y;y=0;if(B&1){e=pb()|0;g=N;fb(c|0);break d}else{y=0;Na(76,c|0,1488,160);y=0;break}}if(d){if((e|0)==(g|0))c=d;else{c=e;do{b=c+-12|0;k[f>>2]=b;$9(b);c=k[f>>2]|0}while((c|0)!=(g|0));c=k[C>>2]|0}zqa(c);c=k[D>>2]|0}if(c|0){d=k[j>>2]|0;if((d|0)!=(c|0)){do{C=d+-12|0;k[j>>2]=C;$9(C);d=k[j>>2]|0}while((d|0)!=(c|0));c=k[D>>2]|0}zqa(c)}c=k[F>>2]|0;if(c|0){d=k[E>>2]|0;if((d|0)!=(c|0)){do{D=d+-12|0;k[E>>2]=D;$9(D);d=k[E>>2]|0}while((d|0)!=(c|0));c=k[F>>2]|0}zqa(c)}c=k[H>>2]|0;if(!c){r=B;return +h}d=k[G>>2]|0;if((d|0)!=(c|0)){do{F=d+-12|0;k[G>>2]=F;$9(F);d=k[G>>2]|0}while((d|0)!=(c|0));c=k[H>>2]|0}zqa(c);r=B;return +h}else{c=gb(28)|0;y=0;Na(85,c|0,b|0,a|0);B=y;y=0;if(B&1){e=pb()|0;g=N;fb(c|0);break d}else{y=0;Na(76,c|0,1488,160);y=0;break}}while(0);e=pb()|0;c=N}g=c}while(0);c=k[C>>2]|0;if(c|0){f=C+4|0;d=k[f>>2]|0;if((d|0)!=(c|0)){do{B=d+-12|0;k[f>>2]=B;$9(B);d=k[f>>2]|0}while((d|0)!=(c|0));c=k[C>>2]|0}zqa(c)}}c=k[D>>2]|0;if(c|0){f=D+4|0;d=k[f>>2]|0;if((d|0)!=(c|0)){do{C=d+-12|0;k[f>>2]=C;$9(C);d=k[f>>2]|0}while((d|0)!=(c|0));c=k[D>>2]|0}zqa(c)}c=k[F>>2]|0;if(c){d=k[E>>2]|0;if((d|0)!=(c|0)){do{D=d+-12|0;k[E>>2]=D;$9(D);d=k[E>>2]|0}while((d|0)!=(c|0));c=k[F>>2]|0}zqa(c)}}c=k[H>>2]|0;if(!c)sb(e|0);d=k[G>>2]|0;if((d|0)!=(c|0)){do{F=d+-12|0;k[G>>2]=F;$9(F);d=k[G>>2]|0}while((d|0)!=(c|0));c=k[H>>2]|0}zqa(c);sb(e|0);return 0.0}function Ee(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;w=0;v=r;r=r+240|0;u=v+216|0;s=v+204|0;d=v+192|0;x=v+188|0;z=v+184|0;j=v+40|0;e=v+24|0;t=v+12|0;n=v+20|0;o=v;p=v+16|0;rT(x,b+68|0);y=0;oa(464,d|0,b+64|0);q=y;y=0;if(q&1){z=pb()|0;EO(x);sb(z|0)}k[z>>2]=k[d>>2];q=a+4|0;y=0;c=qa(458,q|0)|0;m=y;y=0;a:do if(m&1)w=8;else{y=0;c=Ha(997,b|0,c|0)|0;m=y;y=0;if(m&1)w=8;else{if(!c){d=k[z>>2]|0;e=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>2;if(!e){EO(z);EO(x);r=v;return}c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;w=y;y=0;if(w&1){w=12;break}d=k[d>>2]|0;if(d|0)if(pw(d,680,712,0)|0)if(!(pw(d,680,808,0)|0)){y=0;oa(k[(k[d>>2]|0)+40>>2]|0,d|0,a|0);w=y;y=0;if(w&1){w=13;break}}c=c+1|0;if(c>>>0>=e>>>0){w=102;break}d=k[z>>2]|0}if((w|0)==12)c=pb()|0;else if((w|0)==13)c=pb()|0;else if((w|0)==102){EO(z);EO(x);r=v;return}break}y=0;c=qa(458,q|0)|0;m=y;y=0;if(m&1)w=8;else{if(!c){m=a+76|0;k[m>>2]=(k[m>>2]|0)+(k[b+56>>2]|0)}b:do if(i[(k[a+72>>2]|0)+16>>0]|0){h=j+64|0;c=j+8|0;k[c>>2]=14400;g=j+12|0;k[j>>2]=14440;k[h>>2]=14460;k[j+4>>2]=0;y=0;oa(528,j+64|0,g|0);m=y;y=0;if(m&1)c=pb()|0;else{k[j+136>>2]=0;k[j+140>>2]=-1;k[j>>2]=14380;k[h>>2]=14420;k[c>>2]=14400;y=0;na(373,g|0);m=y;y=0;do if(m&1)c=pb()|0;else{k[g>>2]=14240;f=j+44|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[j+60>>2]=24;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;oa(529,g|0,u|0);m=y;y=0;if(m&1){c=pb()|0;$9(u);$9(f);nba(g);break}$9(u);y=0;na(392,q|0);m=y;y=0;c:do if(m&1)c=pb()|0;else{l=k[b+24>>2]|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;m=JI(l)|0;y=0;Na(75,u|0,l|0,m|0);m=y;y=0;if(m&1)c=pb()|0;else{k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,50724,1);m=y;y=0;if(m&1)c=pb()|0;else{y=0;na(375,d|0);m=y;y=0;do if(m&1)c=pb()|0;else{y=0;Ra(20,e|0,u|0,s|0,d|0);m=y;y=0;if(m&1){c=pb()|0;$9(d);break}$9(d);$9(s);$9(u);d=j+8|0;y=0;c=ta(54,d|0,44073,8)|0;m=y;y=0;d:do if(m&1)w=54;else{y=0;c=Ha(972,c|0,(k[b+12>>2]|0)+1|0)|0;m=y;y=0;if(m&1){w=54;break}y=0;c=ta(54,c|0,44139,2)|0;m=y;y=0;if(m&1){w=54;break}m=i[e+11>>0]|0;l=m<<24>>24<0;y=0;c=ta(54,c|0,(l?k[e>>2]|0:e)|0,(l?k[e+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){w=54;break}y=0;ta(54,c|0,45689,3)|0;m=y;y=0;if(m&1){w=54;break}y=0;oa(530,u|0,g|0);m=y;y=0;do if(m&1)c=pb()|0;else{y=0;oa(605,q|0,u|0);m=y;y=0;if(m&1){c=pb()|0;$9(u);break}$9(u);y=0;na(393,q|0);m=y;y=0;if(m&1){w=54;break d}$9(e);k[j>>2]=14380;k[h>>2]=14420;k[d>>2]=14400;k[g>>2]=14240;$9(f);nba(g);zka(j,14472);dja(h);break b}while(0)}while(0);if((w|0)==54)c=pb()|0;$9(e);break c}while(0);$9(s)}$9(u)}}while(0);k[j>>2]=14380;k[h>>2]=14420;k[j+8>>2]=14400;k[g>>2]=14240;$9(f);nba(g);zka(j,14472);dja(h);break a}while(0);zka(j,14472)}dja(h);w=9;break a}while(0);c=k[x>>2]|0;if(c|0){y=0;oa(k[(k[c>>2]|0)+40>>2]|0,c|0,a|0);m=y;y=0;if(m&1){w=8;break}}y=0;oa(606,q|0,k[z>>2]|0);m=y;y=0;if(m&1)w=8;else{d=k[z>>2]|0;j=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>2;e:do if(j|0){l=o+11|0;m=o+4|0;c=0;f:while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;h=y;y=0;if(h&1){w=69;break}y=0;oa(464,t|0,d|0);h=y;y=0;if(h&1){w=69;break}d=k[t>>2]|0;g:do if(!d)w=95;else{d=pw(d,680,808,0)|0;if(!d)w=95;else{e=d+72|0;y=0;oa(464,u|0,e|0);h=y;y=0;if(h&1){w=75;break f}d=k[u>>2]|0;k[n>>2]=d;do if(!d)EO(n);else{d=pw(d,40,520,0)|0;EO(n);if(!d)break;y=0;oa(452,o|0,d+64|0);h=y;y=0;if(h&1){w=78;break f}d=pw(d,520,536,0)|0;do if(d|0){if(i[d+60>>0]|0)break;h=i[l>>0]|0;h=((h<<24>>24<0?k[m>>2]|0:h&255)|0)==0;$9(o);if(h)break g;else{w=95;break g}}while(0);$9(o);w=95;break g}while(0);y=0;oa(464,s|0,e|0);h=y;y=0;if(h&1){w=78;break f}d=k[s>>2]|0;k[p>>2]=d;if(!d){EO(p);w=95;break}d=pw(d,40,216,0)|0;EO(p);if(!d){w=95;break}h=d+60|0;g=(k[d+68>>2]|0)-(k[d+64>>2]|0)>>2;if(!g)break;e=0;f=1;do{y=0;d=Ha(k[(k[h>>2]|0)+16>>2]|0,h|0,e|0)|0;A=y;y=0;if(A&1){w=92;break f}d=k[d>>2]|0;y=0;d=qa(k[(k[d>>2]|0)+80>>2]|0,d|0)|0;A=y;y=0;if(A&1){w=93;break f}f=f&d;e=e+1|0}while(e>>>0<g>>>0);if(!f)w=95}}while(0);if((w|0)==95){w=0;A=k[t>>2]|0;y=0;oa(k[(k[A>>2]|0)+40>>2]|0,A|0,a|0);A=y;y=0;if(A&1){w=70;break}}EO(t);c=c+1|0;if(c>>>0>=j>>>0)break e;d=k[z>>2]|0}if((w|0)==69){c=pb()|0;break a}else if((w|0)==70)c=pb()|0;else if((w|0)==75)c=pb()|0;else if((w|0)==78)c=pb()|0;else if((w|0)==92)c=pb()|0;else if((w|0)==93)c=pb()|0;EO(t);break a}while(0);y=0;c=qa(458,q|0)|0;A=y;y=0;if(A&1)w=8;else{if(!c){A=a+76|0;k[A>>2]=(k[A>>2]|0)-(k[b+56>>2]|0)}y=0;oa(607,q|0,k[z>>2]|0);A=y;y=0;if(A&1)w=8;else{EO(z);EO(x);r=v;return}}}}}}while(0);if((w|0)==8){c=pb()|0;w=9}EO(z);A=c;EO(x);sb(A|0)}function Fe(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;k[dc+32>>2]=d;if((cc|0)==1)cc=3}Qc(fc+34972|0)}function Ge(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;D=r;r=r+368|0;x=D+328|0;t=D+80|0;u=D+320|0;q=D+316|0;l=D+312|0;m=D+308|0;e=D+40|0;d=D+304|0;C=D;L=D+296|0;o=D+300|0;h=D+256|0;n=D+244|0;j=D+240|0;s=D+236|0;p=D+232|0;H=D+228|0;w=D+224|0;K=D+248|0;z=D+184|0;I=D+180|0;J=D+176|0;E=D+172|0;A=D+168|0;B=D+128|0;G=D+124|0;F=D+120|0;c=k[a+24>>2]|0;if((c|0)==(k[a+20>>2]|0))a=k[a+8>>2]|0;else a=c+-4|0;v=k[a>>2]|0;_V(L,oc[k[(k[v>>2]|0)+12>>2]&511](v)|0);y=0;v=qa(332,88)|0;g=y;y=0;if(g&1){K=pb()|0;EO(L);sb(K|0)}y=0;oa(464,d|0,(k[L>>2]|0)+64|0);g=y;y=0;if(g&1)a=pb()|0;else{g=k[d>>2]|0;k[o>>2]=g;DN(e|0,g+12|0,40)|0;y=0;na(366,v|0);g=y;y=0;do if(g&1)a=pb()|0;else{g=v+12|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));k[v>>2]=5252;k[v+52>>2]=0;k[v+56>>2]=0;i[v+60>>0]=0;a=v+64|0;k[a>>2]=5212;f=v+68|0;g=v+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(561,f|0,0);e=y;y=0;if(e&1){a=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{K=d+-4|0;k[g>>2]=K;EO(K);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[v>>2]=5076;k[a>>2]=5172;i[v+84>>0]=0;i[v+85>>0]=0;EO(o);y=0;o=qa(332,76)|0;g=y;y=0;if(g&1){K=pb()|0;EO(L);sb(K|0)}a=k[L>>2]|0;g=h;e=a+12|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;oa(464,m|0,a+68|0);g=y;y=0;if(g&1)a=pb()|0;else{k[n>>2]=k[m>>2];y=0;oa(482,j|0,v|0);v=y;y=0;do if(v&1)a=pb()|0;else{y=0;g=x;e=h;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));Ra(28,o|0,x|0,n|0,j|0);v=y;y=0;if(v&1){a=pb()|0;EO(j);break}EO(j);EO(n);k[o+56>>2]=k[(k[L>>2]|0)+56>>2];y=0;oa(464,l|0,o+64|0);v=y;y=0;a:do if(!(v&1)){a=k[l>>2]|0;k[s>>2]=a;a=a+64|0;c=k[(k[a>>2]|0)+24>>2]|0;d=b+64|0;y=0;oa(464,q|0,d|0);v=y;y=0;do if(v&1)a=pb()|0;else{v=k[q>>2]|0;k[p>>2]=v;y=0;oa(c|0,a|0,((v|0)==0?0:v+64|0)|0);v=y;y=0;if(v&1){a=pb()|0;EO(p);break}EO(p);EO(s);y=0;h=qa(332,88)|0;v=y;y=0;if(v&1)break a;y=0;oa(464,u|0,d|0);v=y;y=0;if(v&1)a=pb()|0;else{v=k[u>>2]|0;k[H>>2]=v;DN(t|0,v+12|0,40)|0;y=0;na(366,h|0);v=y;y=0;do if(v&1)a=pb()|0;else{g=h+12|0;e=t;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));k[h>>2]=5252;k[h+52>>2]=0;k[h+56>>2]=0;i[h+60>>0]=0;c=h+64|0;k[c>>2]=5212;f=h+68|0;g=h+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(561,f|0,0);v=y;y=0;if(v&1){a=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{K=d+-4|0;k[g>>2]=K;EO(K);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[h>>2]=5076;k[c>>2]=5172;i[h+84>>0]=0;i[h+85>>0]=0;EO(H);a=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(482,w|0,o|0);H=y;y=0;do if(!(H&1)){y=0;oa(a|0,c|0,w|0);H=y;y=0;if(H&1){K=pb()|0;EO(w);EO(L);sb(K|0)}EO(w);y=0;d=qa(332,72)|0;H=y;y=0;if(H&1)break;g=z;e=b+12|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;oa(464,x|0,b+68|0);H=y;y=0;do if(H&1)a=pb()|0;else{H=k[x>>2]|0;k[J>>2]=H;y=0;oa(482,I|0,H|0);H=y;y=0;if(H&1){a=pb()|0;EO(J);break}y=0;oa(482,E|0,h|0);H=y;y=0;if(H&1){a=pb()|0;c=1}else{y=0;oa(482,A|0,0);H=y;y=0;if(H&1){a=pb()|0;c=1}else{y=0;g=x;e=z;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));ma(16,d|0,x|0,I|0,E|0,A|0);H=y;y=0;do if(H&1)a=1;else{y=0;oa(482,K|0,d|0);H=y;y=0;if(H&1){a=0;break}EO(A);EO(E);EO(I);EO(J);a=k[K>>2]|0;k[a+56>>2]=k[b+56>>2];y=0;c=qa(332,72)|0;J=y;y=0;if(J&1)a=pb()|0;else{g=B;e=a+12|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;oa(482,G|0,a|0);J=y;y=0;if(J&1)a=pb()|0;else{y=0;oa(482,F|0,0);J=y;y=0;if(J&1)a=pb()|0;else{g=C;e=B;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;na(366,c|0);J=y;y=0;do if(J&1)a=pb()|0;else{g=c+12|0;e=C;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));k[c+52>>2]=6;k[c+56>>2]=0;i[c+60>>0]=0;k[c>>2]=5528;y=0;oa(464,c+64|0,G|0);J=y;y=0;if(J&1){a=pb()|0;break}else{i[c+68>>0]=(k[F>>2]|0)==0&1;EO(F);EO(G);EO(K);EO(L);r=D;return c|0}}while(0);EO(F)}EO(G)}zqa(c)}EO(K);K=a;EO(L);sb(K|0)}while(0);K=pb()|0;EO(A);c=a;a=K}EO(E)}EO(I);EO(J);if(c)break;EO(L);sb(a|0)}while(0);zqa(d);K=a;EO(L);sb(K|0)}while(0);K=pb()|0;EO(L);sb(K|0)}while(0);EO(H)}zqa(h);K=a;EO(L);sb(K|0)}while(0);EO(s);K=a;EO(L);sb(K|0)}while(0);K=pb()|0;EO(L);sb(K|0)}while(0);EO(n)}zqa(o);K=a;EO(L);sb(K|0)}while(0);EO(o)}zqa(v);K=a;EO(L);sb(K|0);return 0}function He(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;w=r;r=r+64|0;x=w+48|0;t=w+36|0;v=w+24|0;s=w+12|0;q=w;p=c+16|0;o=(i[(k[p>>2]|0)+18>>0]|0)==0;Er(x,c+288|0);y=0;u=La(1)|0;m=y;y=0;a:do if(m&1)g=pb()|0;else{y=0;e=ra(2,3.0)|0;m=y;y=0;if(!(m&1)){y=0;Na(141,u|0,46737,e|0);m=y;y=0;if(!(m&1)){e=b+36|0;if((i[e+11>>0]|0)<0)e=k[e>>2]|0;y=0;e=qa(462,e|0)|0;m=y;y=0;if(m&1){g=pb()|0;break}y=0;Na(141,u|0,46745,e|0);m=y;y=0;do if(!(m&1)){e=c+420|0;m=i[e+11>>0]|0;f=m<<24>>24<0;if((f?k[c+424>>2]|0:m&255)|0){y=0;e=qa(462,(f?k[e>>2]|0:e)|0)|0;m=y;y=0;if(m&1)break;y=0;Na(141,u|0,46750,e|0);m=y;y=0;if(m&1){g=pb()|0;break a}}y=0;h=La(2)|0;m=y;y=0;if(!(m&1)){m=b+4|0;e=k[b>>2]|0;b:do if((k[m>>2]|0)!=(e|0)){j=t+11|0;l=t+4|0;g=0;c:while(1){y=0;oa(452,t|0,(k[x>>2]|0)+((k[e+(g<<2)>>2]|0)*12|0)|0);f=y;y=0;if(f&1){e=40;break}do if(i[(k[p>>2]|0)+19>>0]|0){k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,50724,1);f=y;y=0;if(f&1){e=41;break c}y=0;na(375,q|0);f=y;y=0;if(f&1){e=42;break c}y=0;Ra(17,v|0,t|0,s|0,q|0);f=y;y=0;if(f&1){e=43;break c}if((i[j>>0]|0)<0){i[k[t>>2]>>0]=0;k[l>>2]=0}else{i[t>>0]=0;i[j>>0]=0}y=0;oa(506,t|0,0);f=y;y=0;if(f&1){e=30;break c}k[t>>2]=k[v>>2];k[t+4>>2]=k[v+4>>2];k[t+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;$9(v);$9(q);$9(s);e=i[j>>0]|0;f=e<<24>>24<0;if((i[(f?k[t>>2]|0:t)>>0]|0)==47){k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;e=f?k[l>>2]|0:e&255;y=0;Ra(10,v|0,46769,7,e+7|0);f=y;y=0;if(f&1){e=46;break c}y=0;ta(47,v|0,((i[j>>0]|0)<0?k[t>>2]|0:t)|0,e|0)|0;f=y;y=0;if(f&1){e=46;break c}if((i[j>>0]|0)<0){i[k[t>>2]>>0]=0;k[l>>2]=0}else{i[t>>0]=0;i[j>>0]=0}y=0;oa(506,t|0,0);f=y;y=0;if(f&1){e=38;break c}k[t>>2]=k[v>>2];k[t+4>>2]=k[v+4>>2];k[t+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;$9(v);break}else{k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;e=f?k[l>>2]|0:e&255;y=0;Ra(10,v|0,46777,8,e+8|0);f=y;y=0;if(f&1){e=55;break c}y=0;ta(47,v|0,((i[j>>0]|0)<0?k[t>>2]|0:t)|0,e|0)|0;f=y;y=0;if(f&1){e=55;break c}if((i[j>>0]|0)<0){i[k[t>>2]>>0]=0;k[l>>2]=0}else{i[t>>0]=0;i[j>>0]=0}y=0;oa(506,t|0,0);f=y;y=0;if(f&1){e=53;break c}k[t>>2]=k[v>>2];k[t+4>>2]=k[v+4>>2];k[t+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;$9(v);break}}while(0);y=0;e=qa(462,((i[j>>0]|0)<0?k[t>>2]|0:t)|0)|0;f=y;y=0;if(f&1){e=59;break}y=0;oa(623,h|0,e|0);f=y;y=0;if(f&1){e=60;break}$9(t);g=g+1|0;e=k[b>>2]|0;if(g>>>0>=(k[m>>2]|0)-e>>2>>>0)break b}switch(e|0){case 30:{dla(tb(0)|0);break}case 38:{dla(tb(0)|0);break}case 40:{g=pb()|0;break a}case 41:{d=pb()|0;e=45;break}case 42:{d=pb()|0;e=44;break}case 43:{d=pb()|0;$9(q);e=44;break}case 46:{d=pb()|0;$9(v);break}case 53:{dla(tb(0)|0);break}case 55:{d=pb()|0;$9(v);break}case 59:{d=pb()|0;e=61;break}case 60:{d=pb()|0;e=61;break}}if((e|0)==44){$9(s);e=45}$9(t);g=d;break a}while(0);y=0;Na(141,u|0,46761,h|0);t=y;y=0;d:do if(!(t&1)){do if(!o){y=0;g=La(2)|0;t=y;y=0;if(t&1)break d;d=k[b>>2]|0;e:do if((k[m>>2]|0)==(d|0))e=67;else{f=c+212|0;e=0;while(1){y=0;d=qa(462,k[(k[f>>2]|0)+(k[d+(e<<2)>>2]<<3)>>2]|0)|0;t=y;y=0;if(t&1){e=72;break}y=0;oa(623,g|0,d|0);t=y;y=0;if(t&1){e=73;break}e=e+1|0;d=k[b>>2]|0;if(e>>>0>=(k[m>>2]|0)-d>>2>>>0){e=67;break e}}if((e|0)==72){d=pb()|0;break}else if((e|0)==73){d=pb()|0;break}}while(0);if((e|0)==67){if(!(k[g+24>>2]|0))break;y=0;Na(141,u|0,46786,g|0);t=y;y=0;if(!(t&1))break;d=pb()|0}g=d;break a}while(0);y=0;d=La(2)|0;t=y;y=0;if(!(t&1)){y=0;Na(141,u|0,46801,d|0);t=y;y=0;if(!(t&1)){y=0;oa(624,v|0,b|0);b=y;y=0;if(!(b&1)){y=0;d=qa(462,((i[v+11>>0]|0)<0?k[v>>2]|0:v)|0)|0;b=y;y=0;f:do if(b&1)d=pb()|0;else{y=0;Na(141,u|0,46807,d|0);b=y;y=0;do if(!(b&1)){y=0;d=Ha(1024,u|0,46816)|0;b=y;y=0;if(b&1)break;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=JI(d)|0;y=0;Na(75,a|0,d|0,b|0);b=y;y=0;if(b&1){d=pb()|0;break f}Pf(d);y=0;na(402,u|0);u=y;y=0;if(u&1){d=pb()|0;$9(a);break f}$9(v);d=k[x>>2]|0;if(!d){r=w;return}f=x+4|0;e=k[f>>2]|0;if((e|0)!=(d|0)){do{v=e+-12|0;k[f>>2]=v;$9(v);e=k[f>>2]|0}while((e|0)!=(d|0));d=k[x>>2]|0}zqa(d);r=w;return}while(0);d=pb()|0}while(0);$9(v);g=d;break a}}g=pb()|0;break a}}while(0);g=pb()|0;break a}}while(0);g=pb()|0;break}}g=pb()|0}while(0);d=k[x>>2]|0;if(!d)sb(g|0);f=x+4|0;e=k[f>>2]|0;if((e|0)!=(d|0)){do{w=e+-12|0;k[f>>2]=w;$9(w);e=k[f>>2]|0}while((e|0)!=(d|0));d=k[x>>2]|0}zqa(d);sb(g|0)}function Ie(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;s=0;w=r;r=r+128|0;t=w+88|0;x=w+36|0;q=w+12|0;c=w;u=w+48|0;v=w+24|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,35750,7);o=y;y=0;a:do if(o&1){b=tb(0)|0;s=32}else{y=0;b=t;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));n=sa(25,q|0,a|0,d|0,t|0,f|0)|0;o=y;y=0;if(o&1){b=tb(0)|0;$9(q);s=32;break}$9(q);y=0;oa(452,t|0,n+64|0);o=y;y=0;if(o&1){b=tb(0)|0;s=82;break}o=x+11|0;if((i[o>>0]|0)<0){i[k[x>>2]>>0]=0;k[x+4>>2]=0}else{i[x>>0]=0;i[o>>0]=0}y=0;oa(506,x|0,0);m=y;y=0;if(m&1){m=tb(0)|0;dla(m)}k[x>>2]=k[t>>2];k[x+4>>2]=k[t+4>>2];k[x+8>>2]=k[t+8>>2];k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;$9(t);y=0;ma(5,t|0,x|0,0,0,1);m=y;y=0;if(m&1){b=tb(0)|0;s=82;break}if((i[o>>0]|0)<0){i[k[x>>2]>>0]=0;k[x+4>>2]=0}else{i[x>>0]=0;i[o>>0]=0}y=0;oa(506,x|0,0);m=y;y=0;if(m&1){m=tb(0)|0;dla(m)}k[x>>2]=k[t>>2];k[x+4>>2]=k[t+4>>2];k[x+8>>2]=k[t+8>>2];k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;$9(t);k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,36018,7);m=y;y=0;do if(m&1)b=tb(0)|0;else{y=0;b=t;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));b=sa(25,q|0,a|0,d|0,t|0,f|0)|0;m=y;y=0;if(m&1){b=tb(0)|0;$9(q);break}$9(q);y=0;oa(452,q|0,b+64|0);m=y;y=0;if(m&1){b=tb(0)|0;s=82;break a}y=0;ma(5,t|0,q|0,0,0,1);m=y;y=0;b:do if(m&1)b=tb(0)|0;else{m=q+11|0;if((i[m>>0]|0)<0){i[k[q>>2]>>0]=0;k[q+4>>2]=0}else{i[q>>0]=0;i[m>>0]=0}y=0;oa(506,q|0,0);l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}k[q>>2]=k[t>>2];k[q+4>>2]=k[t+4>>2];k[q+8>>2]=k[t+8>>2];k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;$9(t);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(75,c|0,36026,6);l=y;y=0;do if(l&1)b=tb(0)|0;else{y=0;b=t;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));b=sa(23,c|0,a|0,d|0,t|0,f|0)|0;d=y;y=0;if(d&1){b=tb(0)|0;$9(c);break}$9(c);h=+p[b+64>>3];b=i[o>>0]|0;c=x+4|0;y=0;b=ta(57,x|0,0,(b<<24>>24<0?k[c>>2]|0:b&255)|0)|0;d=y;y=0;if(d&1){b=tb(0)|0;break b}j=+(b>>>0);c:do if(!(h>0.0)|!(h<=j)){if(h>j){m=i[m>>0]|0;d=m<<24>>24<0;y=0;ta(47,x|0,(d?k[q>>2]|0:q)|0,(d?k[q+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){s=44;break}else break}if(h==0.0){k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;m=i[m>>0]|0;d=m<<24>>24<0;m=d?k[q+4>>2]|0:m&255;b=i[o>>0]|0;b=b<<24>>24<0?k[c>>2]|0:b&255;y=0;Ra(10,t|0,(d?k[q>>2]|0:q)|0,m|0,b+m|0);m=y;y=0;do if(!(m&1)){y=0;ta(47,t|0,((i[o>>0]|0)<0?k[x>>2]|0:x)|0,b|0)|0;m=y;y=0;if(m&1)break;if((i[o>>0]|0)<0){i[k[x>>2]>>0]=0;k[c>>2]=0}else{i[x>>0]=0;i[o>>0]=0}y=0;oa(506,x|0,0);m=y;y=0;if(m&1){s=tb(0)|0;dla(s)}else{k[x>>2]=k[t>>2];k[x+4>>2]=k[t+4>>2];k[x+8>>2]=k[t+8>>2];k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;$9(t);break c}}while(0);b=tb(0)|0;$9(t);break b}if(+P(+h)<=j){y=0;b=Ha(979,x|0,~~(h+ +((b+1|0)>>>0))>>>0|0)|0;d=y;y=0;if(d&1){s=44;break}m=i[m>>0]|0;d=m<<24>>24<0;y=0;Ma(12,x|0,b|0,(d?k[q>>2]|0:q)|0,(d?k[q+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){s=44;break}else break}k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;m=i[m>>0]|0;d=m<<24>>24<0;m=d?k[q+4>>2]|0:m&255;b=i[o>>0]|0;b=b<<24>>24<0?k[c>>2]|0:b&255;y=0;Ra(10,t|0,(d?k[q>>2]|0:q)|0,m|0,b+m|0);m=y;y=0;do if(!(m&1)){y=0;ta(47,t|0,((i[o>>0]|0)<0?k[x>>2]|0:x)|0,b|0)|0;m=y;y=0;if(m&1)break;if((i[o>>0]|0)<0){i[k[x>>2]>>0]=0;k[c>>2]=0}else{i[x>>0]=0;i[o>>0]=0}y=0;oa(506,x|0,0);m=y;y=0;if(m&1){s=tb(0)|0;dla(s)}else{k[x>>2]=k[t>>2];k[x+4>>2]=k[t+4>>2];k[x+8>>2]=k[t+8>>2];k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;$9(t);break c}}while(0);b=tb(0)|0;$9(t);break b}else{y=0;b=Ha(979,x|0,(~~h>>>0)+-1|0)|0;d=y;y=0;if(d&1){s=44;break}m=i[m>>0]|0;d=m<<24>>24<0;y=0;Ma(12,x|0,b|0,(d?k[q>>2]|0:q)|0,(d?k[q+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1)s=44}while(0);if((s|0)==44){b=tb(0)|0;break b}do if(n|0){b=pw(n,520,536,0)|0;if(!b)break;if(!(i[b+60>>0]|0))break;y=0;Na(104,t|0,x|0,0);s=y;y=0;if(s&1){b=tb(0)|0;break b}if((i[o>>0]|0)<0){i[k[x>>2]>>0]=0;k[c>>2]=0}else{i[x>>0]=0;i[o>>0]=0}y=0;oa(506,x|0,0);f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}else{k[x>>2]=k[t>>2];k[x+4>>2]=k[t+4>>2];k[x+8>>2]=k[t+8>>2];k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;$9(t);break}}while(0);$9(q);s=84;break a}while(0)}while(0);$9(q);s=82;break a}while(0);s=82}while(0);if((s|0)==32)s=82;do if((s|0)==82){vb(b|0)|0;y=0;oa(555,e|0,f|0);f=y;y=0;if(!(f&1)){y=0;la(3);f=y;y=0;if(f&1)break;else{s=84;break}}b=pb()|0;y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;dla(e)}else{e=b;$9(x);sb(e|0)}}while(0);if((s|0)==84){y=0;c=qa(332,80)|0;f=y;y=0;if(!(f&1)){b=u;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));y=0;oa(452,v|0,x|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;b=t;g=u;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));Ea(2,c|0,t|0,v|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;$9(v);break}else{$9(v);$9(x);r=w;return c|0}}while(0);zqa(c);e=b;$9(x);sb(e|0)}}e=pb()|0;$9(x);sb(e|0);return 0}function Je(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;w=0;t=r;r=r+240|0;p=t+192|0;s=t+184|0;d=t+172|0;e=t+160|0;D=t+148|0;l=t+136|0;C=t+124|0;m=t+112|0;v=t+72|0;B=t+64|0;A=t;q=t+24|0;x=t+12|0;z=t+8|0;u=t+4|0;n=a+56|0;o=a+60|0;c=k[o>>2]|0;a:do if((k[n>>2]|0)!=(c|0)){switch(k[c+-4>>2]|0){case 0:case 2:case 6:break a;default:{}}if((b|0)==1){k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;jI(d,44699,71);j=a+108|0;y=0;k[p>>2]=k[j>>2];k[p+4>>2]=k[j+4>>2];k[p+8>>2]=k[j+8>>2];Na(109,a|0,d|0,p|0);j=y;y=0;if(!(j&1)){$9(d);break}D=pb()|0;$9(d);sb(D|0)}else{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;jI(e,44771,68);j=a+108|0;y=0;k[p>>2]=k[j>>2];k[p+4>>2]=k[j+4>>2];k[p+8>>2]=k[j+8>>2];Na(109,a|0,e|0,p|0);j=y;y=0;if(!(j&1)){$9(e);break}D=pb()|0;$9(e);sb(D|0)}}while(0);h=a+156|0;d=k[h>>2]|0;j=a+160|0;f=k[j>>2]|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){LM(D);w=14}else if(g>>>0<11){i[D+11>>0]=g;c=D}else w=14;if((w|0)==14){e=g+16&-16;c=ZL(e)|0;k[D>>2]=c;k[D+8>>2]=e|-2147483648;k[D+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;c=ta(55,a|0,1,0)|0;g=y;y=0;b:do if(g&1)c=pb()|0;else{c:do if(!c){k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;c=D+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[D+4>>2]|0:d&255;y=0;Ra(10,C|0,40690,16,d+16|0);g=y;y=0;if(g&1)w=26;else{y=0;ta(47,C|0,((i[c>>0]|0)<0?k[D>>2]|0:D)|0,d|0)|0;g=y;y=0;if(g&1)w=26;else{y=0;c=Ha(970,C|0,40707)|0;g=y;y=0;do if(g&1)c=pb()|0;else{k[l>>2]=k[c>>2];k[l+4>>2]=k[c+4>>2];k[l+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;g=a+108|0;y=0;k[p>>2]=k[g>>2];k[p+4>>2]=k[g+4>>2];k[p+8>>2]=k[g+8>>2];Na(109,a|0,l|0,p|0);g=y;y=0;if(g&1){c=pb()|0;$9(l);break}else{$9(l);$9(C);break c}}while(0);$9(C)}}if((w|0)==26){c=pb()|0;$9(C)}break b}while(0);f=k[h>>2]|0;g=k[j>>2]|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;h=g-f|0;if(h>>>0>4294967279){y=0;na(377,p|0);w=y;y=0;if(w&1)w=61;else w=35}else if(h>>>0<11){i[p+11>>0]=h;c=p;w=37}else w=35;if((w|0)==35){d=h+16&-16;y=0;c=qa(332,d|0)|0;w=y;y=0;if(w&1)w=61;else{k[p>>2]=c;k[p+8>>2]=d|-2147483648;k[p+4>>2]=h;w=37}}do if((w|0)==37){if((f|0)!=(g|0)){e=c;d=f;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(g|0))break;else e=e+1|0}c=c+h|0}i[c>>0]=0;y=0;oa(552,C|0,p|0);l=y;y=0;if(l&1){c=pb()|0;$9(p);break}$9(p);d:do if((b|0)==1){f=C+11|0;c=i[f>>0]|0;e=C+4|0;d=k[e>>2]|0;if(((c<<24>>24<0?d:c&255)|0)==3){y=0;c=sa(21,C|0,0,-1,44174,3)|0;l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}if(c|0){c=i[f>>0]|0;d=k[e>>2]|0;w=47}}else w=47;do if((w|0)==47){if(((c<<24>>24<0?d:c&255)|0)==2){y=0;c=sa(21,C|0,0,-1,44178,2)|0;l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}if(!c)break;c=i[f>>0]|0;d=k[e>>2]|0}if(((c<<24>>24<0?d:c&255)|0)!=3){w=69;break d}y=0;c=sa(21,C|0,0,-1,44170,3)|0;l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}else if(!c)break;else{w=69;break d}}while(0);k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;c=i[f>>0]|0;c=c<<24>>24<0?k[e>>2]|0:c&255;y=0;Ra(10,v|0,40719,23,c+23|0);l=y;y=0;if(l&1)w=64;else{y=0;ta(47,v|0,((i[f>>0]|0)<0?k[C>>2]|0:C)|0,c|0)|0;l=y;y=0;if(l&1)w=64;else{y=0;c=Ha(970,v|0,47105)|0;l=y;y=0;do if(l&1)c=pb()|0;else{k[m>>2]=k[c>>2];k[m+4>>2]=k[c+4>>2];k[m+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;l=a+108|0;y=0;k[p>>2]=k[l>>2];k[p+4>>2]=k[l+4>>2];k[p+8>>2]=k[l+8>>2];Na(109,a|0,m|0,p|0);l=y;y=0;if(l&1){c=pb()|0;$9(m);break}else{$9(m);$9(v);w=69;break d}}while(0);$9(v)}}if((w|0)==64){c=pb()|0;$9(v)}}else w=69;while(0);if((w|0)==69){c=v;d=a+108|0;f=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(f|0));y=0;c=qa(350,a|0)|0;m=y;y=0;if(m&1)c=pb()|0;else{k[B>>2]=c;do if(!b){k[p>>2]=1;c=k[o>>2]|0;if(c>>>0<(k[a+64>>2]|0)>>>0){k[c>>2]=1;k[o>>2]=c+4}else{y=0;oa(563,n|0,p|0);n=y;y=0;if(n&1){c=pb()|0;break}}w=82}else{k[p>>2]=2;c=k[o>>2]|0;if(c>>>0<(k[a+64>>2]|0)>>>0){k[c>>2]=2;k[o>>2]=c+4}else{y=0;oa(563,n|0,p|0);n=y;y=0;if(n&1){c=pb()|0;break}}w=82}while(0);do if((w|0)==82){d=a+164|0;e=i[d>>0]|0;i[d>>0]=0;y=0;c=Ha(1010,a|0,0)|0;w=y;y=0;if(w&1){c=pb()|0;i[d>>0]=e;break}i[d>>0]=e;k[A>>2]=c;k[o>>2]=(k[o>>2]|0)+-4;y=0;e=qa(332,112)|0;w=y;y=0;e:do if(w&1)c=pb()|0;else{c=q;d=v;f=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(f|0));y=0;oa(452,x|0,C|0);w=y;y=0;do if(w&1)c=pb()|0;else{y=0;oa(482,z|0,k[B>>2]|0);w=y;y=0;if(w&1){c=pb()|0;$9(x);break}y=0;oa(482,u|0,k[A>>2]|0);w=y;y=0;if(w&1){c=pb()|0;d=1}else{y=0;c=p;d=q;f=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(f|0));ya(18,e|0,p|0,x|0,z|0,u|0,b|0);w=y;y=0;do if(w&1)c=1;else{y=0;oa(482,s|0,e|0);w=y;y=0;if(w&1){c=0;break}EO(u);EO(z);$9(x);EO(A);EO(B);$9(C);$9(D);r=t;return k[s>>2]|0}while(0);w=pb()|0;EO(u);d=c;c=w}EO(z);$9(x);if(!d)break e}while(0);zqa(e)}while(0);EO(A)}while(0);EO(B)}}$9(C);break b}else if((w|0)==61)c=pb()|0;while(0)}while(0);$9(D);D=c;sb(D|0);return 0}
function Ke(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;w=r;r=r+32|0;x=w+12|0;v=w;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,82159,0);if((k[c>>2]&-249|0)>0){y=0;oa(452,x|0,c+24|0);u=y;y=0;if(u&1)j=10;else j=4}else{k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(75,x|0,82159,0);u=y;y=0;if(u&1)j=10;else j=4}do if((j|0)==4){u=i[x+11>>0]|0;t=u<<24>>24<0;y=0;ta(47,a|0,(t?k[x>>2]|0:x)|0,(t?k[x+4>>2]|0:u&255)|0)|0;u=y;y=0;if(u&1){d=pb()|0;$9(x);break}$9(x);s=c+24|0;y=0;Ha(1006,s|0,82159)|0;u=y;y=0;if(u&1){x=pb()|0;$9(a);sb(x|0)}t=b+11|0;d=i[t>>0]|0;q=d<<24>>24<0;u=b+4|0;e=q?k[b>>2]|0:b;d=e+(q?k[u>>2]|0:d&255)|0;do{if((d|0)==(e|0)){j=104;break}d=d+-1|0;q=i[d>>0]|0}while((q&255)<16&(1<<(q&255)&9216)!=0);if((j|0)==104){r=w;return}d=d-e|0;if((d|0)==-1){r=w;return}d=d+1|0;y=0;ma(4,x|0,b|0,d|0,-1,b|0);q=y;y=0;if(q&1){x=pb()|0;$9(a);sb(x|0)}y=0;ma(4,v|0,b|0,0,d|0,b|0);q=y;y=0;a:do if(q&1)d=pb()|0;else{if((i[t>>0]|0)<0){i[k[b>>2]>>0]=0;k[u>>2]=0}else{i[b>>0]=0;i[t>>0]=0}y=0;oa(506,b|0,0);q=y;y=0;if(q&1){q=tb(0)|0;dla(q)}k[b>>2]=k[v>>2];k[b+4>>2]=k[v+4>>2];k[b+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;$9(v);m=0;n=0;o=0;p=0;j=0;b:while(1){q=i[t>>0]|0;f=q<<24>>24<0;d=f?k[b>>2]|0:b;q=f?k[u>>2]|0:q&255;f=d+q|0;e=d;if(q>>>0<=j>>>0){j=81;break}d=d+j|0;c:while(1){switch(i[d>>0]|0){case 41:case 40:case 42:case 92:case 47:case 39:case 34:break c;default:{}}d=d+1|0;if((d|0)==(f|0)){j=81;break b}}q=d-e|0;if((d|0)==(f|0)|(q|0)==-1){j=81;break}y=0;d=Ha(1025,b|0,q|0)|0;j=y;y=0;if(j&1){j=56;break}d=i[d>>0]|0;d:do switch(d<<24>>24){case 40:{e=(o?0:p&1^1)+m|0;f=n;g=o;h=p;d=q;break}case 41:{e=(o?0:(p^1)<<31>>31)+m|0;f=n;g=o;h=p;d=q;break}case 34:{e=m;f=n;g=o^((n|p)^1);h=p;d=q;break}case 39:{e=m;f=n;g=o;h=p^((n|o)^1);d=q;break}default:{e=(q|0)!=0;if(!(e&d<<24>>24==47)){if(d<<24>>24==92){e=m;f=n;g=o;h=p;d=q+((o|p)&1)|0;break d}if(!(e&d<<24>>24==42)){e=m;f=n;g=o;h=p;d=q;break d}y=0;d=Ha(1025,b|0,q+-1|0)|0;j=y;y=0;if(j&1){j=56;break b}e=m;f=n|(i[d>>0]|0)==47&((o|p)^1);g=o;h=p;d=q;break d}e=q+-1|0;y=0;d=Ha(1025,b|0,e|0)|0;j=y;y=0;if(j&1){j=56;break b}if((i[d>>0]|0)==42){e=m;f=0;g=o;h=p;d=q}else{y=0;d=Ha(1025,b|0,e|0)|0;j=y;y=0;if(j&1){j=56;break b}if((i[d>>0]|0)==47){if(o){e=m;f=n;g=1;h=p;d=q;break d}if(p){e=m;f=n;g=0;h=1;d=q;break d}if((m|0)==0&(n^1)){j=47;break b}else{e=m;f=n;g=0;h=0;d=q}}else{e=m;f=n;g=o;h=p;d=q}}}}while(0);j=d+1|0;if((j|0)==-1){j=81;break}else{m=e;n=f;o=g;p=h}}if((j|0)==56){d=pb()|0;break}do if((j|0)==47){if(k[c>>2]&128|0){d=c+8|0;p=i[d+11>>0]|0;if(!((p<<24>>24<0?k[c+12>>2]|0:p&255)|0)){y=0;d=sa(21,d|0,0,-1,82159,0)|0;p=y;y=0;if(p&1){p=tb(0)|0;dla(p)}if(!d){y=0;d=Ha(1025,b|0,q|0)|0;p=y;y=0;if(p&1)break;i[d>>0]=42;y=0;Ha(970,b|0,45689)|0;p=y;y=0;if(p&1)break}}}if(!e)d=0;else{d=i[t>>0]|0;g=d<<24>>24<0;h=g?k[b>>2]|0:b;d=g?k[u>>2]|0:d&255;g=i[76291]|0;p=g<<24>>24<0;f=p?k[19070]|0:76280;g=p?k[19071]|0:g&255;e=d>>>0>(q+-2|0)>>>0?e:d;d=h+e|0;e:do if(!g)if(!e)d=-1;else{d=d+-1|0;j=64}else while(1){if((d|0)==(h|0)){d=-1;break e}d=d+-1|0;if(!(Ty(f,l[d>>0]|0,g)|0)){j=64;break}}while(0);if((j|0)==64)d=d-h|0;d=d+1|0}f:do if(!(k[c>>2]&64)){y=0;ma(4,v|0,b|0,d|0,-1,b|0);q=y;y=0;do if(q&1)d=pb()|0;else{q=i[v+11>>0]|0;p=q<<24>>24<0;y=0;ta(47,s|0,(p?k[v>>2]|0:v)|0,(p?k[v+4>>2]|0:q&255)|0)|0;q=y;y=0;if(q&1){d=pb()|0;$9(v);break}else{$9(v);break f}}while(0);break a}while(0);y=0;ma(4,v|0,b|0,0,d|0,b|0);q=y;y=0;if(q&1){d=pb()|0;break a}if((i[t>>0]|0)<0){i[k[b>>2]>>0]=0;k[u>>2]=0}else{i[b>>0]=0;i[t>>0]=0}y=0;oa(506,b|0,0);q=y;y=0;if(q&1){w=tb(0)|0;dla(w)}else{k[b>>2]=k[v>>2];k[b+4>>2]=k[v+4>>2];k[b+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;$9(v);j=81;break}}while(0);g:do if((j|0)==81){k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;q=i[x+11>>0]|0;p=q<<24>>24<0;q=p?k[x+4>>2]|0:q&255;y=0;Ra(10,v|0,(p?k[x>>2]|0:x)|0,q|0,q+1|0);q=y;y=0;do if(q&1)j=97;else{y=0;ta(47,v|0,47537,1)|0;q=y;y=0;if(q&1)j=97;else{q=i[v+11>>0]|0;p=q<<24>>24<0;y=0;ta(47,s|0,(p?k[v>>2]|0:v)|0,(p?k[v+4>>2]|0:q&255)|0)|0;s=y;y=0;if(s&1){d=pb()|0;$9(v);break}$9(v);h:do if(!(k[c>>2]&-249)){d=i[t>>0]|0;g=d<<24>>24<0;h=g?k[b>>2]|0:b;d=g?k[u>>2]|0:d&255;g=i[76291]|0;s=g<<24>>24<0;f=s?k[19070]|0:76280;g=s?k[19071]|0:g&255;if(d|0){e=h+d|0;i:do if(!g)d=h;else{d=h;while(1){if(!(Ty(f,l[d>>0]|0,g)|0))break i;d=d+1|0;if((d|0)==(e|0))break h}}while(0);d=d-h|0;if((d|0)!=-1){y=0;ma(4,v|0,b|0,d|0,-1,b|0);s=y;y=0;if(s&1){d=pb()|0;break a}if((i[t>>0]|0)<0){i[k[b>>2]>>0]=0;k[u>>2]=0}else{i[b>>0]=0;i[t>>0]=0}y=0;oa(506,b|0,0);s=y;y=0;if(s&1){v=tb(0)|0;dla(v)}else{k[b>>2]=k[v>>2];k[b+4>>2]=k[v+4>>2];k[b+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;$9(v);break}}}}while(0);v=i[t>>0]|0;t=v<<24>>24<0;y=0;ta(47,a|0,(t?k[b>>2]|0:b)|0,(t?k[u>>2]|0:v&255)|0)|0;v=y;y=0;if(v&1)break g;$9(x);r=w;return}}while(0);if((j|0)==97){d=pb()|0;$9(v)}break a}while(0);d=pb()|0}while(0);$9(x);x=d;$9(a);sb(x|0)}else if((j|0)==10)d=pb()|0;while(0);x=d;$9(a);sb(x|0)}function Le(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0.0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;C=0;x=r;r=r+160|0;w=x+40|0;q=x;B=x+148|0;A=x+140|0;z=x+92|0;p=x+152|0;t=x+144|0;s=x+136|0;u=x+96|0;v=x+80|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;jI(w,36349,5);y=0;b=Ha(971,a|0,w|0)|0;o=y;y=0;if(!(o&1)){b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,584,0)|0;y=0;oa(482,B|0,b|0);o=y;y=0;if(!(o&1)){$9(w);k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;Na(75,w|0,36349,5);o=y;y=0;do if(o&1){b=pb()|0;C=33}else{y=0;b=Ha(971,a|0,w|0)|0;o=y;y=0;if(!(o&1)){b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,216,0)|0;y=0;oa(482,A|0,b|0);o=y;y=0;if(!(o&1)){$9(w);k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,36464,6);o=y;y=0;do if(o&1){b=pb()|0;C=36}else{y=0;j=w;m=e;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));b=sa(27,q|0,a|0,d|0,w|0,f|0)|0;o=y;y=0;if(!(o&1)){y=0;oa(482,z|0,b|0);o=y;y=0;if(!(o&1)){$9(q);a:do if(!(k[A>>2]|0)){y=0;o=qa(332,88)|0;n=y;y=0;b:do if(n&1)C=38;else{j=q;m=e;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));y=0;na(366,o|0);n=y;y=0;do if(n&1)b=pb()|0;else{j=o+12|0;m=q;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));i[o+52>>0]=0;i[o+53>>0]=0;i[o+54>>0]=0;b=o+56|0;k[b>>2]=0;k[o>>2]=7760;g=o+60|0;k[g>>2]=7720;m=o+64|0;n=o+68|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;y=0;oa(518,m|0,1);j=y;y=0;if(j&1){b=pb()|0;j=N;g=k[m>>2]|0;if(g|0){h=k[n>>2]|0;if((h|0)!=(g|0)){do{e=h+-4|0;k[n>>2]=e;EO(e);h=k[n>>2]|0}while((h|0)!=(g|0));g=k[m>>2]|0}zqa(g)}break}k[o>>2]=7552;k[g>>2]=7680;k[o+80>>2]=1;i[o+84>>0]=0;i[o+85>>0]=0;k[b>>2]=5;y=0;oa(482,w|0,o|0);o=y;y=0;if(o&1){C=38;break b}y=0;Ha(966,A|0,w|0)|0;o=y;y=0;if(o&1){b=pb()|0;EO(w);break b}EO(w);g=(k[A>>2]|0)+60|0;h=k[(k[g>>2]|0)+20>>2]|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,36349,5);o=y;y=0;if(o&1)b=pb()|0;else{y=0;j=w;m=e;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));b=sa(27,q|0,a|0,d|0,w|0,f|0)|0;f=y;y=0;do if(f&1)C=44;else{y=0;oa(482,p|0,b|0);f=y;y=0;if(f&1){C=44;break}y=0;oa(h|0,g|0,p|0);f=y;y=0;if(f&1){b=pb()|0;EO(p);break}else{EO(p);$9(q);C=48;break a}}while(0);if((C|0)==44)b=pb()|0;$9(q)}break a}while(0);zqa(o)}while(0);if((C|0)==38)b=pb()|0}else C=48;while(0);c:do if((C|0)==48){b=k[B>>2]|0;d:do if(b|0){y=0;b=ta(58,b|0,c|0,e|0)|0;c=y;y=0;do if(c&1)b=pb()|0;else{k[w>>2]=b;y=0;Ha(966,A|0,w|0)|0;c=y;y=0;if(c&1){b=pb()|0;EO(w);break}else{EO(w);break d}}while(0);break c}while(0);g=k[A>>2]|0;h=(k[g+68>>2]|0)-(k[g+64>>2]|0)>>2;e:do if(h|0){b=0;while(1){y=0;g=Ha(981,g|0,b|0)|0;c=y;y=0;if(c&1){C=64;break}k[t>>2]=g;y=0;oa(464,s|0,z|0);c=y;y=0;if(c&1){C=67;break}y=0;g=Ha(982,t|0,s|0)|0;c=y;y=0;if(c&1){C=68;break}EO(s);EO(t);if(g){C=61;break}b=b+1|0;if(b>>>0>=h>>>0)break e;g=k[A>>2]|0}do if((C|0)==61){y=0;g=qa(332,104)|0;t=y;y=0;if(t&1){b=pb()|0;C=66;break}j=u;m=e;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(75,v|0,82159,0);e=y;y=0;do if(e&1)b=pb()|0;else{l=+((b+1|0)>>>0);y=0;j=w;m=u;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));Ca(1,g|0,w|0,+l,v|0,1);e=y;y=0;if(e&1){b=pb()|0;$9(v);break}$9(v);C=g;EO(z);EO(A);EO(B);r=x;return C|0}while(0);zqa(g);break c}else if((C|0)==64){b=pb()|0;C=66}else if((C|0)==67){b=pb()|0;C=69}else if((C|0)==68){b=pb()|0;EO(s);C=69}while(0);if((C|0)==66)break c;else if((C|0)==69){EO(t);break c}}while(0);y=0;b=qa(332,60)|0;v=y;y=0;if(v&1){b=pb()|0;break}j=w;m=e;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));y=0;na(366,b|0);e=y;y=0;if(e&1){e=pb()|0;zqa(b);b=e;break}j=b+12|0;m=w;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=11032;k[b+56>>2]=8;C=b;EO(z);EO(A);EO(B);r=x;return C|0}while(0);EO(z);break}}b=pb()|0;$9(q);C=36}while(0);EO(A);break}}b=pb()|0;$9(w);C=33}while(0);EO(B);C=b;sb(C|0)}}C=pb()|0;$9(w);sb(C|0);return 0}function Me(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,l=0.0,m=0,n=0,o=0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0;g=0;w=r;r=r+240|0;x=w;d=w+200|0;j=w+188|0;v=w+176|0;u=w+164|0;t=w+160|0;f=w+120|0;s=w+104|0;q=+p[b+64>>3];n=c+64|0;h=+p[n>>3];o=(a|0)==11;if(o&h==0.0){f=ZL(80)|0;if(!e){m=d;e=b+12|0;g=m+40|0;do{k[m>>2]=k[e>>2];m=m+4|0;e=e+4|0}while((m|0)<(g|0))}else{m=d;g=m+40|0;do{k[m>>2]=k[e>>2];m=m+4|0;e=e+4|0}while((m|0)<(g|0))}v=q!=0.0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,(v?42400:42409)|0,(v?8:3)|0);v=y;y=0;do if(v&1)d=pb()|0;else{y=0;m=x;e=d;g=m+40|0;do{k[m>>2]=k[e>>2];m=m+4|0;e=e+4|0}while((m|0)<(g|0));Ea(2,f|0,x|0,j|0,0,0,0,1);x=y;y=0;if(x&1){d=pb()|0;$9(j);break}$9(j);x=f;r=w;return x|0}while(0);zqa(f);x=d;sb(x|0)}if(!((a|0)!=12|h!=0.0)){d=gb(28)|0;y=0;Na(125,d|0,b|0,c|0);x=y;y=0;if(!(x&1))Wb(d|0,2480,160);x=pb()|0;fb(d|0);sb(x|0)}nw(x,c);y=0;oa(456,v|0,b|0);m=y;y=0;do if(m&1){d=pb()|0;f=N;g=32}else{y=0;Na(74,x|0,v|0,(a&-2|0)!=10|0);m=y;y=0;if(m&1){d=pb()|0;f=N;$9(v);g=32;break}$9(v);y=0;oa(457,v|0,b|0);m=y;y=0;if(m&1){m=pb()|0;f=N;break}y=0;oa(457,u|0,x|0);m=y;y=0;if(m&1){d=pb()|0;f=N}else{y=0;d=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;m=y;y=0;do if(m&1)g=35;else{y=0;oa(482,t|0,d|0);m=y;y=0;if(m&1)g=35;else{d=k[t>>2]|0;if(!e){m=f;e=b+12|0;g=m+40|0;do{k[m>>2]=k[e>>2];m=m+4|0;e=e+4|0}while((m|0)<(g|0))}else{m=f;g=m+40|0;do{k[m>>2]=k[e>>2];m=m+4|0;e=e+4|0}while((m|0)<(g|0))}m=d+12|0;e=f;g=m+40|0;do{k[m>>2]=k[e>>2];m=m+4|0;e=e+4|0}while((m|0)<(g|0));m=i[v+11>>0]|0;a:do if(!((m<<24>>24<0?k[v+4>>2]|0:m&255)|0)){switch(a|0){case 10:{g=38;break a}case 8:case 9:case 12:break;default:{g=57;break a}}if((d|0)==(c|0))g=37;else{y=0;Na(126,d+76|0,k[c+76>>2]|0,k[c+80>>2]|0);m=y;y=0;if(m&1)g=36;else{d=k[t>>2]|0;if((d|0)==(c|0))g=37;else{y=0;Na(126,d+88|0,k[c+88>>2]|0,k[c+92>>2]|0);m=y;y=0;if(m&1)g=36;else g=37}}}}else g=37;while(0);if((g|0)==37){d=k[t>>2]|0;if((a|0)==10)g=38;else g=57}b:do if((g|0)==38){y=0;h=+za(k[15320+(a<<2)>>2]|0,+q,+h);b=y;y=0;if(b&1)g=36;else{k[d+100>>2]=0;p[d+64>>3]=h;m=c+76|0;f=k[m>>2]|0;b=(k[c+80>>2]|0)-f|0;n=(b|0)/12|0;c:do if(b|0){d=0;while(1){j=k[t>>2]|0;f=f+(d*12|0)|0;e=j+80|0;g=k[e>>2]|0;if((g|0)==(k[j+84>>2]|0)){y=0;oa(460,j+76|0,f|0);b=y;y=0;if(b&1)break}else{y=0;oa(452,g|0,f|0);b=y;y=0;if(b&1)break;k[e>>2]=(k[e>>2]|0)+12}d=d+1|0;if(d>>>0>=n>>>0)break c;f=k[m>>2]|0}d=pb()|0;f=N;g=99;break b}while(0);n=c+88|0;f=k[n>>2]|0;c=(k[c+92>>2]|0)-f|0;m=(c|0)/12|0;if(!c)g=81;else{d=0;while(1){j=k[t>>2]|0;f=f+(d*12|0)|0;e=j+92|0;g=k[e>>2]|0;if((g|0)==(k[j+96>>2]|0)){y=0;oa(460,j+88|0,f|0);c=y;y=0;if(c&1)break}else{y=0;oa(452,g|0,f|0);c=y;y=0;if(c&1)break;k[e>>2]=(k[e>>2]|0)+12}d=d+1|0;if(d>>>0>=m>>>0){g=81;break b}f=k[n>>2]|0}d=pb()|0;f=N;g=99}}}else if((g|0)==57){f=k[15320+(a<<2)>>2]|0;if(!o){l=+p[n>>3];y=0;h=+Ka(1,c|0,b|0);s=y;y=0;if(s&1){g=36;break}y=0;h=+za(f|0,+q,+(l*h));s=y;y=0;if(s&1){g=36;break}k[d+100>>2]=0;p[d+64>>3]=h;d=k[t>>2]|0;if(!d){j=0;break}i[d+8>>0]=1;j=d;break}y=0;h=+za(f|0,+q,+h);b=y;y=0;if(b&1)g=36;else{k[d+100>>2]=0;p[d+64>>3]=h;m=c+76|0;f=k[m>>2]|0;b=(k[c+80>>2]|0)-f|0;n=(b|0)/12|0;d:do if(b|0){d=0;while(1){j=k[t>>2]|0;f=f+(d*12|0)|0;e=j+92|0;g=k[e>>2]|0;if((g|0)==(k[j+96>>2]|0)){y=0;oa(460,j+88|0,f|0);b=y;y=0;if(b&1)break}else{y=0;oa(452,g|0,f|0);b=y;y=0;if(b&1)break;k[e>>2]=(k[e>>2]|0)+12}d=d+1|0;if(d>>>0>=n>>>0)break d;f=k[m>>2]|0}d=pb()|0;f=N;g=99;break b}while(0);n=c+88|0;f=k[n>>2]|0;c=(k[c+92>>2]|0)-f|0;m=(c|0)/12|0;if(!c)g=81;else{d=0;while(1){j=k[t>>2]|0;f=f+(d*12|0)|0;e=j+80|0;g=k[e>>2]|0;if((g|0)==(k[j+84>>2]|0)){y=0;oa(460,j+76|0,f|0);c=y;y=0;if(c&1)break}else{y=0;oa(452,g|0,f|0);c=y;y=0;if(c&1)break;k[e>>2]=(k[e>>2]|0)+12}d=d+1|0;if(d>>>0>=m>>>0){g=81;break b}f=k[n>>2]|0}d=pb()|0;f=N;g=99}}}while(0);e:do if((g|0)==36){d=pb()|0;f=N;g=99}else if((g|0)==81){d=k[t>>2]|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,82159,0);c=y;y=0;do if(c&1){d=pb()|0;f=N}else{y=0;Na(74,d|0,s|0,0);c=y;y=0;if(c&1){d=pb()|0;f=N;$9(s);break}$9(s);d=k[t>>2]|0;if(!d){j=0;break e}i[d+8>>0]=1;j=d;break e}while(0);g=99}while(0);if((g|0)==99){EO(t);break}EO(t);$9(u);$9(v);k[x>>2]=4736;e=x+88|0;d=k[e>>2]|0;if(d|0){g=x+92|0;f=k[g>>2]|0;if((f|0)!=(d|0)){do{v=f+-12|0;k[g>>2]=v;$9(v);f=k[g>>2]|0}while((f|0)!=(d|0));d=k[e>>2]|0}zqa(d)}g=x+76|0;d=k[g>>2]|0;if(d|0){e=x+80|0;f=k[e>>2]|0;if((f|0)!=(d|0)){do{x=f+-12|0;k[e>>2]=x;$9(x);f=k[e>>2]|0}while((f|0)!=(d|0));d=k[g>>2]|0}zqa(d)}x=j;r=w;return x|0}}while(0);if((g|0)==35){d=pb()|0;f=N}$9(u)}$9(v);m=d}while(0);if((g|0)==32)m=d;k[x>>2]=4736;g=x+88|0;d=k[g>>2]|0;if(d|0){j=x+92|0;e=k[j>>2]|0;if((e|0)!=(d|0)){do{w=e+-12|0;k[j>>2]=w;$9(w);e=k[j>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}j=x+76|0;d=k[j>>2]|0;if(d|0){g=x+80|0;e=k[g>>2]|0;if((e|0)!=(d|0)){do{x=e+-12|0;k[g>>2]=x;$9(x);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[j>>2]|0}zqa(d)}x=m;sb(x|0);return 0}function Ne(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;D=0;w=r;r=r+128|0;u=w+108|0;o=w+104|0;p=w+88|0;s=w+84|0;E=w+72|0;F=w+60|0;z=w+48|0;v=w+92|0;A=w+36|0;C=w+24|0;B=w+12|0;x=w;f=a+80|0;m=k[f>>2]|0;while(1)if(!(i[m>>0]|0))break;else m=m+1|0;g=jO(k[a+76>>2]|0)|0;g=g>>>0<=(k[f>>2]|0)>>>0?g:0;q=g;l=a+72|0;h=k[l>>2]|0;do if(g>>>0>h>>>0){f=g;while(1){f=f+-1|0;if((i[f>>0]&-64)<<24>>24!=-128){D=7;break}if((f|0)==(h|0)){D=6;break}}if((D|0)==6){F=gb(8)|0;E=i[h>>0]|0;k[F>>2]=15080;i[F+4>>0]=E;Wb(F|0,1720,200)}else if((D|0)==7){k[u>>2]=f;jD(u,g)|0;h=k[l>>2]|0;break}}else f=q;while(0);j=f;a:do if(j>>>0>h>>>0&j>>>0<m>>>0){b:while(1){if(!(saa(j)|0))break a;f=k[l>>2]|0;if((j|0)==(f|0)){D=12;break}else h=j;while(1){h=h+-1|0;if((i[h>>0]&-64)<<24>>24!=-128)break;if((h|0)==(f|0)){D=15;break b}}f=h;k[u>>2]=h;jD(u,j)|0;if(h>>>0<m>>>0?h>>>0>(k[l>>2]|0)>>>0:0)j=h;else break a}if((D|0)==12){F=gb(4)|0;k[F>>2]=15060;Wb(F|0,1704,200)}else if((D|0)==15){F=gb(8)|0;E=i[f>>0]|0;k[F>>2]=15080;i[F+4>>0]=E;Wb(F|0,1720,200)}}while(0);k[o>>2]=f;k[p>>2]=f;jD(o,m)|0;jD(p,m)|0;h=k[o>>2]|0;f=k[l>>2]|0;c:do if(h>>>0>f>>>0){d:while(1){j=k[p>>2]|0;k[u>>2]=h;if(h>>>0<j>>>0){f=0;while(1){jD(u,j)|0;if((k[u>>2]|0)>>>0<j>>>0)f=f+1|0;else break}if((f|0)>16){D=24;break}h=k[o>>2]|0;f=k[l>>2]|0}if((h|0)==(f|0)){D=31;break}else j=h;while(1){j=j+-1|0;if((i[j>>0]&-64)<<24>>24!=-128)break;if((j|0)==(f|0)){D=34;break d}}k[u>>2]=j;jD(u,h)|0;switch(i[j>>0]|0){case 10:case 13:{j=0;break c}default:{}}k[o>>2]=j;f=k[l>>2]|0;if(j>>>0<=f>>>0){j=0;break c}else h=j}if((D|0)==24){f=k[l>>2]|0;h=k[o>>2]|0;if((h|0)==(f|0)){F=gb(4)|0;k[F>>2]=15060;Wb(F|0,1704,200)}else j=h;while(1){j=j+-1|0;k[o>>2]=j;if((i[j>>0]&-64)<<24>>24!=-128){D=29;break}if((j|0)==(f|0)){D=28;break}}if((D|0)==28){F=gb(8)|0;E=i[k[o>>2]>>0]|0;k[F>>2]=15080;i[F+4>>0]=E;Wb(F|0,1720,200)}else if((D|0)==29){k[u>>2]=j;jD(u,h)|0;j=i[k[o>>2]>>0]|0;jD(o,m)|0;j=j<<24>>24|0;j=(j|0)!=13&(j|0)!=10;break}}else if((D|0)==31){F=gb(4)|0;k[F>>2]=15060;Wb(F|0,1704,200)}else if((D|0)==34){F=gb(8)|0;E=i[f>>0]|0;k[F>>2]=15080;i[F+4>>0]=E;Wb(F|0,1720,200)}}else j=0;while(0);f=k[l>>2]|0;if((k[o>>2]|0)>>>0<f>>>0)k[o>>2]=f;k[s>>2]=g;e:do if(g>>>0<m>>>0){f=g;while(1){k[u>>2]=g;if(g>>>0<f>>>0){h=0;while(1){jD(u,f)|0;if((k[u>>2]|0)>>>0<f>>>0)h=h+1|0;else break}if((h|0)>17)break;f=k[s>>2]|0}switch(i[f>>0]|0){case 10:case 13:{n=j;break e}default:{}}jD(s,m)|0;f=k[s>>2]|0;if(f>>>0>=m>>>0){n=j;break e}}n=i[g>>0]|0;n=n<<24>>24|0;n=(n|0)!=13&(n|0)!=10}else n=j;while(0);h=k[o>>2]|0;l=k[p>>2]|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;m=l-h|0;if(m>>>0>4294967279){LM(E);D=53}else if(m>>>0<11){i[E+11>>0]=m;f=E}else D=53;if((D|0)==53){p=m+16&-16;f=ZL(p)|0;k[E>>2]=f;k[E+8>>2]=p|-2147483648;k[E+4>>2]=m}if((h|0)!=(l|0)){j=f;while(1){i[j>>0]=i[h>>0]|0;h=h+1|0;if((h|0)==(l|0))break;else j=j+1|0}f=f+m|0}i[f>>0]=0;l=k[s>>2]|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;j=l-q|0;if(j>>>0>4294967279){y=0;na(377,F|0);D=y;y=0;if(D&1)D=76;else D=61}else if(j>>>0<11){i[F+11>>0]=j;f=F}else D=61;if((D|0)==61){h=j+16&-16;y=0;f=qa(332,h|0)|0;s=y;y=0;if(s&1)D=76;else{k[F>>2]=f;k[F+8>>2]=h|-2147483648;k[F+4>>2]=j}}if((D|0)==76){F=pb()|0;$9(E);sb(F|0)}if((g|0)!=(l|0)){h=f;while(1){i[h>>0]=i[g>>0]|0;g=g+1|0;if((g|0)==(l|0))break;else h=h+1|0}f=f+j|0}i[f>>0]=0;g=E+11|0;f=i[g>>0]|0;h=E+4|0;f=f<<24>>24<0?k[h>>2]|0:f&255;f:do if(f>>>0>15){f=f+-15|0;if((f|0)==0|n^1)D=80;else{y=0;ma(4,z|0,E|0,f|0,-1,E|0);t=y;y=0;do if(t&1)e=pb()|0;else{y=0;f=ta(52,z|0,0,44142)|0;t=y;y=0;if(t&1){e=pb()|0;$9(z);break}k[u>>2]=k[f>>2];k[u+4>>2]=k[f+4>>2];k[u+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;if((i[g>>0]|0)<0){i[k[E>>2]>>0]=0;k[h>>2]=0}else{i[E>>0]=0;i[g>>0]=0}y=0;oa(506,E|0,0);t=y;y=0;if(t&1){C=tb(0)|0;dla(C)}else{k[E>>2]=k[u>>2];k[E+4>>2]=k[u+4>>2];k[E+8>>2]=k[u+8>>2];k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;$9(u);$9(z);D=80;break f}}while(0)}}else D=80;while(0);if((D|0)==80){k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;t=i[b+11>>0]|0;s=t<<24>>24<0;t=s?k[b+4>>2]|0:t&255;e=c+11|0;f=i[e>>0]|0;f=f<<24>>24<0?k[c+4>>2]|0:f&255;y=0;Ra(10,C|0,(s?k[b>>2]|0:b)|0,t|0,f+t|0);b=y;y=0;if(b&1)D=89;else{y=0;ta(47,C|0,((i[e>>0]|0)<0?k[c>>2]|0:c)|0,f|0)|0;c=y;y=0;if(c&1)D=89;else{y=0;Na(104,B|0,E|0,0);c=y;y=0;if(c&1)e=pb()|0;else{e=i[B+11>>0]|0;c=e<<24>>24<0;y=0;e=ta(47,C|0,(c?k[B>>2]|0:B)|0,(c?k[B+4>>2]|0:e&255)|0)|0;c=y;y=0;if(c&1)e=pb()|0;else{k[A>>2]=k[e>>2];k[A+4>>2]=k[e+4>>2];k[A+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;e=i[d+11>>0]|0;c=e<<24>>24<0;y=0;e=ta(47,A|0,(c?k[d>>2]|0:d)|0,(c?k[d+4>>2]|0:e&255)|0)|0;d=y;y=0;if(d&1)e=pb()|0;else{k[z>>2]=k[e>>2];k[z+4>>2]=k[e+4>>2];k[z+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(104,x|0,F|0,0);d=y;y=0;if(d&1)e=pb()|0;else{e=i[x+11>>0]|0;d=e<<24>>24<0;y=0;e=ta(47,z|0,(d?k[x>>2]|0:x)|0,(d?k[x+4>>2]|0:e&255)|0)|0;d=y;y=0;do if(d&1)e=pb()|0;else{k[v>>2]=k[e>>2];k[v+4>>2]=k[e+4>>2];k[v+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;d=a+108|0;y=0;k[u>>2]=k[d>>2];k[u+4>>2]=k[d+4>>2];k[u+8>>2]=k[d+8>>2];Na(109,a|0,v|0,u|0);a=y;y=0;if(a&1){e=pb()|0;$9(v);break}else{$9(v);$9(x);$9(z);$9(A);$9(B);$9(C);$9(F);$9(E);r=w;return}}while(0);$9(x)}$9(z)}$9(A)}$9(B)}$9(C)}}if((D|0)==89){e=pb()|0;$9(C)}}$9(F);F=e;$9(E);sb(F|0)}function Oe(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;R=0;Z=r;r=r+192|0;I=Z+176|0;L=Z+187|0;M=Z+168|0;N=Z+160|0;O=Z+186|0;P=Z+152|0;Q=Z+144|0;F=Z+185|0;G=Z+136|0;u=Z+128|0;v=Z+184|0;w=Z+120|0;x=Z+112|0;z=Z+183|0;A=Z+104|0;B=Z+96|0;C=Z+182|0;D=Z+88|0;l=Z+80|0;m=Z+181|0;n=Z+72|0;f=Z+64|0;g=Z+180|0;h=Z+56|0;U=Z+40|0;E=Z+28|0;H=Z+16|0;V=Z;J=b+11|0;Y=i[J>>0]|0;K=b+4|0;if(!((Y<<24>>24<0?k[K>>2]|0:Y&255)|0)){r=Z;return 1}k[U+4>>2]=0;k[U+8>>2]=0;W=U+4|0;k[U>>2]=W;X=a+76|0;Y=a+80|0;e=k[X>>2]|0;T=(k[Y>>2]|0)-e|0;j=(T|0)/12|0;a:do if(T|0){d=0;while(1){T=e+(d*12|0)|0;k[f>>2]=T;y=0;ya(10,h|0,U|0,T|0,80080,f|0,g|0);T=y;y=0;if(T&1)break;T=(k[h>>2]|0)+28|0;k[T>>2]=(k[T>>2]|0)+1;d=d+1|0;if(d>>>0>=j>>>0)break a;e=k[X>>2]|0}Z=pb()|0;Y=k[W>>2]|0;GD(U,Y);sb(Z|0)}while(0);S=a+88|0;T=a+92|0;e=k[T>>2]|0;d=k[S>>2]|0;t=e-d|0;f=(t|0)/12|0;do if(!t)n=e;else{e=0;while(1){t=d+(e*12|0)|0;k[l>>2]=t;y=0;ya(10,n|0,U|0,t|0,80080,l|0,m|0);t=y;y=0;if(t&1)break;d=(k[n>>2]|0)+28|0;k[d>>2]=(k[d>>2]|0)+-1;e=e+1|0;d=k[S>>2]|0;if(e>>>0>=f>>>0){R=10;break}}if((R|0)==10){n=k[T>>2]|0;break}Z=pb()|0;Y=k[W>>2]|0;GD(U,Y);sb(Z|0)}while(0);b:do if((d|0)==(n|0))o=1.0;else{s=E+11|0;t=E+4|0;o=1.0;while(1){y=0;oa(452,E|0,d|0);d=d+12|0;m=y;y=0;if(m&1){R=25;break}g=i[s>>0]|0;l=g<<24>>24<0;g=g&255;m=l?k[t>>2]|0:g;j=i[J>>0]|0;e=j<<24>>24<0;c:do if((m|0)==((e?k[K>>2]|0:j&255)|0)){h=k[E>>2]|0;j=l?h:E;e=e?k[b>>2]|0:b;f=(m|0)==0;if(l){if(f)break;if(!(zM(j,e,m)|0))break;else{R=26;break}}if(!f)if((h&255)<<24>>24==(i[e>>0]|0)){f=E;while(1){g=g+-1|0;f=f+1|0;if(!g)break c;e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0)){R=26;break}}}else R=26}else R=26;while(0);if((R|0)==26){R=0;k[B>>2]=E;y=0;ya(10,D|0,U|0,E|0,80080,B|0,C|0);m=y;y=0;if(m&1){R=28;break}if((k[(k[D>>2]|0)+28>>2]|0)<=-1){y=0;e=qa(331,E|0)|0;m=y;y=0;if(m&1){R=28;break}if((e|0)!=1280){y=0;q=+Ja(1,E|0,b|0,c|0);m=y;y=0;if(m&1){R=28;break}k[x>>2]=E;y=0;ya(10,A|0,U|0,E|0,80080,x|0,z|0);m=y;y=0;if(m&1){R=28;break}m=(k[A>>2]|0)+28|0;k[m>>2]=(k[m>>2]|0)+1;k[u>>2]=b;y=0;ya(10,w|0,U|0,b|0,80080,u|0,v|0);m=y;y=0;if(m&1){R=28;break}m=(k[w>>2]|0)+28|0;k[m>>2]=(k[m>>2]|0)+-1;o=o*q}}}$9(E);if((d|0)==(n|0))break b}if((R|0)==25){Z=pb()|0;Y=k[W>>2]|0;GD(U,Y);sb(Z|0)}else if((R|0)==28){Z=pb()|0;$9(E);Y=k[W>>2]|0;GD(U,Y);sb(Z|0)}}while(0);d=k[X>>2]|0;n=k[Y>>2]|0;do if((d|0)!=(n|0)){s=H+11|0;t=H+4|0;while(1){y=0;oa(452,H|0,d|0);d=d+12|0;E=y;y=0;if(E&1){R=47;break}g=i[s>>0]|0;h=g<<24>>24<0;g=g&255;j=h?k[t>>2]|0:g;E=i[J>>0]|0;e=E<<24>>24<0;d:do if((j|0)==((e?k[K>>2]|0:E&255)|0)){l=k[H>>2]|0;m=h?l:H;e=e?k[b>>2]|0:b;f=(j|0)==0;if(h){if(f)break;if(!(zM(m,e,j)|0))break;else{R=48;break}}if(!f)if((l&255)<<24>>24==(i[e>>0]|0)){f=H;while(1){g=g+-1|0;f=f+1|0;if(!g)break d;e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0)){R=48;break}}}else R=48}else R=48;while(0);if((R|0)==48){R=0;k[I>>2]=H;y=0;ya(10,M|0,U|0,H|0,80080,I|0,L|0);E=y;y=0;if(E&1){R=50;break}if((k[(k[M>>2]|0)+28>>2]|0)>=1){y=0;e=qa(331,H|0)|0;E=y;y=0;if(E&1){R=50;break}if((e|0)!=1280){y=0;q=+Ja(1,H|0,b|0,c|0);E=y;y=0;if(E&1){R=50;break}k[N>>2]=H;y=0;ya(10,P|0,U|0,H|0,80080,N|0,O|0);E=y;y=0;if(E&1){R=50;break}E=(k[P>>2]|0)+28|0;k[E>>2]=(k[E>>2]|0)+-1;k[Q>>2]=b;y=0;ya(10,G|0,U|0,b|0,80080,Q|0,F|0);E=y;y=0;if(E&1){R=50;break}E=(k[G>>2]|0)+28|0;k[E>>2]=(k[E>>2]|0)+1;o=o*q}}}$9(H);if((d|0)==(n|0)){R=58;break}}if((R|0)==47){Z=pb()|0;Y=k[W>>2]|0;GD(U,Y);sb(Z|0)}else if((R|0)==50){Z=pb()|0;$9(H);Y=k[W>>2]|0;GD(U,Y);sb(Z|0)}else if((R|0)==58){e=k[X>>2]|0;d=k[Y>>2]|0;if((d|0)==(e|0))break;do{R=d+-12|0;k[Y>>2]=R;$9(R);d=k[Y>>2]|0}while((d|0)!=(e|0))}}while(0);e=k[S>>2]|0;d=k[T>>2]|0;if((d|0)!=(e|0))do{R=d+-12|0;k[T>>2]=R;$9(R);d=k[T>>2]|0}while((d|0)!=(e|0));d=k[U>>2]|0;e:do if((d|0)!=(W|0)){h=V+12|0;j=V+11|0;l=V+4|0;m=a+96|0;n=a+84|0;e=d;f:while(1){y=0;oa(452,V|0,e+16|0);R=y;y=0;if(R&1){R=65;break}R=k[e+28>>2]|0;k[h>>2]=R;g=(R|0)>-1?R:0-R|0;if(R|0){f=0;do{R=i[j>>0]|0;do if((R<<24>>24<0?k[l>>2]|0:R&255)|0){d=k[h>>2]|0;if((d|0)<0){d=k[T>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;oa(460,S|0,V|0);R=y;y=0;if(R&1){R=79;break f}else break}y=0;oa(452,d|0,V|0);R=y;y=0;if(R&1){R=79;break f}k[T>>2]=(k[T>>2]|0)+12;break}if(d|0){d=k[Y>>2]|0;if((d|0)==(k[n>>2]|0)){y=0;oa(460,X|0,V|0);R=y;y=0;if(R&1){R=79;break f}else break}y=0;oa(452,d|0,V|0);R=y;y=0;if(R&1){R=79;break f}k[Y>>2]=(k[Y>>2]|0)+12}}while(0);f=f+1|0}while(f>>>0<g>>>0)}$9(V);d=k[e+4>>2]|0;if(!d)while(1){d=k[e+8>>2]|0;if((k[d>>2]|0)==(e|0))break;else e=d}else while(1){e=k[d>>2]|0;if(!e)break;else d=e}if((d|0)==(W|0))break e;else e=d}if((R|0)==65){Z=pb()|0;Y=k[W>>2]|0;GD(U,Y);sb(Z|0)}else if((R|0)==79){Z=pb()|0;$9(V);Y=k[W>>2]|0;GD(U,Y);sb(Z|0)}}while(0);Y=a+64|0;p[Y>>3]=o*+p[Y>>3];GD(U,k[W>>2]|0);r=Z;return 1}function Pe(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;K=0;I=r;r=r+224|0;F=I+176|0;B=I+168|0;z=I+164|0;t=I+136|0;J=I+172|0;L=I+84|0;g=I+152|0;h=I+140|0;j=I+96|0;p=I+72|0;n=I+52|0;m=I+48|0;l=I+44|0;o=I+56|0;q=I+40|0;s=I+36|0;u=I+32|0;w=I+28|0;x=I+24|0;A=I+20|0;C=I+16|0;D=I+12|0;E=I+8|0;G=I+4|0;H=I;v=a+152|0;c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){LM(L);K=5}else if(f>>>0<11){i[L+11>>0]=f;b=L}else K=5;if((K|0)==5){d=f+16&-16;b=ZL(d)|0;k[L>>2]=b;k[L+8>>2]=d|-2147483648;k[L+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;k[g>>2]=40645;k[g+4>>2]=40645;k[g+8>>2]=40650;y=0;k[F>>2]=k[g>>2];k[F+4>>2]=k[g+4>>2];k[F+8>>2]=k[g+8>>2];b=Ha(1011,v|0,F|0)|0;g=y;y=0;a:do if(!(g&1)){do if(b){k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,40651,38);g=y;y=0;if(g&1)break a;g=a+108|0;y=0;k[F>>2]=k[g>>2];k[F+4>>2]=k[g+4>>2];k[F+8>>2]=k[g+8>>2];Na(109,a|0,h|0,F|0);g=y;y=0;if(!(g&1)){$9(h);break}K=pb()|0;$9(h);$9(L);sb(K|0)}while(0);y=0;e=qa(332,88)|0;h=y;y=0;if(!(h&1)){b=j;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(452,p|0,L|0);h=y;y=0;do if(h&1)b=pb()|0;else{y=0;oa(482,n|0,0);h=y;y=0;if(h&1){b=pb()|0;$9(p);break}y=0;oa(482,m|0,0);h=y;y=0;if(h&1){b=pb()|0;c=1}else{y=0;oa(482,l|0,0);h=y;y=0;if(h&1){b=pb()|0;c=1}else{y=0;b=F;c=j;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));ya(19,e|0,F|0,p|0,n|0,m|0,l|0);j=y;y=0;if(j&1)c=1;else{y=0;oa(482,J|0,e|0);j=y;y=0;if(j&1)c=0;else{EO(l);EO(m);EO(n);$9(p);e=a+76|0;y=0;Na(113,o|0,a|0,k[e>>2]|0);p=y;y=0;b:do if(p&1)K=46;else{d=k[o+8>>2]|0;do if(d|0){y=0;b=qa(360,d|0)|0;p=y;y=0;if(p&1){K=46;break b}p=b|0?b:d;p=(i[p>>0]|0)==59?p+1|0:0;b=a+80|0;if(!((p|0)==0?1:p>>>0>(k[b>>2]|0)>>>0)){k[o>>2]=d;break}y=0;c=qa(360,d|0)|0;p=y;y=0;if(p&1){K=46;break b}p=c|0?c:d;p=(i[p>>0]|0)==125?p+1|0:0;if((p|0)==0?1:p>>>0>(k[b>>2]|0)>>>0)break;k[o>>2]=d}while(0);c:do if(!(k[o>>2]|0))K=52;else{if(i[o+13>>0]|0){K=52;break}b=k[J>>2]|0;y=0;c=Ha(1001,a|0,1)|0;p=y;y=0;if(p&1){K=47;break}k[u>>2]=c;y=0;oa(482,s|0,c|0);p=y;y=0;if(p&1)b=pb()|0;else{b=b+80|0;y=0;Ha(966,b|0,s|0)|0;p=y;y=0;do if(!(p&1)){y=0;oa(464,t|0,b|0);p=y;y=0;if(p&1)break;k[q>>2]=k[t>>2];EO(q);EO(s);EO(u);K=52;break c}while(0);b=pb()|0;EO(s)}EO(u)}while(0);d:do if((K|0)==52){y=0;ta(61,a|0,0,0)|0;u=y;y=0;if(u&1){K=47;break}y=0;b=ta(142,a|0,1,0)|0;u=y;y=0;if(u&1){K=47;break}e:do if(!b){b=k[e>>2]|0;y=0;c=qa(360,b|0)|0;A=y;y=0;if(A&1){K=47;break d}b=c|0?c:b;c=i[b>>0]|0;b=b+1|0;if(c<<24>>24!=123){A=c<<24>>24|0;b=(A|0)!=125?((A|0)==59?b:0):b}if(!((b|0)==0?1:b>>>0>(k[a+80>>2]|0)>>>0))break;b=k[J>>2]|0;y=0;c=Ha(1003,a|0,0)|0;A=y;y=0;if(A&1){K=47;break d}k[E>>2]=c;y=0;oa(482,D|0,c|0);A=y;y=0;if(A&1)b=pb()|0;else{b=b+84|0;y=0;Ha(966,b|0,D|0)|0;A=y;y=0;do if(!(A&1)){y=0;oa(464,B|0,b|0);A=y;y=0;if(A&1)break;k[C>>2]=k[B>>2];EO(C);EO(D);EO(E);break e}while(0);b=pb()|0;EO(D)}EO(E);break d}else{c=k[J>>2]|0;y=0;k[F>>2]=k[v>>2];k[F+4>>2]=k[v+4>>2];k[F+8>>2]=k[v+8>>2];b=ta(79,a|0,F|0,0)|0;E=y;y=0;if(E&1){K=47;break d}k[A>>2]=b;y=0;oa(482,x|0,b|0);E=y;y=0;if(E&1)b=pb()|0;else{b=c+84|0;y=0;Ha(966,b|0,x|0)|0;E=y;y=0;do if(!(E&1)){y=0;oa(464,z|0,b|0);E=y;y=0;if(E&1)break;k[w>>2]=k[z>>2];EO(w);EO(x);EO(A);break e}while(0);b=pb()|0;EO(x)}EO(A);break d}while(0);y=0;ta(61,a|0,0,0)|0;E=y;y=0;if(E&1){K=47;break}b=k[e>>2]|0;y=0;c=qa(360,b|0)|0;E=y;y=0;if(E&1){K=47;break}E=c|0?c:b;E=(i[E>>0]|0)==123?E+1|0:0;if((E|0)==0?1:E>>>0>(k[a+80>>2]|0)>>>0){$9(L);L=k[J>>2]|0;r=I;return L|0}c=k[J>>2]|0;d=a+164|0;e=i[d>>0]|0;i[d>>0]=0;y=0;b=Ha(1010,a|0,0)|0;a=y;y=0;if(a&1){b=pb()|0;i[d>>0]=e;K=48;break}i[d>>0]=e;k[H>>2]=b;b=c+64|0;y=0;Ha(966,b|0,H|0)|0;a=y;y=0;do if(!(a&1)){y=0;oa(464,F|0,b|0);a=y;y=0;if(a&1)break;k[G>>2]=k[F>>2];EO(G);EO(H);$9(L);L=k[J>>2]|0;r=I;return L|0}while(0);b=pb()|0;EO(H)}while(0);if((K|0)==47){b=pb()|0;K=48}}while(0);if((K|0)==46)b=pb()|0;EO(J);K=b;$9(L);sb(K|0)}}b=pb()|0;EO(l)}EO(m)}EO(n);$9(p);if(!c){K=b;$9(L);sb(K|0)}}while(0);zqa(e);K=b;$9(L);sb(K|0)}}while(0);K=pb()|0;$9(L);sb(K|0);return 0}function Qe(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;G=0;H=r;r=r+336|0;E=H+40|0;z=H;h=H+312|0;m=H+288|0;j=H+276|0;l=H+260|0;p=H+244|0;n=H+232|0;o=H+220|0;I=H+300|0;t=H+272|0;q=H+216|0;x=H+176|0;A=H+160|0;F=H+256|0;w=H+120|0;B=H+104|0;C=H+92|0;D=H+80|0;u=b+64|0;v=b+68|0;c=k[u>>2]|0;s=(k[v>>2]|0)-c>>2;d=c;a:do if(s>>>0>1){c=k[c>>2]|0;e=(c|0)==0;if(!e)if(pw(c,40,536,0)|0){h=0;break}d=k[d+(s+-1<<2)>>2]|0;f=(d|0)==0;if(f){if(e){h=0;break}}else if((pw(d,40,536,0)|0)!=0|e){h=0;break}g=pw(c,40,520,0)|0;if((g|0)==0|f)h=0;else{c=pw(d,40,520,0)|0;if(!c)h=0;else{e=c+64|0;pK(h,e);f=i[h+11>>0]|0;f=((f<<24>>24<0?k[h+4>>2]|0:f&255)|0)==0;$9(h);if(f)h=0;else{d=g+64|0;pK(m,d);b:do if((i[((i[m+11>>0]|0)<0?k[m>>2]|0:m)>>0]|0)==34){y=0;oa(452,j|0,e|0);h=y;y=0;do if(h&1)c=pb()|0;else{y=0;oa(452,l|0,e|0);h=y;y=0;if(h&1){c=pb()|0;$9(j);break}else{c=i[l+11>>0]|0;c=(i[((i[j+11>>0]|0)<0?k[j>>2]|0:j)+((c<<24>>24<0?k[l+4>>2]|0:c&255)+-1)>>0]|0)==34;$9(l);$9(j);$9(m);break b}}while(0);$9(m);I=c;sb(I|0)}else{$9(m);c=0}while(0);pK(p,d);if((i[((i[p+11>>0]|0)<0?k[p>>2]|0:p)>>0]|0)!=39){$9(p);h=c;break}y=0;oa(452,n|0,e|0);m=y;y=0;do if(m&1)c=pb()|0;else{y=0;oa(452,o|0,e|0);m=y;y=0;if(m&1){c=pb()|0;$9(n);break}else{h=i[o+11>>0]|0;h=(i[((i[n+11>>0]|0)<0?k[n>>2]|0:n)+((h<<24>>24<0?k[o+4>>2]|0:h&255)+-1)>>0]|0)==39;$9(o);$9(n);$9(p);h=c|h;break a}}while(0);$9(p);I=c;sb(I|0)}}}}else h=0;while(0);k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;jI(I,82159,0);c:do if(!s)G=28;else{j=b+64|0;l=a+8|0;g=0;f=0;d=0;while(1){e=k[(k[j>>2]|0)+(g<<2)>>2]|0;if(!e)c=0;else c=pw(e,40,536,0)|0;c=(c|0)==0;if(d)if(f|(i[e+54>>0]|0)!=0)G=35;else{y=0;Ha(970,I|0,47081)|0;p=y;y=0;if(p&1){G=34;break}}else G=35;if((G|0)==35){G=0;if(!((g|0)==0|c))if(!(f|(i[e+54>>0]|0)!=0)){y=0;Ha(970,I|0,47081)|0;p=y;y=0;if(p&1){G=34;break}}}c=k[(k[j>>2]|0)+(g<<2)>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;p=y;y=0;if(p&1){G=34;break}y=0;oa(482,t|0,c|0);p=y;y=0;if(p&1){G=34;break}c=k[l>>2]|0;y=0;oa(464,q|0,t|0);p=y;y=0;if(p&1){G=44;break}y=0;ya(22,a|0,c|0,I|0,q|0,h|0,(i[(k[t>>2]|0)+54>>0]|0)!=0|0);p=y;y=0;if(p&1){G=45;break}EO(q);c=k[(k[j>>2]|0)+(g<<2)>>2]|0;if(!c)d=0;else d=pw(c,40,536,0)|0;f=(i[c+54>>0]|0)!=0;EO(t);g=g+1|0;if(g>>>0>=s>>>0){G=28;break c}else d=(d|0)!=0}if((G|0)==34){c=pb()|0;break}else if((G|0)==44)c=pb()|0;else if((G|0)==45){c=pb()|0;EO(q)}EO(t)}while(0);d:do if((G|0)==28){j=b+54|0;do if(!(i[j>>0]|0)){if((k[v>>2]|0)-(k[u>>2]|0)>>2>>>0>1){G=i[I+11>>0]|0;if(!((G<<24>>24<0?k[I+4>>2]|0:G&255)|0)){y=0;c=sa(21,I|0,0,-1,82159,0)|0;G=y;y=0;if(G&1){G=tb(0)|0;dla(G)}if(!c){y=0;c=qa(332,60)|0;G=y;y=0;if(G&1)break;h=E;f=b+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;na(366,c|0);G=y;y=0;if(G&1){H=pb()|0;zqa(c);c=H;break d}h=c+12|0;f=E;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=11032;k[c+56>>2]=8;G=c;$9(I);r=H;return G|0}}}y=0;d=qa(332,80)|0;G=y;y=0;if(!(G&1)){h=x;f=b+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;oa(452,A|0,I|0);G=y;y=0;if(G&1)c=pb()|0;else{h=z;f=x;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;na(366,d|0);G=y;y=0;do if(G&1)c=pb()|0;else{h=d+12|0;f=z;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=4;k[d>>2]=9640;i[d+60>>0]=0;i[d+61>>0]=0;y=0;oa(547,d+64|0,A|0);G=y;y=0;if(G&1){c=pb()|0;break}k[d+76>>2]=0;$9(A);G=d;$9(I);r=H;return G|0}while(0);$9(A)}zqa(d);break d}}else{y=0;e=qa(332,80)|0;A=y;y=0;if(!(A&1)){h=w;f=b+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;oa(452,B|0,I|0);A=y;y=0;if(A&1)c=pb()|0;else{y=0;h=E;f=w;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));Ea(2,e|0,E|0,B|0,0,0,0,0);A=y;y=0;if(A&1)d=1;else{y=0;oa(482,F|0,e|0);A=y;y=0;if(A&1)d=0;else{$9(B);c=k[F>>2]|0;d=c+60|0;if(!(i[d>>0]|0)){e:do if(!(i[a+13>>0]|0)){d=c+64|0;y=0;oa(452,E|0,d|0);B=y;y=0;if(B&1)c=pb()|0;else{y=0;oa(578,D|0,E|0);B=y;y=0;if(B&1)c=pb()|0;else{k[c+76>>2]=0;y=0;c=Ha(967,d|0,D|0)|0;B=y;y=0;do if(!(B&1)){y=0;oa(452,C|0,c|0);B=y;y=0;if(B&1)break;$9(C);$9(D);$9(E);c=k[F>>2]|0;break e}while(0);c=pb()|0;$9(D)}$9(E)}EO(F);break d}while(0);i[c+54>>0]=i[j>>0]|0;if(!c)c=0;else G=89}else{i[d>>0]=42;i[c+54>>0]=i[j>>0]|0;G=89}if((G|0)==89)i[c+8>>0]=1;EO(F);G=c;$9(I);r=H;return G|0}}c=pb()|0;$9(B);if(!d)break d}zqa(e);break d}}while(0);c=pb()|0}while(0);$9(I);I=c;sb(I|0);return 0}function Re(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;C=r;r=r+272|0;D=C+80|0;E=C+40|0;b=C;B=C+260|0;j=C+256|0;m=C+216|0;p=C+204|0;e=C+200|0;q=C+196|0;t=C+192|0;u=C+188|0;z=C+184|0;A=C+144|0;F=C+128|0;s=C+124|0;v=C+120|0;G=ZL(84)|0;w=a+108|0;f=b;g=w;l=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(l|0));y=0;na(366,G|0);x=y;y=0;do if(x&1)b=pb()|0;else{f=G+12|0;g=b;l=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(l|0));i[G+52>>0]=0;i[G+53>>0]=0;i[G+54>>0]=0;b=G+56|0;k[G>>2]=9504;k[b>>2]=4;o=G+60|0;k[o>>2]=7720;f=G+64|0;g=G+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,3);x=y;y=0;if(x&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{F=d+-4|0;k[g>>2]=F;EO(F);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[G>>2]=9328;k[o>>2]=9464;k[G+80>>2]=0;k[b>>2]=4;a:do if(!(lv(a,1,0)|0)){ws(a,1,0)|0;b=k[(k[o>>2]|0)+20>>2]|0;c=ZL(80)|0;d=a+152|0;y=0;f=D;g=w;l=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(l|0));Na(108,c|0,D|0,d|0);x=y;y=0;if(x&1){G=pb()|0;zqa(c);sb(G|0)}_V(e,c);y=0;oa(b|0,o|0,e|0);x=y;y=0;if(!(x&1)){EO(e);e=o;m=o;break}G=pb()|0;EO(e);sb(G|0)}else{h=k[(k[o>>2]|0)+20>>2]|0;n=ZL(72)|0;f=m;g=w;l=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(l|0));e=k[a+156>>2]|0;f=k[a+160>>2]|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;g=f-e|0;if(g>>>0>4294967279){y=0;na(377,D|0);x=y;y=0;if(x&1)x=28;else x=14}else if(g>>>0<11){i[D+11>>0]=g;b=D;x=16}else x=14;if((x|0)==14){c=g+16&-16;y=0;b=qa(332,c|0)|0;x=y;y=0;if(x&1)x=28;else{k[D>>2]=b;k[D+8>>2]=c|-2147483648;k[D+4>>2]=g;x=16}}do if((x|0)==16){if((e|0)!=(f|0)){d=b;c=e;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(f|0))break;else d=d+1|0}b=b+g|0}i[b>>0]=0;y=0;oa(552,p|0,D|0);l=y;y=0;if(l&1){b=pb()|0;$9(D);break}f=E;g=m;l=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(l|0));y=0;na(366,n|0);m=y;y=0;do if(m&1){b=1;x=30}else{f=n+12|0;g=E;l=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(l|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;k[n+56>>2]=0;k[n>>2]=8848;y=0;oa(452,n+60|0,p|0);m=y;y=0;if(m&1){b=pb()|0;c=1;x=31;break}y=0;oa(482,j|0,n|0);m=y;y=0;if(m&1){b=0;x=30}else{y=0;oa(h|0,o|0,j|0);m=y;y=0;if(m&1){b=pb()|0;EO(j);c=0;break}else{EO(j);$9(p);$9(D);e=o;d=a+152|0;m=o;break a}}}while(0);if((x|0)==30){G=pb()|0;c=b;b=G;x=31}$9(p);$9(D);if(!c){G=b;sb(G|0)}}else if((x|0)==28)b=pb()|0;while(0);zqa(n);G=b;sb(G|0)}while(0);Zs(a,1,0)|0;b=k[(k[e>>2]|0)+20>>2]|0;c=ZL(80)|0;y=0;f=D;g=w;l=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(l|0));Na(108,c|0,D|0,d|0);x=y;y=0;if(x&1){G=pb()|0;zqa(c);sb(G|0)}_V(q,c);y=0;oa(b|0,m|0,q|0);x=y;y=0;if(x&1){G=pb()|0;EO(q);sb(G|0)}EO(q);b=a+76|0;x=k[b>>2]|0;c=oW(x)|0;x=rL(c|0?c:x)|0;c=a+80|0;if(!((x|0)==0?1:x>>>0>(k[c>>2]|0)>>>0)){b=k[(k[e>>2]|0)+20>>2]|0;F=cf(a,0)|0;k[u>>2]=F;y=0;oa(482,t|0,F|0);F=y;y=0;do if(F&1)b=pb()|0;else{y=0;oa(b|0,m|0,t|0);F=y;y=0;if(F&1){b=pb()|0;EO(t);break}EO(t);EO(u);_V(B,G);G=k[B>>2]|0;r=C;return G|0}while(0);EO(u);G=b;sb(G|0)}if(!(Av(a,1,0)|0)){F=k[b>>2]|0;E=oW(F)|0;F=WL(E|0?E:F)|0;if((F|0)==0?1:F>>>0>(k[c>>2]|0)>>>0){_V(B,G);G=k[B>>2]|0;r=C;return G|0}b=k[(k[e>>2]|0)+20>>2]|0;F=cf(a,0)|0;k[v>>2]=F;y=0;oa(482,s|0,F|0);F=y;y=0;do if(F&1)b=pb()|0;else{y=0;oa(b|0,m|0,s|0);F=y;y=0;if(F&1){b=pb()|0;EO(s);break}EO(s);EO(v);_V(B,G);G=k[B>>2]|0;r=C;return G|0}while(0);EO(v);G=b;sb(G|0)}h=k[(k[e>>2]|0)+20>>2]|0;j=ZL(80)|0;f=A;g=w;l=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(l|0));e=k[a+156>>2]|0;f=k[a+160>>2]|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;g=f-e|0;if(g>>>0>4294967279){y=0;na(377,E|0);x=y;y=0;if(x&1)x=68;else x=56}else if(g>>>0<11){i[E+11>>0]=g;b=E;x=58}else x=56;if((x|0)==56){c=g+16&-16;y=0;b=qa(332,c|0)|0;x=y;y=0;if(x&1)x=68;else{k[E>>2]=b;k[E+8>>2]=c|-2147483648;k[E+4>>2]=g;x=58}}do if((x|0)==58){if((e|0)!=(f|0)){d=b;c=e;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(f|0))break;else d=d+1|0}b=b+g|0}i[b>>0]=0;y=0;oa(566,F|0,E|0);a=y;y=0;if(a&1){b=pb()|0;$9(E);break}f=D;g=A;l=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(l|0));y=0;na(366,j|0);A=y;y=0;do if(A&1){b=1;x=70}else{f=j+12|0;g=D;l=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(l|0));i[j+52>>0]=1;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=0;k[j>>2]=8968;k[j+60>>2]=0;y=0;oa(452,j+64|0,F|0);D=y;y=0;if(D&1){b=pb()|0;c=1;x=71;break}k[j+76>>2]=0;y=0;oa(482,z|0,j|0);D=y;y=0;if(D&1){b=0;x=70}else{y=0;oa(h|0,m|0,z|0);D=y;y=0;if(D&1){b=pb()|0;EO(z);c=0;break}EO(z);$9(F);$9(E);_V(B,G);G=k[B>>2]|0;r=C;return G|0}}while(0);if((x|0)==70){G=pb()|0;c=b;b=G;x=71}$9(F);$9(E);if(!c){G=b;sb(G|0)}}else if((x|0)==68)b=pb()|0;while(0);zqa(j);G=b;sb(G|0)}while(0);zqa(G);G=b;sb(G|0);return 0}function Se(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;C=r;r=r+208|0;v=C+168|0;B=C+160|0;w=C+120|0;I=C+104|0;G=C+24|0;s=C+92|0;t=C+80|0;F=C;x=C+40|0;D=C+12|0;A=C+8|0;z=C+4|0;k[v>>2]=4;u=a+60|0;b=k[u>>2]|0;if(b>>>0<(k[a+64>>2]|0)>>>0){k[b>>2]=4;k[u>>2]=b+4}else az(a+56|0,v);o=a+108|0;b=w;c=o;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));p=i[(k[(k[a+48>>2]|0)+-4>>2]|0)+84>>0]|0;q=p<<24>>24!=0;k[I>>2]=0;H=I+4|0;k[H>>2]=0;k[I+8>>2]=0;y=0;oa(568,v|0,a|0);E=y;y=0;a:do if(E&1)E=27;else{m=a+156|0;e=k[m>>2]|0;n=a+160|0;f=k[n>>2]|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;g=f-e|0;if(g>>>0>4294967279){y=0;na(377,G|0);E=y;y=0;if(E&1)E=29;else E=9}else if(g>>>0<11){i[G+11>>0]=g;b=G;E=11}else E=9;if((E|0)==9){c=g+16&-16;y=0;b=qa(332,c|0)|0;E=y;y=0;if(E&1)E=29;else{k[G>>2]=b;k[G+8>>2]=c|-2147483648;k[G+4>>2]=g;E=11}}if((E|0)==11){if((e|0)!=(f|0)){d=b;c=e;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(f|0))break;else d=d+1|0}b=b+g|0}i[b>>0]=0;y=0;oa(552,v|0,G|0);l=y;y=0;do if(l&1)b=pb()|0;else{b=k[H>>2]|0;l=I+8|0;if(b>>>0<(k[l>>2]|0)>>>0){k[b>>2]=k[v>>2];k[b+4>>2]=k[v+4>>2];k[b+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[H>>2]=(k[H>>2]|0)+12}else{y=0;oa(536,I|0,v|0);j=y;y=0;if(j&1){b=pb()|0;$9(v);break}}$9(v);$9(G);g=G+8|0;h=G+4|0;j=G+11|0;while(1){y=0;b=ta(62,a|0,1,0)|0;f=y;y=0;if(f&1){E=26;break}if(!b){E=54;break}y=0;b=ta(102,a|0,1,0)|0;f=y;y=0;if(f&1){E=26;break}if(!b){k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,41314,46);f=y;y=0;if(f&1){E=26;break}y=0;k[v>>2]=k[o>>2];k[v+4>>2]=k[o+4>>2];k[v+8>>2]=k[o+8>>2];Na(109,a|0,s|0,v|0);f=y;y=0;if(f&1){E=34;break}$9(s)}c=k[m>>2]|0;e=k[n>>2]|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,G|0);E=y;y=0;if(E&1){E=49;break}else E=39}else if(f>>>0<11){i[j>>0]=f;b=G}else E=39;if((E|0)==39){E=0;d=f+16&-16;y=0;b=qa(332,d|0)|0;J=y;y=0;if(J&1){E=49;break}k[G>>2]=b;k[g>>2]=d|-2147483648;k[h>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;y=0;oa(552,v|0,G|0);J=y;y=0;if(J&1){E=50;break}b=k[H>>2]|0;if(b>>>0<(k[l>>2]|0)>>>0){k[b>>2]=k[v>>2];k[b+4>>2]=k[v+4>>2];k[b+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[H>>2]=(k[H>>2]|0)+12}else{y=0;oa(536,I|0,v|0);J=y;y=0;if(J&1){E=51;break}}$9(v);$9(G)}if((E|0)==26){b=pb()|0;E=28;break a}else if((E|0)==34){d=pb()|0;$9(s);break a}else if((E|0)==49)b=pb()|0;else if((E|0)==50){b=pb()|0;E=52}else if((E|0)==51){b=pb()|0;$9(v);E=52}else if((E|0)==54){y=0;b=ta(141,a|0,1,0)|0;J=y;y=0;if(J&1){E=27;break a}do if(!b){k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,41361,40);J=y;y=0;if(J&1){E=27;break a}y=0;k[v>>2]=k[o>>2];k[v+4>>2]=k[o+4>>2];k[v+8>>2]=k[o+8>>2];Na(109,a|0,t|0,v|0);J=y;y=0;if(J&1){d=pb()|0;$9(t);break a}else{$9(t);break}}while(0);y=0;b=Ha(1003,a|0,0)|0;J=y;y=0;if(J&1){E=27;break a}k[G>>2]=b;c=a+164|0;d=i[c>>0]|0;i[c>>0]=p;y=0;b=Ha(1010,a|0,q|0)|0;J=y;y=0;if(J&1){b=pb()|0;i[c>>0]=d}else{i[c>>0]=d;k[F>>2]=b;k[u>>2]=(k[u>>2]|0)+-4;y=0;h=qa(332,84)|0;J=y;y=0;b:do if(J&1)b=pb()|0;else{b=x;c=w;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(459,D|0,I|0);J=y;y=0;do if(J&1)b=pb()|0;else{y=0;oa(464,A|0,G|0);J=y;y=0;if(J&1){b=pb()|0;g=1;d=N}else{y=0;oa(464,z|0,F|0);J=y;y=0;if(J&1){b=pb()|0;c=1;d=N}else{y=0;b=v;c=x;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));ma(12,h|0,v|0,D|0,A|0,z|0);J=y;y=0;do if(J&1)b=1;else{y=0;oa(482,B|0,h|0);J=y;y=0;if(J&1){b=0;break}EO(z);EO(A);b=k[D>>2]|0;if(b|0){d=D+4|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{J=c+-12|0;k[d>>2]=J;$9(J);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[D>>2]|0}zqa(b)}EO(F);EO(G);b=k[I>>2]|0;if(!b){J=k[B>>2]|0;r=C;return J|0}c=k[H>>2]|0;if((c|0)!=(b|0)){do{J=c+-12|0;k[H>>2]=J;$9(J);c=k[H>>2]|0}while((c|0)!=(b|0));b=k[I>>2]|0}zqa(b);J=k[B>>2]|0;r=C;return J|0}while(0);J=pb()|0;d=N;EO(z);c=b;b=J}EO(A);g=c}c=k[D>>2]|0;if(!c)if(g)break;else break b;f=D+4|0;e=k[f>>2]|0;if((e|0)!=(c|0)){do{J=e+-12|0;k[f>>2]=J;$9(J);e=k[f>>2]|0}while((e|0)!=(c|0));c=k[D>>2]|0}zqa(c);if(!g)break b}while(0);zqa(h)}while(0);EO(F)}EO(G);d=b;break a}if((E|0)==52)$9(G);d=b;break a}while(0);$9(G)}else if((E|0)==29)b=pb()|0;d=b}while(0);if((E|0)==27){b=pb()|0;E=28}if((E|0)==28)d=b;b=k[I>>2]|0;if(!b)sb(d|0);c=k[H>>2]|0;if((c|0)!=(b|0)){do{J=c+-12|0;k[H>>2]=J;$9(J);c=k[H>>2]|0}while((c|0)!=(b|0));b=k[I>>2]|0}zqa(b);sb(d|0);return 0}function Te(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;E=r;r=r+320|0;w=E+80|0;z=E+316|0;t=E+312|0;q=E+308|0;l=E+304|0;m=E+300|0;e=E+40|0;d=E+296|0;D=E;J=E+288|0;o=E+292|0;h=E+248|0;n=E+244|0;j=E+240|0;s=E+236|0;p=E+232|0;I=E+228|0;v=E+224|0;x=E+184|0;B=E+176|0;F=E+172|0;A=E+168|0;C=E+128|0;H=E+124|0;G=E+120|0;c=k[a+24>>2]|0;if((c|0)==(k[a+20>>2]|0))a=k[a+8>>2]|0;else a=c+-4|0;u=k[a>>2]|0;_V(J,oc[k[(k[u>>2]|0)+12>>2]&511](u)|0);y=0;u=qa(332,88)|0;g=y;y=0;if(g&1){I=pb()|0;EO(J);sb(I|0)}y=0;oa(464,d|0,(k[J>>2]|0)+64|0);g=y;y=0;if(g&1)a=pb()|0;else{g=k[d>>2]|0;k[o>>2]=g;DN(e|0,g+12|0,40)|0;y=0;na(366,u|0);g=y;y=0;do if(g&1)a=pb()|0;else{g=u+12|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));k[u>>2]=5252;k[u+52>>2]=0;k[u+56>>2]=0;i[u+60>>0]=0;a=u+64|0;k[a>>2]=5212;f=u+68|0;g=u+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(561,f|0,0);e=y;y=0;if(e&1){a=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{I=d+-4|0;k[g>>2]=I;EO(I);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[u>>2]=5076;k[a>>2]=5172;i[u+84>>0]=0;i[u+85>>0]=0;EO(o);y=0;o=qa(332,76)|0;g=y;y=0;if(g&1){I=pb()|0;EO(J);sb(I|0)}a=k[J>>2]|0;g=h;e=a+12|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;oa(464,m|0,a+68|0);g=y;y=0;if(g&1)a=pb()|0;else{k[n>>2]=k[m>>2];y=0;oa(482,j|0,u|0);u=y;y=0;do if(u&1)a=pb()|0;else{y=0;g=w;e=h;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));Ra(28,o|0,w|0,n|0,j|0);u=y;y=0;if(u&1){a=pb()|0;EO(j);break}EO(j);EO(n);k[o+56>>2]=k[(k[J>>2]|0)+56>>2];y=0;oa(464,l|0,o+64|0);u=y;y=0;a:do if(!(u&1)){a=k[l>>2]|0;k[s>>2]=a;a=a+64|0;c=k[(k[a>>2]|0)+24>>2]|0;d=b+64|0;y=0;oa(464,q|0,d|0);u=y;y=0;do if(u&1)a=pb()|0;else{u=k[q>>2]|0;k[p>>2]=u;y=0;oa(c|0,a|0,((u|0)==0?0:u+64|0)|0);u=y;y=0;if(u&1){a=pb()|0;EO(p);break}EO(p);EO(s);y=0;h=qa(332,88)|0;u=y;y=0;if(u&1)break a;y=0;oa(464,t|0,d|0);u=y;y=0;if(u&1)a=pb()|0;else{u=k[t>>2]|0;k[I>>2]=u;DN(w|0,u+12|0,40)|0;y=0;na(366,h|0);u=y;y=0;do if(u&1)a=pb()|0;else{g=h+12|0;e=w;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));k[h>>2]=5252;k[h+52>>2]=0;k[h+56>>2]=0;i[h+60>>0]=0;c=h+64|0;k[c>>2]=5212;f=h+68|0;g=h+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(561,f|0,0);u=y;y=0;if(u&1){a=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{H=d+-4|0;k[g>>2]=H;EO(H);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[h>>2]=5076;k[c>>2]=5172;i[h+84>>0]=0;i[h+85>>0]=0;EO(I);a=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(482,v|0,o|0);I=y;y=0;do if(!(I&1)){y=0;oa(a|0,c|0,v|0);I=y;y=0;if(I&1){I=pb()|0;EO(v);EO(J);sb(I|0)}EO(v);y=0;d=qa(332,72)|0;I=y;y=0;if(I&1)break;g=x;e=b+12|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;oa(464,z|0,b+68|0);I=y;y=0;if(I&1)a=pb()|0;else{I=k[z>>2]|0;k[F>>2]=I;y=0;oa(482,B|0,I|0);I=y;y=0;if(I&1)a=pb()|0;else{y=0;oa(482,A|0,h|0);I=y;y=0;do if(I&1)a=pb()|0;else{y=0;g=w;e=x;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));Ra(31,d|0,w|0,B|0,A|0);I=y;y=0;if(I&1){a=pb()|0;EO(A);break}EO(A);EO(B);EO(F);k[d+56>>2]=k[b+56>>2];y=0;c=qa(332,72)|0;I=y;y=0;if(I&1){I=pb()|0;EO(J);sb(I|0)}g=C;e=d+12|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;oa(482,H|0,d|0);I=y;y=0;if(I&1)a=pb()|0;else{y=0;oa(482,G|0,0);I=y;y=0;if(I&1)a=pb()|0;else{g=D;e=C;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;na(366,c|0);I=y;y=0;do if(I&1)a=pb()|0;else{g=c+12|0;e=D;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));k[c+52>>2]=6;k[c+56>>2]=0;i[c+60>>0]=0;k[c>>2]=5528;y=0;oa(464,c+64|0,H|0);I=y;y=0;if(I&1){a=pb()|0;break}else{i[c+68>>0]=(k[G>>2]|0)==0&1;EO(G);EO(H);EO(J);r=E;return c|0}}while(0);EO(G)}EO(H)}zqa(c);I=a;EO(J);sb(I|0)}while(0);EO(B)}EO(F)}zqa(d);I=a;EO(J);sb(I|0)}while(0);I=pb()|0;EO(J);sb(I|0)}while(0);EO(I)}zqa(h);I=a;EO(J);sb(I|0)}while(0);EO(s);I=a;EO(J);sb(I|0)}while(0);I=pb()|0;EO(J);sb(I|0)}while(0);EO(n)}zqa(o);I=a;EO(J);sb(I|0)}while(0);EO(o)}zqa(u);I=a;EO(J);sb(I|0);return 0}function Ue(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;w=0;u=r;r=r+384|0;x=u+280|0;v=u+176|0;h=u+12|0;t=u+112|0;q=u;s=b+4|0;p=b+72|0;yD(x,k[p>>2]|0);k[h>>2]=5060;l=h+4|0;z=x+4|0;y=0;oa(452,l|0,z|0);n=y;y=0;do if(n&1){c=pb()|0;w=21}else{y=0;oa(453,h+16|0,x+16|0);n=y;y=0;if(n&1){c=pb()|0;$9(l);w=21;break}n=h+68|0;m=x+68|0;k[n>>2]=k[m>>2];k[n+4>>2]=k[m+4>>2];k[n+8>>2]=k[m+8>>2];k[n+12>>2]=k[m+12>>2];k[n+16>>2]=k[m+16>>2];k[n+20>>2]=k[m+20>>2];k[n+24>>2]=k[m+24>>2];j[n+28>>1]=j[m+28>>1]|0;y=0;oa(454,v|0,h|0);n=y;y=0;if(n&1){c=pb()|0;k[h>>2]=5060;$9(h+52|0);d=k[h+28>>2]|0;e=d;if(d|0){f=h+32|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~(((g+-24-e|0)>>>0)/24|0)*24|0);zqa(d)}f=k[h+16>>2]|0;g=f;if(f|0){d=h+20|0;e=k[d>>2]|0;if((e|0)!=(f|0))k[d>>2]=e+(~((e+-4-g|0)>>>2)<<2);zqa(f)}$9(l);break}k[h>>2]=5060;$9(h+52|0);d=k[h+28>>2]|0;e=d;if(d|0){f=h+32|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~(((g+-24-e|0)>>>0)/24|0)*24|0);zqa(d)}f=k[h+16>>2]|0;g=f;if(f|0){d=h+20|0;e=k[d>>2]|0;if((e|0)!=(f|0))k[d>>2]=e+(~((e+-4-g|0)>>>2)<<2);zqa(f)}$9(l);g=b+116|0;f=k[g>>2]|0;h=(k[b+120>>2]|0)-f>>2;a:do if(!h){e=v+4|0;w=16}else{e=v+4|0;d=0;while(1){n=k[f+(d<<2)>>2]|0;y=0;oa(k[(k[n>>2]|0)+40>>2]|0,n|0,v|0);n=y;y=0;if(n&1)break;y=0;na(399,e|0);n=y;y=0;if(n&1)break;d=d+1|0;if(d>>>0>=h>>>0){w=16;break a}f=k[g>>2]|0}c=pb()|0}while(0);b:do if((w|0)==16){n=b+8|0;m=n+11|0;d=i[m>>0]|0;if(d<<24>>24<0)d=k[b+12>>2]|0;else d=d&255;y=0;oa(609,e|0,(d|0)==0|0);l=y;y=0;c:do if(l&1)w=62;else{y=0;oa(452,t|0,v+8|0);l=y;y=0;do if(l&1){c=pb()|0;w=65}else{y=0;oa(453,t+12|0,v+20|0);l=y;y=0;if(l&1){c=pb()|0;$9(t);w=65;break}y=0;oa(610,s|0,t|0);l=y;y=0;if(l&1){c=pb()|0;$9(t+48|0);d=k[t+24>>2]|0;e=d;if(d|0){f=t+28|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~(((g+-24-e|0)>>>0)/24|0)*24|0);zqa(d)}d=k[t+12>>2]|0;e=d;if(d|0){f=t+16|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~((g+-4-e|0)>>>2)<<2);zqa(d)}$9(t);break}$9(t+48|0);d=k[t+24>>2]|0;e=d;if(d|0){f=t+28|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~(((g+-24-e|0)>>>0)/24|0)*24|0);zqa(d)}d=k[t+12>>2]|0;e=d;if(d|0){f=t+16|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~((g+-4-e|0)>>>2)<<2);zqa(d)}$9(t);h=k[(k[p>>2]|0)+12>>2]|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;l=JI(h)|0;y=0;Na(75,t|0,h|0,l|0);l=y;y=0;if(l&1){c=pb()|0;break b}e=i[t+11>>0]|0;d=e<<24>>24<0;e=d?k[t+4>>2]|0:e&255;g=i[m>>0]|0;f=g<<24>>24<0;l=b+12|0;g=f?k[l>>2]|0:g&255;d:do if(e>>>0>g>>>0)w=55;else{h=d?k[t>>2]|0:t;if(e|0){e=h+e|0;d=(f?k[n>>2]|0:n)+g|0;do{e=e+-1|0;d=d+-1|0;if((i[e>>0]|0)!=(i[d>>0]|0)){w=55;break d}}while((e|0)!=(h|0))}$9(t)}while(0);e:do if((w|0)==55){$9(t);d=i[m>>0]|0;if(d<<24>>24<0)d=k[l>>2]|0;else d=d&255;if(!d)break;g=k[(k[p>>2]|0)+12>>2]|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;h=JI(g)|0;y=0;Na(75,t|0,g|0,h|0);h=y;y=0;do if(h&1)c=pb()|0;else{y=0;oa(605,s|0,t|0);h=y;y=0;if(h&1){c=pb()|0;$9(t);break}else{$9(t);break e}}while(0);break b}while(0);d=i[m>>0]|0;if(d<<24>>24<0){d=k[n>>2]|0;f=d;e=k[l>>2]|0}else{f=n;e=d&255;d=n}e=f+e|0;f:do if((d|0)!=(e|0)){while(1){if((i[d>>0]|0)<=-1)break;d=d+1|0;if((d|0)==(e|0))break f}y=0;d=qa(458,s|0)|0;o=y;y=0;do if(!(o&1)){e=b+104|0;if((d|0)==3){y=0;Ha(1006,e|0,44115)|0;t=y;y=0;if(t&1)break;else break f}o=k[(k[p>>2]|0)+12>>2]|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;p=JI(o)|0;y=0;Na(75,q|0,o|0,p|0);p=y;y=0;do if(p&1)c=pb()|0;else{y=0;d=ta(52,q|0,0,44097)|0;p=y;y=0;if(p&1){c=pb()|0;$9(q);break}k[t>>2]=k[d>>2];k[t+4>>2]=k[d+4>>2];k[t+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;d=e+11|0;if((i[d>>0]|0)<0){i[k[e>>2]>>0]=0;k[b+108>>2]=0}else{i[e>>0]=0;i[d>>0]=0}y=0;oa(506,e|0,0);p=y;y=0;if(p&1){u=tb(0)|0;dla(u)}else{k[e>>2]=k[t>>2];k[e+4>>2]=k[t+4>>2];k[e+8>>2]=k[t+8>>2];k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;$9(t);$9(q);break f}}while(0);break b}while(0);c=pb()|0;break b}while(0);d=b+104|0;c=i[d+11>>0]|0;if(c<<24>>24<0)c=k[b+108>>2]|0;else c=c&255;if(c|0){y=0;oa(611,s|0,d|0);t=y;y=0;if(t&1){w=62;break c}}y=0;oa(452,a|0,n|0);t=y;y=0;if(t&1){w=62;break c}y=0;oa(453,a+12|0,b+20|0);t=y;y=0;if(t&1){c=pb()|0;$9(a);break c}HD(v);k[x>>2]=5060;$9(x+52|0);c=k[x+28>>2]|0;d=c;if(c|0){e=x+32|0;f=k[e>>2]|0;if((f|0)!=(c|0))k[e>>2]=f+(~(((f+-24-d|0)>>>0)/24|0)*24|0);zqa(c)}e=k[x+16>>2]|0;if(!e){$9(z);r=u;return}c=x+20|0;d=k[c>>2]|0;if((d|0)!=(e|0))k[c>>2]=d+(~((d+-4-e|0)>>>2)<<2);zqa(e);$9(z);r=u;return}while(0);break b}while(0);if((w|0)==62)c=pb()|0}while(0);HD(v)}while(0);k[x>>2]=5060;$9(x+52|0);d=k[x+28>>2]|0;e=d;if(d|0){f=x+32|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~(((g+-24-e|0)>>>0)/24|0)*24|0);zqa(d)}f=k[x+16>>2]|0;if(!f){$9(z);sb(c|0)}d=x+20|0;e=k[d>>2]|0;if((e|0)!=(f|0))k[d>>2]=e+(~((e+-4-f|0)>>>2)<<2);zqa(f);$9(z);sb(c|0)}function Ve(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;t=0;p=r;r=r+208|0;o=p;n=p+192|0;v=p+180|0;l=p+128|0;g=p+168|0;u=p+116|0;h=p+96|0;j=p+112|0;m=p+56|0;s=p+44|0;q=p+40|0;c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){LM(o);t=5}else if(f>>>0<11){i[o+11>>0]=f;b=o}else t=5;if((t|0)==5){d=f+16&-16;b=ZL(d)|0;k[o>>2]=b;k[o+8>>2]=d|-2147483648;k[o+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;y=0;oa(552,v|0,o|0);f=y;y=0;if(f&1){v=pb()|0;$9(o);sb(v|0)}$9(o);e=a+108|0;b=l;c=e;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;b=ta(91,a|0,1,0)|0;f=y;y=0;a:do if(f&1)t=18;else{b:do if(!b){k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;b=v+11|0;c=i[b>>0]|0;c=c<<24>>24<0?k[v+4>>2]|0:c&255;y=0;Ra(10,u|0,41518,19,c+19|0);f=y;y=0;if(f&1)t=19;else{y=0;ta(47,u|0,((i[b>>0]|0)<0?k[v>>2]|0:v)|0,c|0)|0;f=y;y=0;if(f&1)t=19;else{y=0;b=Ha(970,u|0,41538)|0;f=y;y=0;do if(f&1)b=pb()|0;else{k[g>>2]=k[b>>2];k[g+4>>2]=k[b+4>>2];k[g+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;k[o>>2]=k[e>>2];k[o+4>>2]=k[e+4>>2];k[o+8>>2]=k[e+8>>2];Na(109,a|0,g|0,o|0);f=y;y=0;if(f&1){b=pb()|0;$9(g);break}else{$9(g);$9(u);break b}}while(0);$9(u)}}if((t|0)==19){b=pb()|0;$9(u)}break a}while(0);d=a+76|0;y=0;b=qa(359,k[d>>2]|0)|0;g=y;y=0;if(g&1)t=18;else{e=a+80|0;if((b|0)==0?1:b>>>0>(k[e>>2]|0)>>>0)b=k[d>>2]|0;y=0;c=qa(360,b|0)|0;g=y;y=0;if(g&1)t=18;else{b=c|0?c:b;if((i[b>>0]|0)==59)b=b+1|0;else{y=0;b=qa(362,b|0)|0;g=y;y=0;if(g&1){t=18;break}}c:do if(!((b|0)==0?1:b>>>0>(k[e>>2]|0)>>>0)){k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,39964,11);g=y;y=0;if(g&1)b=pb()|0;else{k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(75,u|0,39976,7);g=y;y=0;if(g&1)b=pb()|0;else{k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,39984,44);g=y;y=0;do if(g&1)b=pb()|0;else{y=0;Ra(25,a|0,o|0,u|0,h|0);g=y;y=0;if(g&1){b=pb()|0;$9(h);break}else{$9(h);$9(u);$9(o);break c}}while(0);$9(u)}$9(o)}break a}while(0);y=0;oa(482,u|0,0);g=y;y=0;if(g&1)t=18;else{y=0;Na(114,h|0,a|0,k[d>>2]|0);g=y;y=0;if(g&1)b=pb()|0;else{d:do if(!(i[h+13>>0]|0))t=57;else{b=k[h>>2]|0;if(!b)t=57;else{y=0;b=Ha(1004,a|0,b|0)|0;h=y;y=0;if(h&1)b=pb()|0;else{k[j>>2]=b;y=0;oa(482,o|0,b|0);h=y;y=0;do if(h&1)b=pb()|0;else{y=0;Ha(966,u|0,o|0)|0;h=y;y=0;if(h&1){b=pb()|0;EO(o);break}else{EO(o);EO(j);b=0;g=0;t=70;break d}}while(0);EO(j)}}}while(0);e:do if((t|0)==57){y=0;b=Ha(1003,a|0,0)|0;j=y;y=0;do if(j&1)b=pb()|0;else{k[o>>2]=b;y=0;Ha(966,u|0,o|0)|0;j=y;y=0;if(j&1){b=pb()|0;EO(o);break}else{EO(o);b=0;g=0;t=70;break e}}while(0)}while(0);f:do if((t|0)==70){g:while(1){f=b;while(1){b=k[d>>2]|0;y=0;c=qa(360,b|0)|0;t=y;y=0;if(t&1){t=71;break g}c=c|0?c:b;y=0;b=qa(368,c|0)|0;t=y;y=0;if(t&1){t=71;break g}if(!b){y=0;b=qa(369,c|0)|0;t=y;y=0;if(t&1){t=71;break g}}if((b|0)==0?1:b>>>0>(k[e>>2]|0)>>>0){t=76;break g}y=0;b=ta(134,a|0,1,0)|0;t=y;y=0;if(t&1){t=71;break g}if(b|0){b=f;g=1;t=70;continue g}y=0;b=ta(135,a|0,1,0)|0;t=y;y=0;if(t&1){t=71;break g}f=f|(b|0)!=0}}do if((t|0)==71)b=pb()|0;else if((t|0)==76){y=0;e=qa(332,84)|0;a=y;y=0;if(a&1){b=pb()|0;break}b=m;c=l;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(452,s|0,v|0);l=y;y=0;do if(l&1)b=pb()|0;else{y=0;oa(464,q|0,u|0);l=y;y=0;if(l&1){b=pb()|0;$9(s);break}b=o;c=m;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;na(366,e|0);m=y;y=0;h:do if(m&1){b=1;t=89}else{b=e+12|0;c=o;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=e+52|0;k[b>>2]=0;k[e+56>>2]=0;i[e+60>>0]=0;k[e>>2]=6080;c=e+64|0;y=0;oa(452,c|0,s|0);o=y;y=0;do if(o&1)b=pb()|0;else{y=0;oa(464,e+76|0,q|0);o=y;y=0;if(o&1){b=pb()|0;$9(c);break}i[e+80>>0]=g;i[e+81>>0]=f&1;k[b>>2]=10;y=0;oa(482,n|0,e|0);t=y;y=0;if(t&1){b=0;t=89;break h}EO(q);$9(s);EO(u);$9(v);r=p;return k[n>>2]|0}while(0);c=1}while(0);if((t|0)==89){p=pb()|0;c=b;b=p}EO(q);$9(s);if(!c)break f}while(0);zqa(e);break f}while(0)}while(0)}EO(u)}}}}while(0);if((t|0)==18)b=pb()|0;$9(v);v=b;sb(v|0);return 0}function We(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;J=0;I=r;r=r+224|0;E=I+176|0;B=I+168|0;z=I+152|0;t=I+148|0;H=I+172|0;K=I+84|0;g=I+156|0;h=I+136|0;l=I+96|0;o=I+72|0;n=I+48|0;m=I+44|0;j=I+40|0;p=I+56|0;q=I+36|0;s=I+32|0;u=I+28|0;w=I+24|0;x=I+20|0;A=I+16|0;C=I+12|0;D=I+8|0;F=I+4|0;G=I;v=a+152|0;c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){LM(K);J=5}else if(f>>>0<11){i[K+11>>0]=f;b=K}else J=5;if((J|0)==5){d=f+16&-16;b=ZL(d)|0;k[K>>2]=b;k[K+8>>2]=d|-2147483648;k[K+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;k[g>>2]=40645;k[g+4>>2]=40645;k[g+8>>2]=40650;y=0;k[E>>2]=k[g>>2];k[E+4>>2]=k[g+4>>2];k[E+8>>2]=k[g+8>>2];b=Ha(1011,v|0,E|0)|0;g=y;y=0;a:do if(!(g&1)){do if(b){k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,40651,38);g=y;y=0;if(g&1)break a;g=a+108|0;y=0;k[E>>2]=k[g>>2];k[E+4>>2]=k[g+4>>2];k[E+8>>2]=k[g+8>>2];Na(109,a|0,h|0,E|0);g=y;y=0;if(!(g&1)){$9(h);break}J=pb()|0;$9(h);$9(K);sb(J|0)}while(0);y=0;f=qa(332,88)|0;h=y;y=0;if(!(h&1)){b=l;c=a+108|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(452,o|0,K|0);h=y;y=0;if(h&1)b=pb()|0;else{y=0;oa(482,n|0,0);h=y;y=0;if(h&1)b=pb()|0;else{y=0;oa(482,m|0,0);h=y;y=0;if(h&1)b=pb()|0;else{y=0;oa(482,j|0,0);h=y;y=0;do if(h&1)b=pb()|0;else{y=0;b=E;c=l;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));ya(19,f|0,E|0,o|0,n|0,m|0,j|0);l=y;y=0;if(l&1){b=pb()|0;EO(j);break}EO(j);EO(m);EO(n);$9(o);e=a+76|0;y=0;Na(113,p|0,a|0,k[e>>2]|0);o=y;y=0;b:do if(!(o&1)){d=k[p+8>>2]|0;do if(d|0){y=0;b=qa(360,d|0)|0;o=y;y=0;if(o&1)break b;o=b|0?b:d;o=(i[o>>0]|0)==59?o+1|0:0;b=a+80|0;if(!((o|0)==0?1:o>>>0>(k[b>>2]|0)>>>0)){k[p>>2]=d;break}y=0;c=qa(360,d|0)|0;o=y;y=0;if(o&1)break b;o=c|0?c:d;o=(i[o>>0]|0)==125?o+1|0:0;if((o|0)==0?1:o>>>0>(k[b>>2]|0)>>>0)break;k[p>>2]=d}while(0);c:do if(!(k[p>>2]|0))J=52;else{if(i[p+13>>0]|0){J=52;break}y=0;b=Ha(1001,a|0,1)|0;p=y;y=0;if(p&1){J=47;break}k[u>>2]=b;y=0;oa(482,s|0,b|0);p=y;y=0;if(p&1)b=pb()|0;else{b=f+80|0;y=0;Ha(966,b|0,s|0)|0;p=y;y=0;do if(!(p&1)){y=0;oa(464,t|0,b|0);p=y;y=0;if(p&1)break;k[q>>2]=k[t>>2];EO(q);EO(s);EO(u);J=52;break c}while(0);b=pb()|0;EO(s)}EO(u)}while(0);d:do if((J|0)==52){y=0;ta(61,a|0,0,0)|0;u=y;y=0;if(u&1){J=47;break}y=0;b=ta(142,a|0,1,0)|0;u=y;y=0;if(u&1){J=47;break}e:do if(!b){b=k[e>>2]|0;y=0;c=qa(360,b|0)|0;A=y;y=0;if(A&1){J=47;break d}b=c|0?c:b;c=i[b>>0]|0;b=b+1|0;if(c<<24>>24!=123){A=c<<24>>24|0;b=(A|0)!=125?((A|0)==59?b:0):b}if(!((b|0)==0?1:b>>>0>(k[a+80>>2]|0)>>>0))break;y=0;b=Ha(1003,a|0,0)|0;A=y;y=0;if(A&1){J=47;break d}k[D>>2]=b;b=f+84|0;y=0;Ha(966,b|0,D|0)|0;A=y;y=0;do if(!(A&1)){y=0;oa(464,B|0,b|0);A=y;y=0;if(A&1)break;k[C>>2]=k[B>>2];EO(C);EO(D);break e}while(0);b=pb()|0;EO(D);break d}else{y=0;k[E>>2]=k[v>>2];k[E+4>>2]=k[v+4>>2];k[E+8>>2]=k[v+8>>2];b=ta(79,a|0,E|0,0)|0;D=y;y=0;if(D&1){J=47;break d}k[A>>2]=b;y=0;oa(482,x|0,b|0);D=y;y=0;if(D&1)b=pb()|0;else{b=f+84|0;y=0;Ha(966,b|0,x|0)|0;D=y;y=0;do if(!(D&1)){y=0;oa(464,z|0,b|0);D=y;y=0;if(D&1)break;k[w>>2]=k[z>>2];EO(w);EO(x);EO(A);break e}while(0);b=pb()|0;EO(x)}EO(A);break d}while(0);y=0;ta(61,a|0,0,0)|0;D=y;y=0;if(D&1){J=47;break}b=k[e>>2]|0;y=0;c=qa(360,b|0)|0;D=y;y=0;if(D&1){J=47;break}D=c|0?c:b;D=(i[D>>0]|0)==123?D+1|0:0;f:do if(!((D|0)==0?1:D>>>0>(k[a+80>>2]|0)>>>0)){c=a+164|0;d=i[c>>0]|0;i[c>>0]=0;y=0;b=Ha(1010,a|0,0)|0;a=y;y=0;if(a&1){b=pb()|0;i[c>>0]=d;J=48;break d}i[c>>0]=d;k[G>>2]=b;b=f+64|0;y=0;Ha(966,b|0,G|0)|0;a=y;y=0;do if(!(a&1)){y=0;oa(464,E|0,b|0);a=y;y=0;if(a&1)break;k[F>>2]=k[E>>2];EO(F);EO(G);break f}while(0);b=pb()|0;EO(G);break d}while(0);y=0;oa(482,H|0,f|0);J=y;y=0;if(J&1){J=47;break}$9(K);r=I;return k[H>>2]|0}while(0);if((J|0)==47){b=pb()|0;J=48}J=b;$9(K);sb(J|0)}while(0);J=pb()|0;$9(K);sb(J|0)}while(0);EO(m)}EO(n)}$9(o)}zqa(f);J=b;$9(K);sb(J|0)}}while(0);J=pb()|0;$9(K);sb(J|0);return 0}function Xe(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;C=0;G=r;r=r+336|0;D=G+312|0;x=G+300|0;A=G+288|0;B=G+248|0;s=G+232|0;t=G+220|0;u=G+208|0;v=G+168|0;m=G+152|0;n=G+140|0;j=G+128|0;l=G+88|0;g=G;H=G+84|0;I=G+72|0;E=G+60|0;q=G+56|0;w=G+52|0;F=G+40|0;z=a+152|0;c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){LM(I);C=5}else if(f>>>0<11){i[I+11>>0]=f;b=I}else C=5;if((C|0)==5){p=f+16&-16;b=ZL(p)|0;k[I>>2]=b;k[I+8>>2]=p|-2147483648;k[I+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;o=a+96|0;k[E>>2]=k[o>>2];k[E+4>>2]=k[o+4>>2];k[E+8>>2]=k[o+8>>2];y=0;h=qa(332,84)|0;p=y;y=0;a:do if(!(p&1)){p=a+108|0;b=g;d=p;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));y=0;na(366,h|0);f=y;y=0;do if(f&1)b=pb()|0;else{b=h+12|0;d=g;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[h>>2]=4940;i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h+56>>2]=0;b=h+60|0;k[b>>2]=8568;f=h+64|0;g=h+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(548,f|0,0);e=y;y=0;if(e&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{H=d+-4|0;k[g>>2]=H;EO(H);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[h>>2]=8404;k[b>>2]=8528;i[h+80>>0]=0;i[h+81>>0]=0;i[h+82>>0]=0;y=0;oa(482,H|0,h|0);h=y;y=0;if(h&1)break a;k[m>>2]=k[z>>2];k[m+4>>2]=k[z+4>>2];k[m+8>>2]=k[z+8>>2];f=a+76|0;c=k[f>>2]|0;g=a+84|0;k[n>>2]=k[g>>2];k[n+4>>2]=k[g+4>>2];k[n+8>>2]=k[g+8>>2];k[j>>2]=k[o>>2];k[j+4>>2]=k[o+4>>2];k[j+8>>2]=k[o+8>>2];b=l;d=p;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));y=0;ta(61,a|0,1,0)|0;h=y;y=0;b:do if(h&1)C=42;else{y=0;b=ta(90,a|0,1,0)|0;h=y;y=0;if(h&1)C=42;else{if(!b){b=p;d=l;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[z>>2]=k[m>>2];k[z+4>>2]=k[m+4>>2];k[z+8>>2]=k[m+8>>2];k[f>>2]=c;k[o>>2]=k[j>>2];k[o+4>>2]=k[j+4>>2];k[o+8>>2]=k[j+8>>2];k[g>>2]=k[n>>2];k[g+4>>2]=k[n+4>>2];k[g+8>>2]=k[n+8>>2];$9(I);I=k[H>>2]|0;r=G;return I|0}y=0;b=qa(359,k[f>>2]|0)|0;n=y;y=0;if(n&1)C=42;else{d=a+80|0;if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)b=k[f>>2]|0;y=0;c=qa(360,b|0)|0;n=y;y=0;if(n&1)C=42;else{n=c|0?c:b;n=(i[n>>0]|0)==41?n+1|0:0;do if((n|0)==0?1:n>>>0>(k[d>>2]|0)>>>0){while(1){b=(k[H>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(394,a|0)|0;C=y;y=0;if(C&1){C=41;break}k[w>>2]=d;y=0;oa(482,q|0,d|0);C=y;y=0;if(C&1){C=44;break}y=0;oa(c|0,b|0,q|0);C=y;y=0;if(C&1){C=45;break}EO(q);EO(w);k[s>>2]=k[z>>2];k[s+4>>2]=k[z+4>>2];k[s+8>>2]=k[z+8>>2];c=k[f>>2]|0;k[t>>2]=k[g>>2];k[t+4>>2]=k[g+4>>2];k[t+8>>2]=k[g+8>>2];k[u>>2]=k[o>>2];k[u+4>>2]=k[o+4>>2];k[u+8>>2]=k[o+8>>2];b=v;d=p;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));y=0;ta(61,a|0,1,0)|0;C=y;y=0;if(C&1){C=41;break}y=0;b=ta(62,a|0,1,0)|0;C=y;y=0;if(C&1){C=41;break}if(!b){C=37;break}}if((C|0)==37){b=p;d=v;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[z>>2]=k[s>>2];k[z+4>>2]=k[s+4>>2];k[z+8>>2]=k[s+8>>2];k[f>>2]=c;k[o>>2]=k[u>>2];k[o+4>>2]=k[u+4>>2];k[o+8>>2]=k[u+8>>2];k[g>>2]=k[t>>2];k[g+4>>2]=k[t+4>>2];k[g+8>>2]=k[t+8>>2];break}else if((C|0)==41){b=pb()|0;C=43;break b}else if((C|0)==44)b=pb()|0;else if((C|0)==45){b=pb()|0;EO(q)}EO(w);break b}else c=k[f>>2]|0;while(0);k[D>>2]=k[z>>2];k[D+4>>2]=k[z+4>>2];k[D+8>>2]=k[z+8>>2];k[x>>2]=k[g>>2];k[x+4>>2]=k[g+4>>2];k[x+8>>2]=k[g+8>>2];k[A>>2]=k[o>>2];k[A+4>>2]=k[o+4>>2];k[A+8>>2]=k[o+8>>2];b=B;d=p;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));y=0;ta(61,a|0,1,0)|0;w=y;y=0;if(w&1)C=42;else{y=0;b=ta(74,a|0,1,0)|0;w=y;y=0;if(w&1)C=42;else{if(b|0){$9(I);I=k[H>>2]|0;r=G;return I|0}b=p;d=B;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[z>>2]=k[D>>2];k[z+4>>2]=k[D+4>>2];k[z+8>>2]=k[D+8>>2];k[f>>2]=c;k[o>>2]=k[A>>2];k[o+4>>2]=k[A+4>>2];k[o+8>>2]=k[A+8>>2];k[g>>2]=k[x>>2];k[g+4>>2]=k[x+4>>2];k[g+8>>2]=k[x+8>>2];k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;b=I+11|0;c=i[b>>0]|0;c=c<<24>>24<0?k[I+4>>2]|0:c&255;y=0;Ra(10,F|0,40124,69,c+69|0);B=y;y=0;do if(!(B&1)){y=0;ta(47,F|0,((i[b>>0]|0)<0?k[I>>2]|0:I)|0,c|0)|0;B=y;y=0;if(B&1)break;y=0;k[D>>2]=k[E>>2];k[D+4>>2]=k[E+4>>2];k[D+8>>2]=k[E+8>>2];Na(109,a|0,F|0,D|0);E=y;y=0;if(E&1){b=pb()|0;$9(F);break b}$9(F);$9(I);I=k[H>>2]|0;r=G;return I|0}while(0);b=pb()|0;$9(F);C=43}}}}}}while(0);if((C|0)==42){b=pb()|0;C=43}EO(H);H=b;$9(I);sb(H|0)}while(0);zqa(h);H=b;$9(I);sb(H|0)}while(0);H=pb()|0;$9(I);sb(H|0);return 0}function Ye(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0;D=0;x=r;r=r+368|0;t=x+80|0;m=x+40|0;j=x;w=x+364|0;E=x+352|0;v=x+312|0;n=x+272|0;g=x+260|0;C=x+264|0;l=x+216|0;p=x+208|0;q=x+204|0;h=x+192|0;o=x+180|0;B=x+256|0;s=x+176|0;u=x+136|0;z=x+124|0;A=x+120|0;Xu(a,1,0)|0;c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){LM(E);D=5}else if(f>>>0<11){i[E+11>>0]=f;b=E}else D=5;if((D|0)==5){d=f+16&-16;b=ZL(d)|0;k[E>>2]=b;k[E+8>>2]=d|-2147483648;k[E+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;b=a+108|0;c=v;e=b;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;ta(90,a|0,1,0)|0;f=y;y=0;if(f&1){D=pb()|0;$9(E);sb(D|0)}c=n;e=b;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));b=a+76|0;d=k[b>>2]|0;y=0;c=Ha(1003,a|0,0)|0;f=y;y=0;a:do if(f&1)b=pb()|0;else{k[g>>2]=c;EO(g);b=k[b>>2]|0;y=0;ta(92,a|0,1,0)|0;g=y;y=0;if(!(g&1)){y=0;g=qa(332,84)|0;f=y;y=0;if(!(f&1)){c=l;e=n;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));k[h>>2]=d;k[h+4>>2]=d;k[h+8>>2]=b;y=0;k[t>>2]=k[h>>2];k[t+4>>2]=k[h+4>>2];k[t+8>>2]=k[h+8>>2];b=ta(79,a|0,t|0,0)|0;h=y;y=0;do if(h&1)b=pb()|0;else{k[q>>2]=b;y=0;oa(482,p|0,b|0);h=y;y=0;if(h&1){b=pb()|0;EO(q);break}k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,82159,0);h=y;y=0;if(h&1){b=pb()|0;c=1}else{c=j;e=l;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;na(366,g|0);l=y;y=0;b:do if(l&1){c=1;D=52}else{c=g+12|0;e=j;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=8284;b=g+60|0;y=0;oa(464,b|0,p|0);l=y;y=0;do if(l&1)b=pb()|0;else{y=0;oa(452,g+64|0,o|0);l=y;y=0;if(l&1){C=pb()|0;EO(b);b=C;break}i[g+76>>0]=0;i[g+77>>0]=0;k[g+80>>2]=0;y=0;oa(482,C|0,g|0);l=y;y=0;if(l&1){c=0;D=52;break b}$9(o);EO(p);EO(q);y=0;a=qa(332,84)|0;q=y;y=0;c:do if(q&1)D=56;else{c=m;e=n;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;na(366,a|0);q=y;y=0;do if(q&1)b=pb()|0;else{c=a+12|0;e=m;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));k[a>>2]=4940;i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;k[a+56>>2]=0;b=a+60|0;k[b>>2]=8568;f=a+64|0;g=a+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(548,f|0,0);q=y;y=0;if(q&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{B=d+-4|0;k[g>>2]=B;EO(B);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[a>>2]=8404;k[b>>2]=8528;i[a+80>>0]=0;i[a+81>>0]=0;i[a+82>>0]=0;y=0;oa(482,B|0,a|0);q=y;y=0;if(q&1){D=56;break c}b=(k[B>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(482,s|0,k[C>>2]|0);q=y;y=0;d:do if(q&1)D=59;else{y=0;oa(c|0,b|0,s|0);q=y;y=0;if(q&1){b=pb()|0;EO(s);break}EO(s);y=0;d=qa(332,88)|0;s=y;y=0;if(s&1){D=59;break}c=u;e=v;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;oa(452,z|0,E|0);v=y;y=0;do if(v&1)b=pb()|0;else{y=0;oa(464,A|0,B|0);v=y;y=0;if(v&1){b=pb()|0;$9(z);break}c=t;e=u;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;na(366,d|0);v=y;y=0;e:do if(v&1){b=1;D=63}else{c=d+12|0;e=t;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;b=d+56|0;k[b>>2]=0;k[d>>2]=8608;c=d+60|0;y=0;oa(452,c|0,z|0);v=y;y=0;do if(v&1)b=pb()|0;else{y=0;oa(464,d+72|0,A|0);v=y;y=0;if(v&1){b=pb()|0;$9(c);break}i[d+76>>0]=0;k[d+80>>2]=0;k[d+84>>2]=0;k[b>>2]=11;y=0;oa(482,w|0,d|0);D=y;y=0;if(D&1){b=0;D=63;break e}EO(A);$9(z);EO(B);EO(C);$9(E);r=x;return k[w>>2]|0}while(0);c=1}while(0);if((D|0)==63){x=pb()|0;c=b;b=x}EO(A);$9(z);if(!c)break d}while(0);zqa(d)}while(0);if((D|0)==59)b=pb()|0;EO(B);break c}while(0);zqa(a)}while(0);if((D|0)==56)b=pb()|0;EO(C);break a}while(0);c=1}while(0);if((D|0)==52)b=pb()|0;$9(o)}EO(p);EO(q);if(!c)break a}while(0);zqa(g);break}}b=pb()|0}while(0);D=b;$9(E);sb(D|0);return 0}function Ze(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;C=0;G=r;r=r+336|0;D=G+312|0;x=G+300|0;A=G+288|0;B=G+248|0;s=G+232|0;t=G+220|0;u=G+208|0;v=G+168|0;m=G+152|0;n=G+140|0;j=G+128|0;l=G+88|0;g=G;H=G+84|0;I=G+72|0;E=G+60|0;q=G+56|0;w=G+52|0;F=G+40|0;z=a+152|0;c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){LM(I);C=5}else if(f>>>0<11){i[I+11>>0]=f;b=I}else C=5;if((C|0)==5){p=f+16&-16;b=ZL(p)|0;k[I>>2]=b;k[I+8>>2]=p|-2147483648;k[I+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;o=a+96|0;k[E>>2]=k[o>>2];k[E+4>>2]=k[o+4>>2];k[E+8>>2]=k[o+8>>2];y=0;h=qa(332,76)|0;p=y;y=0;a:do if(!(p&1)){p=a+108|0;b=g;d=p;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));y=0;na(366,h|0);f=y;y=0;do if(f&1)b=pb()|0;else{k[h>>2]=4860;b=h+12|0;d=g;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));b=h+52|0;k[b>>2]=11356;f=h+56|0;g=h+60|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(571,f|0,0);e=y;y=0;if(e&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{H=d+-4|0;k[g>>2]=H;EO(H);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[h>>2]=11232;k[b>>2]=11316;i[h+72>>0]=0;i[h+73>>0]=0;y=0;oa(482,H|0,h|0);h=y;y=0;if(h&1)break a;k[m>>2]=k[z>>2];k[m+4>>2]=k[z+4>>2];k[m+8>>2]=k[z+8>>2];f=a+76|0;c=k[f>>2]|0;g=a+84|0;k[n>>2]=k[g>>2];k[n+4>>2]=k[g+4>>2];k[n+8>>2]=k[g+8>>2];k[j>>2]=k[o>>2];k[j+4>>2]=k[o+4>>2];k[j+8>>2]=k[o+8>>2];b=l;d=p;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));y=0;ta(61,a|0,1,0)|0;h=y;y=0;b:do if(h&1)C=42;else{y=0;b=ta(90,a|0,1,0)|0;h=y;y=0;if(h&1)C=42;else{if(!b){b=p;d=l;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[z>>2]=k[m>>2];k[z+4>>2]=k[m+4>>2];k[z+8>>2]=k[m+8>>2];k[f>>2]=c;k[o>>2]=k[j>>2];k[o+4>>2]=k[j+4>>2];k[o+8>>2]=k[j+8>>2];k[g>>2]=k[n>>2];k[g+4>>2]=k[n+4>>2];k[g+8>>2]=k[n+8>>2];$9(I);I=k[H>>2]|0;r=G;return I|0}y=0;b=qa(359,k[f>>2]|0)|0;n=y;y=0;if(n&1)C=42;else{d=a+80|0;if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)b=k[f>>2]|0;y=0;c=qa(360,b|0)|0;n=y;y=0;if(n&1)C=42;else{n=c|0?c:b;n=(i[n>>0]|0)==41?n+1|0:0;do if((n|0)==0?1:n>>>0>(k[d>>2]|0)>>>0){while(1){b=(k[H>>2]|0)+52|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(429,a|0)|0;C=y;y=0;if(C&1){C=41;break}k[w>>2]=d;y=0;oa(482,q|0,d|0);C=y;y=0;if(C&1){C=44;break}y=0;oa(c|0,b|0,q|0);C=y;y=0;if(C&1){C=45;break}EO(q);EO(w);k[s>>2]=k[z>>2];k[s+4>>2]=k[z+4>>2];k[s+8>>2]=k[z+8>>2];c=k[f>>2]|0;k[t>>2]=k[g>>2];k[t+4>>2]=k[g+4>>2];k[t+8>>2]=k[g+8>>2];k[u>>2]=k[o>>2];k[u+4>>2]=k[o+4>>2];k[u+8>>2]=k[o+8>>2];b=v;d=p;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));y=0;ta(61,a|0,1,0)|0;C=y;y=0;if(C&1){C=41;break}y=0;b=ta(62,a|0,1,0)|0;C=y;y=0;if(C&1){C=41;break}if(!b){C=37;break}}if((C|0)==37){b=p;d=v;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[z>>2]=k[s>>2];k[z+4>>2]=k[s+4>>2];k[z+8>>2]=k[s+8>>2];k[f>>2]=c;k[o>>2]=k[u>>2];k[o+4>>2]=k[u+4>>2];k[o+8>>2]=k[u+8>>2];k[g>>2]=k[t>>2];k[g+4>>2]=k[t+4>>2];k[g+8>>2]=k[t+8>>2];break}else if((C|0)==41){b=pb()|0;C=43;break b}else if((C|0)==44)b=pb()|0;else if((C|0)==45){b=pb()|0;EO(q)}EO(w);break b}else c=k[f>>2]|0;while(0);k[D>>2]=k[z>>2];k[D+4>>2]=k[z+4>>2];k[D+8>>2]=k[z+8>>2];k[x>>2]=k[g>>2];k[x+4>>2]=k[g+4>>2];k[x+8>>2]=k[g+8>>2];k[A>>2]=k[o>>2];k[A+4>>2]=k[o+4>>2];k[A+8>>2]=k[o+8>>2];b=B;d=p;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));y=0;ta(61,a|0,1,0)|0;w=y;y=0;if(w&1)C=42;else{y=0;b=ta(74,a|0,1,0)|0;w=y;y=0;if(w&1)C=42;else{if(b|0){$9(I);I=k[H>>2]|0;r=G;return I|0}b=p;d=B;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[z>>2]=k[D>>2];k[z+4>>2]=k[D+4>>2];k[z+8>>2]=k[D+8>>2];k[f>>2]=c;k[o>>2]=k[A>>2];k[o+4>>2]=k[A+4>>2];k[o+8>>2]=k[A+8>>2];k[g>>2]=k[x>>2];k[g+4>>2]=k[x+4>>2];k[g+8>>2]=k[x+8>>2];k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;b=I+11|0;c=i[b>>0]|0;c=c<<24>>24<0?k[I+4>>2]|0:c&255;y=0;Ra(10,F|0,40124,69,c+69|0);B=y;y=0;do if(!(B&1)){y=0;ta(47,F|0,((i[b>>0]|0)<0?k[I>>2]|0:I)|0,c|0)|0;B=y;y=0;if(B&1)break;y=0;k[D>>2]=k[E>>2];k[D+4>>2]=k[E+4>>2];k[D+8>>2]=k[E+8>>2];Na(109,a|0,F|0,D|0);E=y;y=0;if(E&1){b=pb()|0;$9(F);break b}$9(F);$9(I);I=k[H>>2]|0;r=G;return I|0}while(0);b=pb()|0;$9(F);C=43}}}}}}while(0);if((C|0)==42){b=pb()|0;C=43}EO(H);H=b;$9(I);sb(H|0)}while(0);zqa(h);H=b;$9(I);sb(H|0)}while(0);H=pb()|0;$9(I);sb(H|0);return 0}function _e(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0;H=0;F=r;r=r+384|0;B=F+344|0;e=F+340|0;x=F+40|0;z=F+336|0;m=F;j=F+332|0;G=F+280|0;c=F+328|0;n=F+288|0;f=F+284|0;o=F+276|0;q=F+272|0;s=F+232|0;t=F+220|0;l=F+208|0;u=F+168|0;C=F+152|0;v=F+148|0;w=F+144|0;g=F+140|0;h=F+136|0;D=F+96|0;E=F+80|0;A=b+64|0;rT(B,A);d=k[B>>2]|0;k[c>>2]=d;y=0;a=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,a|0)|0;d=y;y=0;if(!(d&1)){y=0;oa(482,G|0,a|0);d=y;y=0;if(!(d&1)){EO(c);d=b+60|0;a:do if((k[d>>2]|0)==2){y=0;c=qa(332,68)|0;E=y;y=0;if(E&1)H=9;else{e=n;f=b+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));a=k[G>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+72>>2]|0,a|0)|0;b=y;y=0;if(!(b&1)){e=m;f=n;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(366,c|0);b=y;y=0;if(!(b&1)){e=c+12|0;f=m;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=9208;k[c+56>>2]=1;k[c+64>>2]=0;i[c+60>>0]=a&1^1;H=c;EO(G);r=F;return H|0}}a=pb()|0;zqa(c)}}else{c=k[G>>2]|0;switch(k[c+56>>2]|0){case 2:{y=0;a=qa(332,104)|0;b=y;y=0;if(b&1){H=9;break a}y=0;oa(451,a|0,c|0);b=y;y=0;if(b&1){F=pb()|0;zqa(a);a=F;break a}H=a+64|0;I=+p[H>>3];I=(k[d>>2]|0)==1?-I:I;k[a+100>>2]=0;p[H>>3]=I;H=a;EO(G);r=F;return H|0}case 8:{H=16;break}default:{a=c;H=32}}do if((H|0)==16){y=0;oa(464,e|0,A|0);n=y;y=0;if(n&1){H=9;break a}a=k[e>>2]|0;k[f>>2]=a;if(!a)EO(f);else{n=(pw(a,40,1200,0)|0)==0;EO(f);if(!n){y=0;d=qa(332,80)|0;C=y;y=0;if(C&1){H=9;break a}e=s;f=b+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,82159,0);C=y;y=0;if(C&1)a=pb()|0;else{y=0;e=B;f=s;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));Ea(2,d|0,B|0,t|0,0,0,0,1);C=y;y=0;if(C&1)c=1;else{y=0;oa(482,q|0,d|0);C=y;y=0;if(C&1)c=0;else{k[b+68>>2]=0;y=0;Ha(966,A|0,q|0)|0;C=y;y=0;if(!(C&1)){y=0;oa(464,B|0,A|0);C=y;y=0;if(!(C&1)){k[o>>2]=k[B>>2];EO(o);EO(q);$9(t);break}}a=pb()|0;EO(q);$9(t);break a}}a=pb()|0;$9(t);if(!c)break a}zqa(d);break a}}a=k[G>>2]|0;H=32}while(0);b:do if((H|0)==32){if((k[a+56>>2]|0)!=3){y=0;oa(464,h|0,G|0);C=y;y=0;if(C&1){H=9;break a}k[b+68>>2]=0;y=0;Ha(966,A|0,h|0)|0;C=y;y=0;if(!(C&1)){y=0;oa(464,j|0,A|0);C=y;y=0;if(!(C&1)){k[g>>2]=k[j>>2];EO(g);EO(h);break}}a=pb()|0;EO(h);break a}if(!a)a=0;else a=pw(a,40,568,0)|0;a=a+96|0;y=0;oa(452,l|0,a|0);t=y;y=0;c:do if(!(t&1)){t=i[l+11>>0]|0;t=((t<<24>>24<0?k[l+4>>2]|0:t&255)|0)==0;$9(l);if(t)break b;y=0;d=qa(332,80)|0;t=y;y=0;d:do if(t&1)a=pb()|0;else{e=u;f=(k[G>>2]|0)+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(452,C|0,a|0);t=y;y=0;do if(t&1)a=pb()|0;else{e=x;f=u;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(366,d|0);u=y;y=0;if(u&1)c=1;else{e=d+12|0;f=x;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=4;k[d>>2]=9640;i[d+60>>0]=0;i[d+61>>0]=0;y=0;oa(547,d+64|0,C|0);x=y;y=0;if(x&1){a=pb()|0;$9(C);break}k[d+76>>2]=0;y=0;oa(482,B|0,d|0);x=y;y=0;if(x&1)c=0;else{y=0;Ha(966,G|0,B|0)|0;x=y;y=0;if(x&1){a=pb()|0;EO(B);$9(C);break d}EO(B);$9(C);y=0;oa(464,w|0,G|0);C=y;y=0;if(C&1)break c;k[b+68>>2]=0;y=0;Ha(966,A|0,w|0)|0;C=y;y=0;do if(!(C&1)){y=0;oa(464,z|0,A|0);C=y;y=0;if(C&1)break;k[v>>2]=k[z>>2];EO(v);EO(w);break b}while(0);a=pb()|0;EO(w);break a}}a=pb()|0;$9(C);if(!c)break d}while(0);zqa(d)}while(0);break a}while(0);a=pb()|0;break a}while(0);y=0;c=qa(332,80)|0;C=y;y=0;if(C&1)H=9;else{e=D;f=b+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(k[(k[b>>2]|0)+20>>2]|0,E|0,b|0);b=y;y=0;do if(b&1)a=pb()|0;else{y=0;e=B;f=D;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));Ea(2,c|0,B|0,E|0,0,0,0,1);b=y;y=0;if(b&1){a=pb()|0;$9(E);break}$9(E);H=c;EO(G);r=F;return H|0}while(0);zqa(c)}}while(0);if((H|0)==9)a=pb()|0;EO(G);H=a;sb(H|0)}}H=pb()|0;EO(c);sb(H|0);return 0}function $e(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;H=0;E=r;r=r+320|0;B=E+280|0;t=E+16|0;e=E+268|0;j=E+256|0;l=E+240|0;m=E+200|0;F=E+252|0;x=E+160|0;K=E+152|0;L=E+148|0;q=E;u=E+144|0;G=E+72|0;s=E+128|0;v=E+120|0;w=E+80|0;z=E+68|0;A=E+64|0;C=E+60|0;D=E+56|0;d=a+108|0;c=x;n=d;o=c+40|0;do{k[c>>2]=k[n>>2];c=c+4|0;n=n+4|0}while((c|0)<(o|0));_V(K,0);y=0;oa(482,L|0,0);J=y;y=0;if(J&1){L=pb()|0;EO(K);sb(L|0)}I=a+164|0;J=i[I>>0]|0;i[I>>0]=1;f=a+152|0;k[e>>2]=k[f>>2];k[e+4>>2]=k[f+4>>2];k[e+8>>2]=k[f+8>>2];p=a+76|0;b=k[p>>2]|0;g=a+84|0;k[j>>2]=k[g>>2];k[j+4>>2]=k[g+4>>2];k[j+8>>2]=k[g+8>>2];h=a+96|0;k[l>>2]=k[h>>2];k[l+4>>2]=k[h+4>>2];k[l+8>>2]=k[h+8>>2];c=m;n=d;o=c+40|0;do{k[c>>2]=k[n>>2];c=c+4|0;n=n+4|0}while((c|0)<(o|0));y=0;ta(61,a|0,1,0)|0;o=y;y=0;a:do if(o&1)H=10;else{y=0;c=ta(90,a|0,1,0)|0;o=y;y=0;if(o&1)H=10;else{b:do if(!c){c=d;n=m;o=c+40|0;do{k[c>>2]=k[n>>2];c=c+4|0;n=n+4|0}while((c|0)<(o|0));k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];k[p>>2]=b;k[h>>2]=k[l>>2];k[h+4>>2]=k[l+4>>2];k[h+8>>2]=k[l+8>>2];k[g>>2]=k[j>>2];k[g+4>>2]=k[j+4>>2];k[g+8>>2]=k[j+8>>2]}else{y=0;b=qa(419,a|0)|0;o=y;y=0;do if(o&1)b=pb()|0;else{k[B>>2]=b;y=0;Ha(966,L|0,B|0)|0;o=y;y=0;if(o&1){b=pb()|0;EO(B);break}else{EO(B);b=k[p>>2]|0;break b}}while(0);break a}while(0);y=0;b=qa(359,b|0)|0;o=y;y=0;if(o&1)H=10;else{d=a+80|0;if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)b=k[p>>2]|0;y=0;c=qa(360,b|0)|0;o=y;y=0;if(o&1)H=10;else{o=c|0?c:b;o=(i[o>>0]|0)==123?o+1|0:0;c:do if((o|0)==0?1:o>>>0>(k[d>>2]|0)>>>0){y=0;Na(113,B|0,a|0,k[p>>2]|0);u=y;y=0;if(u&1){b=pb()|0;break a}b=k[B>>2]|0;u=B+4|0;k[q>>2]=k[u>>2];k[q+4>>2]=k[u+4>>2];k[q+8>>2]=k[u+8>>2];if(b|0){k[s>>2]=b;b=s+4|0;k[b>>2]=k[q>>2];k[b+4>>2]=k[q+4>>2];k[b+8>>2]=k[q+8>>2];y=0;k[B>>2]=k[s>>2];k[B+4>>2]=k[s+4>>2];k[B+8>>2]=k[s+8>>2];k[B+12>>2]=k[s+12>>2];b=ta(121,a|0,B|0,0)|0;u=y;y=0;if(u&1){H=10;break a}k[G>>2]=b;y=0;h=qa(332,88)|0;u=y;y=0;d:do if(u&1)H=47;else{DN(t|0,b+12|0,40)|0;y=0;na(366,h|0);u=y;y=0;do if(u&1)b=pb()|0;else{c=h+12|0;n=t;o=c+40|0;do{k[c>>2]=k[n>>2];c=c+4|0;n=n+4|0}while((c|0)<(o|0));k[h>>2]=5252;k[h+52>>2]=0;k[h+56>>2]=0;i[h+60>>0]=0;b=h+64|0;k[b>>2]=5212;f=h+68|0;g=h+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(561,f|0,1);u=y;y=0;if(u&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{H=d+-4|0;k[g>>2]=H;EO(H);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[h>>2]=5076;k[b>>2]=5172;i[h+84>>0]=1;i[h+85>>0]=0;y=0;oa(482,B|0,h|0);u=y;y=0;if(u&1){H=47;break d}y=0;Ha(966,K|0,B|0)|0;u=y;y=0;if(u&1){b=pb()|0;EO(B);H=51;break d}EO(B);b=(k[K>>2]|0)+64|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(482,v|0,k[G>>2]|0);u=y;y=0;if(u&1){b=pb()|0;break d}y=0;oa(c|0,b|0,v|0);u=y;y=0;if(u&1){b=pb()|0;EO(v);break d}else{EO(v);EO(G);break c}}while(0);zqa(h);H=51}while(0);if((H|0)==47){b=pb()|0;H=51}EO(G);break a}}else{y=0;ta(94,a|0,1,0)|0;G=y;y=0;if(G&1){H=10;break a}c=i[I>>0]|0;i[I>>0]=1;y=0;b=Ha(1010,a|0,1)|0;G=y;y=0;if(G&1){b=pb()|0;i[I>>0]=c}else{i[I>>0]=c;k[u>>2]=b;y=0;oa(482,B|0,b|0);G=y;y=0;do if(G&1)b=pb()|0;else{y=0;Ha(966,K|0,B|0)|0;G=y;y=0;if(G&1){b=pb()|0;EO(B);break}else{EO(B);EO(u);break c}}while(0);EO(u)}break a}while(0);y=0;d=qa(332,72)|0;G=y;y=0;if(G&1)H=10;else{c=w;n=x;o=c+40|0;do{k[c>>2]=k[n>>2];c=c+4|0;n=n+4|0}while((c|0)<(o|0));y=0;oa(464,z|0,K|0);G=y;y=0;do if(G&1)b=pb()|0;else{y=0;oa(482,A|0,0);G=y;y=0;if(G&1){b=pb()|0;EO(z);break}y=0;c=B;n=w;o=c+40|0;do{k[c>>2]=k[n>>2];c=c+4|0;n=n+4|0}while((c|0)<(o|0));Ra(30,d|0,B|0,z|0,A|0);G=y;y=0;if(G&1)c=1;else{y=0;oa(482,F|0,d|0);G=y;y=0;if(G&1)c=0;else{EO(A);EO(z);b=k[L>>2]|0;if(!b){i[I>>0]=J;EO(L);EO(K);L=k[F>>2]|0;r=E;return L|0}c=k[F>>2]|0;y=0;oa(482,D|0,b|0);G=y;y=0;if(G&1)b=pb()|0;else{b=c+68|0;y=0;Ha(966,b|0,D|0)|0;G=y;y=0;do if(!(G&1)){y=0;oa(464,B|0,b|0);G=y;y=0;if(G&1)break;k[C>>2]=k[B>>2];EO(C);EO(D);i[I>>0]=J;EO(L);EO(K);L=k[F>>2]|0;r=E;return L|0}while(0);b=pb()|0;EO(D)}EO(F);break a}}b=pb()|0;EO(A);EO(z);if(!c)break a}while(0);zqa(d)}}}}}while(0);if((H|0)==10)b=pb()|0;i[I>>0]=J;EO(L);L=b;EO(K);sb(L|0);return 0}function af(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0;s=0;Q=r;r=r+208|0;M=Q+160|0;x=Q+205|0;z=Q+152|0;A=Q+144|0;B=Q+204|0;C=Q+136|0;D=Q+128|0;E=Q+203|0;t=Q+120|0;u=Q+112|0;v=Q+202|0;w=Q+104|0;l=Q+96|0;m=Q+201|0;n=Q+88|0;f=Q+80|0;g=Q+200|0;h=Q+72|0;S=Q+56|0;G=Q+44|0;F=Q+32|0;J=Q+16|0;O=Q;k[S+4>>2]=0;k[S+8>>2]=0;T=S+4|0;k[S>>2]=T;K=a+76|0;L=a+80|0;e=k[K>>2]|0;I=(k[L>>2]|0)-e|0;j=(I|0)/12|0;a:do if(!I)s=3;else{d=0;while(1){I=e+(d*12|0)|0;k[f>>2]=I;y=0;ya(10,h|0,S|0,I|0,80080,f|0,g|0);I=y;y=0;if(I&1)break;I=(k[h>>2]|0)+28|0;k[I>>2]=(k[I>>2]|0)+1;d=d+1|0;if(d>>>0>=j>>>0){s=3;break a}e=k[K>>2]|0}d=pb()|0}while(0);b:do if((s|0)==3){H=a+88|0;I=a+92|0;d=k[I>>2]|0;f=k[H>>2]|0;s=d-f|0;e=(s|0)/12|0;do if(!s){j=H;h=d}else{d=0;while(1){s=f+(d*12|0)|0;k[l>>2]=s;y=0;ya(10,n|0,S|0,s|0,80080,l|0,m|0);s=y;y=0;if(s&1){s=15;break}f=(k[n>>2]|0)+28|0;k[f>>2]=(k[f>>2]|0)+-1;d=d+1|0;f=k[H>>2]|0;if(d>>>0>=e>>>0){s=10;break}}if((s|0)==10){j=H;h=k[I>>2]|0;break}else if((s|0)==15){d=pb()|0;break b}}while(0);d=k[L>>2]|0;do if((f|0)==(h|0)){o=1.0;s=43}else{q=1.0;e=k[K>>2]|0;g=f;c:while(1){y=0;oa(452,G|0,g|0);g=g+12|0;s=y;y=0;if(s&1){s=19;break}k[u>>2]=G;y=0;ya(10,w|0,S|0,G|0,80080,u|0,v|0);s=y;y=0;if(s&1){s=23;break}d:do if((k[(k[w>>2]|0)+28>>2]|0)>-1)o=q;else{y=0;f=qa(331,G|0)|0;s=y;y=0;if(s&1){s=23;break c}if((f|0)==1280|(e|0)==(d|0))o=q;else{while(1){s=e;e=e+12|0;y=0;oa(452,F|0,s|0);s=y;y=0;if(s&1){s=22;break c}k[D>>2]=F;y=0;ya(10,t|0,S|0,F|0,80080,D|0,E|0);s=y;y=0;if(s&1){s=30;break c}if((k[(k[t>>2]|0)+28>>2]|0)>=1){y=0;f=qa(331,F|0)|0;s=y;y=0;if(s&1){s=30;break c}if((f|0)!=1280)break}$9(F);if((e|0)==(d|0)){o=q;e=d;break d}}y=0;o=+Ja(1,F|0,G|0,c|0);s=y;y=0;if(s&1){s=31;break c}k[A>>2]=F;y=0;ya(10,C|0,S|0,F|0,80080,A|0,B|0);s=y;y=0;if(s&1){s=31;break c}s=(k[C>>2]|0)+28|0;k[s>>2]=(k[s>>2]|0)+-1;k[M>>2]=G;y=0;ya(10,z|0,S|0,G|0,80080,M|0,x|0);s=y;y=0;if(s&1){s=31;break c}s=(k[z>>2]|0)+28|0;k[s>>2]=(k[s>>2]|0)+1;$9(F);o=q*o}}while(0);$9(G);if((g|0)==(h|0)){s=42;break}else q=o}if((s|0)==19){R=pb()|0;break}else if((s|0)==22){d=pb()|0;s=24}else if((s|0)==23){d=pb()|0;s=24}else if((s|0)==30){d=pb()|0;s=32}else if((s|0)==31){d=pb()|0;s=32}else if((s|0)==42){d=k[L>>2]|0;s=43;break}if((s|0)!=24)if((s|0)==32)$9(F);$9(G);break b}while(0);e:do if((s|0)==43){e=k[K>>2]|0;if((d|0)!=(e|0))do{G=d+-12|0;k[L>>2]=G;$9(G);d=k[L>>2]|0}while((d|0)!=(e|0));e=k[j>>2]|0;d=k[I>>2]|0;if((d|0)!=(e|0))do{G=d+-12|0;k[I>>2]=G;$9(G);d=k[I>>2]|0}while((d|0)!=(e|0));d=k[S>>2]|0;f:do if((d|0)!=(T|0)){h=J+12|0;j=J+11|0;l=J+4|0;m=a+96|0;n=a+84|0;e=d;g:while(1){y=0;oa(452,J|0,e+16|0);G=y;y=0;if(G&1){s=50;break}G=k[e+28>>2]|0;k[h>>2]=G;g=(G|0)>-1?G:0-G|0;if(G|0){f=0;do{G=i[j>>0]|0;do if((G<<24>>24<0?k[l>>2]|0:G&255)|0){d=k[h>>2]|0;if((d|0)<0){d=k[I>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;oa(460,H|0,J|0);G=y;y=0;if(G&1){s=64;break g}else break}y=0;oa(452,d|0,J|0);G=y;y=0;if(G&1){s=64;break g}k[I>>2]=(k[I>>2]|0)+12;break}if(d|0){d=k[L>>2]|0;if((d|0)==(k[n>>2]|0)){y=0;oa(460,K|0,J|0);G=y;y=0;if(G&1){s=64;break g}else break}y=0;oa(452,d|0,J|0);G=y;y=0;if(G&1){s=64;break g}k[L>>2]=(k[L>>2]|0)+12}}while(0);f=f+1|0}while(f>>>0<g>>>0)}$9(J);d=k[e+4>>2]|0;if(!d)while(1){d=k[e+8>>2]|0;if((k[d>>2]|0)==(e|0))break;else e=d}else while(1){e=k[d>>2]|0;if(!e)break;else d=e}if((d|0)==(T|0))break f;else e=d}if((s|0)==50){d=pb()|0;break b}else if((s|0)==64){d=pb()|0;$9(J);break b}}while(0);L=a+64|0;p[L>>3]=o*+p[L>>3];y=0;ta(46,a|0,b|0,c|0)|0;L=y;y=0;if(!(L&1)){T=k[T>>2]|0;GD(S,T);r=Q;return}e=cb(464,0)|0;L=N;L=(L|0)==(ob(464)|0);e=vb(e|0)|0;if(!L){y=0;la(4);y=0;d=pb()|0;y=0;la(3);L=y;y=0;if(!(L&1))break b;L=tb(0)|0;dla(L)}K=oc[k[(k[e>>2]|0)+8>>2]&511](e)|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;L=JI(K)|0;y=0;Na(75,O|0,K|0,L|0);L=y;y=0;do if(L&1)d=pb()|0;else{y=0;f=M;d=a+12|0;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));oa(458,O|0,M|0);P=y;y=0;if(P&1){d=pb()|0;$9(O);break}$9(O);y=0;la(3);R=y;y=0;if(R&1){R=pb()|0;break e}else{T=k[T>>2]|0;GD(S,T);r=Q;return}}while(0);y=0;la(3);Q=y;y=0;if(!(Q&1))break b;Q=tb(0)|0;dla(Q)}while(0);d=R}while(0);GD(S,k[T>>2]|0);sb(d|0)}function bf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;n=0;P=r;r=r+128|0;I=P+96|0;J=P+92|0;L=P+88|0;M=P+84|0;N=P+80|0;O=P+76|0;j=P+72|0;f=P+68|0;g=P+64|0;B=P+40|0;l=P+32|0;h=P+24|0;m=P+28|0;C=P+20|0;D=P+16|0;E=P+12|0;F=P+8|0;G=P+4|0;H=P;if(!b){i[a>>0]=0;k[a+4>>2]=3;k[a+8>>2]=0;_V(a+12|0,0);k[a+16>>2]=0;k[a+20>>2]=0;r=P;return}d=ZL(36)|0;k[d+4>>2]=0;k[d+8>>2]=0;k[d>>2]=14100;c=d+12|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[c+16>>2]=0;k[c+20>>2]=0;i[B>>0]=0;k[B+4>>2]=2;k[B+8>>2]=0;R=B+12|0;y=0;oa(482,R|0,0);Q=y;y=0;if(Q&1){R=pb()|0;kZ(d);sb(R|0)}K=B+16|0;k[K>>2]=c;Q=B+20|0;k[Q>>2]=d;Sba(d);kZ(d);d=b+60|0;e=i[d>>0]|0;i[B>>0]=e;e=e<<24>>24!=0;c=b+76|0;y=0;oa(464,g|0,c|0);A=y;y=0;a:do if(A&1)n=15;else{A=k[g>>2]|0;k[l>>2]=A;b:do if(!A){EO(l);c=b;n=21}else{y=0;oa(464,f|0,c|0);A=y;y=0;do if(A&1)c=pb()|0;else{c=k[f>>2]|0;k[h>>2]=c;y=0;c=qa(k[(k[c>>2]|0)+128>>2]|0,c|0)|0;A=y;y=0;if(A&1){c=pb()|0;EO(h);break}EO(h);EO(l);if(!c){c=b;n=21;break b}y=0;oa(464,j|0,b+80|0);A=y;y=0;if(A&1){n=15;break a}c=k[j>>2]|0;k[m>>2]=c;if(c|0)i[c+60>>0]=i[d>>0]|0;EO(m);if(!c)break b;else{n=21;break b}}while(0);EO(l);d=c;break a}while(0);c:do if((n|0)==21){s=I+4|0;t=I+8|0;z=I+12|0;u=I+16|0;w=I+20|0;A=I+12|0;v=I+16|0;x=I+20|0;d:while(1){f=c+76|0;y=0;oa(464,O|0,f|0);q=y;y=0;if(q&1){n=14;break}q=k[O>>2]|0;k[C>>2]=q;if(!q)d=0;else{y=0;oa(464,M|0,f|0);q=y;y=0;if(q&1){n=31;break}q=k[M>>2]|0;k[D>>2]=q;d=k[q+76>>2]|0;if(((k[q+80>>2]|0)-d|0)==4){d=k[d>>2]|0;if(!d)d=0;else d=(pw(d,144,384,0)|0)!=0}else d=0;EO(D)}EO(C);y=0;oa(464,J|0,f|0);q=y;y=0;if(q&1){n=32;break}k[E>>2]=k[J>>2];EO(E);y=0;oa(464,I|0,f|0);q=y;y=0;if(q&1){n=32;break}q=k[I>>2]|0;k[F>>2]=q;EO(F);do if(!(d|(q|0)==0)){f=k[K>>2]|0;p=k[Q>>2]|0;q=(p|0)==0;if(!q)Sba(p);y=0;Na(87,I|0,c|0,0);o=y;y=0;if(o&1){n=50;break d}m=f+8|0;h=k[m>>2]|0;n=f+4|0;g=k[n>>2]|0;S=h-g>>2;b=f+16|0;l=k[b>>2]|0;o=f+20|0;j=k[o>>2]|0;if((((S|0)==0?0:(S*170|0)+-1|0)|0)==(j+l|0)){y=0;na(370,f|0);S=y;y=0;if(S&1){n=51;break d}j=k[o>>2]|0;f=k[b>>2]|0;h=k[m>>2]|0;g=k[n>>2]|0}else f=l;f=j+f|0;if((h|0)==(g|0))f=0;else f=(k[g+(((f>>>0)/170|0)<<2)>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[f>>2]=k[I>>2];k[f+4>>2]=k[I+4>>2];k[f+8>>2]=k[I+8>>2];y=0;oa(464,f+12|0,A|0);S=y;y=0;if(S&1){n=51;break d}k[f+16>>2]=k[v>>2];k[f+20>>2]=k[x>>2];k[v>>2]=0;k[x>>2]=0;k[o>>2]=(k[o>>2]|0)+1;EO(A);if(!q)kZ(p);if(e){e=k[K>>2]|0;f=k[Q>>2]|0;g=(f|0)==0;if(!g)Sba(f);S=(k[e+20>>2]|0)+-1+(k[e+16>>2]|0)|0;i[(k[(k[e+4>>2]|0)+(((S>>>0)/170|0)<<2)>>2]|0)+(((S>>>0)%170|0)*24|0)>>0]=1;if(g){e=0;break}kZ(f);e=0}else e=0}while(0);g=c+72|0;f=k[g>>2]|0;do if(f){m=k[K>>2]|0;p=k[Q>>2]|0;q=(p|0)==0;if(!q){Sba(p);f=k[g>>2]|0}i[I>>0]=0;k[s>>2]=1;k[t>>2]=f;y=0;oa(482,z|0,0);S=y;y=0;if(S&1){n=73;break d}k[u>>2]=0;k[w>>2]=0;l=m+8|0;h=k[l>>2]|0;n=m+4|0;g=k[n>>2]|0;S=h-g>>2;b=m+16|0;j=k[b>>2]|0;o=m+20|0;f=k[o>>2]|0;if((((S|0)==0?0:(S*170|0)+-1|0)|0)==(f+j|0)){y=0;na(370,m|0);S=y;y=0;if(S&1){n=74;break d}f=k[o>>2]|0;j=k[b>>2]|0;h=k[l>>2]|0;g=k[n>>2]|0}f=f+j|0;if((h|0)==(g|0))f=0;else f=(k[g+(((f>>>0)/170|0)<<2)>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[f>>2]=k[I>>2];k[f+4>>2]=k[I+4>>2];k[f+8>>2]=k[I+8>>2];y=0;oa(464,f+12|0,z|0);S=y;y=0;if(S&1){n=74;break d}k[f+16>>2]=k[u>>2];k[f+20>>2]=k[w>>2];k[u>>2]=0;k[w>>2]=0;k[o>>2]=(k[o>>2]|0)+1;EO(z);if(!q)kZ(p);if(!e){e=0;break}e=k[K>>2]|0;f=k[Q>>2]|0;g=(f|0)==0;if(!g)Sba(f);S=(k[e+20>>2]|0)+-1+(k[e+16>>2]|0)|0;i[(k[(k[e+4>>2]|0)+(((S>>>0)/170|0)<<2)>>2]|0)+(((S>>>0)%170|0)*24|0)>>0]=1;if(g){e=0;break}kZ(f);e=0}while(0);if(d){c=c+80|0;y=0;oa(464,L|0,c|0);S=y;y=0;if(S&1){n=32;break}k[G>>2]=k[L>>2];EO(G)}else c=c+80|0;y=0;oa(464,N|0,c|0);S=y;y=0;if(S&1){n=32;break}c=k[N>>2]|0;k[H>>2]=c;EO(H);if(!c)break c}if((n|0)==14){c=pb()|0;n=16;break a}else if((n|0)==31){d=pb()|0;EO(C);break a}else if((n|0)==32){d=pb()|0;break a}else if((n|0)==50){d=pb()|0;n=54}else if((n|0)==51){d=pb()|0;c=k[x>>2]|0;if(c|0)kZ(c);EO(A);n=54}else if((n|0)==73){d=pb()|0;n=77}else if((n|0)==74){d=pb()|0;c=k[w>>2]|0;if(c|0)kZ(c);EO(z);n=77}if((n|0)==54){if(q)break a;kZ(p);break a}else if((n|0)==77){if(q)break a;kZ(p);break a}}while(0);k[a>>2]=k[B>>2];k[a+4>>2]=k[B+4>>2];k[a+8>>2]=k[B+8>>2];y=0;oa(464,a+12|0,R|0);S=y;y=0;if(S&1)n=15;else{k[a+16>>2]=k[K>>2];k[a+20>>2]=k[Q>>2];k[K>>2]=0;k[Q>>2]=0;EO(R);r=P;return}}while(0);if((n|0)==15){c=pb()|0;n=16}if((n|0)==16)d=c;c=k[Q>>2]|0;if(!c){EO(R);sb(d|0)}kZ(c);EO(R);sb(d|0)}function cf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;x=0;w=r;r=r+176|0;z=w+40|0;g=w;p=w+160|0;q=w+148|0;s=w+136|0;t=w+96|0;v=w+92|0;u=w+88|0;j=w+84|0;m=w+80|0;n=a+76|0;c=HI(k[n>>2]|0)|0;o=a+80|0;if((c|0)==0?1:c>>>0>(k[o>>2]|0)>>>0)c=k[n>>2]|0;l=oW(c)|0;c=l|0?l:c;a:do switch(i[c>>0]|0){case 41:case 58:case 123:case 125:case 59:{c=c+1|0;break}default:{d=oja(c)|0;if(!d){d=i[44142]|0;if(d<<24>>24){e=c;f=44142;while(1){if((i[e>>0]|0)!=d<<24>>24)break;e=e+1|0;f=f+1|0;d=i[f>>0]|0;if(!(d<<24>>24)){c=e;break a}}d=uF(c)|0;if(!d)c=zF(c)|0;else c=d}}else c=d}}while(0);if(!((c|0)==0?1:c>>>0>(k[o>>2]|0)>>>0)){h=ZL(88)|0;c=z;e=a+108|0;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;na(366,h|0);x=y;y=0;if(x&1)c=pb()|0;else{c=h+12|0;e=z;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;c=h+56|0;k[c>>2]=0;k[h>>2]=7760;d=h+60|0;k[d>>2]=7720;b=h+64|0;g=h+68|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;y=0;oa(518,b|0,0);z=y;y=0;if(!(z&1)){k[h>>2]=7552;k[d>>2]=7680;k[h+80>>2]=1;i[h+84>>0]=0;i[h+85>>0]=0;k[c>>2]=5;_V(v,h);z=k[v>>2]|0;r=w;return z|0}c=pb()|0;f=N;d=k[b>>2]|0;if(d|0){e=k[g>>2]|0;if((e|0)!=(d|0)){do{z=e+-4|0;k[g>>2]=z;EO(z);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[b>>2]|0}zqa(d)}}zqa(h);z=c;sb(z|0)}c=cg(a)|0;k[z>>2]=c;y=0;c=qa(359,k[n>>2]|0)|0;l=y;y=0;b:do if(l&1)x=29;else{if((c|0)==0?1:c>>>0>(k[o>>2]|0)>>>0)c=k[n>>2]|0;y=0;d=qa(360,c|0)|0;l=y;y=0;if(l&1)x=29;else{l=d|0?d:c;l=(i[l>>0]|0)==44?l+1|0:0;c:do if((l|0)==0?1:l>>>0>(k[o>>2]|0)>>>0){if(!b){x=k[z>>2]|0;y=0;oa(k[(k[x>>2]|0)+96>>2]|0,x|0,0);x=y;y=0;if(x&1){x=29;break b}}y=0;oa(464,v|0,z|0);x=y;y=0;if(x&1){x=29;break b}else c=z}else{y=0;h=qa(332,88)|0;l=y;y=0;if(l&1){x=29;break b}l=a+108|0;c=g;e=l;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;na(366,h|0);b=y;y=0;do if(b&1)c=pb()|0;else{c=h+12|0;e=g;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;c=h+56|0;k[c>>2]=0;k[h>>2]=7760;d=h+60|0;k[d>>2]=7720;b=h+64|0;g=h+68|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;y=0;oa(518,b|0,2);f=y;y=0;if(f&1){c=pb()|0;f=N;d=k[b>>2]|0;if(d|0){e=k[g>>2]|0;if((e|0)!=(d|0)){do{w=e+-4|0;k[g>>2]=w;EO(w);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[b>>2]|0}zqa(d)}break}k[h>>2]=7552;k[d>>2]=7680;k[h+80>>2]=0;i[h+84>>0]=0;i[h+85>>0]=0;k[c>>2]=5;y=0;oa(482,u|0,h|0);h=y;y=0;if(h&1){x=29;break b}c=(k[u>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(464,j|0,z|0);h=y;y=0;do if(h&1)x=65;else{y=0;oa(d|0,c|0,j|0);h=y;y=0;if(h&1){c=pb()|0;EO(j);break}EO(j);b=a+152|0;g=a+84|0;h=a+96|0;d:while(1){k[p>>2]=k[b>>2];k[p+4>>2]=k[b+4>>2];k[p+8>>2]=k[b+8>>2];d=k[n>>2]|0;k[q>>2]=k[g>>2];k[q+4>>2]=k[g+4>>2];k[q+8>>2]=k[g+8>>2];k[s>>2]=k[h>>2];k[s+4>>2]=k[h+4>>2];k[s+8>>2]=k[h+8>>2];c=t;e=l;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;ta(61,a|0,1,0)|0;j=y;y=0;if(j&1){x=64;break}y=0;c=ta(62,a|0,1,0)|0;j=y;y=0;if(j&1){x=64;break}if(!c){x=47;break}y=0;c=qa(359,k[n>>2]|0)|0;j=y;y=0;if(j&1){x=64;break}if((c|0)==0?1:c>>>0>(k[o>>2]|0)>>>0)c=k[n>>2]|0;y=0;d=qa(360,c|0)|0;j=y;y=0;if(j&1){x=64;break}c=d|0?d:c;e:do switch(i[c>>0]|0){case 41:case 58:case 123:case 125:case 59:{c=c+1|0;break}default:{y=0;d=qa(362,c|0)|0;j=y;y=0;if(j&1){x=64;break d}if(d|0){c=d;break e}d=i[44142]|0;if(!(d<<24>>24))break e;else{e=c;f=44142}while(1){if((i[e>>0]|0)!=d<<24>>24)break;e=e+1|0;f=f+1|0;d=i[f>>0]|0;if(!(d<<24>>24)){c=e;break e}}y=0;d=qa(368,c|0)|0;j=y;y=0;if(j&1){x=64;break d}if(d|0){c=d;break e}y=0;c=qa(369,c|0)|0;j=y;y=0;if(j&1){x=64;break d}}}while(0);if(!((c|0)==0?1:c>>>0>(k[o>>2]|0)>>>0))break;c=(k[u>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;e=qa(370,a|0)|0;j=y;y=0;if(j&1){x=64;break}k[m>>2]=e;y=0;oa(d|0,c|0,m|0);j=y;y=0;if(j&1){x=71;break}EO(m)}if((x|0)==47){c=l;e=t;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));k[b>>2]=k[p>>2];k[b+4>>2]=k[p+4>>2];k[b+8>>2]=k[p+8>>2];k[n>>2]=d;k[h>>2]=k[s>>2];k[h+4>>2]=k[s+4>>2];k[h+8>>2]=k[s+8>>2];k[g>>2]=k[q>>2];k[g+4>>2]=k[q+4>>2];k[g+8>>2]=k[q+8>>2]}else if((x|0)==64){c=pb()|0;x=66;break}else if((x|0)==71){c=pb()|0;EO(m);break}y=0;oa(482,v|0,k[u>>2]|0);x=y;y=0;if(x&1)x=65;else{EO(u);c=z;break c}}while(0);if((x|0)==65){c=pb()|0;x=66}EO(u);break b}while(0);zqa(h);break b}while(0);EO(c);z=k[v>>2]|0;r=w;return z|0}}while(0);if((x|0)==29)c=pb()|0;EO(z);z=c;sb(z|0);return 0}function df(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;x=0;v=r;r=r+32|0;w=v+12|0;t=v;u=a+4|0;if((lka(u)|0)==5)if((k[b+64>>2]|0)==(k[b+68>>2]|0)){k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;jI(w,44119,2);y=0;oa(605,u|0,w|0);x=y;y=0;if(x&1){x=pb()|0;$9(w);sb(x|0)}else{$9(w);r=v;return}}s=b+80|0;c=(k[s>>2]|0)==1?47081:46818;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;jI(w,c,1);y=0;c=qa(458,u|0)|0;q=y;y=0;a:do if(q&1)x=13;else{if((c|0)==3)x=14;else{q=i[w+11>>0]|0;if(((q<<24>>24<0?k[w+4>>2]|0:q&255)|0)==1){y=0;c=sa(21,w|0,0,-1,46818,1)|0;q=y;y=0;if(q&1){q=tb(0)|0;dla(q)}if(!c){y=0;Ha(970,w|0,47081)|0;q=y;y=0;if(q&1){x=13;break}}else x=14}else x=14}b:do if((x|0)==14)if(i[a+98>>0]|0){q=i[w+11>>0]|0;do if(((q<<24>>24<0?k[w+4>>2]|0:q&255)|0)==1){y=0;c=sa(21,w|0,0,-1,47081,1)|0;q=y;y=0;if(q&1){q=tb(0)|0;dla(q)}else if(!c)break b;else break}while(0);y=0;Ha(970,w|0,47081)|0;q=y;y=0;if(q&1){x=13;break a}}while(0);o=b+60|0;n=b+68|0;c:do if((k[b+64>>2]|0)!=(k[n>>2]|0)){p=a+100|0;m=j[p>>1]|0;l=m&255;q=a+101|0;m=(m&65535)>>>8&255;y=0;c=qa(458,u|0)|0;h=y;y=0;d:do if(!(h&1)){e:do if((c|0)==5)if(((k[n>>2]|0)-(k[b+64>>2]|0)|0)==4)if(!(i[b+85>>0]|0)){y=0;c=Ha(k[(k[o>>2]|0)+16>>2]|0,o|0,0)|0;h=y;y=0;if(h&1)break d;c=k[c>>2]|0;if(c|0)if(pw(c,40,216,0)|0){x=38;break}y=0;c=Ha(k[(k[o>>2]|0)+16>>2]|0,o|0,0)|0;h=y;y=0;if(h&1)break d;c=k[c>>2]|0;if(c|0)if(pw(c,40,104,0)|0){x=38;break}k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,44122,1);h=y;y=0;do if(h&1)c=pb()|0;else{y=0;oa(605,u|0,t|0);h=y;y=0;if(h&1){c=pb()|0;$9(t);break}else{$9(t);x=48;break e}}while(0);break a}else x=38;else x=38;else x=38;while(0);f:do if((x|0)==38)if(!(i[a+99>>0]|0)){c=k[s>>2]|0;switch(c|0){case 2:break;case 1:{if(!(i[p>>0]|0)){x=50;break f}break}case 0:{if(!(i[q>>0]|0)){x=48;break f}break}default:{x=49;break f}}k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,44122,1);h=y;y=0;do if(h&1)c=pb()|0;else{y=0;oa(605,u|0,t|0);h=y;y=0;if(h&1){c=pb()|0;$9(t);break}else{$9(t);x=48;break f}}while(0);break a}else x=48;while(0);if((x|0)==48){c=k[s>>2]|0;x=49}g:do if((x|0)==49){switch(c|0){case 1:{x=50;break g}case 0:break;default:break g}i[q>>0]=1}while(0);if((x|0)==50)i[p>>0]=1;y=0;f=qa(k[(k[b>>2]|0)+116>>2]|0,b|0)|0;h=y;y=0;if(h&1){c=pb()|0;break a}h:do if(f|0){g=w+11|0;h=w+4|0;e=0;c=0;i:while(1){if((k[s>>2]|0)==2)i[((i[g>>0]|0)<0?k[w>>2]|0:w)>>0]=e&1|0?58:44;y=0;d=Ha(k[(k[o>>2]|0)+16>>2]|0,o|0,e|0)|0;z=y;y=0;if(z&1){x=59;break}y=0;oa(464,t|0,d|0);z=y;y=0;if(z&1){x=59;break}y=0;d=qa(458,u|0)|0;z=y;y=0;if(z&1){x=67;break}do if((d|0)==5)x=69;else{d=k[t>>2]|0;y=0;d=qa(k[(k[d>>2]|0)+80>>2]|0,d|0)|0;z=y;y=0;if(z&1){x=67;break i}if(!d){x=69;break}d=k[t>>2]|0;if(!d)break;if(pw(d,40,520,0)|0)x=69}while(0);if((x|0)==69){x=0;do if(c){y=0;oa(605,u|0,w|0);z=y;y=0;if(z&1){x=67;break i}z=i[g>>0]|0;if(((z<<24>>24<0?k[h>>2]|0:z&255)|0)==1){y=0;c=sa(21,w|0,0,-1,47081,1)|0;z=y;y=0;if(z&1){x=73;break i}if(!c)break}y=0;na(397,u|0);z=y;y=0;if(z&1){x=67;break i}}while(0);z=k[t>>2]|0;y=0;oa(k[(k[z>>2]|0)+40>>2]|0,z|0,a|0);z=y;y=0;if(z&1){x=67;break}else c=1}EO(t);e=e+1|0;if(e>>>0>=f>>>0)break h}if((x|0)==59){c=pb()|0;break a}else if((x|0)==67){c=pb()|0;EO(t);break a}else if((x|0)==73){z=tb(0)|0;dla(z)}}while(0);i[q>>0]=m;i[p>>0]=l;y=0;c=qa(458,u|0)|0;z=y;y=0;if(!(z&1)){do if((c|0)==5)if(((k[n>>2]|0)-(k[b+64>>2]|0)|0)==4)if(!(i[b+85>>0]|0)){y=0;c=Ha(k[(k[o>>2]|0)+16>>2]|0,o|0,0)|0;z=y;y=0;if(z&1)break d;c=k[c>>2]|0;if(c|0)if(pw(c,40,216,0)|0)break;y=0;c=Ha(k[(k[o>>2]|0)+16>>2]|0,o|0,0)|0;z=y;y=0;if(z&1)break d;c=k[c>>2]|0;if(c|0)if(pw(c,40,104,0)|0)break;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,44124,2);z=y;y=0;do if(z&1)c=pb()|0;else{y=0;oa(605,u|0,t|0);z=y;y=0;if(z&1){c=pb()|0;$9(t);break}else{$9(t);break c}}while(0);break a}while(0);if(i[a+99>>0]|0)break c;switch(k[s>>2]|0){case 2:break;case 1:{if(!(i[p>>0]|0))break c;break}case 0:{if(!(i[q>>0]|0))break c;break}default:break c}k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,44127,1);z=y;y=0;do if(z&1)c=pb()|0;else{y=0;oa(605,u|0,t|0);z=y;y=0;if(z&1){c=pb()|0;$9(t);break}else{$9(t);break c}}while(0);break a}}while(0);c=pb()|0;break a}while(0);$9(w);r=v;return}while(0);if((x|0)==13)c=pb()|0;$9(w);z=c;sb(z|0)}function ef(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0;M=0;H=r;r=r+352|0;D=H+312|0;p=H+300|0;s=H+288|0;v=H+248|0;w=H;h=H+232|0;m=H+220|0;n=H+208|0;o=H+168|0;E=H+160|0;F=H+120|0;O=H+116|0;P=H+112|0;L=H+108|0;A=H+104|0;B=H+100|0;z=H+96|0;G=H+56|0;J=H+48|0;K=H+44|0;I=H+40|0;k[D>>2]=4;C=a+60|0;b=k[C>>2]|0;if(b>>>0<(k[a+64>>2]|0)>>>0){k[b>>2]=4;k[C>>2]=b+4}else az(a+56|0,D);q=a+108|0;b=F;j=q;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));t=i[(k[(k[a+48>>2]|0)+-4>>2]|0)+84>>0]|0;u=t<<24>>24!=0;x=cf(a,0)|0;k[O>>2]=x;x=a+164|0;b=i[x>>0]|0;i[x>>0]=t;y=0;c=Ha(1010,a|0,u|0)|0;l=y;y=0;if(l&1){P=pb()|0;i[x>>0]=b;EO(O);sb(P|0)}i[x>>0]=b;k[P>>2]=c;y=0;oa(482,L|0,0);l=y;y=0;if(l&1)b=pb()|0;else{c=a+152|0;k[h>>2]=k[c>>2];k[h+4>>2]=k[c+4>>2];k[h+8>>2]=k[c+8>>2];d=a+76|0;e=k[d>>2]|0;f=a+84|0;k[m>>2]=k[f>>2];k[m+4>>2]=k[f+4>>2];k[m+8>>2]=k[f+8>>2];g=a+96|0;k[n>>2]=k[g>>2];k[n+4>>2]=k[g+4>>2];k[n+8>>2]=k[g+8>>2];b=o;j=q;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));y=0;ta(61,a|0,1,0)|0;l=y;y=0;a:do if(l&1)M=27;else{y=0;b=ta(136,a|0,1,0)|0;l=y;y=0;if(l&1)M=27;else{b:do if(!b){b=q;j=o;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));k[c>>2]=k[h>>2];k[c+4>>2]=k[h+4>>2];k[c+8>>2]=k[h+8>>2];k[d>>2]=e;k[g>>2]=k[n>>2];k[g+4>>2]=k[n+4>>2];k[g+8>>2]=k[n+8>>2];k[f>>2]=k[m>>2];k[f+4>>2]=k[m+4>>2];k[f+8>>2]=k[m+8>>2];k[D>>2]=k[c>>2];k[D+4>>2]=k[c+4>>2];k[D+8>>2]=k[c+8>>2];k[p>>2]=k[f>>2];k[p+4>>2]=k[f+4>>2];k[p+8>>2]=k[f+8>>2];k[s>>2]=k[g>>2];k[s+4>>2]=k[g+4>>2];k[s+8>>2]=k[g+8>>2];b=v;j=q;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));y=0;ta(61,a|0,1,0)|0;B=y;y=0;if(B&1){M=27;break a}y=0;b=ta(137,a|0,1,0)|0;B=y;y=0;if(B&1){M=27;break a}if(!b){b=q;j=v;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));k[c>>2]=k[D>>2];k[c+4>>2]=k[D+4>>2];k[c+8>>2]=k[D+8>>2];k[d>>2]=e;k[g>>2]=k[s>>2];k[g+4>>2]=k[s+4>>2];k[g+8>>2]=k[s+8>>2];k[f>>2]=k[p>>2];k[f+4>>2]=k[p+4>>2];k[f+8>>2]=k[p+8>>2];break}c=i[x>>0]|0;i[x>>0]=t;y=0;b=Ha(1010,a|0,u|0)|0;a=y;y=0;if(a&1){b=pb()|0;i[x>>0]=c}else{i[x>>0]=c;k[z>>2]=b;y=0;oa(482,D|0,b|0);a=y;y=0;do if(a&1)b=pb()|0;else{y=0;Ha(966,L|0,D|0)|0;a=y;y=0;if(a&1){b=pb()|0;EO(D);break}else{EO(D);EO(z);break b}}while(0);EO(z)}break a}else{y=0;h=qa(332,88)|0;z=y;y=0;c:do if(z&1)M=28;else{b=w;j=q;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));y=0;na(366,h|0);z=y;y=0;do if(z&1)b=pb()|0;else{b=h+12|0;j=w;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));k[h>>2]=5252;k[h+52>>2]=0;k[h+56>>2]=0;i[h+60>>0]=0;b=h+64|0;k[b>>2]=5212;f=h+68|0;g=h+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(561,f|0,0);z=y;y=0;if(z&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{K=d+-4|0;k[g>>2]=K;EO(K);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[h>>2]=5076;k[b>>2]=5172;i[h+84>>0]=0;i[h+85>>0]=0;y=0;oa(482,D|0,h|0);z=y;y=0;if(z&1){M=28;break c}y=0;Ha(966,L|0,D|0)|0;z=y;y=0;if(z&1){b=pb()|0;EO(D);break c}EO(D);c=(k[L>>2]|0)+64|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;b=Ha(1007,a|0,0)|0;a=y;y=0;if(a&1){M=27;break a}k[B>>2]=b;y=0;oa(482,A|0,b|0);a=y;y=0;do if(a&1)b=pb()|0;else{y=0;oa(d|0,c|0,A|0);a=y;y=0;if(a&1){b=pb()|0;EO(A);break}else{EO(A);EO(B);break b}}while(0);EO(B);break a}while(0);zqa(h)}while(0);if((M|0)==28)b=pb()|0;break a}while(0);k[C>>2]=(k[C>>2]|0)+-4;y=0;d=qa(332,76)|0;C=y;y=0;if(C&1)M=27;else{b=G;j=F;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));y=0;oa(464,J|0,O|0);F=y;y=0;do if(F&1)b=pb()|0;else{y=0;oa(464,K|0,P|0);F=y;y=0;if(F&1){b=pb()|0;EO(J);break}y=0;oa(464,I|0,L|0);F=y;y=0;if(F&1){b=pb()|0;c=1}else{y=0;b=D;j=G;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));ma(11,d|0,D|0,J|0,K|0,I|0);G=y;y=0;if(G&1)b=1;else{y=0;oa(482,E|0,d|0);G=y;y=0;if(G&1)b=0;else{EO(I);EO(K);EO(J);EO(L);EO(P);EO(O);r=H;return k[E>>2]|0}}H=pb()|0;EO(I);c=b;b=H}EO(K);EO(J);if(!c)break a}while(0);zqa(d)}}}while(0);if((M|0)==27)b=pb()|0;EO(L)}EO(P);P=b;EO(O);sb(P|0);return 0}function ff(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;B=0;t=r;r=r+304|0;m=t+40|0;d=t+280|0;e=t;A=t+212|0;c=t+240|0;h=t+216|0;z=t+208|0;f=t+168|0;x=t+160|0;n=t+120|0;u=t+112|0;v=t+108|0;q=t+104|0;o=t+100|0;p=t+96|0;w=t+92|0;s=t+80|0;v3(t+228|0,-1,-1,-1);l=ZL(104)|0;y=0;Ra(16,c|0,43828,0,-1);j=y;y=0;do if(j&1)B=40;else{k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,43835,4);j=y;y=0;if(j&1)B=40;else{j=e;g=j+40|0;do{k[j>>2]=k[c>>2];j=j+4|0;c=c+4|0}while((j|0)<(g|0));y=0;oa(452,d|0,h|0);j=y;y=0;if(j&1)d=1;else{y=0;j=m;c=e;g=j+40|0;do{k[j>>2]=k[c>>2];j=j+4|0;c=c+4|0}while((j|0)<(g|0));Na(88,l|0,m|0,d|0);j=y;y=0;if(j&1){c=pb()|0;$9(d);$9(h);break}$9(d);k[l>>2]=12240;y=0;oa(482,A|0,l|0);j=y;y=0;if(j&1)d=0;else{$9(h);y=0;l=qa(332,108)|0;j=y;y=0;a:do if(j&1)B=43;else{y=0;Ra(16,f|0,43828,0,-1);j=y;y=0;do if(j&1)B=44;else{j=m;c=f;g=j+40|0;do{k[j>>2]=k[c>>2];j=j+4|0;c=c+4|0}while((j|0)<(g|0));y=0;na(366,l|0);j=y;y=0;if(j&1)B=44;else{j=l+12|0;c=m;g=j+40|0;do{k[j>>2]=k[c>>2];j=j+4|0;c=c+4|0}while((j|0)<(g|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l>>2]=11396;i[l+60>>0]=0;i[l+61>>0]=0;i[l+62>>0]=0;k[l+64>>2]=0;k[l+68>>2]=0;k[l+56>>2]=7;c=l+72|0;k[c>>2]=13580;g=l+76|0;h=l+80|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(516,g|0,1);j=y;y=0;if(j&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{z=e+-4|0;k[h>>2]=z;EO(z);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[l>>2]=13364;k[c>>2]=13540;j=l+96|0;k[j>>2]=0;k[l+100>>2]=0;k[l+92>>2]=j;i[l+104>>0]=0;i[l+105>>0]=0;y=0;oa(482,z|0,l|0);l=y;y=0;if(l&1){B=43;break a}c=k[z>>2]|0;d=c+76|0;y=0;oa(482,m|0,k[A>>2]|0);l=y;y=0;b:do if(l&1){c=pb()|0;B=49}else{e=c+80|0;f=k[e>>2]|0;if(f>>>0<(k[c+84>>2]|0)>>>0){y=0;oa(464,f|0,m|0);l=y;y=0;if(l&1)B=48;else k[e>>2]=(k[e>>2]|0)+4}else{y=0;oa(521,d|0,m|0);l=y;y=0;if(l&1)B=48}if((B|0)==48){c=pb()|0;EO(m);B=49;break}EO(m);y=0;e=qa(332,88)|0;l=y;y=0;if(l&1){c=pb()|0;break}y=0;Ra(16,n|0,43828,0,-1);l=y;y=0;do if(l&1)B=50;else{y=0;oa(482,u|0,k[z>>2]|0);l=y;y=0;if(l&1){B=50;break}y=0;oa(482,v|0,0);l=y;y=0;if(l&1){c=pb()|0;EO(u);break}y=0;oa(482,q|0,0);l=y;y=0;if(l&1){c=pb()|0;d=1}else{y=0;j=m;c=n;g=j+40|0;do{k[j>>2]=k[c>>2];j=j+4|0;c=c+4|0}while((j|0)<(g|0));ya(11,e|0,m|0,0,u|0,v|0,q|0);n=y;y=0;do if(n&1)c=1;else{y=0;oa(482,x|0,e|0);n=y;y=0;if(n&1){c=0;break}EO(q);EO(v);EO(u);y=0;oa(482,o|0,k[x>>2]|0);v=y;y=0;c:do if(v&1)B=56;else{y=0;Na(83,a|0,o|0,0);v=y;y=0;if(v&1){c=pb()|0;EO(o);break}EO(o);y=0;oa(482,p|0,k[x>>2]|0);v=y;y=0;if(v&1){B=56;break}y=0;Na(83,b|0,p|0,0);v=y;y=0;if(v&1){c=pb()|0;EO(p);break}EO(p);c=k[(k[a>>2]|0)+148>>2]|0;y=0;oa(482,w|0,b|0);v=y;y=0;if(v&1){B=56;break}k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,82159,0);v=y;y=0;do if(v&1)c=pb()|0;else{y=0;c=ta(c|0,a|0,w|0,s|0)|0;v=y;y=0;if(v&1){c=pb()|0;$9(s);break}$9(s);EO(w);y=0;qa(337,a|0)|0;w=y;y=0;do if(!(w&1)){y=0;qa(337,b|0)|0;w=y;y=0;if(w&1)break;EO(x);EO(z);EO(A);r=t;return c|0}while(0);c=pb()|0;break c}while(0);EO(w)}while(0);if((B|0)==56)c=pb()|0;EO(x);break b}while(0);x=pb()|0;EO(q);d=c;c=x}EO(v);EO(u);if(!d)break b}while(0);if((B|0)==50)c=pb()|0;zqa(e)}while(0);EO(z);break a}}while(0);if((B|0)==44)c=pb()|0;zqa(l)}while(0);if((B|0)==43)c=pb()|0;EO(A);B=c;sb(B|0)}}c=pb()|0;$9(h);if(!d){B=c;sb(B|0)}}}while(0);if((B|0)==40)c=pb()|0;zqa(l);B=c;sb(B|0);return 0}function gf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;z=r;r=r+144|0;o=z;s=z+128|0;t=z+116|0;u=z+104|0;v=z+64|0;x=z+52|0;B=z+56|0;A=z+48|0;n=z+44|0;w=z+40|0;_V(B,0);y=0;m=qa(332,104)|0;q=y;y=0;a:do if(!(q&1)){q=a+108|0;c=o;j=q;l=c+40|0;do{k[c>>2]=k[j>>2];c=c+4|0;j=j+4|0}while((c|0)<(l|0));y=0;na(366,m|0);p=y;y=0;do if(p&1)c=pb()|0;else{c=m+12|0;j=o;l=c+40|0;do{k[c>>2]=k[j>>2];c=c+4|0;j=j+4|0}while((c|0)<(l|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;k[m>>2]=11396;i[m+60>>0]=0;i[m+61>>0]=0;i[m+62>>0]=0;k[m+64>>2]=0;k[m+68>>2]=0;k[m+56>>2]=7;c=m+72|0;k[c>>2]=14012;g=m+76|0;h=m+80|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(513,g|0,0);p=y;y=0;if(p&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{A=e+-4|0;k[h>>2]=A;EO(A);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[m>>2]=13796;k[c>>2]=13972;k[m+92>>2]=0;k[m+96>>2]=0;k[m+100>>2]=0;y=0;oa(482,A|0,m|0);p=y;y=0;if(p&1)break a;k[(k[A>>2]|0)+64>>2]=k[a+68>>2];p=a+76|0;h=a+80|0;b:while(1){y=0;c=qa(358,k[p>>2]|0)|0;m=y;y=0;if(m&1){m=35;break}if(c){y=0;c=qa(359,k[p>>2]|0)|0;m=y;y=0;if(m&1){m=35;break}if((c|0)==0?1:c>>>0>(k[h>>2]|0)>>>0)c=k[p>>2]|0;y=0;d=qa(360,c|0)|0;m=y;y=0;if(m&1){m=35;break}g=d|0?d:c;g=(i[g>>0]|0)==123?g+1|0:0;g=(g|0)==0?1:g>>>0>(k[h>>2]|0)>>>0}else g=0;while(1){y=0;c=qa(359,k[p>>2]|0)|0;m=y;y=0;if(m&1){m=34;break b}if((c|0)==0?1:c>>>0>(k[h>>2]|0)>>>0)c=k[p>>2]|0;y=0;d=qa(360,c|0)|0;m=y;y=0;if(m&1){m=34;break b}f=d|0?d:c;d=i[32613]|0;c:do if(!(d<<24>>24))c=0;else{c=i[f>>0]|0;e=32613;while(1){if(c<<24>>24==d<<24>>24)break c;e=e+1|0;d=i[e>>0]|0;if(!(d<<24>>24)){c=0;break}}}while(0);m=c<<24>>24?f+1|0:0;if(!((m|0)==0?1:m>>>0>(k[h>>2]|0)>>>0)){m=67;break b}y=0;c=Ha(1002,a|0,b|0)|0;m=y;y=0;if(m&1){m=44;break b}k[o>>2]=c;y=0;Ha(966,B|0,o|0)|0;m=y;y=0;if(m&1){m=45;break b}EO(o);c=k[B>>2]|0;if(!c){m=41;break b}i[c+60>>0]=g&1;e=0;f=0;while(1){y=0;c=qa(359,k[p>>2]|0)|0;m=y;y=0;if(m&1){m=33;break b}if((c|0)==0?1:c>>>0>(k[h>>2]|0)>>>0)c=k[p>>2]|0;y=0;d=qa(360,c|0)|0;m=y;y=0;if(m&1){m=33;break b}m=d|0?d:c;m=(i[m>>0]|0)==44?m+1|0:0;if((m|0)==0?1:m>>>0>(k[h>>2]|0)>>>0)break;y=0;ta(61,a|0,0,0)|0;m=y;y=0;if(m&1){m=33;break b}y=0;c=ta(62,a|0,1,0)|0;m=y;y=0;if(m&1){m=33;break b}e=(c|0)!=0;do if(!(f<<24>>24)){y=0;c=qa(358,k[p>>2]|0)|0;m=y;y=0;if(m&1){m=33;break b}if(!c){c=0;break}y=0;c=qa(359,k[p>>2]|0)|0;m=y;y=0;if(m&1){m=33;break b}if((c|0)==0?1:c>>>0>(k[h>>2]|0)>>>0)c=k[p>>2]|0;y=0;d=qa(360,c|0)|0;m=y;y=0;if(m&1){m=33;break b}c=d|0?d:c;c=(i[c>>0]|0)==123?c+1|0:0;c=(c|0)==0?1:c>>>0>(k[h>>2]|0)>>>0}else c=1;while(0);f=c&1}c=(k[A>>2]|0)+72|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(464,n|0,B|0);m=y;y=0;if(m&1){m=34;break b}y=0;oa(d|0,c|0,n|0);m=y;y=0;if(m&1){m=74;break b}EO(n);if(!e){m=67;break b}if(!(f<<24>>24))continue b;else g=1}}do if((m|0)==33){c=pb()|0;m=37}else if((m|0)==34){c=pb()|0;m=37}else if((m|0)==35){c=pb()|0;m=37}else if((m|0)==41){c=k[A>>2]|0;if(!c)c=0;else i[c+8>>0]=1;y=0;oa(482,x|0,c|0);w=y;y=0;if(w&1)m=36;else{EO(A);EO(B);B=k[x>>2]|0;r=z;return B|0}}else if((m|0)==44){c=pb()|0;m=46}else if((m|0)==45){c=pb()|0;EO(o);m=46}else if((m|0)==67){f=a+152|0;g=a+84|0;h=a+96|0;while(1){k[s>>2]=k[f>>2];k[s+4>>2]=k[f+4>>2];k[s+8>>2]=k[f+8>>2];d=k[p>>2]|0;k[t>>2]=k[g>>2];k[t+4>>2]=k[g+4>>2];k[t+8>>2]=k[g+8>>2];k[u>>2]=k[h>>2];k[u+4>>2]=k[h+4>>2];k[u+8>>2]=k[h+8>>2];c=v;j=q;l=c+40|0;do{k[c>>2]=k[j>>2];c=c+4|0;j=j+4|0}while((c|0)<(l|0));y=0;ta(61,a|0,1,0)|0;o=y;y=0;if(o&1){m=32;break}y=0;c=ta(63,a|0,1,0)|0;o=y;y=0;if(o&1){m=32;break}e=(c|0)==0;if(e){c=q;j=v;l=c+40|0;do{k[c>>2]=k[j>>2];c=c+4|0;j=j+4|0}while((c|0)<(l|0));k[f>>2]=k[s>>2];k[f+4>>2]=k[s+4>>2];k[f+8>>2]=k[s+8>>2];k[p>>2]=d;k[h>>2]=k[u>>2];k[h+4>>2]=k[u+4>>2];k[h+8>>2]=k[u+8>>2];k[g>>2]=k[t>>2];k[g+4>>2]=k[t+4>>2];k[g+8>>2]=k[t+8>>2]}c=k[A>>2]|0;if(e)break;i[c+62>>0]=1}if((m|0)==32){c=pb()|0;m=37;break}y=0;oa(564,c|0,q|0);v=y;y=0;if(v&1)m=36;else{c=k[B>>2]|0;if(c|0){y=0;c=qa(333,c|0)|0;v=y;y=0;if(v&1){m=36;break}k[w>>2]=c;i[c+61>>0]=0;EO(w)}c=k[A>>2]|0;if(!c)c=0;else i[c+8>>0]=1;y=0;oa(482,x|0,c|0);w=y;y=0;if(w&1)m=36;else{EO(A);EO(B);B=k[x>>2]|0;r=z;return B|0}}}else if((m|0)==74){c=pb()|0;EO(n)}while(0);if((m|0)==36){c=pb()|0;m=37}EO(A);A=c;EO(B);sb(A|0)}while(0);zqa(m);A=c;EO(B);sb(A|0)}while(0);A=pb()|0;EO(B);sb(A|0);return 0}function hf(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;m=0;u=r;r=r+1088|0;s=u+64|0;A=u+48|0;z=u+36|0;x=u+24|0;w=u+12|0;v=u;q=aJ(s,1024)|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;jI(z,q,JI(q)|0);q=i[z+11>>0]|0;p=q<<24>>24<0;if((i[(p?k[z>>2]|0:z)+((p?k[z+4>>2]|0:q&255)+-1)>>0]|0)!=47){y=0;oa(461,z|0,47);q=y;y=0;if(q&1){A=pb()|0;$9(z);sb(A|0)}}y=0;Ra(17,A|0,b|0,d|0,z|0);q=y;y=0;if(q&1){A=pb()|0;$9(z);sb(A|0)}$9(z);y=0;e=Ha(991,s|0,1024)|0;q=y;y=0;do if(q&1)m=18;else{k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;q=JI(e)|0;y=0;Na(75,x|0,e|0,q|0);q=y;y=0;if(q&1)m=18;else{q=i[x+11>>0]|0;p=q<<24>>24<0;if((i[(p?k[x>>2]|0:x)+((p?k[x+4>>2]|0:q&255)+-1)>>0]|0)!=47){y=0;oa(461,x|0,47);q=y;y=0;if(q&1){c=pb()|0;$9(x);m=19;break}}y=0;Ra(17,z|0,c|0,d|0,x|0);q=y;y=0;if(q&1){c=pb()|0;$9(x);m=21;break}$9(x);e=b+11|0;c=(i[e>>0]|0)<0?k[b>>2]|0:b;do if(!(i[c>>0]|0))m=31;else{y=0;c=qa(355,c|0)|0;q=y;y=0;if(q&1)m=23;else if(c){c=0;while(1){d=((i[e>>0]|0)<0?k[b>>2]|0:b)+c|0;if(!(i[d>>0]|0)){d=c;break}c=c+1|0;y=0;d=qa(356,d|0)|0;q=y;y=0;if(q&1){m=22;break}if(!d){d=c;break}}if((m|0)==22){c=pb()|0;m=24;break}if(!d)m=31;else{e=(i[e>>0]|0)<0?k[b>>2]|0:b;c=i[e+d>>0]|0;f=d+1|0;if(c<<24>>24==58){if(!f){m=31;break}d=f;c=i[e+f>>0]|0}if((d+1|0)>>>0>3&c<<24>>24==47){y=0;oa(452,a|0,b|0);x=y;y=0;if(x&1)m=23;else{$9(z);$9(A);r=u;return}}else m=31}}else m=31}while(0);if((m|0)==31){k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(75,x|0,82159,0);q=y;y=0;if(q&1)m=23;else{k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;Na(75,w|0,82159,0);q=y;y=0;if(q&1)c=pb()|0;else{n=A+11|0;m=i[n>>0]|0;d=m<<24>>24<0;o=A+4|0;l=d?k[o>>2]|0:m&255;p=z+11|0;c=i[p>>0]|0;f=c<<24>>24<0;q=z+4|0;e=k[q>>2]|0;j=f?e:c&255;j=j>>>0<l>>>0?j:l;a:do if(!j)d=0;else{h=d?k[A>>2]|0:A;g=f?k[z>>2]|0:z;b=0;d=0;do{f=i[h+b>>0]|0;if(f<<24>>24!=(i[g+b>>0]|0))break a;b=b+1|0;d=f<<24>>24==47?b:d}while(b>>>0<j>>>0)}while(0);do if(d>>>0<l>>>0){e=d;c=m;while(1){y=0;oa(461,x|0,i[(c<<24>>24<0?k[A>>2]|0:A)+e>>0]|0);m=y;y=0;if(m&1){m=45;break}e=e+1|0;c=i[n>>0]|0;if(e>>>0>=(c<<24>>24<0?k[o>>2]|0:c&255)>>>0){m=40;break}}if((m|0)==40){c=i[p>>0]|0;e=k[q>>2]|0;m=41;break}else if((m|0)==45){c=pb()|0;break}}else m=41;while(0);b:do if((m|0)==41){c:do if(d>>>0<(c<<24>>24<0?e:c&255)>>>0){while(1){y=0;oa(461,w|0,i[(c<<24>>24<0?k[z>>2]|0:z)+d>>0]|0);o=y;y=0;if(o&1)break;d=d+1|0;c=i[p>>0]|0;if(d>>>0>=(c<<24>>24<0?k[q>>2]|0:c&255)>>>0)break c}c=pb()|0;break b}while(0);g=w+11|0;d=i[g>>0]|0;h=w+4|0;e=k[h>>2]|0;d:do if(!((d<<24>>24<0?e:d&255)|0))t=0;else{j=s+11|0;l=s+4|0;f=0;c=0;b=0;e:while(1){if((i[(d<<24>>24<0?k[w>>2]|0:w)+f>>0]|0)==47){y=0;ma(4,s|0,w|0,b|0,2,w|0);q=y;y=0;if(q&1){m=62;break}q=i[j>>0]|0;do if(((q<<24>>24<0?k[l>>2]|0:q&255)|0)==2){y=0;d=sa(21,s|0,0,-1,38907,2)|0;q=y;y=0;if(q&1){m=59;break e}$9(s);if(d|0){m=61;break}c=c>>>0>1?c+-1|0:0}else{$9(s);m=61}while(0);if((m|0)==61){m=0;c=c+1|0}f=f+1|0;b=f;d=i[g>>0]|0;e=k[h>>2]|0}else f=f+1|0;if(f>>>0>=(d<<24>>24<0?e:d&255)>>>0){t=c;break d}}if((m|0)==59){s=tb(0)|0;dla(s)}else if((m|0)==62){c=pb()|0;break b}}while(0);k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(75,v|0,82159,0);s=y;y=0;if(s&1){c=pb()|0;break}f:do if(!t)m=66;else{c=0;while(1){y=0;Ha(970,v|0,38899)|0;s=y;y=0;if(s&1)break;c=c+1|0;if(c>>>0>=t>>>0){m=66;break f}}c=pb()|0}while(0);do if((m|0)==66){t=i[x+11>>0]|0;s=t<<24>>24<0;y=0;ta(47,v|0,(s?k[x>>2]|0:x)|0,(s?k[x+4>>2]|0:t&255)|0)|0;t=y;y=0;if(t&1){c=pb()|0;break}k[a>>2]=k[v>>2];k[a+4>>2]=k[v+4>>2];k[a+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;$9(v);$9(w);$9(x);$9(z);$9(A);r=u;return}while(0);$9(v)}while(0);$9(w)}$9(x)}}if((m|0)==23){c=pb()|0;m=24}$9(z)}}while(0);if((m|0)==18){c=pb()|0;m=19}if((m|0)==19)m=21;$9(A);A=c;sb(A|0)}function jf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=0;D=r;r=r+272|0;v=D+80|0;z=D+256|0;t=D+252|0;q=D+248|0;n=D+244|0;e=D+240|0;H=D+40|0;C=D;j=D+236|0;d=D+232|0;s=D+228|0;o=D+224|0;G=D+220|0;u=D+216|0;w=D+176|0;A=D+172|0;x=D+168|0;B=D+128|0;F=D+124|0;E=D+120|0;p=ZL(88)|0;m=a+20|0;l=a+24|0;c=k[l>>2]|0;if((c|0)==(k[m>>2]|0))c=k[a+8>>2]|0;else c=c+-4|0;g=H;c=(k[c>>2]|0)+12|0;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));y=0;na(366,p|0);h=y;y=0;do if(h&1)c=pb()|0;else{g=p+12|0;c=H;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));k[p>>2]=5252;k[p+52>>2]=0;k[p+56>>2]=0;i[p+60>>0]=0;c=p+64|0;k[c>>2]=5212;g=p+68|0;h=p+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,0);f=y;y=0;if(f&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{I=e+-4|0;k[h>>2]=I;EO(I);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[p>>2]=5076;k[c>>2]=5172;i[p+84>>0]=0;i[p+85>>0]=0;c=k[l>>2]|0;if((c|0)==(k[m>>2]|0))c=k[a+8>>2]|0;else c=c+-4|0;c=k[c>>2]|0;_V(H,oc[k[(k[c>>2]|0)+12>>2]&511](c)|0);c=k[H>>2]|0;y=0;oa(482,d|0,p|0);p=y;y=0;a:do if(p&1)I=49;else{c=c+64|0;y=0;Ha(966,c|0,d|0)|0;p=y;y=0;if(!(p&1)){y=0;oa(464,e|0,c|0);p=y;y=0;if(!(p&1)){k[j>>2]=k[e>>2];EO(j);EO(d);d=k[H>>2]|0;c=k[l>>2]|0;if((c|0)==(k[m>>2]|0))c=k[a+8>>2]|0;else c=c+-4|0;k[d+56>>2]=k[(k[c>>2]|0)+56>>2];y=0;oa(464,n|0,d+64|0);p=y;y=0;if(p&1){I=49;break}c=k[n>>2]|0;k[s>>2]=c;c=c+64|0;d=k[(k[c>>2]|0)+24>>2]|0;e=b+64|0;y=0;oa(464,q|0,e|0);p=y;y=0;do if(p&1)c=pb()|0;else{q=k[q>>2]|0;k[o>>2]=q;y=0;oa(d|0,c|0,((q|0)==0?0:q+64|0)|0);q=y;y=0;if(q&1){c=pb()|0;EO(o);break}EO(o);EO(s);y=0;j=qa(332,88)|0;s=y;y=0;if(s&1){I=49;break a}y=0;oa(464,t|0,e|0);s=y;y=0;if(s&1)c=pb()|0;else{t=k[t>>2]|0;k[G>>2]=t;DN(v|0,t+12|0,40)|0;y=0;na(366,j|0);t=y;y=0;do if(t&1)c=pb()|0;else{g=j+12|0;c=v;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));k[j>>2]=5252;k[j+52>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;d=j+64|0;k[d>>2]=5212;g=j+68|0;h=j+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,0);t=y;y=0;if(t&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{F=e+-4|0;k[h>>2]=F;EO(F);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[j>>2]=5076;k[d>>2]=5172;i[j+84>>0]=0;i[j+85>>0]=0;EO(G);c=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(482,u|0,k[H>>2]|0);G=y;y=0;do if(!(G&1)){y=0;oa(c|0,d|0,u|0);G=y;y=0;if(G&1){c=pb()|0;EO(u);break a}EO(u);y=0;e=qa(332,72)|0;G=y;y=0;if(G&1)break;g=w;c=b+12|0;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));y=0;oa(482,A|0,j|0);G=y;y=0;if(G&1)c=pb()|0;else{y=0;oa(464,z|0,b+68|0);G=y;y=0;do if(G&1)c=pb()|0;else{k[x>>2]=k[z>>2];y=0;g=v;c=w;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));Ra(30,e|0,v|0,A|0,x|0);G=y;y=0;if(G&1){c=pb()|0;EO(x);break}EO(x);EO(A);y=0;d=qa(332,72)|0;G=y;y=0;if(G&1){c=pb()|0;break a}g=B;c=e+12|0;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));y=0;oa(482,F|0,e|0);G=y;y=0;if(G&1)c=pb()|0;else{y=0;oa(482,E|0,0);G=y;y=0;if(G&1)c=pb()|0;else{g=C;c=B;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));y=0;na(366,d|0);G=y;y=0;do if(G&1)c=pb()|0;else{g=d+12|0;c=C;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));k[d+52>>2]=6;k[d+56>>2]=0;i[d+60>>0]=0;k[d>>2]=5528;y=0;oa(464,d+64|0,F|0);G=y;y=0;if(G&1){c=pb()|0;break}else{i[d+68>>0]=(k[E>>2]|0)==0&1;EO(E);EO(F);EO(H);r=D;return d|0}}while(0);EO(E)}EO(F)}zqa(d);break a}while(0);EO(A)}zqa(e);break a}while(0);c=pb()|0;break a}while(0);EO(G)}zqa(j);break a}while(0);EO(s);break}}c=pb()|0;EO(d)}while(0);if((I|0)==49)c=pb()|0;EO(H);I=c;sb(I|0)}while(0);zqa(p);I=c;sb(I|0);return 0}function kf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;p=0;n=r;r=r+80|0;l=n+68|0;q=n+64|0;d=n+60|0;o=n+48|0;m=n+36|0;j=n+24|0;h=n+12|0;g=n;e=a+8|0;c=k[(k[e>>2]|0)+16>>2]|0;f=k[c>>2]|0;k[c>>2]=0;rT(l,b+64|0);c=k[l>>2]|0;k[d>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;s=y;y=0;if(!(s&1)){y=0;oa(482,q|0,c|0);s=y;y=0;if(!(s&1)){EO(d);y=0;a=qa(439,k[a+4>>2]|0)|0;s=y;y=0;a:do if(s&1)a=pb()|0;else{k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(75,l|0,42516,9);s=y;y=0;do if(s&1)a=pb()|0;else{y=0;c=Ha(988,a|0,l|0)|0;s=y;y=0;if(s&1){a=pb()|0;$9(l);break}$9(l);if(c){k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(75,l|0,42516,9);s=y;y=0;do if(s&1)a=pb()|0;else{y=0;a=Ha(971,a|0,l|0)|0;s=y;y=0;if(s&1){a=pb()|0;$9(l);break}a=k[a>>2]|0;if(!a)a=0;else a=pw(a,8,1032,0)|0;$9(l);c=k[a+96>>2]|0;y=0;d=qa(440,c|0)|0;s=y;y=0;if(s&1){a=pb()|0;break a}k[l>>2]=18364;y=0;b=Ha(1015,1,0)|0;s=y;y=0;b:do if(s&1)a=pb()|0;else{a=k[q>>2]|0;y=0;a=Ha(k[(k[a>>2]|0)+64>>2]|0,a|0,l|0)|0;s=y;y=0;do if(!(s&1)){y=0;Na(118,b|0,0,a|0);s=y;y=0;if(!(s&1)){y=0;a=ta(d|0,b|0,c|0,k[(k[e>>2]|0)+272>>2]|0)|0;s=y;y=0;if(s&1)break;k[k[(k[e>>2]|0)+16>>2]>>2]=f;y=0;na(385,b|0);s=y;y=0;do if(!(s&1)){y=0;na(385,a|0);s=y;y=0;if(s&1)break;EO(q);r=n;return 0}while(0);a=pb()|0;break b}}while(0);a=pb()|0}while(0);break a}while(0);break a}y=0;oa(452,o|0,(k[e>>2]|0)+4|0);s=y;y=0;if(s&1){a=pb()|0;break a}s=k[q>>2]|0;y=0;oa(k[(k[s>>2]|0)+24>>2]|0,l|0,s|0);s=y;y=0;do if(s&1){a=pb()|0;p=56}else{y=0;ma(5,m|0,l|0,0,0,1);s=y;y=0;if(s&1){a=pb()|0;$9(l);p=56;break}$9(l);a=b+24|0;d=k[a>>2]|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;s=JI(d)|0;y=0;Na(75,l|0,d|0,s|0);s=y;y=0;do if(s&1){a=pb()|0;p=59}else{y=0;Ra(17,j|0,l|0,o|0,o|0);s=y;y=0;if(s&1){a=pb()|0;$9(l);p=59;break}$9(l);d=k[a>>2]|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;s=JI(d)|0;y=0;Na(75,l|0,d|0,s|0);s=y;y=0;do if(s&1){a=pb()|0;p=62}else{y=0;Ra(20,h|0,l|0,o|0,o|0);s=y;y=0;if(s&1){a=pb()|0;$9(l);p=62;break}$9(l);d=k[a>>2]|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;s=JI(d)|0;y=0;Na(75,l|0,d|0,s|0);s=y;y=0;do if(s&1){a=pb()|0;p=65}else{y=0;Ra(32,g|0,h|0,j|0,l|0);s=y;y=0;if(s&1){a=pb()|0;$9(l);p=65;break}$9(l);k[k[(k[e>>2]|0)+16>>2]>>2]=f;a=i[g+11>>0]|0;s=a<<24>>24<0;y=0;a=ta(54,77440,(s?k[g>>2]|0:g)|0,(s?k[g+4>>2]|0:a&255)|0)|0;s=y;y=0;c:do if(s&1)p=66;else{y=0;a=ta(54,a|0,47425,1)|0;s=y;y=0;if(s&1){p=66;break}y=0;a=Ha(972,a|0,(k[b+12>>2]|0)+1|0)|0;s=y;y=0;if(s&1){p=66;break}y=0;a=ta(54,a|0,42526,8)|0;s=y;y=0;if(s&1){p=66;break}s=i[m+11>>0]|0;f=s<<24>>24<0;y=0;ta(54,a|0,(f?k[m>>2]|0:m)|0,(f?k[m+4>>2]|0:s&255)|0)|0;s=y;y=0;if(s&1){p=66;break}y=0;a=qa(341,77440+(k[(k[19360]|0)+-12>>2]|0)|0)|0;s=y;y=0;if(s&1){p=66;break}k[l>>2]=a;y=0;a=Ha(973,l|0,78144)|0;s=y;y=0;do if(!(s&1)){y=0;a=Ha(k[(k[a>>2]|0)+28>>2]|0,a|0,10)|0;s=y;y=0;if(s&1)break;Sea(l);y=0;Ha(1016,77440,a|0)|0;s=y;y=0;if(s&1){p=66;break c}y=0;qa(442,77440)|0;s=y;y=0;if(s&1){p=66;break c}$9(g);$9(h);$9(j);$9(m);$9(o);EO(q);r=n;return 0}while(0);a=pb()|0;Sea(l)}while(0);if((p|0)==66)a=pb()|0;$9(g)}while(0);$9(h)}while(0);$9(j)}while(0);$9(m)}while(0);$9(o);break a}while(0)}while(0);EO(q);s=a;sb(s|0)}}s=pb()|0;EO(d);sb(s|0);return 0}function lf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;o=r;r=r+192|0;m=o+176|0;n=o+172|0;f=o+168|0;u=o+24|0;t=o+12|0;p=o;v=u+64|0;d=u+8|0;k[d>>2]=14400;s=u+12|0;k[u>>2]=14440;k[v>>2]=14460;k[u+4>>2]=0;y=0;oa(528,u+64|0,s|0);q=y;y=0;if(q&1){u=pb()|0;dja(v);sb(u|0)}k[u+136>>2]=0;k[u+140>>2]=-1;k[u>>2]=14380;k[v>>2]=14420;k[d>>2]=14400;y=0;na(373,s|0);q=y;y=0;do if(q&1)d=pb()|0;else{k[s>>2]=14240;q=u+44|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[u+60>>2]=24;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;oa(529,s|0,m|0);l=y;y=0;if(l&1){d=pb()|0;$9(m);$9(q);nba(s);break}$9(m);y=0;na(375,t|0);l=y;y=0;if(l&1){t=pb()|0;k[u>>2]=14380;k[v>>2]=14420;p=u+8|0;k[p>>2]=14400;k[s>>2]=14240;$9(q);nba(s);zka(u,14472);dja(v);sb(t|0)}do if(c)e=18;else{e=u+8|0;y=0;d=qa(341,e+(k[(k[e>>2]|0)+-12>>2]|0)|0)|0;l=y;y=0;if(l&1)e=21;else{k[f>>2]=d;y=0;d=Ha(973,f|0,78144)|0;l=y;y=0;if(!(l&1)){y=0;d=Ha(k[(k[d>>2]|0)+28>>2]|0,d|0,10)|0;l=y;y=0;if(!(l&1)){Sea(f);y=0;Ha(1016,e|0,d|0)|0;l=y;y=0;if(l&1){e=21;break}y=0;qa(442,e|0)|0;l=y;y=0;if(l&1){e=21;break}y=0;ta(54,e|0,42554,10)|0;l=y;y=0;if(l&1){e=21;break}else{e=18;break}}}d=pb()|0;Sea(f);e=22}}while(0);a:do if((e|0)==18){b:do if(k[b>>2]|0){h=u+8|0;j=p+11|0;l=p+4|0;d=-1;f=b;g=b;while(1){b=f+4|0;e=k[f+16>>2]|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;f=JI(e)|0;y=0;Na(75,m|0,e|0,f|0);f=y;y=0;if(f&1){e=38;break}y=0;Ra(20,p|0,m|0,t|0,t|0);f=y;y=0;if(f&1){e=39;break}$9(m);e=h+(k[(k[h>>2]|0)+-12>>2]|0)|0;if(c){y=0;e=qa(341,e|0)|0;f=y;y=0;if(f&1){e=41;break}k[n>>2]=e;y=0;e=Ha(973,n|0,78144)|0;f=y;y=0;if(f&1){e=29;break}y=0;e=Ha(k[(k[e>>2]|0)+28>>2]|0,e|0,10)|0;f=y;y=0;if(f&1){e=29;break}Sea(n);y=0;Ha(1016,h|0,e|0)|0;f=y;y=0;if(f&1){e=41;break}y=0;qa(442,h|0)|0;f=y;y=0;if(f&1){e=41;break}y=0;e=ta(54,h|0,46816,1)|0;f=y;y=0;if(f&1){e=41;break}d=d+1|0;f=(d|0)==0;y=0;e=ta(54,e|0,(f?42565:42568)|0,(f?2:4)|0)|0;f=y;y=0;if(f&1){e=41;break}y=0;e=ta(54,e|0,42573,6)|0;f=y;y=0;if(f&1){e=41;break}y=0;e=Ha(972,e|0,(k[b>>2]|0)+1|0)|0;b=y;y=0;if(b&1){e=41;break}y=0;e=ta(54,e|0,47391,4)|0;b=y;y=0;if(b&1){e=41;break}b=i[j>>0]|0;f=b<<24>>24<0;y=0;ta(54,e|0,(f?k[p>>2]|0:p)|0,(f?k[l>>2]|0:b&255)|0)|0;b=y;y=0;if(b&1){e=41;break}}else{y=0;e=qa(341,e|0)|0;f=y;y=0;if(f&1){e=41;break}k[m>>2]=e;y=0;e=Ha(973,m|0,78144)|0;f=y;y=0;if(f&1){e=46;break}y=0;e=Ha(k[(k[e>>2]|0)+28>>2]|0,e|0,10)|0;f=y;y=0;if(f&1){e=46;break}Sea(m);y=0;Ha(1016,h|0,e|0)|0;f=y;y=0;if(f&1){e=41;break}y=0;qa(442,h|0)|0;f=y;y=0;if(f&1){e=41;break}y=0;e=ta(54,h|0,46816,1)|0;f=y;y=0;if(f&1){e=41;break}f=i[j>>0]|0;w=f<<24>>24<0;y=0;e=ta(54,e|0,(w?k[p>>2]|0:p)|0,(w?k[l>>2]|0:f&255)|0)|0;f=y;y=0;if(f&1){e=41;break}y=0;e=ta(54,e|0,47425,1)|0;w=y;y=0;if(w&1){e=41;break}y=0;e=Ha(972,e|0,(k[b>>2]|0)+1|0)|0;w=y;y=0;if(w&1){e=41;break}b=k[g>>2]|0;x=b+44|0;w=i[x+11>>0]|0;f=w<<24>>24<0;y=0;ta(54,e|0,(f?k[x>>2]|0:x)|0,(f?k[b+48>>2]|0:w&255)|0)|0;w=y;y=0;if(w&1){e=41;break}}e=k[g>>2]|0;$9(p);if(!(k[e>>2]|0))break b;else{f=e;g=e}}if((e|0)==29){d=pb()|0;Sea(n);e=42}else if((e|0)==38){d=pb()|0;e=40}else if((e|0)==39){d=pb()|0;$9(m);e=40}else if((e|0)==41){d=pb()|0;e=42}else if((e|0)==46){d=pb()|0;Sea(m);e=42}if((e|0)==40)break a;else if((e|0)==42){$9(p);break a}}while(0);y=0;oa(530,a|0,s|0);x=y;y=0;if(x&1)e=21;else{$9(t);k[u>>2]=14380;k[v>>2]=14420;k[u+8>>2]=14400;k[s>>2]=14240;$9(q);nba(s);zka(u,14472);dja(v);r=o;return}}while(0);if((e|0)==21){d=pb()|0;e=22}$9(t);x=d;k[u>>2]=14380;k[v>>2]=14420;w=u+8|0;k[w>>2]=14400;k[s>>2]=14240;$9(q);nba(s);zka(u,14472);dja(v);sb(x|0)}while(0);zka(u,14472);x=d;dja(v);sb(x|0)}function mf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;o=0;j=r;r=r+80|0;m=j+68|0;h=j+56|0;g=j+52|0;f=j+48|0;q=j+36|0;p=j+24|0;n=j+12|0;l=j;kD(q);d=k[c+12>>2]|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;e=JI(d)|0;y=0;Na(75,m|0,d|0,e|0);e=y;y=0;do if(e&1)d=pb()|0;else{y=0;Ra(17,p|0,m|0,q|0,q|0);e=y;y=0;if(e&1){d=pb()|0;$9(m);break}$9(m);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;e=JI(d)|0;y=0;Na(75,m|0,d|0,e|0);e=y;y=0;do if(e&1){d=pb()|0;o=18}else{y=0;Ra(20,n|0,m|0,q|0,q|0);e=y;y=0;if(e&1){d=pb()|0;$9(m);o=18;break}$9(m);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;e=JI(d)|0;y=0;Na(75,m|0,d|0,e|0);e=y;y=0;a:do if(e&1){d=pb()|0;o=23}else{k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;e=JI(d)|0;y=0;Na(75,h|0,d|0,e|0);e=y;y=0;do if(e&1)d=pb()|0;else{y=0;Ra(32,l|0,n|0,m|0,h|0);e=y;y=0;if(e&1){d=pb()|0;$9(h);break}$9(h);$9(m);y=0;d=ta(54,77440,47396,28)|0;e=y;y=0;b:do if(e&1)o=24;else{y=0;Ha(972,d|0,(k[c>>2]|0)+1|0)|0;e=y;y=0;if(e&1)o=24;else{d=l+11|0;e=i[d>>0]|0;c=l+4|0;if((e<<24>>24<0?k[c>>2]|0:e&255)|0){y=0;e=ta(54,77440,47391,4)|0;s=y;y=0;if(s&1){o=24;break}s=i[d>>0]|0;d=s<<24>>24<0;y=0;ta(54,e|0,(d?k[l>>2]|0:l)|0,(d?k[c>>2]|0:s&255)|0)|0;s=y;y=0;if(s&1){o=24;break}}y=0;c=ta(54,77440,47425,1)|0;s=y;y=0;if(s&1)o=24;else{y=0;d=qa(341,c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;s=y;y=0;if(s&1)o=24;else{k[f>>2]=d;y=0;d=Ha(973,f|0,78144)|0;s=y;y=0;if(!(s&1)){y=0;d=Ha(k[(k[d>>2]|0)+28>>2]|0,d|0,10)|0;s=y;y=0;if(!(s&1)){Sea(f);y=0;Ha(1016,c|0,d|0)|0;s=y;y=0;if(s&1){o=24;break}y=0;qa(442,c|0)|0;s=y;y=0;if(s&1){o=24;break}d=i[a+11>>0]|0;s=d<<24>>24<0;y=0;d=ta(54,77440,(s?k[a>>2]|0:a)|0,(s?k[a+4>>2]|0:d&255)|0)|0;s=y;y=0;if(s&1){o=24;break}y=0;c=ta(54,d|0,47427,49)|0;s=y;y=0;if(s&1){o=24;break}y=0;d=qa(341,c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;s=y;y=0;if(s&1){o=24;break}k[g>>2]=d;y=0;d=Ha(973,g|0,78144)|0;s=y;y=0;do if(!(s&1)){y=0;d=Ha(k[(k[d>>2]|0)+28>>2]|0,d|0,10)|0;s=y;y=0;if(s&1)break;Sea(g);y=0;Ha(1016,c|0,d|0)|0;s=y;y=0;if(s&1){o=24;break b}y=0;qa(442,c|0)|0;s=y;y=0;if(s&1){o=24;break b}d=i[b+11>>0]|0;c=d<<24>>24<0;if(c)e=k[b+4>>2]|0;else e=d&255;c:do if(e|0){y=0;c=ta(54,77440,(c?k[b>>2]|0:b)|0,(c?k[b+4>>2]|0:d&255)|0)|0;s=y;y=0;if(s&1){o=24;break b}y=0;d=qa(341,c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;s=y;y=0;if(s&1){o=24;break b}k[h>>2]=d;y=0;d=Ha(973,h|0,78144)|0;s=y;y=0;do if(!(s&1)){y=0;d=Ha(k[(k[d>>2]|0)+28>>2]|0,d|0,10)|0;s=y;y=0;if(s&1)break;Sea(h);y=0;Ha(1016,c|0,d|0)|0;s=y;y=0;if(s&1){o=24;break b}y=0;qa(442,c|0)|0;s=y;y=0;if(s&1){o=24;break b}else break c}while(0);d=pb()|0;Sea(h);break b}while(0);y=0;d=qa(341,77440+(k[(k[19360]|0)+-12>>2]|0)|0)|0;s=y;y=0;if(s&1){o=24;break b}k[m>>2]=d;y=0;d=Ha(973,m|0,78144)|0;s=y;y=0;do if(!(s&1)){y=0;d=Ha(k[(k[d>>2]|0)+28>>2]|0,d|0,10)|0;s=y;y=0;if(s&1)break;Sea(m);y=0;Ha(1016,77440,d|0)|0;s=y;y=0;if(s&1){o=24;break b}y=0;qa(442,77440)|0;s=y;y=0;if(s&1){o=24;break b}$9(l);$9(n);$9(p);$9(q);r=j;return}while(0);d=pb()|0;Sea(m);break b}while(0);d=pb()|0;Sea(g);break}}d=pb()|0;Sea(f)}}}}while(0);if((o|0)==24)d=pb()|0;$9(l);break a}while(0);$9(m);o=23}while(0);$9(n)}while(0);$9(p);s=d;$9(q);sb(s|0)}while(0);s=d;$9(q);sb(s|0)}function nf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;B=r;r=r+384|0;A=B+344|0;l=B+304|0;m=B+288|0;g=B+124|0;n=B+248|0;o=B+232|0;p=B+192|0;q=B+176|0;s=B+136|0;t=B+112|0;i=B+72|0;j=B+56|0;u=B+16|0;v=B;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;jI(A,36349,5);y=0;b=Ha(971,a|0,A|0)|0;z=y;y=0;if(z&1){B=pb()|0;$9(A);sb(B|0)}b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,104,0)|0;$9(A);if(b|0){g=ZL(104)|0;w=l;x=e;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));c=k[b+80>>2]|0;b=k[b+76>>2]|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,82159,0);e=y;y=0;do if(e&1)b=pb()|0;else{h=+(c-b>>2>>>0);y=0;w=A;x=l;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));Ca(1,g|0,A|0,+h,m|0,1);A=y;y=0;if(A&1){b=pb()|0;$9(m);break}$9(m);A=g;r=B;return A|0}while(0);zqa(g);B=b;sb(B|0)}k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;jI(g,36349,5);y=0;w=A;x=e;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));c=sa(27,g|0,a|0,d|0,A|0,f|0)|0;z=y;y=0;if(z&1){B=pb()|0;$9(g);sb(B|0)}$9(g);switch(k[c+56>>2]|0){case 6:{k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;jI(A,36349,5);y=0;b=Ha(971,a|0,A|0)|0;z=y;y=0;if(z&1){B=pb()|0;$9(A);sb(B|0)}b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,584,0)|0;$9(A);c=ZL(104)|0;w=n;x=e;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));if(!b)h=1.0;else h=+((k[b+88>>2]|0)-(k[b+84>>2]|0)>>2>>>0);k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,82159,0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;w=A;x=n;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));Ca(1,c|0,A|0,+h,o|0,1);A=y;y=0;if(A&1){b=pb()|0;$9(o);break}$9(o);A=c;r=B;return A|0}while(0);zqa(c);B=b;sb(B|0)}case 7:{b=pw(c,40,176,0)|0;if(b|0){g=ZL(104)|0;w=p;x=e;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));c=k[b+80>>2]|0;b=k[b+76>>2]|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,82159,0);e=y;y=0;do if(e&1)b=pb()|0;else{h=+(c-b>>2>>>0);y=0;w=A;x=p;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));Ca(1,g|0,A|0,+h,q|0,1);A=y;y=0;if(A&1){b=pb()|0;$9(q);break}$9(q);A=g;r=B;return A|0}while(0);zqa(g);B=b;sb(B|0)}b=pw(c,40,104,0)|0;g=ZL(104)|0;if(!b){w=i;x=e;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,82159,0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;w=A;x=i;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));Ca(1,g|0,A|0,1.0,j|0,1);A=y;y=0;if(A&1){b=pb()|0;$9(j);break}$9(j);A=g;r=B;return A|0}while(0);zqa(g);B=b;sb(B|0)}else{w=s;x=e;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));c=k[b+80>>2]|0;b=k[b+76>>2]|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,82159,0);e=y;y=0;do if(e&1)b=pb()|0;else{h=+(c-b>>2>>>0);y=0;w=A;x=s;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));Ca(1,g|0,A|0,+h,t|0,1);A=y;y=0;if(A&1){b=pb()|0;$9(t);break}$9(t);A=g;r=B;return A|0}while(0);zqa(g);B=b;sb(B|0)}}default:{k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;jI(A,36349,5);y=0;b=Ha(971,a|0,A|0)|0;z=y;y=0;if(z&1){B=pb()|0;$9(A);sb(B|0)}b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,216,0)|0;$9(A);g=ZL(104)|0;w=u;x=e;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));if(!b){b=1;c=53}else{y=0;b=qa(k[(k[b>>2]|0)+116>>2]|0,b|0)|0;e=y;y=0;if(e&1)c=56;else c=53}do if((c|0)==53){k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(75,v|0,82159,0);e=y;y=0;if(e&1)c=56;else{h=+(b>>>0);y=0;w=A;x=u;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));Ca(1,g|0,A|0,+h,v|0,1);A=y;y=0;if(A&1){b=pb()|0;$9(v);break}$9(v);A=g;r=B;return A|0}}while(0);if((c|0)==56)b=pb()|0;zqa(g);B=b;sb(B|0)}}return 0}function of(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;E=0;v=r;r=r+192|0;n=v+152|0;G=v+136|0;o=v+148|0;D=v+116|0;p=v+128|0;C=v+104|0;q=v+96|0;s=v+72|0;t=v+84|0;u=v+60|0;w=v+48|0;x=v+36|0;z=v+24|0;A=v+12|0;B=v;d=b+64|0;e=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>2;a:do if(e|0){c=0;while(1){rT(n,Fc[k[(k[d>>2]|0)+16>>2]&2047](d,c)|0);F=k[n>>2]|0;y=0;oa(k[(k[F>>2]|0)+40>>2]|0,F|0,a|0);F=y;y=0;if(F&1)break;EO(n);c=c+1|0;if(c>>>0>=e>>>0)break a}G=pb()|0;EO(n);sb(G|0)}while(0);if(!(i[b+84>>0]|0)){r=v;return}bq(G,k[a+8>>2]|0);c=k[G>>2]|0;F=G+4|0;e=k[F>>2]|0;b:do if((c|0)!=(e|0)){f=p+4|0;g=q+4|0;h=D+11|0;j=D+4|0;l=C+11|0;m=C+4|0;while(1){a=k[c>>2]|0;if(!a)a=0;else{y=0;a=qa(457,a|0)|0;d=y;y=0;if(d&1){E=22;break}k[o>>2]=a;EO(o)}b=k[c+4>>2]|0;if(!b){b=0;E=24}else if(!(i[b+104>>0]|0))if(!(i[b+62>>0]|0))E=24;if((E|0)==24){E=0;d=k[(k[a>>2]|0)+28>>2]|0;k[p>>2]=0;k[f>>2]=5;y=0;k[n>>2]=k[p>>2];k[n+4>>2]=k[p+4>>2];Na(d|0,D|0,a|0,n|0);d=y;y=0;if(d&1){E=23;break}d=k[(k[b>>2]|0)+28>>2]|0;k[q>>2]=0;k[g>>2]=5;y=0;k[n>>2]=k[q>>2];k[n+4>>2]=k[q+4>>2];Na(d|0,C|0,b|0,n|0);d=y;y=0;if(d&1){E=38;break}k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=i[h>>0]|0;a=a<<24>>24<0?k[j>>2]|0:a&255;y=0;Ra(10,B|0,47054,1,a+1|0);d=y;y=0;if(d&1){E=39;break}y=0;ta(47,B|0,((i[h>>0]|0)<0?k[D>>2]|0:D)|0,a|0)|0;d=y;y=0;if(d&1){E=39;break}y=0;a=Ha(970,B|0,43864)|0;d=y;y=0;if(d&1){E=40;break}k[A>>2]=k[a>>2];k[A+4>>2]=k[a+4>>2];k[A+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;a=i[l>>0]|0;d=a<<24>>24<0;y=0;a=ta(47,A|0,(d?k[C>>2]|0:C)|0,(d?k[m>>2]|0:a&255)|0)|0;d=y;y=0;if(d&1){E=41;break}k[z>>2]=k[a>>2];k[z+4>>2]=k[a+4>>2];k[z+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;y=0;a=Ha(970,z|0,43886)|0;d=y;y=0;if(d&1){E=42;break}k[x>>2]=k[a>>2];k[x+4>>2]=k[a+4>>2];k[x+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;a=i[l>>0]|0;d=a<<24>>24<0;y=0;a=ta(47,x|0,(d?k[C>>2]|0:C)|0,(d?k[m>>2]|0:a&255)|0)|0;d=y;y=0;if(d&1){E=43;break}k[w>>2]=k[a>>2];k[w+4>>2]=k[a+4>>2];k[w+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;y=0;a=Ha(970,w|0,43904)|0;d=y;y=0;if(d&1){E=44;break}k[u>>2]=k[a>>2];k[u+4>>2]=k[a+4>>2];k[u+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;a=i[l>>0]|0;d=a<<24>>24<0;y=0;a=ta(47,u|0,(d?k[C>>2]|0:C)|0,(d?k[m>>2]|0:a&255)|0)|0;d=y;y=0;if(d&1){E=45;break}k[t>>2]=k[a>>2];k[t+4>>2]=k[a+4>>2];k[t+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;y=0;a=Ha(970,t|0,43935)|0;d=y;y=0;if(d&1){E=46;break}k[s>>2]=k[a>>2];k[s+4>>2]=k[a+4>>2];k[s+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;y=0;d=n;a=b+12|0;b=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(b|0));oa(458,s|0,n|0);d=y;y=0;if(d&1){E=47;break}$9(s);$9(t);$9(u);$9(w);$9(x);$9(z);$9(A);$9(B);$9(C);$9(D)}c=c+8|0;if((c|0)==(e|0)){E=9;break}}switch(E|0){case 9:{c=k[G>>2]|0;break b}case 22:{d=pb()|0;b=N;break}case 23:{d=pb()|0;b=N;break}case 38:{c=pb()|0;a=N;E=56;break}case 39:{c=pb()|0;a=N;$9(B);E=55;break}case 40:{c=pb()|0;a=N;E=54;break}case 41:{c=pb()|0;a=N;E=53;break}case 42:{c=pb()|0;a=N;E=52;break}case 43:{c=pb()|0;a=N;E=51;break}case 44:{c=pb()|0;a=N;E=50;break}case 45:{c=pb()|0;a=N;E=49;break}case 46:{c=pb()|0;a=N;E=48;break}case 47:{c=pb()|0;a=N;$9(s);E=48;break}}if((E|0)==48){$9(t);E=49}if((E|0)==49){$9(u);E=50}if((E|0)==50){$9(w);E=51}if((E|0)==51){$9(x);E=52}if((E|0)==52){$9(z);E=53}if((E|0)==53){$9(A);E=54}if((E|0)==54){$9(B);E=55}if((E|0)==55){$9(C);E=56}if((E|0)==56){$9(D);d=c;b=a}c=k[G>>2]|0;if(c|0){a=k[F>>2]|0;if((a|0)!=(c|0)){do{E=a+-8|0;k[F>>2]=E;EO(a+-4|0);EO(E);a=k[F>>2]|0}while((a|0)!=(c|0));c=k[G>>2]|0}zqa(c)}G=d;sb(G|0)}while(0);if(c|0){a=k[F>>2]|0;if((a|0)!=(c|0)){do{E=a+-8|0;k[F>>2]=E;EO(a+-4|0);EO(E);a=k[F>>2]|0}while((a|0)!=(c|0));c=k[G>>2]|0}zqa(c)}r=v;return}function pf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;j=0;q=r;r=r+144|0;m=q+132|0;l=q+128|0;s=q+124|0;d=q+120|0;n=q+68|0;h=q;f=q+80|0;g=q+56|0;o=a+8|0;c=k[(k[o>>2]|0)+16>>2]|0;p=k[c>>2]|0;k[c>>2]=0;rT(m,b+64|0);c=k[m>>2]|0;k[d>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;e=y;y=0;if(!(e&1)){y=0;oa(482,s|0,c|0);e=y;y=0;if(!(e&1)){EO(d);a=a+4|0;y=0;c=qa(439,k[a>>2]|0)|0;e=y;y=0;a:do if(e&1)a=pb()|0;else{k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,42545,8);e=y;y=0;do if(e&1)a=pb()|0;else{y=0;d=Ha(988,c|0,m|0)|0;e=y;y=0;if(e&1){a=pb()|0;$9(m);break}$9(m);if(d){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,42545,8);n=y;y=0;do if(n&1)a=pb()|0;else{y=0;a=Ha(971,c|0,m|0)|0;n=y;y=0;if(n&1){a=pb()|0;$9(m);break}a=k[a>>2]|0;if(!a)a=0;else a=pw(a,8,1032,0)|0;$9(m);c=k[a+96>>2]|0;y=0;d=qa(440,c|0)|0;n=y;y=0;if(n&1){a=pb()|0;break a}k[m>>2]=18364;y=0;e=Ha(1015,1,0)|0;n=y;y=0;b:do if(n&1)a=pb()|0;else{a=k[s>>2]|0;y=0;a=Ha(k[(k[a>>2]|0)+64>>2]|0,a|0,m|0)|0;n=y;y=0;do if(!(n&1)){y=0;Na(118,e|0,0,a|0);n=y;y=0;if(!(n&1)){y=0;a=ta(d|0,e|0,c|0,k[(k[o>>2]|0)+272>>2]|0)|0;n=y;y=0;if(n&1)break;k[k[(k[o>>2]|0)+16>>2]>>2]=p;y=0;na(385,e|0);p=y;y=0;do if(!(p&1)){y=0;na(385,a|0);p=y;y=0;if(p&1)break;EO(s);r=q;return 0}while(0);a=pb()|0;break b}}while(0);a=pb()|0}while(0);break a}while(0);break a}e=k[s>>2]|0;y=0;oa(k[(k[e>>2]|0)+24>>2]|0,m|0,e|0);e=y;y=0;do if(e&1)a=pb()|0;else{y=0;ma(5,n|0,m|0,0,0,1);e=y;y=0;if(e&1){a=pb()|0;$9(m);break}$9(m);y=0;d=qa(441,k[a>>2]|0)|0;e=y;y=0;do if(e&1)j=57;else{e=f;a=b+12|0;c=e+40|0;do{k[e>>2]=k[a>>2];e=e+4|0;a=a+4|0}while((e|0)<(c|0));k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(75,g|0,82159,0);b=y;y=0;if(b&1)j=57;else{k[h>>2]=d;e=h+4|0;a=f;c=e+40|0;do{k[e>>2]=k[a>>2];e=e+4|0;a=a+4|0}while((e|0)<(c|0));c=h+44|0;y=0;oa(452,c|0,g|0);f=y;y=0;if(f&1){a=pb()|0;$9(g);break}$9(g);y=0;a=ta(54,77440,47477,9)|0;g=y;y=0;c:do if(g&1)j=59;else{g=i[n+11>>0]|0;f=g<<24>>24<0;y=0;ta(54,a|0,(f?k[n>>2]|0:n)|0,(f?k[n+4>>2]|0:g&255)|0)|0;g=y;y=0;if(g&1)j=59;else{y=0;Na(119,m|0,h|0,0);h=y;y=0;do if(h&1)a=pb()|0;else{h=i[m+11>>0]|0;g=h<<24>>24<0;y=0;ta(54,77440,(g?k[m>>2]|0:m)|0,(g?k[m+4>>2]|0:h&255)|0)|0;h=y;y=0;if(h&1){a=pb()|0;$9(m);break}$9(m);y=0;a=qa(341,77440+(k[(k[19360]|0)+-12>>2]|0)|0)|0;j=y;y=0;if(j&1){j=59;break c}k[m>>2]=a;y=0;a=Ha(973,m|0,78144)|0;j=y;y=0;do if(!(j&1)){y=0;a=Ha(k[(k[a>>2]|0)+28>>2]|0,a|0,10)|0;j=y;y=0;if(j&1)break;Sea(m);y=0;Ha(1016,77440,a|0)|0;m=y;y=0;if(m&1){j=59;break c}y=0;qa(442,77440)|0;m=y;y=0;if(m&1){j=59;break c}y=0;a=qa(341,77440+(k[(k[19360]|0)+-12>>2]|0)|0)|0;m=y;y=0;if(m&1){j=59;break c}k[l>>2]=a;y=0;a=Ha(973,l|0,78144)|0;m=y;y=0;do if(!(m&1)){y=0;a=Ha(k[(k[a>>2]|0)+28>>2]|0,a|0,10)|0;m=y;y=0;if(m&1)break;Sea(l);y=0;Ha(1016,77440,a|0)|0;m=y;y=0;if(m&1){j=59;break c}y=0;qa(442,77440)|0;m=y;y=0;if(m&1){j=59;break c}k[k[(k[o>>2]|0)+16>>2]>>2]=p;$9(c);$9(n);EO(s);r=q;return 0}while(0);a=pb()|0;Sea(l);j=60;break c}while(0);a=pb()|0;Sea(m);j=60;break c}while(0)}}while(0);if((j|0)==59){a=pb()|0;j=60}$9(c)}}while(0);if((j|0)==57)a=pb()|0;$9(n);break a}while(0);break a}while(0)}while(0);EO(s);s=a;sb(s|0)}}s=pb()|0;EO(d);sb(s|0);return 0}function qf(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;F=0;z=r;r=r+320|0;u=z+272|0;v=z+256|0;m=z+244|0;w=z+228|0;x=z+268|0;G=z+224|0;s=z+80|0;n=z+232|0;E=z+24|0;p=z;D=z+12|0;t=z+40|0;A=z+20|0;B=z+16|0;C=z+8|0;g=u;h=d;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));_V(G,Vl(a,b,c,u,e)|0);b=k[G>>2]|0;a:do if((k[b+56>>2]|0)==8){q=s+64|0;b=s+8|0;k[b>>2]=14400;o=s+12|0;k[s>>2]=14440;k[q>>2]=14460;k[s+4>>2]=0;y=0;oa(528,s+64|0,o|0);l=y;y=0;if(l&1)b=pb()|0;else{k[s+136>>2]=0;k[s+140>>2]=-1;k[s>>2]=14380;k[q>>2]=14420;k[b>>2]=14400;y=0;na(373,o|0);l=y;y=0;do if(l&1)b=pb()|0;else{k[o>>2]=14240;e=s+44|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[s+60>>2]=24;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;oa(529,o|0,u|0);l=y;y=0;if(l&1){b=pb()|0;$9(u);$9(e);nba(o);break}$9(u);l=s+8|0;b=i[a+11>>0]|0;j=b<<24>>24<0;y=0;b=ta(54,l|0,(j?k[a>>2]|0:a)|0,(j?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;b:do if(a&1)F=20;else{y=0;b=ta(54,b|0,35275,28)|0;a=y;y=0;if(a&1)F=20;else{k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;a=JI(c)|0;y=0;Na(75,m|0,c|0,a|0);c=y;y=0;do if(c&1){b=pb()|0;F=22}else{c=xI(m,40,0)|0;y=0;ma(4,u|0,m|0,0,c|0,m|0);c=y;y=0;if(c&1){b=pb()|0;$9(m);F=22;break}$9(m);m=i[u+11>>0]|0;c=m<<24>>24<0;y=0;b=ta(54,b|0,(c?k[u>>2]|0:u)|0,(c?k[u+4>>2]|0:m&255)|0)|0;m=y;y=0;if(!(m&1)){y=0;ta(54,b|0,47079,1)|0;m=y;y=0;if(!(m&1)){$9(u);y=0;oa(530,n|0,o|0);m=y;y=0;if(m&1){F=20;break b}y=0;g=u;h=d;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));oa(458,n|0,u|0);d=y;y=0;if(d&1){b=pb()|0;$9(n);break b}else{$9(n);k[s>>2]=14380;k[q>>2]=14420;k[l>>2]=14400;k[o>>2]=14240;$9(e);nba(o);zka(s,14472);dja(q);b=k[G>>2]|0;break a}}}b=pb()|0;$9(u)}while(0)}}while(0);if((F|0)==20)b=pb()|0;k[s>>2]=14380;k[q>>2]=14420;k[l>>2]=14400;k[o>>2]=14240;$9(e);nba(o);zka(s,14472);dja(q);F=b;EO(G);sb(F|0)}while(0);zka(s,14472)}dja(q);F=b;EO(G);sb(F|0)}while(0);if(b|0){e=pw(b,40,520,0)|0;if(e|0)i[e+60>>0]=0}s=k[(k[b>>2]|0)+28>>2]|0;o=k[f+16>>2]|0;d=k[o+4>>2]|0;q=p;k[q>>2]=k[o>>2];k[q+4>>2]=d;y=0;k[u>>2]=k[p>>2];k[u+4>>2]=k[p+4>>2];Na(s|0,v|0,b|0,u|0);s=y;y=0;do if(s&1)b=pb()|0;else{y=0;b=Ha(970,v|0,46488)|0;s=y;y=0;if(s&1){b=pb()|0;$9(v);break}k[E>>2]=k[b>>2];k[E+4>>2]=k[b+4>>2];k[E+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;$9(v);b=i[E+11>>0]|0;e=k[E>>2]|0;y=0;Ra(16,t|0,35264,0,-1);s=y;y=0;if(s&1)F=46;else{b=b<<24>>24<0?e:E;y=0;g=u;h=t;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=Ma(11,b|0,f|0,u|0,0)|0;f=y;y=0;if(f&1)F=46;else{k[D>>2]=b;e=k[b+76>>2]|0;do if((k[b+80>>2]|0)==(e|0)){e=0;b=0;F=39}else{y=0;oa(464,v|0,e|0);f=y;y=0;if(f&1){b=pb()|0;break}F=k[v>>2]|0;k[C>>2]=F;y=0;oa(464,u|0,F+80|0);F=y;y=0;if(F&1){b=pb()|0;F=53;break}F=k[u>>2]|0;k[B>>2]=F;y=0;oa(464,w|0,F+76|0);F=y;y=0;if(F&1){b=pb()|0;F=52;break}else{b=k[w>>2]|0;k[A>>2]=b;e=1;F=39;break}}while(0);do if((F|0)==39){y=0;oa(482,x|0,b|0);w=y;y=0;if(w&1){b=pb()|0;if(!e)break;EO(A);F=52;break}if(!e){EO(D);$9(E);EO(G);G=k[x>>2]|0;r=z;return G|0}EO(A);EO(B);EO(C);EO(D);$9(E);EO(G);G=k[x>>2]|0;r=z;return G|0}while(0);if((F|0)==52){EO(B);F=53}if((F|0)==53)EO(C);EO(D)}}if((F|0)==46)b=pb()|0;$9(E);F=b;EO(G);sb(F|0)}while(0);F=b;EO(G);sb(F|0);return 0}function rf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;w=r;r=r+320|0;m=w+280|0;q=w+272|0;B=w+264|0;d=w+268|0;A=w+252|0;e=w;g=w+248|0;z=w+80|0;j=w+76|0;v=w+72|0;u=w+64|0;l=w+68|0;n=w+24|0;t=w+16|0;s=w+12|0;o=w+8|0;k[q>>2]=b;p=a+76|0;c=k[p>>2]|0;if((c|0)==(k[a+80>>2]|0))Xy(a+72|0,q);else{k[c>>2]=b;k[p>>2]=(k[p>>2]|0)+4}rT(m,(k[q>>2]|0)+68|0);b=k[m>>2]|0;k[d>>2]=b;h=a+8|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,h|0)|0;x=y;y=0;if(!(x&1)){y=0;oa(482,B|0,b|0);x=y;y=0;if(!(x&1)){EO(d);x=k[B>>2]|0;d=k[(k[x>>2]|0)+28>>2]|0;f=a+4|0;C=k[(k[f>>2]|0)+16>>2]|0;b=k[C+4>>2]|0;c=e;k[c>>2]=k[C>>2];k[c+4>>2]=b;y=0;k[m>>2]=k[e>>2];k[m+4>>2]=k[e+4>>2];Na(d|0,A|0,x|0,m|0);x=y;y=0;if(x&1)b=pb()|0;else{y=0;b=qa(340,((i[A+11>>0]|0)<0?k[A>>2]|0:A)|0)|0;C=y;y=0;if(C&1)b=pb()|0;else{k[g>>2]=b;c=k[f>>2]|0;d=c+204|0;e=k[d>>2]|0;if((e|0)==(k[c+208>>2]|0)){y=0;oa(537,c+200|0,g|0);C=y;y=0;if(C&1)x=21;else x=11}else{k[e>>2]=b;k[d>>2]=(k[d>>2]|0)+4;x=11}if((x|0)==11){c=k[g>>2]|0;b=k[f>>2]|0;y=0;d=m;e=(k[B>>2]|0)+12|0;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));ma(15,z|0,c|0,b|0,m|0,0);C=y;y=0;if(C&1)x=21;else{y=0;b=qa(418,z|0)|0;C=y;y=0;a:do if(C&1){b=pb()|0;c=N;x=26}else{k[j>>2]=b;y=0;oa(482,m|0,b|0);C=y;y=0;do if(C&1){b=pb()|0;c=N}else{y=0;Ha(966,B|0,m|0)|0;C=y;y=0;if(C&1){b=pb()|0;c=N;EO(m);break}EO(m);EO(j);b=k[B>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,h|0)|0;C=y;y=0;if(!(C&1)){if(!b)b=0;else b=pw(b,40,216,0)|0;y=0;oa(482,v|0,b|0);C=y;y=0;if(!(C&1)){b=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(464,m|0,(k[q>>2]|0)+64|0);C=y;y=0;b:do if(C&1){b=pb()|0;c=N}else{C=k[m>>2]|0;k[l>>2]=C;y=0;b=Ha(b|0,a|0,C|0)|0;C=y;y=0;do if(!(C&1)){y=0;oa(482,u|0,b|0);C=y;y=0;if(C&1)break;EO(l);y=0;g=qa(332,72)|0;C=y;y=0;if(C&1){b=pb()|0;c=N}else{d=n;e=(k[q>>2]|0)+12|0;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;oa(464,t|0,v|0);C=y;y=0;if(C&1){b=pb()|0;c=N}else{y=0;oa(464,s|0,u|0);C=y;y=0;if(C&1){b=pb()|0;c=N}else{y=0;oa(482,o|0,0);C=y;y=0;do if(C&1){b=pb()|0;c=N}else{y=0;d=m;e=n;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));ma(16,g|0,m|0,t|0,s|0,o|0);C=y;y=0;if(C&1){b=pb()|0;c=N;EO(o);break}EO(o);EO(s);EO(t);k[p>>2]=(k[p>>2]|0)+-4;k[g+56>>2]=k[(k[q>>2]|0)+56>>2];EO(u);EO(v);b=k[z+56>>2]|0;c=b;if(b|0){d=z+60|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}e=z+44|0;b=k[e>>2]|0;if(!b){$9(A);EO(B);r=w;return g|0}d=z+48|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{C=c+-4|0;k[d>>2]=C;EO(C);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}zqa(b);$9(A);EO(B);r=w;return g|0}while(0);EO(s)}EO(t)}zqa(g)}EO(u);break b}while(0);b=pb()|0;c=N;EO(l)}while(0);EO(v);g=c;break a}}b=pb()|0;g=N;break a}while(0);EO(j);x=26}while(0);if((x|0)==26)g=c;c=k[z+56>>2]|0;d=c;if(c|0){e=z+60|0;f=k[e>>2]|0;if((f|0)!=(c|0))k[e>>2]=f+(~((f+-4-d|0)>>>2)<<2);zqa(c)}f=z+44|0;c=k[f>>2]|0;if(c|0){e=z+48|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{C=d+-4|0;k[e>>2]=C;EO(C);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}}}if((x|0)==21)b=pb()|0}$9(A)}EO(B);C=b;sb(C|0)}}C=pb()|0;EO(d);sb(C|0);return 0}function sf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;A=0;s=r;r=r+160|0;o=s;n=s+144|0;u=s+88|0;v=s+64|0;w=s+52|0;q=s+104|0;x=s+40|0;t=s+76|0;z=ZL(112)|0;b=q;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(75,x|0,35304,4);g=y;y=0;if(g&1){A=pb()|0;zqa(z);sb(A|0)}y=0;b=o;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,x|0,a|0,d|0,o|0,f|0)|0;g=y;y=0;if(g&1)A=47;else{y=0;oa(457,w|0,b|0);g=y;y=0;if(g&1)A=47;else{g=i[w+11>>0]|0;if(((g<<24>>24<0?k[w+4>>2]|0:g&255)|0)==1){y=0;c=sa(21,w|0,0,-1,44240,1)|0;g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}$9(w);if(!c){m=+p[b+64>>3]*255.0/100.0;m=m<0.0?0.0:m;m=m>255.0?255.0:m}else A=10}else{$9(w);A=10}if((A|0)==10){m=+p[b+64>>3];m=m<0.0?0.0:m;m=m>255.0?255.0:m}k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;Na(75,w|0,35309,6);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=o;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,w|0,a|0,d|0,o|0,f|0)|0;g=y;y=0;if(g&1)A=49;else{y=0;oa(457,v|0,b|0);g=y;y=0;if(g&1)A=49;else{g=i[v+11>>0]|0;if(((g<<24>>24<0?k[v+4>>2]|0:g&255)|0)==1){y=0;c=sa(21,v|0,0,-1,44240,1)|0;g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}$9(v);if(!c){l=+p[b+64>>3]*255.0/100.0;l=l<0.0?0.0:l;l=l>255.0?255.0:l}else A=20}else{$9(v);A=20}if((A|0)==20){l=+p[b+64>>3];l=l<0.0?0.0:l;l=l>255.0?255.0:l}k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(75,v|0,35316,5);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=o;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,v|0,a|0,d|0,o|0,f|0)|0;g=y;y=0;if(g&1)A=51;else{y=0;oa(457,u|0,b|0);g=y;y=0;if(g&1)A=51;else{g=i[u+11>>0]|0;if(((g<<24>>24<0?k[u+4>>2]|0:g&255)|0)==1){y=0;c=sa(21,u|0,0,-1,44240,1)|0;g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}$9(u);if(!c){j=+p[b+64>>3]*255.0/100.0;j=j<0.0?0.0:j;j=j>255.0?255.0:j}else A=30}else{$9(u);A=30}if((A|0)==30){j=+p[b+64>>3];j=j<0.0?0.0:j;j=j>255.0?255.0:j}k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(75,u|0,35322,6);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=o;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,u|0,a|0,d|0,o|0,f|0)|0;f=y;y=0;do if(f&1)A=53;else{y=0;oa(457,n|0,b|0);f=y;y=0;if(f&1){A=53;break}f=i[n+11>>0]|0;do if(((f<<24>>24<0?k[n+4>>2]|0:f&255)|0)==1){y=0;c=sa(21,n|0,0,-1,44240,1)|0;f=y;y=0;if(f&1){f=tb(0)|0;dla(f)}$9(n);if(c|0){A=40;break}h=+p[b+64>>3];h=h<0.0?0.0:h;h=h>100.0?100.0:h}else{$9(n);A=40}while(0);if((A|0)==40){h=+p[b+64>>3];h=h<0.0?0.0:h;h=h>1.0?1.0:h}k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,82159,0);f=y;y=0;if(f&1){A=53;break}b=o;c=q;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));y=0;na(366,z|0);f=y;y=0;do if(f&1)b=pb()|0;else{b=z+12|0;c=o;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));i[z+52>>0]=0;i[z+53>>0]=0;i[z+54>>0]=0;b=z+56|0;k[b>>2]=0;k[z>>2]=9088;p[z+64>>3]=m;p[z+72>>3]=l;p[z+80>>3]=j;p[z+88>>3]=h;y=0;oa(452,z+96|0,t|0);f=y;y=0;if(f&1){b=pb()|0;break}else{k[z+108>>2]=0;k[b>>2]=3;$9(t);$9(u);$9(v);$9(w);$9(x);r=s;return z|0}}while(0);$9(t)}while(0);if((A|0)==53)b=pb()|0;$9(u)}}}if((A|0)==51)b=pb()|0;$9(v)}}}if((A|0)==49)b=pb()|0;$9(w)}}}if((A|0)==47)b=pb()|0;$9(x);A=b;zqa(z);sb(A|0);return 0}function tf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;t=0;F=r;r=r+32|0;G=F+4|0;w=F;D=a+8|0;e=k[D>>2]|0;E=a+4|0;q=k[E>>2]|0;u=((e|0)==(q|0)&1)+b|0;u=(((u>>>0)%170|0|0)!=0&1)+((u>>>0)/170|0)|0;C=a+16|0;b=k[C>>2]|0;B=(b>>>0)/170|0;B=u>>>0<B>>>0?u:B;u=u-B|0;p=e;if(!u){v=(aa(B,-170)|0)+b|0;k[C>>2]=v;if(!B){r=F;return}o=a+12|0;b=B;f=q;l=e;a:while(1){n=k[f>>2]|0;m=f+4|0;k[E>>2]=m;v=k[o>>2]|0;e=v;i=l;do if((l|0)==(v|0)){f=k[a>>2]|0;g=f;if(m>>>0>f>>>0){e=m;g=((e-g>>2)+1|0)/-2|0;h=m+(g<<2)|0;e=i-e|0;f=e>>2;if(!f)e=m;else{DN(h|0,m|0,e|0)|0;e=k[E>>2]|0}v=h+(f<<2)|0;k[D>>2]=v;k[E>>2]=e+(g<<2);e=v;break}e=e-g>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){t=10;break a}h=ZL(e<<2)|0;i=h;g=h+(e>>>2<<2)|0;j=g;h=h+(e<<2)|0;if((m|0)==(l|0))e=j;else{e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(l|0));f=k[a>>2]|0}k[a>>2]=i;k[E>>2]=j;k[D>>2]=e;k[o>>2]=h;if(f){zqa(f);e=k[D>>2]|0}}else e=l;while(0);k[e>>2]=n;e=(k[D>>2]|0)+4|0;k[D>>2]=e;b=b+-1|0;if(!b){t=82;break}f=k[E>>2]|0;l=e}if((t|0)==10){G=gb(4)|0;doa(G);Wb(G|0,4496,348)}else if((t|0)==82){r=F;return}}v=a+12|0;b=k[v>>2]|0;m=b-(k[a>>2]|0)|0;n=p-q>>2;if(u>>>0<=((m>>2)-n|0)>>>0){b:do if((b|0)==(p|0)){c=u;t=21}else{b=u;while(1){q=ZL(4080)|0;k[G>>2]=q;jv(a,G);b=b+-1|0;if(!b)break;if((k[v>>2]|0)==(k[D>>2]|0)){c=b;t=21;break b}}s=B;d=k[C>>2]|0}while(0);if((t|0)==21){b=B;do{d=ZL(4080)|0;k[G>>2]=d;Ht(a,G);c=c+-1|0;b=b+1|0;d=(k[C>>2]|0)+170+((((k[D>>2]|0)-(k[E>>2]|0)|0)==4)<<31>>31)|0;k[C>>2]=d}while((c|0)!=0);s=b}t=d+(aa(s,-170)|0)|0;k[C>>2]=t;if(!s){r=F;return}j=s;h=k[D>>2]|0;c:while(1){i=k[E>>2]|0;l=k[i>>2]|0;i=i+4|0;k[E>>2]=i;t=k[v>>2]|0;b=t;f=h;do if((h|0)==(t|0)){c=k[a>>2]|0;d=c;if(i>>>0>c>>>0){b=i;d=((b-d>>2)+1|0)/-2|0;e=i+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=i;else{DN(e|0,i|0,b|0)|0;b=k[E>>2]|0}t=e+(c<<2)|0;k[D>>2]=t;k[E>>2]=b+(d<<2);b=t;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){t=33;break c}e=ZL(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((i|0)==(h|0))b=g;else{b=g;c=i;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[E>>2]=g;k[D>>2]=b;k[v>>2]=e;if(c){zqa(c);b=k[D>>2]|0}}else b=h;while(0);k[b>>2]=l;h=(k[D>>2]|0)+4|0;k[D>>2]=h;j=j+-1|0;if(!j){t=82;break}}if((t|0)==33){G=gb(4)|0;doa(G);Wb(G|0,4496,348)}else if((t|0)==82){r=F;return}}d=m>>1;b=n+u|0;d=d>>>0<b>>>0?b:d;b=n-B|0;k[G+12>>2]=0;k[G+16>>2]=a+12;do if(!d)c=0;else if(d>>>0>1073741823){G=gb(4)|0;doa(G);Wb(G|0,4496,348)}else{c=ZL(d<<2)|0;break}while(0);k[G>>2]=c;n=c+(b<<2)|0;p=G+8|0;k[p>>2]=n;o=G+4|0;k[o>>2]=n;n=G+12|0;k[n>>2]=c+(d<<2);b=u;while(1){y=0;c=qa(332,4080)|0;u=y;y=0;if(u&1){t=50;break}k[w>>2]=c;y=0;oa(519,G|0,w|0);u=y;y=0;if(u&1){t=50;break}b=b+-1|0;if(!b){t=45;break}}d:do if((t|0)==45){e:do if(B|0){l=B;h=k[p>>2]|0;m=k[E>>2]|0;f:while(1){x=k[n>>2]|0;b=x;f=h;do if((h|0)==(x|0)){j=k[o>>2]|0;i=k[G>>2]|0;c=i;if(j>>>0>i>>>0){b=j;d=((b-c>>2)+1|0)/-2|0;e=j+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=j;else{DN(e|0,j|0,b|0)|0;b=k[o>>2]|0}x=e+(c<<2)|0;k[p>>2]=x;k[o>>2]=b+(d<<2);b=x;break}b=b-c>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){t=59;break f}y=0;c=qa(332,b<<2|0)|0;x=y;y=0;if(x&1){t=66;break f}f=c;d=c+(b>>>2<<2)|0;g=d;e=c+(b<<2)|0;if((j|0)==(h|0))b=g;else{b=g;c=j;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0))}k[G>>2]=f;k[o>>2]=g;k[p>>2]=b;k[n>>2]=e;if(i){zqa(i);b=k[p>>2]|0}}else b=h;while(0);k[b>>2]=k[m>>2];h=(k[p>>2]|0)+4|0;k[p>>2]=h;m=(k[E>>2]|0)+4|0;k[E>>2]=m;l=l+-1|0;if(!l)break e}if((t|0)==59){z=gb(4)|0;doa(z);y=0;Na(76,z|0,4496,348);y=0;z=pb()|0}else if((t|0)==66)z=pb()|0;x=z;break d}while(0);b=k[D>>2]|0;while(1){d=k[E>>2]|0;if((b|0)==(d|0))break;b=b+-4|0;y=0;oa(520,G|0,b|0);A=y;y=0;if(A&1){t=76;break}}if((t|0)==76){x=pb()|0;break}c=k[a>>2]|0;k[a>>2]=k[G>>2];k[G>>2]=c;k[E>>2]=k[o>>2];k[o>>2]=d;b=k[D>>2]|0;k[D>>2]=k[p>>2];k[p>>2]=b;G=k[v>>2]|0;k[v>>2]=k[n>>2];k[n>>2]=G;G=(k[C>>2]|0)+(aa(B,-170)|0)|0;k[C>>2]=G;if((b|0)!=(d|0))k[p>>2]=b+(~((b+-4-d|0)>>>2)<<2);if(c|0)zqa(c);r=F;return}else if((t|0)==50){b=tb(0)|0;vb(b|0)|0;b=k[o>>2]|0;if((b|0)!=(k[p>>2]|0))do{zqa(k[b>>2]|0);b=b+4|0}while((b|0)!=(k[p>>2]|0));y=0;la(4);y=0;b=pb()|0;y=0;la(3);F=y;y=0;if(F&1){F=tb(0)|0;dla(F)}else x=b}while(0);b=k[o>>2]|0;c=k[p>>2]|0;if((c|0)!=(b|0))k[p>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[G>>2]|0;if(!b)sb(x|0);zqa(b);sb(x|0)}function uf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;q=0;t=r;r=r+64|0;u=t+44|0;f=t+40|0;s=t+24|0;n=t+12|0;o=t;g=t+36|0;p=b+72|0;h=b+76|0;if((k[b+80>>2]|0)==(k[h>>2]|0)){zu(b,a);u=b;r=t;return u|0}m=Fc[k[(k[p>>2]|0)+16>>2]&2047](p,0)|0;m=k[m>>2]|0;j=a+84|0;pK(u,j);l=i[u+11>>0]|0;do if(((l<<24>>24<0?k[u+4>>2]|0:l&255)|0)==1){y=0;d=sa(21,u|0,0,-1,44238,1)|0;l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}else{e=(d|0)==0;break}}else e=0;while(0);$9(u);d=(m|0)==0;if(e){if(d)qca();if((k[(k[(k[m>>2]|0)+-4>>2]|0)+4>>2]|0)==28522){q=pw(m,144,304,0)|0;s=Fc[k[(k[p>>2]|0)+16>>2]&2047](p,0)|0;_V(u,rc[k[(k[a>>2]|0)+172>>2]&255](a,q,c)|0);y=0;Ha(966,s|0,u|0)|0;s=y;y=0;if(s&1){t=pb()|0;EO(u);u=t;sb(u|0)}else{EO(u);u=b;r=t;return u|0}}if(!(pw(m,144,320,0)|0))if(!(pw(m,144,336,0)|0)){u=b;r=t;return u|0}if(!(i[a+100>>0]|0)){u=b;r=t;return u|0}if(i[m+100>>0]|0){u=b;r=t;return u|0}pK(u,a+72|0);q=i[u+11>>0]|0;if(((q<<24>>24<0?k[u+4>>2]|0:q&255)|0)==1){y=0;d=sa(21,u|0,0,-1,44238,1)|0;q=y;y=0;if(q&1){q=tb(0)|0;dla(q)}$9(u);if(!d){u=b;r=t;return u|0}}else $9(u);k[f>>2]=k[b+76>>2];_V(s,a);y=0;k[u>>2]=k[f>>2];ta(48,h|0,u|0,s|0)|0;u=y;y=0;if(u&1){u=pb()|0;EO(s);sb(u|0)}else{EO(s);u=b;r=t;return u|0}}if(d)qca();if((k[(k[(k[m>>2]|0)+-4>>2]|0)+4>>2]|0)!=28522){pK(u,j);q=i[u+11>>0]|0;if(((q<<24>>24<0?k[u+4>>2]|0:q&255)|0)==1){y=0;d=sa(21,u|0,0,-1,44238,1)|0;q=y;y=0;if(q&1){q=tb(0)|0;dla(q)}$9(u);if(!d){u=b;r=t;return u|0}}else $9(u);k[g>>2]=k[b+76>>2];_V(s,a);y=0;k[u>>2]=k[g>>2];ta(48,h|0,u|0,s|0)|0;u=y;y=0;if(u&1){u=pb()|0;EO(s);sb(u|0)}else{EO(s);u=b;r=t;return u|0}}e=m+84|0;pK(u,e);l=i[u+11>>0]|0;if(((l<<24>>24<0?k[u+4>>2]|0:l&255)|0)==1){y=0;d=sa(21,u|0,0,-1,44238,1)|0;l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}if(!d)$9(u);else q=34}else q=34;a:do if((q|0)==34){y=0;oa(452,s|0,m+72|0);l=y;y=0;if(l&1)d=pb()|0;else{l=i[s+11>>0]|0;if(((l<<24>>24<0?k[s+4>>2]|0:l&255)|0)==1){y=0;d=sa(21,s|0,0,-1,44238,1)|0;l=y;y=0;if(l&1){l=tb(0)|0;dla(l)}if(!d){$9(s);$9(u);break}}y=0;oa(452,n|0,e|0);l=y;y=0;do if(l&1)d=pb()|0;else{y=0;oa(452,o|0,j|0);l=y;y=0;if(l&1){d=pb()|0;$9(n);break}f=i[n+11>>0]|0;g=f<<24>>24<0;f=f&255;h=g?k[n+4>>2]|0:f;l=i[o+11>>0]|0;d=l<<24>>24<0;if((h|0)!=((d?k[o+4>>2]|0:l&255)|0)){$9(o);$9(n);$9(s);$9(u);u=0;r=t;return u|0}j=k[n>>2]|0;l=g?j:n;d=d?k[o>>2]|0:o;e=(h|0)==0;if(g){if(e){$9(o);$9(n);$9(s);$9(u);break a}q=(zM(l,d,h)|0)==0;$9(o);$9(n);$9(s);$9(u);if(q)break a;else d=0;r=t;return d|0}if(e){$9(o);$9(n);$9(s);$9(u);break a}if((j&255)<<24>>24==(i[d>>0]|0))e=n;else{$9(o);$9(n);$9(s);$9(u);u=0;r=t;return u|0}do{f=f+-1|0;e=e+1|0;if(!f){q=57;break}d=d+1|0}while((i[e>>0]|0)==(i[d>>0]|0));if((q|0)==57){$9(o);$9(n);$9(s);$9(u);break a}$9(o);$9(n);$9(s);$9(u);u=0;r=t;return u|0}while(0);$9(s)}$9(u);u=d;sb(u|0)}while(0);s=Fc[k[(k[p>>2]|0)+16>>2]&2047](p,0)|0;_V(u,rc[k[(k[a>>2]|0)+172>>2]&255](a,m,c)|0);y=0;Ha(966,s|0,u|0)|0;s=y;y=0;if(s&1){t=pb()|0;EO(u);u=t;sb(u|0)}else{EO(u);u=b;r=t;return u|0}return 0}function vf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;u=0;q=r;r=r+176|0;m=q+136|0;p=q;A=q+132|0;z=q+128|0;x=q+112|0;w=q+68|0;v=q+44|0;n=q+120|0;o=q+72|0;t=q+56|0;s=q+40|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;jI(p,36618,5);y=0;h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));b=sa(26,p|0,a|0,d|0,m|0,f|0)|0;l=y;y=0;if(!(l&1)){y=0;b=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;l=y;y=0;if(!(l&1)){y=0;oa(482,A|0,b|0);l=y;y=0;if(!(l&1)){$9(p);y=0;g=qa(332,104)|0;l=y;y=0;a:do if(l&1)u=16;else{h=p;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(366,g|0);l=y;y=0;do if(l&1)b=pb()|0;else{h=g+12|0;j=p;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;b=g+56|0;k[b>>2]=0;k[g>>2]=7760;c=g+60|0;y=0;oa(553,c|0,1);l=y;y=0;if(l&1){b=pb()|0;break}k[g>>2]=7880;k[c>>2]=8004;k[b>>2]=6;y=0;oa(482,z|0,g|0);l=y;y=0;if(l&1){u=16;break a}b=k[A>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+116>>2]|0,b|0)|0;l=y;y=0;b:do if(l&1)b=pb()|0;else{c=k[A>>2]|0;a=(k[c+68>>2]|0)-(k[c+64>>2]|0)>>2;c:do if(b>>>0<a>>>0){f=p+4|0;d=n+4|0;while(1){c=c+60|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,b|0)|0;u=y;y=0;if(u&1){u=37;break}y=0;oa(464,x|0,c|0);u=y;y=0;if(u&1){u=37;break}y=0;oa(482,w|0,k[x>>2]|0);u=y;y=0;if(u&1){u=38;break}y=0;oa(452,v|0,(k[w>>2]|0)+64|0);u=y;y=0;if(u&1){u=39;break}y=0;c=ta(53,v|0,0,1)|0;u=y;y=0;if(u&1){u=40;break}y=0;Ha(967,v|0,c|0)|0;u=y;y=0;if(u&1){u=40;break}c=(k[z>>2]|0)+60|0;y=0;g=qa(332,80)|0;u=y;y=0;if(u&1){u=41;break}h=o;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;oa(452,t|0,v|0);u=y;y=0;if(u&1){u=42;break}y=0;h=m;j=o;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));Ea(2,g|0,m|0,t|0,0,0,0,1);u=y;y=0;if(u&1){u=43;break}y=0;oa(464,m|0,(k[w>>2]|0)+60|0);u=y;y=0;if(u&1){u=44;break}k[s>>2]=k[m>>2];k[p>>2]=g;y=0;oa(464,f|0,s|0);u=y;y=0;if(u&1){u=45;break}y=0;oa(482,n|0,k[p>>2]|0);u=y;y=0;if(u&1){u=46;break}y=0;oa(464,d|0,f|0);u=y;y=0;if(u&1){u=33;break}y=0;Ha(985,c|0,n|0)|0;u=y;y=0;if(u&1){u=48;break}EO(d);EO(n);EO(f);EO(s);$9(t);$9(v);EO(w);EO(x);b=b+1|0;if(b>>>0>=a>>>0)break c;c=k[A>>2]|0}switch(u|0){case 33:{b=pb()|0;EO(n);u=47;break}case 37:{b=pb()|0;break b}case 38:{b=pb()|0;break}case 39:{b=pb()|0;u=55;break}case 40:{b=pb()|0;u=54;break}case 41:{b=pb()|0;u=53;break}case 42:{b=pb()|0;u=52;break}case 43:{b=pb()|0;$9(t);u=52;break}case 44:{b=pb()|0;u=51;break}case 45:{b=pb()|0;u=50;break}case 46:{b=pb()|0;u=47;break}case 48:{b=pb()|0;EO(d);EO(n);u=49;break}}if((u|0)==47)u=49;else if((u|0)==52){zqa(g);u=53}if((u|0)==49){EO(f);u=50}if((u|0)==50){EO(s);u=51}if((u|0)==51){$9(t);u=53}if((u|0)==53)u=54;if((u|0)==54){$9(v);u=55}if((u|0)==55)EO(w);EO(x);break b}while(0);b=k[z>>2]|0;if(!b){x=0;EO(z);EO(A);r=q;return x|0}i[b+8>>0]=1;x=b;EO(z);EO(A);r=q;return x|0}while(0);EO(z);break a}while(0);zqa(g)}while(0);if((u|0)==16)b=pb()|0;EO(A);A=b;sb(A|0)}}}A=pb()|0;$9(p);sb(A|0);return 0}function wf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0;A=0;v=r;r=r+240|0;q=v+200|0;m=v+8|0;c=v+196|0;D=v+192|0;E=v+188|0;C=v+184|0;B=v+180|0;p=v+168|0;d=v;l=v+128|0;o=v+116|0;z=v+112|0;n=v+104|0;x=v+108|0;s=v+64|0;w=v+56|0;u=v+52|0;t=v+48|0;rT(D,b+64|0);y=0;oa(464,c|0,b+68|0);j=y;y=0;if(j&1){E=pb()|0;EO(D);sb(E|0)}c=k[c>>2]|0;k[E>>2]=c;j=a+8|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,j|0)|0;h=y;y=0;if(h&1)A=7;else{y=0;oa(482,C|0,c|0);h=y;y=0;if(h&1)A=7;else{c=k[C>>2]|0;if(!c)c=0;else c=pw(c,40,432,0)|0;y=0;oa(482,B|0,c|0);h=y;y=0;if(h&1)c=pb()|0;else{a:do if(!(k[B>>2]|0)){h=k[C>>2]|0;g=k[(k[h>>2]|0)+28>>2]|0;c=k[(k[a+4>>2]|0)+16>>2]|0;e=k[c+4>>2]|0;f=d;k[f>>2]=k[c>>2];k[f+4>>2]=e;y=0;k[q>>2]=k[d>>2];k[q+4>>2]=k[d+4>>2];Na(g|0,p|0,h|0,q|0);h=y;y=0;if(h&1)A=20;else{y=0;h=qa(332,80)|0;g=y;y=0;b:do if(g&1)c=pb()|0;else{e=l;f=(k[E>>2]|0)+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(452,o|0,p|0);g=y;y=0;do if(g&1)c=pb()|0;else{e=m;f=l;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(366,h|0);l=y;y=0;if(l&1)d=1;else{e=h+12|0;f=m;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h+56>>2]=4;k[h>>2]=9640;i[h+60>>0]=0;i[h+61>>0]=0;y=0;oa(547,h+64|0,o|0);m=y;y=0;if(m&1){c=pb()|0;$9(o);break}k[h+76>>2]=0;y=0;oa(482,q|0,h|0);m=y;y=0;if(m&1)d=0;else{y=0;Ha(966,B|0,q|0)|0;m=y;y=0;if(m&1){c=pb()|0;EO(q);$9(o);break b}else{EO(q);$9(o);$9(p);A=27;break a}}}c=pb()|0;$9(o);if(!d)break b}while(0);zqa(h)}while(0);$9(p)}}else A=27;while(0);do if((A|0)==27){y=0;oa(464,q|0,b+72|0);p=y;y=0;if(p&1)A=20;else{c=k[q>>2]|0;k[n>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,j|0)|0;p=y;y=0;if(!(p&1)){y=0;oa(482,z|0,c|0);p=y;y=0;if(!(p&1)){EO(n);c=k[D>>2]|0;if(!c){c=0;A=32}else{y=0;c=Ha(k[(k[a>>2]|0)+12>>2]|0,a|0,c|0)|0;A=y;y=0;if(A&1)A=39;else A=32}if((A|0)==32){y=0;oa(482,x|0,c|0);A=y;y=0;if(A&1)A=39;else{do if(!(k[x>>2]|0)){c=k[z>>2]|0;if(!c){A=0;EO(x);EO(z);EO(B);EO(C);EO(E);EO(D);r=v;return A|0}y=0;c=qa(k[(k[c>>2]|0)+80>>2]|0,c|0)|0;A=y;y=0;if(A&1)A=40;else{if(!c){A=41;break}if(!(i[b+76>>0]|0))c=0;else{A=41;break}EO(x);EO(z);EO(B);EO(C);EO(E);EO(D);r=v;return c|0}}else A=41;while(0);if((A|0)==41){y=0;d=qa(332,80)|0;p=y;y=0;if(p&1)A=40;else{e=s;f=b+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(464,w|0,B|0);p=y;y=0;if(p&1)c=pb()|0;else{y=0;oa(464,u|0,z|0);p=y;y=0;if(p&1)c=pb()|0;else{c=i[b+76>>0]|0;y=0;oa(464,t|0,x|0);p=y;y=0;do if(p&1)c=pb()|0;else{c=c<<24>>24!=0;y=0;e=q;f=s;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));ya(20,d|0,q|0,w|0,u|0,c|0,t|0);s=y;y=0;if(s&1){c=pb()|0;EO(t);break}EO(t);EO(u);EO(w);k[d+56>>2]=k[b+56>>2];A=d;EO(x);EO(z);EO(B);EO(C);EO(E);EO(D);r=v;return A|0}while(0);EO(u)}EO(w)}zqa(d)}}if((A|0)==40)c=pb()|0;EO(x)}}if((A|0)==39)c=pb()|0;EO(z);break}}c=pb()|0;EO(n)}}while(0);if((A|0)==20)c=pb()|0;EO(B)}EO(C)}}if((A|0)==7)c=pb()|0;EO(E);E=c;EO(D);sb(E|0);return 0}function xf(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;p=0;n=r;r=r+336|0;t=n+304|0;m=n+296|0;u=n+300|0;g=n+240|0;f=n+200|0;h=n+48|0;s=n+96|0;q=n+60|0;l=n+24|0;i=n+8|0;j=n;if((k[a+216>>2]|0)==(k[a+212>>2]|0)){_V(m,0);u=k[m>>2]|0;r=n;return u|0}b=Os(a+224|0,t,a+20|0)|0;b=k[b>>2]|0;if(!b){b=gb(8)|0;y=0;oa(484,b|0,43840);u=y;y=0;if(u&1){u=pb()|0;fb(b|0);sb(u|0)}else{k[b>>2]=27092;Wb(b|0,4560,351)}}rT(u,b+28+8|0);a:do if(!(k[u>>2]|0)){y=0;oa(482,m|0,0);t=y;y=0;if(t&1)p=9;else p=83}else{y=0;oa(524,t|0,0);o=y;y=0;if(o&1)p=9;else{y=0;oa(525,a|0,t|0);o=y;y=0;b:do if(o&1)p=15;else{d=a+348|0;c=k[d>>2]|0;e=(k[a+352>>2]|0)-c>>2;c:do if(e|0){b=0;while(1){y=0;Na(89,a|0,t|0,k[c+(b<<2)>>2]|0);o=y;y=0;if(o&1)break;b=b+1|0;if(b>>>0>=e>>>0)break c;c=k[d>>2]|0}b=pb()|0;break b}while(0);y=0;Ra(16,f|0,82159,0,-1);o=y;y=0;if(o&1)p=15;else{k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,82159,0);o=y;y=0;if(o&1)p=15;else{k[g>>2]=0;d=g+4|0;b=f;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));o=g+44|0;y=0;oa(452,o|0,h|0);f=y;y=0;if(f&1){b=pb()|0;$9(h);break}$9(h);y=0;ma(6,s|0,a|0,t|0,g|0,0);h=y;y=0;if(h&1)b=pb()|0;else{y=0;Na(90,q|0,a|0,g|0);h=y;y=0;if(h&1)b=pb()|0;else{y=0;na(372,l|0);h=y;y=0;if(h&1)b=pb()|0;else{y=0;Ha(748,l|0,k[u>>2]|0)|0;h=y;y=0;d:do if(h&1)p=41;else{y=0;b=Ha(544,s|0,k[u>>2]|0)|0;h=y;y=0;do if(h&1)p=42;else{y=0;oa(482,i|0,b|0);h=y;y=0;if(h&1){p=42;break}y=0;Ha(966,u|0,i|0)|0;h=y;y=0;if(h&1){b=pb()|0;EO(i);break}EO(i);y=0;Ha(748,l|0,k[u>>2]|0)|0;h=y;y=0;if(h&1){p=41;break d}y=0;b=Ha(680,q|0,k[u>>2]|0)|0;h=y;y=0;do if(h&1)p=45;else{y=0;oa(482,i|0,b|0);h=y;y=0;if(h&1){p=45;break}y=0;Ha(966,u|0,i|0)|0;h=y;y=0;if(h&1){b=pb()|0;EO(i);break}EO(i);b=a+236|0;do if((k[b>>2]|0)!=(k[a+240>>2]|0)){y=0;Na(91,i|0,a|0,b|0);h=y;y=0;if(h&1){p=41;break d}y=0;oa(135,i|0,k[u>>2]|0);i=y;y=0;if(i&1){b=pb()|0;break d}else break}while(0);y=0;oa(526,j|0,a|0);i=y;y=0;if(i&1){p=41;break d}i=k[u>>2]|0;y=0;oa(k[(k[i>>2]|0)+40>>2]|0,i|0,j|0);j=y;y=0;do if(!(j&1)){y=0;oa(464,m|0,u|0);j=y;y=0;if(j&1)break;k[l>>2]=17788;d=k[l+4>>2]|0;e=d;if(d|0){b=l+8|0;c=k[b>>2]|0;if((c|0)!=(d|0))k[b>>2]=c+(~((c+-4-e|0)>>>2)<<2);zqa(d)}k[q>>2]=16316;b=k[q+20>>2]|0;c=b;if(b|0){d=q+24|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);zqa(b)}d=k[q+8>>2]|0;e=d;if(d|0){b=q+12|0;c=k[b>>2]|0;if((c|0)!=(d|0))k[b>>2]=c+(~((c+-4-e|0)>>>2)<<2);zqa(d)}rt(s);$9(o);jB(t,k[t+4>>2]|0);p=83;break a}while(0);b=pb()|0;break d}while(0);if((p|0)==45)b=pb()|0;break d}while(0);if((p|0)==42)b=pb()|0}while(0);if((p|0)==41)b=pb()|0;k[l>>2]=17788;e=k[l+4>>2]|0;f=e;if(e|0){c=l+8|0;d=k[c>>2]|0;if((d|0)!=(e|0))k[c>>2]=d+(~((d+-4-f|0)>>>2)<<2);zqa(e)}}k[q>>2]=16316;c=k[q+20>>2]|0;d=c;if(c|0){e=q+24|0;f=k[e>>2]|0;if((f|0)!=(c|0))k[e>>2]=f+(~((f+-4-d|0)>>>2)<<2);zqa(c)}e=k[q+8>>2]|0;f=e;if(e|0){c=q+12|0;d=k[c>>2]|0;if((d|0)!=(e|0))k[c>>2]=d+(~((d+-4-f|0)>>>2)<<2);zqa(e)}}rt(s)}$9(o)}}}while(0);if((p|0)==15)b=pb()|0;jB(t,k[t+4>>2]|0);t=b;EO(u);sb(t|0)}}while(0);if((p|0)==9){t=pb()|0;EO(u);sb(t|0)}else if((p|0)==83){EO(u);u=k[m>>2]|0;r=n;return u|0}return 0}function yf(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;k[dc+32>>2]=d;if((cc|0)==1)cc=3}Qc(fc+38340|0)}function zf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;p=0;D=r;r=r+48|0;E=D+24|0;B=D;gD(a);C=a+16|0;g=k[C>>2]|0;F=a+20|0;n=k[F>>2]|0;o=(n|0)==0;if(!o)Sba(n);y=0;na(387,E|0);A=y;y=0;do if(A&1){d=pb()|0;p=32}else{j=g+8|0;e=k[j>>2]|0;l=g+4|0;d=k[l>>2]|0;A=e-d>>2;h=g+16|0;f=k[h>>2]|0;m=g+20|0;c=k[m>>2]|0;if((((A|0)==0?0:(A*170|0)+-1|0)|0)==(c+f|0)){y=0;na(370,g|0);A=y;y=0;if(!(A&1)){c=k[m>>2]|0;f=k[h>>2]|0;e=k[j>>2]|0;d=k[l>>2]|0;p=7}}else p=7;if((p|0)==7){c=c+f|0;if((e|0)==(d|0))c=0;else c=(k[d+(((c>>>0)/170|0)<<2)>>2]|0)+(((c>>>0)%170|0)*24|0)|0;k[c>>2]=k[E>>2];k[c+4>>2]=k[E+4>>2];k[c+8>>2]=k[E+8>>2];d=E+12|0;y=0;oa(464,c+12|0,d|0);A=y;y=0;if(!(A&1)){z=E+16|0;k[c+16>>2]=k[z>>2];A=E+20|0;k[c+20>>2]=k[A>>2];k[z>>2]=0;k[A>>2]=0;k[m>>2]=(k[m>>2]|0)+1;EO(d);if(!o)kZ(n);g=b+16|0;d=k[g>>2]|0;h=b+20|0;e=k[h>>2]|0;f=(e|0)==0;if(!f)Sba(e);A=k[d+4>>2]|0;c=k[d+16>>2]|0;l=A+(((c>>>0)/170|0)<<2)|0;if((k[d+8>>2]|0)==(A|0))j=0;else j=(k[l>>2]|0)+(((c>>>0)%170|0)*24|0)|0;if(!f)kZ(e);e=k[g>>2]|0;f=k[h>>2]|0;g=(f|0)==0;if(!g)Sba(f);c=(k[e+16>>2]|0)+(k[e+20>>2]|0)|0;d=k[e+4>>2]|0;if((k[e+8>>2]|0)==(d|0))v=0;else v=(k[d+(((c>>>0)/170|0)<<2)>>2]|0)+(((c>>>0)%170|0)*24|0)|0;if(!g)kZ(f);q=B+16|0;w=B+20|0;s=E+16|0;z=E+20|0;x=B+12|0;t=a+12|0;A=E+12|0;u=E+16|0;p=l;c=j;a:while(1){do{if((c|0)==(v|0)){p=27;break a}y=0;na(387,E|0);o=y;y=0;if(o&1){p=55;break a}f=c+16|0;d=k[f>>2]|0;j=c+20|0;g=k[j>>2]|0;h=(g|0)==0;if(!h)Sba(g);o=k[d+4>>2]|0;e=k[d+16>>2]|0;l=o+(((e>>>0)/170|0)<<2)|0;if((k[d+8>>2]|0)==(o|0))d=0;else d=(k[l>>2]|0)+(((e>>>0)%170|0)*24|0)|0;if(!h)kZ(g);g=k[f>>2]|0;h=k[j>>2]|0;j=(h|0)==0;if(!j)Sba(h);e=(k[g+16>>2]|0)+(k[g+20>>2]|0)|0;f=k[g+4>>2]|0;if((k[g+8>>2]|0)==(f|0))o=0;else o=(k[f+(((e>>>0)/170|0)<<2)>>2]|0)+(((e>>>0)%170|0)*24|0)|0;if(!j)kZ(h);n=l;b:while(1){do{if((d|0)==(o|0))break b;e=k[C>>2]|0;g=k[F>>2]|0;h=(g|0)==0;if(!h)Sba(g);b=k[e+4>>2]|0;f=k[e+16>>2]|0;m=b+(((f>>>0)/170|0)<<2)|0;if((k[e+8>>2]|0)==(b|0))e=0;else e=(k[m>>2]|0)+(((f>>>0)%170|0)*24|0)|0;if(!h)kZ(g);f=k[C>>2]|0;j=k[F>>2]|0;l=(j|0)==0;if(!l)Sba(j);g=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;h=k[f+4>>2]|0;if((k[f+8>>2]|0)==(h|0))b=0;else b=(k[h+(((g>>>0)/170|0)<<2)>>2]|0)+(((g>>>0)%170|0)*24|0)|0;if(l)j=m;else{kZ(j);j=m}c:while(1){do{if((e|0)==(b|0))break c;y=0;na(387,B|0);m=y;y=0;if(m&1){p=89;break a}i[B>>0]=i[c>>0]|0;y=0;oa(512,B|0,e|0);m=y;y=0;if(m&1){p=90;break a}f=k[q>>2]|0;g=k[w>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,d|0);m=y;y=0;if(m&1){p=91;break a}if(!h)kZ(g);f=k[s>>2]|0;g=k[z>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,B|0);m=y;y=0;if(m&1){p=93;break a}if(!h)kZ(g);f=k[w>>2]|0;if(f|0)kZ(f);EO(x);e=e+24|0}while((e-(k[j>>2]|0)|0)!=4080);e=j+4|0;j=e;e=k[e>>2]|0}d=d+24|0}while((d-(k[n>>2]|0)|0)!=4080);d=n+4|0;n=d;d=k[d>>2]|0}k[a>>2]=k[E>>2];k[a+4>>2]=k[E+4>>2];k[a+8>>2]=k[E+8>>2];y=0;Ha(966,t|0,A|0)|0;o=y;y=0;if(o&1){p=56;break a}d=k[u>>2]|0;e=k[z>>2]|0;if(e|0)Sba(e);k[C>>2]=d;d=k[F>>2]|0;k[F>>2]=e;if(d|0)kZ(d);d=k[z>>2]|0;if(d|0)kZ(d);EO(A);c=c+24|0}while((c-(k[p>>2]|0)|0)!=4080);c=p+4|0;p=c;c=k[c>>2]|0}if((p|0)==27){r=D;return}else if((p|0)==55){d=pb()|0;break}else if((p|0)==56)d=pb()|0;else if((p|0)==89)d=pb()|0;else if((p|0)==90){d=pb()|0;p=95}else if((p|0)==91){d=pb()|0;if(h)p=95;else{kZ(g);p=95}}else if((p|0)==93){d=pb()|0;if(h)p=95;else{kZ(g);p=95}}if((p|0)==95){c=k[w>>2]|0;if(c|0)kZ(c);EO(x)}c=k[z>>2]|0;if(c|0)kZ(c);EO(A);break}}d=pb()|0;c=k[E+20>>2]|0;if(c|0)kZ(c);EO(E+12|0);p=32}while(0);if((p|0)==32)if(!o)kZ(n);c=k[F>>2]|0;if(!c){a=a+12|0;EO(a);sb(d|0)}kZ(c);a=a+12|0;EO(a);sb(d|0)}
function ad(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0;s=0;Ya=r;r=r+528|0;p=Ya+524|0;Sa=Ya+520|0;Va=Ya+516|0;H=Ya+512|0;C=Ya+508|0;D=Ya+504|0;E=Ya+500|0;v=Ya+496|0;w=Ya+492|0;u=Ya+152|0;L=Ya+488|0;M=Ya+484|0;O=Ya+480|0;P=Ya+476|0;Q=Ya+472|0;R=Ya+468|0;S=Ya+112|0;T=Ya+464|0;ua=Ya+460|0;va=Ya+456|0;ga=Ya+452|0;ha=Ya+448|0;h=Ya+72|0;g=Ya+32|0;e=Ya+444|0;$a=Ya+440|0;ab=Ya+436|0;n=Ya+432|0;_a=Ya+428|0;Za=Ya+424|0;La=Ya+420|0;Ka=Ya+416|0;Ia=Ya+412|0;Fa=Ya+408|0;ia=Ya+400|0;ja=Ya+392|0;Ea=Ya+404|0;ka=Ya+384|0;la=Ya+376|0;ea=Ya+352|0;fa=Ya+16|0;ma=Ya+340|0;pa=Ya+336|0;Qa=Ya+396|0;Pa=Ya+388|0;Oa=Ya+380|0;wa=Ya+328|0;xa=Ya+324|0;ya=Ya+320|0;Ga=Ya+372|0;za=Ya+316|0;Aa=Ya+312|0;ra=Ya+296|0;sa=Ya;Ba=Ya+288|0;Ca=Ya+284|0;Da=Ya+368|0;U=Ya+280|0;V=Ya+276|0;W=Ya+272|0;X=Ya+268|0;Y=Ya+264|0;ca=Ya+260|0;Z=Ya+256|0;_=Ya+252|0;$=Ya+248|0;aa=Ya+244|0;ba=Ya+240|0;da=Ya+344|0;x=Ya+236|0;z=Ya+232|0;A=Ya+228|0;F=Ya+224|0;B=Ya+220|0;G=Ya+216|0;I=Ya+212|0;J=Ya+208|0;K=Ya+204|0;Xa=Ya+332|0;Wa=Ya+200|0;Ta=Ya+196|0;Ua=Ya+192|0;rT($a,a+80|0);Ja=a+76|0;y=0;oa(464,e|0,Ja|0);Ra=y;y=0;if(Ra&1){ab=pb()|0;EO($a);sb(ab|0)}k[ab>>2]=k[e>>2];q=c+4|0;e=k[(k[q>>2]|0)+-4>>2]|0;y=0;f=qa(k[(k[a>>2]|0)+132>>2]|0,a|0)|0;Ra=y;y=0;a:do if(Ra&1)s=25;else{if(!(f|d)){y=0;m=qa(332,104)|0;_a=y;y=0;if(_a&1){s=25;break}f=g;l=a+12|0;o=f+40|0;do{k[f>>2]=k[l>>2];f=f+4|0;l=l+4|0}while((f|0)<(o|0));y=0;na(366,m|0);_a=y;y=0;do if(_a&1)e=pb()|0;else{f=m+12|0;l=g;o=f+40|0;do{k[f>>2]=k[l>>2];f=f+4|0;l=l+4|0}while((f|0)<(o|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;k[m>>2]=11396;i[m+60>>0]=0;i[m+61>>0]=0;i[m+62>>0]=0;k[m+64>>2]=0;k[m+68>>2]=0;k[m+56>>2]=7;f=m+72|0;k[f>>2]=14012;j=m+76|0;l=m+80|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(513,j|0,0);_a=y;y=0;if(_a&1){e=pb()|0;h=N;f=k[j>>2]|0;if(f|0){g=k[l>>2]|0;if((g|0)!=(f|0)){do{_a=g+-4|0;k[l>>2]=_a;EO(_a);g=k[l>>2]|0}while((g|0)!=(f|0));f=k[j>>2]|0}zqa(f)}break}k[m>>2]=13796;k[f>>2]=13972;k[m+92>>2]=0;k[m+96>>2]=0;k[m+100>>2]=0;y=0;oa(482,n|0,a|0);_a=y;y=0;if(_a&1){e=pb()|0;break a}b:do if(k[n>>2]|0){k[m+88>>2]=0;e=k[l>>2]|0;if((e|0)==(k[m+84>>2]|0)){y=0;oa(515,j|0,n|0);_a=y;y=0;if(_a&1)s=29;else s=19}else{y=0;oa(464,e|0,n|0);_a=y;y=0;if(_a&1)s=29;else{k[l>>2]=(k[l>>2]|0)+4;s=19}}do if((s|0)==19){e=k[k[f>>2]>>2]|0;y=0;oa(464,p|0,n|0);_a=y;y=0;if(_a&1)s=29;else{y=0;oa(e|0,f|0,p|0);_a=y;y=0;if(_a&1){e=pb()|0;EO(p);break}else{EO(p);break b}}}while(0);if((s|0)==29)e=pb()|0;EO(n);break a}while(0);EO(n);_a=m;EO(ab);EO($a);r=Ya;return _a|0}while(0);zqa(m);break}f=k[$a>>2]|0;if(!f)f=0;else{y=0;f=Ma(6,f|0,b|0,c|0,d|0)|0;Ra=y;y=0;if(Ra&1){s=25;break}}y=0;oa(482,_a|0,f|0);Ra=y;y=0;if(Ra&1)s=25;else{f=k[ab>>2]|0;c:do if(!f)s=313;else if((k[f+80>>2]|0)==(k[f+76>>2]|0))s=313;else{y=0;oa(482,Za|0,0);Ra=y;y=0;if(Ra&1)s=38;else{f=k[k[(k[ab>>2]|0)+76>>2]>>2]|0;d:do if(!f)s=272;else if(!(pw(f,144,384,0)|0))s=272;else{y=0;m=qa(332,104)|0;Ra=y;y=0;e:do if(Ra&1)s=63;else{Ra=a+12|0;f=h;l=Ra;o=f+40|0;do{k[f>>2]=k[l>>2];f=f+4|0;l=l+4|0}while((f|0)<(o|0));y=0;na(366,m|0);t=y;y=0;do if(t&1)e=pb()|0;else{f=m+12|0;l=h;o=f+40|0;do{k[f>>2]=k[l>>2];f=f+4|0;l=l+4|0}while((f|0)<(o|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;k[m>>2]=11396;i[m+60>>0]=0;i[m+61>>0]=0;i[m+62>>0]=0;k[m+64>>2]=0;k[m+68>>2]=0;k[m+56>>2]=7;f=m+72|0;k[f>>2]=14012;j=m+76|0;l=m+80|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(513,j|0,0);t=y;y=0;if(t&1){e=pb()|0;h=N;f=k[j>>2]|0;if(f|0){g=k[l>>2]|0;if((g|0)!=(f|0)){do{Ya=g+-4|0;k[l>>2]=Ya;EO(Ya);g=k[l>>2]|0}while((g|0)!=(f|0));f=k[j>>2]|0}zqa(f)}break}k[m>>2]=13796;k[f>>2]=13972;k[m+92>>2]=0;k[m+96>>2]=0;k[m+100>>2]=0;y=0;oa(482,p|0,m|0);t=y;y=0;if(t&1){s=63;break e}y=0;Ha(966,Za|0,p|0)|0;t=y;y=0;if(t&1){e=pb()|0;EO(p);break e}EO(p);do if(!e){e=k[ab>>2]|0;y=0;e=qa(k[(k[e>>2]|0)+132>>2]|0,e|0)|0;t=y;y=0;if(t&1)break;if(!e){e=0;s=179;break}g=k[q>>2]|0;h=k[c>>2]|0;e=g-h|0;if((e|0)<=0){e=0;s=179;break}f=(e>>2)+-1|0;e=h;while(1){if(g-e>>2>>>0>f>>>0){g=e;h=e}else{y=0;na(369,c|0);t=y;y=0;if(t&1){s=68;break}h=k[c>>2]|0;g=h}e=k[g+(f<<2)>>2]|0;f=f+-1|0;g=(e|0)==0;if(!((f|0)>-1&g)){s=69;break}g=k[q>>2]|0;e=h}if((s|0)==68){e=pb()|0;break d}else if((s|0)==69)if(g){e=0;s=179;break}else{s=70;break}}else s=70;while(0);do if((s|0)==70){s=e+76|0;t=e+80|0;h=k[t>>2]|0;j=k[s>>2]|0;g=j;if((h|0)==(j|0)){s=179;break}f=k[_a>>2]|0;do if(f|0){q=(k[f+80>>2]|0)-(k[f+76>>2]|0)>>2;if(!q)break;o=e+76|0;p=a+76|0;f=0;g=j;f:while(1){n=h-g>>2;if(n|0){m=0;do{y=0;oa(464,La|0,(k[(k[_a>>2]|0)+76>>2]|0)+(f<<2)|0);Qa=y;y=0;if(Qa&1){s=97;break f}y=0;oa(464,Ka|0,(k[o>>2]|0)+(m<<2)|0);Qa=y;y=0;if(Qa&1){s=98;break f}g=k[Ka>>2]|0;y=0;g=qa(k[(k[g>>2]|0)+16>>2]|0,g|0)|0;Qa=y;y=0;if(Qa&1){s=99;break f}y=0;oa(482,Ia|0,g|0);Qa=y;y=0;if(Qa&1){s=99;break f}y=0;g=qa(k[(k[a>>2]|0)+16>>2]|0,a|0)|0;Qa=y;y=0;if(Qa&1){s=100;break f}y=0;oa(482,Fa|0,g|0);Qa=y;y=0;if(Qa&1){s=100;break f}h=k[Fa>>2]|0;g=k[La>>2]|0;if(!g)g=0;else{y=0;g=qa(k[(k[g>>2]|0)+16>>2]|0,g|0)|0;Qa=y;y=0;if(Qa&1){s=101;break f}}y=0;oa(482,ja|0,g|0);Qa=y;y=0;if(Qa&1){s=101;break f}g=h+80|0;y=0;Ha(966,g|0,ja|0)|0;Qa=y;y=0;if(Qa&1){s=102;break f}y=0;oa(464,ha|0,g|0);Qa=y;y=0;if(Qa&1){s=102;break f}k[ia>>2]=k[ha>>2];EO(ia);EO(ja);g=k[p>>2]|0;y=0;g=qa(k[(k[g>>2]|0)+12>>2]|0,g|0)|0;Qa=y;y=0;if(Qa&1){s=101;break f}y=0;oa(482,Ea|0,g|0);Qa=y;y=0;if(Qa&1){s=101;break f}Qa=k[Ea>>2]|0;l=Qa+80|0;Pa=k[l>>2]|0;Qa=k[Qa+76>>2]|0;j=Qa;g=Pa;do if((Pa|0)!=(Qa|0)){h=j+4|0;if((h|0)!=(g|0)){do{y=0;Ha(966,j|0,h|0)|0;Qa=y;y=0;if(Qa&1){s=103;break f}h=h+4|0;j=j+4|0}while((h|0)!=(g|0));g=k[l>>2]|0;if((g|0)==(j|0))break}do{Qa=g+-4|0;k[l>>2]=Qa;EO(Qa);g=k[l>>2]|0}while((g|0)!=(j|0))}while(0);g=k[Fa>>2]|0;Qa=k[Ea>>2]|0;y=0;oa(482,la|0,((k[Qa+80>>2]|0)==(k[Qa+76>>2]|0)?0:Qa)|0);Qa=y;y=0;if(Qa&1){s=104;break f}g=g+76|0;y=0;Ha(966,g|0,la|0)|0;Qa=y;y=0;if(Qa&1){s=112;break f}y=0;oa(464,ga|0,g|0);Qa=y;y=0;if(Qa&1){s=112;break f}k[ka>>2]=k[ga>>2];EO(ka);EO(la);g=k[Ea>>2]|0;if((k[g+80>>2]|0)!=(k[g+76>>2]|0)){g=g+72|0;y=0;g=Ha(k[(k[g>>2]|0)+16>>2]|0,g|0,0)|0;Qa=y;y=0;if(Qa&1){s=104;break f}Qa=k[g>>2]|0;Ja=k[Qa+12>>2]|0;Oa=k[Qa+16>>2]|0;Pa=Qa+20|0;k[ea>>2]=k[Pa>>2];k[ea+4>>2]=k[Pa+4>>2];k[ea+8>>2]=k[Pa+8>>2];k[ea+12>>2]=k[Pa+12>>2];Pa=k[Qa+36>>2]|0;Qa=Qa+40|0;k[fa>>2]=k[Qa>>2];k[fa+4>>2]=k[Qa+4>>2];k[fa+8>>2]=k[Qa+8>>2];Qa=k[k[(k[Ea>>2]|0)+76>>2]>>2]|0;k[Qa+12>>2]=Ja;k[Qa+16>>2]=Oa+-1;Oa=Qa+20|0;k[Oa>>2]=k[ea>>2];k[Oa+4>>2]=k[ea+4>>2];k[Oa+8>>2]=k[ea+8>>2];k[Oa+12>>2]=k[ea+12>>2];k[Qa+36>>2]=Pa+1;Qa=Qa+40|0;k[Qa>>2]=k[fa>>2];k[Qa+4>>2]=k[fa+4>>2];k[Qa+8>>2]=k[fa+8>>2]}g=k[Ia>>2]|0;DN(g+12|0,Ra|0,40)|0;y=0;oa(464,ma|0,Fa|0);Qa=y;y=0;if(Qa&1){s=104;break f}y=0;Na(81,g|0,0,ma|0);Qa=y;y=0;if(Qa&1){s=118;break f}EO(ma);g=(k[Za>>2]|0)+72|0;h=k[(k[g>>2]|0)+20>>2]|0;y=0;oa(464,pa|0,Ia|0);Qa=y;y=0;if(Qa&1){s=104;break f}y=0;oa(h|0,g|0,pa|0);Qa=y;y=0;if(Qa&1){s=119;break f}EO(pa);EO(Ea);EO(Fa);EO(Ia);EO(Ka);EO(La);m=m+1|0}while(m>>>0<n>>>0)}f=f+1|0;if(f>>>0>=q>>>0){s=279;break d}h=k[t>>2]|0;g=k[s>>2]|0}switch(s|0){case 97:{e=pb()|0;break d}case 98:{e=pb()|0;break}case 99:{e=pb()|0;s=123;break}case 100:{e=pb()|0;s=122;break}case 101:{e=pb()|0;s=121;break}case 102:{e=pb()|0;EO(ja);s=121;break}case 103:{e=pb()|0;s=105;break}case 104:{e=pb()|0;s=105;break}case 112:{e=pb()|0;EO(la);s=120;break}case 118:{e=pb()|0;EO(ma);s=120;break}case 119:{e=pb()|0;EO(pa);s=120;break}}if((s|0)==105)s=120;if((s|0)==120){EO(Ea);s=121}if((s|0)==121){EO(Fa);s=122}if((s|0)==122){EO(Ia);s=123}if((s|0)==123)EO(Ka);EO(La);break d}while(0);m=h-j>>2;if(!m){s=279;break d}n=e+76|0;o=a+76|0;f=0;g:while(1){y=0;oa(464,Qa|0,g+(f<<2)|0);La=y;y=0;if(La&1){s=136;break}g=k[Qa>>2]|0;y=0;g=qa(k[(k[g>>2]|0)+16>>2]|0,g|0)|0;La=y;y=0;if(La&1){s=137;break}y=0;oa(482,Pa|0,g|0);La=y;y=0;if(La&1){s=137;break}y=0;g=qa(k[(k[a>>2]|0)+16>>2]|0,a|0)|0;La=y;y=0;if(La&1){s=138;break}y=0;oa(482,Oa|0,g|0);La=y;y=0;if(La&1){s=138;break}y=0;g=qa(333,k[Qa>>2]|0)|0;La=y;y=0;if(La&1){s=139;break}k[wa>>2]=g;La=(k[g+72>>2]|0)==0;EO(wa);if(!La){s=134;break}h=k[Oa>>2]|0;g=k[$a>>2]|0;if(!g)g=0;else{y=0;g=qa(k[(k[g>>2]|0)+16>>2]|0,g|0)|0;La=y;y=0;if(La&1){s=139;break}}y=0;oa(482,ya|0,g|0);La=y;y=0;if(La&1){s=139;break}g=h+80|0;y=0;Ha(966,g|0,ya|0)|0;La=y;y=0;if(La&1){s=156;break}y=0;oa(464,va|0,g|0);La=y;y=0;if(La&1){s=156;break}k[xa>>2]=k[va>>2];EO(xa);EO(ya);g=k[o>>2]|0;y=0;g=qa(k[(k[g>>2]|0)+12>>2]|0,g|0)|0;La=y;y=0;if(La&1){s=139;break}y=0;oa(482,Ga|0,g|0);La=y;y=0;if(La&1){s=139;break}La=k[Ga>>2]|0;l=La+80|0;Ka=k[l>>2]|0;La=k[La+76>>2]|0;j=La;g=Ka;do if((Ka|0)!=(La|0)){h=j+4|0;if((h|0)!=(g|0)){do{y=0;Ha(966,j|0,h|0)|0;La=y;y=0;if(La&1){s=157;break g}h=h+4|0;j=j+4|0}while((h|0)!=(g|0));g=k[l>>2]|0;if((g|0)==(j|0))break}do{La=g+-4|0;k[l>>2]=La;EO(La);g=k[l>>2]|0}while((g|0)!=(j|0))}while(0);g=k[Oa>>2]|0;La=k[Ga>>2]|0;y=0;oa(482,Aa|0,((k[La+80>>2]|0)==(k[La+76>>2]|0)?0:La)|0);La=y;y=0;if(La&1){s=158;break}g=g+76|0;y=0;Ha(966,g|0,Aa|0)|0;La=y;y=0;if(La&1){s=166;break}y=0;oa(464,ua|0,g|0);La=y;y=0;if(La&1){s=166;break}k[za>>2]=k[ua>>2];EO(za);EO(Aa);g=k[Oa>>2]|0;i[g+60>>0]=0;h=k[Ga>>2]|0;if((k[h+80>>2]|0)!=(k[h+76>>2]|0)){g=h+72|0;y=0;g=Ha(k[(k[g>>2]|0)+16>>2]|0,g|0,0)|0;La=y;y=0;if(La&1){s=158;break}g=k[g>>2]|0;Ja=k[g+12>>2]|0;Ka=k[g+16>>2]|0;La=g+20|0;k[ra>>2]=k[La>>2];k[ra+4>>2]=k[La+4>>2];k[ra+8>>2]=k[La+8>>2];k[ra+12>>2]=k[La+12>>2];La=k[g+36>>2]|0;g=g+40|0;k[sa>>2]=k[g>>2];k[sa+4>>2]=k[g+4>>2];k[sa+8>>2]=k[g+8>>2];g=k[k[(k[Ga>>2]|0)+76>>2]>>2]|0;k[g+12>>2]=Ja;k[g+16>>2]=Ka+-1;Ka=g+20|0;k[Ka>>2]=k[ra>>2];k[Ka+4>>2]=k[ra+4>>2];k[Ka+8>>2]=k[ra+8>>2];k[Ka+12>>2]=k[ra+12>>2];k[g+36>>2]=La+1;g=g+40|0;k[g>>2]=k[sa>>2];k[g+4>>2]=k[sa+4>>2];k[g+8>>2]=k[sa+8>>2];g=k[Oa>>2]|0}h=k[Pa>>2]|0;DN(h+12|0,Ra|0,40)|0;y=0;oa(482,Ba|0,g|0);La=y;y=0;if(La&1){s=158;break}y=0;Na(81,h|0,0,Ba|0);La=y;y=0;if(La&1){s=173;break}EO(Ba);g=(k[Za>>2]|0)+72|0;h=k[(k[g>>2]|0)+20>>2]|0;y=0;oa(464,Ca|0,Pa|0);La=y;y=0;if(La&1){s=158;break}y=0;oa(h|0,g|0,Ca|0);La=y;y=0;if(La&1){s=174;break}EO(Ca);EO(Ga);EO(Oa);EO(Pa);EO(Qa);f=f+1|0;if(f>>>0>=m>>>0){s=279;break d}g=k[n>>2]|0}switch(s|0){case 134:{e=gb(84)|0;y=0;Na(82,e|0,k[Qa>>2]|0,k[Oa>>2]|0);Ya=y;y=0;if(Ya&1){s=pb()|0;fb(e|0);e=s;s=176;break}else{y=0;Na(76,e|0,1456,158);y=0;e=pb()|0;s=140;break}}case 136:{e=pb()|0;break d}case 137:{e=pb()|0;break}case 138:{e=pb()|0;s=177;break}case 139:{e=pb()|0;s=140;break}case 156:{e=pb()|0;EO(ya);s=176;break}case 157:{e=pb()|0;s=159;break}case 158:{e=pb()|0;s=159;break}case 166:{e=pb()|0;EO(Aa);s=175;break}case 173:{e=pb()|0;EO(Ba);s=175;break}case 174:{e=pb()|0;EO(Ca);s=175;break}}if((s|0)==140)s=176;else if((s|0)==159)s=175;if((s|0)==175){EO(Ga);s=176}if((s|0)==176){EO(Oa);s=177}if((s|0)==177)EO(Pa);EO(Qa);break d}while(0);do if((s|0)==179){f=k[_a>>2]|0;do if(f|0){n=(k[f+80>>2]|0)-(k[f+76>>2]|0)>>2;if(!n)break;j=0;h:while(1){y=0;f=qa(k[(k[a>>2]|0)+16>>2]|0,a|0)|0;Ra=y;y=0;if(Ra&1){s=204;break}y=0;oa(482,Da|0,f|0);Ra=y;y=0;if(Ra&1){s=204;break}g=k[Da>>2]|0;f=(k[_a>>2]|0)+72|0;y=0;f=Ha(k[(k[f>>2]|0)+16>>2]|0,f|0,j|0)|0;Ra=y;y=0;if(Ra&1){s=205;break}f=k[f>>2]|0;y=0;f=qa(k[(k[f>>2]|0)+16>>2]|0,f|0)|0;Ra=y;y=0;if(Ra&1){s=205;break}y=0;oa(482,V|0,f|0);Ra=y;y=0;if(Ra&1){s=205;break}f=g+80|0;y=0;Ha(966,f|0,V|0)|0;Ra=y;y=0;if(Ra&1){s=206;break}y=0;oa(464,T|0,f|0);Ra=y;y=0;if(Ra&1){s=206;break}k[U>>2]=k[T>>2];EO(U);EO(V);g=k[Da>>2]|0;y=0;m=qa(332,108)|0;Ra=y;y=0;if(Ra&1){s=205;break}f=S;l=(k[ab>>2]|0)+12|0;o=f+40|0;do{k[f>>2]=k[l>>2];f=f+4|0;l=l+4|0}while((f|0)<(o|0));y=0;na(366,m|0);Ra=y;y=0;if(Ra&1){s=207;break}f=m+12|0;l=S;o=f+40|0;do{k[f>>2]=k[l>>2];f=f+4|0;l=l+4|0}while((f|0)<(o|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;k[m>>2]=11396;i[m+60>>0]=0;i[m+61>>0]=0;i[m+62>>0]=0;k[m+64>>2]=0;k[m+68>>2]=0;k[m+56>>2]=7;f=m+72|0;k[f>>2]=13580;l=m+76|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;y=0;oa(516,l|0,0);Ra=y;y=0;if(Ra&1){s=192;break}k[m>>2]=13364;k[f>>2]=13540;Ra=m+96|0;k[Ra>>2]=0;k[m+100>>2]=0;k[m+92>>2]=Ra;i[m+104>>0]=0;i[m+105>>0]=0;y=0;oa(482,X|0,m|0);Ra=y;y=0;if(Ra&1){s=205;break}f=g+76|0;y=0;Ha(966,f|0,X|0)|0;Ra=y;y=0;if(Ra&1){s=209;break}y=0;oa(464,R|0,f|0);Ra=y;y=0;if(Ra&1){s=209;break}k[W>>2]=k[R>>2];EO(W);EO(X);y=0;oa(464,Q|0,Ja|0);Ra=y;y=0;if(Ra&1){s=210;break}h=k[Q>>2]|0;k[Y>>2]=h;h=(k[h+80>>2]|0)-(k[h+76>>2]|0)>>2;EO(Y);f=k[Da>>2]|0;if(h>>>0>1){g=1;do{y=0;oa(464,O|0,f+76|0);Ra=y;y=0;if(Ra&1){s=215;break h}f=k[O>>2]|0;k[ca>>2]=f;y=0;oa(464,M|0,Ja|0);Ra=y;y=0;if(Ra&1){s=216;break h}Ra=k[M>>2]|0;k[Z>>2]=Ra;y=0;oa(514,f|0,k[(k[Ra+76>>2]|0)+(g<<2)>>2]|0);Ra=y;y=0;if(Ra&1){s=217;break h}EO(Z);EO(ca);g=g+1|0;f=k[Da>>2]|0}while(g>>>0<h>>>0)}y=0;oa(464,P|0,f+76|0);Ra=y;y=0;if(Ra&1){s=205;break}Ra=k[P>>2]|0;k[_>>2]=Ra;Ra=(k[Ra+80>>2]|0)==(k[Ra+76>>2]|0);EO(_);if(Ra){f=k[Da>>2]|0;y=0;oa(482,aa|0,0);Ra=y;y=0;if(Ra&1){s=205;break}f=f+76|0;y=0;Ha(966,f|0,aa|0)|0;Ra=y;y=0;if(Ra&1){s=224;break}y=0;oa(464,L|0,f|0);Ra=y;y=0;if(Ra&1){s=224;break}k[$>>2]=k[L>>2];EO($);EO(aa)}f=(k[Za>>2]|0)+72|0;g=k[(k[f>>2]|0)+20>>2]|0;y=0;h=qa(336,k[Da>>2]|0)|0;Ra=y;y=0;if(Ra&1){s=205;break}k[ba>>2]=h;y=0;oa(g|0,f|0,ba|0);Ra=y;y=0;if(Ra&1){s=228;break}EO(ba);EO(Da);j=j+1|0;if(j>>>0>=n>>>0){s=279;break d}}switch(s|0){case 192:{e=pb()|0;h=N;j=m+80|0;f=k[l>>2]|0;if(f|0){g=k[j>>2]|0;if((g|0)!=(f|0)){do{Ya=g+-4|0;k[j>>2]=Ya;EO(Ya);g=k[j>>2]|0}while((g|0)!=(f|0));f=k[l>>2]|0}zqa(f)}s=208;break}case 204:{e=pb()|0;break d}case 205:{e=pb()|0;break}case 206:{e=pb()|0;EO(V);break}case 207:{e=pb()|0;s=208;break}case 209:{e=pb()|0;EO(X);break}case 210:{e=pb()|0;break}case 215:{e=pb()|0;break}case 216:{e=pb()|0;s=218;break}case 217:{e=pb()|0;EO(Z);s=218;break}case 224:{e=pb()|0;EO(aa);break}case 228:{e=pb()|0;EO(ba);break}}if((s|0)==208)zqa(m);else if((s|0)==218)EO(ca);EO(Da);break d}while(0);y=0;f=qa(k[(k[a>>2]|0)+16>>2]|0,a|0)|0;a=y;y=0;if(a&1)break;y=0;oa(482,da|0,f|0);a=y;y=0;if(a&1)break;g=k[da>>2]|0;y=0;m=qa(332,108)|0;a=y;y=0;i:do if(a&1)s=248;else{f=u;l=(k[ab>>2]|0)+12|0;o=f+40|0;do{k[f>>2]=k[l>>2];f=f+4|0;l=l+4|0}while((f|0)<(o|0));y=0;na(366,m|0);a=y;y=0;do if(a&1)e=pb()|0;else{f=m+12|0;l=u;o=f+40|0;do{k[f>>2]=k[l>>2];f=f+4|0;l=l+4|0}while((f|0)<(o|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;k[m>>2]=11396;i[m+60>>0]=0;i[m+61>>0]=0;i[m+62>>0]=0;k[m+64>>2]=0;k[m+68>>2]=0;k[m+56>>2]=7;f=m+72|0;k[f>>2]=13580;j=m+76|0;l=m+80|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(516,j|0,0);a=y;y=0;if(a&1){e=pb()|0;h=N;f=k[j>>2]|0;if(f|0){g=k[l>>2]|0;if((g|0)!=(f|0)){do{Ya=g+-4|0;k[l>>2]=Ya;EO(Ya);g=k[l>>2]|0}while((g|0)!=(f|0));f=k[j>>2]|0}zqa(f)}break}k[m>>2]=13364;k[f>>2]=13540;a=m+96|0;k[a>>2]=0;k[m+100>>2]=0;k[m+92>>2]=a;i[m+104>>0]=0;i[m+105>>0]=0;y=0;oa(482,z|0,m|0);a=y;y=0;if(a&1){s=248;break i}f=g+76|0;y=0;Ha(966,f|0,z|0)|0;a=y;y=0;do if(!(a&1)){y=0;oa(464,w|0,f|0);a=y;y=0;if(a&1)break;k[x>>2]=k[w>>2];EO(x);EO(z);y=0;oa(464,v|0,Ja|0);a=y;y=0;if(a&1){e=pb()|0;break i}h=k[v>>2]|0;k[A>>2]=h;h=(k[h+80>>2]|0)-(k[h+76>>2]|0)>>2;EO(A);f=k[da>>2]|0;j:do if(h>>>0>1){g=1;while(1){y=0;oa(464,D|0,f+76|0);a=y;y=0;if(a&1){s=257;break}f=k[D>>2]|0;k[F>>2]=f;y=0;oa(464,C|0,Ja|0);a=y;y=0;if(a&1){s=258;break}a=k[C>>2]|0;k[B>>2]=a;y=0;oa(514,f|0,k[(k[a+76>>2]|0)+(g<<2)>>2]|0);a=y;y=0;if(a&1){s=259;break}EO(B);EO(F);g=g+1|0;f=k[da>>2]|0;if(g>>>0>=h>>>0)break j}if((s|0)==257){e=pb()|0;break i}else if((s|0)==258)e=pb()|0;else if((s|0)==259){e=pb()|0;EO(B)}EO(F);break i}while(0);y=0;oa(464,E|0,f+76|0);a=y;y=0;if(a&1){s=248;break i}a=k[E>>2]|0;k[G>>2]=a;a=(k[a+80>>2]|0)==(k[a+76>>2]|0);EO(G);k:do if(a){f=k[da>>2]|0;y=0;oa(482,J|0,0);a=y;y=0;if(a&1){s=248;break i}f=f+76|0;y=0;Ha(966,f|0,J|0)|0;a=y;y=0;do if(!(a&1)){y=0;oa(464,H|0,f|0);a=y;y=0;if(a&1)break;k[I>>2]=k[H>>2];EO(I);EO(J);break k}while(0);e=pb()|0;EO(J);break i}while(0);f=(k[Za>>2]|0)+72|0;g=k[(k[f>>2]|0)+20>>2]|0;y=0;h=qa(336,k[da>>2]|0)|0;a=y;y=0;if(a&1){s=248;break i}k[K>>2]=h;y=0;oa(g|0,f|0,K|0);a=y;y=0;if(a&1){e=pb()|0;EO(K);break i}else{EO(K);EO(da);s=279;break d}}while(0);e=pb()|0;EO(z);break i}while(0);zqa(m)}while(0);if((s|0)==248)e=pb()|0;EO(da);break d}while(0);e=pb()|0;break d}while(0);zqa(m)}while(0);if((s|0)==63)e=pb()|0}while(0);l:do if((s|0)==272){y=0;f=ta(50,a|0,0,k[_a>>2]|0)|0;a=y;y=0;do if(a&1)s=276;else{y=0;oa(482,p|0,f|0);a=y;y=0;if(a&1)s=276;else{y=0;Ha(966,Za|0,p|0)|0;a=y;y=0;if(a&1){e=pb()|0;EO(p);break}else{EO(p);s=279;break l}}}while(0);if((s|0)==276)e=pb()|0}while(0);m:do if((s|0)==279){h=k[ab>>2]|0;f=k[h+76>>2]|0;h=k[h+80>>2]|0;n:do if((f|0)!=(h|0)){do if(!e){o:while(1){y=0;oa(464,Xa|0,f|0);Ua=y;y=0;if(Ua&1){s=303;break}e=k[Xa>>2]|0;do if(e|0){e=pw(e,144,288,0)|0;if(!e)break;y=0;oa(464,Va|0,e+104|0);Ua=y;y=0;if(Ua&1){s=308;break o}k[Wa>>2]=k[Va>>2];EO(Wa)}while(0);EO(Xa);f=f+4|0;if((f|0)==(h|0))break n}if((s|0)==303){e=pb()|0;s=304;break}else if((s|0)==308){e=pb()|0;s=309;break}}else{p:while(1){y=0;oa(464,Xa|0,f|0);a=y;y=0;if(a&1){s=294;break}e=k[Xa>>2]|0;do if(e|0){e=pw(e,144,288,0)|0;if(!e)break;g=e+104|0;y=0;oa(464,Va|0,g|0);a=y;y=0;if(a&1){s=295;break p}e=k[Va>>2]|0;k[Wa>>2]=e;if(!e){EO(Wa);break}e=pw(e,88,104,0)|0;EO(Wa);if(!e)break;y=0;e=Ma(7,e|0,b|0,c|0,d|0)|0;a=y;y=0;if(a&1){s=296;break p}y=0;oa(482,Ua|0,e|0);a=y;y=0;if(a&1){s=296;break p}y=0;Ha(966,g|0,Ua|0)|0;a=y;y=0;if(a&1){s=297;break p}y=0;oa(464,Sa|0,g|0);a=y;y=0;if(a&1){s=297;break p}k[Ta>>2]=k[Sa>>2];EO(Ta);EO(Ua)}while(0);EO(Xa);f=f+4|0;if((f|0)==(h|0))break n}if((s|0)==294){e=pb()|0;s=304;break}else if((s|0)==295){e=pb()|0;s=309;break}else if((s|0)==296){e=pb()|0;break}else if((s|0)==297){e=pb()|0;EO(Ua);break}}while(0);if((s|0)==304)break m;EO(Xa);break m}while(0);e=k[Za>>2]|0;if(!e)e=0;else i[e+8>>0]=1;EO(Za);s=314;break c}while(0);EO(Za)}}while(0);if((s|0)==313){y=0;e=ta(50,a|0,0,k[_a>>2]|0)|0;Za=y;y=0;if(Za&1)s=38;else s=314}if((s|0)==38)e=pb()|0;else if((s|0)==314){EO(_a);_a=e;EO(ab);EO($a);r=Ya;return _a|0}EO(_a)}}while(0);if((s|0)==25)e=pb()|0;EO(ab);ab=e;EO($a);sb(ab|0);return 0}function bd(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,pa=0,ra=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0;va=0;Fa=r;r=r+240|0;ya=Fa+228|0;xa=Fa+216|0;wa=Fa+212|0;za=Fa+208|0;Aa=Fa+204|0;Ba=Fa+200|0;Ca=Fa+196|0;Da=Fa+192|0;Ea=Fa;Ka=Fa+156|0;ha=Fa+152|0;La=Fa+120|0;Ma=Fa+108|0;Ja=Fa+92|0;x=Fa+64|0;$=Fa+40|0;_=Fa+36|0;Z=Fa+32|0;O=Fa+188|0;V=Fa+184|0;P=Fa+172|0;Y=Fa+28|0;Q=Fa+168|0;X=Fa+24|0;W=Fa+148|0;R=Fa+136|0;S=Fa+132|0;ua=Fa+20|0;ra=Fa+16|0;ja=Fa+12|0;ea=Fa+104|0;ia=Fa+88|0;fa=Fa+76|0;pa=Fa+8|0;ga=Fa+60|0;la=Fa+56|0;ka=Fa+44|0;B=a+76|0;C=a+80|0;h=k[C>>2]|0;j=k[B>>2]|0;n=j;if((h|0)==(j|0))A=0;else{e=k[j>>2]|0;if(!e)A=0;else{A=(pw(e,144,304,0)|0)!=0;A=A?e:0}}f=k[b>>2]|0;g=k[f+80>>2]|0;m=k[f+76>>2]|0;if((g|0)==(m|0))z=0;else{e=k[m>>2]|0;if(!e)z=0;else{z=(pw(e,144,304,0)|0)!=0;z=z?e:0}}k[La+4>>2]=0;t=La+8|0;k[t>>2]=0;Ga=La+4|0;k[La>>2]=Ga;k[Ma+4>>2]=0;u=Ma+8|0;k[u>>2]=0;Ia=Ma+4|0;k[Ma>>2]=Ia;p=h-j>>2;do if(!p)e=m;else{j=a+76|0;m=Ja+11|0;o=Ja+4|0;e=0;f=n;while(1){f=k[f+(e<<2)>>2]|0;y=0;f=qa(k[(k[f>>2]|0)+156>>2]|0,f|0)|0;va=y;y=0;if(va&1){va=28;break}if(f){va=k[(k[j>>2]|0)+(e<<2)>>2]|0;y=0;oa(k[(k[va>>2]|0)+32>>2]|0,Ja|0,va|0);va=y;y=0;if(va&1){va=28;break}f=i[m>>0]|0;va=f<<24>>24<0;h=va?k[Ja>>2]|0:Ja;f=va?k[o>>2]|0:f&255;a:do if(!f)f=-1;else{g=h+f|0;f=h;while(1){if(!(Ty(47425,l[f>>0]|0,1)|0))break;f=f+1|0;if((f|0)==(g|0)){f=-1;break a}}f=f-h|0}while(0);y=0;ma(4,ya|0,Ja|0,f|0,-1,Ja|0);va=y;y=0;if(va&1){va=29;break}if((i[m>>0]|0)<0){i[k[Ja>>2]>>0]=0;k[o>>2]=0}else{i[Ja>>0]=0;i[m>>0]=0}y=0;oa(506,Ja|0,0);va=y;y=0;if(va&1){va=25;break}k[Ja>>2]=k[ya>>2];k[Ja+4>>2]=k[ya+4>>2];k[Ja+8>>2]=k[ya+8>>2];k[ya>>2]=0;k[ya+4>>2]=0;k[ya+8>>2]=0;$9(ya);y=0;Ra(11,Ka|0,La|0,Ja|0,Ja|0);va=y;y=0;if(va&1){va=30;break}$9(Ja)}e=e+1|0;if(e>>>0>=p>>>0){va=9;break}f=k[j>>2]|0}if((va|0)==9){f=k[b>>2]|0;g=k[f+80>>2]|0;e=k[f+76>>2]|0;break}else if((va|0)==25){Ka=tb(0)|0;dla(Ka)}else if((va|0)==28){Ka=pb()|0;Ja=k[Ia>>2]|0;cH(Ma,Ja);Ma=k[Ga>>2]|0;cH(La,Ma);sb(Ka|0)}else if((va|0)==29)q=pb()|0;else if((va|0)==30)q=pb()|0;$9(Ja);Ka=q;Ja=k[Ia>>2]|0;cH(Ma,Ja);Ma=k[Ga>>2]|0;cH(La,Ma);sb(Ka|0)}while(0);j=g-e>>2;b:do if(j|0){m=x+11|0;n=x+4|0;e=0;while(1){f=k[(k[f+76>>2]|0)+(e<<2)>>2]|0;y=0;f=qa(k[(k[f>>2]|0)+156>>2]|0,f|0)|0;ba=y;y=0;if(ba&1){va=68;break}if(f){ba=k[(k[(k[b>>2]|0)+76>>2]|0)+(e<<2)>>2]|0;y=0;oa(k[(k[ba>>2]|0)+32>>2]|0,x|0,ba|0);ba=y;y=0;if(ba&1){va=68;break}f=i[m>>0]|0;ba=f<<24>>24<0;h=ba?k[x>>2]|0:x;f=ba?k[n>>2]|0:f&255;c:do if(!f)f=-1;else{g=h+f|0;f=h;while(1){if(!(Ty(47425,l[f>>0]|0,1)|0))break;f=f+1|0;if((f|0)==(g|0)){f=-1;break c}}f=f-h|0}while(0);y=0;ma(4,ya|0,x|0,f|0,-1,x|0);ba=y;y=0;if(ba&1){va=69;break}if((i[m>>0]|0)<0){i[k[x>>2]>>0]=0;k[n>>2]=0}else{i[x>>0]=0;i[m>>0]=0}y=0;oa(506,x|0,0);ba=y;y=0;if(ba&1){va=65;break}k[x>>2]=k[ya>>2];k[x+4>>2]=k[ya+4>>2];k[x+8>>2]=k[ya+8>>2];k[ya>>2]=0;k[ya+4>>2]=0;k[ya+8>>2]=0;$9(ya);y=0;Ra(11,Ea|0,Ma|0,x|0,x|0);ba=y;y=0;if(ba&1){va=70;break}$9(x)}e=e+1|0;if(e>>>0>=j>>>0)break b;f=k[b>>2]|0}if((va|0)==65){Ka=tb(0)|0;dla(Ka)}else if((va|0)==68){Ka=pb()|0;Ja=k[Ia>>2]|0;cH(Ma,Ja);Ma=k[Ga>>2]|0;cH(La,Ma);sb(Ka|0)}else if((va|0)==69)v=pb()|0;else if((va|0)==70)v=pb()|0;$9(x);Ka=v;Ja=k[Ia>>2]|0;cH(Ma,Ja);Ma=k[Ga>>2]|0;cH(La,Ma);sb(Ka|0)}while(0);if((k[t>>2]|0)!=(k[u>>2]|0)){Ka=0;Ja=k[Ia>>2]|0;cH(Ma,Ja);Ma=k[Ga>>2]|0;cH(La,Ma);r=Fa;return Ka|0}e=k[La>>2]|0;f=k[Ma>>2]|0;d:do if((e|0)!=(Ga|0)){h=e;n=f;g=e;e=f;e:while(1){f=h+16|0;m=n+16|0;j=i[f+11>>0]|0;q=j<<24>>24<0;j=j&255;p=q?k[h+20>>2]|0:j;ba=i[m+11>>0]|0;h=ba<<24>>24<0;if((p|0)!=((h?k[n+20>>2]|0:ba&255)|0)){d=0;va=375;break}n=k[f>>2]|0;o=q?n:f;h=h?k[m>>2]|0:m;m=(p|0)==0;f:do if(q){if(!m)if(zM(o,h,p)|0){d=0;va=375;break e}}else if(!m){if((n&255)<<24>>24!=(i[h>>0]|0)){d=0;va=375;break e}while(1){j=j+-1|0;f=f+1|0;if(!j)break f;h=h+1|0;if((i[f>>0]|0)!=(i[h>>0]|0)){d=0;va=375;break e}}}while(0);f=k[g+4>>2]|0;if(!f)while(1){f=k[g+8>>2]|0;if((k[f>>2]|0)==(g|0))break;else g=f}else while(1){g=k[f>>2]|0;if(!g)break;else f=g}g=k[e+4>>2]|0;if(!g)while(1){g=k[e+8>>2]|0;if((k[g>>2]|0)==(e|0)){e=g;break}else e=g}else{e=g;while(1){g=k[e>>2]|0;if(!g)break;else e=g}}if((f|0)==(Ga|0))break d;else{h=f;n=e;g=f}}if((va|0)==375){Ka=k[Ia>>2]|0;cH(Ma,Ka);Ma=k[Ga>>2]|0;cH(La,Ma);r=Fa;return d|0}}while(0);L=Ka+4|0;k[L>>2]=0;M=Ka+8|0;k[M>>2]=0;aa=Ka+4|0;k[Ka>>2]=aa;T=Ja+4|0;k[T>>2]=0;U=Ja+8|0;k[U>>2]=0;ba=Ja+4|0;k[Ja>>2]=ba;g:do if((A|0)!=0&(z|0)!=0){y=0;oa(k[(k[A>>2]|0)+32>>2]|0,ya|0,A|0);va=y;y=0;do if(va&1)d=pb()|0;else{y=0;oa(k[(k[z>>2]|0)+32>>2]|0,xa|0,z|0);va=y;y=0;if(va&1){d=pb()|0;$9(ya);break}f=i[ya+11>>0]|0;g=f<<24>>24<0;f=f&255;h=g?k[ya+4>>2]|0:f;va=i[xa+11>>0]|0;d=va<<24>>24<0;if((h|0)!=((d?k[xa+4>>2]|0:va&255)|0)){$9(xa);$9(ya);d=0;va=373;break g}j=k[ya>>2]|0;m=g?j:ya;d=d?k[xa>>2]|0:xa;e=(h|0)==0;h:do if(g)if(e){$9(xa);$9(ya);break}else{va=(zM(m,d,h)|0)==0;$9(xa);$9(ya);if(va)break;else{d=0;va=373;break g}}else{if(e){$9(xa);$9(ya);break}i:do if((j&255)<<24>>24==(i[d>>0]|0)){e=ya;while(1){f=f+-1|0;e=e+1|0;if(!f)break;d=d+1|0;if((i[e>>0]|0)!=(i[d>>0]|0))break i}$9(xa);$9(ya);break h}while(0);$9(xa);$9(ya);d=0;va=373;break g}while(0);e=k[B>>2]|0;j=(k[C>>2]|0)-e>>2;j:do if(j>>>0>1){h=a+76|0;d=1;while(1){a=k[e+(d<<2)>>2]|0;y=0;oa(k[(k[a>>2]|0)+32>>2]|0,ya|0,a|0);a=y;y=0;if(a&1){va=104;break}f=jt(Ka,Ca,ya)|0;if(!(k[f>>2]|0)){y=0;e=qa(332,28)|0;a=y;y=0;if(a&1){va=105;break}g=e+16|0;k[g>>2]=k[ya>>2];k[g+4>>2]=k[ya+4>>2];k[g+8>>2]=k[ya+8>>2];k[ya>>2]=0;k[ya+4>>2]=0;k[ya+8>>2]=0;g=k[Ca>>2]|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=g;k[f>>2]=e;g=k[k[Ka>>2]>>2]|0;if(g){k[Ka>>2]=g;e=k[f>>2]|0}jn(k[L>>2]|0,e);k[M>>2]=(k[M>>2]|0)+1}$9(ya);d=d+1|0;if(d>>>0>=j>>>0)break j;e=k[h>>2]|0}if((va|0)==104)d=pb()|0;else if((va|0)==105){d=pb()|0;$9(ya)}va=374;break g}while(0);e=k[b>>2]|0;h=(k[e+80>>2]|0)-(k[e+76>>2]|0)>>2;k:do if(h>>>0>1){d=1;while(1){a=k[(k[e+76>>2]|0)+(d<<2)>>2]|0;y=0;oa(k[(k[a>>2]|0)+32>>2]|0,ya|0,a|0);a=y;y=0;if(a&1){va=116;break}f=jt(Ja,Ba,ya)|0;if(!(k[f>>2]|0)){y=0;e=qa(332,28)|0;a=y;y=0;if(a&1){va=117;break}g=e+16|0;k[g>>2]=k[ya>>2];k[g+4>>2]=k[ya+4>>2];k[g+8>>2]=k[ya+8>>2];k[ya>>2]=0;k[ya+4>>2]=0;k[ya+8>>2]=0;g=k[Ba>>2]|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=g;k[f>>2]=e;g=k[k[Ja>>2]>>2]|0;if(g){k[Ja>>2]=g;e=k[f>>2]|0}jn(k[T>>2]|0,e);k[U>>2]=(k[U>>2]|0)+1}$9(ya);d=d+1|0;if(d>>>0>=h>>>0){d=Ja;break k}e=k[b>>2]|0}if((va|0)==116)d=pb()|0;else if((va|0)==117){d=pb()|0;$9(ya)}va=374;break g}else d=Ja;while(0);va=k[Ka>>2]|0;k[Aa>>2]=k[d>>2];k[Ba>>2]=ba;k[Ca>>2]=va;k[Da>>2]=aa;k[za>>2]=k[Aa>>2];k[wa>>2]=k[Ba>>2];k[xa>>2]=k[Ca>>2];k[ya>>2]=k[Da>>2];d=xo(za,wa,xa,ya,Ea)|0;va=373;break g}while(0);va=374}else{f=k[B>>2]|0;s=(k[C>>2]|0)-f>>2;l:do if(s|0){t=a+76|0;u=ya+11|0;v=ya+4|0;w=ya+11|0;x=ya+4|0;z=c+11|0;A=c+4|0;B=ya+11|0;C=ya+4|0;D=ya+11|0;E=ya+4|0;F=ya+11|0;G=ya+4|0;H=xa+11|0;I=xa+4|0;J=xa+11|0;K=xa+4|0;e=0;q=0;m:while(1){y=0;oa(482,$|0,k[f+(q<<2)>>2]|0);p=y;y=0;if(p&1){va=124;break}f=k[$>>2]|0;if(!f)f=0;else f=pw(f,88,288,0)|0;y=0;oa(482,_|0,f|0);p=y;y=0;if(p&1){va=125;break}f=k[_>>2]|0;n:do if(!f)f=0;else{y=0;oa(452,ya|0,f+84|0);p=y;y=0;if(p&1){va=138;break m}p=i[u>>0]|0;do if(((p<<24>>24<0?k[v>>2]|0:p&255)|0)==4){y=0;f=sa(21,ya|0,0,-1,45981,4)|0;p=y;y=0;if(p&1){va=132;break m}$9(ya);if(f|0){p=e;break}y=0;oa(464,Aa|0,(k[_>>2]|0)+104|0);p=y;y=0;if(p&1){va=137;break m}f=k[Aa>>2]|0;k[O>>2]=f;if(!f)f=0;else f=pw(f,88,104,0)|0;y=0;oa(482,Z|0,f|0);p=y;y=0;if(p&1){va=139;break m}EO(O);f=k[Z>>2]|0;if(!f){va=151;break m}g=k[(k[f>>2]|0)+148>>2]|0;y=0;oa(464,V|0,b|0);p=y;y=0;if(p&1){va=146;break m}y=0;oa(452,P|0,(k[_>>2]|0)+84|0);p=y;y=0;if(p&1){va=148;break m}y=0;f=ta(g|0,f|0,V|0,P|0)|0;p=y;y=0;if(p&1){va=149;break m}$9(P);EO(V);e=e&(f^1);EO(Z);if(f){f=1;break n}else p=e}else{$9(ya);p=e}while(0);y=0;oa(452,ya|0,(k[_>>2]|0)+84|0);va=y;y=0;if(va&1){va=171;break m}va=i[w>>0]|0;do if(((va<<24>>24<0?k[x>>2]|0:va&255)|0)==8){y=0;e=sa(21,ya|0,0,-1,46348,8)|0;va=y;y=0;if(va&1){va=158;break m}if(e|0){va=161;break}$9(ya);va=166}else va=161;while(0);do if((va|0)==161){va=0;y=0;oa(452,xa|0,(k[_>>2]|0)+84|0);o=y;y=0;if(o&1){va=172;break m}o=i[J>>0]|0;if(((o<<24>>24<0?k[K>>2]|0:o&255)|0)!=9){$9(xa);$9(ya);break}y=0;e=sa(21,xa|0,0,-1,30946,9)|0;o=y;y=0;if(o&1){va=165;break m}$9(xa);$9(ya);if(!e)va=166}while(0);if((va|0)==166){va=0;y=0;oa(464,za|0,(k[_>>2]|0)+104|0);o=y;y=0;if(o&1){va=174;break m}k[ya>>2]=k[za>>2];y=0;Ha(966,$|0,ya|0)|0;o=y;y=0;if(o&1){va=175;break m}EO(ya);y=0;oa(464,wa|0,(k[_>>2]|0)+104|0);o=y;y=0;if(o&1){va=137;break m}e=k[wa>>2]|0;k[Q>>2]=e;if(!e)e=0;else e=pw(e,88,104,0)|0;y=0;oa(482,Y|0,e|0);o=y;y=0;if(o&1){va=177;break m}EO(Q);if(k[Y>>2]|0){y=0;oa(482,X|0,k[b>>2]|0);o=y;y=0;if(o&1){va=197;break m}o:do if(k[X>>2]|0){e=i[z>>0]|0;if(e<<24>>24<0)e=k[A>>2]|0;else e=e&255;p:do if(!e)va=200;else{y=0;oa(452,ya|0,(k[_>>2]|0)+84|0);o=y;y=0;if(o&1){va=199;break m}g=i[z>>0]|0;h=g<<24>>24<0;g=g&255;j=h?k[A>>2]|0:g;o=i[D>>0]|0;e=o<<24>>24<0;q:do if((j|0)==((e?k[E>>2]|0:o&255)|0)){m=k[c>>2]|0;n=h?m:c;e=e?k[ya>>2]|0:ya;f=(j|0)==0;r:do if(h){if(f)break;o=(zM(n,e,j)|0)==0;$9(ya);if(o){va=200;break p}else{e=0;break p}}else{if(f)break;if((m&255)<<24>>24==(i[e>>0]|0))f=c;else break q;while(1){g=g+-1|0;f=f+1|0;if(!g)break r;e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0))break q}}while(0);$9(ya);va=200;break p}while(0);$9(ya);e=0}while(0);if((va|0)==200){va=0;e=i[z>>0]|0;if(e<<24>>24<0)e=k[A>>2]|0;else e=e&255;s:do if(e|0){y=0;oa(452,ya|0,(k[_>>2]|0)+84|0);o=y;y=0;if(o&1){va=219;break m}g=i[z>>0]|0;h=g<<24>>24<0;g=g&255;j=h?k[A>>2]|0:g;o=i[B>>0]|0;e=o<<24>>24<0;t:do if((j|0)==((e?k[C>>2]|0:o&255)|0)){m=k[c>>2]|0;n=h?m:c;e=e?k[ya>>2]|0:ya;f=(j|0)==0;u:do if(h){if(f)break;o=(zM(n,e,j)|0)==0;$9(ya);if(o)break o;else break s}else{if(f)break;if((m&255)<<24>>24==(i[e>>0]|0))f=c;else break t;while(1){g=g+-1|0;f=f+1|0;if(!g)break u;e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0))break t}}while(0);$9(ya);break o}while(0);$9(ya)}while(0);e=k[Y>>2]|0;f=k[(k[e>>2]|0)+148>>2]|0;y=0;oa(464,W|0,X|0);o=y;y=0;if(o&1){va=198;break m}y=0;oa(452,R|0,(k[_>>2]|0)+84|0);o=y;y=0;if(o&1){va=220;break m}y=0;e=ta(f|0,e|0,W|0,R|0)|0;o=y;y=0;if(o&1){va=221;break m}$9(R);EO(W);if(e)e=1;else break}EO(X);EO(Y);f=1;break n}while(0);EO(X)}EO(Y)}o=k[b>>2]|0;e=k[o+76>>2]|0;v:do if((k[o+80>>2]|0)-e>>2>>>0>q>>>0){e=k[e+(q<<2)>>2]|0;if(!e)break;o=pw(e,144,288,0)|0;if(!o)break;y=0;oa(452,ya|0,(k[_>>2]|0)+84|0);n=y;y=0;if(n&1){va=248;break m}y=0;oa(452,xa|0,o+84|0);n=y;y=0;if(n&1){va=249;break m}g=i[F>>0]|0;h=g<<24>>24<0;g=g&255;j=h?k[G>>2]|0:g;n=i[H>>0]|0;e=n<<24>>24<0;if((j|0)!=((e?k[I>>2]|0:n&255)|0)){$9(xa);$9(ya);break}m=k[ya>>2]|0;n=h?m:ya;e=e?k[xa>>2]|0:xa;f=(j|0)==0;w:do if(h)if(f){$9(xa);$9(ya);break}else{n=(zM(n,e,j)|0)==0;$9(xa);$9(ya);if(n)break;else break v}else{if(f){$9(xa);$9(ya);break}x:do if((m&255)<<24>>24==(i[e>>0]|0)){f=ya;while(1){g=g+-1|0;f=f+1|0;if(!g)break;e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0))break x}$9(xa);$9(ya);break w}while(0);$9(xa);$9(ya);break v}while(0);e=k[_>>2]|0;f=k[(k[e>>2]|0)+172>>2]|0;y=0;oa(482,S|0,o|0);o=y;y=0;if(o&1){va=251;break m}y=0;e=Ha(f|0,e|0,S|0)|0;o=y;y=0;if(o&1){va=252;break m}EO(S);if(e){f=16;e=p;break n}}while(0);f=0;e=p}while(0);EO(_);if(!f){p=k[$>>2]|0;y=0;oa(k[(k[p>>2]|0)+32>>2]|0,xa|0,p|0);p=y;y=0;if(p&1){va=268;break}g=jt(Ka,ya,xa)|0;if(!(k[g>>2]|0)){y=0;f=qa(332,28)|0;p=y;y=0;if(p&1){va=269;break}h=f+16|0;k[h>>2]=k[xa>>2];k[h+4>>2]=k[xa+4>>2];k[h+8>>2]=k[xa+8>>2];k[xa>>2]=0;k[xa+4>>2]=0;k[xa+8>>2]=0;h=k[ya>>2]|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=h;k[g>>2]=f;h=k[k[Ka>>2]>>2]|0;if(h){k[Ka>>2]=h;f=k[g>>2]|0}jn(k[L>>2]|0,f);k[M>>2]=(k[M>>2]|0)+1}$9(xa);EO($)}else{EO($);if((f|0)!=16){d=e;va=373;break g}}f=q+1|0;if(f>>>0>=s>>>0)break l;q=f;f=k[t>>2]|0}switch(va|0){case 124:{d=pb()|0;va=374;break g}case 125:{d=pb()|0;break}case 132:{dla(tb(0)|0);break}case 137:{d=pb()|0;va=267;break}case 138:{d=pb()|0;va=267;break}case 139:{d=pb()|0;EO(O);va=267;break}case 146:{d=pb()|0;va=147;break}case 148:{d=pb()|0;va=150;break}case 149:{d=pb()|0;$9(P);va=150;break}case 151:{d=gb(8)|0;y=0;oa(507,d|0,30911);Fa=y;y=0;if(Fa&1){va=pb()|0;fb(d|0);d=va;va=154;break}else{y=0;Na(76,d|0,4528,353);y=0;d=pb()|0;va=147;break}}case 158:{dla(tb(0)|0);break}case 165:{dla(tb(0)|0);break}case 171:{d=pb()|0;va=173;break}case 172:{d=pb()|0;$9(ya);va=173;break}case 174:{d=pb()|0;va=176;break}case 175:{d=pb()|0;EO(ya);va=176;break}case 177:{d=pb()|0;EO(Q);va=267;break}case 197:{d=pb()|0;va=227;break}case 198:{d=pb()|0;va=224;break}case 199:{d=pb()|0;va=224;break}case 219:{d=pb()|0;va=224;break}case 220:{d=pb()|0;va=222;break}case 221:{d=pb()|0;$9(R);va=222;break}case 248:{d=pb()|0;va=250;break}case 249:{d=pb()|0;$9(ya);va=250;break}case 251:{d=pb()|0;va=267;break}case 252:{d=pb()|0;EO(S);va=267;break}case 268:{d=pb()|0;va=270;break}case 269:{d=pb()|0;$9(xa);va=270;break}}if((va|0)==147)va=154;else if((va|0)==150){EO(V);va=154}else if((va|0)==173)va=267;else if((va|0)==176)va=267;else if((va|0)==222){EO(W);va=224}else if((va|0)==250)va=267;if((va|0)==154){EO(Z);va=267}else if((va|0)==224){EO(X);va=227}if((va|0)==227){EO(Y);va=267}if((va|0)==267)EO(_);EO($);va=374;break g}while(0);e=k[b>>2]|0;o=(k[e+80>>2]|0)-(k[e+76>>2]|0)>>2;y:do if(o|0){p=ya+11|0;q=ya+4|0;s=ya+11|0;t=ya+4|0;u=c+11|0;v=c+4|0;w=ya+11|0;x=ya+4|0;z=xa+11|0;A=xa+4|0;d=0;z:while(1){y=0;oa(482,ua|0,k[(k[e+76>>2]|0)+(d<<2)>>2]|0);$=y;y=0;if($&1){va=277;break}e=k[ua>>2]|0;if(!e)e=0;else e=pw(e,88,288,0)|0;y=0;oa(482,ra|0,e|0);$=y;y=0;if($&1){va=278;break}e=k[ra>>2]|0;do if(e|0){y=0;oa(452,ya|0,e+84|0);$=y;y=0;if($&1){va=291;break z}$=i[p>>0]|0;do if((($<<24>>24<0?k[q>>2]|0:$&255)|0)==4){y=0;e=sa(21,ya|0,0,-1,45981,4)|0;$=y;y=0;if($&1){va=285;break z}$9(ya);if(e|0)break;y=0;oa(464,xa|0,(k[ra>>2]|0)+104|0);$=y;y=0;if($&1){va=290;break z}e=k[xa>>2]|0;k[ea>>2]=e;if(!e)e=0;else e=pw(e,88,104,0)|0;y=0;oa(482,ja|0,e|0);$=y;y=0;if($&1){va=292;break z}EO(ea);e=k[ja>>2]|0;if(e|0){y=0;na(367,e|0);$=y;y=0;if($&1){va=300;break z}e=k[(k[a>>2]|0)+156>>2]|0;y=0;oa(464,ia|0,ja|0);$=y;y=0;if($&1){va=300;break z}y=0;oa(452,fa|0,(k[ra>>2]|0)+84|0);$=y;y=0;if($&1){va=301;break z}y=0;e=ta(e|0,a|0,ia|0,fa|0)|0;$=y;y=0;if($&1){va=302;break z}$9(fa);EO(ia);if(e){va=305;break z}}EO(ja)}else $9(ya);while(0);y=0;oa(452,ya|0,(k[ra>>2]|0)+84|0);$=y;y=0;if($&1){va=333;break z}$=i[s>>0]|0;do if((($<<24>>24<0?k[t>>2]|0:$&255)|0)==8){y=0;e=sa(21,ya|0,0,-1,46348,8)|0;$=y;y=0;if($&1){va=310;break z}if(e|0){va=313;break}$9(ya)}else va=313;while(0);if((va|0)==313){va=0;y=0;oa(452,xa|0,(k[ra>>2]|0)+84|0);$=y;y=0;if($&1){va=334;break z}$=i[z>>0]|0;if((($<<24>>24<0?k[A>>2]|0:$&255)|0)!=9){$9(xa);$9(ya);break}y=0;e=sa(21,xa|0,0,-1,30946,9)|0;$=y;y=0;if($&1){va=317;break z}$9(xa);$9(ya);if(e|0)break}e=i[u>>0]|0;if(e<<24>>24<0)e=k[v>>2]|0;else e=e&255;A:do if(e|0){y=0;oa(452,ya|0,(k[ra>>2]|0)+84|0);$=y;y=0;if($&1){va=336;break z}g=i[u>>0]|0;h=g<<24>>24<0;g=g&255;j=h?k[v>>2]|0:g;$=i[w>>0]|0;e=$<<24>>24<0;if((j|0)!=((e?k[x>>2]|0:$&255)|0)){va=331;break z}m=k[c>>2]|0;n=h?m:c;e=e?k[ya>>2]|0:ya;f=(j|0)==0;B:do if(h){if(f)break;$=(zM(n,e,j)|0)==0;$9(ya);if($)break A;else{d=0;va=363;break z}}else{if(f)break;if((m&255)<<24>>24==(i[e>>0]|0))f=c;else{va=331;break z}while(1){g=g+-1|0;f=f+1|0;if(!g)break B;e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0)){va=331;break z}}}while(0);$9(ya)}while(0);y=0;oa(464,Da|0,(k[ra>>2]|0)+104|0);$=y;y=0;if($&1){va=290;break z}e=k[Da>>2]|0;k[ga>>2]=e;if(!e)e=0;else e=pw(e,88,104,0)|0;y=0;oa(482,pa|0,e|0);$=y;y=0;if($&1){va=340;break z}EO(ga);e=k[pa>>2]|0;if(e|0){va=344;break z}EO(pa)}while(0);EO(ra);$=k[ua>>2]|0;y=0;oa(k[(k[$>>2]|0)+32>>2]|0,ya|0,$|0);$=y;y=0;if($&1){va=365;break}f=jt(Ja,ha,ya)|0;if(!(k[f>>2]|0)){y=0;e=qa(332,28)|0;$=y;y=0;if($&1){va=366;break}g=e+16|0;k[g>>2]=k[ya>>2];k[g+4>>2]=k[ya+4>>2];k[g+8>>2]=k[ya+8>>2];k[ya>>2]=0;k[ya+4>>2]=0;k[ya+8>>2]=0;g=k[ha>>2]|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=g;k[f>>2]=e;g=k[k[Ja>>2]>>2]|0;if(g){k[Ja>>2]=g;e=k[f>>2]|0}jn(k[T>>2]|0,e);k[U>>2]=(k[U>>2]|0)+1}$9(ya);EO(ua);d=d+1|0;if(d>>>0>=o>>>0)break y;e=k[b>>2]|0}C:switch(va|0){case 277:{d=pb()|0;va=374;break g}case 278:{ca=pb()|0;break}case 285:{dla(tb(0)|0);break}case 290:{d=pb()|0;va=364;break}case 291:{d=pb()|0;va=364;break}case 292:{d=pb()|0;EO(ea);va=364;break}case 300:{d=pb()|0;va=306;break}case 301:{d=pb()|0;va=303;break}case 302:{d=pb()|0;$9(fa);va=303;break}case 305:{EO(ja);d=0;va=363;break}case 310:{dla(tb(0)|0);break}case 317:{dla(tb(0)|0);break}case 331:{$9(ya);d=0;va=363;break}case 333:{d=pb()|0;va=335;break}case 334:{d=pb()|0;$9(ya);va=335;break}case 336:{d=pb()|0;va=364;break}case 340:{d=pb()|0;EO(ga);va=364;break}case 344:{y=0;na(367,e|0);Ea=y;y=0;if(Ea&1)va=348;else{d=k[(k[a>>2]|0)+156>>2]|0;y=0;oa(464,la|0,pa|0);Ea=y;y=0;if(Ea&1)va=348;else{y=0;oa(452,ka|0,(k[ra>>2]|0)+84|0);Ea=y;y=0;do if(Ea&1)d=pb()|0;else{y=0;d=ta(d|0,a|0,la|0,ka|0)|0;Ea=y;y=0;if(Ea&1){d=pb()|0;$9(ka);break}else{$9(ka);EO(la);EO(pa);va=363;break C}}while(0);EO(la)}}if((va|0)==348)d=pb()|0;EO(pa);va=364;break}case 365:{d=pb()|0;va=367;break}case 366:{d=pb()|0;$9(ya);va=367;break}}if((va|0)==303){EO(ia);va=306}else if((va|0)==335)va=364;else if((va|0)==363){EO(ra);EO(ua);va=373;break g}else if((va|0)==367)ca=d;if((va|0)==306){EO(ja);va=364}if((va|0)==364){EO(ra);ca=d}EO(ua);d=ca;va=374;break g}while(0);if(!(k[M>>2]|0)){d=1;va=373}else{d=k[Ka>>2]|0;k[Aa>>2]=k[Ja>>2];k[Ba>>2]=ba;k[Ca>>2]=d;k[Da>>2]=aa;k[za>>2]=k[Aa>>2];k[wa>>2]=k[Ba>>2];k[xa>>2]=k[Ca>>2];k[ya>>2]=k[Da>>2];d=xo(za,wa,xa,ya,Ea)|0;va=373}}while(0);if((va|0)==373){cH(Ja,k[ba>>2]|0);cH(Ka,k[aa>>2]|0);Ka=d;Ja=k[Ia>>2]|0;cH(Ma,Ja);Ma=k[Ga>>2]|0;cH(La,Ma);r=Fa;return Ka|0}else if((va|0)==374){cH(Ja,k[ba>>2]|0);cH(Ka,k[aa>>2]|0);Ka=d;Ja=k[Ia>>2]|0;cH(Ma,Ja);Ma=k[Ga>>2]|0;cH(La,Ma);sb(Ka|0)}return 0}function cd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Fa=0,Ga=0,Ia=0,Ja=0;Ia=0;Da=r;r=r+752|0;Ga=Da+240|0;ma=Da+200|0;Z=Da+160|0;da=Da+120|0;ea=Da+80|0;fa=Da+40|0;c=Da;Ja=Da+736|0;ga=Da+732|0;ha=Da+728|0;xa=Da+656|0;M=Da+724|0;O=Da+720|0;P=Da+716|0;ia=Da+712|0;Q=Da+708|0;ya=Da+584|0;R=Da+704|0;S=Da+664|0;pa=Da+644|0;T=Da+640|0;U=Da+600|0;ra=Da+572|0;V=Da+568|0;W=Da+528|0;sa=Da+516|0;X=Da+512|0;Y=Da+472|0;ua=Da+460|0;_=Da+456|0;$=Da+416|0;va=Da+404|0;aa=Da+400|0;ba=Da+360|0;wa=Da+348|0;ca=Da+344|0;ja=Da+340|0;Ba=Da+336|0;Ca=Da+296|0;Fa=Da+280|0;j=ZL(84)|0;za=a+108|0;f=c;m=za;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));y=0;na(366,j|0);Aa=y;y=0;do if(Aa&1)c=pb()|0;else{f=j+12|0;m=c;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[j>>2]=9504;k[c>>2]=4;d=j+60|0;k[d>>2]=7720;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(518,g|0,0);Aa=y;y=0;if(Aa&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{Ja=e+-4|0;k[h>>2]=Ja;EO(Ja);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[j>>2]=9328;k[d>>2]=9464;k[j+80>>2]=0;k[c>>2]=4;_V(Ja,j);Aa=a+76|0;c=k[Aa>>2]|0;y=0;d=qa(360,c|0)|0;la=y;y=0;a:do if(la&1)c=pb()|0;else{la=d|0?d:c;la=(i[la>>0]|0)==125?la+1|0:0;L=a+80|0;c=k[L>>2]|0;b:do if((la|0)==0|la>>>0>c>>>0){la=L;ka=c}else{k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;y=0;Na(75,Ga|0,39964,11);la=y;y=0;if(la&1)c=pb()|0;else{k[ma>>2]=0;k[ma+4>>2]=0;k[ma+8>>2]=0;y=0;Na(75,ma|0,39976,7);la=y;y=0;if(la&1)c=pb()|0;else{k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;y=0;Na(75,Z|0,39984,44);la=y;y=0;do if(la&1)c=pb()|0;else{y=0;Ra(25,a|0,Ga|0,ma|0,Z|0);la=y;y=0;if(la&1){c=pb()|0;$9(Z);break}else{$9(Z);$9(ma);$9(Ga);la=L;ka=k[L>>2]|0;break b}}while(0);$9(ma)}$9(Ga)}break a}while(0);k[L>>2]=b;c=k[Aa>>2]|0;c:do if(c>>>0<b>>>0){o=a+156|0;p=a+160|0;q=wa+8|0;s=wa+4|0;t=wa+11|0;u=va+8|0;v=va+4|0;w=va+11|0;x=ua+8|0;z=ua+4|0;A=ua+11|0;B=sa+8|0;C=sa+4|0;D=sa+11|0;E=ra+8|0;F=ra+4|0;G=ra+11|0;H=Ga+8|0;I=Ga+4|0;J=Ga+11|0;K=a+152|0;d:while(1){y=0;ta(96,a|0,1,0)|0;n=y;y=0;if(n&1){Ia=32;break}c=k[Aa>>2]|0;y=0;d=qa(360,c|0)|0;n=y;y=0;if(n&1){Ia=32;break}y=0;c=qa(391,(d|0?d:c)|0)|0;n=y;y=0;if(n&1){Ia=32;break}n=c>>>0<=(k[L>>2]|0)>>>0?c:0;e:do if((n|0)!=0&n>>>0<b>>>0){c=(k[Ja>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;e=qa(392,a|0)|0;n=y;y=0;if(n&1){Ia=32;break d}k[ha>>2]=e;y=0;oa(482,ga|0,e|0);n=y;y=0;if(n&1){Ia=40;break d}y=0;oa(d|0,c|0,ga|0);n=y;y=0;if(n&1){Ia=41;break d}EO(ga);EO(ha)}else{y=0;c=ta(97,a|0,1,0)|0;n=y;y=0;if(n&1){Ia=32;break d}if(c|0){c=k[Aa>>2]|0;y=0;d=qa(360,c|0)|0;n=y;y=0;if(n&1){Ia=32;break d}c=d|0?d:c;do if(c|0){d=i[45708]|0;f:do if(!(d<<24>>24))d=0;else{e=45708;while(1){if((i[c>>0]|0)!=d<<24>>24)break f;c=c+1|0;e=e+1|0;d=i[e>>0]|0;if(!(d<<24>>24)){d=0;break}}}while(0);n=d<<24>>24==0?c:0;if((n|0)==0?1:n>>>0>(k[L>>2]|0)>>>0)break;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;y=0;Na(75,Ga|0,39964,11);n=y;y=0;if(n&1){Ia=56;break d}k[ma>>2]=0;k[ma+4>>2]=0;k[ma+8>>2]=0;y=0;Na(75,ma|0,39976,7);n=y;y=0;if(n&1){Ia=57;break d}k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;y=0;Na(75,Z|0,39984,44);n=y;y=0;if(n&1){Ia=58;break d}y=0;Ra(25,a|0,Ga|0,ma|0,Z|0);n=y;y=0;if(n&1){Ia=59;break d}$9(Z);$9(ma);$9(Ga)}while(0);y=0;oa(482,xa|0,0);n=y;y=0;if(n&1){Ia=32;break d}y=0;c=ta(98,a|0,1,0)|0;n=y;y=0;if(n&1){Ia=71;break d}if(!c){y=0;c=Ha(1003,a|0,0)|0;n=y;y=0;if(n&1){Ia=79;break d}k[Ga>>2]=c;y=0;Ha(966,xa|0,Ga|0)|0;n=y;y=0;if(n&1){Ia=80;break d}EO(Ga)}else{y=0;c=qa(332,80)|0;n=y;y=0;if(n&1){Ia=72;break d}y=0;f=Ga;m=za;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));Na(108,c|0,Ga|0,K|0);n=y;y=0;if(n&1){Ia=73;break d}y=0;oa(482,ma|0,c|0);n=y;y=0;if(n&1){Ia=72;break d}y=0;Ha(966,xa|0,ma|0)|0;n=y;y=0;if(n&1){Ia=74;break d}EO(ma)}i[(k[xa>>2]|0)+54>>0]=1;c=(k[Ja>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(464,M|0,xa|0);n=y;y=0;if(n&1){Ia=71;break d}y=0;oa(d|0,c|0,M|0);n=y;y=0;if(n&1){Ia=86;break d}EO(M);y=0;ta(99,a|0,1,0)|0;n=y;y=0;if(n&1){Ia=71;break d}EO(xa);break}y=0;c=ta(100,a|0,1,0)|0;n=y;y=0;if(n&1){Ia=32;break d}if(c|0){c=(k[Ja>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;e=qa(332,80)|0;n=y;y=0;if(n&1){Ia=32;break d}y=0;f=Ga;m=za;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));Na(108,e|0,Ga|0,K|0);n=y;y=0;if(n&1){Ia=95;break d}y=0;oa(482,O|0,e|0);n=y;y=0;if(n&1){Ia=32;break d}y=0;oa(d|0,c|0,O|0);n=y;y=0;if(n&1){Ia=96;break d}EO(O);break}y=0;c=ta(78,a|0,1,0)|0;n=y;y=0;if(n&1){Ia=32;break d}if(c|0){c=(k[Ja>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;k[Ga>>2]=k[K>>2];k[Ga+4>>2]=k[K+4>>2];k[Ga+8>>2]=k[K+8>>2];e=ta(79,a|0,Ga|0,0)|0;n=y;y=0;if(n&1){Ia=32;break d}k[ia>>2]=e;y=0;oa(482,P|0,e|0);n=y;y=0;if(n&1){Ia=106;break d}y=0;oa(d|0,c|0,P|0);n=y;y=0;if(n&1){Ia=107;break d}EO(P);EO(ia);c=k[Aa>>2]|0;switch(i[c>>0]|0){case 39:case 34:break;default:{y=0;qa(360,c|0)|0;n=y;y=0;if(n&1){Ia=32;break d}y=0;n=y;y=0;if(n&1){Ia=32;break d}c=k[Aa>>2]|0}}y=0;d=qa(360,c|0)|0;n=y;y=0;if(n&1){Ia=32;break d}n=d|0?d:c;n=(i[n>>0]|0)==45?n+1|0:0;if((n|0)==0?1:n>>>0>(k[L>>2]|0)>>>0)break;else{Ia=270;break d}}y=0;c=ta(101,a|0,1,0)|0;n=y;y=0;if(n&1){Ia=32;break d}if(c|0){c=(k[Ja>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;e=qa(332,80)|0;n=y;y=0;if(n&1){Ia=32;break d}y=0;f=Ga;m=za;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));Na(108,e|0,Ga|0,K|0);n=y;y=0;if(n&1){Ia=121;break d}y=0;oa(482,Q|0,e|0);n=y;y=0;if(n&1){Ia=32;break d}y=0;oa(d|0,c|0,Q|0);n=y;y=0;if(n&1){Ia=122;break d}EO(Q);c=k[Aa>>2]|0;switch(i[c>>0]|0){case 39:case 34:break e;default:{}}y=0;qa(360,c|0)|0;n=y;y=0;if(n&1){Ia=32;break d}y=0;n=y;y=0;if(n&1){Ia=32;break d}else break}y=0;c=ta(102,a|0,1,0)|0;n=y;y=0;if(n&1){Ia=32;break d}if(c|0){d=k[o>>2]|0;f=k[p>>2]|0;k[Ga>>2]=0;k[Ga+4>>2]=0;k[Ga+8>>2]=0;g=f-d|0;do if(g>>>0>4294967279){y=0;na(377,Ga|0);Ia=y;y=0;if(Ia&1){Ia=143;break d}else Ia=129}else{if(g>>>0>=11){Ia=129;break}i[J>>0]=g;c=Ga}while(0);if((Ia|0)==129){Ia=0;e=g+16&-16;y=0;c=qa(332,e|0)|0;n=y;y=0;if(n&1){Ia=143;break d}k[Ga>>2]=c;k[H>>2]=e|-2147483648;k[I>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;oa(552,ya|0,Ga|0);n=y;y=0;if(n&1){Ia=144;break d}$9(Ga);c=(k[Ja>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;e=qa(332,72)|0;n=y;y=0;if(n&1){Ia=146;break d}f=S;m=za;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));y=0;oa(452,pa|0,ya|0);n=y;y=0;if(n&1){Ia=147;break d}f=fa;m=S;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));y=0;na(366,e|0);n=y;y=0;if(n&1){d=1;Ia=149;break d}f=e+12|0;m=fa;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=8848;y=0;oa(452,e+60|0,pa|0);n=y;y=0;if(n&1){Ia=139;break d}y=0;oa(482,R|0,e|0);n=y;y=0;if(n&1){d=0;Ia=149;break d}y=0;oa(d|0,c|0,R|0);n=y;y=0;if(n&1){Ia=148;break d}EO(R);$9(pa);$9(ya);break}y=0;c=ta(103,a|0,1,0)|0;n=y;y=0;if(n&1){Ia=32;break d}if(c|0){h=(k[Ja>>2]|0)+60|0;j=k[(k[h>>2]|0)+20>>2]|0;y=0;l=qa(332,80)|0;n=y;y=0;if(n&1){Ia=32;break d}f=U;m=za;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));d=k[o>>2]|0;f=k[p>>2]|0;k[ra>>2]=0;k[ra+4>>2]=0;k[ra+8>>2]=0;g=f-d|0;do if(g>>>0>4294967279){y=0;na(377,ra|0);Ia=y;y=0;if(Ia&1){Ia=170;break d}else Ia=159}else{if(g>>>0>=11){Ia=159;break}i[G>>0]=g;c=ra}while(0);if((Ia|0)==159){Ia=0;e=g+16&-16;y=0;c=qa(332,e|0)|0;n=y;y=0;if(n&1){Ia=170;break d}k[ra>>2]=c;k[E>>2]=e|-2147483648;k[F>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;f=ea;m=U;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));y=0;na(366,l|0);n=y;y=0;if(n&1){d=1;Ia=172;break d}f=l+12|0;m=ea;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));i[l+52>>0]=1;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=8968;k[l+60>>2]=1;y=0;oa(452,l+64|0,ra|0);n=y;y=0;if(n&1){Ia=166;break d}k[l+76>>2]=0;y=0;oa(482,T|0,l|0);n=y;y=0;if(n&1){d=0;Ia=172;break d}y=0;oa(j|0,h|0,T|0);n=y;y=0;if(n&1){Ia=171;break d}EO(T);$9(ra);break}y=0;c=ta(104,a|0,1,0)|0;n=y;y=0;if(n&1){Ia=32;break d}if(c|0){h=(k[Ja>>2]|0)+60|0;j=k[(k[h>>2]|0)+20>>2]|0;y=0;l=qa(332,80)|0;n=y;y=0;if(n&1){Ia=32;break d}f=W;m=za;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));d=k[o>>2]|0;f=k[p>>2]|0;k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;g=f-d|0;do if(g>>>0>4294967279){y=0;na(377,sa|0);Ia=y;y=0;if(Ia&1){Ia=192;break d}else Ia=181}else{if(g>>>0>=11){Ia=181;break}i[D>>0]=g;c=sa}while(0);if((Ia|0)==181){Ia=0;e=g+16&-16;y=0;c=qa(332,e|0)|0;n=y;y=0;if(n&1){Ia=192;break d}k[sa>>2]=c;k[B>>2]=e|-2147483648;k[C>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;f=da;m=W;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));y=0;na(366,l|0);n=y;y=0;if(n&1){d=1;Ia=194;break d}f=l+12|0;m=da;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));i[l+52>>0]=1;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=8968;k[l+60>>2]=2;y=0;oa(452,l+64|0,sa|0);n=y;y=0;if(n&1){Ia=188;break d}k[l+76>>2]=0;y=0;oa(482,V|0,l|0);n=y;y=0;if(n&1){d=0;Ia=194;break d}y=0;oa(j|0,h|0,V|0);n=y;y=0;if(n&1){Ia=193;break d}EO(V);$9(sa);break}y=0;c=ta(105,a|0,1,0)|0;n=y;y=0;if(n&1){Ia=32;break d}if(c|0){h=(k[Ja>>2]|0)+60|0;j=k[(k[h>>2]|0)+20>>2]|0;y=0;l=qa(332,80)|0;n=y;y=0;if(n&1){Ia=32;break d}f=Y;m=za;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));d=k[o>>2]|0;f=k[p>>2]|0;k[ua>>2]=0;k[ua+4>>2]=0;k[ua+8>>2]=0;g=f-d|0;do if(g>>>0>4294967279){y=0;na(377,ua|0);Ia=y;y=0;if(Ia&1){Ia=214;break d}else Ia=203}else{if(g>>>0>=11){Ia=203;break}i[A>>0]=g;c=ua}while(0);if((Ia|0)==203){Ia=0;e=g+16&-16;y=0;c=qa(332,e|0)|0;n=y;y=0;if(n&1){Ia=214;break d}k[ua>>2]=c;k[x>>2]=e|-2147483648;k[z>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;f=Z;m=Y;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));y=0;na(366,l|0);n=y;y=0;if(n&1){d=1;Ia=216;break d}f=l+12|0;m=Z;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));i[l+52>>0]=1;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=8968;k[l+60>>2]=0;y=0;oa(452,l+64|0,ua|0);n=y;y=0;if(n&1){Ia=210;break d}k[l+76>>2]=0;y=0;oa(482,X|0,l|0);n=y;y=0;if(n&1){d=0;Ia=216;break d}y=0;oa(j|0,h|0,X|0);n=y;y=0;if(n&1){Ia=215;break d}EO(X);$9(ua);break}y=0;c=ta(106,a|0,1,0)|0;n=y;y=0;if(n&1){Ia=32;break d}if(c|0){h=(k[Ja>>2]|0)+60|0;j=k[(k[h>>2]|0)+20>>2]|0;y=0;l=qa(332,80)|0;n=y;y=0;if(n&1){Ia=32;break d}f=$;m=za;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));d=k[o>>2]|0;f=k[p>>2]|0;k[va>>2]=0;k[va+4>>2]=0;k[va+8>>2]=0;g=f-d|0;do if(g>>>0>4294967279){y=0;na(377,va|0);Ia=y;y=0;if(Ia&1){Ia=236;break d}else Ia=225}else{if(g>>>0>=11){Ia=225;break}i[w>>0]=g;c=va}while(0);if((Ia|0)==225){Ia=0;e=g+16&-16;y=0;c=qa(332,e|0)|0;n=y;y=0;if(n&1){Ia=236;break d}k[va>>2]=c;k[u>>2]=e|-2147483648;k[v>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;f=ma;m=$;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));y=0;na(366,l|0);n=y;y=0;if(n&1){d=1;Ia=238;break d}f=l+12|0;m=ma;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));i[l+52>>0]=1;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=8968;k[l+60>>2]=3;y=0;oa(452,l+64|0,va|0);n=y;y=0;if(n&1){Ia=232;break d}k[l+76>>2]=0;y=0;oa(482,_|0,l|0);n=y;y=0;if(n&1){d=0;Ia=238;break d}y=0;oa(j|0,h|0,_|0);n=y;y=0;if(n&1){Ia=237;break d}EO(_);$9(va);break}y=0;c=ta(107,a|0,1,0)|0;n=y;y=0;if(n&1){Ia=32;break d}if(!c){c=k[Aa>>2]|0;y=0;d=qa(360,c|0)|0;n=y;y=0;if(n&1){Ia=32;break d}y=0;c=qa(393,(d|0?d:c)|0)|0;n=y;y=0;if(n&1){Ia=32;break d}if((c|0)==0?1:c>>>0>(k[L>>2]|0)>>>0){Ia=270;break d}c=(k[Ja>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;e=qa(384,a|0)|0;n=y;y=0;if(n&1){Ia=32;break d}k[ja>>2]=e;y=0;oa(482,ca|0,e|0);n=y;y=0;if(n&1){Ia=267;break d}y=0;oa(d|0,c|0,ca|0);n=y;y=0;if(n&1){Ia=268;break d}EO(ca);EO(ja);break}h=(k[Ja>>2]|0)+60|0;j=k[(k[h>>2]|0)+20>>2]|0;y=0;l=qa(332,80)|0;n=y;y=0;if(n&1){Ia=32;break d}f=ba;m=za;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));d=k[o>>2]|0;f=k[p>>2]|0;k[wa>>2]=0;k[wa+4>>2]=0;k[wa+8>>2]=0;g=f-d|0;do if(g>>>0>4294967279){y=0;na(377,wa|0);Ia=y;y=0;if(Ia&1){Ia=256;break d}else Ia=247}else{if(g>>>0>=11){Ia=247;break}i[t>>0]=g;c=wa}while(0);if((Ia|0)==247){Ia=0;e=g+16&-16;y=0;c=qa(332,e|0)|0;n=y;y=0;if(n&1){Ia=256;break d}k[wa>>2]=c;k[q>>2]=e|-2147483648;k[s>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;f=Ga;m=ba;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));Ea(2,l|0,Ga|0,wa|0,0,0,0,1);n=y;y=0;if(n&1){d=1;Ia=258;break d}y=0;oa(482,aa|0,l|0);n=y;y=0;if(n&1){d=0;Ia=258;break d}y=0;oa(j|0,h|0,aa|0);n=y;y=0;if(n&1){Ia=257;break d}EO(aa);$9(wa)}while(0);if((k[Aa>>2]|0)>>>0>=b>>>0){Ia=270;break}}switch(Ia|0){case 32:{c=pb()|0;break c}case 40:{c=pb()|0;Ia=42;break}case 41:{c=pb()|0;EO(ga);Ia=42;break}case 56:{c=pb()|0;break}case 57:{c=pb()|0;Ia=61;break}case 58:{c=pb()|0;Ia=60;break}case 59:{c=pb()|0;$9(Z);Ia=60;break}case 71:{c=pb()|0;Ia=87;break}case 72:{c=pb()|0;Ia=75;break}case 73:{Ga=pb()|0;zqa(c);c=Ga;Ia=75;break}case 74:{c=pb()|0;EO(ma);Ia=75;break}case 79:{c=pb()|0;Ia=81;break}case 80:{c=pb()|0;EO(Ga);Ia=81;break}case 86:{c=pb()|0;EO(M);Ia=87;break}case 95:{c=pb()|0;zqa(e);break a}case 96:{c=pb()|0;EO(O);break a}case 106:{c=pb()|0;Ia=108;break}case 107:{c=pb()|0;EO(P);Ia=108;break}case 121:{c=pb()|0;zqa(e);break a}case 122:{c=pb()|0;EO(Q);break a}case 139:{c=pb()|0;$9(pa);Ia=150;break}case 143:{c=pb()|0;Ia=145;break}case 144:{c=pb()|0;$9(Ga);Ia=145;break}case 146:{c=pb()|0;Ia=151;break}case 147:{c=pb()|0;Ia=150;break}case 148:{c=pb()|0;EO(R);$9(pa);Ia=151;break}case 149:{c=pb()|0;$9(pa);if(d)Ia=150;else Ia=151;break}case 166:{c=pb()|0;$9(ra);Ia=173;break}case 170:{c=pb()|0;Ia=173;break}case 171:{c=pb()|0;EO(T);$9(ra);break a}case 172:{c=pb()|0;$9(ra);if(d)Ia=173;else break a;break}case 188:{c=pb()|0;$9(sa);Ia=195;break}case 192:{c=pb()|0;Ia=195;break}case 193:{c=pb()|0;EO(V);$9(sa);break a}case 194:{c=pb()|0;$9(sa);if(d)Ia=195;else break a;break}case 210:{c=pb()|0;$9(ua);Ia=217;break}case 214:{c=pb()|0;Ia=217;break}case 215:{c=pb()|0;EO(X);$9(ua);break a}case 216:{c=pb()|0;$9(ua);if(d)Ia=217;else break a;break}case 232:{c=pb()|0;$9(va);Ia=239;break}case 236:{c=pb()|0;Ia=239;break}case 237:{c=pb()|0;EO(_);$9(va);break a}case 238:{c=pb()|0;$9(va);if(d)Ia=239;else break a;break}case 256:{c=pb()|0;Ia=259;break}case 257:{c=pb()|0;EO(aa);$9(wa);break a}case 258:{c=pb()|0;$9(wa);if(d)Ia=259;else break a;break}case 267:{c=pb()|0;Ia=269;break}case 268:{c=pb()|0;EO(ca);Ia=269;break}case 270:{c=k[Aa>>2]|0;Ia=271;break c}}switch(Ia|0){case 42:{EO(ha);break a}case 60:{$9(ma);Ia=61;break}case 75:{Ia=87;break}case 81:{Ia=87;break}case 108:{EO(ia);break a}case 145:break a;case 150:{zqa(e);Ia=151;break}case 173:{zqa(l);break a}case 195:{zqa(l);break a}case 217:{zqa(l);break a}case 239:{zqa(l);break a}case 259:{zqa(l);break a}case 269:{EO(ja);break a}}if((Ia|0)==61)$9(Ga);else if((Ia|0)==87){EO(xa);break a}else if((Ia|0)==151){$9(ya);break a}break a}else Ia=271;while(0);do if((Ia|0)==271){if((c|0)==(b|0)){k[la>>2]=ka;Ja=k[Ja>>2]|0;r=Da;return Ja|0}g=(k[Ja>>2]|0)+60|0;h=k[(k[g>>2]|0)+20>>2]|0;y=0;j=qa(332,80)|0;Ia=y;y=0;if(Ia&1){c=pb()|0;break}f=Ca;m=za;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));k[Fa>>2]=0;k[Fa+4>>2]=0;k[Fa+8>>2]=0;f=b-c|0;if(f>>>0>4294967279){y=0;na(377,Fa|0);Ia=y;y=0;if(Ia&1)Ia=287;else Ia=277}else if(f>>>0<11){i[Fa+11>>0]=f;e=Fa;Ia=279}else Ia=277;if((Ia|0)==277){d=f+16&-16;y=0;e=qa(332,d|0)|0;Ia=y;y=0;if(Ia&1)Ia=287;else{k[Fa>>2]=e;k[Fa+8>>2]=d|-2147483648;k[Fa+4>>2]=f;Ia=279}}do if((Ia|0)==279){d=e;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(b|0))break;else d=d+1|0}i[e+f>>0]=0;f=Ga;m=Ca;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));y=0;na(366,j|0);Ia=y;y=0;if(Ia&1)d=1;else{f=j+12|0;m=Ga;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=4;k[j>>2]=9640;i[j+60>>0]=0;i[j+61>>0]=0;y=0;oa(547,j+64|0,Fa|0);Ia=y;y=0;if(Ia&1){c=pb()|0;$9(Fa);break}k[j+76>>2]=0;y=0;oa(482,Ba|0,j|0);Ia=y;y=0;if(Ia&1)d=0;else{y=0;oa(h|0,g|0,Ba|0);Ia=y;y=0;if(Ia&1){c=pb()|0;EO(Ba);$9(Fa);break a}EO(Ba);$9(Fa);k[Aa>>2]=b;k[la>>2]=ka;Ja=k[Ja>>2]|0;r=Da;return Ja|0}}c=pb()|0;$9(Fa);if(!d)break a}else if((Ia|0)==287)c=pb()|0;while(0);zqa(j);break a}while(0)}while(0);EO(Ja);Ja=c;sb(Ja|0)}while(0);zqa(j);Ja=c;sb(Ja|0);return 0}function dd(a){a=a|0;if((cc|0)!=2){k[dc+8>>2]=a;if((cc|0)==1)cc=3}Qc(fc+11892|0);return k[dc>>2]|0}function ed(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;ga=0;_=r;r=r+608|0;V=_+40|0;O=_+596|0;I=_+584|0;G=_+576|0;E=_+572|0;B=_;A=_+568|0;q=_+564|0;h=_+560|0;f=_+544|0;g=_+496|0;W=_+492|0;ka=_+480|0;d=_+548|0;e=_+504|0;ja=_+460|0;ia=_+456|0;ha=_+412|0;j=_+476|0;l=_+464|0;m=_+416|0;fa=_+360|0;s=_+408|0;ea=_+356|0;w=_+288|0;u=_+368|0;v=_+344|0;da=_+204|0;x=_+280|0;P=_+196|0;D=_+240|0;U=_+224|0;J=_+200|0;F=_+192|0;M=_+180|0;L=_+168|0;K=_+164|0;H=_+152|0;ca=_+160|0;ba=_+156|0;R=_+104|0;S=_+92|0;T=_+88|0;aa=_+148|0;$=_+144|0;Z=_+84|0;X=_+80|0;Y=(k[18928]|0)+1|0;k[18928]=Y;if(Y>>>0>500){c=gb(80)|0;y=0;oa(585,c|0,b|0);ka=y;y=0;if(!(ka&1))Wb(c|0,2568,158);ka=pb()|0;fb(c|0);sb(ka|0)}z=a+24|0;Y=a+28|0;c=k[Y>>2]|0;if((c|0)==(k[z>>2]|0))C=0;else C=k[c+-4>>2]|0;Q=b+68|0;pK(V,Q);y=0;c=Ha(970,V|0,42777)|0;t=y;y=0;if(t&1){ka=pb()|0;$9(V);sb(ka|0)}k[ka>>2]=k[c>>2];k[ka+4>>2]=k[c+4>>2];k[ka+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;$9(V);y=0;c=Ha(988,C|0,ka|0)|0;t=y;y=0;a:do if(t&1)ga=17;else{b:do if(!c){y=0;oa(452,O|0,Q|0);t=y;y=0;if(t&1)c=pb()|0;else{y=0;c=ta(52,O|0,0,42781)|0;t=y;y=0;do if(t&1)c=pb()|0;else{k[d>>2]=k[c>>2];k[d+4>>2]=k[c+4>>2];k[d+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;n=e;o=b+12|0;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));c=k[a+88>>2]|0;if((c|0)==(k[a+84>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;n=V;o=e;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));Na(103,d|0,V|0,c|0);t=y;y=0;if(t&1){c=pb()|0;$9(d);break}else{$9(d);$9(O);break b}}while(0);$9(O)}break a}while(0);y=0;c=Ha(971,C|0,ka|0)|0;t=y;y=0;if(t&1)ga=17;else{c=k[c>>2]|0;if(!c)c=0;else c=pw(c,8,1032,0)|0;y=0;oa(482,ja|0,c|0);t=y;y=0;if(t&1)ga=17;else{y=0;oa(464,g|0,(k[ja>>2]|0)+64|0);t=y;y=0;if(t&1)c=pb()|0;else{k[ia>>2]=k[g>>2];y=0;oa(464,f|0,(k[ja>>2]|0)+80|0);t=y;y=0;if(t&1)c=pb()|0;else{k[ha>>2]=k[f>>2];t=b+64|0;y=0;oa(464,h|0,t|0);p=y;y=0;c:do if(p&1)ga=48;else{p=k[h>>2]|0;k[j>>2]=p;d:do if(!p)EO(j);else{y=0;oa(452,V|0,Q|0);p=y;y=0;do if(p&1)c=pb()|0;else{p=i[V+11>>0]|0;do if(((p<<24>>24<0?k[V+4>>2]|0:p&255)|0)==8){y=0;c=sa(21,V|0,0,-1,46469,8)|0;p=y;y=0;if(p&1){p=tb(0)|0;dla(p)}if(c|0)break;$9(V);EO(j);break d}while(0);c=k[ia>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+80>>2]|0,c|0)|0;p=y;y=0;if(p&1){c=pb()|0;$9(V);break}$9(V);EO(j);if(c)break d;y=0;oa(452,I|0,Q|0);p=y;y=0;if(p&1)c=pb()|0;else{y=0;c=ta(52,I|0,0,42797)|0;p=y;y=0;if(p&1)c=pb()|0;else{k[O>>2]=k[c>>2];k[O+4>>2]=k[c+4>>2];k[O+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(970,O|0,42805)|0;p=y;y=0;do if(p&1)c=pb()|0;else{k[l>>2]=k[c>>2];k[l+4>>2]=k[c+4>>2];k[l+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;n=m;o=b+12|0;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));c=k[a+88>>2]|0;if((c|0)==(k[a+84>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;n=V;o=m;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));Na(103,l|0,V|0,c|0);p=y;y=0;if(p&1){c=pb()|0;$9(l);break}else{$9(l);$9(O);$9(I);break d}}while(0);$9(O)}$9(I)}break c}while(0);EO(j);break c}while(0);y=0;oa(464,q|0,b+80|0);p=y;y=0;if(p&1)ga=48;else{c=k[q>>2]|0;k[s>>2]=c;m=a+8|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,m|0)|0;q=y;y=0;if(!(q&1)){y=0;oa(482,fa|0,c|0);q=y;y=0;if(!(q&1)){EO(s);c=k[fa>>2]|0;if(!c)c=0;else c=pw(c,40,1128,0)|0;y=0;oa(482,ea|0,c|0);s=y;y=0;if(s&1)c=pb()|0;else{e=a+84|0;q=a+88|0;c=k[q>>2]|0;if((c|0)==(k[e>>2]|0))d=0;else d=k[c+-4>>2]|0;f=b+12|0;n=u;o=f;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;oa(452,O|0,Q|0);b=y;y=0;e:do if(b&1){c=pb()|0;ga=110}else{y=0;c=ta(52,O|0,0,42840)|0;b=y;y=0;if(b&1)c=pb()|0;else{k[V>>2]=k[c>>2];k[V+4>>2]=k[c+4>>2];k[V+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(970,V|0,42853)|0;b=y;y=0;do if(b&1)c=pb()|0;else{k[v>>2]=k[c>>2];k[v+4>>2]=k[c+4>>2];k[v+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[w>>2]=d;n=w+4|0;o=u;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));s=w+44|0;y=0;oa(452,s|0,v|0);u=y;y=0;if(u&1){c=pb()|0;$9(v);break}$9(v);$9(V);$9(O);k[V>>2]=w;c=k[q>>2]|0;do if(c>>>0<(k[a+92>>2]|0)>>>0){k[c>>2]=w;k[q>>2]=(k[q>>2]|0)+4;ga=77}else{y=0;oa(576,e|0,V|0);w=y;y=0;if(!(w&1)){ga=77;break}c=pb()|0}while(0);do if((ga|0)==77){y=0;Na(120,da|0,k[(k[ja>>2]|0)+84>>2]|0,0);w=y;y=0;if(w&1){c=pb()|0;break}k[V>>2]=da;c=k[Y>>2]|0;do if(c>>>0<(k[a+32>>2]|0)>>>0){k[c>>2]=da;k[Y>>2]=(k[Y>>2]|0)+4;ga=81}else{y=0;oa(573,z|0,V|0);z=y;y=0;if(!(z&1)){ga=81;break}c=pb()|0}while(0);f:do if((ga|0)==81){y=0;oa(464,A|0,t|0);z=y;y=0;g:do if(!(z&1)){A=k[A>>2]|0;k[x>>2]=A;EO(x);h:do if(A|0){y=0;l=qa(332,112)|0;A=y;y=0;if(A&1)break g;n=D;o=f;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;y=0;Na(75,U|0,46469,8);A=y;y=0;i:do if(A&1)c=pb()|0;else{y=0;j=qa(332,76)|0;A=y;y=0;j:do if(A&1)ga=116;else{n=B;o=f;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(366,j|0);A=y;y=0;do if(A&1)c=pb()|0;else{k[j>>2]=4860;n=j+12|0;o=B;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));c=j+52|0;k[c>>2]=11356;g=j+56|0;h=j+60|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(571,g|0,0);B=y;y=0;if(B&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{ca=e+-4|0;k[h>>2]=ca;EO(ca);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[j>>2]=11232;k[c>>2]=11316;i[j+72>>0]=0;i[j+73>>0]=0;y=0;oa(482,J|0,j|0);B=y;y=0;if(B&1){ga=116;break j}y=0;oa(464,E|0,t|0);B=y;y=0;if(B&1){c=pb()|0;d=1}else{k[F>>2]=k[E>>2];y=0;n=V;o=D;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));ya(18,l|0,V|0,U|0,J|0,F|0,0);E=y;y=0;do if(E&1)c=1;else{y=0;oa(482,P|0,l|0);E=y;y=0;if(E&1){c=0;break}EO(F);EO(J);$9(U);k[(k[P>>2]|0)+84>>2]=C;y=0;c=qa(354,da|0)|0;U=y;y=0;if(U&1)c=pb()|0;else{k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;y=0;Na(75,V|0,42855,11);U=y;y=0;if(U&1)c=pb()|0;else{k[O>>2]=V;y=0;ya(17,G|0,c|0,V|0,80083,O|0,I|0);U=y;y=0;if(U&1)c=pb()|0;else{c=k[G>>2]|0;y=0;oa(482,O|0,k[P>>2]|0);U=y;y=0;do if(U&1)c=pb()|0;else{y=0;Ha(966,c+28|0,O|0)|0;U=y;y=0;if(U&1){c=pb()|0;EO(O);break}else{EO(O);$9(V);EO(P);break h}}while(0)}$9(V)}}EO(P);break f}while(0);ca=pb()|0;EO(F);d=c;c=ca}EO(J);$9(U);if(d)break i;else break f}while(0);zqa(j)}while(0);if((ga|0)==116)c=pb()|0;$9(U)}while(0);zqa(l);break f}while(0);k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;y=0;Na(75,M|0,42867,5);U=y;y=0;if(U&1)break;y=0;oa(452,L|0,Q|0);U=y;y=0;if(U&1)c=pb()|0;else{y=0;oa(464,K|0,ha|0);U=y;y=0;if(U&1)c=pb()|0;else{y=0;oa(464,H|0,ea|0);U=y;y=0;do if(U&1)c=pb()|0;else{y=0;Ea(4,M|0,L|0,K|0,H|0,k[a+4>>2]|0,da|0,m|0);U=y;y=0;if(U&1){c=pb()|0;EO(H);break}EO(H);EO(K);$9(L);$9(M);y=0;j=qa(332,88)|0;U=y;y=0;if(U&1)break g;n=V;o=f;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(366,j|0);U=y;y=0;do if(U&1)c=pb()|0;else{n=j+12|0;o=V;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));k[j>>2]=5252;k[j+52>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;c=j+64|0;k[c>>2]=5212;g=j+68|0;h=j+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,0);U=y;y=0;if(U&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{ca=e+-4|0;k[h>>2]=ca;EO(ca);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[j>>2]=5076;k[c>>2]=5172;i[j+84>>0]=0;i[j+85>>0]=0;y=0;oa(482,ca|0,j|0);U=y;y=0;if(U&1)break g;y=0;e=qa(332,80)|0;U=y;y=0;k:do if(U&1)c=pb()|0;else{n=R;o=f;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;oa(452,S|0,Q|0);U=y;y=0;do if(U&1)c=pb()|0;else{y=0;oa(464,T|0,ca|0);U=y;y=0;if(U&1){c=pb()|0;$9(S);break}y=0;n=V;o=R;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));Ra(36,e|0,V|0,S|0,T|0);U=y;y=0;do if(U&1)d=1;else{y=0;oa(482,ba|0,e|0);U=y;y=0;if(U&1){d=0;break}EO(T);$9(S);c=k[ca>>2]|0;k[V>>2]=c;g=a+40|0;d=k[g>>2]|0;do if(d>>>0<(k[a+44>>2]|0)>>>0){k[d>>2]=c;k[g>>2]=(k[g>>2]|0)+4;ga=156}else{y=0;oa(582,a+36|0,V|0);V=y;y=0;if(!(V&1)){ga=156;break}c=pb()|0}while(0);l:do if((ga|0)==156){f=k[ia>>2]|0;c=k[f+68>>2]|0;f=k[f+72>>2]|0;m:do if((c|0)!=(f|0)){while(1){y=0;oa(464,aa|0,c|0);ga=y;y=0;if(ga&1){ga=184;break}d=k[aa>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+48>>2]|0,d|0,a|0)|0;ga=y;y=0;if(ga&1){ga=185;break}y=0;oa(482,$|0,d|0);ga=y;y=0;if(ga&1){ga=185;break}if(k[$>>2]|0){y=0;oa(464,W|0,(k[ba>>2]|0)+64|0);ga=y;y=0;if(ga&1){ga=186;break}d=k[W>>2]|0;k[Z>>2]=d;d=d+64|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(464,X|0,$|0);ga=y;y=0;if(ga&1){ga=187;break}y=0;oa(e|0,d|0,X|0);ga=y;y=0;if(ga&1){ga=188;break}EO(X);EO(Z)}EO($);EO(aa);c=c+4|0;if((c|0)==(f|0))break m}if((ga|0)==184){c=pb()|0;break l}else if((ga|0)==185)c=pb()|0;else if((ga|0)==186){c=pb()|0;ga=191}else if((ga|0)==187){c=pb()|0;ga=189}else if((ga|0)==188){c=pb()|0;EO(X);ga=189}if((ga|0)==189){EO(Z);ga=191}if((ga|0)==191)EO($);EO(aa);break l}while(0);k[g>>2]=(k[g>>2]|0)+-4;k[Y>>2]=(k[Y>>2]|0)+-4;k[q>>2]=(k[q>>2]|0)+-4;k[18928]=(k[18928]|0)+-1;c=k[ba>>2]|0;if(!c){ga=0;EO(ba);EO(ca);ca=da+4|0;ca=k[ca>>2]|0;jB(da,ca);$9(s);EO(ea);EO(fa);EO(ha);EO(ia);EO(ja);$9(ka);r=_;return ga|0}i[c+8>>0]=1;ga=c;EO(ba);EO(ca);ca=da+4|0;ca=k[ca>>2]|0;jB(da,ca);$9(s);EO(ea);EO(fa);EO(ha);EO(ia);EO(ja);$9(ka);r=_;return ga|0}while(0);EO(ba);break k}while(0);c=pb()|0;EO(T);$9(S);if(!d)break k}while(0);zqa(e)}while(0);EO(ca);break f}while(0);zqa(j);break f}while(0);EO(K)}$9(L)}$9(M);break f}while(0);c=pb()|0}while(0);jB(da,k[da+4>>2]|0)}while(0);$9(s);break e}while(0);$9(V)}$9(O);ga=110}while(0);EO(ea)}EO(fa);break}}c=pb()|0;EO(s)}}while(0);if((ga|0)==48)c=pb()|0;EO(ha)}EO(ia)}EO(ja)}}}while(0);if((ga|0)==17)c=pb()|0;$9(ka);ka=c;sb(ka|0);return 0}function fd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;C=0;X=r;r=r+320|0;W=X+120|0;H=X+316|0;M=X+80|0;q=X+312|0;j=X+40|0;O=X;c=X+308|0;aa=X+296|0;$=X+292|0;d=X+284|0;_=X+288|0;Z=X+280|0;g=X+276|0;h=X+272|0;m=X+268|0;Y=X+244|0;s=X+264|0;G=X+236|0;E=X+228|0;D=X+224|0;t=X+240|0;A=X+232|0;B=X+220|0;u=X+216|0;v=X+212|0;w=X+208|0;x=X+196|0;z=X+192|0;U=X+204|0;P=X+200|0;T=X+188|0;Q=X+184|0;I=X+172|0;R=X+180|0;J=X+168|0;K=X+164|0;S=X+176|0;L=X+160|0;Er(aa,b+68|0);y=0;oa(464,c|0,b+80|0);V=y;y=0;do if(V&1)f=pb()|0;else{c=k[c>>2]|0;k[d>>2]=c;V=a+8|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,V|0)|0;F=y;y=0;if(!(F&1)){y=0;oa(482,$|0,c|0);F=y;y=0;if(!(F&1)){EO(d);y=0;oa(482,_|0,0);F=y;y=0;if(F&1)c=pb()|0;else{y=0;oa(482,Z|0,0);F=y;y=0;if(F&1)c=pb()|0;else{f=k[$>>2]|0;c=k[f+56>>2]|0;a:do if((c|0)==6){if(!f)c=0;else c=pw(f,40,584,0)|0;y=0;oa(482,W|0,c|0);F=y;y=0;do if(F&1)c=pb()|0;else{y=0;Ha(966,Z|0,W|0)|0;F=y;y=0;if(F&1){c=pb()|0;EO(W);break}else{EO(W);C=65;break a}}while(0)}else{d=(f|0)==0;if(d)C=36;else{e=pw(f,40,104,0)|0;if(!e)C=36;else{y=0;na(379,g|0);F=y;y=0;if(!(F&1)){y=0;c=Ha(k[(k[e>>2]|0)+52>>2]|0,e|0,g|0)|0;F=y;y=0;if(F&1)C=28;else{y=0;oa(482,h|0,c|0);F=y;y=0;if(F&1)C=28;else{c=k[h>>2]|0;if(!c)c=0;else c=pw(c,40,216,0)|0;y=0;oa(482,W|0,c|0);F=y;y=0;do if(F&1)c=pb()|0;else{y=0;Ha(966,_|0,W|0)|0;F=y;y=0;if(F&1){c=pb()|0;EO(W);break}else{EO(W);EO(h);C=65;break a}}while(0);EO(h)}}if((C|0)==28)c=pb()|0;break}}}b:do if((C|0)==36){if((c|0)==5){if(d)c=0;else c=pw(f,40,216,0)|0;y=0;oa(482,W|0,c|0);F=y;y=0;do if(F&1)c=pb()|0;else{y=0;Ha(966,_|0,W|0)|0;F=y;y=0;if(F&1){c=pb()|0;EO(W);break}else{EO(W);C=65;break a}}while(0);break a}y=0;l=qa(332,88)|0;F=y;y=0;c:do if(F&1)C=51;else{p=j;n=f+12|0;o=p+40|0;do{k[p>>2]=k[n>>2];p=p+4|0;n=n+4|0}while((p|0)<(o|0));y=0;na(366,l|0);F=y;y=0;do if(F&1)c=pb()|0;else{p=l+12|0;n=j;o=p+40|0;do{k[p>>2]=k[n>>2];p=p+4|0;n=n+4|0}while((p|0)<(o|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;c=l+56|0;k[c>>2]=0;k[l>>2]=7760;d=l+60|0;k[d>>2]=7720;g=l+64|0;h=l+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(518,g|0,1);F=y;y=0;if(F&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{Y=e+-4|0;k[h>>2]=Y;EO(Y);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[l>>2]=7552;k[d>>2]=7680;k[l+80>>2]=0;i[l+84>>0]=0;i[l+85>>0]=0;k[c>>2]=5;y=0;oa(482,W|0,l|0);F=y;y=0;if(F&1){C=51;break c}y=0;Ha(966,_|0,W|0)|0;F=y;y=0;if(F&1){c=pb()|0;EO(W);break c}EO(W);c=(k[_>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(464,m|0,$|0);F=y;y=0;if(F&1)break b;y=0;oa(d|0,c|0,m|0);F=y;y=0;if(F&1){c=pb()|0;EO(m);break a}else{EO(m);C=65;break a}}while(0);zqa(l)}while(0);if((C|0)==51)c=pb()|0;break a}while(0);c=pb()|0}while(0);do if((C|0)==65){d=a+24|0;F=a+28|0;c=k[F>>2]|0;if((c|0)==(k[d>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;Na(120,Y|0,c|0,1);p=y;y=0;if(p&1){c=pb()|0;break}k[W>>2]=Y;c=k[F>>2]|0;if(c>>>0<(k[a+32>>2]|0)>>>0){k[c>>2]=Y;k[F>>2]=(k[F>>2]|0)+4;C=71}else{y=0;oa(573,d|0,W|0);p=y;y=0;if(p&1)c=pb()|0;else C=71}d:do if((C|0)==71){c=a+48|0;y=0;oa(482,W|0,b|0);p=y;y=0;do if(p&1)c=pb()|0;else{m=a+52|0;d=k[m>>2]|0;if(d>>>0<(k[a+56>>2]|0)>>>0){y=0;oa(464,d|0,W|0);p=y;y=0;if(p&1)C=82;else k[m>>2]=(k[m>>2]|0)+4}else{y=0;oa(584,c|0,W|0);p=y;y=0;if(p&1)C=82}if((C|0)==82){c=pb()|0;EO(W);break}EO(W);y=0;oa(464,q|0,b+64|0);C=y;y=0;if(C&1){c=pb()|0;break d}l=k[q>>2]|0;k[s>>2]=l;EO(s);d=k[Z>>2]|0;e:do if(!d){e=k[_>>2]|0;c=k[e+68>>2]|0;d=k[e+64>>2]|0;f:do if(!((e|0)==0|(c-d|0)!=4)){if(!(pw(e,216,104,-2)|0))break;y=0;oa(482,W|0,e|0);G=y;y=0;do if(G&1)c=pb()|0;else{y=0;Ha(966,_|0,W|0)|0;G=y;y=0;if(G&1){c=pb()|0;EO(W);break}else{EO(W);e=k[_>>2]|0;c=k[e+68>>2]|0;d=k[e+64>>2]|0;break f}}while(0);break d}while(0);h=c-d>>2;if(!h)break;j=aa+4|0;c=0;d=e;g:while(1){d=d+60|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;G=y;y=0;if(G&1){C=150;break}y=0;oa(464,U|0,d|0);G=y;y=0;if(G&1){C=150;break}d=k[U>>2]|0;if(!d)d=0;else d=pw(d,40,624,0)|0;y=0;oa(482,P|0,d|0);G=y;y=0;if(G&1){C=151;break}d=k[P>>2]|0;if(d|0){y=0;oa(464,H|0,d+60|0);G=y;y=0;if(G&1){C=157;break}k[W>>2]=k[H>>2];y=0;Ha(966,U|0,W|0)|0;G=y;y=0;if(G&1){C=158;break}EO(W)}EO(P);d=k[U>>2]|0;if(!d)d=0;else d=pw(d,40,216,0)|0;y=0;oa(482,T|0,d|0);G=y;y=0;if(G&1){C=151;break}f=k[T>>2]|0;d=k[aa>>2]|0;e=(k[j>>2]|0)-d|0;g=(e|0)/12|0;h:do if(!f){if(!e)break;y=0;oa(482,K|0,k[U>>2]|0);G=y;y=0;if(G&1){C=170;break g}y=0;Na(116,Y|0,d|0,K|0);G=y;y=0;if(G&1){C=193;break g}EO(K);f=((k[j>>2]|0)-(k[aa>>2]|0)|0)/12|0;if(f>>>0>1)e=1;else break;do{y=0;d=qa(332,60)|0;G=y;y=0;if(G&1){C=200;break g}p=O;n=(k[$>>2]|0)+12|0;o=p+40|0;do{k[p>>2]=k[n>>2];p=p+4|0;n=n+4|0}while((p|0)<(o|0));y=0;na(366,d|0);G=y;y=0;if(G&1){C=201;break g}p=d+12|0;n=O;o=p+40|0;do{k[p>>2]=k[n>>2];p=p+4|0;n=n+4|0}while((p|0)<(o|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d>>2]=11032;k[d+56>>2]=8;y=0;oa(482,S|0,d|0);G=y;y=0;if(G&1){C=200;break g}d=k[aa>>2]|0;y=0;oa(482,L|0,k[S>>2]|0);G=y;y=0;if(G&1){C=202;break g}y=0;Na(116,Y|0,d+(e*12|0)|0,L|0);G=y;y=0;if(G&1){C=203;break g}EO(L);EO(S);e=e+1|0}while(e>>>0<f>>>0)}else{switch(e|0){case 0:break h;case 12:{y=0;oa(464,Q|0,T|0);G=y;y=0;if(G&1){C=170;break g}d=k[aa>>2]|0;y=0;oa(482,I|0,k[Q>>2]|0);G=y;y=0;if(G&1){C=171;break g}y=0;Na(116,Y|0,d|0,I|0);G=y;y=0;if(G&1){C=172;break g}EO(I);EO(Q);break h}default:{}}d=0;e=f;while(1){f=k[e+64>>2]|0;if(d>>>0<(k[e+68>>2]|0)-f>>2>>>0){e=k[f+(d<<2)>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+52>>2]|0,e|0,V|0)|0;G=y;y=0;if(G&1){C=184;break g}}else{y=0;e=qa(332,60)|0;G=y;y=0;if(G&1){C=184;break g}p=M;n=(k[$>>2]|0)+12|0;o=p+40|0;do{k[p>>2]=k[n>>2];p=p+4|0;n=n+4|0}while((p|0)<(o|0));y=0;na(366,e|0);G=y;y=0;if(G&1){C=185;break g}p=e+12|0;n=M;o=p+40|0;do{k[p>>2]=k[n>>2];p=p+4|0;n=n+4|0}while((p|0)<(o|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e>>2]=11032;k[e+56>>2]=8}y=0;oa(482,R|0,e|0);G=y;y=0;if(G&1){C=184;break g}e=k[aa>>2]|0;y=0;oa(482,J|0,k[R>>2]|0);G=y;y=0;if(G&1){C=186;break g}y=0;Na(116,Y|0,e+(d*12|0)|0,J|0);G=y;y=0;if(G&1){C=187;break g}EO(J);EO(R);d=d+1|0;if(d>>>0>=g>>>0)break h;e=k[T>>2]|0}}while(0);EO(T);y=0;oa(583,a|0,l|0);G=y;y=0;if(G&1){C=151;break}EO(U);c=c+1|0;if(c>>>0>=h>>>0)break e;d=k[_>>2]|0}switch(C|0){case 150:{c=pb()|0;break d}case 151:{c=pb()|0;break}case 157:{c=pb()|0;C=159;break}case 158:{c=pb()|0;EO(W);C=159;break}case 170:{c=pb()|0;C=208;break}case 171:{c=pb()|0;C=173;break}case 172:{c=pb()|0;EO(I);C=173;break}case 184:{c=pb()|0;C=208;break}case 185:{c=pb()|0;zqa(e);C=208;break}case 186:{c=pb()|0;C=188;break}case 187:{c=pb()|0;EO(J);C=188;break}case 193:{c=pb()|0;EO(K);C=208;break}case 200:{c=pb()|0;C=208;break}case 201:{c=pb()|0;zqa(d);C=208;break}case 202:{c=pb()|0;C=204;break}case 203:{c=pb()|0;EO(L);C=204;break}}if((C|0)==159)EO(P);else if((C|0)==173){EO(Q);C=208}else if((C|0)==188){EO(R);C=208}else if((C|0)==204){EO(S);C=208}if((C|0)==208)EO(T);EO(U);break d}else{c=k[d+84>>2]|0;f=k[d+88>>2]|0;if((c|0)==(f|0))break;g=aa+4|0;while(1){y=0;oa(464,G|0,c|0);U=y;y=0;if(U&1){C=110;break}d=k[G>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,V|0)|0;U=y;y=0;if(U&1){C=111;break}y=0;oa(482,E|0,d|0);U=y;y=0;if(U&1){C=111;break}d=k[Z>>2]|0;y=0;oa(464,A|0,G|0);U=y;y=0;if(U&1){C=112;break}y=0;d=Ha(965,d+60|0,A|0)|0;U=y;y=0;if(U&1){C=113;break}k[t>>2]=d;y=0;d=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,V|0)|0;U=y;y=0;if(U&1){C=114;break}y=0;oa(482,D|0,d|0);U=y;y=0;if(U&1){C=114;break}EO(t);EO(A);U=k[aa>>2]|0;d=U;if(((k[g>>2]|0)-U|0)==12){y=0;j=qa(332,88)|0;U=y;y=0;if(U&1){C=116;break}p=W;n=(k[Z>>2]|0)+12|0;o=p+40|0;do{k[p>>2]=k[n>>2];p=p+4|0;n=n+4|0}while((p|0)<(o|0));y=0;na(366,j|0);U=y;y=0;if(U&1){C=117;break}p=j+12|0;n=W;o=p+40|0;do{k[p>>2]=k[n>>2];p=p+4|0;n=n+4|0}while((p|0)<(o|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;d=j+56|0;k[d>>2]=0;k[j>>2]=7760;e=j+60|0;k[e>>2]=7720;h=j+64|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(518,h|0,2);U=y;y=0;if(U&1){C=96;break}k[j>>2]=7552;k[e>>2]=7680;k[j+80>>2]=1;i[j+84>>0]=0;i[j+85>>0]=0;k[d>>2]=5;y=0;oa(482,B|0,j|0);U=y;y=0;if(U&1){C=116;break}d=(k[B>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(464,u|0,E|0);U=y;y=0;if(U&1){C=119;break}y=0;oa(e|0,d|0,u|0);U=y;y=0;if(U&1){C=120;break}EO(u);d=(k[B>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(464,v|0,D|0);U=y;y=0;if(U&1){C=119;break}y=0;oa(e|0,d|0,v|0);U=y;y=0;if(U&1){C=121;break}EO(v);d=k[aa>>2]|0;y=0;oa(482,w|0,k[B>>2]|0);U=y;y=0;if(U&1){C=119;break}y=0;Na(116,Y|0,d|0,w|0);U=y;y=0;if(U&1){C=122;break}EO(w);EO(B)}else{y=0;oa(482,x|0,k[E>>2]|0);U=y;y=0;if(U&1){C=116;break}y=0;Na(116,Y|0,d|0,x|0);U=y;y=0;if(U&1){C=129;break}EO(x);d=k[aa>>2]|0;y=0;oa(482,z|0,k[D>>2]|0);U=y;y=0;if(U&1){C=116;break}y=0;Na(116,Y|0,d+12|0,z|0);U=y;y=0;if(U&1){C=130;break}EO(z)}y=0;oa(583,a|0,l|0);U=y;y=0;if(U&1){C=116;break}EO(D);EO(E);EO(G);c=c+4|0;if((c|0)==(f|0))break e}switch(C|0){case 96:{c=pb()|0;f=N;g=j+68|0;d=k[h>>2]|0;if(d|0){e=k[g>>2]|0;if((e|0)!=(d|0)){do{X=e+-4|0;k[g>>2]=X;EO(X);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[h>>2]|0}zqa(d)}C=118;break}case 110:{c=pb()|0;break d}case 111:{c=pb()|0;break}case 112:{c=pb()|0;C=134;break}case 113:{c=pb()|0;C=115;break}case 114:{c=pb()|0;EO(t);C=115;break}case 116:{c=pb()|0;C=133;break}case 117:{c=pb()|0;C=118;break}case 119:{c=pb()|0;C=123;break}case 120:{c=pb()|0;EO(u);C=123;break}case 121:{c=pb()|0;EO(v);C=123;break}case 122:{c=pb()|0;EO(w);C=123;break}case 129:{c=pb()|0;EO(x);C=133;break}case 130:{c=pb()|0;EO(z);C=133;break}}if((C|0)==115){EO(A);C=134}else if((C|0)==118){zqa(j);C=133}else if((C|0)==123){EO(B);C=133}if((C|0)==133){EO(D);C=134}if((C|0)==134)EO(E);EO(G);break d}while(0);d=k[m>>2]|0;c=d+-4|0;do{W=d+-4|0;k[m>>2]=W;EO(W);d=k[m>>2]|0}while((d|0)!=(c|0));k[F>>2]=(k[F>>2]|0)+-4;jB(Y,k[Y+4>>2]|0);EO(Z);EO(_);EO($);c=k[aa>>2]|0;if(!c){r=X;return 0}e=aa+4|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{$=d+-12|0;k[e>>2]=$;$9($);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[aa>>2]|0}zqa(c);r=X;return 0}while(0)}while(0);jB(Y,k[Y+4>>2]|0)}while(0);EO(Z)}EO(_)}EO($);f=c;break}}f=pb()|0;EO(d)}while(0);c=k[aa>>2]|0;if(!c)sb(f|0);e=aa+4|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{$=d+-12|0;k[e>>2]=$;$9($);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[aa>>2]|0}zqa(c);sb(f|0);return 0}function gd(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,pa=0,ra=0;na=0;la=r;r=r+400|0;ja=la+352|0;J=la+336|0;A=la+332|0;s=la+328|0;p=la+324|0;o=la+320|0;T=la+316|0;X=la+312|0;aa=la+308|0;b=la+304|0;Y=la+300|0;d=la+296|0;ea=la+292|0;pa=la+288|0;ra=la+284|0;ma=la+264|0;f=la+280|0;l=la+268|0;g=la+260|0;h=la+252|0;ka=la+256|0;m=la+248|0;q=la+244|0;u=la+240|0;w=la+228|0;x=la+216|0;v=la+212|0;B=la+200|0;C=la+188|0;z=la+184|0;F=la+172|0;G=la+160|0;D=la+156|0;H=la+144|0;I=la+132|0;E=la+128|0;t=la+124|0;n=la+120|0;K=la+116|0;L=la+112|0;M=la+72|0;U=la+68|0;P=la+64|0;N=la+60|0;Q=la+56|0;R=la+52|0;V=la+48|0;W=la+44|0;ba=la+40|0;fa=la+36|0;ca=la+32|0;O=la+28|0;S=la+24|0;Z=la+20|0;da=la+16|0;_=la+12|0;ga=la+8|0;ia=la+4|0;ha=la;rT(pa,(k[c>>2]|0)+80|0);e=k[c>>2]|0;$=k[e+72>>2]|0;y=0;oa(464,d|0,e+84|0);e=y;y=0;if(e&1){ra=pb()|0;EO(pa);sb(ra|0)}k[ra>>2]=k[d>>2];y=0;oa(464,b|0,(k[c>>2]|0)+76|0);e=y;y=0;if(e&1)b=pb()|0;else{e=k[b>>2]|0;k[ma>>2]=e;b=j[(k[c>>2]|0)+60>>1]|0;d=e;if((b&255)<<24>>24)i[a+60>>0]=1;if((b&65535)>=256)i[a+61>>0]=1;a:do if(!e)na=158;else if((k[d+80>>2]|0)==(k[d+76>>2]|0))na=158;else{y=0;b=qa(333,a|0)|0;c=y;y=0;if(c&1)na=7;else{k[f>>2]=b;c=($|0)!=0&(k[b+72>>2]|0)!=0;EO(f);if(c){k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(75,l|0,31104,23);ka=y;y=0;if(ka&1){na=7;break}y=0;b=ja;e=a+12|0;c=b+40|0;do{k[b>>2]=k[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(c|0));oa(458,l|0,ja|0);ka=y;y=0;if(ka&1){b=pb()|0;$9(l);break}else{$9(l);na=158;break}}y=0;b=qa(333,a|0)|0;l=y;y=0;if(l&1)na=7;else{k[g>>2]=b;if(!(k[b+76>>2]|0))EO(g);else{y=0;b=qa(333,a|0)|0;l=y;y=0;if(l&1){b=pb()|0;EO(g);break}k[h>>2]=b;l=k[b+76>>2]|0;l=(k[l+80>>2]|0)==(k[l+76>>2]|0);EO(h);EO(g);if(!l){y=0;b=qa(333,a|0)|0;n=y;y=0;if(n&1){na=7;break}k[m>>2]=b;y=0;oa(464,o|0,b+76|0);n=y;y=0;if(n&1){b=pb()|0;EO(m);break}k[ka>>2]=k[o>>2];EO(m);c=k[ma>>2]|0;o=k[c+76>>2]|0;c=(k[c+80>>2]|0)-o>>2;y=0;oa(464,p|0,o|0);o=y;y=0;b:do if(o&1)na=30;else{b=k[p>>2]|0;k[q>>2]=b;c:do if(!b){EO(q);na=148}else{p=(pw(b,144,304,0)|0)==0;EO(q);if(p){na=148;break}y=0;oa(464,s|0,(k[(k[ka>>2]|0)+80>>2]|0)+-4|0);t=y;y=0;if(t&1){na=30;break b}b=k[s>>2]|0;k[u>>2]=b;do if(!b){EO(u);na=60}else{b=pw(b,144,320,0)|0;EO(u);if(!b){na=60;break}y=0;e=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;I=y;y=0;if(I&1)break;b=e+84|0;y=0;oa(452,ja|0,b|0);I=y;y=0;if(I&1)b=pb()|0;else{y=0;oa(452,J|0,(k[k[(k[ma>>2]|0)+76>>2]>>2]|0)+84|0);I=y;y=0;if(I&1)b=pb()|0;else{d=i[J+11>>0]|0;I=d<<24>>24<0;y=0;d=ta(47,ja|0,(I?k[J>>2]|0:J)|0,(I?k[J+4>>2]|0:d&255)|0)|0;I=y;y=0;if(I&1)b=pb()|0;else{k[x>>2]=k[d>>2];k[x+4>>2]=k[d+4>>2];k[x+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;b=Ha(967,b|0,x|0)|0;I=y;y=0;do if(!(I&1)){y=0;oa(452,w|0,b|0);I=y;y=0;if(I&1)break;$9(w);$9(x);$9(J);$9(ja);DN(e+12|0,(k[k[(k[ma>>2]|0)+76>>2]>>2]|0)+12|0,40)|0;d=k[ka>>2]|0;b=k[d+80>>2]|0;d=k[d+76>>2]|0;y=0;oa(482,ja|0,e|0);J=y;y=0;do if(J&1)b=pb()|0;else{y=0;Ha(966,d+((b-d>>2)+-1<<2)|0,ja|0)|0;J=y;y=0;if(J&1){b=pb()|0;EO(ja);break}EO(ja);e=k[ka>>2]|0;d=k[ma>>2]|0;DN(e+12|0,d+12|0,40)|0;if(c>>>0>1)b=1;else break c;while(1){y=0;oa(514,e|0,k[(k[d+76>>2]|0)+(b<<2)>>2]|0);J=y;y=0;if(J&1)break;b=b+1|0;if(b>>>0>=c>>>0)break c;d=k[ma>>2]|0;e=k[ka>>2]|0}b=pb()|0;break b}while(0);break b}while(0);b=pb()|0;$9(x)}$9(J)}$9(ja)}break b}while(0);do if((na|0)==60){y=0;oa(464,J|0,(k[(k[ka>>2]|0)+80>>2]|0)+-4|0);x=y;y=0;if(x&1)break;b=k[J>>2]|0;k[v>>2]=b;do if(!b){EO(v);na=88}else{b=pw(b,144,336,0)|0;EO(v);if(!b){na=88;break}y=0;e=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;I=y;y=0;if(I&1)break;b=e+84|0;y=0;oa(452,ja|0,b|0);I=y;y=0;if(I&1)b=pb()|0;else{y=0;oa(452,J|0,(k[k[(k[ma>>2]|0)+76>>2]>>2]|0)+84|0);I=y;y=0;if(I&1)b=pb()|0;else{d=i[J+11>>0]|0;I=d<<24>>24<0;y=0;d=ta(47,ja|0,(I?k[J>>2]|0:J)|0,(I?k[J+4>>2]|0:d&255)|0)|0;I=y;y=0;if(I&1)b=pb()|0;else{k[C>>2]=k[d>>2];k[C+4>>2]=k[d+4>>2];k[C+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;b=Ha(967,b|0,C|0)|0;I=y;y=0;do if(!(I&1)){y=0;oa(452,B|0,b|0);I=y;y=0;if(I&1)break;$9(B);$9(C);$9(J);$9(ja);DN(e+12|0,(k[k[(k[ma>>2]|0)+76>>2]>>2]|0)+12|0,40)|0;d=k[ka>>2]|0;b=k[d+80>>2]|0;d=k[d+76>>2]|0;y=0;oa(482,ja|0,e|0);J=y;y=0;do if(J&1)b=pb()|0;else{y=0;Ha(966,d+((b-d>>2)+-1<<2)|0,ja|0)|0;J=y;y=0;if(J&1){b=pb()|0;EO(ja);break}EO(ja);e=k[ka>>2]|0;d=k[ma>>2]|0;DN(e+12|0,d+12|0,40)|0;if(c>>>0>1)b=1;else break c;while(1){y=0;oa(514,e|0,k[(k[d+76>>2]|0)+(b<<2)>>2]|0);J=y;y=0;if(J&1)break;b=b+1|0;if(b>>>0>=c>>>0)break c;d=k[ma>>2]|0;e=k[ka>>2]|0}b=pb()|0;break b}while(0);break b}while(0);b=pb()|0;$9(C)}$9(J)}$9(ja)}break b}while(0);do if((na|0)==88){y=0;oa(464,ja|0,(k[(k[ka>>2]|0)+80>>2]|0)+-4|0);C=y;y=0;if(C&1)break;b=k[ja>>2]|0;k[z>>2]=b;do if(!b){EO(z);na=116}else{b=pw(b,144,304,0)|0;EO(z);if(!b){na=116;break}y=0;e=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;I=y;y=0;if(I&1)break;b=e+84|0;y=0;oa(452,ja|0,b|0);I=y;y=0;if(I&1)b=pb()|0;else{y=0;oa(452,J|0,(k[k[(k[ma>>2]|0)+76>>2]>>2]|0)+84|0);I=y;y=0;if(I&1)b=pb()|0;else{d=i[J+11>>0]|0;I=d<<24>>24<0;y=0;d=ta(47,ja|0,(I?k[J>>2]|0:J)|0,(I?k[J+4>>2]|0:d&255)|0)|0;I=y;y=0;if(I&1)b=pb()|0;else{k[G>>2]=k[d>>2];k[G+4>>2]=k[d+4>>2];k[G+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;b=Ha(967,b|0,G|0)|0;I=y;y=0;do if(!(I&1)){y=0;oa(452,F|0,b|0);I=y;y=0;if(I&1)break;$9(F);$9(G);$9(J);$9(ja);DN(e+12|0,(k[k[(k[ma>>2]|0)+76>>2]>>2]|0)+12|0,40)|0;d=k[ka>>2]|0;b=k[d+80>>2]|0;d=k[d+76>>2]|0;y=0;oa(482,ja|0,e|0);J=y;y=0;do if(J&1)b=pb()|0;else{y=0;Ha(966,d+((b-d>>2)+-1<<2)|0,ja|0)|0;J=y;y=0;if(J&1){b=pb()|0;EO(ja);break}EO(ja);e=k[ka>>2]|0;d=k[ma>>2]|0;DN(e+12|0,d+12|0,40)|0;if(c>>>0>1)b=1;else break c;while(1){y=0;oa(514,e|0,k[(k[d+76>>2]|0)+(b<<2)>>2]|0);J=y;y=0;if(J&1)break;b=b+1|0;if(b>>>0>=c>>>0)break c;d=k[ma>>2]|0;e=k[ka>>2]|0}b=pb()|0;break b}while(0);break b}while(0);b=pb()|0;$9(G)}$9(J)}$9(ja)}break b}while(0);do if((na|0)==116){y=0;oa(464,A|0,(k[(k[ka>>2]|0)+80>>2]|0)+-4|0);G=y;y=0;if(G&1)break;b=k[A>>2]|0;k[D>>2]=b;do if(!b){EO(D);na=144}else{b=pw(b,144,368,0)|0;EO(D);if(!b){na=144;break}y=0;e=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;G=y;y=0;if(G&1)break;b=e+84|0;y=0;oa(452,ja|0,b|0);G=y;y=0;if(G&1)b=pb()|0;else{y=0;oa(452,J|0,(k[k[(k[ma>>2]|0)+76>>2]>>2]|0)+84|0);G=y;y=0;if(G&1)b=pb()|0;else{d=i[J+11>>0]|0;G=d<<24>>24<0;y=0;d=ta(47,ja|0,(G?k[J>>2]|0:J)|0,(G?k[J+4>>2]|0:d&255)|0)|0;G=y;y=0;if(G&1)b=pb()|0;else{k[I>>2]=k[d>>2];k[I+4>>2]=k[d+4>>2];k[I+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;b=Ha(967,b|0,I|0)|0;G=y;y=0;do if(!(G&1)){y=0;oa(452,H|0,b|0);G=y;y=0;if(G&1)break;$9(H);$9(I);$9(J);$9(ja);DN(e+12|0,(k[k[(k[ma>>2]|0)+76>>2]>>2]|0)+12|0,40)|0;d=k[ka>>2]|0;b=k[d+80>>2]|0;d=k[d+76>>2]|0;y=0;oa(482,ja|0,e|0);J=y;y=0;do if(J&1)b=pb()|0;else{y=0;Ha(966,d+((b-d>>2)+-1<<2)|0,ja|0)|0;J=y;y=0;if(J&1){b=pb()|0;EO(ja);break}EO(ja);e=k[ka>>2]|0;d=k[ma>>2]|0;DN(e+12|0,d+12|0,40)|0;if(c>>>0>1)b=1;else break c;while(1){y=0;oa(514,e|0,k[(k[d+76>>2]|0)+(b<<2)>>2]|0);J=y;y=0;if(J&1)break;b=b+1|0;if(b>>>0>=c>>>0)break c;d=k[ma>>2]|0;e=k[ka>>2]|0}b=pb()|0;break b}while(0);break b}while(0);b=pb()|0;$9(I)}$9(J)}$9(ja)}break b}while(0);do if((na|0)==144){y=0;b=qa(333,a|0)|0;J=y;y=0;if(J&1)break;k[E>>2]=b;I=(k[b+76>>2]|0)+72|0;J=k[ma>>2]|0;y=0;oa(k[(k[I>>2]|0)+24>>2]|0,I|0,((J|0)==0?0:J+72|0)|0);J=y;y=0;if(J&1){b=pb()|0;EO(E);break b}else{EO(E);break c}}while(0);b=pb()|0;break b}while(0);b=pb()|0;break b}while(0);b=pb()|0;break b}while(0);b=pb()|0;break b}while(0);do if((na|0)==148){y=0;b=qa(333,a|0)|0;J=y;y=0;if(J&1){na=30;break b}k[t>>2]=b;I=(k[b+76>>2]|0)+72|0;J=k[ma>>2]|0;y=0;oa(k[(k[I>>2]|0)+24>>2]|0,I|0,((J|0)==0?0:J+72|0)|0);J=y;y=0;if(J&1){b=pb()|0;EO(t);break b}else{EO(t);break}}while(0);EO(ka);na=158;break a}while(0);if((na|0)==30)b=pb()|0;EO(ka);break}}y=0;b=qa(333,a|0)|0;ka=y;y=0;if(ka&1)na=7;else{k[n>>2]=b;J=(k[b+76>>2]|0)+72|0;ka=k[ma>>2]|0;y=0;oa(k[(k[J>>2]|0)+24>>2]|0,J|0,((ka|0)==0?0:ka+72|0)|0);ka=y;y=0;if(ka&1){b=pb()|0;EO(n);break}else{EO(n);na=158;break}}}}}while(0);d:do if((na|0)==158){y=0;b=qa(333,a|0)|0;ka=y;y=0;if(ka&1)na=7;else{k[K>>2]=b;EO(K);if(!b){EO(ma);EO(ra);EO(pa);r=la;return}y=0;b=qa(333,a|0)|0;ka=y;y=0;if(ka&1)na=7;else{k[L>>2]=b;ka=($|0)!=0&(k[b+72>>2]|0)!=0;EO(L);if(!ka){y=0;b=qa(333,a|0)|0;ka=y;y=0;if(ka&1){na=7;break}k[O>>2]=b;ka=(k[b+72>>2]|0)==0;EO(O);e:do if(ka){y=0;b=qa(333,a|0)|0;ka=y;y=0;if(ka&1){na=7;break d}k[S>>2]=b;k[b+72>>2]=$;EO(S);y=0;b=qa(333,a|0)|0;ka=y;y=0;if(ka&1){na=7;break d}k[da>>2]=b;y=0;oa(464,_|0,ra|0);ka=y;y=0;if(ka&1)b=pb()|0;else{b=b+84|0;y=0;Ha(966,b|0,_|0)|0;ka=y;y=0;do if(!(ka&1)){y=0;oa(464,Y|0,b|0);ka=y;y=0;if(ka&1)break;k[Z>>2]=k[Y>>2];EO(Z);EO(_);EO(da);break e}while(0);b=pb()|0;EO(_)}EO(da);break d}while(0);y=0;b=qa(333,a|0)|0;ka=y;y=0;if(ka&1){na=7;break}k[ia>>2]=b;y=0;oa(464,ha|0,pa|0);ka=y;y=0;if(ka&1)b=pb()|0;else{b=b+80|0;y=0;Ha(966,b|0,ha|0)|0;ka=y;y=0;if(!(ka&1)){y=0;oa(464,ea|0,b|0);ka=y;y=0;if(!(ka&1)){k[ga>>2]=k[ea>>2];EO(ga);EO(ha);EO(ia);EO(ma);EO(ra);EO(pa);r=la;return}}b=pb()|0;EO(ha)}EO(ia);break}y=0;d=qa(332,88)|0;ka=y;y=0;if(ka&1)na=7;else{b=M;e=a+12|0;c=b+40|0;do{k[b>>2]=k[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(c|0));y=0;oa(482,U|0,0);ka=y;y=0;if(ka&1)b=pb()|0;else{y=0;oa(482,P|0,0);ka=y;y=0;if(ka&1)b=pb()|0;else{y=0;oa(482,N|0,0);ka=y;y=0;do if(ka&1)b=pb()|0;else{y=0;b=ja;e=M;c=b+40|0;do{k[b>>2]=k[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(c|0));ya(11,d|0,ja|0,0,U|0,P|0,N|0);ka=y;y=0;if(ka&1){b=pb()|0;EO(N);break}EO(N);EO(P);EO(U);y=0;oa(464,R|0,ra|0);ka=y;y=0;f:do if(!(ka&1)){b=d+84|0;y=0;Ha(966,b|0,R|0)|0;ka=y;y=0;do if(!(ka&1)){y=0;oa(464,T|0,b|0);ka=y;y=0;if(ka&1)break;k[Q>>2]=k[T>>2];EO(Q);EO(R);k[d+72>>2]=$;y=0;oa(464,W|0,pa|0);ka=y;y=0;if(ka&1)break f;b=d+80|0;y=0;Ha(966,b|0,W|0)|0;ka=y;y=0;do if(!(ka&1)){y=0;oa(464,X|0,b|0);ka=y;y=0;if(ka&1)break;k[V>>2]=k[X>>2];EO(V);EO(W);y=0;b=qa(333,a|0)|0;ka=y;y=0;if(ka&1)break f;k[fa>>2]=b;y=0;oa(482,ca|0,d|0);ka=y;y=0;if(ka&1)b=pb()|0;else{b=b+80|0;y=0;Ha(966,b|0,ca|0)|0;ka=y;y=0;do if(!(ka&1)){y=0;oa(464,aa|0,b|0);ka=y;y=0;if(ka&1)break;k[ba>>2]=k[aa>>2];EO(ba);EO(ca);EO(fa);EO(ma);EO(ra);EO(pa);r=la;return}while(0);b=pb()|0;EO(ca)}EO(fa);break d}while(0);b=pb()|0;EO(W);break d}while(0);b=pb()|0;EO(R);break d}while(0);b=pb()|0;break d}while(0);EO(P)}EO(U)}zqa(d)}}}}while(0);if((na|0)==7)b=pb()|0;EO(ma)}EO(ra);ra=b;EO(pa);sb(ra|0)}function hd(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;O=r;r=r+960|0;M=O+440|0;L=O+400|0;q=O+360|0;x=O+320|0;A=O+280|0;h=O+240|0;j=O+200|0;l=O+160|0;o=O+120|0;p=O+80|0;e=O+40|0;f=O+820|0;g=O;N=O+952|0;m=O+912|0;B=O+896|0;n=O+856|0;C=O+840|0;b=O+836|0;c=O+832|0;d=O+816|0;s=O+776|0;D=O+760|0;t=O+720|0;E=O+704|0;u=O+664|0;F=O+648|0;v=O+608|0;G=O+592|0;w=O+552|0;H=O+536|0;z=O+496|0;I=O+480|0;mw(a,0,0)|0;if(hv(a,1,0)|0){c=ZL(104)|0;d=g;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(75,f|0,44146,1);a=y;y=0;do if(a&1)b=pb()|0;else{y=0;d=M;J=g;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));Na(88,c|0,M|0,f|0);M=y;y=0;if(M&1){b=pb()|0;$9(f);break}$9(f);k[c>>2]=11880;i[c+101>>0]=1;_V(N,c);N=k[N>>2]|0;r=O;return N|0}while(0);zqa(c);O=b;sb(O|0)}if(Du(a,1,0)|0){c=ZL(80)|0;d=e;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));y=0;na(366,c|0);a=y;y=0;if(a&1)b=pb()|0;else{d=c+12|0;J=e;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c+56>>2]=4;k[c>>2]=9640;i[c+60>>0]=0;i[c+61>>0]=0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;y=0;Na(75,M|0,44322,10);a=y;y=0;do if(a&1)b=pb()|0;else{y=0;oa(547,c+64|0,M|0);a=y;y=0;if(a&1){b=pb()|0;$9(M);break}$9(M);k[c+76>>2]=0;_V(N,c);N=k[N>>2]|0;r=O;return N|0}while(0)}zqa(c);O=b;sb(O|0)}if(Rr(a,1,0)|0){g=ZL(80)|0;d=m;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,B|0);M=y;y=0;if(M&1)j=33;else j=23}else if(f>>>0<11){i[B+11>>0]=f;b=B;j=25}else j=23;if((j|0)==23){d=f+16&-16;y=0;b=qa(332,d|0)|0;M=y;y=0;if(M&1)j=33;else{k[B>>2]=b;k[B+8>>2]=d|-2147483648;k[B+4>>2]=f;j=25}}do if((j|0)==25){if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;d=p;J=m;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));y=0;na(366,g|0);M=y;y=0;if(M&1)c=1;else{d=g+12|0;J=p;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));i[g+52>>0]=1;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=8968;k[g+60>>2]=1;y=0;oa(452,g+64|0,B|0);M=y;y=0;if(M&1){b=pb()|0;$9(B);break}k[g+76>>2]=0;y=0;oa(482,N|0,g|0);M=y;y=0;if(M&1)c=0;else{$9(B);N=k[N>>2]|0;r=O;return N|0}}b=pb()|0;$9(B);if(!c){O=b;sb(O|0)}}else if((j|0)==33)b=pb()|0;while(0);zqa(g);O=b;sb(O|0)}if(ar(a,1,0)|0){g=ZL(80)|0;d=n;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,C|0);M=y;y=0;if(M&1)j=51;else j=41}else if(f>>>0<11){i[C+11>>0]=f;b=C;j=43}else j=41;if((j|0)==41){d=f+16&-16;y=0;b=qa(332,d|0)|0;M=y;y=0;if(M&1)j=51;else{k[C>>2]=b;k[C+8>>2]=d|-2147483648;k[C+4>>2]=f;j=43}}do if((j|0)==43){if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;d=o;J=n;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));y=0;na(366,g|0);M=y;y=0;if(M&1)c=1;else{d=g+12|0;J=o;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));i[g+52>>0]=1;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=8968;k[g+60>>2]=0;y=0;oa(452,g+64|0,C|0);M=y;y=0;if(M&1){b=pb()|0;$9(C);break}k[g+76>>2]=0;y=0;oa(482,N|0,g|0);M=y;y=0;if(M&1)c=0;else{$9(C);N=k[N>>2]|0;r=O;return N|0}}b=pb()|0;$9(C);if(!c){O=b;sb(O|0)}}else if((j|0)==51)b=pb()|0;while(0);zqa(g);O=b;sb(O|0)}if(Xr(a,1,0)|0){L=a+152|0;k[M>>2]=k[L>>2];k[M+4>>2]=k[L+4>>2];k[M+8>>2]=k[L+8>>2];M=Ld(a,M,0)|0;k[b>>2]=M;y=0;oa(482,N|0,M|0);M=y;y=0;if(M&1){O=pb()|0;EO(b);sb(O|0)}else{EO(b);N=k[N>>2]|0;r=O;return N|0}}b=k[a+76>>2]|0;K=oW(b)|0;b=mq(K|0?K:b)|0;if(!((b|0)==0?1:b>>>0>(k[a+80>>2]|0)>>>0)){M=cd(a,b)|0;k[c>>2]=M;y=0;oa(482,N|0,M|0);M=y;y=0;if(M&1){O=pb()|0;EO(c);sb(O|0)}else{EO(c);N=k[N>>2]|0;r=O;return N|0}}if(Au(a,1,0)|0){L=a+152|0;k[M>>2]=k[L>>2];k[M+4>>2]=k[L+4>>2];k[M+8>>2]=k[L+8>>2];M=Ld(a,M,0)|0;k[d>>2]=M;y=0;oa(482,N|0,M|0);M=y;y=0;if(M&1){O=pb()|0;EO(d);sb(O|0)}else{EO(d);N=k[N>>2]|0;r=O;return N|0}}if(nv(a,1,0)|0){b=ZL(68)|0;d=l;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));y=0;na(366,b|0);M=y;y=0;if(M&1){O=pb()|0;zqa(b);sb(O|0)}else{d=b+12|0;J=l;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=9208;i[b+60>>0]=1;k[b+64>>2]=0;k[b+56>>2]=1;_V(N,b);N=k[N>>2]|0;r=O;return N|0}}if(fv(a,1,0)|0){b=ZL(68)|0;d=j;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));y=0;na(366,b|0);M=y;y=0;if(M&1){O=pb()|0;zqa(b);sb(O|0)}else{d=b+12|0;J=j;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=9208;i[b+60>>0]=0;k[b+64>>2]=0;k[b+56>>2]=1;_V(N,b);N=k[N>>2]|0;r=O;return N|0}}if(pv(a,1,0)|0){b=ZL(60)|0;d=h;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));y=0;na(366,b|0);M=y;y=0;if(M&1){O=pb()|0;zqa(b);sb(O|0)}else{d=b+12|0;J=h;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=11032;k[b+56>>2]=8;_V(N,b);N=k[N>>2]|0;r=O;return N|0}}if(Xu(a,1,0)|0){b=ZL(80)|0;c=a+152|0;y=0;d=M;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));Na(108,b|0,M|0,c|0);M=y;y=0;if(M&1){O=pb()|0;zqa(b);sb(O|0)}else{_V(N,b);N=k[N>>2]|0;r=O;return N|0}}if(Uu(a,1,0)|0){g=ZL(80)|0;d=s;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,D|0);M=y;y=0;if(M&1)j=97;else j=87}else if(f>>>0<11){i[D+11>>0]=f;b=D;j=89}else j=87;if((j|0)==87){d=f+16&-16;y=0;b=qa(332,d|0)|0;M=y;y=0;if(M&1)j=97;else{k[D>>2]=b;k[D+8>>2]=d|-2147483648;k[D+4>>2]=f;j=89}}do if((j|0)==89){if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;d=A;J=s;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));y=0;na(366,g|0);M=y;y=0;if(M&1)c=1;else{d=g+12|0;J=A;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));i[g+52>>0]=1;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=8968;k[g+60>>2]=1;y=0;oa(452,g+64|0,D|0);M=y;y=0;if(M&1){b=pb()|0;$9(D);break}k[g+76>>2]=0;y=0;oa(482,N|0,g|0);M=y;y=0;if(M&1)c=0;else{$9(D);N=k[N>>2]|0;r=O;return N|0}}b=pb()|0;$9(D);if(!c){O=b;sb(O|0)}}else if((j|0)==97)b=pb()|0;while(0);zqa(g);O=b;sb(O|0)}if(Zq(a,1,0)|0){g=ZL(80)|0;d=t;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,E|0);M=y;y=0;if(M&1)j=115;else j=105}else if(f>>>0<11){i[E+11>>0]=f;b=E;j=107}else j=105;if((j|0)==105){d=f+16&-16;y=0;b=qa(332,d|0)|0;M=y;y=0;if(M&1)j=115;else{k[E>>2]=b;k[E+8>>2]=d|-2147483648;k[E+4>>2]=f;j=107}}a:do if((j|0)==107){if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;d=x;J=t;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));y=0;na(366,g|0);M=y;y=0;do if(M&1)c=1;else{d=g+12|0;J=x;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));i[g+52>>0]=1;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=8968;k[g+60>>2]=3;y=0;oa(452,g+64|0,E|0);M=y;y=0;if(M&1){b=pb()|0;$9(E);break a}k[g+76>>2]=0;y=0;oa(482,N|0,g|0);M=y;y=0;if(M&1){c=0;break}$9(E);N=k[N>>2]|0;r=O;return N|0}while(0);b=pb()|0;$9(E);if(!c){O=b;sb(O|0)}}else if((j|0)==115)b=pb()|0;while(0);zqa(g);O=b;sb(O|0)}if(Or(a,1,0)|0){g=ZL(80)|0;d=u;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,F|0);a=y;y=0;if(a&1)j=131;else j=123}else if(f>>>0<11){i[F+11>>0]=f;b=F;j=125}else j=123;if((j|0)==123){d=f+16&-16;y=0;b=qa(332,d|0)|0;a=y;y=0;if(a&1)j=131;else{k[F>>2]=b;k[F+8>>2]=d|-2147483648;k[F+4>>2]=f;j=125}}if((j|0)==125){if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;y=0;d=M;J=u;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));Ea(2,g|0,M|0,F|0,0,0,0,1);M=y;y=0;do if(M&1)c=1;else{y=0;oa(482,N|0,g|0);M=y;y=0;if(M&1){c=0;break}$9(F);N=k[N>>2]|0;r=O;return N|0}while(0);b=pb()|0;$9(F);if(!c){O=b;sb(O|0)}}else if((j|0)==131)b=pb()|0;zqa(g);O=b;sb(O|0)}if(Eq(a,1,0)|0){g=ZL(80)|0;d=v;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,G|0);M=y;y=0;if(M&1)j=149;else j=139}else if(f>>>0<11){i[G+11>>0]=f;b=G;j=141}else j=139;if((j|0)==139){d=f+16&-16;y=0;b=qa(332,d|0)|0;M=y;y=0;if(M&1)j=149;else{k[G>>2]=b;k[G+8>>2]=d|-2147483648;k[G+4>>2]=f;j=141}}b:do if((j|0)==141){if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;d=q;J=v;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));y=0;na(366,g|0);M=y;y=0;do if(M&1)c=1;else{d=g+12|0;J=q;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));i[g+52>>0]=1;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=8968;k[g+60>>2]=2;y=0;oa(452,g+64|0,G|0);M=y;y=0;if(M&1){b=pb()|0;$9(G);break b}k[g+76>>2]=0;y=0;oa(482,N|0,g|0);M=y;y=0;if(M&1){c=0;break}$9(G);N=k[N>>2]|0;r=O;return N|0}while(0);b=pb()|0;$9(G);if(c)break;sb(b|0)}else if((j|0)==149)b=pb()|0;while(0);zqa(g);O=b;sb(O|0)}if(Vq(a,1,0)|0){b=ZL(80)|0;c=a+152|0;y=0;d=M;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));Na(108,b|0,M|0,c|0);M=y;y=0;if(M&1){O=pb()|0;zqa(b);sb(O|0)}else{_V(N,b);N=k[N>>2]|0;r=O;return N|0}}if(Av(a,1,0)|0){g=ZL(80)|0;d=w;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;f=e-c|0;do if(f>>>0>4294967279){y=0;na(377,H|0);M=y;y=0;if(M&1)j=171;else j=161}else{if(f>>>0>=11){j=161;break}i[H+11>>0]=f;b=H;j=163}while(0);do if((j|0)==161){d=f+16&-16;y=0;b=qa(332,d|0)|0;M=y;y=0;if(M&1){j=171;break}k[H>>2]=b;k[H+8>>2]=d|-2147483648;k[H+4>>2]=f;j=163}while(0);c:do if((j|0)==163){if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;d=L;J=w;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));y=0;na(366,g|0);M=y;y=0;do if(M&1)c=1;else{d=g+12|0;J=L;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));i[g+52>>0]=1;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=8968;k[g+60>>2]=0;y=0;oa(452,g+64|0,H|0);M=y;y=0;if(M&1){b=pb()|0;$9(H);break c}k[g+76>>2]=0;y=0;oa(482,N|0,g|0);M=y;y=0;if(M&1){c=0;break}$9(H);N=k[N>>2]|0;r=O;return N|0}while(0);b=pb()|0;$9(H);if(c)break;sb(b|0)}else if((j|0)==171)b=pb()|0;while(0);zqa(g);O=b;sb(O|0)}if(!(lv(a,1,0)|0)){if(or(a,1,0)|0){b=ZL(80)|0;c=a+152|0;y=0;d=M;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));Na(108,b|0,M|0,c|0);M=y;y=0;if(M&1){O=pb()|0;zqa(b);sb(O|0)}else{_V(N,b);N=k[N>>2]|0;r=O;return N|0}}k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;jI(M,39964,11);k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;y=0;Na(75,L|0,39976,7);K=y;y=0;if(K&1)b=pb()|0;else{k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,39984,44);K=y;y=0;do if(K&1)b=pb()|0;else{y=0;Ra(25,a|0,M|0,L|0,q|0);a=y;y=0;if(a&1){b=pb()|0;$9(q);break}$9(q);$9(L);$9(M);_V(N,0);N=k[N>>2]|0;r=O;return N|0}while(0);$9(L)}$9(M);O=b;sb(O|0)}h=ZL(72)|0;d=z;J=a+108|0;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));e=k[a+156>>2]|0;f=k[a+160>>2]|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;g=f-e|0;do if(g>>>0>4294967279){y=0;na(377,L|0);a=y;y=0;if(a&1)j=190;else j=179}else{if(g>>>0>=11){j=179;break}i[L+11>>0]=g;b=L;j=181}while(0);do if((j|0)==179){c=g+16&-16;y=0;b=qa(332,c|0)|0;a=y;y=0;if(a&1){j=190;break}k[L>>2]=b;k[L+8>>2]=c|-2147483648;k[L+4>>2]=g;j=181}while(0);do if((j|0)==181){if((e|0)!=(f|0)){d=b;c=e;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(f|0))break;else d=d+1|0}b=b+g|0}i[b>>0]=0;y=0;oa(552,I|0,L|0);a=y;y=0;if(a&1){b=pb()|0;$9(L);break}d=M;J=z;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));y=0;na(366,h|0);a=y;y=0;do if(a&1){b=1;j=192}else{d=h+12|0;J=M;K=d+40|0;do{k[d>>2]=k[J>>2];d=d+4|0;J=J+4|0}while((d|0)<(K|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h+56>>2]=0;k[h>>2]=8848;y=0;oa(452,h+60|0,I|0);M=y;y=0;if(M&1){b=pb()|0;c=1;break}y=0;oa(482,N|0,h|0);M=y;y=0;if(M&1){b=0;j=192;break}$9(I);$9(L);N=k[N>>2]|0;r=O;return N|0}while(0);if((j|0)==192){O=pb()|0;c=b;b=O}$9(I);$9(L);if(c)break;sb(b|0)}else if((j|0)==190)b=pb()|0;while(0);zqa(h);O=b;sb(O|0);return 0}function id(a,b,c,d,e,f,g,h,j,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;m=m|0;n=n|0;var o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;P=0;T=r;r=r+512|0;J=T+96|0;Q=T+104|0;_=T+88|0;R=T+80|0;K=T+76|0;L=T+504|0;M=T+72|0;N=T+68|0;U=T+56|0;V=T+44|0;W=T+32|0;X=T+20|0;Y=T+8|0;O=T+4|0;S=T;k[J>>2]=n;k[_>>2]=Q;Z=_+4|0;k[Z>>2]=417;k[R>>2]=Q;k[K>>2]=Q+400;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;n=0;while(1){if((n|0)==3)break;k[U+(n<<2)>>2]=0;n=n+1|0}k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;n=0;while(1){if((n|0)==3)break;k[V+(n<<2)>>2]=0;n=n+1|0}k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;n=0;while(1){if((n|0)==3)break;k[W+(n<<2)>>2]=0;n=n+1|0}k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;n=0;while(1){if((n|0)==3)break;k[X+(n<<2)>>2]=0;n=n+1|0}k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;n=0;while(1){if((n|0)==3)break;k[Y+(n<<2)>>2]=0;n=n+1|0}y=0;Ga(2,c|0,d|0,L|0,M|0,N|0,U|0,V|0,W|0,X|0,O|0);Q=y;y=0;a:do if(Q&1)c=pb()|0;else{k[m>>2]=k[j>>2];F=W+8+3|0;G=W+4|0;H=X+8+3|0;I=X+4|0;w=(e&512|0)!=0;x=V+8+3|0;z=V+4|0;A=Y+8+3|0;B=Y+4|0;C=L+3|0;D=U+11|0;E=U+4|0;Q=0;v=0;b:while(1){if(v>>>0>=4){P=262;break}n=k[a>>2]|0;do if(!n)d=1;else{c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=36;break b}}else n=k[c>>2]|0;if((n|0)==-1){k[a>>2]=0;d=1;break}else{d=(k[a>>2]|0)==0;break}}while(0);c=k[b>>2]|0;do if(!c)P=32;else{n=k[c+12>>2]|0;if((n|0)==(k[c+16>>2]|0)){y=0;n=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=36;break b}}else n=k[n>>2]|0;if((n|0)==-1){k[b>>2]=0;P=32;break}else if(d){u=c;break}else{P=262;break b}}while(0);if((P|0)==32){P=0;if(d){P=262;break}else u=0}c:do switch(i[L+v>>0]|0){case 1:{if((v|0)==3)n=Q;else{c=k[a>>2]|0;n=k[c+12>>2]|0;if((n|0)==(k[c+16>>2]|0)){y=0;n=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;P=y;y=0;if(P&1){P=36;break b}}else n=k[n>>2]|0;y=0;n=ta(k[(k[h>>2]|0)+12>>2]|0,h|0,8192,n|0)|0;P=y;y=0;if(P&1){P=36;break b}if(!n){P=49;break b}n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;P=y;y=0;if(P&1){P=36;break b}}else{k[c>>2]=d+4;n=k[d>>2]|0}y=0;oa(632,Y|0,n|0);P=y;y=0;if(P&1){P=36;break b}else{n=u;e=u;P=51}}break}case 0:{if((v|0)==3)n=Q;else{n=u;e=u;P=51}break}case 3:{e=i[F>>0]|0;n=e<<24>>24<0?k[G>>2]|0:e&255;d=i[H>>0]|0;o=d<<24>>24<0?k[I>>2]|0:d&255;if((n|0)==(0-o|0))n=Q;else{if(!n){n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=36;break b}e=i[H>>0]|0}else{n=k[c>>2]|0;e=d}if((n|0)!=(k[(e<<24>>24<0?k[X>>2]|0:X)>>2]|0)){n=Q;break c}n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=36;break b}n=i[H>>0]|0}else{k[c>>2]=d+4;n=e}i[g>>0]=1;n=(n<<24>>24<0?k[I>>2]|0:n&255)>>>0>1?X:Q;break c}d=k[a>>2]|0;p=k[d+12>>2]|0;c=k[d+16>>2]|0;n=(p|0)==(c|0);if(!o){if(n){y=0;n=qa(k[(k[d>>2]|0)+36>>2]|0,d|0)|0;u=y;y=0;if(u&1){P=36;break b}e=i[F>>0]|0}else n=k[p>>2]|0;if((n|0)!=(k[(e<<24>>24<0?k[W>>2]|0:W)>>2]|0)){i[g>>0]=1;n=Q;break c}n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=36;break b}n=i[F>>0]|0}else{k[c>>2]=d+4;n=e}n=(n<<24>>24<0?k[G>>2]|0:n&255)>>>0>1?W:Q;break c}if(n){y=0;n=qa(k[(k[d>>2]|0)+36>>2]|0,d|0)|0;u=y;y=0;if(u&1){P=36;break b}c=k[a>>2]|0;e=i[F>>0]|0;q=c;o=k[c+12>>2]|0;c=k[c+16>>2]|0}else{n=k[p>>2]|0;q=d;o=p}d=q+12|0;c=(o|0)==(c|0);if((n|0)==(k[(e<<24>>24<0?k[W>>2]|0:W)>>2]|0)){if(c){y=0;qa(k[(k[q>>2]|0)+40>>2]|0,q|0)|0;u=y;y=0;if(u&1){P=36;break b}n=i[F>>0]|0}else{k[d>>2]=o+4;n=e}n=(n<<24>>24<0?k[G>>2]|0:n&255)>>>0>1?W:Q;break c}if(c){y=0;n=qa(k[(k[q>>2]|0)+36>>2]|0,q|0)|0;u=y;y=0;if(u&1){P=36;break b}}else n=k[o>>2]|0;e=i[H>>0]|0;if((n|0)!=(k[(e<<24>>24<0?k[X>>2]|0:X)>>2]|0)){P=118;break b}n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=36;break b}n=i[H>>0]|0}else{k[c>>2]=d+4;n=e}i[g>>0]=1;n=(n<<24>>24<0?k[I>>2]|0:n&255)>>>0>1?X:Q}break}case 2:{if(!(v>>>0<2|(Q|0)!=0))if(!(w|(v|0)==2&(i[C>>0]|0)!=0)){n=0;break c}d=i[x>>0]|0;c=k[V>>2]|0;n=d<<24>>24<0?c:V;d:do if(!v){t=u;e=n;n=d;d=u}else if((l[L+(v+-1)>>0]|0)<2){s=n;n=d;while(1){t=n<<24>>24<0;d=s;if((d|0)==((t?c:V)+((t?k[z>>2]|0:n&255)<<2)|0))break;y=0;n=ta(k[(k[h>>2]|0)+12>>2]|0,h|0,8192,k[d>>2]|0)|0;t=y;y=0;if(t&1){P=128;break b}if(!n){P=126;break}s=d+4|0;n=i[x>>0]|0;c=k[V>>2]|0}if((P|0)==126){P=0;n=i[x>>0]|0;c=k[V>>2]|0}e=n<<24>>24<0?c:V;q=e;p=s-q>>2;o=i[A>>0]|0;d=o<<24>>24<0;o=d?k[B>>2]|0:o&255;if(p>>>0>o>>>0){t=u;e=q;d=u}else{o=(d?k[Y>>2]|0:Y)+(o<<2)|0;d=o+(0-p<<2)|0;while(1){if((d|0)==(o|0)){t=u;e=s;d=u;break d}if((k[d>>2]|0)!=(k[e>>2]|0)){t=u;e=q;d=u;break d}e=e+4|0;d=d+4|0}}}else{t=u;e=n;n=d;d=u}while(0);e:while(1){p=n<<24>>24<0;n=(p?c:V)+((p?k[z>>2]|0:n&255)<<2)|0;p=e;if((p|0)==(n|0))break;n=k[a>>2]|0;do if(!n)c=1;else{c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=158;break b}}else n=k[c>>2]|0;if((n|0)==-1){k[a>>2]=0;c=1;break}else{c=(k[a>>2]|0)==0;break}}while(0);do if(!d){n=t;P=148}else{n=k[d+12>>2]|0;if((n|0)==(k[d+16>>2]|0)){y=0;n=qa(k[(k[d>>2]|0)+36>>2]|0,d|0)|0;u=y;y=0;if(u&1){P=158;break b}}else n=k[n>>2]|0;if((n|0)==-1){k[b>>2]=0;n=0;P=148;break}else if(c^(t|0)==0){n=t;o=t;break}else{n=p;break e}}while(0);if((P|0)==148){P=0;if(c){n=p;break}else o=0}c=k[a>>2]|0;d=k[c+12>>2]|0;if((d|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=158;break b}}else c=k[d>>2]|0;if((c|0)!=(k[p>>2]|0)){n=p;break}c=k[a>>2]|0;d=c+12|0;e=k[d>>2]|0;if((e|0)==(k[c+16>>2]|0)){y=0;qa(k[(k[c>>2]|0)+40>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=159;break b}}else k[d>>2]=e+4;t=n;e=p+4|0;n=i[x>>0]|0;c=k[V>>2]|0;d=o}if(w){u=i[x>>0]|0;t=u<<24>>24<0;if((n|0)==((t?k[V>>2]|0:V)+((t?k[z>>2]|0:u&255)<<2)|0))n=Q;else{P=162;break b}}else n=Q;break}case 4:{q=0;n=u;e=u;f:while(1){c=k[a>>2]|0;do if(!c)d=1;else{d=k[c+12>>2]|0;if((d|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=187;break b}}else c=k[d>>2]|0;if((c|0)==-1){k[a>>2]=0;d=1;break}else{d=(k[a>>2]|0)==0;break}}while(0);do if(!e)P=176;else{c=k[e+12>>2]|0;if((c|0)==(k[e+16>>2]|0)){y=0;c=qa(k[(k[e>>2]|0)+36>>2]|0,e|0)|0;u=y;y=0;if(u&1){P=187;break b}}else c=k[c>>2]|0;if((c|0)==-1){k[b>>2]=0;n=0;P=176;break}else if(d^(n|0)==0){o=n;p=n;break}else{e=n;break f}}while(0);if((P|0)==176){P=0;if(d){e=n;break}else{o=n;p=0}}n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=187;break b}}else n=k[c>>2]|0;y=0;c=ta(k[(k[h>>2]|0)+12>>2]|0,h|0,2048,n|0)|0;u=y;y=0;if(u&1){P=189;break b}if(c){c=k[m>>2]|0;if((c|0)==(k[J>>2]|0)){y=0;Na(153,j|0,m|0,J|0);u=y;y=0;if(u&1){P=189;break b}c=k[m>>2]|0}k[m>>2]=c+4;k[c>>2]=n;n=q+1|0}else{u=i[D>>0]|0;if(!((n|0)==(k[N>>2]|0)&(q|0?((u<<24>>24<0?k[E>>2]|0:u&255)|0)!=0:0))){e=o;break}n=k[R>>2]|0;if((n|0)==(k[K>>2]|0)){y=0;Na(152,_|0,R|0,K|0);u=y;y=0;if(u&1){P=189;break b}n=k[R>>2]|0}k[R>>2]=n+4;k[n>>2]=q;n=0}c=k[a>>2]|0;d=c+12|0;e=k[d>>2]|0;if((e|0)==(k[c+16>>2]|0)){y=0;qa(k[(k[c>>2]|0)+40>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=187;break b}else{q=n;n=o;e=p;continue}}else{k[d>>2]=e+4;q=n;n=o;e=p;continue}}n=k[R>>2]|0;if(q|0?(k[_>>2]|0)!=(n|0):0){if((n|0)==(k[K>>2]|0)){y=0;Na(152,_|0,R|0,K|0);u=y;y=0;if(u&1){P=188;break b}n=k[R>>2]|0}k[R>>2]=n+4;k[n>>2]=q}g:do if((k[O>>2]|0)>0){n=k[a>>2]|0;do if(!n)c=1;else{c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=188;break b}}else n=k[c>>2]|0;if((n|0)==-1){k[a>>2]=0;c=1;break}else{c=(k[a>>2]|0)==0;break}}while(0);do if(!e)P=218;else{n=k[e+12>>2]|0;if((n|0)==(k[e+16>>2]|0)){y=0;n=qa(k[(k[e>>2]|0)+36>>2]|0,e|0)|0;u=y;y=0;if(u&1){P=188;break b}}else n=k[n>>2]|0;if((n|0)==-1){k[b>>2]=0;P=218;break}else if(c)break;else{P=224;break b}}while(0);if((P|0)==218){P=0;if(c){P=224;break b}else e=0}n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=188;break b}}else n=k[c>>2]|0;if((n|0)!=(k[M>>2]|0)){P=224;break b}n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=188;break b}else n=e}else{k[c>>2]=d+4;n=e}while(1){if((k[O>>2]|0)<=0)break g;c=k[a>>2]|0;do if(!c)d=1;else{d=k[c+12>>2]|0;if((d|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=186;break b}}else c=k[d>>2]|0;if((c|0)==-1){k[a>>2]=0;d=1;break}else{d=(k[a>>2]|0)==0;break}}while(0);do if(!e)P=242;else{c=k[e+12>>2]|0;if((c|0)==(k[e+16>>2]|0)){y=0;c=qa(k[(k[e>>2]|0)+36>>2]|0,e|0)|0;u=y;y=0;if(u&1){P=186;break b}}else c=k[c>>2]|0;if((c|0)==-1){k[b>>2]=0;n=0;P=242;break}else if(d^(n|0)==0){o=n;e=n;break}else{P=249;break b}}while(0);if((P|0)==242){P=0;if(d){P=249;break b}else{o=n;e=0}}n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=186;break b}}else n=k[c>>2]|0;y=0;n=ta(k[(k[h>>2]|0)+12>>2]|0,h|0,2048,n|0)|0;u=y;y=0;if(u&1){P=186;break b}if(!n){P=249;break b}if((k[m>>2]|0)==(k[J>>2]|0)){y=0;Na(153,j|0,m|0,J|0);u=y;y=0;if(u&1){P=186;break b}}n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=186;break b}}else n=k[c>>2]|0;c=k[m>>2]|0;k[m>>2]=c+4;k[c>>2]=n;k[O>>2]=(k[O>>2]|0)+-1;n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=186;break b}else{n=o;continue}}else{k[c>>2]=d+4;n=o;continue}}}while(0);if((k[m>>2]|0)==(k[j>>2]|0)){P=259;break b}else n=Q;break}default:n=Q}while(0);h:do if((P|0)==51)while(1){P=0;c=k[a>>2]|0;do if(!c)d=1;else{d=k[c+12>>2]|0;if((d|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=35;break b}}else c=k[d>>2]|0;if((c|0)==-1){k[a>>2]=0;d=1;break}else{d=(k[a>>2]|0)==0;break}}while(0);do if(!e)P=64;else{c=k[e+12>>2]|0;if((c|0)==(k[e+16>>2]|0)){y=0;c=qa(k[(k[e>>2]|0)+36>>2]|0,e|0)|0;u=y;y=0;if(u&1){P=35;break b}}else c=k[c>>2]|0;if((c|0)==-1){k[b>>2]=0;n=0;P=64;break}else if(d^(n|0)==0){o=n;e=n;break}else{n=Q;break h}}while(0);if((P|0)==64){P=0;if(d){n=Q;break h}else{o=n;e=0}}n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=35;break b}}else n=k[c>>2]|0;y=0;n=ta(k[(k[h>>2]|0)+12>>2]|0,h|0,8192,n|0)|0;u=y;y=0;if(u&1){P=35;break b}if(!n){n=Q;break h}n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;P=y;y=0;if(P&1){P=35;break b}}else{k[c>>2]=d+4;n=k[d>>2]|0}y=0;oa(632,Y|0,n|0);P=y;y=0;if(P&1){P=35;break b}else{n=o;P=51}}while(0);Q=n;v=v+1|0}i:switch(P|0){case 35:{n=pb()|0;P=37;break}case 36:{n=pb()|0;P=37;break}case 49:{k[f>>2]=k[f>>2]|4;c=0;P=298;break}case 118:{k[f>>2]=k[f>>2]|4;c=0;P=298;break}case 128:{c=pb()|0;break a}case 158:{c=pb()|0;break a}case 159:{c=pb()|0;break a}case 162:{k[f>>2]=k[f>>2]|4;c=0;P=298;break}case 186:{n=pb()|0;P=260;break}case 187:{n=pb()|0;P=260;break}case 188:{n=pb()|0;P=260;break}case 189:{n=pb()|0;P=260;break}case 224:{k[f>>2]=k[f>>2]|4;c=0;P=298;break}case 249:{k[f>>2]=k[f>>2]|4;c=0;P=298;break}case 259:{k[f>>2]=k[f>>2]|4;c=0;P=298;break}case 262:{j:do if(Q|0){o=Q+8+3|0;p=Q+4|0;e=1;k:while(1){n=i[o>>0]|0;if(n<<24>>24<0)n=k[p>>2]|0;else n=n&255;if(e>>>0>=n>>>0)break j;n=k[a>>2]|0;do if(!n)d=1;else{c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;m=y;y=0;if(m&1){P=290;break k}}else n=k[c>>2]|0;if((n|0)==-1){k[a>>2]=0;d=1;break}else{d=(k[a>>2]|0)==0;break}}while(0);n=k[b>>2]|0;do if(!n)P=281;else{c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;m=y;y=0;if(m&1){P=290;break k}}else n=k[c>>2]|0;if((n|0)==-1){k[b>>2]=0;P=281;break}else if(d)break;else{P=289;break k}}while(0);if((P|0)==281){P=0;if(d){P=289;break}}n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;m=y;y=0;if(m&1){P=290;break}}else n=k[c>>2]|0;if((i[o>>0]|0)<0)c=k[Q>>2]|0;else c=Q;if((n|0)!=(k[c+(e<<2)>>2]|0)){P=289;break}n=e+1|0;c=k[a>>2]|0;d=c+12|0;e=k[d>>2]|0;if((e|0)==(k[c+16>>2]|0)){y=0;qa(k[(k[c>>2]|0)+40>>2]|0,c|0)|0;m=y;y=0;if(m&1){P=290;break}else{e=n;continue}}else{k[d>>2]=e+4;e=n;continue}}if((P|0)==289){k[f>>2]=k[f>>2]|4;c=0;P=298;break i}else if((P|0)==290){c=pb()|0;break a}}while(0);c=k[_>>2]|0;n=k[R>>2]|0;if((c|0)==(n|0)){c=1;P=298}else{k[S>>2]=0;my(U,c,n,S);if(!(k[S>>2]|0)){c=1;P=298;break}else{k[f>>2]=k[f>>2]|4;c=0;P=298;break}}break}}if((P|0)==37){c=n;break}else if((P|0)==260){c=n;break}else if((P|0)==298){w9(Y);w9(X);w9(W);w9(V);$9(U);n=k[_>>2]|0;k[_>>2]=0;if(n|0){y=0;na(k[Z>>2]|0,n|0);_=y;y=0;if(_&1){_=tb(0)|0;dla(_)}}r=T;return c|0}}while(0);w9(Y);w9(X);w9(W);w9(V);$9(U);n=k[_>>2]|0;k[_>>2]=0;if(n|0){y=0;na(k[Z>>2]|0,n|0);_=y;y=0;if(_&1){_=tb(0)|0;dla(_)}}sb(c|0);return 0}function jd(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;ca=r;r=r+480|0;J=ca+432|0;V=ca+420|0;W=ca+404|0;X=ca+400|0;K=ca+396|0;L=ca+392|0;M=ca+384|0;ha=ca;l=ca+408|0;la=ca+360|0;I=ca+312|0;B=ca+388|0;E=ca+168|0;C=ca+372|0;F=ca+152|0;D=ca+148|0;A=ca+320|0;ja=ca+144|0;ia=ca+128|0;ga=ca+120|0;fa=ca+112|0;ea=ca+108|0;aa=ca+84|0;O=ca+132|0;da=ca+68|0;P=ca+124|0;Y=ca+116|0;ba=ca+44|0;Q=ca+96|0;Z=ca+80|0;$=ca+76|0;R=ca+72|0;S=ca+64|0;_=ca+60|0;T=ca+56|0;U=ca+40|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;jI(V,36731,10);y=0;g=J;G=e;H=g+40|0;do{k[g>>2]=k[G>>2];g=g+4|0;G=G+4|0}while((g|0)<(H|0));x=sa(26,V|0,a|0,d|0,J|0,f|0)|0;ka=y;y=0;if(ka&1){la=pb()|0;$9(V);sb(la|0)}$9(V);d=x+64|0;a=x+68|0;g=k[a>>2]|0;b=k[d>>2]|0;do if((g|0)==(b|0)){k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,36742,48);y=0;g=J;G=e;H=g+40|0;do{k[g>>2]=k[G>>2];g=g+4|0;G=G+4|0}while((g|0)<(H|0));oa(458,l|0,J|0);ka=y;y=0;if(!(ka&1)){$9(l);g=k[a>>2]|0;b=k[d>>2]|0;break}la=pb()|0;$9(l);sb(la|0)}while(0);k[la>>2]=0;ka=la+4|0;k[ka>>2]=0;k[la+8>>2]=0;d=g-b>>2;a:do if(!d)a=53;else{z=E+64|0;l=E+8|0;u=E+12|0;m=E+4|0;n=E+64|0;o=E+136|0;p=E+140|0;v=E+44|0;q=E+60|0;w=E+8|0;s=F+11|0;t=la+8|0;a=0;while(1){y=0;b=Ha(981,x|0,a|0)|0;H=y;y=0;if(H&1){a=25;break}k[B>>2]=b;y=0;oa(482,I|0,b|0);H=y;y=0;if(H&1){a=26;break}EO(B);b=k[I>>2]|0;if((k[b+56>>2]|0)==8){k[l>>2]=14400;k[E>>2]=14440;k[z>>2]=14460;k[m>>2]=0;y=0;oa(528,n|0,u|0);H=y;y=0;if(H&1){a=17;break}k[o>>2]=0;k[p>>2]=-1;k[E>>2]=14380;k[z>>2]=14420;k[l>>2]=14400;y=0;na(373,u|0);H=y;y=0;if(H&1){a=18;break}k[u>>2]=14240;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[q>>2]=24;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;oa(529,u|0,J|0);H=y;y=0;if(H&1){a=16;break}$9(J);y=0;ta(54,w|0,36791,63)|0;H=y;y=0;if(H&1){a=28;break}y=0;ta(54,w|0,36924,70)|0;H=y;y=0;if(H&1){a=28;break}y=0;oa(530,C|0,u|0);H=y;y=0;if(H&1){a=28;break}y=0;g=J;G=e;H=g+40|0;do{k[g>>2]=k[G>>2];g=g+4|0;G=G+4|0}while((g|0)<(H|0));oa(458,C|0,J|0);H=y;y=0;if(H&1){a=29;break}$9(C);k[E>>2]=14380;k[z>>2]=14420;k[w>>2]=14400;k[u>>2]=14240;$9(v);nba(u);zka(E,14472);dja(z);b=k[I>>2]|0}if(b|0){g=pw(b,40,520,0)|0;if(g|0)i[g+60>>0]=0}y=0;oa(k[(k[b>>2]|0)+32>>2]|0,J|0,b|0);H=y;y=0;if(H&1){a=44;break}y=0;b=Ha(970,J|0,46488)|0;H=y;y=0;if(H&1){a=45;break}k[F>>2]=k[b>>2];k[F+4>>2]=k[b+4>>2];k[F+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;$9(J);b=i[s>>0]|0;g=k[F>>2]|0;y=0;Ra(16,A|0,35264,0,-1);H=y;y=0;if(H&1){a=47;break}b=b<<24>>24<0?g:F;y=0;g=J;G=A;H=g+40|0;do{k[g>>2]=k[G>>2];g=g+4|0;G=G+4|0}while((g|0)<(H|0));b=Ma(11,b|0,c|0,J|0,0)|0;H=y;y=0;if(H&1){a=47;break}k[D>>2]=b;y=0;oa(482,J|0,b|0);H=y;y=0;if(H&1){a=48;break}b=k[ka>>2]|0;if(b>>>0<(k[t>>2]|0)>>>0){y=0;oa(464,b|0,J|0);H=y;y=0;if(H&1){a=49;break}k[ka>>2]=(k[ka>>2]|0)+4}else{y=0;oa(556,la|0,J|0);H=y;y=0;if(H&1){a=49;break}}EO(J);EO(D);$9(F);EO(I);a=a+1|0;if(a>>>0>=d>>>0){a=9;break}}switch(a|0){case 9:{b=k[la>>2]|0;if((b|0)==(k[ka>>2]|0)){a=53;break a}y=0;oa(464,ja|0,b|0);I=y;y=0;if(I&1){g=pb()|0;b=N;a=189;break a}b=b+4|0;b:do if((b|0)==(k[ka>>2]|0))a=178;else{C=ha+4|0;o=ha+8|0;p=ha+8|0;q=J+11|0;s=J+4|0;t=J+11|0;u=J+4|0;v=J+11|0;w=J+4|0;x=J+11|0;z=J+4|0;A=J+11|0;B=J+4|0;c:while(1){y=0;oa(464,ia|0,b|0);I=y;y=0;if(I&1){a=67;break}k[ha>>2]=0;k[C>>2]=0;k[o>>2]=0;g=k[ja>>2]|0;n=(k[g+80>>2]|0)-(k[g+76>>2]|0)>>2;if(n){l=0;do{m=k[ia>>2]|0;m=(k[m+80>>2]|0)-(k[m+76>>2]|0)>>2;if(m|0){d=0;do{g=k[(k[(k[ja>>2]|0)+76>>2]|0)+(l<<2)>>2]|0;y=0;g=qa(k[(k[g>>2]|0)+16>>2]|0,g|0)|0;I=y;y=0;if(I&1){a=87;break c}y=0;oa(482,ga|0,g|0);I=y;y=0;if(I&1){a=87;break c}y=0;oa(464,fa|0,(k[(k[ia>>2]|0)+76>>2]|0)+(d<<2)|0);I=y;y=0;if(I&1){a=88;break c}y=0;oa(464,M|0,(k[fa>>2]|0)+80|0);I=y;y=0;if(I&1){a=89;break c}k[ea>>2]=k[M>>2];g=k[fa>>2]|0;if(k[g+72>>2]|0){k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;y=0;Na(75,aa|0,36995,15);I=y;y=0;if(I&1){a=90;break c}I=k[fa>>2]|0;y=0;oa(k[(k[I>>2]|0)+32>>2]|0,J|0,I|0);I=y;y=0;if(I&1){a=91;break c}I=i[x>>0]|0;H=I<<24>>24<0;y=0;ta(47,aa|0,(H?k[J>>2]|0:J)|0,(H?k[z>>2]|0:I&255)|0)|0;I=y;y=0;if(I&1){a=92;break c}$9(J);y=0;Ha(970,aa|0,37011)|0;I=y;y=0;if(I&1){a=94;break c}I=k[ga>>2]|0;y=0;oa(k[(k[I>>2]|0)+32>>2]|0,J|0,I|0);I=y;y=0;if(I&1){a=95;break c}I=i[A>>0]|0;H=I<<24>>24<0;y=0;ta(47,aa|0,(H?k[J>>2]|0:J)|0,(H?k[B>>2]|0:I&255)|0)|0;I=y;y=0;if(I&1){a=96;break c}$9(J);y=0;Ha(970,aa|0,42853)|0;I=y;y=0;if(I&1){a=94;break c}y=0;oa(452,O|0,aa|0);I=y;y=0;if(I&1){a=94;break c}y=0;g=J;G=e;H=g+40|0;do{k[g>>2]=k[G>>2];g=g+4|0;G=G+4|0}while((g|0)<(H|0));Na(103,O|0,J|0,f|0);I=y;y=0;if(I&1){a=98;break c}$9(O);$9(aa);g=k[fa>>2]|0}y=0;oa(464,X|0,g+76|0);I=y;y=0;if(I&1){a=90;break c}I=k[X>>2]|0;k[Y>>2]=I;y=0;oa(464,W|0,k[I+76>>2]|0);I=y;y=0;if(I&1){a=104;break c}g=k[W>>2]|0;k[P>>2]=g;if(!g)g=0;else g=pw(g,144,304,0)|0;y=0;oa(482,da|0,g|0);I=y;y=0;if(I&1){a=105;break c}EO(P);EO(Y);g=k[da>>2]|0;do if(g|0){y=0;oa(452,J|0,g+84|0);I=y;y=0;if(I&1){a=126;break c}I=i[q>>0]|0;if(((I<<24>>24<0?k[s>>2]|0:I&255)|0)!=1){$9(J);break}y=0;g=sa(21,J|0,0,-1,44238,1)|0;I=y;y=0;if(I&1){a=112;break c}$9(J);if(g|0)break;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;y=0;Na(75,ba|0,36995,15);I=y;y=0;if(I&1){a=125;break c}I=k[fa>>2]|0;y=0;oa(k[(k[I>>2]|0)+32>>2]|0,J|0,I|0);I=y;y=0;if(I&1){a=127;break c}I=i[t>>0]|0;H=I<<24>>24<0;y=0;ta(47,ba|0,(H?k[J>>2]|0:J)|0,(H?k[u>>2]|0:I&255)|0)|0;I=y;y=0;if(I&1){a=128;break c}$9(J);y=0;Ha(970,ba|0,37011)|0;I=y;y=0;if(I&1){a=130;break c}I=k[ga>>2]|0;y=0;oa(k[(k[I>>2]|0)+32>>2]|0,J|0,I|0);I=y;y=0;if(I&1){a=131;break c}I=i[v>>0]|0;H=I<<24>>24<0;y=0;ta(47,ba|0,(H?k[J>>2]|0:J)|0,(H?k[w>>2]|0:I&255)|0)|0;I=y;y=0;if(I&1){a=132;break c}$9(J);y=0;Ha(970,ba|0,42853)|0;I=y;y=0;if(I&1){a=130;break c}y=0;oa(452,Q|0,ba|0);I=y;y=0;if(I&1){a=130;break c}y=0;g=J;G=e;H=g+40|0;do{k[g>>2]=k[G>>2];g=g+4|0;G=G+4|0}while((g|0)<(H|0));Na(103,Q|0,J|0,f|0);I=y;y=0;if(I&1){a=134;break c}$9(Q);$9(ba)}while(0);y=0;g=qa(333,k[ga>>2]|0)|0;I=y;y=0;if(I&1){a=125;break c}k[$>>2]=g;y=0;oa(464,J|0,g+76|0);I=y;y=0;if(I&1){a=150;break c}g=k[J>>2]|0;k[Z>>2]=g;g=g+72|0;a=k[(k[g>>2]|0)+24>>2]|0;y=0;oa(464,V|0,(k[ea>>2]|0)+76|0);I=y;y=0;if(I&1){a=151;break c}I=k[V>>2]|0;k[R>>2]=I;y=0;oa(a|0,g|0,((I|0)==0?0:I+72|0)|0);I=y;y=0;if(I&1){a=152;break c}EO(R);EO(Z);EO($);y=0;g=qa(333,k[ga>>2]|0)|0;I=y;y=0;if(I&1){a=125;break c}k[_>>2]=g;y=0;oa(464,K|0,(k[ea>>2]|0)+80|0);I=y;y=0;if(I&1){a=155;break c}k[T>>2]=k[K>>2];g=g+80|0;y=0;Ha(966,g|0,T|0)|0;I=y;y=0;if(I&1){a=156;break c}y=0;oa(464,L|0,g|0);I=y;y=0;if(I&1){a=156;break c}k[S>>2]=k[L>>2];EO(S);EO(T);EO(_);y=0;oa(482,J|0,k[ga>>2]|0);I=y;y=0;if(I&1){a=158;break c}g=k[C>>2]|0;if(g>>>0<(k[p>>2]|0)>>>0){y=0;oa(464,g|0,J|0);I=y;y=0;if(I&1){a=159;break c}k[C>>2]=(k[C>>2]|0)+4}else{y=0;oa(517,ha|0,J|0);I=y;y=0;if(I&1){a=159;break c}}EO(J);EO(da);EO(ea);EO(fa);EO(ga);d=d+1|0}while(d>>>0<m>>>0)}l=l+1|0}while(l>>>0<n>>>0);g=k[ja>>2]|0}g=g+76|0;if((g|0)!=(ha|0)){y=0;Na(105,g|0,k[ha>>2]|0,k[C>>2]|0);I=y;y=0;if(I&1){a=171;break}}g=k[ha>>2]|0;if(g|0){a=k[C>>2]|0;if((a|0)!=(g|0)){do{I=a+-4|0;k[C>>2]=I;EO(I);a=k[C>>2]|0}while((a|0)!=(g|0));g=k[ha>>2]|0}zqa(g)}EO(ia);b=b+4|0;if((b|0)==(k[ka>>2]|0)){a=178;break b}}switch(a|0){case 67:{h=pb()|0;j=N;a=69;break b}case 87:{h=pb()|0;j=N;break}case 88:{h=pb()|0;j=N;a=164;break}case 89:{h=pb()|0;j=N;a=163;break}case 90:{h=pb()|0;j=N;a=162;break}case 91:{h=pb()|0;j=N;a=93;break}case 92:{h=pb()|0;j=N;$9(J);a=93;break}case 94:{h=pb()|0;j=N;a=99;break}case 95:{h=pb()|0;j=N;a=97;break}case 96:{h=pb()|0;j=N;$9(J);a=97;break}case 98:{h=pb()|0;j=N;$9(O);a=99;break}case 104:{h=pb()|0;j=N;a=124;break}case 105:{h=pb()|0;j=N;EO(P);a=124;break}case 112:{dla(tb(0)|0);break}case 125:{h=pb()|0;j=N;a=161;break}case 126:{h=pb()|0;j=N;a=161;break}case 127:{h=pb()|0;j=N;a=129;break}case 128:{h=pb()|0;j=N;$9(J);a=129;break}case 130:{h=pb()|0;j=N;a=135;break}case 131:{h=pb()|0;j=N;a=133;break}case 132:{h=pb()|0;j=N;$9(J);a=133;break}case 134:{h=pb()|0;j=N;$9(Q);a=135;break}case 150:{h=pb()|0;j=N;a=154;break}case 151:{h=pb()|0;j=N;a=153;break}case 152:{h=pb()|0;j=N;EO(R);a=153;break}case 155:{h=pb()|0;j=N;a=157;break}case 156:{h=pb()|0;j=N;EO(T);a=157;break}case 158:{h=pb()|0;j=N;a=160;break}case 159:{h=pb()|0;j=N;EO(J);a=160;break}case 171:{h=pb()|0;j=N;break}}if((a|0)==93)a=99;else if((a|0)==97)a=99;else if((a|0)==124){EO(Y);a=162}else if((a|0)==129)a=135;else if((a|0)==133)a=135;else if((a|0)==153){EO(Z);a=154}else if((a|0)==157){EO(_);a=161}else if((a|0)==160)a=161;if((a|0)==99){$9(aa);a=162}else if((a|0)==135){$9(ba);a=161}else if((a|0)==154){EO($);a=161}if((a|0)==161){EO(da);a=162}if((a|0)==162){EO(ea);a=163}if((a|0)==163){EO(fa);a=164}if((a|0)==164)EO(ga);b=k[ha>>2]|0;if(b|0){g=k[C>>2]|0;if((g|0)!=(b|0)){do{ga=g+-4|0;k[C>>2]=ga;EO(ga);g=k[C>>2]|0}while((g|0)!=(b|0));b=k[ha>>2]|0}zqa(b)}EO(ia)}while(0);do if((a|0)==178){y=0;na(379,U|0);ia=y;y=0;if(ia&1){h=pb()|0;j=N;a=69;break}h=k[ja>>2]|0;y=0;h=Ha(k[(k[h>>2]|0)+52>>2]|0,h|0,U|0)|0;ia=y;y=0;if(ia&1){h=pb()|0;j=N;break}else{EO(ja);b=h;a=183;break a}}while(0);EO(ja);g=h;b=j;a=189;break a}case 16:{h=pb()|0;j=N;$9(J);$9(v);nba(u);a=19;break}case 17:{h=pb()|0;j=N;a=27;break}case 18:{h=pb()|0;j=N;a=19;break}case 25:{g=pb()|0;b=N;a=189;break a}case 26:{g=pb()|0;b=N;EO(B);a=189;break a}case 28:{h=pb()|0;j=N;a=30;break}case 29:{h=pb()|0;j=N;$9(C);a=30;break}case 44:{h=pb()|0;j=N;a=46;break}case 45:{h=pb()|0;j=N;$9(J);a=46;break}case 47:{h=pb()|0;j=N;a=51;break}case 48:{h=pb()|0;j=N;a=50;break}case 49:{h=pb()|0;j=N;EO(J);a=50;break}}if((a|0)==19){zka(E,14472);a=27}else if((a|0)==30){k[E>>2]=14380;k[z>>2]=14420;k[w>>2]=14400;k[u>>2]=14240;$9(v);nba(u);zka(E,14472);dja(z)}else if((a|0)!=46)if((a|0)==50){EO(D);a=51}if((a|0)==27)dja(z);else if((a|0)==51)$9(F);EO(I);g=h;b=j;a=189}while(0);do if((a|0)==53){y=0;b=qa(332,60)|0;ja=y;y=0;if(ja&1){g=pb()|0;b=N;a=189;break}g=ha;G=e;H=g+40|0;do{k[g>>2]=k[G>>2];g=g+4|0;G=G+4|0}while((g|0)<(H|0));y=0;na(366,b|0);ja=y;y=0;if(ja&1){g=pb()|0;a=N;zqa(b);b=a;a=189;break}else{g=b+12|0;G=ha;H=g+40|0;do{k[g>>2]=k[G>>2];g=g+4|0;G=G+4|0}while((g|0)<(H|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=11032;k[b+56>>2]=8;a=183;break}}while(0);if((a|0)==183){h=k[la>>2]|0;if(!h){r=ca;return b|0}j=k[ka>>2]|0;if((j|0)!=(h|0)){do{ja=j+-4|0;k[ka>>2]=ja;EO(ja);j=k[ka>>2]|0}while((j|0)!=(h|0));h=k[la>>2]|0}zqa(h);r=ca;return b|0}else if((a|0)==189){h=k[la>>2]|0;if(h|0){j=k[ka>>2]|0;if((j|0)!=(h|0)){do{ja=j+-4|0;k[ka>>2]=ja;EO(ja);j=k[ka>>2]|0}while((j|0)!=(h|0));h=k[la>>2]|0}zqa(h)}la=g;sb(la|0)}return 0}function kd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0;O=0;K=r;r=r+288|0;J=K+284|0;x=K+120|0;G=K+80|0;p=K+280|0;l=K+40|0;H=K;c=K+276|0;S=K+264|0;R=K+260|0;d=K+256|0;Q=K+236|0;P=K+232|0;g=K+228|0;h=K+224|0;m=K+220|0;M=K+216|0;L=K+212|0;A=K+208|0;z=K+196|0;q=K+204|0;s=K+200|0;t=K+192|0;u=K+188|0;v=K+184|0;w=K+180|0;B=K+176|0;C=K+172|0;D=K+168|0;E=K+164|0;F=K+160|0;Er(S,b+68|0);y=0;oa(464,c|0,b+80|0);I=y;y=0;do if(I&1)f=pb()|0;else{c=k[c>>2]|0;k[d>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;I=y;y=0;if(!(I&1)){y=0;oa(482,R|0,c|0);I=y;y=0;if(!(I&1)){EO(d);I=a+4|0;y=0;c=qa(439,k[I>>2]|0)|0;o=y;y=0;if(o&1)O=15;else{y=0;Na(120,Q|0,c|0,1);o=y;y=0;if(o&1)O=15;else{c=k[I>>2]|0;k[J>>2]=Q;d=c+28|0;e=k[d>>2]|0;if(e>>>0<(k[c+32>>2]|0)>>>0){k[e>>2]=Q;k[d>>2]=(k[d>>2]|0)+4;O=9}else{y=0;oa(573,c+24|0,J|0);o=y;y=0;if(o&1)c=pb()|0;else O=9}do if((O|0)==9){y=0;oa(482,P|0,0);o=y;y=0;if(o&1){c=pb()|0;break}f=k[R>>2]|0;c=k[f+56>>2]|0;d=(f|0)==0;a:do if((c|0)==6)if(d){d=0;O=64}else{d=pw(f,40,584,0)|0;O=64}else{if(d)O=35;else{e=pw(f,40,104,0)|0;if(!e)O=35;else{y=0;na(379,g|0);o=y;y=0;if(!(o&1)){y=0;c=Ha(k[(k[e>>2]|0)+52>>2]|0,e|0,g|0)|0;o=y;y=0;if(o&1)O=27;else{y=0;oa(482,h|0,c|0);o=y;y=0;if(o&1)O=27;else{c=k[h>>2]|0;if(!c)c=0;else c=pw(c,40,216,0)|0;y=0;oa(482,J|0,c|0);o=y;y=0;do if(o&1)c=pb()|0;else{y=0;Ha(966,P|0,J|0)|0;o=y;y=0;if(o&1){c=pb()|0;EO(J);break}else{EO(J);EO(h);d=0;O=64;break a}}while(0);EO(h)}}if((O|0)==27)c=pb()|0;break}}}b:do if((O|0)==35){if((c|0)==5){if(d)c=0;else c=pw(f,40,216,0)|0;y=0;oa(482,J|0,c|0);o=y;y=0;do if(o&1)c=pb()|0;else{y=0;Ha(966,P|0,J|0)|0;o=y;y=0;if(o&1){c=pb()|0;EO(J);break}else{EO(J);d=0;O=64;break a}}while(0);break a}y=0;j=qa(332,88)|0;o=y;y=0;c:do if(o&1)O=50;else{o=l;d=f+12|0;n=o+40|0;do{k[o>>2]=k[d>>2];o=o+4|0;d=d+4|0}while((o|0)<(n|0));y=0;na(366,j|0);o=y;y=0;do if(o&1)c=pb()|0;else{o=j+12|0;d=l;n=o+40|0;do{k[o>>2]=k[d>>2];o=o+4|0;d=d+4|0}while((o|0)<(n|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[c>>2]=0;k[j>>2]=7760;d=j+60|0;k[d>>2]=7720;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(518,g|0,1);o=y;y=0;if(o&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{M=e+-4|0;k[h>>2]=M;EO(M);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[j>>2]=7552;k[d>>2]=7680;k[j+80>>2]=0;i[j+84>>0]=0;i[j+85>>0]=0;k[c>>2]=5;y=0;oa(482,J|0,j|0);o=y;y=0;if(o&1){O=50;break c}y=0;Ha(966,P|0,J|0)|0;o=y;y=0;if(o&1){c=pb()|0;EO(J);break c}EO(J);c=(k[P>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(464,m|0,R|0);o=y;y=0;if(o&1)break b;y=0;oa(d|0,c|0,m|0);o=y;y=0;if(o&1){c=pb()|0;EO(m);break a}else{EO(m);d=0;O=64;break a}}while(0);zqa(j)}while(0);if((O|0)==50)c=pb()|0;break a}while(0);c=pb()|0}while(0);do if((O|0)==64){y=0;oa(464,p|0,b+64|0);o=y;y=0;if(o&1){c=pb()|0;break}k[M>>2]=k[p>>2];y=0;oa(482,L|0,0);p=y;y=0;do if(p&1)c=pb()|0;else{d:do if(!d){e=k[P>>2]|0;c=k[e+68>>2]|0;d=k[e+64>>2]|0;e:do if(!((e|0)==0|(c-d|0)!=4)){if(!(pw(e,216,104,-2)|0))break;y=0;oa(482,J|0,e|0);A=y;y=0;do if(A&1)c=pb()|0;else{y=0;Ha(966,P|0,J|0)|0;A=y;y=0;if(A&1){c=pb()|0;EO(J);break}else{EO(J);e=k[P>>2]|0;c=k[e+68>>2]|0;d=k[e+64>>2]|0;break e}}while(0);O=186;break d}while(0);m=c-d>>2;if(m|0){b=S+4|0;c=0;d=e;f:while(1){d=d+60|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;A=y;y=0;if(A&1){O=129;break}d=k[d>>2]|0;g:do if(!d)O=134;else{e=pw(d,40,624,0)|0;if(e){y=0;oa(464,J|0,e+60|0);A=y;y=0;if(A&1){O=132;break f}d=k[J>>2]|0;k[B>>2]=d;EO(B);if(!d){O=134;break}}h=pw(d,40,216,0)|0;e=k[S>>2]|0;g=(k[b>>2]|0)-e|0;f=(g|0)/12|0;if(!h){O=156;break}switch(g|0){case 0:break g;case 12:{y=0;oa(482,C|0,h|0);A=y;y=0;if(A&1){O=141;break f}y=0;Na(116,Q|0,e|0,C|0);A=y;y=0;if(A&1){O=142;break f}EO(C);break g}default:{}}j=h+60|0;l=h+64|0;h=h+68|0;g=0;do{if(g>>>0<(k[h>>2]|0)-(k[l>>2]|0)>>2>>>0){y=0;d=Ha(k[(k[j>>2]|0)+16>>2]|0,j|0,g|0)|0;A=y;y=0;if(A&1){O=152;break f}e=k[d>>2]|0}else{y=0;e=qa(332,60)|0;A=y;y=0;if(A&1){O=152;break f}o=G;d=(k[R>>2]|0)+12|0;n=o+40|0;do{k[o>>2]=k[d>>2];o=o+4|0;d=d+4|0}while((o|0)<(n|0));y=0;na(366,e|0);A=y;y=0;if(A&1){O=153;break f}o=e+12|0;d=G;n=o+40|0;do{k[o>>2]=k[d>>2];o=o+4|0;d=d+4|0}while((o|0)<(n|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e>>2]=11032;k[e+56>>2]=8}d=k[S>>2]|0;y=0;oa(482,D|0,e|0);A=y;y=0;if(A&1){O=154;break f}y=0;Na(116,Q|0,d+(g*12|0)|0,D|0);A=y;y=0;if(A&1){O=155;break f}EO(D);g=g+1|0}while(g>>>0<f>>>0)}while(0);if((O|0)==134){e=k[S>>2]|0;d=0;f=((k[b>>2]|0)-e|0)/12|0;O=156}do if((O|0)==156){O=0;if(!f)break;y=0;oa(482,E|0,d|0);A=y;y=0;if(A&1){O=160;break f}y=0;Na(116,Q|0,e|0,E|0);A=y;y=0;if(A&1){O=161;break f}EO(E);f=((k[b>>2]|0)-(k[S>>2]|0)|0)/12|0;if(f>>>0>1)e=1;else break;do{y=0;g=qa(332,60)|0;A=y;y=0;if(A&1){O=167;break f}o=H;d=(k[R>>2]|0)+12|0;n=o+40|0;do{k[o>>2]=k[d>>2];o=o+4|0;d=d+4|0}while((o|0)<(n|0));y=0;na(366,g|0);A=y;y=0;if(A&1){O=168;break f}o=g+12|0;d=H;n=o+40|0;do{k[o>>2]=k[d>>2];o=o+4|0;d=d+4|0}while((o|0)<(n|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g>>2]=11032;k[g+56>>2]=8;d=k[S>>2]|0;y=0;oa(482,F|0,g|0);A=y;y=0;if(A&1){O=169;break f}y=0;Na(116,Q|0,d+(e*12|0)|0,F|0);A=y;y=0;if(A&1){O=170;break f}EO(F);e=e+1|0}while(e>>>0<f>>>0)}while(0);d=k[M>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,a|0)|0;A=y;y=0;if(A&1){O=175;break}y=0;oa(482,J|0,d|0);A=y;y=0;if(A&1){O=175;break}y=0;Ha(966,L|0,J|0)|0;A=y;y=0;if(A&1){O=176;break}EO(J);c=c+1|0;if(!((k[L>>2]|0)==0&c>>>0<m>>>0))break d;d=k[P>>2]|0}switch(O|0){case 129:{c=pb()|0;O=186;break d}case 132:{c=pb()|0;O=186;break d}case 141:{c=pb()|0;O=186;break d}case 142:{c=pb()|0;EO(C);O=186;break d}case 152:{c=pb()|0;O=186;break d}case 153:{c=pb()|0;zqa(e);O=186;break d}case 154:{c=pb()|0;O=186;break d}case 155:{c=pb()|0;EO(D);O=186;break d}case 160:{c=pb()|0;O=186;break d}case 161:{c=pb()|0;EO(E);O=186;break d}case 167:{c=pb()|0;O=186;break d}case 168:{c=pb()|0;zqa(g);O=186;break d}case 169:{c=pb()|0;O=186;break d}case 170:{c=pb()|0;EO(F);O=186;break d}case 175:{c=pb()|0;break}case 176:{c=pb()|0;EO(J);break}}O=186}}else{j=d+60|0;c=k[d+84>>2]|0;l=k[d+88>>2]|0;if((c|0)!=(l|0)){m=S+4|0;f=d+12|0;g=k[1925]|0;while(1){y=0;oa(464,A|0,c|0);H=y;y=0;if(H&1){O=90;break}y=0;oa(464,q|0,A|0);H=y;y=0;if(H&1){O=91;break}y=0;d=Ha(965,j|0,q|0)|0;H=y;y=0;if(H&1){O=92;break}k[z>>2]=d;EO(q);H=k[S>>2]|0;d=H;if(((k[m>>2]|0)-H|0)==12){y=0;b=qa(332,88)|0;H=y;y=0;if(H&1){O=93;break}o=x;d=f;n=o+40|0;do{k[o>>2]=k[d>>2];o=o+4|0;d=d+4|0}while((o|0)<(n|0));y=0;na(366,b|0);H=y;y=0;if(H&1){O=94;break}o=b+12|0;d=x;n=o+40|0;do{k[o>>2]=k[d>>2];o=o+4|0;d=d+4|0}while((o|0)<(n|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;d=b+56|0;k[d>>2]=0;k[b>>2]=7760;e=b+60|0;k[e>>2]=7720;h=b+64|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(518,h|0,2);H=y;y=0;if(H&1){O=77;break}k[b>>2]=7552;k[e>>2]=7680;k[b+80>>2]=1;i[b+84>>0]=0;i[b+85>>0]=0;k[d>>2]=5;y=0;oa(464,s|0,A|0);H=y;y=0;if(H&1){O=96;break}y=0;oa(g|0,e|0,s|0);H=y;y=0;if(H&1){O=97;break}EO(s);d=k[(k[e>>2]|0)+20>>2]|0;y=0;oa(464,t|0,z|0);H=y;y=0;if(H&1){O=96;break}y=0;oa(d|0,e|0,t|0);H=y;y=0;if(H&1){O=98;break}EO(t);d=k[S>>2]|0;y=0;oa(482,u|0,b|0);H=y;y=0;if(H&1){O=96;break}y=0;Na(116,Q|0,d|0,u|0);H=y;y=0;if(H&1){O=99;break}EO(u)}else{y=0;oa(482,v|0,k[A>>2]|0);H=y;y=0;if(H&1){O=93;break}y=0;Na(116,Q|0,d|0,v|0);H=y;y=0;if(H&1){O=105;break}EO(v);d=k[S>>2]|0;y=0;oa(482,w|0,k[z>>2]|0);H=y;y=0;if(H&1){O=93;break}y=0;Na(116,Q|0,d+12|0,w|0);H=y;y=0;if(H&1){O=106;break}EO(w)}d=k[M>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,a|0)|0;H=y;y=0;if(H&1){O=111;break}y=0;oa(482,J|0,d|0);H=y;y=0;if(H&1){O=111;break}y=0;Ha(966,L|0,J|0)|0;H=y;y=0;if(H&1){O=112;break}EO(J);H=k[L>>2]|0;EO(z);EO(A);c=c+4|0;if((H|0)!=0|(c|0)==(l|0))break d}switch(O|0){case 77:{c=pb()|0;f=N;g=b+68|0;d=k[h>>2]|0;if(d|0){e=k[g>>2]|0;if((e|0)!=(d|0)){do{O=e+-4|0;k[g>>2]=O;EO(O);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[h>>2]|0}zqa(d)}O=95;break}case 90:{c=pb()|0;O=186;break d}case 91:{c=pb()|0;break}case 92:{c=pb()|0;EO(q);break}case 93:{c=pb()|0;O=114;break}case 94:{c=pb()|0;O=95;break}case 96:{c=pb()|0;O=114;break}case 97:{c=pb()|0;EO(s);O=114;break}case 98:{c=pb()|0;EO(t);O=114;break}case 99:{c=pb()|0;EO(u);O=114;break}case 105:{c=pb()|0;EO(v);O=114;break}case 106:{c=pb()|0;EO(w);O=114;break}case 111:{c=pb()|0;O=113;break}case 112:{c=pb()|0;EO(J);O=113;break}}if((O|0)==95){zqa(b);O=114}else if((O|0)==113)O=114;if((O|0)==114)EO(z);EO(A);O=186}}while(0);if((O|0)==186){EO(L);break}c=(k[I>>2]|0)+28|0;k[c>>2]=(k[c>>2]|0)+-4;c=k[L>>2]|0;if(!c)f=0;else{i[c+8>>0]=1;f=c}EO(L);EO(M);EO(P);jB(Q,k[Q+4>>2]|0);EO(R);c=k[S>>2]|0;if(!c){r=K;return f|0}e=S+4|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{R=d+-12|0;k[e>>2]=R;$9(R);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[S>>2]|0}zqa(c);r=K;return f|0}while(0);EO(M)}while(0);EO(P)}while(0);jB(Q,k[Q+4>>2]|0)}}if((O|0)==15)c=pb()|0;EO(R);f=c;break}}f=pb()|0;EO(d)}while(0);c=k[S>>2]|0;if(!c)sb(f|0);e=S+4|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{R=d+-12|0;k[e>>2]=R;$9(R);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[S>>2]|0}zqa(c);sb(f|0);return 0}function ld(a,b,c,d,e,f,g,h,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;R=0;U=r;r=r+512|0;K=U+88|0;Q=U+96|0;$=U+80|0;S=U+72|0;L=U+68|0;M=U+500|0;N=U+497|0;O=U+496|0;V=U+56|0;W=U+44|0;X=U+32|0;Y=U+20|0;Z=U+8|0;P=U+4|0;T=U;k[K>>2]=o;k[$>>2]=Q;_=$+4|0;k[_>>2]=417;k[S>>2]=Q;k[L>>2]=Q+400;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;o=0;while(1){if((o|0)==3)break;k[V+(o<<2)>>2]=0;o=o+1|0}k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;o=0;while(1){if((o|0)==3)break;k[W+(o<<2)>>2]=0;o=o+1|0}k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;o=0;while(1){if((o|0)==3)break;k[X+(o<<2)>>2]=0;o=o+1|0}k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;o=0;while(1){if((o|0)==3)break;k[Y+(o<<2)>>2]=0;o=o+1|0}k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;o=0;while(1){if((o|0)==3)break;k[Z+(o<<2)>>2]=0;o=o+1|0}y=0;Ga(1,c|0,d|0,M|0,N|0,O|0,V|0,W|0,X|0,Y|0,P|0);Q=y;y=0;a:do if(Q&1)c=pb()|0;else{k[n>>2]=k[m>>2];F=h+8|0;G=X+11|0;H=X+4|0;I=Y+11|0;J=Y+4|0;w=(e&512|0)!=0;x=W+11|0;z=W+4|0;A=Z+11|0;B=Z+4|0;C=M+3|0;D=V+11|0;E=V+4|0;Q=0;v=0;b:while(1){if(v>>>0>=4){R=254;break}o=k[a>>2]|0;do if(!o)o=0;else if((k[o+12>>2]|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=35;break b}if((o|0)==-1){k[a>>2]=0;o=0;break}else{o=k[a>>2]|0;break}}while(0);o=(o|0)==0;c=k[b>>2]|0;do if(!c)R=31;else{if((k[c+12>>2]|0)!=(k[c+16>>2]|0))if(o){u=c;break}else{R=254;break b}y=0;d=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=35;break b}if((d|0)==-1){k[b>>2]=0;R=31;break}else if(o){u=c;break}else{R=254;break b}}while(0);if((R|0)==31){R=0;if(o){R=254;break}else u=0}c:do switch(i[M+v>>0]|0){case 1:{if((v|0)==3)o=Q;else{o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;R=y;y=0;if(R&1){R=35;break b}}else o=l[c>>0]|0;if((o&255)<<24>>24<=-1){R=48;break b}if(!(j[(k[F>>2]|0)+(o<<24>>24<<1)>>1]&8192)){R=48;break b}o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;R=y;y=0;if(R&1){R=35;break b}}else{k[c>>2]=d+1;o=l[d>>0]|0}y=0;oa(461,Z|0,o&255|0);R=y;y=0;if(R&1){R=35;break b}else{o=u;h=u;R=50}}break}case 0:{if((v|0)==3)o=Q;else{o=u;h=u;R=50}break}case 3:{h=i[G>>0]|0;o=h<<24>>24<0?k[H>>2]|0:h&255;d=i[I>>0]|0;e=d<<24>>24<0?k[J>>2]|0:d&255;if((o|0)==(0-e|0))o=Q;else{if(!o){o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=35;break b}h=i[I>>0]|0}else{o=l[c>>0]|0;h=d}if((o&255)<<24>>24!=(i[(h<<24>>24<0?k[Y>>2]|0:Y)>>0]|0)){o=Q;break c}o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=35;break b}o=i[I>>0]|0}else{k[c>>2]=d+1;o=h}i[g>>0]=1;o=(o<<24>>24<0?k[J>>2]|0:o&255)>>>0>1?Y:Q;break c}d=k[a>>2]|0;p=k[d+12>>2]|0;c=k[d+16>>2]|0;o=(p|0)==(c|0);if(!e){if(o){y=0;o=qa(k[(k[d>>2]|0)+36>>2]|0,d|0)|0;u=y;y=0;if(u&1){R=35;break b}h=i[G>>0]|0}else o=l[p>>0]|0;if((o&255)<<24>>24!=(i[(h<<24>>24<0?k[X>>2]|0:X)>>0]|0)){i[g>>0]=1;o=Q;break c}o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=35;break b}o=i[G>>0]|0}else{k[c>>2]=d+1;o=h}o=(o<<24>>24<0?k[H>>2]|0:o&255)>>>0>1?X:Q;break c}if(o){y=0;o=qa(k[(k[d>>2]|0)+36>>2]|0,d|0)|0;u=y;y=0;if(u&1){R=35;break b}c=k[a>>2]|0;h=i[G>>0]|0;q=c;e=k[c+12>>2]|0;c=k[c+16>>2]|0}else{o=l[p>>0]|0;q=d;e=p}d=q+12|0;c=(e|0)==(c|0);if((o&255)<<24>>24==(i[(h<<24>>24<0?k[X>>2]|0:X)>>0]|0)){if(c){y=0;qa(k[(k[q>>2]|0)+40>>2]|0,q|0)|0;u=y;y=0;if(u&1){R=35;break b}o=i[G>>0]|0}else{k[d>>2]=e+1;o=h}o=(o<<24>>24<0?k[H>>2]|0:o&255)>>>0>1?X:Q;break c}if(c){y=0;o=qa(k[(k[q>>2]|0)+36>>2]|0,q|0)|0;u=y;y=0;if(u&1){R=35;break b}}else o=l[e>>0]|0;h=i[I>>0]|0;if((o&255)<<24>>24!=(i[(h<<24>>24<0?k[Y>>2]|0:Y)>>0]|0)){R=116;break b}o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=35;break b}o=i[I>>0]|0}else{k[c>>2]=d+1;o=h}i[g>>0]=1;o=(o<<24>>24<0?k[J>>2]|0:o&255)>>>0>1?Y:Q}break}case 2:{if(!(v>>>0<2|(Q|0)!=0))if(!(w|(v|0)==2&(i[C>>0]|0)!=0)){o=0;break c}c=i[x>>0]|0;o=c<<24>>24<0;t=k[W>>2]|0;d=o?t:W;q=d;d:do if(!v){s=u;d=q;o=t;h=u}else if((l[M+(v+-1)>>0]|0)<2){o=d+(o?k[z>>2]|0:c&255)|0;p=q;while(1){h=p;if((h|0)==(o|0))break;e=i[h>>0]|0;if(e<<24>>24<=-1)break;if(!(j[(k[F>>2]|0)+(e<<24>>24<<1)>>1]&8192))break;p=h+1|0}e=p-q|0;h=i[A>>0]|0;o=h<<24>>24<0;h=o?k[B>>2]|0:h&255;if(e>>>0>h>>>0){s=u;d=q;o=t;h=u}else{h=(o?k[Z>>2]|0:Z)+h|0;o=h+(0-e)|0;while(1){if((o|0)==(h|0)){s=u;d=p;o=t;h=u;break d}if((i[o>>0]|0)!=(i[d>>0]|0)){s=u;d=q;o=t;h=u;break d}d=d+1|0;o=o+1|0}}}else{s=u;d=q;o=t;h=u}while(0);e:while(1){p=c<<24>>24<0;o=(p?o:W)+(p?k[z>>2]|0:c&255)|0;p=d;if((p|0)==(o|0))break;o=k[a>>2]|0;do if(!o)o=0;else if((k[o+12>>2]|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=154;break b}if((o|0)==-1){k[a>>2]=0;o=0;break}else{o=k[a>>2]|0;break}}while(0);c=(o|0)==0;do if(!h){o=s;R=144}else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(c){o=s;e=h;break}else{o=p;break e}y=0;o=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;u=y;y=0;if(u&1){R=154;break b}if((o|0)==-1){k[b>>2]=0;o=0;R=144;break}else if(c^(s|0)==0){o=s;e=s;break}else{o=p;break e}}while(0);if((R|0)==144){R=0;if(c){o=p;break}else e=0}c=k[a>>2]|0;d=k[c+12>>2]|0;if((d|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=154;break b}}else c=l[d>>0]|0;if((c&255)<<24>>24!=(i[p>>0]|0)){o=p;break}c=k[a>>2]|0;d=c+12|0;h=k[d>>2]|0;if((h|0)==(k[c+16>>2]|0)){y=0;qa(k[(k[c>>2]|0)+40>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=155;break b}}else k[d>>2]=h+1;s=o;d=p+1|0;c=i[x>>0]|0;o=k[W>>2]|0;h=e}if(w){u=i[x>>0]|0;t=u<<24>>24<0;if((o|0)==((t?k[W>>2]|0:W)+(t?k[z>>2]|0:u&255)|0))o=Q;else{R=158;break b}}else o=Q;break}case 4:{q=0;o=u;h=u;f:while(1){c=k[a>>2]|0;do if(!c)c=0;else if((k[c+12>>2]|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=182;break b}if((c|0)==-1){k[a>>2]=0;c=0;break}else{c=k[a>>2]|0;break}}while(0);d=(c|0)==0;do if(!h)R=171;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d){p=o;e=h;break}else{d=o;break f}y=0;c=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;u=y;y=0;if(u&1){R=182;break b}if((c|0)==-1){k[b>>2]=0;o=0;R=171;break}else if(d^(o|0)==0){p=o;e=o;break}else{d=o;break f}}while(0);if((R|0)==171){R=0;if(d){d=o;break}else{p=o;e=0}}o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=182;break b}}else o=l[c>>0]|0;c=o&255;if(c<<24>>24>-1)if(!(j[(k[F>>2]|0)+(o<<24>>24<<1)>>1]&2048))R=186;else{o=k[n>>2]|0;if((o|0)==(k[K>>2]|0)){y=0;Na(151,m|0,n|0,K|0);u=y;y=0;if(u&1){R=184;break b}o=k[n>>2]|0}k[n>>2]=o+1;i[o>>0]=c;o=q+1|0}else R=186;if((R|0)==186){R=0;u=i[D>>0]|0;if(!(c<<24>>24==(i[O>>0]|0)&(q|0?((u<<24>>24<0?k[E>>2]|0:u&255)|0)!=0:0))){d=p;break}o=k[S>>2]|0;if((o|0)==(k[L>>2]|0)){y=0;Na(152,$|0,S|0,L|0);u=y;y=0;if(u&1){R=184;break b}o=k[S>>2]|0}k[S>>2]=o+4;k[o>>2]=q;o=0}c=k[a>>2]|0;d=c+12|0;h=k[d>>2]|0;if((h|0)==(k[c+16>>2]|0)){y=0;qa(k[(k[c>>2]|0)+40>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=182;break b}else{q=o;o=p;h=e;continue}}else{k[d>>2]=h+1;q=o;o=p;h=e;continue}}o=k[S>>2]|0;if(q|0?(k[$>>2]|0)!=(o|0):0){if((o|0)==(k[L>>2]|0)){y=0;Na(152,$|0,S|0,L|0);u=y;y=0;if(u&1){R=183;break b}o=k[S>>2]|0}k[S>>2]=o+4;k[o>>2]=q}g:do if((k[P>>2]|0)>0){o=k[a>>2]|0;do if(!o)o=0;else if((k[o+12>>2]|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=183;break b}if((o|0)==-1){k[a>>2]=0;o=0;break}else{o=k[a>>2]|0;break}}while(0);o=(o|0)==0;do if(!d)R=212;else{if((k[d+12>>2]|0)==(k[d+16>>2]|0)){y=0;c=qa(k[(k[d>>2]|0)+36>>2]|0,d|0)|0;u=y;y=0;if(u&1){R=183;break b}if((c|0)==-1){k[b>>2]=0;R=212;break}}if(o)h=d;else{R=217;break b}}while(0);if((R|0)==212){R=0;if(o){R=217;break b}else h=0}o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=183;break b}}else o=l[c>>0]|0;if((o&255)<<24>>24!=(i[N>>0]|0)){R=217;break b}o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=183;break b}else o=h}else{k[c>>2]=d+1;o=h}while(1){if((k[P>>2]|0)<=0)break g;c=k[a>>2]|0;do if(!c)c=0;else if((k[c+12>>2]|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=181;break b}if((c|0)==-1){k[a>>2]=0;c=0;break}else{c=k[a>>2]|0;break}}while(0);d=(c|0)==0;do if(!h)R=234;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d){e=o;break}else{R=241;break b}y=0;c=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;u=y;y=0;if(u&1){R=181;break b}if((c|0)==-1){k[b>>2]=0;o=0;R=234;break}else if(d^(o|0)==0){e=o;h=o;break}else{R=241;break b}}while(0);if((R|0)==234){R=0;if(d){R=241;break b}else{e=o;h=0}}o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=181;break b}}else o=l[c>>0]|0;if((o&255)<<24>>24<=-1){R=241;break b}if(!(j[(k[F>>2]|0)+(o<<24>>24<<1)>>1]&2048)){R=241;break b}if((k[n>>2]|0)==(k[K>>2]|0)){y=0;Na(151,m|0,n|0,K|0);u=y;y=0;if(u&1){R=181;break b}}o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=181;break b}}else o=l[c>>0]|0;c=k[n>>2]|0;k[n>>2]=c+1;i[c>>0]=o;k[P>>2]=(k[P>>2]|0)+-1;o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=181;break b}else{o=e;continue}}else{k[c>>2]=d+1;o=e;continue}}}while(0);if((k[n>>2]|0)==(k[m>>2]|0)){R=251;break b}else o=Q;break}default:o=Q}while(0);h:do if((R|0)==50)while(1){R=0;c=k[a>>2]|0;do if(!c)c=0;else if((k[c+12>>2]|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=34;break b}if((c|0)==-1){k[a>>2]=0;c=0;break}else{c=k[a>>2]|0;break}}while(0);d=(c|0)==0;do if(!h)R=62;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d){e=o;break}else{o=Q;break h}y=0;c=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;u=y;y=0;if(u&1){R=34;break b}if((c|0)==-1){k[b>>2]=0;o=0;R=62;break}else if(d^(o|0)==0){e=o;h=o;break}else{o=Q;break h}}while(0);if((R|0)==62){R=0;if(d){o=Q;break h}else{e=o;h=0}}o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=34;break b}}else o=l[c>>0]|0;if((o&255)<<24>>24<=-1){o=Q;break h}if(!(j[(k[F>>2]|0)+(o<<24>>24<<1)>>1]&8192)){o=Q;break h}o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;R=y;y=0;if(R&1){R=34;break b}}else{k[c>>2]=d+1;o=l[d>>0]|0}y=0;oa(461,Z|0,o&255|0);R=y;y=0;if(R&1){R=34;break b}else{o=e;R=50}}while(0);Q=o;v=v+1|0}i:switch(R|0){case 34:{o=pb()|0;R=36;break}case 35:{o=pb()|0;R=36;break}case 48:{k[f>>2]=k[f>>2]|4;c=0;R=288;break}case 116:{k[f>>2]=k[f>>2]|4;c=0;R=288;break}case 154:{c=pb()|0;break a}case 155:{c=pb()|0;break a}case 158:{k[f>>2]=k[f>>2]|4;c=0;R=288;break}case 181:{o=pb()|0;R=252;break}case 182:{o=pb()|0;R=252;break}case 183:{o=pb()|0;R=252;break}case 184:{o=pb()|0;R=252;break}case 217:{k[f>>2]=k[f>>2]|4;c=0;R=288;break}case 241:{k[f>>2]=k[f>>2]|4;c=0;R=288;break}case 251:{k[f>>2]=k[f>>2]|4;c=0;R=288;break}case 254:{j:do if(Q|0){e=Q+11|0;p=Q+4|0;d=1;k:while(1){o=i[e>>0]|0;if(o<<24>>24<0)o=k[p>>2]|0;else o=o&255;if(d>>>0>=o>>>0)break j;o=k[a>>2]|0;do if(!o)o=0;else if((k[o+12>>2]|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;n=y;y=0;if(n&1){R=280;break k}if((o|0)==-1){k[a>>2]=0;o=0;break}else{o=k[a>>2]|0;break}}while(0);c=(o|0)==0;o=k[b>>2]|0;do if(!o)R=272;else{if((k[o+12>>2]|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;n=y;y=0;if(n&1){R=280;break k}if((o|0)==-1){k[b>>2]=0;R=272;break}}if(!c){R=279;break k}}while(0);if((R|0)==272){R=0;if(c){R=279;break}}o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;n=y;y=0;if(n&1){R=280;break}}else o=l[c>>0]|0;if((i[e>>0]|0)<0)c=k[Q>>2]|0;else c=Q;if((o&255)<<24>>24!=(i[c+d>>0]|0)){R=279;break}o=d+1|0;c=k[a>>2]|0;d=c+12|0;h=k[d>>2]|0;if((h|0)==(k[c+16>>2]|0)){y=0;qa(k[(k[c>>2]|0)+40>>2]|0,c|0)|0;n=y;y=0;if(n&1){R=280;break}else{d=o;continue}}else{k[d>>2]=h+1;d=o;continue}}if((R|0)==279){k[f>>2]=k[f>>2]|4;c=0;R=288;break i}else if((R|0)==280){c=pb()|0;break a}}while(0);c=k[$>>2]|0;o=k[S>>2]|0;if((c|0)==(o|0)){c=1;R=288}else{k[T>>2]=0;my(V,c,o,T);if(!(k[T>>2]|0)){c=1;R=288;break}else{k[f>>2]=k[f>>2]|4;c=0;R=288;break}}break}}if((R|0)==36){c=o;break}else if((R|0)==252){c=o;break}else if((R|0)==288){$9(Z);$9(Y);$9(X);$9(W);$9(V);o=k[$>>2]|0;k[$>>2]=0;if(o|0){y=0;na(k[_>>2]|0,o|0);$=y;y=0;if($&1){$=tb(0)|0;dla($)}}r=U;return c|0}}while(0);$9(Z);$9(Y);$9(X);$9(W);$9(V);o=k[$>>2]|0;k[$>>2]=0;if(o|0){y=0;na(k[_>>2]|0,o|0);$=y;y=0;if($&1){$=tb(0)|0;dla($)}}sb(c|0);return 0}function md(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;ia=0;ha=r;r=r+528|0;T=ha+480|0;S=ha+464|0;P=ha+120|0;V=ha+80|0;L=ha+460|0;Y=ha+456|0;_=ha+452|0;O=ha+448|0;$=ha+444|0;x=ha+440|0;z=ha+436|0;A=ha+432|0;w=ha+428|0;aa=ha+40|0;s=ha+424|0;j=ha+420|0;g=ha+416|0;h=ha+412|0;l=ha;c=ha+404|0;d=ha+408|0;e=ha+400|0;m=ha+360|0;o=ha+352|0;n=ha+344|0;ja=ha+348|0;p=ha+296|0;I=ha+280|0;J=ha+276|0;B=ha+268|0;H=ha+264|0;G=ha+260|0;t=ha+256|0;u=ha+252|0;C=ha+248|0;D=ha+244|0;E=ha+240|0;F=ha+236|0;R=ha+340|0;K=ha+232|0;Q=ha+336|0;W=ha+228|0;X=ha+224|0;U=ha+184|0;ca=ha+180|0;da=ha+176|0;Z=ha+172|0;fa=ha+272|0;ga=ha+168|0;ba=ha+164|0;ea=ha+160|0;M=b+64|0;rT(T,M);v=k[T>>2]|0;k[d>>2]=v;if(!v)EO(d);else{y=0;oa(464,c|0,M|0);v=y;y=0;if(v&1){ja=pb()|0;EO(d);sb(ja|0)}v=k[c>>2]|0;k[e>>2]=v;v=(k[v+72>>2]|0)==(k[v+68>>2]|0);EO(e);EO(d);if(!v){d=a+20|0;q=a+24|0;e=k[q>>2]|0;f=e;if((e|0)==(k[d>>2]|0))c=k[a+8>>2]|0;else c=f+-4|0;if((k[(k[c>>2]|0)+52>>2]|0)==1){c=b+68|0;if(tN(c,43538)|0)if(tN(c,43557)|0)if(tN(c,43573)|0)if(tN(c,43587)|0){y=0;c=Ha(1018,a|0,b|0)|0;ja=y;y=0;if(!(ja&1)){ja=c;r=ha;return ja|0}ja=pb()|0;sb(ja|0)}d=ZL(72)|0;v=m;c=b+12|0;f=v+40|0;do{k[v>>2]=k[c>>2];v=v+4|0;c=c+4|0}while((v|0)<(f|0));y=0;oa(482,o|0,b|0);ja=y;y=0;if(ja&1)c=pb()|0;else{y=0;oa(482,n|0,0);ja=y;y=0;if(ja&1)c=pb()|0;else{v=l;c=m;f=v+40|0;do{k[v>>2]=k[c>>2];v=v+4|0;c=c+4|0}while((v|0)<(f|0));y=0;na(366,d|0);ja=y;y=0;do if(ja&1)c=pb()|0;else{v=d+12|0;c=l;f=v+40|0;do{k[v>>2]=k[c>>2];v=v+4|0;c=c+4|0}while((v|0)<(f|0));k[d+52>>2]=6;k[d+56>>2]=0;i[d+60>>0]=0;k[d>>2]=5528;y=0;oa(464,d+64|0,o|0);ja=y;y=0;if(ja&1){c=pb()|0;break}i[d+68>>0]=(k[n>>2]|0)==0&1;EO(n);EO(o);ja=d;r=ha;return ja|0}while(0);EO(n)}EO(o)}zqa(d);ja=c;sb(ja|0)}k[T>>2]=b;if(f>>>0<(k[a+28>>2]|0)>>>0){k[e>>2]=b;k[q>>2]=(k[q>>2]|0)+4}else bz(d,T);l=ZL(88)|0;v=p;c=b+12|0;f=v+40|0;do{k[v>>2]=k[c>>2];v=v+4|0;c=c+4|0}while((v|0)<(f|0));y=0;oa(452,I|0,b+68|0);v=y;y=0;do if(v&1)c=pb()|0;else{y=0;oa(464,h|0,b+80|0);v=y;y=0;if(v&1){c=pb()|0;$9(I);break}k[J>>2]=k[h>>2];y=0;oa(464,g|0,M|0);v=y;y=0;if(v&1){c=pb()|0;d=1}else{v=k[g>>2]|0;k[H>>2]=v;do if(!v){e=0;c=0;ia=39}else{c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(464,j|0,M|0);v=y;y=0;if(v&1){c=pb()|0;d=1;break}ia=k[j>>2]|0;k[G>>2]=ia;y=0;c=Ha(c|0,a|0,ia|0)|0;ia=y;y=0;if(ia&1){c=pb()|0;d=1;ia=59}else{e=1;ia=39}}while(0);do if((ia|0)==39){y=0;oa(482,B|0,c|0);v=y;y=0;if(v&1){c=pb()|0;if(e){d=1;ia=59;break}else{d=1;break}}y=0;oa(482,t|0,0);v=y;y=0;if(v&1){c=pb()|0;d=1}else{y=0;v=T;c=p;f=v+40|0;do{k[v>>2]=k[c>>2];v=v+4|0;c=c+4|0}while((v|0)<(f|0));ya(19,l|0,T|0,I|0,J|0,B|0,t|0);v=y;y=0;if(v&1)d=1;else{y=0;oa(482,ja|0,l|0);v=y;y=0;if(v&1)d=0;else{EO(t);EO(B);if(e)EO(G);EO(H);EO(J);$9(I);d=b+84|0;y=0;oa(464,s|0,d|0);J=y;y=0;a:do if(J&1)ia=63;else{J=k[s>>2]|0;k[u>>2]=J;EO(u);b:do if(J|0){c=k[ja>>2]|0;y=0;oa(464,w|0,d|0);J=y;y=0;if(J&1){ia=63;break a}k[D>>2]=k[w>>2];c=c+84|0;y=0;Ha(966,c|0,D|0)|0;J=y;y=0;do if(!(J&1)){y=0;oa(464,A|0,c|0);J=y;y=0;if(J&1)break;k[C>>2]=k[A>>2];EO(C);EO(D);break b}while(0);c=pb()|0;EO(D);break a}while(0);k[q>>2]=(k[q>>2]|0)+-4;y=0;oa(464,z|0,(k[ja>>2]|0)+64|0);J=y;y=0;if(J&1){c=pb()|0;break}J=k[z>>2]|0;k[E>>2]=J;c:do if(!J){EO(E);d=0}else{y=0;oa(464,x|0,(k[ja>>2]|0)+64|0);J=y;y=0;if(J&1){c=pb()|0;EO(E);break a}q=k[x>>2]|0;k[F>>2]=q;q=(k[q+72>>2]|0)-(k[q+68>>2]|0)>>2;EO(F);EO(E);if(!q){d=0;break}m=T+11|0;n=T+4|0;o=S+11|0;p=S+4|0;l=0;while(1){y=0;oa(464,O|0,M|0);J=y;y=0;if(J&1){ia=78;break}c=k[O>>2]|0;k[K>>2]=c;c=c+64|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,l|0)|0;J=y;y=0;if(J&1){ia=79;break}y=0;oa(464,R|0,c|0);J=y;y=0;if(J&1){ia=79;break}EO(K);c=k[R>>2]|0;if((k[c+52>>2]|0)==6){if(!c)c=0;else c=pw(c,680,728,0)|0;y=0;oa(482,Q|0,c|0);J=y;y=0;if(J&1){ia=80;break}y=0;oa(464,L|0,(k[Q>>2]|0)+64|0);J=y;y=0;if(J&1){ia=87;break}k[T>>2]=k[L>>2];y=0;Ha(966,R|0,T|0)|0;J=y;y=0;if(J&1){ia=88;break}EO(T);c=k[R>>2]|0;if((k[c+52>>2]|0)==3){y=0;oa(452,T|0,c+68|0);J=y;y=0;if(J&1){ia=101;break}y=0;oa(452,S|0,(k[ja>>2]|0)+68|0);J=y;y=0;if(J&1){ia=102;break}e=i[m>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[n>>2]|0:e;J=i[o>>0]|0;c=J<<24>>24<0;d:do if((g|0)==((c?k[p>>2]|0:J&255)|0)){h=k[T>>2]|0;j=f?h:T;c=c?k[S>>2]|0:S;d=(g|0)==0;if(f){if(d){d=1;break}d=(zM(j,c,g)|0)==0;break}if(d){d=1;break}if((h&255)<<24>>24==(i[c>>0]|0))d=T;else{d=0;break}while(1){e=e+-1|0;d=d+1|0;if(!e){d=1;break d}c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){d=0;break}}}else d=0;while(0);$9(S);$9(T)}else d=0;EO(Q)}else d=1;EO(R);l=l+1|0;if(d|l>>>0>=q>>>0)break c}if((ia|0)==78){c=pb()|0;break a}else if((ia|0)==79){c=pb()|0;EO(K);break a}else if((ia|0)==80)c=pb()|0;else if((ia|0)==87){c=pb()|0;ia=89}else if((ia|0)==88){c=pb()|0;EO(T);ia=89}else if((ia|0)==101){c=pb()|0;ia=103}else if((ia|0)==102){c=pb()|0;$9(T);ia=103}if((ia|0)==89)ia=105;else if((ia|0)==103)ia=105;if((ia|0)==105)EO(Q);EO(R);break a}while(0);y=0;n=qa(332,88)|0;R=y;y=0;if(R&1){c=pb()|0;break}v=P;c=(k[ja>>2]|0)+12|0;f=v+40|0;do{k[v>>2]=k[c>>2];v=v+4|0;c=c+4|0}while((v|0)<(f|0));y=0;na(366,n|0);R=y;y=0;do if(R&1)c=pb()|0;else{v=n+12|0;c=P;f=v+40|0;do{k[v>>2]=k[c>>2];v=v+4|0;c=c+4|0}while((v|0)<(f|0));k[n>>2]=5252;k[n+52>>2]=0;k[n+56>>2]=0;i[n+60>>0]=0;m=n+64|0;k[m>>2]=5212;g=n+68|0;h=n+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,0);R=y;y=0;if(R&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{ha=e+-4|0;k[h>>2]=ha;EO(ha);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[n>>2]=5076;k[m>>2]=5172;i[n+84>>0]=0;i[n+85>>0]=0;e:do if(!d){c=(k[ja>>2]|0)+68|0;if(!(tN(c,43538)|0))break;if(!(tN(c,43557)|0))break;if(!(tN(c,43573)|0))break;if(!(tN(c,43587)|0))break;e=k[ja>>2]|0;y=0;l=qa(332,88)|0;R=y;y=0;f:do if(!(R&1)){d=e+64|0;y=0;oa(464,S|0,d|0);R=y;y=0;g:do if(R&1)c=pb()|0;else{S=k[S>>2]|0;k[ca>>2]=S;c=k[ja>>2]|0;do if(!S){v=U;c=c+12|0;f=v+40|0;do{k[v>>2]=k[c>>2];v=v+4|0;c=c+4|0}while((v|0)<(f|0));j=0;c=U}else{y=0;oa(464,T|0,c+64|0);S=y;y=0;if(S&1){c=pb()|0;EO(ca);break g}else{c=k[T>>2]|0;k[da>>2]=c;v=U;c=c+12|0;f=v+40|0;do{k[v>>2]=k[c>>2];v=v+4|0;c=c+4|0}while((v|0)<(f|0));j=1;c=U;break}}while(0);v=V;f=v+40|0;do{k[v>>2]=k[c>>2];v=v+4|0;c=c+4|0}while((v|0)<(f|0));y=0;na(366,l|0);U=y;y=0;do if(U&1){c=1;ia=150}else{v=l+12|0;c=V;f=v+40|0;do{k[v>>2]=k[c>>2];v=v+4|0;c=c+4|0}while((v|0)<(f|0));k[l>>2]=5252;k[l+52>>2]=0;k[l+56>>2]=0;i[l+60>>0]=0;c=l+64|0;k[c>>2]=5212;g=l+68|0;h=l+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,0);V=y;y=0;if(V&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{ia=e+-4|0;k[h>>2]=ia;EO(ia);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}d=1;ia=151;break}k[l>>2]=5076;k[c>>2]=5172;i[l+84>>0]=0;i[l+85>>0]=0;y=0;oa(482,X|0,l|0);V=y;y=0;if(V&1){c=0;ia=150;break}y=0;Ha(966,d|0,X|0)|0;V=y;y=0;do if(!(V&1)){y=0;oa(464,Y|0,d|0);V=y;y=0;if(V&1)break;k[W>>2]=k[Y>>2];EO(W);EO(X);if(j)EO(da);EO(ca);c=k[(k[m>>2]|0)+20>>2]|0;y=0;oa(482,Z|0,e|0);da=y;y=0;if(da&1)break f;y=0;oa(c|0,m|0,Z|0);da=y;y=0;if(da&1){c=pb()|0;EO(Z);break a}else{EO(Z);break e}}while(0);c=pb()|0;EO(X);d=0}while(0);if((ia|0)==150){ha=pb()|0;d=c;c=ha;ia=151}if(j){EO(da);EO(ca);if(d)break;else break a}else{EO(ca);if(d)break;else break a}}while(0);zqa(l);break a}while(0);c=pb()|0;break a}while(0);y=0;oa(464,_|0,(k[ja>>2]|0)+64|0);da=y;y=0;if(da&1){c=pb()|0;break a}da=k[_>>2]|0;k[ga>>2]=da;do if(!da){y=0;j=qa(332,88)|0;da=y;y=0;if(da&1){c=pb()|0;break}v=aa;c=(k[ja>>2]|0)+12|0;f=v+40|0;do{k[v>>2]=k[c>>2];v=v+4|0;c=c+4|0}while((v|0)<(f|0));y=0;na(366,j|0);da=y;y=0;if(da&1)c=pb()|0;else{v=j+12|0;c=aa;f=v+40|0;do{k[v>>2]=k[c>>2];v=v+4|0;c=c+4|0}while((v|0)<(f|0));k[j>>2]=5252;k[j+52>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;c=j+64|0;k[c>>2]=5212;g=j+68|0;h=j+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,0);da=y;y=0;if(!(da&1)){k[j>>2]=5076;k[c>>2]=5172;i[j+84>>0]=0;i[j+85>>0]=0;d=0;c=j;ia=173;break}c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{ha=e+-4|0;k[h>>2]=ha;EO(ha);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}}zqa(j)}else{y=0;oa(464,$|0,(k[ja>>2]|0)+64|0);da=y;y=0;if(da&1){c=pb()|0;break}else{c=k[$>>2]|0;k[ba>>2]=c;d=1;ia=173;break}}while(0);do if((ia|0)==173){y=0;c=ta(157,a|0,c|0,k[ja>>2]|0)|0;da=y;y=0;do if(!(da&1)){y=0;oa(482,fa|0,c|0);da=y;y=0;if(da&1)break;if(d)EO(ba);EO(ga);d=k[fa>>2]|0;f=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>2;h:do if(f|0){c=0;while(1){e=k[(k[m>>2]|0)+20>>2]|0;d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;ia=y;y=0;if(ia&1){ia=191;break}y=0;oa(464,ea|0,d|0);ia=y;y=0;if(ia&1){ia=191;break}y=0;oa(e|0,m|0,ea|0);ia=y;y=0;if(ia&1){ia=192;break}EO(ea);c=c+1|0;if(c>>>0>=f>>>0)break h;d=k[fa>>2]|0}if((ia|0)==191)c=pb()|0;else if((ia|0)==192){c=pb()|0;EO(ea)}EO(fa);break a}while(0);EO(fa);EO(ja);ja=n;r=ha;return ja|0}while(0);c=pb()|0;if(!d)break;EO(ba)}while(0);EO(ga);break a}while(0);zqa(n)}while(0);if((ia|0)==63)c=pb()|0;EO(ja);ja=c;sb(ja|0)}}c=pb()|0;EO(t)}EO(B);if(e)ia=59}while(0);if((ia|0)==59)EO(G);EO(H)}EO(J);$9(I);if(!d){ja=c;sb(ja|0)}}while(0);zqa(l);ja=c;sb(ja|0)}}ja=b;r=ha;return ja|0}function nd(a,b){a=a|0;b=b|0;var c=0,d=0.0,e=0,f=0,g=0,h=0,j=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;T=0;Q=r;r=r+608|0;S=Q+40|0;R=Q;W=Q+556|0;a=Q+584|0;s=Q+572|0;q=Q+560|0;V=Q+520|0;o=Q+544|0;U=Q+468|0;g=Q+532|0;x=Q+480|0;B=Q+456|0;v=Q+416|0;z=Q+400|0;F=Q+360|0;I=Q+348|0;t=Q+336|0;w=Q+296|0;A=Q+284|0;P=Q+272|0;u=Q+236|0;L=Q+260|0;J=Q+248|0;H=Q+224|0;C=Q+184|0;E=Q+168|0;D=Q+128|0;N=Q+116|0;O=Q+104|0;M=Q+92|0;K=Q+80|0;_V(W,0);G=b+64|0;y=0;oa(452,a|0,G|0);e=y;y=0;if(e&1){V=pb()|0;EO(W);sb(V|0)}e=i[a+11>>0]|0;e=e<<24>>24<0?k[a+4>>2]|0:e&255;$9(a);a:do if(!e)a=0;else{y=0;oa(452,s|0,G|0);a=y;y=0;if(a&1)a=pb()|0;else{y=0;ma(4,S|0,s|0,0,1,s|0);a=y;y=0;b:do if(a&1)a=pb()|0;else{a=i[S+11>>0]|0;do if(((a<<24>>24<0?k[S+4>>2]|0:a&255)|0)==1){y=0;a=sa(21,S|0,0,-1,50724,1)|0;X=y;y=0;if(X&1){X=tb(0)|0;dla(X)}else if(!a){c=1;break}else{T=9;break}}else T=9;while(0);c:do if((T|0)==9)if(e>>>0>1){y=0;oa(452,q|0,G|0);X=y;y=0;if(X&1)a=pb()|0;else{y=0;ma(4,R|0,q|0,0,2,q|0);X=y;y=0;d:do if(X&1)a=pb()|0;else{X=i[R+11>>0]|0;do if(((X<<24>>24<0?k[R+4>>2]|0:X&255)|0)==2){y=0;a=sa(21,R|0,0,-1,41817,2)|0;X=y;y=0;if(X&1){X=tb(0)|0;dla(X)}else if(!a){f=1;break}else{T=16;break}}else T=16;while(0);e:do if((T|0)==16){y=0;oa(452,o|0,G|0);X=y;y=0;if(X&1)a=pb()|0;else{y=0;ma(4,V|0,o|0,0,2,o|0);X=y;y=0;f:do if(X&1)a=pb()|0;else{X=i[V+11>>0]|0;do if(((X<<24>>24<0?k[V+4>>2]|0:X&255)|0)==2){y=0;a=sa(21,V|0,0,-1,41820,2)|0;X=y;y=0;if(X&1){X=tb(0)|0;dla(X)}else if(!a){h=1;break}else{T=22;break}}else T=22;while(0);g:do if((T|0)==22){if(e>>>0<=2){h=0;break}y=0;oa(452,g|0,G|0);X=y;y=0;do if(X&1)a=pb()|0;else{y=0;ma(4,U|0,g|0,0,3,g|0);X=y;y=0;if(X&1){a=pb()|0;$9(g);break}X=i[U+11>>0]|0;do if(((X<<24>>24<0?k[U+4>>2]|0:X&255)|0)==3){y=0;a=sa(21,U|0,0,-1,41823,3)|0;X=y;y=0;if(X&1){X=tb(0)|0;dla(X)}else{n=(a|0)==0;break}}else n=0;while(0);$9(U);$9(g);h=n;break g}while(0);$9(V);break f}while(0);$9(V);$9(o);f=h;break e}while(0);$9(o)}$9(R);break d}while(0);$9(R);$9(q);c=f;break c}while(0);$9(q)}$9(S);break b}else c=0;while(0);$9(S);$9(s);a=c;break a}while(0);$9(s)}X=a;EO(W);sb(X|0)}while(0);s=a&1^1;y=0;oa(452,V|0,G|0);X=y;y=0;if(X&1){X=pb()|0;EO(W);sb(X|0)}q=V+11|0;o=i[q>>0]|0;h=o<<24>>24<0;n=k[V+4>>2]|0;o=o&255;g=h?k[V>>2]|0:V;e=h?n:o;h:do if(!e)T=39;else{c=g+e|0;a=g;while(1){if(!(Ty(41827,l[a>>0]|0,4)|0))break;a=a+1|0;if((a|0)==(c|0)){T=39;break h}}a=a-g|0;if((a|0)==-1)T=39;else f=a}while(0);if((T|0)==39)f=h?n:o;i:do if(e>>>0>f>>>0){c=g+e|0;a=g+f|0;while(1){if(!(Ty(41832,l[a>>0]|0,13)|0))break;a=a+1|0;if((a|0)==(c|0)){T=62;break i}}a=a-g|0;if((a|0)==-1)T=62}else T=62;while(0);if((T|0)==62)a=h?n:o;y=0;ma(4,U|0,V|0,f|0,a-f|0,V|0);X=y;y=0;do if(X&1)a=pb()|0;else{j:do switch(k[b+60>>2]|0){case 0:{y=0;e=qa(332,104)|0;X=y;y=0;do if(X&1)a=pb()|0;else{f=x;g=b+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;d=+Aa(1,((i[U+11>>0]|0)<0?k[U>>2]|0:U)|0);X=y;y=0;if(X&1)T=75;else{k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(75,B|0,82159,0);X=y;y=0;if(X&1)T=75;else{a=s<<24>>24!=0;y=0;f=S;g=x;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Ca(1,e|0,S|0,+d,B|0,a|0);X=y;y=0;if(X&1)c=1;else{y=0;oa(482,R|0,e|0);X=y;y=0;if(X&1)c=0;else{y=0;Ha(966,W|0,R|0)|0;X=y;y=0;if(X&1){a=pb()|0;EO(R);$9(B);break}else{EO(R);$9(B);break j}}}a=pb()|0;$9(B);if(!c)break}}if((T|0)==75)a=pb()|0;zqa(e)}while(0);T=192;break}case 1:{y=0;e=qa(332,104)|0;X=y;y=0;do if(X&1)a=pb()|0;else{f=v;g=b+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;d=+Aa(1,((i[U+11>>0]|0)<0?k[U>>2]|0:U)|0);X=y;y=0;if(X&1)T=88;else{k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(75,z|0,44240,1);X=y;y=0;if(X&1)T=88;else{y=0;f=S;g=v;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Ca(1,e|0,S|0,+d,z|0,1);X=y;y=0;if(X&1)c=1;else{y=0;oa(482,R|0,e|0);X=y;y=0;if(X&1)c=0;else{y=0;Ha(966,W|0,R|0)|0;X=y;y=0;if(X&1){a=pb()|0;EO(R);$9(z);break}else{EO(R);$9(z);break j}}}a=pb()|0;$9(z);if(!c)break}}if((T|0)==88)a=pb()|0;zqa(e)}while(0);T=192;break}case 2:{y=0;n=qa(332,104)|0;X=y;y=0;k:do if(X&1)a=pb()|0;else{f=F;g=b+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;d=+Aa(1,((i[U+11>>0]|0)<0?k[U>>2]|0:U)|0);X=y;y=0;do if(X&1)T=110;else{y=0;f=qa(444,((i[q>>0]|0)<0?k[V>>2]|0:V)|0)|0;X=y;y=0;if(X&1)T=110;else{g=JI(f)|0;h=f+g|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;if(g>>>0>4294967279){y=0;na(377,I|0);X=y;y=0;if(X&1){T=110;break}else T=99}else if(g>>>0<11){i[I+11>>0]=g;if(!g)a=I;else{c=I;T=102}}else T=99;if((T|0)==99){a=g+16&-16;y=0;c=qa(332,a|0)|0;X=y;y=0;if(X&1){T=110;break}k[I>>2]=c;k[I+8>>2]=a|-2147483648;k[I+4>>2]=g;T=102}if((T|0)==102){e=c;a=f;while(1){i[e>>0]=i[a>>0]|0;a=a+1|0;if((a|0)==(h|0))break;else e=e+1|0}a=c+g|0}i[a>>0]=0;a=s<<24>>24!=0;y=0;f=S;g=F;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Ca(1,n|0,S|0,+d,I|0,a|0);X=y;y=0;if(X&1)c=1;else{y=0;oa(482,R|0,n|0);X=y;y=0;if(X&1)c=0;else{y=0;Ha(966,W|0,R|0)|0;X=y;y=0;if(X&1){a=pb()|0;EO(R);$9(I);break k}else{EO(R);$9(I);break j}}}a=pb()|0;$9(I);if(!c)break k}}while(0);if((T|0)==110)a=pb()|0;zqa(n)}while(0);T=192;break}case 3:{y=0;oa(452,t|0,G|0);X=y;y=0;do if(X&1)a=pb()|0;else{y=0;ma(4,S|0,t|0,0,1,t|0);X=y;y=0;if(X&1){a=pb()|0;$9(t);break}X=i[S+11>>0]|0;if(((X<<24>>24<0?k[S+4>>2]|0:X&255)|0)==1){y=0;a=sa(21,S|0,0,-1,41846,1)|0;X=y;y=0;if(X&1){X=tb(0)|0;dla(X)}$9(S);$9(t);if(!a){y=0;oa(452,u|0,G|0);X=y;y=0;if(X&1){a=pb()|0;T=192;break j}y=0;ma(4,P|0,u|0,1,-1,u|0);X=y;y=0;if(X&1){a=pb()|0;$9(u);T=192;break j}$9(u);c=P+11|0;X=i[c>>0]|0;a=X<<24>>24<0;l:do if(((a?k[P+4>>2]|0:X&255)|0)==6){y=0;ma(4,L|0,P|0,0,2,P|0);X=y;y=0;if(X&1){a=pb()|0;T=188;break}y=0;ma(4,J|0,P|0,2,2,P|0);X=y;y=0;if(X&1)a=pb()|0;else{y=0;ma(4,H|0,P|0,4,2,P|0);X=y;y=0;if(X&1)a=pb()|0;else{y=0;e=qa(332,112)|0;X=y;y=0;m:do if(X&1)a=pb()|0;else{f=C;g=b+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));j=+(zda((i[L+11>>0]|0)<0?k[L>>2]|0:L,0,16)|0);m=+(zda((i[J+11>>0]|0)<0?k[J>>2]|0:J,0,16)|0);a=zda((i[H+11>>0]|0)<0?k[H>>2]|0:H,0,16)|0;y=0;oa(452,E|0,G|0);X=y;y=0;n:do if(X&1)a=pb()|0;else{f=R;g=C;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(366,e|0);X=y;y=0;do if(X&1)c=1;else{d=+(a|0);f=e+12|0;g=R;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;a=e+56|0;k[a>>2]=0;k[e>>2]=9088;p[e+64>>3]=j;p[e+72>>3]=m;p[e+80>>3]=d;p[e+88>>3]=1.0;y=0;oa(452,e+96|0,E|0);X=y;y=0;if(X&1){a=pb()|0;$9(E);break n}k[e+108>>2]=0;k[a>>2]=3;y=0;oa(482,S|0,e|0);X=y;y=0;if(X&1){c=0;break}y=0;Ha(966,W|0,S|0)|0;X=y;y=0;if(X&1){a=pb()|0;EO(S);$9(E);break m}else{EO(S);$9(E);$9(H);$9(J);$9(L);T=187;break l}}while(0);a=pb()|0;$9(E);if(!c)break m}while(0);zqa(e)}while(0);$9(H)}$9(J)}$9(L);T=188}else{y=0;e=qa(332,112)|0;X=y;y=0;o:do if(X&1)a=pb()|0;else{f=D;g=b+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));X=i[(a?k[P>>2]|0:P)>>0]|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;y=0;Na(124,N|0,2,X|0);X=y;y=0;do if(X&1)a=pb()|0;else{j=+(zda((i[N+11>>0]|0)<0?k[N>>2]|0:N,0,16)|0);X=i[((i[c>>0]|0)<0?k[P>>2]|0:P)+1>>0]|0;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;y=0;Na(124,O|0,2,X|0);X=y;y=0;if(X&1){a=pb()|0;$9(N);break}m=+(zda((i[O+11>>0]|0)<0?k[O>>2]|0:O,0,16)|0);X=i[((i[c>>0]|0)<0?k[P>>2]|0:P)+2>>0]|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;y=0;Na(124,M|0,2,X|0);X=y;y=0;if(X&1){a=pb()|0;c=1}else{a=zda((i[M+11>>0]|0)<0?k[M>>2]|0:M,0,16)|0;y=0;oa(452,K|0,G|0);X=y;y=0;if(X&1){a=pb()|0;c=1}else{f=S;g=D;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(366,e|0);X=y;y=0;do if(X&1){c=1;T=179}else{d=+(a|0);f=e+12|0;g=S;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;a=e+56|0;k[a>>2]=0;k[e>>2]=9088;p[e+64>>3]=j;p[e+72>>3]=m;p[e+80>>3]=d;p[e+88>>3]=1.0;y=0;oa(452,e+96|0,K|0);X=y;y=0;if(X&1){a=pb()|0;c=1;T=180;break}k[e+108>>2]=0;k[a>>2]=3;y=0;oa(482,R|0,e|0);X=y;y=0;if(X&1){c=0;T=179;break}y=0;Ha(966,W|0,R|0)|0;X=y;y=0;if(X&1){a=pb()|0;EO(R);c=0;break}else{EO(R);$9(K);$9(M);$9(O);$9(N);T=187;break l}}while(0);if((T|0)==179){a=pb()|0;T=180}$9(K)}$9(M)}$9(O);$9(N);if(!c)break o}while(0);zqa(e)}while(0);T=188}while(0);if((T|0)==187){$9(P);break j}else if((T|0)==188){$9(P);T=192;break j}}}else{$9(S);$9(t)}y=0;e=qa(332,80)|0;X=y;y=0;do if(X&1)a=pb()|0;else{f=w;g=b+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;oa(452,A|0,G|0);X=y;y=0;if(X&1)a=pb()|0;else{y=0;f=S;g=w;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Ea(2,e|0,S|0,A|0,0,0,0,1);X=y;y=0;if(X&1)c=1;else{y=0;oa(482,R|0,e|0);X=y;y=0;if(X&1)c=0;else{y=0;Ha(966,W|0,R|0)|0;X=y;y=0;if(X&1){a=pb()|0;EO(R);$9(A);break}else{EO(R);$9(A);break j}}}a=pb()|0;$9(A);if(!c)break}zqa(e)}while(0);T=192;break j}while(0);T=192;break}default:{}}while(0);if((T|0)==192){$9(U);break}a=k[W>>2]|0;i[a+54>>0]=i[b+54>>0]|0;if(!a){X=0;$9(U);$9(V);EO(W);r=Q;return X|0}i[a+8>>0]=1;X=a;$9(U);$9(V);EO(W);r=Q;return X|0}while(0);$9(V);X=a;EO(W);sb(X|0);return 0}
function od(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0;B=0;w=r;r=r+176|0;s=w+80|0;u=w+40|0;t=w;E=w+172|0;D=w+164|0;C=w+144|0;A=w+140|0;z=w+136|0;j=w+168|0;p=w+160|0;x=w+124|0;q=w+148|0;v=w+120|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;jI(s,36471,6);y=0;b=Ha(971,a|0,s|0)|0;o=y;y=0;if(!(o&1)){b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,584,0)|0;y=0;oa(482,E|0,b|0);o=y;y=0;if(!(o&1)){$9(s);k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,36478,6);o=y;y=0;do if(o&1){b=pb()|0;B=17}else{y=0;b=Ha(971,a|0,s|0)|0;o=y;y=0;if(!(o&1)){b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,584,0)|0;y=0;oa(482,D|0,b|0);o=y;y=0;if(!(o&1)){$9(s);k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,36471,6);o=y;y=0;do if(o&1){b=pb()|0;B=25}else{y=0;b=Ha(971,a|0,s|0)|0;o=y;y=0;if(!(o&1)){b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,216,0)|0;y=0;oa(482,C|0,b|0);o=y;y=0;if(!(o&1)){$9(s);k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,36478,6);o=y;y=0;a:do if(o&1){b=pb()|0;B=50}else{y=0;b=Ha(971,a|0,s|0)|0;o=y;y=0;do if(!(o&1)){b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,216,0)|0;y=0;oa(482,A|0,b|0);o=y;y=0;if(o&1)break;$9(s);k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(75,u|0,36485,10);o=y;y=0;b:do if(o&1){b=pb()|0;B=53}else{y=0;l=s;m=e;o=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(o|0));b=sa(25,u|0,a|0,d|0,s|0,f|0)|0;o=y;y=0;do if(!(o&1)){y=0;oa(482,z|0,b|0);o=y;y=0;if(o&1)break;$9(u);b=k[C>>2]|0;c:do if(!b){y=0;n=qa(332,88)|0;o=y;y=0;d:do if(o&1)B=54;else{l=t;m=e;o=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(o|0));y=0;na(366,n|0);o=y;y=0;do if(o&1)b=pb()|0;else{l=n+12|0;m=t;o=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(o|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;b=n+56|0;k[b>>2]=0;k[n>>2]=7760;g=n+60|0;k[g>>2]=7720;l=n+64|0;m=n+68|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;y=0;oa(518,l|0,1);o=y;y=0;if(o&1){b=pb()|0;j=N;g=k[l>>2]|0;if(g|0){h=k[m>>2]|0;if((h|0)!=(g|0)){do{x=h+-4|0;k[m>>2]=x;EO(x);h=k[m>>2]|0}while((h|0)!=(g|0));g=k[l>>2]|0}zqa(g)}break}k[n>>2]=7552;k[g>>2]=7680;k[n+80>>2]=1;i[n+84>>0]=0;i[n+85>>0]=0;k[b>>2]=5;y=0;oa(482,s|0,n|0);o=y;y=0;if(o&1){B=54;break d}y=0;Ha(966,C|0,s|0)|0;o=y;y=0;if(o&1){b=pb()|0;EO(s);break d}EO(s);g=(k[C>>2]|0)+60|0;h=k[(k[g>>2]|0)+20>>2]|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(75,u|0,36471,6);o=y;y=0;if(o&1)b=pb()|0;else{y=0;l=s;m=e;o=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(o|0));b=sa(27,u|0,a|0,d|0,s|0,f|0)|0;o=y;y=0;do if(o&1)B=60;else{y=0;oa(482,j|0,b|0);o=y;y=0;if(o&1){B=60;break}y=0;oa(h|0,g|0,j|0);o=y;y=0;if(o&1){b=pb()|0;EO(j);break}EO(j);$9(u);b=k[A>>2]|0;if(!b){b=1;B=65;break c}b=k[b+80>>2]|0;B=91;break c}while(0);if((B|0)==60)b=pb()|0;$9(u)}break c}while(0);zqa(n)}while(0);if((B|0)==54)b=pb()|0}else{b=k[b+80>>2]|0;if(!(k[A>>2]|0))B=65;else B=91}while(0);e:do if((B|0)==65){y=0;n=qa(332,88)|0;o=y;y=0;f:do if(o&1)B=81;else{l=u;m=e;o=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(o|0));y=0;na(366,n|0);o=y;y=0;do if(o&1)b=pb()|0;else{l=n+12|0;m=u;o=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(o|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;g=n+56|0;k[g>>2]=0;k[n>>2]=7760;h=n+60|0;k[h>>2]=7720;l=n+64|0;m=n+68|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;y=0;oa(518,l|0,1);o=y;y=0;if(o&1){b=pb()|0;j=N;g=k[l>>2]|0;if(g|0){h=k[m>>2]|0;if((h|0)!=(g|0)){do{x=h+-4|0;k[m>>2]=x;EO(x);h=k[m>>2]|0}while((h|0)!=(g|0));g=k[l>>2]|0}zqa(g)}break}k[n>>2]=7552;k[h>>2]=7680;k[n+80>>2]=1;i[n+84>>0]=0;i[n+85>>0]=0;k[g>>2]=5;y=0;oa(482,s|0,n|0);o=y;y=0;if(o&1){B=81;break f}y=0;Ha(966,A|0,s|0)|0;o=y;y=0;if(o&1){b=pb()|0;EO(s);break f}EO(s);h=(k[A>>2]|0)+60|0;j=k[(k[h>>2]|0)+20>>2]|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(75,u|0,36478,6);o=y;y=0;if(o&1)b=pb()|0;else{y=0;l=s;m=e;o=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(o|0));g=sa(27,u|0,a|0,d|0,s|0,f|0)|0;f=y;y=0;do if(f&1)B=87;else{y=0;oa(482,p|0,g|0);f=y;y=0;if(f&1){B=87;break}y=0;oa(j|0,h|0,p|0);f=y;y=0;if(f&1){b=pb()|0;EO(p);break}else{EO(p);$9(u);B=91;break e}}while(0);if((B|0)==87)b=pb()|0;$9(u)}break e}while(0);zqa(n)}while(0);if((B|0)==81)b=pb()|0}while(0);g:do if((B|0)==91){g=k[E>>2]|0;h:do if(!g)h=b;else{y=0;b=ta(58,g|0,c|0,e|0)|0;f=y;y=0;do if(f&1)b=pb()|0;else{k[s>>2]=b;y=0;Ha(966,C|0,s|0)|0;f=y;y=0;if(f&1){b=pb()|0;EO(s);break}else{EO(s);h=0;break h}}while(0);break g}while(0);b=k[D>>2]|0;i:do if(b|0){y=0;b=ta(58,b|0,c|0,e|0)|0;c=y;y=0;do if(c&1)b=pb()|0;else{k[s>>2]=b;y=0;Ha(966,A|0,s|0)|0;c=y;y=0;if(c&1){b=pb()|0;EO(s);break}else{EO(s);break i}}while(0);break g}while(0);p=k[C>>2]|0;c=k[A>>2]|0;p=((k[c+68>>2]|0)-(k[c+64>>2]|0)>>2)+((k[p+68>>2]|0)-(k[p+64>>2]|0)>>2)|0;y=0;oa(452,s|0,(k[z>>2]|0)+64|0);c=y;y=0;do if(c&1)b=pb()|0;else{y=0;ma(5,x|0,s|0,0,0,1);c=y;y=0;if(c&1){b=pb()|0;$9(s);break}$9(s);j=x+11|0;g=i[j>>0]|0;l=x+4|0;b=k[l>>2]|0;do if(((g<<24>>24<0?b:g&255)|0)==5){y=0;b=sa(21,x|0,0,-1,36496,5)|0;B=y;y=0;if(B&1){B=tb(0)|0;dla(B)}if(!b){h=1;B=136;break}g=i[j>>0]|0;b=k[l>>2]|0;B=115}else B=115;while(0);j:do if((B|0)==115){if(((g<<24>>24<0?b:g&255)|0)==5){y=0;b=sa(21,x|0,0,-1,36502,5)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){h=0;B=136;break}g=i[j>>0]|0;b=k[l>>2]|0}do if(((g<<24>>24<0?b:g&255)|0)==4){y=0;b=sa(21,x|0,0,-1,36508,4)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}else if(!b){B=136;break j}else break}while(0);k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;c=JI(d)|0;y=0;Na(75,t|0,d|0,c|0);d=y;y=0;if(d&1)b=pb()|0;else{y=0;b=ta(52,t|0,0,36513)|0;d=y;y=0;if(d&1)b=pb()|0;else{k[u>>2]=k[b>>2];k[u+4>>2]=k[b+4>>2];k[u+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,u|0,36540)|0;d=y;y=0;do if(d&1)b=pb()|0;else{k[q>>2]=k[b>>2];k[q+4>>2]=k[b+4>>2];k[q+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;l=s;m=e;o=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(o|0));oa(458,q|0,s|0);d=y;y=0;if(d&1){b=pb()|0;$9(q);break}else{$9(q);$9(u);$9(t);B=136;break j}}while(0);$9(u)}$9(t)}}while(0);k:do if((B|0)==136){y=0;n=qa(332,88)|0;u=y;y=0;l:do if(!(u&1)){l=s;m=e;o=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(o|0));y=0;na(366,n|0);e=y;y=0;do if(e&1)b=pb()|0;else{l=n+12|0;m=s;o=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(o|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;b=n+56|0;k[b>>2]=0;k[n>>2]=7760;g=n+60|0;k[g>>2]=7720;l=n+64|0;m=n+68|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;y=0;oa(518,l|0,p|0);e=y;y=0;if(e&1){b=pb()|0;j=N;g=k[l>>2]|0;if(g|0){h=k[m>>2]|0;if((h|0)!=(g|0)){do{w=h+-4|0;k[m>>2]=w;EO(w);h=k[m>>2]|0}while((h|0)!=(g|0));g=k[l>>2]|0}zqa(g)}break}k[n>>2]=7552;k[g>>2]=7680;k[n+80>>2]=h;i[n+84>>0]=0;i[n+85>>0]=0;k[b>>2]=5;y=0;oa(482,v|0,n|0);e=y;y=0;if(e&1)break l;u=(k[v>>2]|0)+60|0;e=k[C>>2]|0;y=0;oa(k[(k[u>>2]|0)+24>>2]|0,u|0,((e|0)==0?0:e+60|0)|0);e=y;y=0;do if(!(e&1)){u=(k[v>>2]|0)+60|0;e=k[A>>2]|0;y=0;oa(k[(k[u>>2]|0)+24>>2]|0,u|0,((e|0)==0?0:e+60|0)|0);e=y;y=0;if(e&1)break;b=k[v>>2]|0;if(!b){B=0;EO(v);$9(x);EO(z);EO(A);EO(C);EO(D);EO(E);r=w;return B|0}i[b+8>>0]=1;B=b;EO(v);$9(x);EO(z);EO(A);EO(C);EO(D);EO(E);r=w;return B|0}while(0);b=pb()|0;EO(v);break k}while(0);zqa(n);break k}while(0);b=pb()|0}while(0);$9(x);break g}while(0)}while(0);EO(z);break b}while(0);b=pb()|0;$9(u);B=53}while(0);EO(A);break a}while(0);b=pb()|0;$9(s);B=50}while(0);EO(C);break}}b=pb()|0;$9(s);B=25}while(0);EO(D);break}}b=pb()|0;$9(s);B=17}while(0);EO(E);E=b;sb(E|0)}}E=pb()|0;$9(s);sb(E|0);return 0}function pd(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;w=0;D=r;r=r+16|0;o=D;do if(a>>>0<245){n=a>>>0<11?16:a+11&-8;a=n>>>3;t=k[19149]|0;b=t>>>a;if(b&3|0){b=(b&1^1)+a|0;c=76636+(b<<1<<2)|0;d=c+8|0;e=k[d>>2]|0;f=e+8|0;g=k[f>>2]|0;do if((c|0)==(g|0))k[19149]=t&~(1<<b);else{if(g>>>0<(k[19153]|0)>>>0)Za();a=g+12|0;if((k[a>>2]|0)==(e|0)){k[a>>2]=c;k[d>>2]=g;break}else Za()}while(0);C=b<<3;k[e+4>>2]=C|3;C=e+C+4|0;k[C>>2]=k[C>>2]|1;C=f;r=D;return C|0}s=k[19151]|0;if(n>>>0>s>>>0){if(b|0){h=2<<a;b=b<<a&(h|0-h);b=(b&0-b)+-1|0;h=b>>>12&16;b=b>>>h;d=b>>>5&8;b=b>>>d;f=b>>>2&4;b=b>>>f;c=b>>>1&2;b=b>>>c;a=b>>>1&1;a=(d|h|f|c|a)+(b>>>a)|0;b=76636+(a<<1<<2)|0;c=b+8|0;f=k[c>>2]|0;h=f+8|0;d=k[h>>2]|0;do if((b|0)==(d|0)){i=t&~(1<<a);k[19149]=i}else{if(d>>>0<(k[19153]|0)>>>0)Za();e=d+12|0;if((k[e>>2]|0)==(f|0)){k[e>>2]=b;k[c>>2]=d;i=t;break}else Za()}while(0);g=(a<<3)-n|0;k[f+4>>2]=n|3;d=f+n|0;k[d+4>>2]=g|1;k[d+g>>2]=g;if(s|0){e=k[19154]|0;a=s>>>3;c=76636+(a<<1<<2)|0;a=1<<a;if(!(i&a)){k[19149]=i|a;j=c;l=c+8|0}else{a=c+8|0;b=k[a>>2]|0;if(b>>>0<(k[19153]|0)>>>0)Za();else{j=b;l=a}}k[l>>2]=e;k[j+12>>2]=e;k[e+8>>2]=j;k[e+12>>2]=c}k[19151]=g;k[19154]=d;C=h;r=D;return C|0}h=k[19150]|0;if(h){b=(h&0-h)+-1|0;B=b>>>12&16;b=b>>>B;A=b>>>5&8;b=b>>>A;C=b>>>2&4;b=b>>>C;i=b>>>1&2;b=b>>>i;j=b>>>1&1;j=k[76900+((A|B|C|i|j)+(b>>>j)<<2)>>2]|0;b=j;i=j;j=(k[j+4>>2]&-8)-n|0;while(1){a=k[b+16>>2]|0;if(!a){a=k[b+20>>2]|0;if(!a)break}C=(k[a+4>>2]&-8)-n|0;B=C>>>0<j>>>0;b=a;i=B?a:i;j=B?C:j}e=k[19153]|0;if(i>>>0<e>>>0)Za();g=i+n|0;if(i>>>0>=g>>>0)Za();f=k[i+24>>2]|0;c=k[i+12>>2]|0;do if((c|0)==(i|0)){b=i+20|0;a=k[b>>2]|0;if(!a){b=i+16|0;a=k[b>>2]|0;if(!a){m=0;break}}while(1){c=a+20|0;d=k[c>>2]|0;if(d|0){a=d;b=c;continue}c=a+16|0;d=k[c>>2]|0;if(!d)break;else{a=d;b=c}}if(b>>>0<e>>>0)Za();else{k[b>>2]=0;m=a;break}}else{d=k[i+8>>2]|0;if(d>>>0<e>>>0)Za();a=d+12|0;if((k[a>>2]|0)!=(i|0))Za();b=c+8|0;if((k[b>>2]|0)==(i|0)){k[a>>2]=c;k[b>>2]=d;m=c;break}else Za()}while(0);do if(f|0){a=k[i+28>>2]|0;b=76900+(a<<2)|0;if((i|0)==(k[b>>2]|0)){k[b>>2]=m;if(!m){k[19150]=h&~(1<<a);break}}else{if(f>>>0<(k[19153]|0)>>>0)Za();a=f+16|0;if((k[a>>2]|0)==(i|0))k[a>>2]=m;else k[f+20>>2]=m;if(!m)break}b=k[19153]|0;if(m>>>0<b>>>0)Za();k[m+24>>2]=f;a=k[i+16>>2]|0;do if(a|0)if(a>>>0<b>>>0)Za();else{k[m+16>>2]=a;k[a+24>>2]=m;break}while(0);a=k[i+20>>2]|0;if(a|0)if(a>>>0<(k[19153]|0)>>>0)Za();else{k[m+20>>2]=a;k[a+24>>2]=m;break}}while(0);if(j>>>0<16){C=j+n|0;k[i+4>>2]=C|3;C=i+C+4|0;k[C>>2]=k[C>>2]|1}else{k[i+4>>2]=n|3;k[g+4>>2]=j|1;k[g+j>>2]=j;if(s|0){d=k[19154]|0;a=s>>>3;c=76636+(a<<1<<2)|0;a=1<<a;if(!(t&a)){k[19149]=t|a;p=c;q=c+8|0}else{a=c+8|0;b=k[a>>2]|0;if(b>>>0<(k[19153]|0)>>>0)Za();else{p=b;q=a}}k[q>>2]=d;k[p+12>>2]=d;k[d+8>>2]=p;k[d+12>>2]=c}k[19151]=j;k[19154]=g}C=i+8|0;r=D;return C|0}}}else if(a>>>0>4294967231)n=-1;else{a=a+11|0;n=a&-8;j=k[19150]|0;if(j){c=0-n|0;a=a>>>8;if(!a)g=0;else if(n>>>0>16777215)g=31;else{q=(a+1048320|0)>>>16&8;w=a<<q;p=(w+520192|0)>>>16&4;w=w<<p;g=(w+245760|0)>>>16&2;g=14-(p|q|g)+(w<<g>>>15)|0;g=n>>>(g+7|0)&1|g<<1}a=k[76900+(g<<2)>>2]|0;a:do if(!a){b=0;d=0;w=86}else{d=0;f=a;e=n<<((g|0)==31?0:25-(g>>>1)|0);b=0;while(1){a=(k[f+4>>2]&-8)-n|0;if(a>>>0<c>>>0)if(!a){a=f;c=0;b=f;w=90;break a}else{d=f;c=a}a=k[f+20>>2]|0;f=k[f+16+(e>>>31<<2)>>2]|0;b=(a|0)==0|(a|0)==(f|0)?b:a;a=(f|0)==0;if(a){w=86;break}else e=e<<(a&1^1)}}while(0);if((w|0)==86){if((b|0)==0&(d|0)==0){a=2<<g;a=j&(a|0-a);if(!a)break;q=(a&0-a)+-1|0;l=q>>>12&16;q=q>>>l;i=q>>>5&8;q=q>>>i;m=q>>>2&4;q=q>>>m;p=q>>>1&2;q=q>>>p;b=q>>>1&1;b=k[76900+((i|l|m|p|b)+(q>>>b)<<2)>>2]|0}if(!b){i=d;g=c}else{a=d;w=90}}if((w|0)==90)while(1){w=0;q=(k[b+4>>2]&-8)-n|0;d=q>>>0<c>>>0;c=d?q:c;a=d?b:a;d=k[b+16>>2]|0;if(d|0){b=d;w=90;continue}b=k[b+20>>2]|0;if(!b){i=a;g=c;break}else w=90}if(i)if(g>>>0<((k[19151]|0)-n|0)>>>0){e=k[19153]|0;if(i>>>0<e>>>0)Za();h=i+n|0;if(i>>>0>=h>>>0)Za();f=k[i+24>>2]|0;c=k[i+12>>2]|0;do if((c|0)==(i|0)){b=i+20|0;a=k[b>>2]|0;if(!a){b=i+16|0;a=k[b>>2]|0;if(!a){s=0;break}}while(1){c=a+20|0;d=k[c>>2]|0;if(d|0){a=d;b=c;continue}c=a+16|0;d=k[c>>2]|0;if(!d)break;else{a=d;b=c}}if(b>>>0<e>>>0)Za();else{k[b>>2]=0;s=a;break}}else{d=k[i+8>>2]|0;if(d>>>0<e>>>0)Za();a=d+12|0;if((k[a>>2]|0)!=(i|0))Za();b=c+8|0;if((k[b>>2]|0)==(i|0)){k[a>>2]=c;k[b>>2]=d;s=c;break}else Za()}while(0);do if(!f)t=j;else{a=k[i+28>>2]|0;b=76900+(a<<2)|0;if((i|0)==(k[b>>2]|0)){k[b>>2]=s;if(!s){t=j&~(1<<a);k[19150]=t;break}}else{if(f>>>0<(k[19153]|0)>>>0)Za();a=f+16|0;if((k[a>>2]|0)==(i|0))k[a>>2]=s;else k[f+20>>2]=s;if(!s){t=j;break}}b=k[19153]|0;if(s>>>0<b>>>0)Za();k[s+24>>2]=f;a=k[i+16>>2]|0;do if(a|0)if(a>>>0<b>>>0)Za();else{k[s+16>>2]=a;k[a+24>>2]=s;break}while(0);a=k[i+20>>2]|0;if(!a)t=j;else if(a>>>0<(k[19153]|0)>>>0)Za();else{k[s+20>>2]=a;k[a+24>>2]=s;t=j;break}}while(0);do if(g>>>0<16){C=g+n|0;k[i+4>>2]=C|3;C=i+C+4|0;k[C>>2]=k[C>>2]|1}else{k[i+4>>2]=n|3;k[h+4>>2]=g|1;k[h+g>>2]=g;a=g>>>3;if(g>>>0<256){c=76636+(a<<1<<2)|0;b=k[19149]|0;a=1<<a;if(!(b&a)){k[19149]=b|a;u=c;v=c+8|0}else{a=c+8|0;b=k[a>>2]|0;if(b>>>0<(k[19153]|0)>>>0)Za();else{u=b;v=a}}k[v>>2]=h;k[u+12>>2]=h;k[h+8>>2]=u;k[h+12>>2]=c;break}a=g>>>8;if(!a)a=0;else if(g>>>0>16777215)a=31;else{B=(a+1048320|0)>>>16&8;C=a<<B;A=(C+520192|0)>>>16&4;C=C<<A;a=(C+245760|0)>>>16&2;a=14-(A|B|a)+(C<<a>>>15)|0;a=g>>>(a+7|0)&1|a<<1}c=76900+(a<<2)|0;k[h+28>>2]=a;b=h+16|0;k[b+4>>2]=0;k[b>>2]=0;b=1<<a;if(!(t&b)){k[19150]=t|b;k[c>>2]=h;k[h+24>>2]=c;k[h+12>>2]=h;k[h+8>>2]=h;break}b=g<<((a|0)==31?0:25-(a>>>1)|0);d=k[c>>2]|0;while(1){if((k[d+4>>2]&-8|0)==(g|0)){w=148;break}c=d+16+(b>>>31<<2)|0;a=k[c>>2]|0;if(!a){w=145;break}else{b=b<<1;d=a}}if((w|0)==145)if(c>>>0<(k[19153]|0)>>>0)Za();else{k[c>>2]=h;k[h+24>>2]=d;k[h+12>>2]=h;k[h+8>>2]=h;break}else if((w|0)==148){a=d+8|0;b=k[a>>2]|0;C=k[19153]|0;if(b>>>0>=C>>>0&d>>>0>=C>>>0){k[b+12>>2]=h;k[a>>2]=h;k[h+8>>2]=b;k[h+12>>2]=d;k[h+24>>2]=0;break}else Za()}}while(0);C=i+8|0;r=D;return C|0}}}while(0);c=k[19151]|0;if(c>>>0>=n>>>0){a=c-n|0;b=k[19154]|0;if(a>>>0>15){C=b+n|0;k[19154]=C;k[19151]=a;k[C+4>>2]=a|1;k[C+a>>2]=a;k[b+4>>2]=n|3}else{k[19151]=0;k[19154]=0;k[b+4>>2]=c|3;C=b+c+4|0;k[C>>2]=k[C>>2]|1}C=b+8|0;r=D;return C|0}g=k[19152]|0;if(g>>>0>n>>>0){A=g-n|0;k[19152]=A;C=k[19155]|0;B=C+n|0;k[19155]=B;k[B+4>>2]=A|1;k[C+4>>2]=n|3;C=C+8|0;r=D;return C|0}if(!(k[19267]|0)){k[19269]=4096;k[19268]=4096;k[19270]=-1;k[19271]=-1;k[19272]=0;k[19260]=0;a=o&-16^1431655768;k[o>>2]=a;k[19267]=a;a=4096}else a=k[19269]|0;h=n+48|0;i=n+47|0;f=a+i|0;d=0-a|0;j=f&d;if(j>>>0<=n>>>0){C=0;r=D;return C|0}a=k[19259]|0;if(a|0){u=k[19257]|0;v=u+j|0;if(v>>>0<=u>>>0|v>>>0>a>>>0){C=0;r=D;return C|0}}b:do if(!(k[19260]&4)){b=k[19155]|0;c:do if(!b)w=172;else{c=77044;while(1){a=k[c>>2]|0;if(a>>>0<=b>>>0){e=c+4|0;if((a+(k[e>>2]|0)|0)>>>0>b>>>0)break}a=k[c+8>>2]|0;if(!a){w=172;break c}else c=a}a=f-g&d;if(a>>>0<2147483647){b=RL(a|0)|0;if((b|0)==((k[c>>2]|0)+(k[e>>2]|0)|0)){if((b|0)!=(-1|0)){g=a;f=b;w=190;break b}}else{d=b;w=180}}}while(0);do if((w|0)==172){e=RL(0)|0;if((e|0)!=(-1|0)){a=e;b=k[19268]|0;c=b+-1|0;a=((c&a|0)==0?0:(c+a&0-b)-a|0)+j|0;b=k[19257]|0;c=a+b|0;if(a>>>0>n>>>0&a>>>0<2147483647){d=k[19259]|0;if(d|0)if(c>>>0<=b>>>0|c>>>0>d>>>0)break;b=RL(a|0)|0;if((b|0)==(e|0)){g=a;f=e;w=190;break b}else{d=b;w=180}}}}while(0);d:do if((w|0)==180){c=0-a|0;do if(h>>>0>a>>>0&(a>>>0<2147483647&(d|0)!=(-1|0))){b=k[19269]|0;b=i-a+b&0-b;if(b>>>0<2147483647)if((RL(b|0)|0)==(-1|0)){RL(c|0)|0;break d}else{a=b+a|0;break}}while(0);if((d|0)!=(-1|0)){g=a;f=d;w=190;break b}}while(0);k[19260]=k[19260]|4;w=187}else w=187;while(0);if((w|0)==187)if(j>>>0<2147483647){b=RL(j|0)|0;a=RL(0)|0;if(b>>>0<a>>>0&((b|0)!=(-1|0)&(a|0)!=(-1|0))){a=a-b|0;if(a>>>0>(n+40|0)>>>0){g=a;f=b;w=190}}}if((w|0)==190){a=(k[19257]|0)+g|0;k[19257]=a;if(a>>>0>(k[19258]|0)>>>0)k[19258]=a;j=k[19155]|0;do if(!j){C=k[19153]|0;if((C|0)==0|f>>>0<C>>>0)k[19153]=f;k[19261]=f;k[19262]=g;k[19264]=0;k[19158]=k[19267];k[19157]=-1;a=0;do{C=76636+(a<<1<<2)|0;k[C+12>>2]=C;k[C+8>>2]=C;a=a+1|0}while((a|0)!=32);C=f+8|0;C=(C&7|0)==0?0:0-C&7;B=f+C|0;C=g+-40-C|0;k[19155]=B;k[19152]=C;k[B+4>>2]=C|1;k[B+C+4>>2]=40;k[19156]=k[19271]}else{a=77044;do{b=k[a>>2]|0;c=a+4|0;d=k[c>>2]|0;if((f|0)==(b+d|0)){w=200;break}a=k[a+8>>2]|0}while((a|0)!=0);if((w|0)==200)if(!(k[a+12>>2]&8))if(j>>>0<f>>>0&j>>>0>=b>>>0){k[c>>2]=d+g;C=j+8|0;C=(C&7|0)==0?0:0-C&7;B=j+C|0;C=g-C+(k[19152]|0)|0;k[19155]=B;k[19152]=C;k[B+4>>2]=C|1;k[B+C+4>>2]=40;k[19156]=k[19271];break}a=k[19153]|0;if(f>>>0<a>>>0){k[19153]=f;h=f}else h=a;b=f+g|0;a=77044;while(1){if((k[a>>2]|0)==(b|0)){w=208;break}a=k[a+8>>2]|0;if(!a){b=77044;break}}if((w|0)==208)if(!(k[a+12>>2]&8)){k[a>>2]=f;m=a+4|0;k[m>>2]=(k[m>>2]|0)+g;m=f+8|0;m=f+((m&7|0)==0?0:0-m&7)|0;a=b+8|0;a=b+((a&7|0)==0?0:0-a&7)|0;l=m+n|0;i=a-m-n|0;k[m+4>>2]=n|3;do if((a|0)==(j|0)){C=(k[19152]|0)+i|0;k[19152]=C;k[19155]=l;k[l+4>>2]=C|1}else{if((a|0)==(k[19154]|0)){C=(k[19151]|0)+i|0;k[19151]=C;k[19154]=l;k[l+4>>2]=C|1;k[l+C>>2]=C;break}b=k[a+4>>2]|0;if((b&3|0)==1){g=b&-8;e=b>>>3;e:do if(b>>>0<256){c=k[a+8>>2]|0;d=k[a+12>>2]|0;b=76636+(e<<1<<2)|0;do if((c|0)!=(b|0)){if(c>>>0<h>>>0)Za();if((k[c+12>>2]|0)==(a|0))break;Za()}while(0);if((d|0)==(c|0)){k[19149]=k[19149]&~(1<<e);break}do if((d|0)==(b|0))x=d+8|0;else{if(d>>>0<h>>>0)Za();b=d+8|0;if((k[b>>2]|0)==(a|0)){x=b;break}Za()}while(0);k[c+12>>2]=d;k[x>>2]=c}else{f=k[a+24>>2]|0;d=k[a+12>>2]|0;do if((d|0)==(a|0)){d=a+16|0;c=d+4|0;b=k[c>>2]|0;if(!b){b=k[d>>2]|0;if(!b){A=0;break}else c=d}while(1){d=b+20|0;e=k[d>>2]|0;if(e|0){b=e;c=d;continue}d=b+16|0;e=k[d>>2]|0;if(!e)break;else{b=e;c=d}}if(c>>>0<h>>>0)Za();else{k[c>>2]=0;A=b;break}}else{e=k[a+8>>2]|0;if(e>>>0<h>>>0)Za();b=e+12|0;if((k[b>>2]|0)!=(a|0))Za();c=d+8|0;if((k[c>>2]|0)==(a|0)){k[b>>2]=d;k[c>>2]=e;A=d;break}else Za()}while(0);if(!f)break;b=k[a+28>>2]|0;c=76900+(b<<2)|0;do if((a|0)==(k[c>>2]|0)){k[c>>2]=A;if(A|0)break;k[19150]=k[19150]&~(1<<b);break e}else{if(f>>>0<(k[19153]|0)>>>0)Za();b=f+16|0;if((k[b>>2]|0)==(a|0))k[b>>2]=A;else k[f+20>>2]=A;if(!A)break e}while(0);d=k[19153]|0;if(A>>>0<d>>>0)Za();k[A+24>>2]=f;b=a+16|0;c=k[b>>2]|0;do if(c|0)if(c>>>0<d>>>0)Za();else{k[A+16>>2]=c;k[c+24>>2]=A;break}while(0);b=k[b+4>>2]|0;if(!b)break;if(b>>>0<(k[19153]|0)>>>0)Za();else{k[A+20>>2]=b;k[b+24>>2]=A;break}}while(0);a=a+g|0;e=g+i|0}else e=i;a=a+4|0;k[a>>2]=k[a>>2]&-2;k[l+4>>2]=e|1;k[l+e>>2]=e;a=e>>>3;if(e>>>0<256){c=76636+(a<<1<<2)|0;b=k[19149]|0;a=1<<a;do if(!(b&a)){k[19149]=b|a;B=c;C=c+8|0}else{a=c+8|0;b=k[a>>2]|0;if(b>>>0>=(k[19153]|0)>>>0){B=b;C=a;break}Za()}while(0);k[C>>2]=l;k[B+12>>2]=l;k[l+8>>2]=B;k[l+12>>2]=c;break}a=e>>>8;do if(!a)a=0;else{if(e>>>0>16777215){a=31;break}B=(a+1048320|0)>>>16&8;C=a<<B;A=(C+520192|0)>>>16&4;C=C<<A;a=(C+245760|0)>>>16&2;a=14-(A|B|a)+(C<<a>>>15)|0;a=e>>>(a+7|0)&1|a<<1}while(0);d=76900+(a<<2)|0;k[l+28>>2]=a;b=l+16|0;k[b+4>>2]=0;k[b>>2]=0;b=k[19150]|0;c=1<<a;if(!(b&c)){k[19150]=b|c;k[d>>2]=l;k[l+24>>2]=d;k[l+12>>2]=l;k[l+8>>2]=l;break}b=e<<((a|0)==31?0:25-(a>>>1)|0);d=k[d>>2]|0;while(1){if((k[d+4>>2]&-8|0)==(e|0)){w=278;break}c=d+16+(b>>>31<<2)|0;a=k[c>>2]|0;if(!a){w=275;break}else{b=b<<1;d=a}}if((w|0)==275)if(c>>>0<(k[19153]|0)>>>0)Za();else{k[c>>2]=l;k[l+24>>2]=d;k[l+12>>2]=l;k[l+8>>2]=l;break}else if((w|0)==278){a=d+8|0;b=k[a>>2]|0;C=k[19153]|0;if(b>>>0>=C>>>0&d>>>0>=C>>>0){k[b+12>>2]=l;k[a>>2]=l;k[l+8>>2]=b;k[l+12>>2]=d;k[l+24>>2]=0;break}else Za()}}while(0);C=m+8|0;r=D;return C|0}else b=77044;while(1){a=k[b>>2]|0;if(a>>>0<=j>>>0){c=a+(k[b+4>>2]|0)|0;if(c>>>0>j>>>0)break}b=k[b+8>>2]|0}e=c+-47|0;b=e+8|0;b=e+((b&7|0)==0?0:0-b&7)|0;e=j+16|0;b=b>>>0<e>>>0?j:b;a=b+8|0;d=f+8|0;d=(d&7|0)==0?0:0-d&7;C=f+d|0;d=g+-40-d|0;k[19155]=C;k[19152]=d;k[C+4>>2]=d|1;k[C+d+4>>2]=40;k[19156]=k[19271];d=b+4|0;k[d>>2]=27;k[a>>2]=k[19261];k[a+4>>2]=k[19262];k[a+8>>2]=k[19263];k[a+12>>2]=k[19264];k[19261]=f;k[19262]=g;k[19264]=0;k[19263]=a;a=b+24|0;do{a=a+4|0;k[a>>2]=7}while((a+4|0)>>>0<c>>>0);if((b|0)!=(j|0)){f=b-j|0;k[d>>2]=k[d>>2]&-2;k[j+4>>2]=f|1;k[b>>2]=f;a=f>>>3;if(f>>>0<256){c=76636+(a<<1<<2)|0;b=k[19149]|0;a=1<<a;if(!(b&a)){k[19149]=b|a;y=c;z=c+8|0}else{a=c+8|0;b=k[a>>2]|0;if(b>>>0<(k[19153]|0)>>>0)Za();else{y=b;z=a}}k[z>>2]=j;k[y+12>>2]=j;k[j+8>>2]=y;k[j+12>>2]=c;break}a=f>>>8;if(!a)c=0;else if(f>>>0>16777215)c=31;else{B=(a+1048320|0)>>>16&8;C=a<<B;A=(C+520192|0)>>>16&4;C=C<<A;c=(C+245760|0)>>>16&2;c=14-(A|B|c)+(C<<c>>>15)|0;c=f>>>(c+7|0)&1|c<<1}d=76900+(c<<2)|0;k[j+28>>2]=c;k[j+20>>2]=0;k[e>>2]=0;a=k[19150]|0;b=1<<c;if(!(a&b)){k[19150]=a|b;k[d>>2]=j;k[j+24>>2]=d;k[j+12>>2]=j;k[j+8>>2]=j;break}b=f<<((c|0)==31?0:25-(c>>>1)|0);d=k[d>>2]|0;while(1){if((k[d+4>>2]&-8|0)==(f|0)){w=304;break}c=d+16+(b>>>31<<2)|0;a=k[c>>2]|0;if(!a){w=301;break}else{b=b<<1;d=a}}if((w|0)==301)if(c>>>0<(k[19153]|0)>>>0)Za();else{k[c>>2]=j;k[j+24>>2]=d;k[j+12>>2]=j;k[j+8>>2]=j;break}else if((w|0)==304){a=d+8|0;b=k[a>>2]|0;C=k[19153]|0;if(b>>>0>=C>>>0&d>>>0>=C>>>0){k[b+12>>2]=j;k[a>>2]=j;k[j+8>>2]=b;k[j+12>>2]=d;k[j+24>>2]=0;break}else Za()}}}while(0);a=k[19152]|0;if(a>>>0>n>>>0){A=a-n|0;k[19152]=A;C=k[19155]|0;B=C+n|0;k[19155]=B;k[B+4>>2]=A|1;k[C+4>>2]=n|3;C=C+8|0;r=D;return C|0}}C=v9()|0;k[C>>2]=12;C=0;r=D;return C|0}function qd(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;k[dc+32>>2]=d;if((cc|0)==1)cc=3}Qc(fc+24100|0)}function rd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;A=0;w=r;r=r+144|0;u=w+124|0;v=w+120|0;m=w+108|0;d=w+84|0;e=w+96|0;h=w+72|0;j=w+36|0;n=w+24|0;p=w+60|0;q=w+48|0;s=w+12|0;t=w;k[a>>2]=14128;ea=a+4|0;kD(ea);o=a+16|0;k[o>>2]=b;da=a+20|0;k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;y=0;Na(75,da|0,82159,0);ca=y;y=0;if(ca&1){da=pb()|0;$9(ea);sb(da|0)}k[a+32>>2]=0;ca=a+36|0;y=0;na(376,ca|0);ba=y;y=0;if(ba&1)b=pb()|0;else{aa=a+72|0;y=0;oa(538,aa|0,k[o>>2]|0);ba=y;y=0;if(ba&1)b=pb()|0;else{_=a+200|0;ba=a+204|0;X=a+212|0;$=a+216|0;Y=a+224|0;k[a+228>>2]=0;k[a+232>>2]=0;Z=a+228|0;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;k[_+12>>2]=0;k[_+16>>2]=0;k[_+20>>2]=0;k[Y>>2]=Z;V=a+236|0;W=a+240|0;T=a+252|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;k[V+12>>2]=0;k[V+16>>2]=0;k[V+20>>2]=0;k[a+248>>2]=T;S=a+260|0;k[S>>2]=0;U=a+264|0;k[U>>2]=0;k[a+268>>2]=0;Q=a+276|0;R=a+280|0;O=a+288|0;P=a+292|0;L=a+300|0;M=a+304|0;J=a+312|0;K=a+316|0;G=a+324|0;I=a+328|0;E=a+336|0;H=a+340|0;D=a+348|0;F=a+352|0;C=a+360|0;b=Q;c=b+84|0;do{k[b>>2]=0;b=b+4|0}while((b|0)<(c|0));y=0;b=Ha(975,k[(k[o>>2]|0)+8>>2]|0,45182)|0;B=y;y=0;if(B&1)A=74;else{k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;B=JI(b)|0;y=0;Na(75,C|0,b|0,B|0);B=y;y=0;if(B&1)A=74;else{B=a+372|0;y=0;b=Ha(975,k[(k[o>>2]|0)+12>>2]|0,47537)|0;z=y;y=0;if(z&1)A=75;else{k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;z=JI(b)|0;y=0;Na(75,B|0,b|0,z|0);z=y;y=0;if(z&1)A=75;else{z=a+384|0;g=k[(k[o>>2]|0)+24>>2]|0;g=g|0?g:82159;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;x=JI(g)|0;y=0;Na(75,d|0,g|0,x|0);x=y;y=0;do if(x&1){b=pb()|0;c=N;A=77}else{x=i[d+11>>0]|0;if(!((x<<24>>24<0?k[d+4>>2]|0:x&255)|0)){y=0;b=sa(21,d|0,0,-1,82159,0)|0;x=y;y=0;if(x&1){x=tb(0)|0;dla(x)}if(!b){k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(75,e|0,46731,5);x=y;y=0;if(x&1)A=15}else A=14}else A=14;if((A|0)==14){y=0;oa(452,e|0,d|0);x=y;y=0;if(x&1)A=15}if((A|0)==15){b=pb()|0;c=N;$9(d);A=77;break}$9(d);y=0;oa(534,z|0,e|0);x=y;y=0;if(x&1){b=pb()|0;c=N;$9(e);break}$9(e);x=a+396|0;g=k[(k[o>>2]|0)+28>>2]|0;g=g|0?g:82159;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;A=JI(g)|0;y=0;Na(75,m|0,g|0,A|0);A=y;y=0;do if(A&1){b=pb()|0;c=N;A=80}else{f=m+11|0;A=i[f>>0]|0;g=m+4|0;a:do if(!((A<<24>>24<0?k[g>>2]|0:A&255)|0)){y=0;b=sa(21,m|0,0,-1,82159,0)|0;A=y;y=0;if(A&1){A=tb(0)|0;dla(A)}if(b|0){A=40;break}d=z+11|0;c=i[d>>0]|0;e=a+388|0;b=k[e>>2]|0;if(!((c<<24>>24<0?b:c&255)|0)){y=0;b=sa(21,z|0,0,-1,82159,0)|0;A=y;y=0;if(A&1){A=tb(0)|0;dla(A)}if(!b){A=40;break}d=i[d>>0]|0;b=k[e>>2]|0}else d=c;A=d<<24>>24<0;c=A?k[z>>2]|0:z;e=c;b=c+(A?b:d&255)|0;while(1){if((b|0)==(c|0)){A=30;break}b=b+-1|0;if(Ty(50724,l[b>>0]|0,1)|0){A=31;break}}do if((A|0)==30){b=u;A=33}else if((A|0)==31){b=b-e|0;if((b|0)<=-1){b=u;A=33;break}y=0;ma(4,u|0,z|0,0,b|0,z|0);A=y;y=0;if(A&1)A=37;else{b=u;A=34}}while(0);if((A|0)==33){y=0;oa(452,u|0,z|0);A=y;y=0;if(A&1)A=37;else A=34}if((A|0)==34){k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;g=i[u+11>>0]|0;f=g<<24>>24<0;g=f?k[u+4>>2]|0:g&255;y=0;Ra(10,h|0,(f?k[u>>2]|0:b)|0,g|0,g+4|0);g=y;y=0;do if(!(g&1)){y=0;ta(47,h|0,38922,4)|0;g=y;y=0;if(g&1)break;$9(u);break a}while(0);b=pb()|0;c=N;$9(h);$9(u)}else if((A|0)==37){b=pb()|0;c=N}A=47}else A=40;while(0);b:do if((A|0)==40){f=i[f>>0]|0;do if(!((f<<24>>24<0?k[g>>2]|0:f&255)|0)){y=0;b=sa(21,m|0,0,-1,82159,0)|0;g=y;y=0;if(g&1){g=tb(0)|0;dla(g)}if(b|0){A=45;break}k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,32302,6);g=y;y=0;if(!(g&1))break b}else A=45;while(0);if((A|0)==45){y=0;oa(452,h|0,m|0);g=y;y=0;if(!(g&1))break}b=pb()|0;c=N;A=47}while(0);if((A|0)==47){$9(m);A=80;break}$9(m);y=0;oa(534,x|0,h|0);m=y;y=0;if(m&1){b=pb()|0;c=N;$9(h);break}$9(h);m=a+408|0;y=0;b=Ha(975,k[(k[o>>2]|0)+48>>2]|0,82159)|0;h=y;y=0;do if(h&1)A=82;else{k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;h=JI(b)|0;y=0;Na(75,j|0,b|0,h|0);h=y;y=0;if(h&1){A=82;break}y=0;oa(534,m|0,j|0);h=y;y=0;if(h&1){b=pb()|0;c=N;$9(j);break}$9(j);h=a+420|0;y=0;b=Ha(975,k[(k[o>>2]|0)+52>>2]|0,82159)|0;j=y;y=0;do if(j&1)A=84;else{k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;j=JI(b)|0;y=0;Na(75,n|0,b|0,j|0);j=y;y=0;if(j&1){A=84;break}y=0;oa(534,h|0,n|0);j=y;y=0;if(j&1){b=pb()|0;c=N;$9(n);break}$9(n);b=k[K>>2]|0;do if((b|0)==(k[a+320>>2]|0)){y=0;oa(460,J|0,ea|0);A=y;y=0;if(A&1)A=88;else A=59}else{y=0;oa(452,b|0,ea|0);A=y;y=0;if(A&1){A=88;break}k[K>>2]=(k[K>>2]|0)+12;A=59}while(0);c:do if((A|0)==59){y=0;oa(539,a|0,k[(k[o>>2]|0)+32>>2]|0);n=y;y=0;if(n&1){A=88;break}c=k[o>>2]|0;b=k[c+40>>2]|0;do if(!b)b=c;else{while(1){y=0;oa(539,a|0,k[b+4>>2]|0);A=y;y=0;if(A&1){A=87;break}b=k[b>>2]|0;if(!b){A=63;break}}if((A|0)==63){b=k[o>>2]|0;break}else if((A|0)==87){b=pb()|0;c=N;A=89;break c}}while(0);y=0;oa(540,a|0,k[b+36>>2]|0);n=y;y=0;if(n&1){A=88;break}b=k[(k[o>>2]|0)+44>>2]|0;d:do if(b|0){while(1){y=0;oa(540,a|0,k[b+4>>2]|0);o=y;y=0;if(o&1)break;b=k[b>>2]|0;if(!b)break d}b=pb()|0;c=N;A=89;break c}while(0);b=k[L>>2]|0;c=k[M>>2]|0;e:do if((b|0)!=(c|0)){while(1){y=0;oa(452,p|0,b|0);o=y;y=0;if(o&1){A=93;break}y=0;Ha(976,ca|0,p|0)|0;o=y;y=0;if(o&1){A=94;break}$9(p);b=b+12|0;if((b|0)==(c|0))break e}if((A|0)==93){b=pb()|0;c=N;break c}else if((A|0)==94){b=pb()|0;c=N;$9(p);break c}}while(0);y=0;oa(541,q|0,ca|0);p=y;y=0;if(p&1){A=88;break}b=k[q>>2]|0;g=q+4|0;e=k[g>>2]|0;do if((b|0)!=(e|0)){f=a+332|0;while(1){c=k[b>>2]|0;k[u>>2]=c;d=k[I>>2]|0;if((d|0)==(k[f>>2]|0)){y=0;oa(542,G|0,u|0);p=y;y=0;if(p&1)break}else{k[d>>2]=c;k[I>>2]=(k[I>>2]|0)+4}b=b+4|0;if((b|0)==(e|0)){A=97;break}}if((A|0)==97){b=k[q>>2]|0;break}b=pb()|0;c=N;d=k[q>>2]|0;e=d;if(d|0){f=k[g>>2]|0;if((f|0)!=(d|0))k[g>>2]=f+(~((f+-4-e|0)>>>2)<<2);zqa(d)}break c}while(0);c=b;if(b|0){d=k[g>>2]|0;if((d|0)!=(b|0))k[g>>2]=d+(~((d+-4-c|0)>>>2)<<2);zqa(b)}y=0;oa(541,s|0,a+48|0);q=y;y=0;if(q&1){A=88;break}b=k[s>>2]|0;g=s+4|0;e=k[g>>2]|0;do if((b|0)!=(e|0)){f=a+344|0;while(1){c=k[b>>2]|0;k[u>>2]=c;d=k[H>>2]|0;if((d|0)==(k[f>>2]|0)){y=0;oa(542,E|0,u|0);q=y;y=0;if(q&1)break}else{k[d>>2]=c;k[H>>2]=(k[H>>2]|0)+4}b=b+4|0;if((b|0)==(e|0)){A=114;break}}if((A|0)==114){b=k[s>>2]|0;break}b=pb()|0;c=N;d=k[s>>2]|0;e=d;if(d|0){f=k[g>>2]|0;if((f|0)!=(d|0))k[g>>2]=f+(~((f+-4-e|0)>>>2)<<2);zqa(d)}break c}while(0);c=b;if(b|0){d=k[g>>2]|0;if((d|0)!=(b|0))k[g>>2]=d+(~((d+-4-c|0)>>>2)<<2);zqa(b)}y=0;oa(543,t|0,a+60|0);s=y;y=0;if(s&1){A=88;break}b=k[t>>2]|0;g=t+4|0;e=k[g>>2]|0;do if((b|0)!=(e|0)){f=a+356|0;while(1){c=k[b>>2]|0;k[u>>2]=c;d=k[F>>2]|0;if((d|0)==(k[f>>2]|0)){y=0;oa(544,D|0,u|0);s=y;y=0;if(s&1)break}else{k[d>>2]=c;k[F>>2]=(k[F>>2]|0)+4}b=b+4|0;if((b|0)==(e|0)){A=131;break}}if((A|0)==131){b=k[t>>2]|0;break}b=pb()|0;c=N;d=k[t>>2]|0;e=d;if(d|0){f=k[g>>2]|0;if((f|0)!=(d|0))k[g>>2]=f+(~((f+-4-e|0)>>>2)<<2);zqa(d)}break c}while(0);c=b;if(b|0){d=k[g>>2]|0;if((d|0)!=(b|0))k[g>>2]=d+(~((d+-4-c|0)>>>2)<<2);zqa(b)}s=k[G>>2]|0;t=k[I>>2]|0;k[v>>2]=977;y=0;Na(99,s|0,t|0,v|0);v=y;y=0;if(v&1){A=88;break}t=k[E>>2]|0;v=k[H>>2]|0;k[u>>2]=977;y=0;Na(99,t|0,v|0,u|0);v=y;y=0;if(v&1){A=88;break}y=0;Ra(20,u|0,x|0,m|0,ea|0);v=y;y=0;do if(v&1){b=pb()|0;c=N}else{y=0;oa(545,a+76|0,u|0);v=y;y=0;if(v&1){b=pb()|0;c=N;$9(u);break}else{$9(u);r=w;return}}while(0)}while(0);if((A|0)==88){b=pb()|0;c=N;A=89}$9(h)}while(0);if((A|0)==84){b=pb()|0;c=N}$9(m)}while(0);if((A|0)==82){b=pb()|0;c=N}$9(x)}while(0);$9(z)}while(0);$9(B)}}if((A|0)==75){b=pb()|0;c=N}$9(C);f=c}}if((A|0)==74){b=pb()|0;f=N}c=k[D>>2]|0;d=c;if(c|0){e=k[F>>2]|0;if((e|0)!=(c|0))k[F>>2]=e+(~((e+-4-d|0)>>>2)<<2);zqa(c)}c=k[E>>2]|0;d=c;if(c|0){e=k[H>>2]|0;if((e|0)!=(c|0))k[H>>2]=e+(~((e+-4-d|0)>>>2)<<2);zqa(c)}c=k[G>>2]|0;d=c;if(c|0){e=k[I>>2]|0;if((e|0)!=(c|0))k[I>>2]=e+(~((e+-4-d|0)>>>2)<<2);zqa(c)}c=k[J>>2]|0;if(c|0){d=k[K>>2]|0;if((d|0)!=(c|0)){do{I=d+-12|0;k[K>>2]=I;$9(I);d=k[K>>2]|0}while((d|0)!=(c|0));c=k[J>>2]|0}zqa(c)}c=k[L>>2]|0;if(c|0){d=k[M>>2]|0;if((d|0)!=(c|0)){do{K=d+-12|0;k[M>>2]=K;$9(K);d=k[M>>2]|0}while((d|0)!=(c|0));c=k[L>>2]|0}zqa(c)}c=k[O>>2]|0;if(c|0){d=k[P>>2]|0;if((d|0)!=(c|0)){do{M=d+-12|0;k[P>>2]=M;$9(M);d=k[P>>2]|0}while((d|0)!=(c|0));c=k[O>>2]|0}zqa(c)}c=k[Q>>2]|0;if(c|0){d=k[R>>2]|0;if((d|0)!=(c|0)){do{P=d+-12|0;k[R>>2]=P;$9(P);d=k[R>>2]|0}while((d|0)!=(c|0));c=k[Q>>2]|0}zqa(c)}c=k[S>>2]|0;d=c;if(c|0){e=k[U>>2]|0;if((e|0)!=(c|0))k[U>>2]=e+(~((e+-4-d|0)>>>2)<<2);zqa(c)}Wx(a+248|0,k[T>>2]|0);c=k[V>>2]|0;if(c|0){d=k[W>>2]|0;if((d|0)!=(c|0)){do{a=d+-8|0;k[W>>2]=a;EO(d+-4|0);EO(a);d=k[W>>2]|0}while((d|0)!=(c|0));c=k[V>>2]|0}zqa(c)}WB(Y,k[Z>>2]|0);c=k[X>>2]|0;d=c;if(c|0){e=k[$>>2]|0;if((e|0)!=(c|0))k[$>>2]=e+(~((e+-8-d|0)>>>3)<<3);zqa(c)}c=k[_>>2]|0;d=c;if(c|0){e=k[ba>>2]|0;if((e|0)!=(c|0))k[ba>>2]=e+(~((e+-4-d|0)>>>2)<<2);zqa(c)}tL(aa)}HF(ca)}$9(da);da=b;$9(ea);sb(da|0)}function sd(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0,sa=0,ua=0;sa=0;$=r;r=r+480|0;F=$+440|0;ia=$+424|0;ba=$+412|0;X=$+408|0;Y=$+404|0;Z=$+400|0;_=$+56|0;ra=$+396|0;G=$+384|0;H=$+16|0;p=$+376|0;I=$+372|0;q=$+364|0;J=$+360|0;E=$+344|0;D=$+300|0;s=$+380|0;t=$+368|0;z=$+296|0;x=$+284|0;u=$+8|0;v=$+348|0;w=$+304|0;pa=$+272|0;ma=$+268|0;K=$+280|0;L=$+276|0;ea=$+200|0;M=$;O=$+256|0;P=$+216|0;la=$+196|0;ka=$+192|0;aa=$+188|0;Q=$+180|0;R=$+172|0;ja=$+184|0;fa=$+176|0;S=$+128|0;ga=$+120|0;ha=$+116|0;ca=$+112|0;da=$+168|0;T=$+108|0;U=$+104|0;V=$+100|0;W=$+96|0;d=k[b>>2]|0;if(!d)d=0;else d=pw(d,88,104,0)|0;_V(ia,d);d=k[ia>>2]|0;a:do if(d|0){e=k[d+76>>2]|0;h=k[d+80>>2]|0;if((e|0)!=(h|0)){j=a+4|0;l=x+11|0;m=x+4|0;n=a+84|0;o=a+88|0;b:while(1){y=0;oa(464,E|0,e|0);C=y;y=0;if(C&1){sa=13;break}y=0;oa(464,D|0,E|0);C=y;y=0;if(C&1){sa=14;break}d=k[D>>2]|0;if(d|0)do{y=0;oa(464,q|0,d+76|0);C=y;y=0;if(C&1){sa=15;break b}C=k[q>>2]|0;k[s>>2]=C;EO(s);if(C|0){y=0;oa(464,p|0,(k[D>>2]|0)+76|0);C=y;y=0;if(C&1){sa=15;break b}g=k[p>>2]|0;k[t>>2]=g;EO(t);d=k[g+76>>2]|0;g=k[g+80>>2]|0;if((d|0)!=(g|0))do{y=0;oa(464,z|0,d|0);C=y;y=0;if(C&1){sa=18;break b}f=k[z>>2]|0;if(f|0)if(pw(f,144,384,0)|0){C=k[E>>2]|0;B=k[(k[C>>2]|0)+28>>2]|0;ua=k[(k[j>>2]|0)+16>>2]|0;f=k[ua+4>>2]|0;A=u;k[A>>2]=k[ua>>2];k[A+4>>2]=f;y=0;k[F>>2]=k[u>>2];k[F+4>>2]=k[u+4>>2];Na(B|0,x|0,C|0,F|0);C=y;y=0;if(C&1){sa=19;break b}k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;f=i[l>>0]|0;f=f<<24>>24<0?k[m>>2]|0:f&255;y=0;Ra(10,ba|0,43042,13,f+13|0);ua=y;y=0;if(ua&1){sa=30;break b}y=0;ta(47,ba|0,((i[l>>0]|0)<0?k[x>>2]|0:x)|0,f|0)|0;ua=y;y=0;if(ua&1){sa=30;break b}y=0;f=Ha(970,ba|0,43056)|0;ua=y;y=0;if(ua&1){sa=31;break b}k[v>>2]=k[f>>2];k[v+4>>2]=k[f+4>>2];k[v+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;C=w;A=(k[z>>2]|0)+12|0;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));f=k[o>>2]|0;if((f|0)==(k[n>>2]|0))f=0;else f=k[f+-4>>2]|0;y=0;C=F;A=w;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));Na(103,v|0,F|0,f|0);ua=y;y=0;if(ua&1){sa=32;break b}$9(v);$9(ba);$9(x)}EO(z);d=d+4|0}while((d|0)!=(g|0))}y=0;oa(464,ra|0,(k[D>>2]|0)+80|0);ua=y;y=0;if(ua&1){sa=39;break b}k[F>>2]=k[ra>>2];y=0;Ha(966,D|0,F|0)|0;ua=y;y=0;if(ua&1){sa=40;break b}EO(F);d=k[D>>2]|0}while((d|0)!=0);EO(D);EO(E);e=e+4|0;if((e|0)==(h|0))break a}switch(sa|0){case 13:{d=pb()|0;break}case 14:{d=pb()|0;sa=44;break}case 15:{d=pb()|0;sa=43;break}case 18:{d=pb()|0;sa=43;break}case 19:{d=pb()|0;sa=35;break}case 30:{d=pb()|0;$9(ba);sa=34;break}case 31:{d=pb()|0;sa=33;break}case 32:{d=pb()|0;$9(v);sa=33;break}case 39:{d=pb()|0;sa=41;break}case 40:{d=pb()|0;EO(F);sa=41;break}}if((sa|0)==33){$9(ba);sa=34}else if((sa|0)==41)sa=43;if((sa|0)==34){$9(x);sa=35}if((sa|0)==35){EO(z);sa=43}if((sa|0)==43){EO(D);sa=44}if((sa|0)==44)EO(E);EO(ia);ua=d;sb(ua|0)}}while(0);EO(ia);d=k[b>>2]|0;d=Fc[k[(k[d>>2]|0)+52>>2]&2047](d,a+8|0)|0;if(!d)d=0;else d=pw(d,40,104,0)|0;_V(ra,d);d=k[ra>>2]|0;if(!d){EO(ra);r=$;return}e=k[d+76>>2]|0;o=k[d+80>>2]|0;if((e|0)==(o|0)){EO(ra);r=$;return}b=a+4|0;p=ea+11|0;q=ea+4|0;s=a+84|0;m=a+88|0;n=F+4|0;c:while(1){y=0;oa(464,pa|0,e|0);ua=y;y=0;if(ua&1){sa=66;break}y=0;oa(464,ma|0,pa|0);ua=y;y=0;if(ua&1){sa=67;break}y=0;oa(464,X|0,(k[ma>>2]|0)+76|0);ua=y;y=0;if(ua&1){sa=68;break}ua=k[X>>2]|0;k[K>>2]=ua;if(!ua){EO(K);sa=58}else{y=0;oa(464,ia|0,(k[ma>>2]|0)+80|0);ua=y;y=0;if(ua&1){sa=69;break}ua=k[ia>>2]|0;k[L>>2]=ua;EO(L);EO(K);if(ua|0)sa=58}if((sa|0)==58){sa=0;ua=k[ra>>2]|0;a=k[(k[ua>>2]|0)+28>>2]|0;C=k[(k[b>>2]|0)+16>>2]|0;D=k[C+4>>2]|0;E=M;k[E>>2]=k[C>>2];k[E+4>>2]=D;y=0;k[F>>2]=k[M>>2];k[F+4>>2]=k[M+4>>2];Na(a|0,ea|0,ua|0,F|0);ua=y;y=0;if(ua&1){sa=68;break}k[ia>>2]=0;k[ia+4>>2]=0;k[ia+8>>2]=0;d=i[p>>0]|0;d=d<<24>>24<0?k[q>>2]|0:d&255;y=0;Ra(10,ia|0,43042,13,d+13|0);ua=y;y=0;if(ua&1){sa=70;break}y=0;ta(47,ia|0,((i[p>>0]|0)<0?k[ea>>2]|0:ea)|0,d|0)|0;ua=y;y=0;if(ua&1){sa=70;break}y=0;d=Ha(970,ia|0,43088)|0;ua=y;y=0;if(ua&1){sa=71;break}k[O>>2]=k[d>>2];k[O+4>>2]=k[d+4>>2];k[O+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;C=P;A=(k[ma>>2]|0)+12|0;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));d=k[m>>2]|0;if((d|0)==(k[s>>2]|0))d=0;else d=k[d+-4>>2]|0;y=0;C=F;A=P;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));Na(103,O|0,F|0,d|0);ua=y;y=0;if(ua&1){sa=72;break}$9(O);$9(ia);$9(ea)}y=0;oa(464,F|0,(k[ma>>2]|0)+76|0);ua=y;y=0;if(ua&1){sa=68;break}d=k[F>>2]|0;k[la>>2]=d;if(i[(k[ra>>2]|0)+62>>0]|0)i[d+62>>0]=1;f=k[c>>2]|0;h=(k[f+80>>2]|0)-(k[f+76>>2]|0)>>2;d:do if(h|0){d=0;while(1){y=0;oa(464,ka|0,(k[f+76>>2]|0)+(d<<2)|0);ua=y;y=0;if(ua&1){sa=89;break c}y=0;oa(464,ba|0,(k[ka>>2]|0)+76|0);ua=y;y=0;if(ua&1){sa=90;break c}ua=k[ba>>2]|0;k[aa>>2]=ua;do if(!ua){EO(aa);sa=94}else{y=0;oa(464,Y|0,(k[ka>>2]|0)+76|0);ua=y;y=0;if(ua&1){sa=91;break c}ua=k[Y>>2]|0;k[Q>>2]=ua;if((k[ua+80>>2]|0)==(k[ua+76>>2]|0)){EO(Q);EO(aa);sa=94;break}y=0;oa(464,Z|0,(k[ka>>2]|0)+76|0);ua=y;y=0;if(ua&1){sa=112;break c}f=k[Z>>2]|0;k[R>>2]=f;f=k[k[f+76>>2]>>2]|0;if(!f)f=0;else f=pw(f,144,384,0)|0;EO(R);EO(Q);EO(aa);if(!f)sa=94}while(0);if((sa|0)==94){sa=0;y=0;l=qa(332,108)|0;ua=y;y=0;if(ua&1){sa=90;break c}C=_;A=(k[(k[(k[c>>2]|0)+76>>2]|0)+(d<<2)>>2]|0)+12|0;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));y=0;na(366,l|0);ua=y;y=0;if(ua&1){sa=114;break c}C=l+12|0;A=_;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l>>2]=11396;i[l+60>>0]=0;i[l+61>>0]=0;i[l+62>>0]=0;k[l+64>>2]=0;k[l+68>>2]=0;k[l+56>>2]=7;f=l+72|0;k[f>>2]=13580;j=l+76|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(516,j|0,0);ua=y;y=0;if(ua&1){sa=97;break c}k[l>>2]=13364;k[f>>2]=13540;ua=l+96|0;k[ua>>2]=0;k[l+100>>2]=0;k[l+92>>2]=ua;i[l+104>>0]=0;i[l+105>>0]=0;y=0;oa(482,ja|0,l|0);ua=y;y=0;if(ua&1){sa=90;break c}f=(k[c>>2]|0)+76|0;k[(k[ja>>2]|0)+64>>2]=k[(k[(k[f>>2]|0)+(d<<2)>>2]|0)+64>>2];y=0;g=qa(332,88)|0;ua=y;y=0;if(ua&1){sa=116;break c}C=S;A=(k[(k[f>>2]|0)+(d<<2)>>2]|0)+12|0;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));y=0;oa(482,ga|0,0);ua=y;y=0;if(ua&1){sa=117;break c}y=0;oa(482,ha|0,0);ua=y;y=0;if(ua&1){sa=118;break c}y=0;oa(482,ca|0,0);ua=y;y=0;if(ua&1){sa=119;break c}y=0;C=F;A=S;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));ya(11,g|0,F|0,0,ga|0,ha|0,ca|0);ua=y;y=0;if(ua&1){d=1;sa=120;break c}y=0;oa(482,fa|0,g|0);ua=y;y=0;if(ua&1){d=0;sa=120;break c}EO(ca);EO(ha);EO(ga);f=k[fa>>2]|0;g=(k[c>>2]|0)+76|0;k[f+64>>2]=k[(k[(k[g>>2]|0)+(d<<2)>>2]|0)+64>>2];if(i[(k[ka>>2]|0)+60>>0]|0)i[f+60>>0]=1;y=0;f=qa(332,104)|0;ua=y;y=0;if(ua&1){sa=123;break c}DN(H|0,(k[(k[g>>2]|0)+(d<<2)>>2]|0)+12|0,40)|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;y=0;Na(75,G|0,44146,1);ua=y;y=0;if(ua&1){sa=138;break c}y=0;C=F;A=H;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));Na(88,f|0,F|0,G|0);ua=y;y=0;if(ua&1){sa=127;break c}$9(G);k[f>>2]=11880;i[f+101>>0]=1;y=0;oa(482,da|0,f|0);ua=y;y=0;if(ua&1){sa=123;break c}ua=k[da>>2]|0;k[ua+64>>2]=k[(k[(k[(k[c>>2]|0)+76>>2]|0)+(d<<2)>>2]|0)+64>>2];y=0;oa(514,k[ja>>2]|0,ua|0);ua=y;y=0;if(ua&1){sa=140;break c}f=k[fa>>2]|0;y=0;oa(464,U|0,ka|0);ua=y;y=0;if(ua&1){sa=140;break c}f=f+80|0;y=0;Ha(966,f|0,U|0)|0;ua=y;y=0;if(ua&1){sa=141;break c}y=0;oa(464,I|0,f|0);ua=y;y=0;if(ua&1){sa=141;break c}k[T>>2]=k[I>>2];EO(T);EO(U);f=k[fa>>2]|0;y=0;oa(464,W|0,ja|0);ua=y;y=0;if(ua&1){sa=140;break c}f=f+76|0;y=0;Ha(966,f|0,W|0)|0;ua=y;y=0;if(ua&1){sa=142;break c}y=0;oa(464,J|0,f|0);ua=y;y=0;if(ua&1){sa=142;break c}k[V>>2]=k[J>>2];EO(V);EO(W);y=0;Ha(966,ka|0,fa|0)|0;ua=y;y=0;if(ua&1){sa=140;break c}EO(da);EO(fa);EO(ja)}f=k[b>>2]|0;y=0;oa(464,F|0,ka|0);ua=y;y=0;if(ua&1){sa=152;break c}y=0;oa(464,n|0,la|0);ua=y;y=0;if(ua&1){sa=148;break c}y=0;Na(84,f+236|0,la|0,F|0);ua=y;y=0;if(ua&1){sa=154;break c}EO(n);EO(F);EO(ka);d=d+1|0;if(d>>>0>=h>>>0)break d;f=k[c>>2]|0}}while(0);EO(la);EO(ma);EO(pa);e=e+4|0;if((e|0)==(o|0)){sa=161;break}}switch(sa|0){case 66:{d=pb()|0;break}case 67:{d=pb()|0;sa=159;break}case 68:{d=pb()|0;sa=158;break}case 69:{d=pb()|0;EO(K);sa=158;break}case 70:{d=pb()|0;$9(ia);sa=74;break}case 71:{d=pb()|0;sa=73;break}case 72:{d=pb()|0;$9(O);sa=73;break}case 89:{d=pb()|0;sa=157;break}case 90:{d=pb()|0;sa=156;break}case 91:{d=pb()|0;sa=113;break}case 97:{d=pb()|0;g=N;h=l+80|0;e=k[j>>2]|0;if(e|0){f=k[h>>2]|0;if((f|0)!=(e|0)){do{ua=f+-4|0;k[h>>2]=ua;EO(ua);f=k[h>>2]|0}while((f|0)!=(e|0));e=k[j>>2]|0}zqa(e)}sa=115;break}case 112:{d=pb()|0;EO(Q);sa=113;break}case 114:{d=pb()|0;sa=115;break}case 116:{d=pb()|0;sa=145;break}case 117:{d=pb()|0;sa=122;break}case 118:{d=pb()|0;EO(ga);sa=122;break}case 119:{e=1;d=pb()|0;sa=121;break}case 120:{ua=pb()|0;EO(ca);e=d;d=ua;sa=121;break}case 123:{d=pb()|0;sa=144;break}case 127:{d=pb()|0;$9(G);sa=139;break}case 138:{d=pb()|0;sa=139;break}case 140:{d=pb()|0;sa=143;break}case 141:{d=pb()|0;EO(U);sa=143;break}case 142:{d=pb()|0;EO(W);sa=143;break}case 148:{d=pb()|0;EO(F);sa=153;break}case 152:{d=pb()|0;sa=153;break}case 154:{d=pb()|0;EO(n);EO(F);sa=155;break}case 161:{EO(ra);r=$;return}}if((sa|0)==73){$9(ia);sa=74}else if((sa|0)==113){EO(aa);sa=156}else if((sa|0)==115){zqa(l);sa=156}else if((sa|0)==121){EO(ha);EO(ga);if(e)sa=122;else sa=145}else if((sa|0)==139){zqa(f);sa=144}else if((sa|0)==143){EO(da);sa=144}else if((sa|0)==153)sa=155;if((sa|0)==74){$9(ea);sa=158}else if((sa|0)==122){zqa(g);sa=145}else if((sa|0)==144){EO(fa);sa=145}else if((sa|0)==155)sa=156;if((sa|0)==145){EO(ja);sa=156}if((sa|0)==156){EO(ka);sa=157}if((sa|0)==157){EO(la);sa=158}if((sa|0)==158){EO(ma);sa=159}if((sa|0)==159)EO(pa);EO(ra);ua=d;sb(ua|0)}function td(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0,sa=0,ua=0;ma=0;ia=r;r=r+288|0;M=ia+276|0;V=ia+272|0;_=ia+268|0;$=ia+264|0;aa=ia+260|0;ca=ia+256|0;da=ia+252|0;A=ia+80|0;B=ia+248|0;C=ia+244|0;D=ia+40|0;E=ia+240|0;F=ia+236|0;d=ia;ua=ia+232|0;sa=ia+220|0;ra=ia+216|0;pa=ia+212|0;G=ia+208|0;H=ia+204|0;I=ia+192|0;J=ia+188|0;K=ia+176|0;la=ia+200|0;ka=ia+196|0;L=ia+168|0;ea=ia+164|0;O=ia+160|0;P=ia+156|0;Q=ia+152|0;ga=ia+184|0;R=ia+148|0;S=ia+144|0;fa=ia+140|0;T=ia+136|0;U=ia+132|0;ja=ia+180|0;W=ia+128|0;ha=ia+172|0;X=ia+124|0;Y=ia+120|0;_V(ua,0);y=0;Na(130,sa|0,0,b|0);ba=y;y=0;if(ba&1){sa=pb()|0;EO(ua);sb(sa|0)}y=0;j=qa(332,88)|0;ba=y;y=0;a:do if(ba&1)ma=17;else{Z=b+12|0;h=d;l=Z;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));y=0;na(366,j|0);ba=y;y=0;do if(ba&1){d=pb()|0;b=N}else{h=j+12|0;l=d;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));k[j>>2]=5252;k[j+52>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;d=j+64|0;k[d>>2]=5212;g=j+68|0;h=j+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,0);ba=y;y=0;if(ba&1){d=pb()|0;b=N;e=k[g>>2]|0;if(e|0){f=k[h>>2]|0;if((f|0)!=(e|0)){do{ra=f+-4|0;k[h>>2]=ra;EO(ra);f=k[h>>2]|0}while((f|0)!=(e|0));e=k[g>>2]|0}zqa(e)}break}k[j>>2]=5076;k[d>>2]=5172;i[j+84>>0]=0;i[j+85>>0]=0;y=0;oa(482,ra|0,j|0);ba=y;y=0;if(ba&1){ma=17;break a}ba=sa+4|0;s=(k[ba>>2]|0)-(k[sa>>2]|0)>>3;b:do if(!s){d=ra;ma=15}else{t=(c|0)==0;u=c+56|0;v=(c|0)!=0;w=c+52|0;x=b+68|0;z=b+72|0;q=b+84|0;p=0;c:while(1){o=k[sa>>2]|0;o=o+(p<<3)|0;d=i[o>>0]|0;y=0;oa(464,pa|0,o+4|0);o=y;y=0;if(o&1){ma=26;break}d:do if(!(d<<24>>24)){if(t){d=(k[ra>>2]|0)+64|0;b=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(482,G|0,k[pa>>2]|0);o=y;y=0;if(o&1){ma=27;break c}y=0;oa(b|0,d|0,G|0);o=y;y=0;if(o&1){ma=28;break c}EO(G);break}d=k[ua>>2]|0;if(d|0){y=0;oa(464,F|0,d+64|0);o=y;y=0;if(o&1){ma=27;break c}n=k[F>>2]|0;k[H>>2]=n;n=n+64|0;o=k[pa>>2]|0;y=0;oa(k[(k[n>>2]|0)+24>>2]|0,n|0,((o|0)==0?0:o+64|0)|0);o=y;y=0;if(o&1){ma=33;break c}EO(H);break}y=0;d=qa(k[(k[c>>2]|0)+12>>2]|0,c|0)|0;o=y;y=0;if(o&1){ma=43;break c}y=0;oa(482,M|0,d|0);o=y;y=0;if(o&1){ma=43;break c}y=0;Ha(966,ua|0,M|0)|0;o=y;y=0;if(o&1){ma=44;break c}EO(M);d=k[ua>>2]|0;y=0;oa(464,J|0,pa|0);o=y;y=0;if(o&1){ma=27;break c}d=d+64|0;y=0;Ha(966,d|0,J|0)|0;o=y;y=0;if(o&1){ma=46;break c}y=0;oa(464,E|0,d|0);o=y;y=0;if(o&1){ma=46;break c}k[I>>2]=k[E>>2];EO(I);EO(J);o=k[ua>>2]|0;k[o+56>>2]=k[u>>2];d=(k[ra>>2]|0)+64|0;b=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(482,K|0,o|0);o=y;y=0;if(o&1){ma=27;break c}y=0;oa(b|0,d|0,K|0);o=y;y=0;if(o&1){ma=47;break c}EO(K)}else{d=k[pa>>2]|0;o=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>2;if(o|0){n=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,n|0)|0;m=y;y=0;if(m&1){ma=53;break c}y=0;oa(464,la|0,d|0);m=y;y=0;if(m&1){ma=53;break c}d=k[la>>2]|0;if(!d)d=0;else d=pw(d,680,728,0)|0;y=0;oa(482,ka|0,d|0);m=y;y=0;if(m&1){ma=54;break c}if(v)e=pw(c,680,760,0)|0;else e=0;d=k[ka>>2]|0;if(!d)b=0;else{y=0;oa(464,C|0,d+64|0);m=y;y=0;if(m&1){ma=62;break c}d=k[C>>2]|0;k[L>>2]=d;if(!d)d=0;else d=pw(d,680,760,0)|0;EO(L);b=d}do if(v){if((k[w>>2]|0)!=2){ma=74;break}y=0;oa(464,B|0,(k[ka>>2]|0)+64|0);m=y;y=0;if(m&1){ma=62;break c}m=k[B>>2]|0;k[ea>>2]=m;if((k[m+52>>2]|0)!=2){EO(ea);ma=74;break}if((e|0)!=0&(b|0)!=0){y=0;oa(464,da|0,e+68|0);m=y;y=0;if(m&1){ma=76;break c}d=k[da>>2]|0;k[O>>2]=d;y=0;oa(464,ca|0,b+68|0);m=y;y=0;if(m&1){ma=77;break c}m=k[ca>>2]|0;k[P>>2]=m;EO(P);EO(O);EO(ea);if((d|0)==(m|0)){ma=74;break}}else EO(ea);y=0;oa(464,V|0,(k[ka>>2]|0)+64|0);m=y;y=0;if(m&1){ma=62;break c}d=k[V>>2]|0;k[R>>2]=d;y=0;d=ta(158,a|0,d|0,c|0)|0;m=y;y=0;if(m&1){ma=83;break c}y=0;oa(482,ga|0,d|0);m=y;y=0;if(m&1){ma=83;break c}EO(R);m=k[ga>>2]|0;if((k[m+68>>2]|0)==(k[m+64>>2]|0)){EO(ga);break}y=0;oa(464,M|0,(k[ka>>2]|0)+64|0);ma=y;y=0;if(ma&1){ma=84;break c}d=k[M>>2]|0;k[fa>>2]=d;y=0;oa(464,T|0,ga|0);ma=y;y=0;if(ma&1){ma=92;break c}d=d+68|0;y=0;Ha(966,d|0,T|0)|0;ma=y;y=0;if(ma&1){ma=93;break c}y=0;oa(464,_|0,d|0);ma=y;y=0;if(ma&1){ma=93;break c}k[S>>2]=k[_>>2];EO(S);EO(T);EO(fa);y=0;oa(464,$|0,(k[ka>>2]|0)+64|0);ma=y;y=0;if(ma&1){ma=84;break c}g=k[$>>2]|0;k[U>>2]=g;EO(U);EO(ga);ma=96}else ma=74;while(0);if((ma|0)==74){y=0;oa(464,aa|0,(k[ka>>2]|0)+64|0);ma=y;y=0;if(ma&1){ma=62;break c}g=k[aa>>2]|0;k[Q>>2]=g;EO(Q);ma=96}do if((ma|0)==96){ma=0;f=g;if(!g)break;m=f+56|0;j=k[ka>>2]|0;k[m>>2]=(k[j+56>>2]|0)+(k[m>>2]|0);i[f+60>>0]=i[j+68>>0]|0;y=0;j=qa(332,88)|0;m=y;y=0;if(m&1){ma=62;break c}d=k[z>>2]|0;b=k[x>>2]|0;e=i[q>>0]|0;h=A;l=Z;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));y=0;na(366,j|0);m=y;y=0;if(m&1){ma=127;break c}b=d-b>>2;h=j+12|0;l=A;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));k[j>>2]=5252;k[j+52>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;d=j+64|0;k[d>>2]=5212;h=j+68|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(561,h|0,b|0);m=y;y=0;if(m&1){ma=100;break c}k[j>>2]=5076;k[d>>2]=5172;i[j+84>>0]=e;i[j+85>>0]=0;y=0;oa(482,ja|0,j|0);m=y;y=0;if(m&1){ma=62;break c}b=(k[ja>>2]|0)+64|0;e=k[(k[b>>2]|0)+20>>2]|0;y=0;d=Ha(k[(k[g>>2]|0)+48>>2]|0,f|0,a|0)|0;m=y;y=0;if(m&1){ma=129;break c}y=0;oa(482,W|0,d|0);m=y;y=0;if(m&1){ma=129;break c}y=0;oa(e|0,b|0,W|0);m=y;y=0;if(m&1){ma=130;break c}EO(W);y=0;j=qa(332,88)|0;m=y;y=0;if(m&1){ma=129;break c}d=k[z>>2]|0;b=k[x>>2]|0;e=i[q>>0]|0;h=D;l=Z;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));y=0;na(366,j|0);m=y;y=0;if(m&1){ma=131;break c}b=d-b>>2;h=j+12|0;l=D;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));k[j>>2]=5252;k[j+52>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;d=j+64|0;k[d>>2]=5212;h=j+68|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(561,h|0,b|0);m=y;y=0;if(m&1){ma=113;break c}k[j>>2]=5076;k[d>>2]=5172;i[j+84>>0]=e;i[j+85>>0]=0;y=0;oa(482,ha|0,j|0);m=y;y=0;if(m&1){ma=129;break c}y=0;d=Ha(1019,a|0,k[ja>>2]|0)|0;m=y;y=0;if(m&1){ma=133;break c}b=(k[ha>>2]|0)+64|0;e=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(482,X|0,d|0);m=y;y=0;if(m&1){ma=134;break c}y=0;oa(e|0,b|0,X|0);m=y;y=0;if(m&1){ma=135;break c}EO(X);if((k[d+72>>2]|0)!=(k[d+68>>2]|0)){y=0;oa(482,M|0,0);m=y;y=0;if(m&1){ma=136;break c}y=0;Ha(966,ua|0,M|0)|0;m=y;y=0;if(m&1){ma=137;break c}EO(M)}d=k[ha>>2]|0;if(d|0){b=(k[ra>>2]|0)+64|0;e=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(482,Y|0,d|0);m=y;y=0;if(m&1){ma=134;break c}y=0;oa(e|0,b|0,Y|0);m=y;y=0;if(m&1){ma=143;break c}EO(Y)}EO(ha);EO(ja)}while(0);EO(ka);EO(la);d=n+1|0;if(d>>>0>=o>>>0)break d;n=d;d=k[pa>>2]|0}}}while(0);EO(pa);p=p+1|0;if(p>>>0>=s>>>0){d=ra;ma=15;break b}}switch(ma|0){case 26:{d=pb()|0;b=N;break b}case 27:{d=pb()|0;b=N;break}case 28:{d=pb()|0;b=N;EO(G);break}case 33:{d=pb()|0;b=N;EO(H);break}case 43:{d=pb()|0;b=N;ma=45;break}case 44:{d=pb()|0;b=N;EO(M);ma=45;break}case 46:{d=pb()|0;b=N;EO(J);break}case 47:{d=pb()|0;b=N;EO(K);break}case 53:{d=pb()|0;b=N;break}case 54:{d=pb()|0;b=N;ma=150;break}case 62:{d=pb()|0;b=N;ma=149;break}case 76:{d=pb()|0;b=N;ma=78;break}case 77:{d=pb()|0;b=N;EO(O);ma=78;break}case 83:{d=pb()|0;b=N;EO(R);ma=149;break}case 84:{d=pb()|0;b=N;ma=95;break}case 92:{d=pb()|0;b=N;ma=94;break}case 93:{d=pb()|0;b=N;EO(T);ma=94;break}case 100:{d=pb()|0;b=N;g=j+72|0;e=k[h>>2]|0;if(e|0){f=k[g>>2]|0;if((f|0)!=(e|0)){do{ma=f+-4|0;k[g>>2]=ma;EO(ma);f=k[g>>2]|0}while((f|0)!=(e|0));e=k[h>>2]|0}zqa(e)}ma=128;break}case 113:{d=pb()|0;b=N;g=j+72|0;e=k[h>>2]|0;if(e|0){f=k[g>>2]|0;if((f|0)!=(e|0)){do{ma=f+-4|0;k[g>>2]=ma;EO(ma);f=k[g>>2]|0}while((f|0)!=(e|0));e=k[h>>2]|0}zqa(e)}ma=132;break}case 127:{d=pb()|0;b=N;ma=128;break}case 129:{d=pb()|0;b=N;ma=148;break}case 130:{d=pb()|0;b=N;EO(W);ma=148;break}case 131:{d=pb()|0;b=N;ma=132;break}case 133:{d=pb()|0;b=N;ma=147;break}case 134:{d=pb()|0;b=N;ma=147;break}case 135:{d=pb()|0;b=N;EO(X);ma=147;break}case 136:{d=pb()|0;b=N;ma=138;break}case 137:{d=pb()|0;b=N;EO(M);ma=138;break}case 143:{d=pb()|0;b=N;EO(Y);ma=147;break}}if((ma|0)!=45)if((ma|0)==78){EO(ea);ma=149}else if((ma|0)==94){EO(fa);ma=95}else if((ma|0)==128){zqa(j);ma=149}else if((ma|0)==132){zqa(j);ma=148}else if((ma|0)==138)ma=147;if((ma|0)==95){EO(ga);ma=149}else if((ma|0)==147){EO(ha);ma=148}if((ma|0)==148){EO(ja);ma=149}if((ma|0)==149){EO(ka);ma=150}if((ma|0)==150)EO(la);EO(pa)}while(0);do if((ma|0)==15){y=0;e=Ha(1019,a|0,k[d>>2]|0)|0;pa=y;y=0;if(pa&1){d=pb()|0;b=N;break}EO(ra);d=k[sa>>2]|0;if(!d){EO(ua);r=ia;return e|0}b=k[ba>>2]|0;if((b|0)!=(d|0)){do{k[ba>>2]=b+-8;EO(b+-4|0);b=k[ba>>2]|0}while((b|0)!=(d|0));d=k[sa>>2]|0}zqa(d);EO(ua);r=ia;return e|0}while(0);EO(ra);g=d;break a}while(0);zqa(j);g=d}while(0);if((ma|0)==17){g=pb()|0;b=N}d=k[sa>>2]|0;if(d|0){f=sa+4|0;e=k[f>>2]|0;if((e|0)!=(d|0)){do{k[f>>2]=e+-8;EO(e+-4|0);e=k[f>>2]|0}while((e|0)!=(d|0));d=k[sa>>2]|0}zqa(d)}sa=g;EO(ua);sb(sa|0);return 0}function ud(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;X=0;V=r;r=r+576|0;U=V+200|0;R=V+160|0;B=V+120|0;H=V+80|0;n=V+40|0;u=V;v=V+552|0;W=V+560|0;j=V+556|0;m=V+512|0;o=V+508|0;p=V+504|0;g=V+500|0;C=V+496|0;F=V+456|0;N=V+452|0;O=V+448|0;M=V+408|0;S=V+404|0;T=V+400|0;G=V+360|0;P=V+356|0;Q=V+352|0;w=V+312|0;I=V+308|0;J=V+304|0;x=V+264|0;K=V+260|0;L=V+256|0;z=V+252|0;A=V+248|0;D=V+244|0;E=V+240|0;f=k[b>>2]|0;a:do if(f|0){l=pw(f,40,400,0)|0;if(l|0){f=k[l+64>>2]|0;h=k[l+68>>2]|0;if((f|0)!=(h|0)){while(1){rT(U,f);t=i[(k[U>>2]|0)+54>>0]|0;EO(U);f=f+4|0;if(t<<24>>24)break;if((f|0)==(h|0))break a}f=e+1|0;t=k[c>>2]|0;h=t;if(f>>>0<(k[c+4>>2]|0)-t>>2>>>0){switch(k[k[d>>2]>>2]|0){case 5:case 7:case 4:case 6:case 3:case 10:case 11:case 8:case 2:break;default:break a}rT(j,h+(e<<2)|0);y=0;f=sa(29,a|0,j|0,c|0,d|0,f|0)|0;T=y;y=0;if(T&1){X=pb()|0;EO(j);sb(X|0)}k[W>>2]=f;EO(j);y=0;h=qa(332,80)|0;T=y;y=0;b:do if(T&1)f=pb()|0;else{q=m;s=(k[b>>2]|0)+12|0;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));g=k[d>>2]|0;f=k[g>>2]|0;g=k[g+4>>2]|0;y=0;oa(482,o|0,l|0);b=y;y=0;do if(b&1)f=pb()|0;else{y=0;oa(482,p|0,k[W>>2]|0);b=y;y=0;if(b&1){f=pb()|0;EO(o);break}q=n;s=m;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));y=0;na(366,h|0);b=y;y=0;c:do if(b&1){f=1;X=26}else{q=h+12|0;s=n;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h+56>>2]=0;k[h>>2]=8044;b=h+60|0;k[b>>2]=f;k[b+4>>2]=g;f=h+68|0;y=0;oa(464,f|0,o|0);b=y;y=0;do if(b&1)f=pb()|0;else{y=0;oa(464,h+72|0,p|0);b=y;y=0;if(b&1){X=pb()|0;EO(f);f=X;break}k[h+76>>2]=0;y=0;oa(482,U|0,h|0);b=y;y=0;if(b&1){f=0;X=26;break c}y=0;Ha(966,W|0,U|0)|0;b=y;y=0;if(b&1){f=pb()|0;EO(U);g=0;break c}EO(U);EO(p);EO(o);X=k[W>>2]|0;r=V;return X|0}while(0);g=1;X=27}while(0);if((X|0)==26){V=pb()|0;g=f;f=V;X=27}EO(p);EO(o);if(!g)break b}while(0);zqa(h)}while(0);EO(W);X=f;sb(X|0)}}}}while(0);f=k[c>>2]|0;l=(k[c+4>>2]|0)-f>>2;d:do if(l>>>0>e>>>0){m=e;e:while(1){f=k[f+(m<<2)>>2]|0;if(!f)X=124;else{e=pw(f,40,400,0)|0;if(!e)X=124;else{f=k[e+64>>2]|0;h=k[e+68>>2]|0;if((f|0)!=(h|0))do{rT(U,f);t=i[(k[U>>2]|0)+54>>0]|0;EO(U);f=f+4|0;if(t<<24>>24){X=39;break e}}while((f|0)!=(h|0));e=ZL(80)|0;f=k[b>>2]|0;q=w;s=f+12|0;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));j=(k[d>>2]|0)+(m<<3)|0;h=k[j>>2]|0;j=k[j+4>>2]|0;y=0;oa(482,I|0,f|0);t=y;y=0;if(t&1){X=116;break}y=0;oa(464,J|0,(k[c>>2]|0)+(m<<2)|0);t=y;y=0;if(t&1){X=117;break}q=B;s=w;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));y=0;na(366,e|0);t=y;y=0;if(t&1){f=1;X=118;break}q=e+12|0;s=B;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=8044;f=e+60|0;k[f>>2]=h;k[f+4>>2]=j;f=e+68|0;y=0;oa(464,f|0,I|0);t=y;y=0;if(t&1){X=110;break}y=0;oa(464,e+72|0,J|0);t=y;y=0;if(t&1){X=111;break}k[e+76>>2]=0;y=0;oa(482,U|0,e|0);t=y;y=0;if(t&1){f=0;X=118;break}y=0;Ha(966,b|0,U|0)|0;t=y;y=0;if(t&1){X=120;break}EO(U);EO(J);EO(I)}}if((X|0)==124){X=0;e=ZL(80)|0;f=k[b>>2]|0;q=x;s=f+12|0;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));j=(k[d>>2]|0)+(m<<3)|0;h=k[j>>2]|0;j=k[j+4>>2]|0;y=0;oa(482,K|0,f|0);t=y;y=0;if(t&1){X=135;break}y=0;oa(464,L|0,(k[c>>2]|0)+(m<<2)|0);t=y;y=0;if(t&1){X=136;break}q=u;s=x;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));y=0;na(366,e|0);t=y;y=0;if(t&1){f=1;X=137;break}q=e+12|0;s=u;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=8044;f=e+60|0;k[f>>2]=h;k[f+4>>2]=j;f=e+68|0;y=0;oa(464,f|0,K|0);t=y;y=0;if(t&1){X=129;break}y=0;oa(464,e+72|0,L|0);t=y;y=0;if(t&1){X=130;break}k[e+76>>2]=0;y=0;oa(482,U|0,e|0);t=y;y=0;if(t&1){f=0;X=137;break}y=0;Ha(966,b|0,U|0)|0;t=y;y=0;if(t&1){X=139;break}EO(U);EO(L);EO(K)}f=k[b>>2]|0;do if(f|0)if((k[(k[d>>2]|0)+(m<<3)>>2]|0)==11){rT(U,f+68|0);t=k[U>>2]|0;k[z>>2]=t;if(!(i[t+52>>0]|0)){EO(z);break}y=0;oa(464,v|0,f+72|0);t=y;y=0;if(t&1){X=150;break e}t=k[v>>2]|0;k[A>>2]=t;t=(i[t+52>>0]|0)==0;EO(A);EO(z);if(!t)i[(k[b>>2]|0)+52>>0]=1}while(0);f=m+1|0;if(f>>>0>=l>>>0)break d;m=f;f=k[c>>2]|0}switch(X|0){case 39:{f=m+1|0;if(f>>>0>=l>>>0){j=ZL(80)|0;h=k[b>>2]|0;q=G;s=h+12|0;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));g=(k[d>>2]|0)+(m<<3)|0;f=k[g>>2]|0;g=k[g+4>>2]|0;y=0;oa(482,P|0,h|0);T=y;y=0;do if(T&1){f=pb()|0;X=103}else{y=0;oa(464,Q|0,(k[c>>2]|0)+(m<<2)|0);T=y;y=0;if(T&1){f=pb()|0;EO(P);X=103;break}q=U;s=G;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));y=0;na(366,j|0);T=y;y=0;f:do if(T&1){f=1;X=99}else{q=j+12|0;s=U;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=0;k[j>>2]=8044;U=j+60|0;k[U>>2]=f;k[U+4>>2]=g;f=j+68|0;y=0;oa(464,f|0,P|0);U=y;y=0;do if(U&1)f=pb()|0;else{y=0;oa(464,j+72|0,Q|0);U=y;y=0;if(U&1){X=pb()|0;EO(f);f=X;break}k[j+76>>2]=0;y=0;oa(482,R|0,j|0);U=y;y=0;if(U&1){f=0;X=99;break f}y=0;Ha(966,b|0,R|0)|0;U=y;y=0;if(U&1){f=pb()|0;EO(R);g=0;break f}EO(R);EO(Q);EO(P);rT(W,b);X=k[W>>2]|0;r=V;return X|0}while(0);g=1;X=100}while(0);if((X|0)==99){W=pb()|0;g=f;f=W;X=100}EO(Q);EO(P);if(g)X=103}while(0);if((X|0)==103)zqa(j);X=f;sb(X|0)}rT(C,(k[c>>2]|0)+(f<<2)|0);y=0;f=sa(29,a|0,C|0,c|0,d|0,m+2|0)|0;Q=y;y=0;if(Q&1){X=pb()|0;EO(C);sb(X|0)}k[g>>2]=f;EO(C);y=0;j=qa(332,80)|0;Q=y;y=0;g:do if(Q&1){f=pb()|0;X=74}else{q=F;s=(k[b>>2]|0)+12|0;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));h=(k[d>>2]|0)+(m<<3)|0;f=k[h>>2]|0;h=k[h+4>>2]|0;y=0;oa(482,N|0,e|0);Q=y;y=0;do if(Q&1)f=pb()|0;else{y=0;oa(482,O|0,k[g>>2]|0);Q=y;y=0;if(Q&1){f=pb()|0;EO(N);break}q=H;s=F;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));y=0;na(366,j|0);Q=y;y=0;h:do if(Q&1){f=1;X=69}else{q=j+12|0;s=H;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=0;k[j>>2]=8044;Q=j+60|0;k[Q>>2]=f;k[Q+4>>2]=h;f=j+68|0;y=0;oa(464,f|0,N|0);Q=y;y=0;do if(Q&1)f=pb()|0;else{y=0;oa(464,j+72|0,O|0);Q=y;y=0;if(Q&1){X=pb()|0;EO(f);f=X;break}k[j+76>>2]=0;y=0;oa(482,U|0,j|0);Q=y;y=0;if(Q&1){f=0;X=69;break h}y=0;Ha(966,g|0,U|0)|0;Q=y;y=0;if(Q&1){f=pb()|0;EO(U);h=0;break h}EO(U);EO(O);EO(N);y=0;e=qa(332,80)|0;Q=y;y=0;i:do if(Q&1)f=pb()|0;else{j=k[b>>2]|0;q=M;s=j+12|0;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));h=(k[d>>2]|0)+(m<<3)|0;f=k[h>>2]|0;h=k[h+4>>2]|0;y=0;oa(482,S|0,j|0);d=y;y=0;do if(d&1)f=pb()|0;else{y=0;oa(482,T|0,k[g>>2]|0);d=y;y=0;if(d&1){f=pb()|0;EO(S);break}q=R;s=M;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));y=0;na(366,e|0);d=y;y=0;j:do if(d&1){f=1;X=78}else{q=e+12|0;s=R;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=8044;R=e+60|0;k[R>>2]=f;k[R+4>>2]=h;f=e+68|0;y=0;oa(464,f|0,S|0);R=y;y=0;do if(R&1)f=pb()|0;else{y=0;oa(464,e+72|0,T|0);R=y;y=0;if(R&1){X=pb()|0;EO(f);f=X;break}k[e+76>>2]=0;y=0;oa(482,U|0,e|0);R=y;y=0;if(R&1){f=0;X=78;break j}y=0;Ha(966,b|0,U|0)|0;R=y;y=0;if(R&1){f=pb()|0;EO(U);h=0;break j}EO(U);EO(T);EO(S);y=0;oa(464,W|0,b|0);U=y;y=0;if(U&1){f=pb()|0;break g}EO(g);X=k[W>>2]|0;r=V;return X|0}while(0);h=1;X=79}while(0);if((X|0)==78){W=pb()|0;h=f;f=W;X=79}EO(T);EO(S);if(!h)break i}while(0);zqa(e)}while(0);break g}while(0);h=1;X=70}while(0);if((X|0)==69){W=pb()|0;h=f;f=W;X=70}EO(O);EO(N);if(!h){X=74;break g}}while(0);zqa(j);X=74}while(0);EO(g);X=f;sb(X|0)}case 110:{f=pb()|0;X=112;break}case 111:{W=pb()|0;EO(f);f=W;X=112;break}case 116:{f=pb()|0;X=122;break}case 117:{f=pb()|0;EO(I);X=122;break}case 118:{W=pb()|0;g=f;f=W;X=119;break}case 120:{f=pb()|0;EO(U);g=0;X=121;break}case 129:{f=pb()|0;X=131;break}case 130:{W=pb()|0;EO(f);f=W;X=131;break}case 135:{f=pb()|0;X=141;break}case 136:{f=pb()|0;EO(K);X=141;break}case 137:{W=pb()|0;g=f;f=W;X=138;break}case 139:{f=pb()|0;EO(U);g=0;X=140;break}case 150:{X=pb()|0;EO(z);sb(X|0)}}if((X|0)==112){g=1;X=119}else if((X|0)==131){g=1;X=138}if((X|0)==119)X=121;else if((X|0)==138)X=140;if((X|0)==121){EO(J);EO(I);if(g)X=122;else X=123}else if((X|0)==140){EO(L);EO(K);if(g)X=141;else X=142}if((X|0)==122){zqa(e);X=123}else if((X|0)==141){zqa(e);X=142}if((X|0)==123){X=f;sb(X|0)}else if((X|0)==142){X=f;sb(X|0)}}while(0);f=k[b>>2]|0;do if(f|0){f=pw(f,40,1080,0)|0;if(f|0){rT(U,f+68|0);g=k[U>>2]|0;k[D>>2]=g;if(!g)EO(D);else{X=(pw(g,40,1080,0)|0)==0;EO(D);if(!X){X=k[b>>2]|0;mc[k[(k[X>>2]|0)+96>>2]&1023](X,0)}}rT(U,f+72|0);f=k[U>>2]|0;k[E>>2]=f;if(!f){EO(E);break}X=(pw(f,40,1080,0)|0)==0;EO(E);if(!X){X=k[b>>2]|0;mc[k[(k[X>>2]|0)+96>>2]&1023](X,0)}}}while(0);rT(W,b);X=k[W>>2]|0;r=V;return X|0}function vd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0.0,g=0.0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;E=0;C=r;r=r+416|0;B=C+376|0;o=C+360|0;c=C+356|0;J=C+328|0;K=C+324|0;e=C+352|0;j=C+340|0;I=C+320|0;h=C+316|0;l=C+300|0;H=C+312|0;G=C+296|0;t=C+152|0;q=C+136|0;s=C+96|0;F=C+72|0;D=C+12|0;u=C+32|0;x=C+20|0;v=C+16|0;w=C+8|0;z=C+4|0;A=C;pK(J,b+68|0);y=0;oa(464,c|0,b+80|0);n=y;y=0;if(n&1){K=pb()|0;$9(J);sb(K|0)}d=k[c>>2]|0;k[e>>2]=d;c=a+8|0;y=0;d=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,c|0)|0;n=y;y=0;if(!(n&1)){y=0;oa(482,K|0,d|0);n=y;y=0;if(!(n&1)){EO(e);do if((k[(k[K>>2]|0)+56>>2]|0)==2){y=0;oa(464,o|0,b+84|0);n=y;y=0;if(n&1){c=pb()|0;break}n=k[o>>2]|0;k[h>>2]=n;y=0;c=Ha(k[(k[n>>2]|0)+52>>2]|0,n|0,c|0)|0;n=y;y=0;if(!(n&1)){y=0;oa(482,I|0,c|0);n=y;y=0;if(!(n&1)){EO(h);do if((k[(k[I>>2]|0)+56>>2]|0)==2){c=k[K>>2]|0;if(!c)c=0;else c=pw(c,40,448,0)|0;y=0;oa(482,H|0,c|0);n=y;y=0;if(n&1){c=pb()|0;break}c=k[I>>2]|0;if(!c)c=0;else c=pw(c,40,448,0)|0;y=0;oa(482,G|0,c|0);n=y;y=0;if(n&1)c=pb()|0;else{y=0;oa(457,B|0,k[H>>2]|0);n=y;y=0;a:do if(n&1){c=pb()|0;E=66}else{y=0;oa(457,o|0,k[G>>2]|0);n=y;y=0;if(n&1){c=pb()|0;$9(B);E=66;break}e=i[B+11>>0]|0;h=e<<24>>24<0;e=e&255;j=h?k[B+4>>2]|0:e;n=i[o+11>>0]|0;c=n<<24>>24<0;b:do if((j|0)==((c?k[o+4>>2]|0:n&255)|0)){l=k[B>>2]|0;m=h?l:B;c=c?k[o>>2]|0:o;d=(j|0)==0;if(h)if(d){$9(o);$9(B);break}else{n=(zM(m,c,j)|0)==0;$9(o);$9(B);if(n)break;else{E=45;break}}if(d){$9(o);$9(B);break}c:do if((l&255)<<24>>24==(i[c>>0]|0)){d=B;while(1){e=e+-1|0;d=d+1|0;if(!e)break;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0))break c}$9(o);$9(B);break b}while(0);$9(o);$9(B);E=45}else{$9(o);$9(B);E=45}while(0);d:do if((E|0)==45){n=t+64|0;c=t+8|0;k[c>>2]=14400;m=t+12|0;k[t>>2]=14440;k[n>>2]=14460;k[t+4>>2]=0;y=0;oa(528,t+64|0,m|0);l=y;y=0;if(l&1)c=pb()|0;else{k[t+136>>2]=0;k[t+140>>2]=-1;k[t>>2]=14380;k[n>>2]=14420;k[c>>2]=14400;y=0;na(373,m|0);l=y;y=0;do if(l&1)c=pb()|0;else{k[m>>2]=14240;e=t+44|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[t+60>>2]=24;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;oa(529,m|0,B|0);l=y;y=0;if(l&1){c=pb()|0;$9(B);$9(e);nba(m);break}$9(B);l=t+8|0;y=0;c=ta(54,l|0,47243,21)|0;j=y;y=0;e:do if(j&1)E=68;else{y=0;oa(457,B|0,k[H>>2]|0);j=y;y=0;if(j&1)c=pb()|0;else{j=i[B+11>>0]|0;h=j<<24>>24<0;y=0;c=ta(54,c|0,(h?k[B>>2]|0:B)|0,(h?k[B+4>>2]|0:j&255)|0)|0;j=y;y=0;do if(j&1)E=70;else{y=0;c=ta(54,c|0,47265,7)|0;j=y;y=0;if(j&1){E=70;break}y=0;oa(457,o|0,k[G>>2]|0);j=y;y=0;if(j&1)c=pb()|0;else{j=i[o+11>>0]|0;h=j<<24>>24<0;y=0;c=ta(54,c|0,(h?k[o>>2]|0:o)|0,(h?k[o+4>>2]|0:j&255)|0)|0;j=y;y=0;do if(!(j&1)){y=0;ta(54,c|0,47273,2)|0;j=y;y=0;if(j&1)break;$9(o);$9(B);y=0;oa(530,q|0,m|0);o=y;y=0;if(o&1){E=68;break e}d=s;h=(k[K>>2]|0)+12|0;j=d+40|0;do{k[d>>2]=k[h>>2];d=d+4|0;h=h+4|0}while((d|0)<(j|0));c=k[a+88>>2]|0;if((c|0)==(k[a+84>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;d=B;h=s;j=d+40|0;do{k[d>>2]=k[h>>2];d=d+4|0;h=h+4|0}while((d|0)<(j|0));Na(103,q|0,B|0,c|0);s=y;y=0;if(s&1){c=pb()|0;$9(q);break e}else{$9(q);k[t>>2]=14380;k[n>>2]=14420;k[l>>2]=14400;k[m>>2]=14240;$9(e);nba(m);zka(t,14472);dja(n);break d}}while(0);c=pb()|0;$9(o)}}while(0);if((E|0)==70)c=pb()|0;$9(B)}}while(0);if((E|0)==68)c=pb()|0;k[t>>2]=14380;k[n>>2]=14420;k[l>>2]=14400;k[m>>2]=14240;$9(e);nba(m);zka(t,14472);dja(n);break a}while(0);zka(t,14472)}dja(n);break a}while(0);f=+p[(k[H>>2]|0)+64>>3];g=+p[(k[G>>2]|0)+64>>3];d=a+24|0;m=a+28|0;c=k[m>>2]|0;if((c|0)==(k[d>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;Na(120,F|0,c|0,1);t=y;y=0;if(t&1){c=pb()|0;break}k[B>>2]=F;c=k[m>>2]|0;do if(c>>>0<(k[a+32>>2]|0)>>>0){k[c>>2]=F;k[m>>2]=(k[m>>2]|0)+4;E=87}else{y=0;oa(573,d|0,B|0);t=y;y=0;if(!(t&1)){E=87;break}c=pb()|0}while(0);f:do if((E|0)==87){c=a+48|0;y=0;oa(482,B|0,b|0);t=y;y=0;do if(t&1)c=pb()|0;else{l=a+52|0;d=k[l>>2]|0;do if(d>>>0<(k[a+56>>2]|0)>>>0){y=0;oa(464,d|0,B|0);t=y;y=0;if(t&1){E=105;break}k[l>>2]=(k[l>>2]|0)+4}else{y=0;oa(584,c|0,B|0);t=y;y=0;if(t&1)E=105}while(0);if((E|0)==105){c=pb()|0;EO(B);break}EO(B);y=0;e=qa(332,104)|0;t=y;y=0;if(t&1){c=pb()|0;break f}d=u;h=(k[K>>2]|0)+12|0;j=d+40|0;do{k[d>>2]=k[h>>2];d=d+4|0;h=h+4|0}while((d|0)<(j|0));y=0;oa(457,x|0,k[G>>2]|0);t=y;y=0;if(t&1)c=pb()|0;else{y=0;d=B;h=u;j=d+40|0;do{k[d>>2]=k[h>>2];d=d+4|0;h=h+4|0}while((d|0)<(j|0));Ca(1,e|0,B|0,+f,x|0,1);u=y;y=0;do if(u&1)d=1;else{y=0;oa(482,D|0,e|0);u=y;y=0;if(u&1){d=0;break}$9(x);y=0;oa(482,v|0,k[D>>2]|0);x=y;y=0;g:do if(x&1)E=111;else{y=0;Na(116,F|0,J|0,v|0);x=y;y=0;if(x&1){c=pb()|0;EO(v);break}EO(v);y=0;oa(464,B|0,b+64|0);E=y;y=0;if(E&1){E=111;break}d=k[B>>2]|0;k[w>>2]=d;EO(w);c=(i[b+88>>0]|0)!=0;h:do if(f<g){g=c?g+1.0:g;if(!(f<g))break;while(1){c=k[D>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+12>>2]|0,c|0)|0;E=y;y=0;if(E&1){E=120;break}y=0;oa(482,B|0,c|0);E=y;y=0;if(E&1){E=120;break}y=0;Ha(966,D|0,B|0)|0;E=y;y=0;if(E&1){E=121;break}EO(B);E=k[D>>2]|0;k[E+100>>2]=0;p[E+64>>3]=f;y=0;oa(482,z|0,E|0);E=y;y=0;if(E&1){E=123;break}y=0;Na(116,F|0,J|0,z|0);E=y;y=0;if(E&1){E=124;break}EO(z);y=0;oa(583,a|0,d|0);E=y;y=0;if(E&1){E=123;break}f=f+1.0;if(!(f<g))break h}if((E|0)==120)c=pb()|0;else if((E|0)==121){c=pb()|0;EO(B)}else if((E|0)==123){c=pb()|0;break g}else if((E|0)==124){c=pb()|0;EO(z);break g}break g}else{g=c?g+-1.0:g;if(!(f>g))break;while(1){c=k[D>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+12>>2]|0,c|0)|0;E=y;y=0;if(E&1){E=134;break}y=0;oa(482,B|0,c|0);E=y;y=0;if(E&1){E=134;break}y=0;Ha(966,D|0,B|0)|0;E=y;y=0;if(E&1){E=135;break}EO(B);E=k[D>>2]|0;k[E+100>>2]=0;p[E+64>>3]=f;y=0;oa(482,A|0,E|0);E=y;y=0;if(E&1){E=137;break}y=0;Na(116,F|0,J|0,A|0);E=y;y=0;if(E&1){E=138;break}EO(A);y=0;oa(583,a|0,d|0);E=y;y=0;if(E&1){E=137;break}f=f+-1.0;if(!(f>g))break h}if((E|0)==134)c=pb()|0;else if((E|0)==135){c=pb()|0;EO(B)}else if((E|0)==137){c=pb()|0;break g}else if((E|0)==138){c=pb()|0;EO(A);break g}break g}while(0);d=k[l>>2]|0;c=d+-4|0;do{E=d+-4|0;k[l>>2]=E;EO(E);d=k[l>>2]|0}while((d|0)!=(c|0));k[m>>2]=(k[m>>2]|0)+-4;EO(D);jB(F,k[F+4>>2]|0);EO(G);EO(H);EO(I);EO(K);$9(J);r=C;return 0}while(0);if((E|0)==111)c=pb()|0;EO(D);break f}while(0);c=pb()|0;$9(x);if(!d)break f}zqa(e);break f}while(0)}while(0);jB(F,k[F+4>>2]|0)}while(0);EO(G)}EO(H)}else{e=gb(92)|0;c=k[I>>2]|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(75,l|0,43163,7);H=y;y=0;if(H&1)c=pb()|0;else{y=0;Na(121,e|0,c|0,l|0);H=y;y=0;if(H&1)d=1;else{y=0;Na(76,e|0,2512,221);y=0;d=0}c=pb()|0;$9(l);if(!d)break}fb(e|0)}while(0);EO(I);break}}c=pb()|0;EO(h)}else{e=gb(92)|0;c=k[K>>2]|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,43163,7);I=y;y=0;if(I&1)c=pb()|0;else{y=0;Na(121,e|0,c|0,j|0);I=y;y=0;if(I&1)d=1;else{y=0;Na(76,e|0,2512,221);y=0;d=0}c=pb()|0;$9(j);if(!d)break}fb(e|0)}while(0);EO(K);K=c;$9(J);sb(K|0)}}K=pb()|0;EO(e);$9(J);sb(K|0);return 0}function wd(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;ca=0;Y=r;r=r+688|0;U=Y+640|0;K=Y+628|0;L=Y+616|0;M=Y+576|0;E=Y+560|0;F=Y+548|0;G=Y+536|0;H=Y+496|0;C=Y+480|0;D=Y+468|0;A=Y+456|0;B=Y+416|0;n=Y+396|0;o=Y+384|0;p=Y+360|0;q=Y+320|0;h=Y+268|0;j=Y+244|0;l=Y+220|0;m=Y+176|0;V=Y+408|0;W=Y+120|0;b=Y+372|0;ba=Y+96|0;s=Y+280|0;x=Y+256|0;z=Y+232|0;u=Y+216|0;w=Y+164|0;aa=Y+72|0;$=Y+16|0;I=Y+160|0;J=Y+108|0;R=Y+84|0;T=Y+32|0;Z=Y+20|0;_=Y+4|0;X=Y;S=a+108|0;e=W;f=S;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));N=a+152|0;k[U>>2]=k[N>>2];k[U+4>>2]=k[N+4>>2];k[U+8>>2]=k[N+8>>2];O=a+76|0;c=k[O>>2]|0;P=a+84|0;k[K>>2]=k[P>>2];k[K+4>>2]=k[P+4>>2];k[K+8>>2]=k[P+8>>2];Q=a+96|0;k[L>>2]=k[Q>>2];k[L+4>>2]=k[Q+4>>2];k[L+8>>2]=k[Q+8>>2];e=M;f=S;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));mw(a,1,0)|0;do if(!(xu(a,1,0)|0)){e=S;f=M;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[N>>2]=k[U>>2];k[N+4>>2]=k[U+4>>2];k[N+8>>2]=k[U+8>>2];k[O>>2]=c;k[Q>>2]=k[L>>2];k[Q+4>>2]=k[L+4>>2];k[Q+8>>2]=k[L+8>>2];k[P>>2]=k[K>>2];k[P+4>>2]=k[K+4>>2];k[P+8>>2]=k[K+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;jI(b,39770,44);y=0;k[U>>2]=k[S>>2];k[U+4>>2]=k[S+4>>2];k[U+8>>2]=k[S+8>>2];Na(109,a|0,b|0,U|0);v=y;y=0;if(!(v&1)){$9(b);break}ca=pb()|0;$9(b);sb(ca|0)}while(0);t=a+156|0;c=k[t>>2]|0;v=a+160|0;e=k[v>>2]|0;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){LM(ba);ca=10}else if(f>>>0<11){i[ba+11>>0]=f;b=ba}else ca=10;if((ca|0)==10){g=f+16&-16;b=ZL(g)|0;k[ba>>2]=b;k[ba+8>>2]=g|-2147483648;k[ba+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;k[h>>2]=k[N>>2];k[h+4>>2]=k[N+4>>2];k[h+8>>2]=k[N+8>>2];c=k[O>>2]|0;k[j>>2]=k[P>>2];k[j+4>>2]=k[P+4>>2];k[j+8>>2]=k[P+8>>2];k[l>>2]=k[Q>>2];k[l+4>>2]=k[Q+4>>2];k[l+8>>2]=k[Q+8>>2];e=m;f=S;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;ta(61,a|0,1,0)|0;g=y;y=0;a:do if(g&1)ca=25;else{y=0;b=ta(76,a|0,1,0)|0;g=y;y=0;if(g&1)ca=25;else{if(b|0){y=0;d=qa(332,120)|0;aa=y;y=0;if(aa&1){ca=25;break}e=s;f=W;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(452,x|0,ba|0);aa=y;y=0;do if(aa&1)b=pb()|0;else{k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(75,z|0,82159,0);aa=y;y=0;if(aa&1){b=pb()|0;$9(x);break}y=0;oa(482,u|0,0);aa=y;y=0;if(aa&1){b=pb()|0;c=1}else{y=0;e=U;f=s;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));ma(9,d|0,U|0,x|0,z|0,u|0);aa=y;y=0;if(aa&1)c=1;else{y=0;oa(482,V|0,d|0);aa=y;y=0;if(aa&1)c=0;else{EO(u);$9(z);$9(x);$9(ba);ca=k[V>>2]|0;r=Y;return ca|0}}b=pb()|0;EO(u)}$9(z);$9(x);if(!c)break a}while(0);zqa(d);break}e=S;f=m;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[N>>2]=k[h>>2];k[N+4>>2]=k[h+4>>2];k[N+8>>2]=k[h+8>>2];k[O>>2]=c;k[Q>>2]=k[l>>2];k[Q+4>>2]=k[l+4>>2];k[Q+8>>2]=k[l+8>>2];k[P>>2]=k[j>>2];k[P+4>>2]=k[j+4>>2];k[P+8>>2]=k[j+8>>2];k[n>>2]=k[N>>2];k[n+4>>2]=k[N+4>>2];k[n+8>>2]=k[N+8>>2];k[o>>2]=k[P>>2];k[o+4>>2]=k[P+4>>2];k[o+8>>2]=k[P+8>>2];k[p>>2]=k[Q>>2];k[p+4>>2]=k[Q+4>>2];k[p+8>>2]=k[Q+8>>2];e=q;f=S;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;ta(61,a|0,1,0)|0;z=y;y=0;if(z&1)ca=25;else{y=0;b=ta(77,a|0,1,0)|0;z=y;y=0;if(z&1)ca=25;else{do if(!b){e=S;f=q;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[N>>2]=k[n>>2];k[N+4>>2]=k[n+4>>2];k[N+8>>2]=k[n+8>>2];k[O>>2]=c;k[Q>>2]=k[p>>2];k[Q+4>>2]=k[p+4>>2];k[Q+8>>2]=k[p+8>>2];k[P>>2]=k[o>>2];k[P+4>>2]=k[o+4>>2];k[P+8>>2]=k[o+8>>2];k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;b=ba+11|0;c=i[b>>0]|0;c=c<<24>>24<0?k[ba+4>>2]|0:c&255;y=0;Ra(10,w|0,39815,43,c+43|0);z=y;y=0;if(!(z&1)){y=0;ta(47,w|0,((i[b>>0]|0)<0?k[ba>>2]|0:ba)|0,c|0)|0;z=y;y=0;if(!(z&1)){y=0;k[U>>2]=k[S>>2];k[U+4>>2]=k[S+4>>2];k[U+8>>2]=k[S+8>>2];Na(109,a|0,w|0,U|0);z=y;y=0;if(z&1){b=pb()|0;$9(w);break a}else{$9(w);break}}}b=pb()|0;$9(w);ca=26;break a}while(0);c=k[t>>2]|0;e=k[v>>2]|0;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,aa|0);ca=y;y=0;if(ca&1){ca=25;break}else ca=46}else if(f>>>0<11){i[aa+11>>0]=f;b=aa}else ca=46;if((ca|0)==46){d=f+16&-16;y=0;b=qa(332,d|0)|0;z=y;y=0;if(z&1){ca=25;break}k[aa>>2]=b;k[aa+8>>2]=d|-2147483648;k[aa+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;y=0;oa(482,$|0,0);z=y;y=0;if(z&1)b=pb()|0;else{k[C>>2]=k[N>>2];k[C+4>>2]=k[N+4>>2];k[C+8>>2]=k[N+8>>2];c=k[O>>2]|0;k[D>>2]=k[P>>2];k[D+4>>2]=k[P+4>>2];k[D+8>>2]=k[P+8>>2];k[A>>2]=k[Q>>2];k[A+4>>2]=k[Q+4>>2];k[A+8>>2]=k[Q+8>>2];e=B;f=S;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;ta(61,a|0,1,0)|0;z=y;y=0;b:do if(z&1)ca=62;else{y=0;b=ta(55,a|0,1,0)|0;z=y;y=0;if(z&1)ca=62;else{c:do if(!b){e=S;f=B;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[N>>2]=k[C>>2];k[N+4>>2]=k[C+4>>2];k[N+8>>2]=k[C+8>>2];k[O>>2]=c;k[Q>>2]=k[A>>2];k[Q+4>>2]=k[A+4>>2];k[Q+8>>2]=k[A+8>>2];k[P>>2]=k[D>>2];k[P+4>>2]=k[D+4>>2];k[P+8>>2]=k[D+8>>2];k[E>>2]=k[N>>2];k[E+4>>2]=k[N+4>>2];k[E+8>>2]=k[N+8>>2];k[F>>2]=k[P>>2];k[F+4>>2]=k[P+4>>2];k[F+8>>2]=k[P+8>>2];k[G>>2]=k[Q>>2];k[G+4>>2]=k[Q+4>>2];k[G+8>>2]=k[Q+8>>2];e=H;f=S;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;ta(61,a|0,1,0)|0;D=y;y=0;if(D&1){ca=62;break b}y=0;b=ta(78,a|0,1,0)|0;D=y;y=0;if(D&1){ca=62;break b}if(!b){e=S;f=H;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[N>>2]=k[E>>2];k[N+4>>2]=k[E+4>>2];k[N+8>>2]=k[E+8>>2];k[O>>2]=c;k[Q>>2]=k[G>>2];k[Q+4>>2]=k[G+4>>2];k[Q+8>>2]=k[G+8>>2];k[P>>2]=k[F>>2];k[P+4>>2]=k[F+4>>2];k[P+8>>2]=k[F+8>>2];k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;b=ba+11|0;c=i[b>>0]|0;c=c<<24>>24<0?k[ba+4>>2]|0:c&255;y=0;Ra(10,J|0,39859,67,c+67|0);I=y;y=0;do if(!(I&1)){y=0;ta(47,J|0,((i[b>>0]|0)<0?k[ba>>2]|0:ba)|0,c|0)|0;I=y;y=0;if(I&1)break;y=0;k[U>>2]=k[S>>2];k[U+4>>2]=k[S+4>>2];k[U+8>>2]=k[S+8>>2];Na(109,a|0,J|0,U|0);I=y;y=0;if(I&1){b=pb()|0;$9(J);break b}else{$9(J);break c}}while(0);b=pb()|0;$9(J);ca=63;break b}y=0;k[U>>2]=k[N>>2];k[U+4>>2]=k[N+4>>2];k[U+8>>2]=k[N+8>>2];b=ta(79,a|0,U|0,1)|0;J=y;y=0;if(J&1)b=pb()|0;else{k[I>>2]=b;y=0;oa(482,K|0,b|0);J=y;y=0;do if(J&1)b=pb()|0;else{y=0;Ha(966,$|0,K|0)|0;J=y;y=0;if(J&1){b=pb()|0;EO(K);break}else{EO(K);EO(I);break c}}while(0);EO(I)}break b}else{y=0;b=qa(332,80)|0;J=y;y=0;do if(J&1)ca=64;else{y=0;e=U;f=W;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));Na(108,b|0,U|0,N|0);J=y;y=0;if(J&1){_=pb()|0;zqa(b);b=_;break}y=0;oa(482,K|0,b|0);J=y;y=0;if(J&1){ca=64;break}y=0;Ha(966,$|0,K|0)|0;J=y;y=0;if(J&1){b=pb()|0;EO(K);break}else{EO(K);break c}}while(0);if((ca|0)==64)b=pb()|0;break b}while(0);k[U>>2]=k[N>>2];k[U+4>>2]=k[N+4>>2];k[U+8>>2]=k[N+8>>2];c=k[O>>2]|0;k[K>>2]=k[P>>2];k[K+4>>2]=k[P+4>>2];k[K+8>>2]=k[P+8>>2];k[L>>2]=k[Q>>2];k[L+4>>2]=k[Q+4>>2];k[L+8>>2]=k[Q+8>>2];e=M;f=S;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;ta(61,a|0,1,0)|0;J=y;y=0;if(J&1)ca=62;else{y=0;b=ta(76,a|0,1,0)|0;J=y;y=0;if(J&1)ca=62;else{d:do if(!b){e=S;f=M;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[N>>2]=k[U>>2];k[N+4>>2]=k[U+4>>2];k[N+8>>2]=k[U+8>>2];k[O>>2]=c;k[Q>>2]=k[L>>2];k[Q+4>>2]=k[L+4>>2];k[Q+8>>2]=k[L+8>>2];k[P>>2]=k[K>>2];k[P+4>>2]=k[K+4>>2];k[P+8>>2]=k[K+8>>2];k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;b=ba+11|0;c=i[b>>0]|0;c=c<<24>>24<0?k[ba+4>>2]|0:c&255;y=0;Ra(10,R|0,39927,36,c+36|0);Q=y;y=0;do if(!(Q&1)){y=0;ta(47,R|0,((i[b>>0]|0)<0?k[ba>>2]|0:ba)|0,c|0)|0;Q=y;y=0;if(Q&1)break;y=0;k[U>>2]=k[S>>2];k[U+4>>2]=k[S+4>>2];k[U+8>>2]=k[S+8>>2];Na(109,a|0,R|0,U|0);S=y;y=0;if(S&1){b=pb()|0;$9(R);break b}else{$9(R);break d}}while(0);b=pb()|0;$9(R);ca=63;break b}while(0);y=0;d=qa(332,120)|0;S=y;y=0;if(S&1){ca=62;break}e=T;f=W;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(452,Z|0,ba|0);W=y;y=0;do if(W&1)b=pb()|0;else{y=0;oa(452,_|0,aa|0);W=y;y=0;if(W&1){b=pb()|0;$9(Z);break}y=0;oa(464,X|0,$|0);W=y;y=0;if(W&1){b=pb()|0;c=1}else{y=0;e=U;f=T;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));ma(9,d|0,U|0,Z|0,_|0,X|0);W=y;y=0;do if(W&1)b=1;else{y=0;oa(482,V|0,d|0);W=y;y=0;if(W&1){b=0;break}EO(X);$9(_);$9(Z);EO($);$9(aa);$9(ba);ca=k[V>>2]|0;r=Y;return ca|0}while(0);Y=pb()|0;EO(X);c=b;b=Y}$9(_);$9(Z);if(!c)break b}while(0);zqa(d)}}}}while(0);if((ca|0)==62){b=pb()|0;ca=63}EO($)}$9(aa)}}}}while(0);if((ca|0)==25){b=pb()|0;ca=26}$9(ba);ca=b;sb(ca|0);return 0}function xd(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;M=0;G=r;r=r+304|0;J=G+256|0;C=G+240|0;z=G+228|0;m=G+176|0;F=G+252|0;N=G+116|0;L=G+88|0;n=G+216|0;p=G+160|0;s=G+120|0;A=G+112|0;x=G+108|0;B=G+104|0;t=G+100|0;K=G+80|0;q=G+56|0;u=G+84|0;v=G+76|0;w=G+72|0;D=G+16|0;H=G+8|0;I=G+4|0;E=G;_V(N,0);y=0;b=ta(143,a|0,1,0)|0;o=y;y=0;a:do if(!(o&1)){b:do if(!b){y=0;b=ta(144,a|0,1,0)|0;o=y;y=0;if(o&1)break a;if(b|0){y=0;b=qa(332,80)|0;o=y;y=0;do if(o&1)M=17;else{c=a+152|0;y=0;g=J;h=a+108|0;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));Na(108,b|0,J|0,c|0);o=y;y=0;if(o&1){L=pb()|0;zqa(b);b=L;break}y=0;oa(482,C|0,b|0);o=y;y=0;if(o&1)M=17;else{y=0;Ha(966,N|0,C|0)|0;o=y;y=0;if(o&1){b=pb()|0;EO(C);break}else{EO(C);break b}}}while(0);if((M|0)==17)b=pb()|0;M=b;EO(N);sb(M|0)}k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;Na(75,J|0,39964,11);o=y;y=0;if(o&1)b=pb()|0;else{k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;y=0;Na(75,C|0,39976,7);o=y;y=0;if(o&1)b=pb()|0;else{k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(75,z|0,40539,20);o=y;y=0;do if(o&1)b=pb()|0;else{y=0;Ra(25,a|0,J|0,C|0,z|0);o=y;y=0;if(o&1){b=pb()|0;$9(z);break}else{$9(z);$9(C);$9(J);break b}}while(0);$9(C)}$9(J)}M=b;EO(N);sb(M|0)}else{y=0;b=qa(421,a|0)|0;o=y;y=0;do if(o&1)b=pb()|0;else{k[J>>2]=b;y=0;Ha(966,N|0,J|0)|0;o=y;y=0;if(o&1){b=pb()|0;EO(J);break}else{EO(J);break b}}while(0);M=b;EO(N);sb(M|0)}while(0);l=a+152|0;c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,L|0);M=y;y=0;if(M&1)M=50;else M=37}else if(f>>>0<11){i[L+11>>0]=f;b=L}else M=37;if((M|0)==37){d=f+16&-16;y=0;b=qa(332,d|0)|0;o=y;y=0;if(o&1)M=50;else{k[L>>2]=b;k[L+8>>2]=d|-2147483648;k[L+4>>2]=f}}if((M|0)==50){M=pb()|0;EO(N);sb(M|0)}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;k[J>>2]=k[l>>2];k[J+4>>2]=k[l+4>>2];k[J+8>>2]=k[l+8>>2];o=a+76|0;c=k[o>>2]|0;d=a+84|0;k[C>>2]=k[d>>2];k[C+4>>2]=k[d+4>>2];k[C+8>>2]=k[d+8>>2];e=a+96|0;k[z>>2]=k[e>>2];k[z+4>>2]=k[e+4>>2];k[z+8>>2]=k[e+8>>2];f=a+108|0;g=m;h=f;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;ta(61,a|0,1,0)|0;j=y;y=0;c:do if(j&1)M=51;else{y=0;b=ta(145,a|0,1,0)|0;j=y;y=0;if(j&1)M=51;else{d:do if(!b){g=f;h=m;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));k[l>>2]=k[J>>2];k[l+4>>2]=k[J+4>>2];k[l+8>>2]=k[J+8>>2];k[o>>2]=c;k[e>>2]=k[z>>2];k[e+4>>2]=k[z+4>>2];k[e+8>>2]=k[z+8>>2];k[d>>2]=k[C>>2];k[d+4>>2]=k[C+4>>2];k[d+8>>2]=k[C+8>>2];k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;b=L+11|0;c=i[b>>0]|0;c=c<<24>>24<0?k[L+4>>2]|0:c&255;y=0;Ra(10,C|0,40560,10,c+10|0);m=y;y=0;if(m&1)M=52;else{y=0;ta(47,C|0,((i[b>>0]|0)<0?k[L>>2]|0:L)|0,c|0)|0;m=y;y=0;if(m&1)M=52;else{y=0;b=Ha(970,C|0,40571)|0;m=y;y=0;do if(m&1)b=pb()|0;else{k[n>>2]=k[b>>2];k[n+4>>2]=k[b+4>>2];k[n+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;m=a+108|0;y=0;k[J>>2]=k[m>>2];k[J+4>>2]=k[m+4>>2];k[J+8>>2]=k[m+8>>2];Na(109,a|0,n|0,J|0);m=y;y=0;if(m&1){b=pb()|0;$9(n);break}else{$9(n);$9(C);break d}}while(0);$9(C)}}if((M|0)==52){b=pb()|0;$9(C)}break c}while(0);y=0;ta(61,a|0,0,0)|0;n=y;y=0;if(n&1)M=51;else{y=0;b=qa(359,k[o>>2]|0)|0;n=y;y=0;if(n&1)M=51;else{d=a+80|0;if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)b=k[o>>2]|0;y=0;c=qa(360,b|0)|0;n=y;y=0;if(n&1)M=51;else{n=c|0?c:b;n=(i[n>>0]|0)==59?n+1|0:0;do if(!((n|0)==0?1:n>>>0>(k[d>>2]|0)>>>0)){k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(75,p|0,40599,38);n=y;y=0;if(n&1){M=51;break c}n=a+108|0;y=0;k[J>>2]=k[n>>2];k[J+4>>2]=k[n+4>>2];k[J+8>>2]=k[n+8>>2];Na(109,a|0,p|0,J|0);n=y;y=0;if(n&1){b=pb()|0;$9(p);break c}else{$9(p);break}}while(0);y=0;b=qa(359,k[o>>2]|0)|0;p=y;y=0;if(p&1)M=51;else{if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)b=k[o>>2]|0;y=0;c=qa(360,b|0)|0;p=y;y=0;if(p&1)M=51;else{e=c|0?c:b;e=(i[e>>0]|0)==123?e+1|0:0;e=(e|0)==0?1:e>>>0>(k[d>>2]|0)>>>0;y=0;b=qa(359,k[o>>2]|0)|0;p=y;y=0;if(p&1)M=51;else{if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)b=k[o>>2]|0;y=0;c=qa(360,b|0)|0;p=y;y=0;if(p&1)M=51;else{y=0;b=qa(366,(c|0?c:b)|0)|0;p=y;y=0;if(p&1){M=51;break}if(!((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)){y=0;d=qa(332,80)|0;K=y;y=0;if(K&1){M=51;break}g=s;h=(k[N>>2]|0)+12|0;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;oa(464,A|0,N|0);K=y;y=0;do if(K&1)b=pb()|0;else{y=0;b=qa(422,a|0)|0;K=y;y=0;if(K&1){b=pb()|0;EO(A);break}k[B>>2]=b;y=0;oa(482,x|0,b|0);K=y;y=0;if(K&1){b=pb()|0;c=1}else{y=0;oa(482,t|0,0);K=y;y=0;if(K&1){b=pb()|0;c=1}else{y=0;g=J;h=s;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));ya(20,d|0,J|0,A|0,x|0,0,t|0);K=y;y=0;do if(K&1)b=1;else{y=0;oa(482,F|0,d|0);K=y;y=0;if(K&1){b=0;break}EO(t);EO(x);EO(B);EO(A);$9(L);EO(N);N=k[F>>2]|0;r=G;return N|0}while(0);K=pb()|0;EO(t);c=b;b=K}EO(x)}EO(B);EO(A);if(!c)break c}while(0);zqa(d);break}y=0;oa(482,K|0,0);B=y;y=0;if(B&1){M=51;break}y=0;Na(114,q|0,a|0,k[o>>2]|0);B=y;y=0;if(B&1)b=pb()|0;else{b=k[q>>2]|0;e:do if(!b){y=0;b=Ha(1003,a|0,1)|0;B=y;y=0;if(B&1)b=pb()|0;else{k[w>>2]=b;y=0;oa(482,J|0,b|0);B=y;y=0;do if(B&1)b=pb()|0;else{y=0;Ha(966,K|0,J|0)|0;B=y;y=0;if(B&1){b=pb()|0;EO(J);break}EO(J);EO(w);b=k[K>>2]|0;if(!b){M=144;break e}b=pw(b,40,216,0)|0;if(!b){M=144;break e}if((k[b+68>>2]|0)!=(k[b+64>>2]|0)){M=144;break e}b=k[o>>2]|0;y=0;c=qa(360,b|0)|0;B=y;y=0;if(B&1){b=pb()|0;break e}B=c|0?c:b;B=(i[B>>0]|0)==123?B+1|0:0;if(!((B|0)==0?1:B>>>0>(k[d>>2]|0)>>>0)){M=144;break e}k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;Na(75,J|0,39964,11);B=y;y=0;if(B&1)b=pb()|0;else{k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;y=0;Na(75,C|0,39976,7);B=y;y=0;if(B&1)b=pb()|0;else{k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(75,z|0,39984,44);B=y;y=0;do if(B&1)b=pb()|0;else{y=0;Ra(25,a|0,J|0,C|0,z|0);B=y;y=0;if(B&1){b=pb()|0;$9(z);break}else{$9(z);$9(C);$9(J);M=144;break e}}while(0);$9(C)}$9(J)}break e}while(0);EO(w)}}else if(!(i[q+13>>0]|0)){y=0;b=Ha(1003,a|0,1)|0;C=y;y=0;if(C&1)b=pb()|0;else{k[v>>2]=b;y=0;oa(482,J|0,b|0);C=y;y=0;do if(C&1)b=pb()|0;else{y=0;Ha(966,K|0,J|0)|0;C=y;y=0;if(C&1){b=pb()|0;EO(J);break}else{EO(J);EO(v);M=144;break e}}while(0);EO(v)}break}else{y=0;b=Ha(1004,a|0,b|0)|0;C=y;y=0;if(C&1)b=pb()|0;else{k[u>>2]=b;y=0;oa(482,J|0,b|0);C=y;y=0;do if(C&1)b=pb()|0;else{y=0;Ha(966,K|0,J|0)|0;C=y;y=0;if(C&1){b=pb()|0;EO(J);break}else{EO(J);EO(u);M=144;break e}}while(0);EO(u)}break}while(0);f:do if((M|0)==144){y=0;ta(61,a|0,0,0)|0;C=y;y=0;do if(!(C&1)){y=0;d=qa(332,80)|0;C=y;y=0;if(C&1)break;g=D;h=(k[N>>2]|0)+12|0;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;oa(464,H|0,N|0);C=y;y=0;do if(C&1)b=pb()|0;else{y=0;oa(464,I|0,K|0);C=y;y=0;if(C&1){b=pb()|0;EO(H);break}y=0;oa(482,E|0,0);C=y;y=0;if(C&1){b=pb()|0;c=1}else{y=0;g=J;h=D;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));ya(20,d|0,J|0,H|0,I|0,0,E|0);J=y;y=0;do if(J&1)b=1;else{y=0;oa(482,F|0,d|0);J=y;y=0;if(J&1){b=0;break}EO(E);EO(I);EO(H);i[(k[F>>2]|0)+77>>0]=e&1;EO(K);$9(L);EO(N);N=k[F>>2]|0;r=G;return N|0}while(0);J=pb()|0;EO(E);c=b;b=J}EO(I);EO(H);if(!c)break f}while(0);zqa(d);break f}while(0);b=pb()|0}while(0)}EO(K)}}}}}}}}}while(0);if((M|0)==51)b=pb()|0;$9(L);M=b;EO(N);sb(M|0)}while(0);M=pb()|0;EO(N);sb(M|0);return 0}function yd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;M=r;r=r+448|0;B=M+120|0;u=M+80|0;H=M+444|0;q=M+440|0;K=M+40|0;c=M;W=M+436|0;n=M+432|0;m=M+428|0;U=M+424|0;o=M+416|0;T=M+420|0;s=M+408|0;O=M+412|0;t=M+360|0;x=M+352|0;w=M+312|0;z=M+308|0;A=M+296|0;v=M+292|0;C=M+288|0;D=M+248|0;F=M+240|0;G=M+228|0;S=M+404|0;E=M+224|0;R=M+400|0;I=M+220|0;L=M+216|0;J=M+176|0;P=M+172|0;Q=M+160|0;l=ZL(84)|0;p=c;g=b+12|0;h=p+40|0;do{k[p>>2]=k[g>>2];p=p+4|0;g=g+4|0}while((p|0)<(h|0));y=0;na(366,l|0);V=y;y=0;do if(V&1)c=pb()|0;else{p=l+12|0;g=c;h=p+40|0;do{k[p>>2]=k[g>>2];p=p+4|0;g=g+4|0}while((p|0)<(h|0));k[l>>2]=4940;i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;c=l+60|0;k[c>>2]=8568;g=l+64|0;h=l+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(548,g|0,0);V=y;y=0;if(V&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{W=e+-4|0;k[h>>2]=W;EO(W);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[l>>2]=8404;k[c>>2]=8528;i[l+80>>0]=0;i[l+81>>0]=0;i[l+82>>0]=0;_V(W,l);d=k[b+64>>2]|0;g=(k[b+68>>2]|0)-d>>2;if(!g){c=k[W>>2]|0;if(!c){V=0;EO(W);r=M;return V|0}i[c+8>>0]=1;V=c;EO(W);r=M;return V|0}h=b+64|0;c=0;while(1){d=k[d+(c<<2)>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,a|0)|0;V=y;y=0;if(V&1){V=21;break}y=0;oa(482,n|0,d|0);V=y;y=0;if(V&1){V=21;break}d=k[n>>2]|0;if(!d)f=0;else f=pw(d,40,624,0)|0;V=j[f+76>>1]|0;if((V&255)<<24>>24==0&(V&65535)<256){d=(k[W>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(482,m|0,f|0);V=y;y=0;if(V&1){V=26;break}y=0;oa(e|0,d|0,m|0);V=y;y=0;if(V&1){V=27;break}EO(m)}EO(n);c=c+1|0;if(c>>>0>=g>>>0){V=16;break}d=k[h>>2]|0}a:do if((V|0)==16){b:do if(!(i[b+81>>0]|0))V=107;else{y=0;c=qa(449,b|0)|0;p=y;y=0;if(!(p&1)){k[o>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;p=y;y=0;if(!(p&1)){y=0;oa(482,U|0,c|0);p=y;y=0;if(!(p&1)){EO(o);c=k[U>>2]|0;if(!c)c=0;else c=pw(c,40,624,0)|0;y=0;oa(464,q|0,c+60|0);p=y;y=0;do if(p&1)c=pb()|0;else{c=k[q>>2]|0;k[s>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;q=y;y=0;if(!(q&1)){y=0;oa(482,T|0,c|0);q=y;y=0;if(!(q&1)){EO(s);c=k[T>>2]|0;if(!c){l=0;m=0}else{l=pw(c,40,216,0)|0;m=pw(c,40,584,0)|0}y=0;n=qa(332,88)|0;s=y;y=0;c:do if(s&1)V=59;else{p=t;g=c+12|0;h=p+40|0;do{k[p>>2]=k[g>>2];p=p+4|0;g=g+4|0}while((p|0)<(h|0));f=(l|0)!=0;if(f)e=k[l+80>>2]|0;else e=0;p=u;g=t;h=p+40|0;do{k[p>>2]=k[g>>2];p=p+4|0;g=g+4|0}while((p|0)<(h|0));y=0;na(366,n|0);t=y;y=0;do if(t&1)c=pb()|0;else{p=n+12|0;g=u;h=p+40|0;do{k[p>>2]=k[g>>2];p=p+4|0;g=g+4|0}while((p|0)<(h|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;c=n+56|0;k[c>>2]=0;k[n>>2]=7760;d=n+60|0;k[d>>2]=7720;g=n+64|0;h=n+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(518,g|0,0);u=y;y=0;if(u&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{S=e+-4|0;k[h>>2]=S;EO(S);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[n>>2]=7552;k[d>>2]=7680;k[n+80>>2]=e;i[n+84>>0]=1;i[n+85>>0]=0;k[c>>2]=5;y=0;oa(482,O|0,n|0);V=y;y=0;if(V&1){V=59;break c}do if(f){if(!(i[l+84>>0]|0)){V=63;break}V=(k[O>>2]|0)+60|0;y=0;oa(k[(k[V>>2]|0)+24>>2]|0,V|0,l+60|0);V=y;y=0;if(V&1)V=62;else{c=O;V=89}}else V=63;while(0);d:do if((V|0)==63){if(!m){d=(k[O>>2]|0)+60|0;if(f){y=0;oa(k[(k[d>>2]|0)+24>>2]|0,d|0,l+60|0);V=y;y=0;if(V&1){V=62;break}else{c=O;V=89;break}}c=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(464,v|0,T|0);A=y;y=0;if(A&1){V=62;break}y=0;oa(c|0,d|0,v|0);A=y;y=0;if(A&1){c=pb()|0;EO(v);break}else{EO(v);c=O;V=89;break}}d=(k[W>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;f=qa(332,84)|0;v=y;y=0;if(v&1){V=62;break}p=w;g=(k[T>>2]|0)+12|0;h=p+40|0;do{k[p>>2]=k[g>>2];p=p+4|0;g=g+4|0}while((p|0)<(h|0));y=0;oa(482,z|0,m|0);v=y;y=0;do if(v&1)c=pb()|0;else{k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(75,A|0,82159,0);v=y;y=0;if(v&1){c=pb()|0;EO(z);break}p=B;g=w;h=p+40|0;do{k[p>>2]=k[g>>2];p=p+4|0;g=g+4|0}while((p|0)<(h|0));y=0;na(366,f|0);w=y;y=0;e:do if(w&1){c=1;V=78}else{p=f+12|0;g=B;h=p+40|0;do{k[p>>2]=k[g>>2];p=p+4|0;g=g+4|0}while((p|0)<(h|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=0;k[f>>2]=8284;c=f+60|0;y=0;oa(464,c|0,z|0);w=y;y=0;do if(w&1)c=pb()|0;else{y=0;oa(452,f+64|0,A|0);w=y;y=0;if(w&1){V=pb()|0;EO(c);c=V;break}i[f+76>>0]=0;i[f+77>>0]=1;k[f+80>>2]=0;y=0;oa(482,x|0,f|0);w=y;y=0;if(w&1){c=0;V=78;break e}y=0;oa(e|0,d|0,x|0);w=y;y=0;if(w&1){c=pb()|0;EO(x);d=0;break e}else{EO(x);$9(A);EO(z);c=O;V=89;break d}}while(0);d=1;V=79}while(0);if((V|0)==78){S=pb()|0;d=c;c=S;V=79}$9(A);EO(z);if(!d)break d}while(0);zqa(f)}while(0);f:do if((V|0)==89){c=k[c>>2]|0;g:do if((k[c+68>>2]|0)!=(k[c+64>>2]|0)){d=(k[W>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;f=qa(332,84)|0;A=y;y=0;if(A&1){V=62;break f}p=D;g=(k[T>>2]|0)+12|0;h=p+40|0;do{k[p>>2]=k[g>>2];p=p+4|0;g=g+4|0}while((p|0)<(h|0));y=0;oa(482,F|0,c|0);A=y;y=0;do if(A&1)c=pb()|0;else{k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;y=0;Na(75,G|0,82159,0);A=y;y=0;if(A&1){c=pb()|0;EO(F);break}y=0;p=B;g=D;h=p+40|0;do{k[p>>2]=k[g>>2];p=p+4|0;g=g+4|0}while((p|0)<(h|0));ya(14,f|0,B|0,F|0,G|0,1,0);D=y;y=0;do if(D&1){c=1;V=99}else{y=0;oa(482,C|0,f|0);D=y;y=0;if(D&1){c=0;V=99;break}y=0;oa(e|0,d|0,C|0);D=y;y=0;if(D&1){c=pb()|0;EO(C);d=0;break}else{EO(C);$9(G);EO(F);break g}}while(0);if((V|0)==99){S=pb()|0;d=c;c=S}$9(G);EO(F);if(!d)break f}while(0);zqa(f);break f}while(0);EO(O);EO(T);EO(U);V=107;break b}while(0);if((V|0)==62)c=pb()|0;EO(O);break c}while(0);zqa(n)}while(0);if((V|0)==59)c=pb()|0;EO(T);break}}c=pb()|0;EO(s)}while(0);EO(U);break a}}c=pb()|0;EO(o);break a}}while(0);h:do if((V|0)==107){i:do if(i[b+82>>0]|0){y=0;c=qa(450,b|0)|0;U=y;y=0;if(U&1)break h;k[E>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;U=y;y=0;if(!(U&1)){y=0;oa(482,S|0,c|0);U=y;y=0;if(!(U&1)){EO(E);c=k[S>>2]|0;if(!c)c=0;else c=pw(c,40,624,0)|0;y=0;oa(464,H|0,c+60|0);U=y;y=0;do if(U&1)c=pb()|0;else{c=k[H>>2]|0;k[I>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;U=y;y=0;if(!(U&1)){y=0;oa(482,R|0,c|0);U=y;y=0;if(!(U&1)){EO(I);d=(k[W>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;f=qa(332,84)|0;U=y;y=0;j:do if(U&1)c=pb()|0;else{p=J;g=(k[R>>2]|0)+12|0;h=p+40|0;do{k[p>>2]=k[g>>2];p=p+4|0;g=g+4|0}while((p|0)<(h|0));y=0;oa(464,P|0,R|0);U=y;y=0;do if(U&1)c=pb()|0;else{k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;y=0;Na(75,Q|0,82159,0);U=y;y=0;if(U&1){c=pb()|0;EO(P);break}p=K;g=J;h=p+40|0;do{k[p>>2]=k[g>>2];p=p+4|0;g=g+4|0}while((p|0)<(h|0));y=0;na(366,f|0);U=y;y=0;k:do if(U&1){c=1;V=134}else{p=f+12|0;g=K;h=p+40|0;do{k[p>>2]=k[g>>2];p=p+4|0;g=g+4|0}while((p|0)<(h|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=0;k[f>>2]=8284;c=f+60|0;y=0;oa(464,c|0,P|0);U=y;y=0;do if(U&1)c=pb()|0;else{y=0;oa(452,f+64|0,Q|0);U=y;y=0;if(U&1){V=pb()|0;EO(c);c=V;break}i[f+76>>0]=0;i[f+77>>0]=1;k[f+80>>2]=0;y=0;oa(482,L|0,f|0);U=y;y=0;if(U&1){c=0;V=134;break k}y=0;oa(e|0,d|0,L|0);U=y;y=0;if(U&1){c=pb()|0;EO(L);d=0;break k}else{EO(L);$9(Q);EO(P);EO(R);EO(S);break i}}while(0);d=1;V=135}while(0);if((V|0)==134){U=pb()|0;d=c;c=U;V=135}$9(Q);EO(P);if(!d)break j}while(0);zqa(f)}while(0);EO(R);break}}c=pb()|0;EO(I)}while(0);EO(S);break a}}c=pb()|0;EO(E);break a}while(0);c=k[W>>2]|0;if(!c){V=0;EO(W);r=M;return V|0}i[c+8>>0]=1;V=c;EO(W);r=M;return V|0}while(0);c=pb()|0}else if((V|0)==21)c=pb()|0;else if((V|0)==26){c=pb()|0;V=30}else if((V|0)==27){c=pb()|0;EO(m);V=30}while(0);if((V|0)==30)EO(n);EO(W);W=c;sb(W|0)}while(0);zqa(l);W=c;sb(W|0);return 0}function zd(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,pa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0;ba=0;va=r;r=r+320|0;S=va+312|0;p=va+308|0;D=va+304|0;x=va+300|0;z=va+296|0;A=va+292|0;V=va+288|0;n=va+284|0;O=va+280|0;P=va+276|0;o=va+272|0;Q=va+268|0;R=va+264|0;h=va+260|0;Y=va+256|0;i=va+252|0;ca=va+248|0;j=va+244|0;f=va+240|0;B=va+236|0;Z=va+232|0;da=va+228|0;g=va+224|0;_=va+220|0;ea=va+216|0;ya=va+212|0;d=va+208|0;e=va+204|0;xa=va+200|0;K=va+192|0;E=va+184|0;G=va+180|0;I=va+172|0;C=va+160|0;l=va+156|0;m=va+152|0;N=va+196|0;M=va+188|0;q=va+148|0;s=va+144|0;t=va+140|0;u=va+136|0;v=va+132|0;w=va+128|0;L=va+124|0;H=va+120|0;J=va+116|0;F=va+104|0;wa=va+176|0;fa=va+100|0;aa=va+96|0;$=va+92|0;W=va+88|0;X=va+84|0;T=va+72|0;ra=va+68|0;ja=va+64|0;ma=va+60|0;ga=va+48|0;sa=va+44|0;ka=va+40|0;na=va+36|0;ha=va+24|0;ua=va+20|0;la=va+16|0;pa=va+12|0;ia=va;U=a+76|0;rT(S,U);za=k[S>>2]|0;k[d>>2]=za;if(!za){EO(d);za=0;r=va;return za|0}y=0;oa(464,ya|0,(k[b>>2]|0)+76|0);za=y;y=0;if(za&1){za=pb()|0;EO(d);sb(za|0)}za=k[ya>>2]|0;k[e>>2]=za;EO(e);EO(d);if(!za){za=0;r=va;return za|0}za=vM(a)|0;k[ya>>2]=za;a:do if(!(k[za+72>>2]|0)){y=0;d=qa(333,k[b>>2]|0)|0;za=y;y=0;b:do if(za&1)d=pb()|0;else{k[xa>>2]=d;c:do if(!(k[d+72>>2]|0)){y=0;e=qa(334,a|0)|0;za=y;y=0;d:do if(za&1)d=pb()|0;else{y=0;d=qa(334,k[b>>2]|0)|0;za=y;y=0;if(za&1){d=pb()|0;break}if(e>>>0>d>>>0){d=0;break c}e:do if((e|0)==1){y=0;oa(464,g|0,U|0);za=y;y=0;if(!(za&1)){f=k[g>>2]|0;k[K>>2]=f;e=f;f=k[(k[f>>2]|0)+148>>2]|0;y=0;d=qa(333,k[b>>2]|0)|0;za=y;y=0;if(za&1)d=pb()|0;else{k[I>>2]=d;y=0;oa(464,B|0,d+76|0);za=y;y=0;if(za&1)d=pb()|0;else{za=k[B>>2]|0;k[G>>2]=za;y=0;oa(482,E|0,za|0);za=y;y=0;if(za&1)d=pb()|0;else{y=0;oa(452,C|0,c|0);za=y;y=0;do if(za&1)d=pb()|0;else{y=0;d=ta(f|0,e|0,E|0,C|0)|0;za=y;y=0;if(za&1){d=pb()|0;$9(C);break}else{$9(C);EO(E);EO(G);EO(I);EO(K);break c}}while(0);EO(E)}EO(G)}EO(I)}EO(K);break d}}else{y=0;oa(464,f|0,(k[b>>2]|0)+80|0);za=y;y=0;if(!(za&1)){za=k[f>>2]|0;k[l>>2]=za;f:do if(!za)EO(l);else{d=a+80|0;y=0;oa(464,j|0,d|0);za=y;y=0;if(za&1){d=pb()|0;EO(l);break d}za=k[j>>2]|0;k[m>>2]=za;if(!za){EO(m);EO(l);break}za=(k[a+72>>2]|0)==0;EO(m);EO(l);if(za)break;y=0;oa(464,i|0,d|0);za=y;y=0;if(za&1)break e;k[N>>2]=k[i>>2];y=0;oa(464,h|0,(k[b>>2]|0)+80|0);za=y;y=0;g:do if(za&1)d=pb()|0;else{za=k[h>>2]|0;k[M>>2]=za;d=k[N>>2]|0;h:do if((k[d+72>>2]|0)==(k[za+72>>2]|0)){y=0;oa(464,o|0,d+76|0);za=y;y=0;i:do if(za&1)ba=44;else{za=k[o>>2]|0;k[q>>2]=za;do if(!za)EO(q);else{y=0;oa(464,n|0,(k[M>>2]|0)+76|0);za=y;y=0;if(za&1){d=pb()|0;EO(q);break i}else{za=k[n>>2]|0;k[s>>2]=za;EO(s);EO(q);if(!za)break h;else break}}while(0);y=0;oa(464,A|0,(k[N>>2]|0)+76|0);za=y;y=0;if(za&1){ba=44;break}za=k[A>>2]|0;k[t>>2]=za;do if(!za){y=0;oa(464,z|0,(k[M>>2]|0)+76|0);za=y;y=0;if(za&1){d=pb()|0;EO(t);break i}else{za=k[z>>2]|0;k[u>>2]=za;EO(u);EO(t);if(!za)break;else break h}}else EO(t);while(0);y=0;oa(464,x|0,(k[N>>2]|0)+76|0);za=y;y=0;if(za&1){ba=44;break}za=k[x>>2]|0;k[v>>2]=za;j:do if(!za)EO(v);else{y=0;oa(464,p|0,(k[M>>2]|0)+76|0);za=y;y=0;if(za&1){d=pb()|0;EO(v);break i}za=k[p>>2]|0;k[w>>2]=za;EO(w);EO(v);if(!za)break;y=0;oa(464,S|0,(k[N>>2]|0)+76|0);za=y;y=0;if(za&1){ba=44;break i}e=k[S>>2]|0;k[L>>2]=e;d=e;e=k[(k[e>>2]|0)+148>>2]|0;y=0;oa(464,D|0,(k[M>>2]|0)+76|0);za=y;y=0;if(za&1)d=pb()|0;else{za=k[D>>2]|0;k[J>>2]=za;y=0;oa(482,H|0,za|0);za=y;y=0;if(za&1)d=pb()|0;else{k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;y=0;Na(75,F|0,82159,0);za=y;y=0;do if(za&1)d=pb()|0;else{y=0;d=ta(e|0,d|0,H|0,F|0)|0;za=y;y=0;if(za&1){d=pb()|0;$9(F);break}else{$9(F);EO(H);EO(J);EO(L);if(d)break j;else break h}}while(0);EO(H)}EO(J)}EO(L);break i}while(0);EO(M);EO(N);break f}while(0);if((ba|0)==44)d=pb()|0;EO(M);break g}while(0);EO(M);EO(N);d=0;break c}while(0);EO(N);break d}while(0);y=0;oa(464,wa|0,b|0);za=y;y=0;if(za&1){d=pb()|0;break d}y=0;g=qa(334,k[b>>2]|0)|0;za=y;y=0;k:do if(za&1)d=pb()|0;else{h=g+-1|0;l:do if((g|0)==0|(h|0)==0)d=0;else{f=0;m:while(1){y=0;oa(464,V|0,U|0);za=y;y=0;if(za&1){ba=98;break}za=k[V>>2]|0;k[fa>>2]=za;do if(!za)EO(fa);else{y=0;oa(464,O|0,(k[wa>>2]|0)+76|0);za=y;y=0;if(za&1){ba=99;break m}za=k[O>>2]|0;k[aa>>2]=za;if(!za){EO(aa);EO(fa);break}y=0;oa(464,P|0,U|0);za=y;y=0;if(za&1){ba=100;break m}d=k[P>>2]|0;k[$>>2]=d;e=k[(k[d>>2]|0)+148>>2]|0;y=0;oa(464,Q|0,(k[wa>>2]|0)+76|0);za=y;y=0;if(za&1){ba=101;break m}za=k[Q>>2]|0;k[X>>2]=za;y=0;oa(482,W|0,za|0);za=y;y=0;if(za&1){ba=102;break m}y=0;oa(452,T|0,c|0);za=y;y=0;if(za&1){ba=103;break m}y=0;d=ta(e|0,d|0,W|0,T|0)|0;za=y;y=0;if(za&1){ba=104;break m}$9(T);EO(W);EO(X);EO($);EO(aa);EO(fa);if(d){ba=117;break m}}while(0);y=0;oa(464,R|0,(k[wa>>2]|0)+80|0);za=y;y=0;if(za&1){ba=114;break}k[S>>2]=k[R>>2];y=0;Ha(966,wa|0,S|0)|0;za=y;y=0;if(za&1){ba=115;break}EO(S);f=f+1|0;if(f>>>0>=g>>>0|(f|0)==(h|0)){d=0;break l}}switch(ba|0){case 98:{d=pb()|0;break k}case 99:{d=pb()|0;break}case 100:{d=pb()|0;ba=108;break}case 101:{d=pb()|0;ba=107;break}case 102:{d=pb()|0;ba=106;break}case 103:{d=pb()|0;ba=105;break}case 104:{d=pb()|0;$9(T);ba=105;break}case 114:{d=pb()|0;ba=116;break}case 115:{d=pb()|0;EO(S);ba=116;break}case 117:{d=k[a+72>>2]|0;e=k[(k[wa>>2]|0)+72>>2]|0;f=(e|0)==0;do if(!d){if(f){y=0;oa(464,_|0,a+80|0);za=y;y=0;if(za&1)break;e=k[_>>2]|0;k[ua>>2]=e;d=e;e=k[(k[e>>2]|0)+148>>2]|0;y=0;oa(464,ea|0,(k[wa>>2]|0)+80|0);za=y;y=0;if(za&1)d=pb()|0;else{za=k[ea>>2]|0;k[pa>>2]=za;y=0;oa(482,la|0,za|0);za=y;y=0;if(za&1)d=pb()|0;else{k[ia>>2]=0;k[ia+4>>2]=0;k[ia+8>>2]=0;y=0;Na(75,ia|0,82159,0);za=y;y=0;do if(za&1)d=pb()|0;else{y=0;d=ta(e|0,d|0,la|0,ia|0)|0;za=y;y=0;if(za&1){d=pb()|0;$9(ia);break}else{$9(ia);EO(la);EO(pa);EO(ua);break l}}while(0);EO(la)}EO(pa)}EO(ua);break k}if((e|0)!=1){d=0;break l}y=0;oa(464,Z|0,a+80|0);za=y;y=0;if(za&1)break;e=k[Z>>2]|0;k[sa>>2]=e;d=e;e=k[(k[e>>2]|0)+148>>2]|0;y=0;oa(464,da|0,(k[wa>>2]|0)+80|0);za=y;y=0;if(za&1)d=pb()|0;else{za=k[da>>2]|0;k[na>>2]=za;y=0;oa(482,ka|0,za|0);za=y;y=0;if(za&1)d=pb()|0;else{k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;y=0;Na(75,ha|0,82159,0);za=y;y=0;do if(za&1)d=pb()|0;else{y=0;d=ta(e|0,d|0,ka|0,ha|0)|0;za=y;y=0;if(za&1){d=pb()|0;$9(ha);break}else{$9(ha);EO(ka);EO(na);EO(sa);break l}}while(0);EO(ka)}EO(na)}EO(sa);break k}else{if(f){d=0;break l}if((d|0)==2){if((e|0)==1){d=0;break l}}else if((d|0)!=(e|0)){d=0;break l}y=0;oa(464,Y|0,a+80|0);za=y;y=0;if(za&1)break;e=k[Y>>2]|0;k[ra>>2]=e;d=e;e=k[(k[e>>2]|0)+148>>2]|0;y=0;oa(464,ca|0,(k[wa>>2]|0)+80|0);za=y;y=0;if(za&1)d=pb()|0;else{za=k[ca>>2]|0;k[ma>>2]=za;y=0;oa(482,ja|0,za|0);za=y;y=0;if(za&1)d=pb()|0;else{k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;y=0;Na(75,ga|0,82159,0);za=y;y=0;do if(za&1)d=pb()|0;else{y=0;d=ta(e|0,d|0,ja|0,ga|0)|0;za=y;y=0;if(za&1){d=pb()|0;$9(ga);break}else{$9(ga);EO(ja);EO(ma);EO(ra);break l}}while(0);EO(ja)}EO(ma)}EO(ra);break k}while(0);d=pb()|0;break k}}if((ba|0)==105){EO(W);ba=106}else if((ba|0)==116)break k;if((ba|0)==106){EO(X);ba=107}if((ba|0)==107){EO($);ba=108}if((ba|0)==108)EO(aa);EO(fa);break k}while(0);EO(wa);break c}while(0);EO(wa);break d}}while(0);d=pb()|0}while(0);EO(xa);break b}else d=0;while(0);EO(xa);break a}while(0);EO(ya);za=d;sb(za|0)}else d=0;while(0);EO(ya);za=d;r=va;return za|0}function Ad(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;D=0;w=r;r=r+208|0;t=w+40|0;s=w;F=w+196|0;E=w+188|0;C=w+172|0;p=w+100|0;B=w+92|0;j=w+192|0;A=w+80|0;o=w+176|0;v=w+168|0;u=w+128|0;x=w+124|0;z=w+112|0;q=w+96|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;jI(t,36349,5);y=0;b=Ha(971,a|0,t|0)|0;n=y;y=0;if(!(n&1)){b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,584,0)|0;y=0;oa(482,F|0,b|0);n=y;y=0;if(!(n&1)){$9(t);k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,36349,5);n=y;y=0;do if(n&1){b=pb()|0;D=20}else{y=0;b=Ha(971,a|0,t|0)|0;n=y;y=0;if(!(n&1)){b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,216,0)|0;y=0;oa(482,E|0,b|0);n=y;y=0;if(!(n&1)){$9(t);k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,36578,4);n=y;y=0;do if(n&1){b=pb()|0;D=23}else{y=0;b=t;l=e;m=b+40|0;do{k[b>>2]=k[l>>2];b=b+4|0;l=l+4|0}while((b|0)<(m|0));b=sa(27,s|0,a|0,d|0,t|0,f|0)|0;n=y;y=0;if(!(n&1)){y=0;oa(482,C|0,b|0);n=y;y=0;if(!(n&1)){$9(s);k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(75,t|0,36349,5);n=y;y=0;a:do if(n&1){b=pb()|0;D=31}else{y=0;b=Ha(971,a|0,t|0)|0;n=y;y=0;if(n&1){b=pb()|0;$9(t);D=31;break}b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,104,0)|0;$9(t);b:do if(b|0){y=0;na(379,p|0);n=y;y=0;if(n&1){b=pb()|0;break a}y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,p|0)|0;n=y;y=0;do if(n&1)D=33;else{if(!b)b=0;else b=pw(b,40,216,0)|0;y=0;oa(482,t|0,b|0);n=y;y=0;if(n&1){D=33;break}y=0;Ha(966,E|0,t|0)|0;n=y;y=0;if(n&1){b=pb()|0;EO(t);break}else{EO(t);break b}}while(0);if((D|0)==33)b=pb()|0;break a}while(0);k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,36485,10);n=y;y=0;if(n&1)b=pb()|0;else{y=0;b=t;l=e;m=b+40|0;do{k[b>>2]=k[l>>2];b=b+4|0;l=l+4|0}while((b|0)<(m|0));b=sa(25,s|0,a|0,d|0,t|0,f|0)|0;n=y;y=0;do if(!(n&1)){y=0;oa(482,B|0,b|0);n=y;y=0;if(n&1)break;$9(s);c:do if(!(k[E>>2]|0)){y=0;n=qa(332,88)|0;m=y;y=0;d:do if(m&1)D=63;else{b=s;l=e;m=b+40|0;do{k[b>>2]=k[l>>2];b=b+4|0;l=l+4|0}while((b|0)<(m|0));y=0;na(366,n|0);m=y;y=0;do if(m&1)b=pb()|0;else{b=n+12|0;l=s;m=b+40|0;do{k[b>>2]=k[l>>2];b=b+4|0;l=l+4|0}while((b|0)<(m|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;b=n+56|0;k[b>>2]=0;k[n>>2]=7760;g=n+60|0;k[g>>2]=7720;l=n+64|0;m=n+68|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;y=0;oa(518,l|0,1);h=y;y=0;if(h&1){b=pb()|0;j=N;g=k[l>>2]|0;if(g|0){h=k[m>>2]|0;if((h|0)!=(g|0)){do{A=h+-4|0;k[m>>2]=A;EO(A);h=k[m>>2]|0}while((h|0)!=(g|0));g=k[l>>2]|0}zqa(g)}break}k[n>>2]=7552;k[g>>2]=7680;k[n+80>>2]=1;i[n+84>>0]=0;i[n+85>>0]=0;k[b>>2]=5;y=0;oa(482,t|0,n|0);n=y;y=0;if(n&1){D=63;break d}y=0;Ha(966,E|0,t|0)|0;n=y;y=0;if(n&1){b=pb()|0;EO(t);break d}EO(t);g=(k[E>>2]|0)+60|0;h=k[(k[g>>2]|0)+20>>2]|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,36349,5);n=y;y=0;if(n&1)b=pb()|0;else{y=0;b=t;l=e;m=b+40|0;do{k[b>>2]=k[l>>2];b=b+4|0;l=l+4|0}while((b|0)<(m|0));b=sa(27,s|0,a|0,d|0,t|0,f|0)|0;f=y;y=0;do if(f&1)D=69;else{y=0;oa(482,j|0,b|0);f=y;y=0;if(f&1){D=69;break}y=0;oa(h|0,g|0,j|0);f=y;y=0;if(f&1){b=pb()|0;EO(j);break}else{EO(j);$9(s);D=73;break c}}while(0);if((D|0)==69)b=pb()|0;$9(s)}break c}while(0);zqa(n)}while(0);if((D|0)==63)b=pb()|0}else D=73;while(0);e:do if((D|0)==73){b=k[F>>2]|0;f:do if(b|0){y=0;b=ta(58,b|0,c|0,e|0)|0;c=y;y=0;do if(c&1)b=pb()|0;else{k[t>>2]=b;y=0;Ha(966,E|0,t|0)|0;c=y;y=0;if(c&1){b=pb()|0;EO(t);break}else{EO(t);break f}}while(0);break e}while(0);n=k[E>>2]|0;y=0;n=qa(k[(k[n>>2]|0)+12>>2]|0,n|0)|0;c=y;y=0;if(c&1){b=pb()|0;break}y=0;oa(452,t|0,(k[B>>2]|0)+64|0);c=y;y=0;do if(c&1)b=pb()|0;else{y=0;ma(5,A|0,t|0,0,0,1);c=y;y=0;if(c&1){b=pb()|0;$9(t);break}$9(t);h=A+11|0;g=i[h>>0]|0;j=A+4|0;b=k[j>>2]|0;do if(((g<<24>>24<0?b:g&255)|0)==4){y=0;b=sa(21,A|0,0,-1,36508,4)|0;D=y;y=0;if(D&1){D=tb(0)|0;dla(D)}if(!b){D=115;break}g=i[h>>0]|0;b=k[j>>2]|0;D=88}else D=88;while(0);g:do if((D|0)==88){do if(((g<<24>>24<0?b:g&255)|0)==5){y=0;b=sa(21,A|0,0,-1,36496,5)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(!b){k[n+80>>2]=1;D=115;break g}else{g=i[h>>0]|0;b=k[j>>2]|0;break}}while(0);do if(((g<<24>>24<0?b:g&255)|0)==5){y=0;b=sa(21,A|0,0,-1,36502,5)|0;c=y;y=0;if(c&1){c=tb(0)|0;dla(c)}if(b|0)break;k[n+80>>2]=0;D=115;break g}while(0);k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;c=JI(d)|0;y=0;Na(75,p|0,d|0,c|0);d=y;y=0;if(d&1)b=pb()|0;else{y=0;b=ta(52,p|0,0,36513)|0;d=y;y=0;if(d&1)b=pb()|0;else{k[s>>2]=k[b>>2];k[s+4>>2]=k[b+4>>2];k[s+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,s|0,36540)|0;d=y;y=0;do if(d&1)b=pb()|0;else{k[o>>2]=k[b>>2];k[o+4>>2]=k[b+4>>2];k[o+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=t;l=e;m=b+40|0;do{k[b>>2]=k[l>>2];b=b+4|0;l=l+4|0}while((b|0)<(m|0));oa(458,o|0,t|0);e=y;y=0;if(e&1){b=pb()|0;$9(o);break}else{$9(o);$9(s);$9(p);D=115;break g}}while(0);$9(s)}$9(p)}}while(0);h:do if((D|0)==115){g=n+60|0;h=k[(k[g>>2]|0)+20>>2]|0;do if(!(i[(k[E>>2]|0)+84>>0]|0)){y=0;oa(464,q|0,C|0);z=y;y=0;if(z&1)break;y=0;oa(h|0,g|0,q|0);z=y;y=0;if(z&1){b=pb()|0;EO(q);break h}EO(q);$9(A);EO(B);EO(C);EO(E);EO(F);r=w;return n|0}else{y=0;j=qa(332,84)|0;s=y;y=0;if(s&1)break;b=u;l=(k[C>>2]|0)+12|0;m=b+40|0;do{k[b>>2]=k[l>>2];b=b+4|0;l=l+4|0}while((b|0)<(m|0));y=0;oa(464,x|0,C|0);s=y;y=0;do if(s&1)b=pb()|0;else{k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(75,z|0,82159,0);s=y;y=0;if(s&1){b=pb()|0;EO(x);break}b=t;l=u;m=b+40|0;do{k[b>>2]=k[l>>2];b=b+4|0;l=l+4|0}while((b|0)<(m|0));y=0;na(366,j|0);u=y;y=0;i:do if(u&1){b=1;D=130}else{b=j+12|0;l=t;m=b+40|0;do{k[b>>2]=k[l>>2];b=b+4|0;l=l+4|0}while((b|0)<(m|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=0;k[j>>2]=8284;b=j+60|0;y=0;oa(464,b|0,x|0);u=y;y=0;do if(u&1)b=pb()|0;else{y=0;oa(452,j+64|0,z|0);u=y;y=0;if(u&1){D=pb()|0;EO(b);b=D;break}i[j+76>>0]=0;i[j+77>>0]=0;k[j+80>>2]=0;y=0;oa(482,v|0,j|0);u=y;y=0;if(u&1){b=0;D=130;break i}y=0;oa(h|0,g|0,v|0);u=y;y=0;if(u&1){b=pb()|0;EO(v);g=0;break i}EO(v);$9(z);EO(x);$9(A);EO(B);EO(C);EO(E);EO(F);r=w;return n|0}while(0);g=1;D=131}while(0);if((D|0)==130){w=pb()|0;g=b;b=w;D=131}$9(z);EO(x);if(!g)break h}while(0);zqa(j);break h}while(0);b=pb()|0}while(0);$9(A);break e}while(0)}while(0);EO(B);break a}while(0);b=pb()|0;$9(s)}}while(0);EO(C);break}}b=pb()|0;$9(s);D=23}while(0);EO(E);break}}b=pb()|0;$9(t);D=20}while(0);EO(F);F=b;sb(F|0)}}F=pb()|0;$9(t);sb(F|0);return 0}function Bd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;ba=0;$=r;r=r+368|0;P=$+328|0;K=$+80|0;G=$+320|0;C=$+316|0;A=$+40|0;B=$+312|0;s=$;t=$+308|0;O=$+304|0;h=$+300|0;j=$+296|0;Q=$+292|0;U=$+284|0;l=$+268|0;d=$+260|0;Y=$+256|0;e=$+288|0;m=$+272|0;f=$+264|0;ca=$+200|0;n=$+216|0;u=$+208|0;v=$+204|0;o=$+196|0;q=$+176|0;p=$+172|0;aa=$+192|0;E=$+164|0;F=$+160|0;D=$+156|0;H=$+152|0;I=$+148|0;J=$+144|0;S=$+188|0;V=$+140|0;L=$+136|0;M=$+132|0;R=$+128|0;T=$+168|0;Z=$+124|0;_=$+120|0;X=a+20|0;k[P>>2]=b;W=a+24|0;c=k[W>>2]|0;if(c>>>0<(k[a+28>>2]|0)>>>0){k[c>>2]=b;k[W>>2]=(k[W>>2]|0)+4}else bz(X,P);z=k[(k[a>>2]|0)+12>>2]|0;c=b+64|0;rT(P,c);g=k[P>>2]|0;k[e>>2]=g;y=0;g=Ha(z|0,a|0,g|0)|0;z=y;y=0;if(z&1){ca=pb()|0;EO(e);sb(ca|0)}EO(e);a:do if(!g){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;jI(m,44468,66);y=0;oa(464,d|0,c|0);z=y;y=0;do if(z&1)c=pb()|0;else{x=k[d>>2]|0;k[f>>2]=x;y=0;w=P;x=x+12|0;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));oa(458,m|0,P|0);z=y;y=0;if(z&1){c=pb()|0;EO(f);break}else{EO(f);$9(m);break a}}while(0);$9(m);ca=c;sb(ca|0)}while(0);e=ZL(76)|0;w=n;x=b+12|0;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));y=0;oa(464,l|0,b+68|0);z=y;y=0;do if(z&1)c=pb()|0;else{k[u>>2]=k[l>>2];y=0;oa(482,v|0,g|0);z=y;y=0;if(z&1){c=pb()|0;EO(u);break}y=0;w=P;x=n;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));Ra(28,e|0,P|0,u|0,v|0);z=y;y=0;if(z&1)d=1;else{y=0;oa(482,ca|0,e|0);z=y;y=0;if(z&1)d=0;else{EO(v);EO(u);z=k[ca>>2]|0;i[z+73>>0]=i[b+73>>0]|0;k[W>>2]=(k[W>>2]|0)+-4;y=0;oa(464,j|0,z+64|0);z=y;y=0;b:do if(z&1)ba=27;else{z=k[j>>2]|0;k[o>>2]=z;EO(o);c:do if(!z){k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,44468,66);z=y;y=0;if(z&1){ba=27;break b}y=0;oa(464,h|0,c|0);z=y;y=0;do if(z&1)c=pb()|0;else{x=k[h>>2]|0;k[p>>2]=x;y=0;w=P;x=x+12|0;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));oa(458,q|0,P|0);z=y;y=0;if(z&1){c=pb()|0;EO(p);break}else{EO(p);$9(q);break c}}while(0);$9(q);break b}while(0);y=0;h=qa(332,88)|0;z=y;y=0;if(z&1)ba=27;else{y=0;oa(464,t|0,(k[ca>>2]|0)+64|0);z=y;y=0;if(z&1)c=pb()|0;else{z=k[t>>2]|0;k[E>>2]=z;DN(s|0,z+12|0,40)|0;y=0;na(366,h|0);z=y;y=0;do if(z&1){c=1;ba=58}else{w=h+12|0;x=s;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));k[h>>2]=5252;k[h+52>>2]=0;k[h+56>>2]=0;i[h+60>>0]=0;c=h+64|0;k[c>>2]=5212;g=h+68|0;b=h+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,0);z=y;y=0;if(z&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[b>>2]|0;if((e|0)!=(d|0)){do{aa=e+-4|0;k[b>>2]=aa;EO(aa);e=k[b>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}d=1;break}k[h>>2]=5076;k[c>>2]=5172;i[h+84>>0]=0;i[h+85>>0]=0;y=0;oa(482,aa|0,h|0);z=y;y=0;if(z&1){c=0;ba=58}else{EO(E);y=0;n=qa(332,88)|0;E=y;y=0;d:do if(E&1)c=pb()|0;else{y=0;oa(464,B|0,(k[ca>>2]|0)+64|0);E=y;y=0;if(E&1)c=pb()|0;else{E=k[B>>2]|0;k[F>>2]=E;DN(A|0,E+12|0,40)|0;y=0;na(366,n|0);E=y;y=0;do if(E&1)c=pb()|0;else{w=n+12|0;x=A;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));k[n>>2]=5252;k[n+52>>2]=0;k[n+56>>2]=0;i[n+60>>0]=0;j=n+64|0;k[j>>2]=5212;m=n+68|0;l=n+72|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;y=0;oa(561,m|0,0);E=y;y=0;if(E&1){c=pb()|0;f=N;d=k[m>>2]|0;if(d|0){e=k[l>>2]|0;if((e|0)!=(d|0)){do{$=e+-4|0;k[l>>2]=$;EO($);e=k[l>>2]|0}while((e|0)!=(d|0));d=k[m>>2]|0}zqa(d)}break}k[n>>2]=5076;k[j>>2]=5172;i[n+84>>0]=0;i[n+85>>0]=0;EO(F);y=0;oa(464,C|0,(k[ca>>2]|0)+64|0);F=y;y=0;if(F&1){c=pb()|0;break d}g=k[C>>2]|0;k[D>>2]=g;g=(k[g+72>>2]|0)-(k[g+68>>2]|0)>>2;EO(D);e:do if(!g)d=aa;else{f=0;f:while(1){y=0;oa(464,G|0,(k[ca>>2]|0)+64|0);ba=y;y=0;if(ba&1){ba=76;break}c=k[G>>2]|0;k[H>>2]=c;c=c+64|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,f|0)|0;ba=y;y=0;if(ba&1){ba=77;break}e=k[c>>2]|0;EO(H);if(!e)ba=71;else if(!(pw(e,680,696,0)|0))ba=71;else ba=73;if((ba|0)==71){ba=0;y=0;c=qa(k[(k[e>>2]|0)+76>>2]|0,e|0)|0;F=y;y=0;if(F&1){ba=78;break}if(c)ba=73}if((ba|0)==73){ba=0;c=k[(k[j>>2]|0)+20>>2]|0;y=0;oa(482,I|0,e|0);F=y;y=0;if(F&1){ba=78;break}y=0;oa(c|0,j|0,I|0);F=y;y=0;if(F&1){ba=79;break}EO(I)}do if(!(pw(e,680,696,0)|0)){y=0;c=qa(k[(k[e>>2]|0)+76>>2]|0,e|0)|0;F=y;y=0;if(F&1){ba=78;break f}if(c)break;c=(k[aa>>2]|0)+64|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(482,J|0,e|0);F=y;y=0;if(F&1){ba=78;break f}y=0;oa(d|0,c|0,J|0);F=y;y=0;if(F&1){ba=86;break f}EO(J)}while(0);f=f+1|0;if(f>>>0>=g>>>0){d=aa;break e}}if((ba|0)==76){c=pb()|0;break d}else if((ba|0)==77){c=pb()|0;EO(H);break d}else if((ba|0)==78){c=pb()|0;break d}else if((ba|0)==79){c=pb()|0;EO(I);break d}else if((ba|0)==86){c=pb()|0;EO(J);break d}}while(0);J=k[d>>2]|0;g:do if((k[J+72>>2]|0)!=(k[J+68>>2]|0)){y=0;h=qa(332,88)|0;J=y;y=0;if(J&1){c=pb()|0;break d}y=0;oa(464,P|0,(k[ca>>2]|0)+64|0);J=y;y=0;if(J&1)c=pb()|0;else{J=k[P>>2]|0;k[V>>2]=J;DN(K|0,J+12|0,40)|0;y=0;na(366,h|0);J=y;y=0;do if(J&1){c=1;ba=108}else{w=h+12|0;x=K;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));k[h>>2]=5252;k[h+52>>2]=0;k[h+56>>2]=0;i[h+60>>0]=0;c=h+64|0;k[c>>2]=5212;g=h+68|0;b=h+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(561,g|0,0);K=y;y=0;if(K&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[b>>2]|0;if((e|0)!=(d|0)){do{$=e+-4|0;k[b>>2]=$;EO($);e=k[b>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}d=1;break}k[h>>2]=5076;k[c>>2]=5172;i[h+84>>0]=0;i[h+85>>0]=0;y=0;oa(482,S|0,h|0);K=y;y=0;if(K&1){c=0;ba=108;break}EO(V);K=(k[S>>2]|0)+64|0;V=k[d>>2]|0;y=0;oa(k[(k[K>>2]|0)+24>>2]|0,K|0,((V|0)==0?0:V+64|0)|0);V=y;y=0;h:do if(V&1)ba=111;else{c=k[ca>>2]|0;y=0;oa(464,M|0,S|0);V=y;y=0;if(V&1){ba=111;break}c=c+64|0;y=0;Ha(966,c|0,M|0)|0;V=y;y=0;do if(!(V&1)){y=0;oa(464,O|0,c|0);V=y;y=0;if(V&1)break;k[L>>2]=k[O>>2];EO(L);EO(M);d=(k[l>>2]|0)-(k[m>>2]|0)>>2;i:do if(d|0){c=0;while(1){y=0;e=Ha(k[(k[j>>2]|0)+16>>2]|0,j|0,c|0)|0;V=y;y=0;if(V&1)break;V=(k[e>>2]|0)+56|0;k[V>>2]=(k[V>>2]|0)+1;c=c+1|0;if(c>>>0>=d>>>0)break i}c=pb()|0;break h}while(0);y=0;oa(482,R|0,k[ca>>2]|0);V=y;y=0;if(V&1){ba=111;break h}k[Q>>2]=k[m>>2];y=0;k[P>>2]=k[Q>>2];ta(156,m|0,P|0,R|0)|0;V=y;y=0;if(V&1){c=pb()|0;EO(R);break h}else{EO(R);EO(S);break g}}while(0);c=pb()|0;EO(M)}while(0);if((ba|0)==111)c=pb()|0;EO(S);break d}while(0);if((ba|0)==108){$=pb()|0;d=c;c=$}EO(V);if(!d)break d}zqa(h);break d}while(0);y=0;f=ta(157,a|0,n|0,0)|0;V=y;y=0;if(V&1){c=pb()|0;break d}do if((n|0)==(f|0))ba=126;else{y=0;oa(482,T|0,n|0);V=y;y=0;if(V&1)break;EO(T);ba=126}while(0);do if((ba|0)==126){e=f+72|0;c=k[e>>2]|0;if((c|0)==(k[f+68>>2]|0)){EO(aa);EO(ca);r=$;return f|0}y=0;oa(464,U|0,c+-4|0);V=y;y=0;if(V&1)break;d=k[U>>2]|0;k[Z>>2]=d;c=d;if(!d)ba=130;else if(!(pw(d,680,696,0)|0))ba=130;do if((ba|0)==130){y=0;c=qa(k[(k[d>>2]|0)+76>>2]|0,c|0)|0;V=y;y=0;if(V&1){c=pb()|0;EO(Z);break d}if(c)break;EO(Z);EO(aa);EO(ca);r=$;return f|0}while(0);c=k[W>>2]|0;if((c|0)==(k[X>>2]|0))c=k[a+8>>2]|0;else c=c+-4|0;X=(k[(k[c>>2]|0)+52>>2]|0)==1;EO(Z);if(X){EO(aa);EO(ca);r=$;return f|0}y=0;oa(464,Y|0,(k[e>>2]|0)+-4|0);Z=y;y=0;if(Z&1)break;ba=k[Y>>2]|0;k[_>>2]=ba;i[ba+60>>0]=1;EO(_);EO(aa);EO(ca);r=$;return f|0}while(0);c=pb()|0;break d}while(0);EO(F)}zqa(n)}while(0);EO(aa);break b}}while(0);if((ba|0)==58){aa=pb()|0;d=c;c=aa}EO(E);if(!d)break}zqa(h)}}while(0);if((ba|0)==27)c=pb()|0;EO(ca);ca=c;sb(ca|0)}}c=pb()|0;EO(v);EO(u);if(!d){ca=c;sb(ca|0)}}while(0);zqa(e);ca=c;sb(ca|0);return 0}function Cd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;$=0;ba=r;r=r+416|0;X=ba+368|0;H=ba+364|0;D=ba+360|0;F=ba+356|0;G=ba+352|0;R=ba+348|0;S=ba+344|0;c=ba+336|0;q=ba+332|0;n=ba+328|0;h=ba+276|0;d=ba+268|0;e=ba+340|0;w=ba+260|0;g=ba+288|0;m=ba+280|0;l=ba+272|0;o=ba+264|0;p=ba+256|0;s=ba+248|0;f=ba+244|0;L=ba+252|0;x=ba+220|0;z=ba+216|0;K=ba+240|0;I=ba+228|0;A=ba;B=ba+196|0;C=ba+136|0;E=ba+128|0;aa=ba+224|0;J=ba+120|0;M=ba+116|0;_=ba+212|0;N=ba+208|0;O=ba+104|0;P=ba+64|0;Z=ba+176|0;Y=ba+124|0;Q=ba+60|0;T=ba+56|0;U=ba+16|0;W=ba+12|0;V=ba+8|0;ea=a+98|0;ca=a+97|0;fa=i[ea>>0]|0;i[ea>>0]=i[ca>>0]|0;v=j[a+96>>1]|0;da=(v&65535)>>>8&255;if((v&255)<<24>>24){c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(464,d|0,b+64|0);da=y;y=0;if(da&1){da=pb()|0;i[ea>>0]=fa;sb(da|0)}da=k[d>>2]|0;k[e>>2]=da;y=0;c=Ha(c|0,a|0,da|0)|0;da=y;y=0;if(da&1){da=pb()|0;EO(e);i[ea>>0]=fa;sb(da|0)}EO(e);y=0;e=qa(332,72)|0;da=y;y=0;if(da&1){da=pb()|0;i[ea>>0]=fa;sb(da|0)}t=g;u=b+12|0;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));y=0;oa(482,m|0,c|0);da=y;y=0;if(da&1)c=pb()|0;else{y=0;t=X;u=g;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));Na(127,e|0,X|0,m|0);da=y;y=0;if(da&1)d=1;else{y=0;oa(482,w|0,e|0);da=y;y=0;if(da&1)d=0;else{EO(m);e=b+68|0;y=0;oa(464,h|0,e|0);da=y;y=0;a:do if(da&1)$=25;else{da=k[h>>2]|0;k[l>>2]=da;EO(l);b:do if(da|0){c=a+60|0;y=0;oa(482,X|0,0);da=y;y=0;do if(da&1)c=pb()|0;else{f=a+64|0;d=k[f>>2]|0;if(d>>>0<(k[a+68>>2]|0)>>>0){y=0;oa(464,d|0,X|0);da=y;y=0;if(da&1)$=27;else k[f>>2]=(k[f>>2]|0)+4}else{y=0;oa(556,c|0,X|0);da=y;y=0;if(da&1)$=27}if(($|0)==27){c=pb()|0;EO(X);break}EO(X);d=k[w>>2]|0;y=0;oa(464,n|0,e|0);da=y;y=0;if(da&1){$=25;break a}c=k[n>>2]|0;k[s>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;da=y;y=0;do if(da&1)$=29;else{if(!c)c=0;else c=pw(c,40,104,0)|0;y=0;oa(482,p|0,c|0);da=y;y=0;if(da&1){$=29;break}c=d+68|0;y=0;Ha(966,c|0,p|0)|0;da=y;y=0;do if(!(da&1)){y=0;oa(464,q|0,c|0);da=y;y=0;if(da&1)break;k[o>>2]=k[q>>2];EO(o);EO(p);EO(s);d=k[f>>2]|0;c=d+-4|0;while(1){da=d+-4|0;k[f>>2]=da;EO(da);d=k[f>>2]|0;if((d|0)==(c|0))break b}}while(0);c=pb()|0;EO(p)}while(0);if(($|0)==29)c=pb()|0;EO(s);break a}while(0);break a}while(0);c=k[w>>2]|0;if(!c)c=0;else i[c+8>>0]=1;EO(w);da=c;i[ea>>0]=fa;r=ba;return da|0}while(0);if(($|0)==25)c=pb()|0;EO(w);da=c;i[ea>>0]=fa;sb(da|0)}}c=pb()|0;EO(m);if(!d){da=c;i[ea>>0]=fa;sb(da|0)}}zqa(e);da=c;i[ea>>0]=fa;sb(da|0)}i[ca>>0]=0;o=b+73|0;c:do if(!(i[o>>0]|0))$=77;else{y=0;oa(464,c|0,b+68|0);$=y;y=0;if($&1)$=45;else{c=k[c>>2]|0;k[f>>2]=c;if(!c){EO(f);$=77;break}c=pw(c,88,104,0)|0;EO(f);if(!c)$=77;else{d=k[c+76>>2]|0;h=k[c+80>>2]|0;if((d|0)==(h|0))$=77;else{l=a+4|0;m=a+84|0;n=a+88|0;d:while(1){y=0;oa(464,L|0,d|0);$=y;y=0;if($&1){$=55;break}c=k[L>>2]|0;if(c|0)do{e=c+76|0;y=0;oa(464,G|0,e|0);$=y;y=0;if($&1){$=56;break d}$=k[G>>2]|0;k[x>>2]=$;EO(x);if($|0){y=0;oa(464,F|0,e|0);$=y;y=0;if($&1){$=56;break d}g=k[F>>2]|0;k[z>>2]=g;EO(z);e=k[g+76>>2]|0;g=k[g+80>>2]|0;if((e|0)!=(g|0))do{y=0;oa(464,K|0,e|0);$=y;y=0;if($&1){$=59;break d}f=k[K>>2]|0;do if(f|0){if(!(pw(f,144,384,0)|0))break;$=k[L>>2]|0;w=k[(k[$>>2]|0)+28>>2]|0;t=k[(k[l>>2]|0)+16>>2]|0;u=k[t+4>>2]|0;v=A;k[v>>2]=k[t>>2];k[v+4>>2]=u;y=0;k[X>>2]=k[A>>2];k[X+4>>2]=k[A+4>>2];Na(w|0,I|0,$|0,X|0);$=y;y=0;if($&1){$=60;break d}k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(75,B|0,43258,78);$=y;y=0;if($&1){$=69;break d}t=C;u=(k[K>>2]|0)+12|0;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));f=k[n>>2]|0;if((f|0)==(k[m>>2]|0))f=0;else f=k[f+-4>>2]|0;y=0;t=X;u=C;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));Na(103,B|0,X|0,f|0);$=y;y=0;if($&1){$=70;break d}$9(B);$9(I)}while(0);EO(K);e=e+4|0}while((e|0)!=(g|0))}y=0;oa(464,D|0,c+80|0);$=y;y=0;if($&1){$=56;break d}c=k[D>>2]|0;k[E>>2]=c;EO(E)}while((c|0)!=0);EO(L);d=d+4|0;if((d|0)==(h|0)){$=77;break c}}if(($|0)==55){c=pb()|0;break}else if(($|0)==56)c=pb()|0;else if(($|0)==59)c=pb()|0;else if(($|0)==60){c=pb()|0;$=72}else if(($|0)==69){c=pb()|0;$=71}else if(($|0)==70){c=pb()|0;$9(B);$=71}if(($|0)==71){$9(I);$=72}if(($|0)==72)EO(K);EO(L)}}}}while(0);if(($|0)==77){y=0;oa(482,aa|0,0);L=y;y=0;if(L&1)$=45;else{c=b+68|0;y=0;oa(464,X|0,c|0);L=y;y=0;e:do if(L&1)$=85;else{L=k[X>>2]|0;k[J>>2]=L;EO(J);f:do if(L|0){y=0;oa(464,H|0,c|0);L=y;y=0;if(L&1)c=pb()|0;else{c=k[H>>2]|0;k[M>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a+8|0)|0;L=y;y=0;do if(L&1)$=87;else{y=0;oa(482,X|0,c|0);L=y;y=0;if(L&1)$=87;else{y=0;Ha(966,aa|0,X|0)|0;L=y;y=0;if(L&1){c=pb()|0;EO(X);break}else{EO(X);EO(M);break f}}}while(0);if(($|0)==87)c=pb()|0;EO(M)}break e}while(0);c=k[aa>>2]|0;if(!c)c=0;else c=pw(c,40,104,0)|0;y=0;oa(482,_|0,c|0);M=y;y=0;if(M&1)$=85;else{c=k[_>>2]|0;g:do if(!c){c=gb(8)|0;y=0;oa(507,c|0,43337);ba=y;y=0;if(ba&1){ba=pb()|0;fb(c|0);c=ba;break}else{y=0;Na(76,c|0,4528,353);y=0;$=97;break}}else{if((k[c+80>>2]|0)==(k[c+76>>2]|0))$=103;else{y=0;c=qa(k[(k[c>>2]|0)+128>>2]|0,c|0)|0;M=y;y=0;if(M&1){$=97;break}if(c)$=103;else c=a+60|0}do if(($|0)==103){c=a+60|0;g=a+64|0;f=k[g>>2]|0;d=k[c>>2]|0;h=f-d>>2;h:do if(!h)d=0;else{e=0;while(1){if(f-d>>2>>>0<=e>>>0){y=0;na(369,c|0);M=y;y=0;if(M&1)break;d=k[c>>2]|0}y=0;oa(464,N|0,d+(e<<2)|0);M=y;y=0;if(M&1)break;d=k[N>>2]|0;if(!d)d=0;else d=(k[d+80>>2]|0)!=(k[d+76>>2]|0);EO(N);e=e+1|0;if(d|e>>>0>=h>>>0)break h;f=k[g>>2]|0;d=k[c>>2]|0}c=pb()|0;break g}while(0);e=k[_>>2]|0;y=0;e=qa(k[(k[e>>2]|0)+132>>2]|0,e|0)|0;N=y;y=0;if(!(N&1)){if(d|e^1)break;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;y=0;Na(75,O|0,43258,78);N=y;y=0;if(!(N&1)){t=P;u=(k[_>>2]|0)+12|0;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));d=k[a+88>>2]|0;if((d|0)==(k[a+84>>2]|0))d=0;else d=k[d+-4>>2]|0;y=0;t=X;u=P;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));Na(103,O|0,X|0,d|0);P=y;y=0;if(P&1){c=pb()|0;$9(O);break g}else{$9(O);break}}}c=pb()|0;break g}while(0);y=0;oa(482,X|0,k[_>>2]|0);P=y;y=0;do if(P&1)c=pb()|0;else{h=a+64|0;d=k[h>>2]|0;if(d>>>0<(k[a+68>>2]|0)>>>0){y=0;oa(464,d|0,X|0);P=y;y=0;if(P&1)$=138;else k[h>>2]=(k[h>>2]|0)+4}else{y=0;oa(556,c|0,X|0);P=y;y=0;if(P&1)$=138}if(($|0)==138){c=pb()|0;EO(X);break}EO(X);d=a+24|0;g=a+28|0;c=k[g>>2]|0;if((c|0)==(k[d>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;Na(120,Z|0,c|0,0);P=y;y=0;if(P&1){$=97;break g}f=a+40|0;i:do if(!(i[(k[(k[f>>2]|0)+-4>>2]|0)+84>>0]|0))$=142;else{k[X>>2]=Z;c=k[g>>2]|0;do if(c>>>0<(k[a+32>>2]|0)>>>0){k[c>>2]=Z;k[g>>2]=(k[g>>2]|0)+4}else{y=0;oa(573,d|0,X|0);P=y;y=0;if(!(P&1))break;c=pb()|0;break i}while(0);$=142}while(0);j:do if(($|0)==142){P=k[_>>2]|0;y=0;oa(k[(k[P>>2]|0)+116>>2]|0,P|0,k[(k[a+76>>2]|0)+-4>>2]|0);P=y;y=0;do if(!(P&1)){y=0;oa(482,Y|0,0);P=y;y=0;if(P&1)break;d=b+64|0;y=0;oa(464,R|0,d|0);P=y;y=0;k:do if(P&1)$=151;else{R=k[R>>2]|0;k[Q>>2]=R;EO(Q);l:do if(R|0){c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(464,S|0,d|0);R=y;y=0;if(R&1)c=pb()|0;else{S=k[S>>2]|0;k[T>>2]=S;y=0;c=Ha(c|0,a|0,S|0)|0;a=y;y=0;do if(a&1)$=153;else{y=0;oa(482,X|0,c|0);a=y;y=0;if(a&1){$=153;break}y=0;Ha(966,Y|0,X|0)|0;a=y;y=0;if(a&1){c=pb()|0;EO(X);break}else{EO(X);EO(T);break l}}while(0);if(($|0)==153)c=pb()|0;EO(T)}break k}while(0);y=0;e=qa(332,76)|0;a=y;y=0;if(a&1){$=151;break}t=U;u=b+12|0;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));y=0;oa(482,W|0,k[_>>2]|0);a=y;y=0;if(a&1)c=pb()|0;else{y=0;oa(464,V|0,Y|0);a=y;y=0;do if(a&1)c=pb()|0;else{y=0;t=X;u=U;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));Ra(28,e|0,X|0,W|0,V|0);X=y;y=0;if(X&1){c=pb()|0;EO(V);break}EO(V);EO(W);d=k[h>>2]|0;c=d+-4|0;do{$=d+-4|0;k[h>>2]=$;EO($);d=k[h>>2]|0}while((d|0)!=(c|0));if(i[(k[(k[f>>2]|0)+-4>>2]|0)+84>>0]|0)k[g>>2]=(k[g>>2]|0)+-4;i[e+73>>0]=i[o>>0]|0;k[e+56>>2]=k[b+56>>2];EO(Y);jB(Z,k[Z+4>>2]|0);EO(_);EO(aa);i[ca>>0]=da;da=e;i[ea>>0]=fa;r=ba;return da|0}while(0);EO(W)}zqa(e)}while(0);if(($|0)==151)c=pb()|0;EO(Y);break j}while(0);c=pb()|0}while(0);jB(Z,k[Z+4>>2]|0);break g}while(0)}while(0);if(($|0)==97)c=pb()|0;EO(_)}}while(0);if(($|0)==85)c=pb()|0;EO(aa)}}if(($|0)==45)c=pb()|0;i[ca>>0]=da;da=c;i[ea>>0]=fa;sb(da|0);return 0}function Dd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0;Q=0;J=r;r=r+320|0;G=J+272|0;C=J+264|0;A=J+252|0;B=J+40|0;x=J;w=J+244|0;t=J+240|0;p=J+192|0;I=J+248|0;R=J+184|0;c=J+200|0;f=J+196|0;g=J+188|0;e=J+180|0;P=J+176|0;j=J+172|0;o=J+164|0;q=J+160|0;s=J+156|0;u=J+152|0;v=J+148|0;O=J+168|0;z=J+144|0;E=J+140|0;F=J+136|0;D=J+96|0;L=J+88|0;M=J+84|0;K=J+80|0;Eu(a,1,0)|0;h=ZL(88)|0;H=a+108|0;l=c;m=H;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(482,f|0,0);n=y;y=0;do if(n&1)c=pb()|0;else{y=0;oa(482,g|0,0);n=y;y=0;if(n&1){c=pb()|0;EO(f);break}y=0;oa(482,e|0,0);n=y;y=0;if(n&1){c=pb()|0;d=1}else{y=0;l=G;m=c;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));ya(11,h|0,G|0,0,f|0,g|0,e|0);n=y;y=0;if(n&1)d=1;else{y=0;oa(482,R|0,h|0);n=y;y=0;if(n&1)d=0;else{EO(e);EO(g);EO(f);y=0;oa(482,P|0,0);n=y;y=0;if(n&1)c=pb()|0;else{g=a+76|0;y=0;c=qa(359,k[g>>2]|0)|0;n=y;y=0;a:do if(n&1)Q=26;else{h=a+80|0;if((c|0)==0?1:c>>>0>(k[h>>2]|0)>>>0)c=k[g>>2]|0;y=0;d=qa(360,c|0)|0;n=y;y=0;if(n&1)Q=26;else{f=d|0?d:c;d=i[32626]|0;b:do if(!(d<<24>>24))c=0;else{c=i[f>>0]|0;e=32626;while(1){if(c<<24>>24==d<<24>>24)break b;e=e+1|0;d=i[e>>0]|0;if(!(d<<24>>24)){c=0;break}}}while(0);n=c<<24>>24?f+1|0:0;c:do if((n|0)==0?1:n>>>0>(k[h>>2]|0)>>>0){y=0;c=qa(361,a|0)|0;n=y;y=0;do if(n&1)c=pb()|0;else{k[G>>2]=c;y=0;Ha(966,P|0,G|0)|0;n=y;y=0;if(n&1){c=pb()|0;EO(G);break}else{EO(G);break c}}while(0);break a}while(0);c=k[g>>2]|0;y=0;d=qa(360,c|0)|0;n=y;y=0;if(n&1)Q=26;else{y=0;c=qa(362,(d|0?d:c)|0)|0;n=y;y=0;if(n&1)Q=26;else{if(!((c|0)==0?1:c>>>0>(k[h>>2]|0)>>>0)){y=0;oa(482,I|0,0);Q=y;y=0;if(Q&1){Q=26;break}EO(P);EO(R);R=k[I>>2]|0;r=J;return R|0}y=0;c=ta(64,a|0,1,0)|0;n=y;y=0;d:do if(!(n&1)){do if(!c){y=0;c=ta(65,a|0,1,0)|0;n=y;y=0;if(n&1)break d;if(c|0){d=0;e=2;break}y=0;c=ta(66,a|0,1,0)|0;n=y;y=0;if(n&1)break d;if(c|0){d=0;e=1;break}y=0;c=ta(67,a|0,1,0)|0;n=y;y=0;if(n&1)break d;if(!c){if(k[P>>2]|0){d=0;e=0;break}y=0;oa(482,I|0,0);O=y;y=0;if(O&1)break d;EO(P);EO(R);R=k[I>>2]|0;r=J;return R|0}y=0;c=ta(68,a|0,1,0)|0;n=y;y=0;if(n&1)break d;if(!c){y=0;oa(482,I|0,0);O=y;y=0;if(O&1)break d;EO(P);EO(R);R=k[I>>2]|0;r=J;return R|0}y=0;d=qa(332,80)|0;n=y;y=0;if(n&1)break d;c=a+152|0;y=0;l=G;m=H;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Na(108,d|0,G|0,c|0);n=y;y=0;if(n&1){c=pb()|0;zqa(d);break a}y=0;c=ta(69,a|0,1,0)|0;n=y;y=0;if(n&1)break d;if(c|0){e=4;break}y=0;oa(482,I|0,0);O=y;y=0;if(O&1)break d;EO(P);EO(R);R=k[I>>2]|0;r=J;return R|0}else{d=0;e=3}while(0);c=k[R>>2]|0;y=0;oa(464,o|0,P|0);n=y;y=0;if(n&1)break;c=c+76|0;y=0;Ha(966,c|0,o|0)|0;n=y;y=0;do if(!(n&1)){y=0;oa(464,p|0,c|0);n=y;y=0;if(n&1)break;k[j>>2]=k[p>>2];EO(j);EO(o);c=k[R>>2]|0;k[c+72>>2]=e;o=a+68|0;k[c+64>>2]=k[o>>2];e:do if((e|0)==4){y=0;oa(482,s|0,d|0);p=y;y=0;if(p&1)break d;c=c+84|0;y=0;Ha(966,c|0,s|0)|0;p=y;y=0;do if(!(p&1)){y=0;oa(464,t|0,c|0);p=y;y=0;if(p&1)break;k[q>>2]=k[t>>2];EO(q);EO(s);e=k[R>>2]|0;break e}while(0);c=pb()|0;EO(s);break a}else e=c;while(0);y=0;c=qa(358,k[g>>2]|0)|0;t=y;y=0;if(t&1)break d;if(c){y=0;c=qa(359,k[g>>2]|0)|0;t=y;y=0;if(t&1)break d;if((c|0)==0?1:c>>>0>(k[h>>2]|0)>>>0)c=k[g>>2]|0;y=0;d=qa(360,c|0)|0;t=y;y=0;if(t&1)break d;c=d|0?d:c;c=(i[c>>0]|0)==123?c+1|0:0;c=(c|0)==0?1:c>>>0>(k[h>>2]|0)>>>0}else c=0;i[e+61>>0]=c&1;y=0;c=qa(359,k[g>>2]|0)|0;t=y;y=0;if(t&1)break d;if((c|0)==0?1:c>>>0>(k[h>>2]|0)>>>0)c=k[g>>2]|0;y=0;d=qa(360,c|0)|0;t=y;y=0;if(t&1)break d;f=d|0?d:c;d=i[32619]|0;f:do if(!(d<<24>>24))c=0;else{c=i[f>>0]|0;e=32619;while(1){if(c<<24>>24==d<<24>>24)break f;e=e+1|0;d=i[e>>0]|0;if(!(d<<24>>24)){c=0;break}}}while(0);t=c<<24>>24?f+1|0:0;g:do if((t|0)==0?1:t>>>0>(k[h>>2]|0)>>>0){c=k[R>>2]|0;y=0;d=Ha(1002,a|0,1)|0;t=y;y=0;if(t&1)break d;k[v>>2]=d;c=c+80|0;y=0;Ha(966,c|0,v|0)|0;t=y;y=0;do if(!(t&1)){y=0;oa(464,w|0,c|0);t=y;y=0;if(t&1)break;k[u>>2]=k[w>>2];EO(u);EO(v);break g}while(0);c=pb()|0;EO(v);break a}while(0);c=k[R>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+128>>2]|0,c|0)|0;w=y;y=0;if(w&1)break d;h:do if(!c){if((i[a+164>>0]|0)!=0|b)break;y=0;j=qa(332,108)|0;b=y;y=0;if(b&1)break d;l=x;m=H;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,j|0);b=y;y=0;do if(b&1)c=pb()|0;else{l=j+12|0;m=x;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j>>2]=11396;i[j+60>>0]=0;i[j+61>>0]=0;i[j+62>>0]=0;k[j+64>>2]=0;k[j+68>>2]=0;k[j+56>>2]=7;c=j+72|0;k[c>>2]=13580;g=j+76|0;h=j+80|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(516,g|0,0);x=y;y=0;if(x&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{O=e+-4|0;k[h>>2]=O;EO(O);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[j>>2]=13364;k[c>>2]=13540;x=j+96|0;k[x>>2]=0;k[j+100>>2]=0;k[j+92>>2]=x;i[j+104>>0]=0;i[j+105>>0]=0;y=0;oa(482,O|0,j|0);x=y;y=0;if(x&1)break d;y=0;d=qa(332,104)|0;x=y;y=0;i:do if(x&1)c=pb()|0;else{l=B;m=H;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(75,A|0,44146,1);x=y;y=0;do if(x&1)c=pb()|0;else{y=0;l=G;m=B;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Na(88,d|0,G|0,A|0);B=y;y=0;if(B&1){c=pb()|0;$9(A);break}$9(A);k[d>>2]=11880;i[d+101>>0]=0;A=k[o>>2]|0;k[d+64>>2]=A;B=k[O>>2]|0;k[B+64>>2]=A;y=0;oa(514,B|0,d|0);B=y;y=0;j:do if(!(B&1)){y=0;oa(464,C|0,(k[R>>2]|0)+76|0);B=y;y=0;if(B&1)break;B=k[C>>2]|0;k[z>>2]=B;EO(z);k:do if(!B){c=k[R>>2]|0;y=0;oa(464,F|0,O|0);M=y;y=0;if(M&1)break j;c=c+76|0;y=0;Ha(966,c|0,F|0)|0;M=y;y=0;do if(!(M&1)){y=0;oa(464,G|0,c|0);M=y;y=0;if(M&1)break;k[E>>2]=k[G>>2];EO(E);EO(F);break k}while(0);c=pb()|0;EO(F);break i}else{y=0;e=qa(332,88)|0;F=y;y=0;l:do if(F&1)c=pb()|0;else{l=D;m=H;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(464,L|0,O|0);F=y;y=0;do if(F&1)c=pb()|0;else{y=0;oa(464,M|0,R|0);F=y;y=0;if(F&1){c=pb()|0;EO(L);break}y=0;oa(482,K|0,0);F=y;y=0;if(F&1){c=pb()|0;d=1}else{y=0;l=G;m=D;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));ya(11,e|0,G|0,0,L|0,M|0,K|0);G=y;y=0;do if(G&1){c=1;Q=128}else{y=0;oa(482,C|0,e|0);G=y;y=0;if(G&1){c=0;Q=128;break}y=0;Ha(966,R|0,C|0)|0;G=y;y=0;if(G&1){c=pb()|0;EO(C);d=0;break}else{EO(C);EO(K);EO(M);EO(L);k[(k[R>>2]|0)+64>>2]=k[o>>2];break k}}while(0);if((Q|0)==128){J=pb()|0;d=c;c=J}EO(K)}EO(M);EO(L);if(!d)break l}while(0);zqa(e)}while(0);break i}while(0);EO(O);break h}while(0);c=pb()|0;break i}while(0);zqa(d)}while(0);EO(O);break a}while(0);zqa(j);break a}while(0);y=0;oa(564,k[R>>2]|0,H|0);O=y;y=0;if(O&1)break d;y=0;oa(464,I|0,R|0);O=y;y=0;if(O&1)break d;EO(P);EO(R);R=k[I>>2]|0;r=J;return R|0}while(0);c=pb()|0;EO(o);break a}while(0);c=pb()|0}}}}while(0);if((Q|0)==26)c=pb()|0;EO(P)}EO(R);R=c;sb(R|0)}}c=pb()|0;EO(e)}EO(g);EO(f);if(!d){R=c;sb(R|0)}}while(0);zqa(h);R=c;sb(R|0);return 0}function Ed(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,m=0,n=0.0,o=0,q=0,s=0,t=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;L=0;ja=r;r=r+624|0;fa=ja+24|0;ga=ja+16|0;ha=ja+588|0;X=ja+576|0;ia=ja;S=ja+536|0;M=ja+8|0;O=ja+528|0;P=(a|0)!=0;Q=S+40|0;R=Q;S=S+39|0;T=M+4|0;U=ha;V=0-U|0;W=X+12|0;X=X+11|0;Y=W;Z=Y-U|0;_=-2-U|0;$=Y+2|0;ba=fa+288|0;ca=ha+9|0;da=ca;ea=ha+8|0;g=0;f=0;q=0;a:while(1){do if((f|0)>-1)if((g|0)>(2147483647-f|0)){f=v9()|0;k[f>>2]=75;f=-1;break}else{f=g+f|0;break}while(0);g=i[b>>0]|0;if(!(g<<24>>24)){L=243;break}else h=b;b:while(1){switch(g<<24>>24){case 37:{g=h;L=9;break b}case 0:{g=h;break b}default:{}}g=h+1|0;h=g;g=i[g>>0]|0}c:do if((L|0)==9)while(1){L=0;if((i[h+1>>0]|0)!=37)break c;g=g+1|0;h=h+2|0;if((i[h>>0]|0)==37)L=9;else break}while(0);g=g-b|0;if(P)if(!(k[a>>2]&32))Rz(b,g,a)|0;if(g|0){b=h;continue}o=h+1|0;m=i[o>>0]|0;g=(m<<24>>24)+-48|0;if(g>>>0<10){t=(i[h+2>>0]|0)==36;o=t?h+3|0:o;w=t?g:-1;t=t?1:q;g=i[o>>0]|0}else{w=-1;t=q;g=m}h=(g<<24>>24)+-32|0;d:do if(h>>>0<32){m=0;do{if(!(1<<h&75913))break d;m=1<<(g<<24>>24)+-32|m;o=o+1|0;g=i[o>>0]|0;h=(g<<24>>24)+-32|0}while(h>>>0<32)}else m=0;while(0);do if(g<<24>>24==42){s=o+1|0;g=i[s>>0]|0;h=(g<<24>>24)+-48|0;if(h>>>0<10)if((i[o+2>>0]|0)==36){k[e+(h<<2)>>2]=10;g=k[d+((i[s>>0]|0)+-48<<3)>>2]|0;h=1;s=o+3|0}else L=24;else L=24;if((L|0)==24){L=0;if(t|0){f=-1;break a}if(!P){q=0;K=0;o=s;break}h=(k[c>>2]|0)+(4-1)&~(4-1);g=k[h>>2]|0;k[c>>2]=h+4;h=0}K=(g|0)<0;q=K?0-g|0:g;m=K?m|8192:m;K=h;o=s;g=i[s>>0]|0}else{h=(g<<24>>24)+-48|0;if(h>>>0<10){q=0;do{q=(q*10|0)+h|0;o=o+1|0;g=i[o>>0]|0;h=(g<<24>>24)+-48|0}while(h>>>0<10);if((q|0)<0){f=-1;break a}else K=t}else{q=0;K=t}}while(0);e:do if(g<<24>>24==46){g=o+1|0;h=i[g>>0]|0;if(h<<24>>24!=42){o=(h<<24>>24)+-48|0;if(o>>>0<10)h=0;else{x=0;break}while(1){h=(h*10|0)+o|0;g=g+1|0;o=(i[g>>0]|0)+-48|0;if(o>>>0>=10){x=h;break e}}}g=o+2|0;h=(i[g>>0]|0)+-48|0;if(h>>>0<10)if((i[o+3>>0]|0)==36){k[e+(h<<2)>>2]=10;x=k[d+((i[g>>0]|0)+-48<<3)>>2]|0;g=o+4|0;break}if(K|0){f=-1;break a}if(P){J=(k[c>>2]|0)+(4-1)&~(4-1);x=k[J>>2]|0;k[c>>2]=J+4}else x=0}else{x=-1;g=o}while(0);t=0;while(1){h=(i[g>>0]|0)+-65|0;if(h>>>0>57){f=-1;break a}J=g+1|0;h=i[48291+(t*58|0)+h>>0]|0;o=h&255;if((o+-1|0)>>>0<8){t=o;g=J}else break}if(!(h<<24>>24)){f=-1;break}s=(w|0)>-1;do if(h<<24>>24==19)if(s){f=-1;break a}else L=51;else{if(s){k[e+(w<<2)>>2]=o;H=d+(w<<3)|0;I=k[H+4>>2]|0;L=ia;k[L>>2]=k[H>>2];k[L+4>>2]=I;L=51;break}if(!P){f=0;break a}cp(ia,o,c)}while(0);if((L|0)==51){L=0;if(!P){g=0;q=K;b=J;continue}}E=i[g>>0]|0;E=(t|0)!=0&(E&15|0)==3?E&-33:E;s=m&-65537;I=(m&8192|0)==0?m:s;f:do switch(E|0){case 110:switch((t&255)<<24>>24){case 0:{k[k[ia>>2]>>2]=f;g=0;q=K;b=J;continue a}case 1:{k[k[ia>>2]>>2]=f;g=0;q=K;b=J;continue a}case 2:{g=k[ia>>2]|0;k[g>>2]=f;k[g+4>>2]=((f|0)<0)<<31>>31;g=0;q=K;b=J;continue a}case 3:{j[k[ia>>2]>>1]=f;g=0;q=K;b=J;continue a}case 4:{i[k[ia>>2]>>0]=f;g=0;q=K;b=J;continue a}case 6:{k[k[ia>>2]>>2]=f;g=0;q=K;b=J;continue a}case 7:{g=k[ia>>2]|0;k[g>>2]=f;k[g+4>>2]=((f|0)<0)<<31>>31;g=0;q=K;b=J;continue a}default:{g=0;q=K;b=J;continue a}}case 112:{s=120;t=x>>>0>8?x:8;g=I|8;L=63;break}case 88:case 120:{s=E;t=x;g=I;L=63;break}case 111:{h=ia;g=k[h>>2]|0;h=k[h+4>>2]|0;if((g|0)==0&(h|0)==0)b=Q;else{b=Q;do{b=b+-1|0;i[b>>0]=g&7|48;g=xV(g|0,h|0,3)|0;h=N}while(!((g|0)==0&(h|0)==0))}if(!(I&8)){h=0;m=48771;o=x;g=I;L=76}else{o=R-b|0;h=0;m=48771;o=(x|0)>(o|0)?x:o+1|0;g=I;L=76}break}case 105:case 100:{b=ia;g=k[b>>2]|0;b=k[b+4>>2]|0;if((b|0)<0){g=ST(0,0,g|0,b|0)|0;b=N;h=ia;k[h>>2]=g;k[h+4>>2]=b;h=1;m=48771;L=75;break f}if(!(I&2048)){m=I&1;h=m;m=(m|0)==0?48771:48773;L=75}else{h=1;m=48772;L=75}break}case 117:{b=ia;h=0;m=48771;g=k[b>>2]|0;b=k[b+4>>2]|0;L=75;break}case 99:{i[S>>0]=k[ia>>2];b=S;w=0;t=48771;h=Q;g=1;break}case 109:{g=v9()|0;g=BJ(k[g>>2]|0)|0;L=81;break}case 115:{g=k[ia>>2]|0;g=g|0?g:48781;L=81;break}case 67:{k[M>>2]=k[ia>>2];k[T>>2]=0;k[ia>>2]=M;s=-1;h=M;L=85;break}case 83:{g=k[ia>>2]|0;if(!x){LE(a,32,q,0,I);g=0;L=96}else{s=x;h=g;L=85}break}case 65:case 71:case 70:case 69:case 97:case 103:case 102:case 101:{n=+p[ia>>3];k[ga>>2]=0;p[u>>3]=n;if((k[u+4>>2]|0)<0){n=-n;G=1;H=48788}else{g=I&1;if(!(I&2048)){G=g;H=(g|0)==0?48789:48794}else{G=1;H=48791}}p[u>>3]=n;F=k[u+4>>2]&2146435072;do if(F>>>0<2146435072|(F|0)==2146435072&0<0){v=+Coa(n,ga)*2.0;b=v!=0.0;if(b)k[ga>>2]=(k[ga>>2]|0)+-1;z=E|32;if((z|0)==97){o=E&32;w=(o|0)==0?H:H+9|0;t=G|2;g=12-x|0;do if(x>>>0>11|(g|0)==0)n=v;else{n=8.0;do{g=g+-1|0;n=n*16.0}while((g|0)!=0);if((i[w>>0]|0)==45){n=-(n+(-v-n));break}else{n=v+n-n;break}}while(0);b=k[ga>>2]|0;g=(b|0)<0?0-b|0:b;g=iI(g,((g|0)<0)<<31>>31,W)|0;if((g|0)==(W|0)){i[X>>0]=48;g=X}i[g+-1>>0]=(b>>31&2)+43;s=g+-2|0;i[s>>0]=E+15;m=(x|0)<1;h=(I&8|0)==0;g=ha;do{H=~~n;b=g+1|0;i[g>>0]=l[48755+H>>0]|o;n=(n-+(H|0))*16.0;do if((b-U|0)==1){if(h&(m&n==0.0)){g=b;break}i[b>>0]=46;g=g+2|0}else g=b;while(0)}while(n!=0.0);m=s;h=(x|0)!=0&(_+g|0)<(x|0)?$+x-m|0:Z-m+g|0;o=h+t|0;LE(a,32,q,o,I);if(!(k[a>>2]&32))Rz(w,t,a)|0;LE(a,48,q,o,I^65536);b=g-U|0;if(!(k[a>>2]&32))Rz(ha,b,a)|0;g=Y-m|0;LE(a,48,h-(b+g)|0,0,0);if(!(k[a>>2]&32))Rz(s,g,a)|0;LE(a,32,q,o,I^8192);g=(o|0)<(q|0)?q:o;break}g=(x|0)<0?6:x;if(b){b=(k[ga>>2]|0)+-28|0;k[ga>>2]=b;n=v*268435456.0}else{n=v;b=k[ga>>2]|0}F=(b|0)<0?fa:ba;h=F;do{D=~~n>>>0;k[h>>2]=D;h=h+4|0;n=(n-+(D>>>0))*1.0e9}while(n!=0.0);if((b|0)>0){m=F;s=h;while(1){o=(b|0)>29?29:b;b=s+-4|0;do if(b>>>0>=m>>>0){h=0;do{C=MU(k[b>>2]|0,0,o|0)|0;C=G6(C|0,N|0,h|0,0)|0;D=N;B=ZP(C|0,D|0,1e9,0)|0;k[b>>2]=B;h=Ada(C|0,D|0,1e9,0)|0;b=b+-4|0}while(b>>>0>=m>>>0);if(!h)break;m=m+-4|0;k[m>>2]=h}while(0);h=s;while(1){if(h>>>0<=m>>>0)break;b=h+-4|0;if(!(k[b>>2]|0))h=b;else break}b=(k[ga>>2]|0)-o|0;k[ga>>2]=b;if((b|0)>0)s=h;else break}}else m=F;if((b|0)<0){x=((g+25|0)/9|0)+1|0;y=(z|0)==102;do{w=0-b|0;w=(w|0)>9?9:w;do if(m>>>0<h>>>0){o=(1<<w)+-1|0;s=1e9>>>w;t=0;b=m;do{D=k[b>>2]|0;k[b>>2]=(D>>>w)+t;t=aa(D&o,s)|0;b=b+4|0}while(b>>>0<h>>>0);b=(k[m>>2]|0)==0?m+4|0:m;if(!t){m=b;b=h;break}k[h>>2]=t;m=b;b=h+4|0}else{m=(k[m>>2]|0)==0?m+4|0:m;b=h}while(0);h=y?F:m;h=(b-h>>2|0)>(x|0)?h+(x<<2)|0:b;b=(k[ga>>2]|0)+w|0;k[ga>>2]=b}while((b|0)<0)}D=F;do if(m>>>0<h>>>0){b=(D-m>>2)*9|0;s=k[m>>2]|0;if(s>>>0<10)break;else o=10;do{o=o*10|0;b=b+1|0}while(s>>>0>=o>>>0)}else b=0;while(0);A=(z|0)==103;B=(g|0)!=0;o=g-((z|0)!=102?b:0)+((B&A)<<31>>31)|0;if((o|0)<(((h-D>>2)*9|0)+-9|0)){o=o+9216|0;t=F+4+(((o|0)/9|0)+-1024<<2)|0;o=((o|0)%9|0)+1|0;if((o|0)<9){s=10;do{s=s*10|0;o=o+1|0}while((o|0)!=9)}else s=10;x=k[t>>2]|0;y=(x>>>0)%(s>>>0)|0;o=(t+4|0)==(h|0);do if(o&(y|0)==0)o=t;else{v=(((x>>>0)/(s>>>0)|0)&1|0)==0?9007199254740992.0:9007199254740994.0;w=(s|0)/2|0;if(y>>>0<w>>>0)n=.5;else n=o&(y|0)==(w|0)?1.0:1.5;do if(G){if((i[H>>0]|0)!=45)break;n=-n;v=-v}while(0);o=x-y|0;k[t>>2]=o;if(!(v+n!=v)){o=t;break}C=o+s|0;k[t>>2]=C;if(C>>>0>999999999){o=t;while(1){b=o+-4|0;k[o>>2]=0;if(b>>>0<m>>>0){m=m+-4|0;k[m>>2]=0}C=(k[b>>2]|0)+1|0;k[b>>2]=C;if(C>>>0>999999999)o=b;else{t=b;break}}}b=(D-m>>2)*9|0;s=k[m>>2]|0;if(s>>>0<10){o=t;break}else o=10;do{o=o*10|0;b=b+1|0}while(s>>>0>=o>>>0);o=t}while(0);C=o+4|0;h=h>>>0>C>>>0?C:h}y=0-b|0;C=h;while(1){if(C>>>0<=m>>>0){z=0;break}h=C+-4|0;if(!(k[h>>2]|0))C=h;else{z=1;break}}do if(A){g=(B&1^1)+g|0;if((g|0)>(b|0)&(b|0)>-5){t=E+-1|0;g=g+-1-b|0}else{t=E+-2|0;g=g+-1|0}h=I&8;if(h|0){w=h;break}do if(z){s=k[C+-4>>2]|0;if(!s){o=9;break}if(!((s>>>0)%10|0)){o=0;h=10}else{o=0;break}do{h=h*10|0;o=o+1|0}while(!((s>>>0)%(h>>>0)|0|0))}else o=9;while(0);h=((C-D>>2)*9|0)+-9|0;if((t|32|0)==102){w=h-o|0;w=(w|0)<0?0:w;g=(g|0)<(w|0)?g:w;w=0;break}else{w=h+b-o|0;w=(w|0)<0?0:w;g=(g|0)<(w|0)?g:w;w=0;break}}else{t=E;w=I&8}while(0);x=g|w;o=(x|0)!=0&1;s=(t|32|0)==102;if(s){y=0;b=(b|0)>0?b:0}else{h=(b|0)<0?y:b;h=iI(h,((h|0)<0)<<31>>31,W)|0;if((Y-h|0)<2)do{h=h+-1|0;i[h>>0]=48}while((Y-h|0)<2);i[h+-1>>0]=(b>>31&2)+43;b=h+-2|0;i[b>>0]=t;y=b;b=Y-b|0}A=G+1+g+o+b|0;LE(a,32,q,A,I);if(!(k[a>>2]&32))Rz(H,G,a)|0;LE(a,48,q,A,I^65536);do if(s){m=m>>>0>F>>>0?F:m;h=m;do{b=iI(k[h>>2]|0,0,ca)|0;do if((h|0)==(m|0)){if((b|0)!=(ca|0))break;i[ea>>0]=48;b=ea}else{if(b>>>0<=ha>>>0)break;jJ(ha|0,48,b-U|0)|0;do b=b+-1|0;while(b>>>0>ha>>>0)}while(0);if(!(k[a>>2]&32))Rz(b,da-b|0,a)|0;h=h+4|0}while(h>>>0<=F>>>0);do if(x|0){if(k[a>>2]&32|0)break;Rz(50724,1,a)|0}while(0);if((g|0)>0&h>>>0<C>>>0)while(1){b=iI(k[h>>2]|0,0,ca)|0;if(b>>>0>ha>>>0){jJ(ha|0,48,b-U|0)|0;do b=b+-1|0;while(b>>>0>ha>>>0)}if(!(k[a>>2]&32))Rz(b,(g|0)>9?9:g,a)|0;h=h+4|0;b=g+-9|0;if(!((g|0)>9&h>>>0<C>>>0)){g=b;break}else g=b}LE(a,48,g+9|0,9,0)}else{t=z?C:m+4|0;if((g|0)>-1){s=(w|0)==0;o=m;do{b=iI(k[o>>2]|0,0,ca)|0;if((b|0)==(ca|0)){i[ea>>0]=48;b=ea}do if((o|0)==(m|0)){h=b+1|0;if(!(k[a>>2]&32))Rz(b,1,a)|0;if(s&(g|0)<1){b=h;break}if(k[a>>2]&32|0){b=h;break}Rz(50724,1,a)|0;b=h}else{if(b>>>0<=ha>>>0)break;jJ(ha|0,48,b+V|0)|0;do b=b+-1|0;while(b>>>0>ha>>>0)}while(0);h=da-b|0;if(!(k[a>>2]&32))Rz(b,(g|0)>(h|0)?h:g,a)|0;g=g-h|0;o=o+4|0}while(o>>>0<t>>>0&(g|0)>-1)}LE(a,48,g+18|0,18,0);if(k[a>>2]&32|0)break;Rz(y,Y-y|0,a)|0}while(0);LE(a,32,q,A,I^8192);g=(A|0)<(q|0)?q:A}else{o=(E&32|0)!=0;m=n!=n|0.0!=0.0;b=m?0:G;h=b+3|0;LE(a,32,q,h,s);g=k[a>>2]|0;if(!(g&32)){Rz(H,b,a)|0;g=k[a>>2]|0}if(!(g&32))Rz(m?(o?50720:48815):o?48807:48811,3,a)|0;LE(a,32,q,h,I^8192);g=(h|0)<(q|0)?q:h}while(0);q=K;b=J;continue a}default:{w=0;t=48771;h=Q;g=x;s=I}}while(0);g:do if((L|0)==63){m=ia;h=k[m>>2]|0;m=k[m+4>>2]|0;o=s&32;if((h|0)==0&(m|0)==0){b=Q;h=0;m=0}else{b=Q;do{b=b+-1|0;i[b>>0]=l[48755+(h&15)>>0]|o;h=xV(h|0,m|0,4)|0;m=N}while(!((h|0)==0&(m|0)==0));m=ia;h=k[m>>2]|0;m=k[m+4>>2]|0}m=(g&8|0)==0|(h|0)==0&(m|0)==0;h=m?0:2;m=m?48771:48771+(s>>4)|0;o=t;L=76}else if((L|0)==75){b=iI(g,b,Q)|0;o=x;g=I;L=76}else if((L|0)==81){L=0;I=Ty(g,0,x)|0;H=(I|0)==0;b=g;w=0;t=48771;h=H?g+x|0:I;g=H?x:I-g|0}else if((L|0)==85){L=0;o=h;g=0;b=0;while(1){m=k[o>>2]|0;if(!m)break;b=cha(O,m)|0;if((b|0)<0|b>>>0>(s-g|0)>>>0)break;g=b+g|0;if(s>>>0>g>>>0)o=o+4|0;else break}if((b|0)<0){f=-1;break a}LE(a,32,q,g,I);if(!g){g=0;L=96}else{m=0;while(1){b=k[h>>2]|0;if(!b){L=96;break g}b=cha(O,b)|0;m=b+m|0;if((m|0)>(g|0)){L=96;break g}if(!(k[a>>2]&32))Rz(O,b,a)|0;if(m>>>0>=g>>>0){L=96;break}else h=h+4|0}}}while(0);if((L|0)==96){L=0;LE(a,32,q,g,I^8192);g=(q|0)>(g|0)?q:g;q=K;b=J;continue}if((L|0)==76){L=0;s=(o|0)>-1?g&-65537:g;g=ia;g=(k[g>>2]|0)!=0|(k[g+4>>2]|0)!=0;if((o|0)!=0|g){g=(g&1^1)+(R-b)|0;w=h;t=m;h=Q;g=(o|0)>(g|0)?o:g}else{b=Q;w=h;t=m;h=Q;g=0}}o=h-b|0;h=(g|0)<(o|0)?o:g;m=h+w|0;g=(q|0)<(m|0)?m:q;LE(a,32,g,m,s);if(!(k[a>>2]&32))Rz(t,w,a)|0;LE(a,48,g,m,s^65536);LE(a,48,h,o,0);if(!(k[a>>2]&32))Rz(b,o,a)|0;LE(a,32,g,m,s^8192);q=K;b=J}h:do if((L|0)==243)if(!a)if(!q)f=0;else{f=1;while(1){g=k[e+(f<<2)>>2]|0;if(!g)break;cp(d+(f<<3)|0,g,c);f=f+1|0;if((f|0)>=10){f=1;break h}}while(1){if(k[e+(f<<2)>>2]|0){f=-1;break h}f=f+1|0;if((f|0)>=10){f=1;break}}}while(0);r=ja;return f|0}function Fd(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0;B=0;O=r;r=r+336|0;P=O+288|0;M=O+40|0;G=O+272|0;H=O+232|0;q=O+216|0;s=O+204|0;t=O+192|0;u=O+152|0;b=O;L=O+148|0;T=O+144|0;S=O+140|0;j=O+128|0;l=O+116|0;R=O+112|0;v=O+104|0;w=O+100|0;Q=O+108|0;C=O+88|0;D=O+76|0;I=O+72|0;E=O+68|0;F=O+64|0;J=O+56|0;h=cf(a,0)|0;k[T>>2]=h;y=0;h=qa(332,88)|0;K=y;y=0;a:do if(!(K&1)){K=a+108|0;m=b;n=K;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;na(366,h|0);A=y;y=0;do if(A&1)b=pb()|0;else{m=h+12|0;n=b;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;b=h+56|0;k[b>>2]=0;k[h>>2]=7760;c=h+60|0;k[c>>2]=7720;f=h+64|0;g=h+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,0);A=y;y=0;if(A&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{S=d+-4|0;k[g>>2]=S;EO(S);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[h>>2]=7552;k[c>>2]=7680;k[h+80>>2]=2;i[h+84>>0]=0;i[h+85>>0]=0;k[b>>2]=5;y=0;oa(482,S|0,h|0);A=y;y=0;if(A&1)break a;b=k[T>>2]|0;b:do if(!b)B=43;else{d=pw(b,40,536,0)|0;if(!d)B=43;else if(!(i[d+60>>0]|0))if(!(i[d+52>>0]|0)){e=d+64|0;y=0;oa(452,P|0,e|0);A=y;y=0;do if(A&1)b=pb()|0;else{y=0;f=qa(386,P|0)|0;A=y;y=0;if(A&1){b=pb()|0;$9(P);break}$9(P);if(!f){B=43;break b}y=0;h=qa(332,112)|0;A=y;y=0;if(A&1){b=pb()|0;break b}y=0;na(366,h|0);A=y;y=0;do if(A&1)b=pb()|0;else{k[h>>2]=4860;g=h+12|0;m=g;n=f+12|0;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));k[h>>2]=4940;c=k[f+52>>2]|0;i[h+52>>0]=c;i[h+53>>0]=(c&65535)>>>8;i[h+54>>0]=c>>>16;c=h+56|0;k[c>>2]=k[f+56>>2];k[h>>2]=9088;p[h+64>>3]=+p[f+64>>3];p[h+72>>3]=+p[f+72>>3];p[h+80>>3]=+p[f+80>>3];p[h+88>>3]=+p[f+88>>3];b=h+96|0;y=0;oa(452,b|0,f+96|0);A=y;y=0;if(A&1){b=pb()|0;break}k[h+108>>2]=k[f+108>>2];k[c>>2]=3;DN(g|0,d+12|0,40)|0;y=0;oa(452,l|0,e|0);A=y;y=0;if(A&1){b=pb()|0;break b}y=0;b=Ha(967,b|0,l|0)|0;A=y;y=0;do if(!(A&1)){y=0;oa(452,j|0,b|0);A=y;y=0;if(A&1)break;$9(j);$9(l);y=0;oa(482,P|0,h|0);A=y;y=0;do if(A&1)b=pb()|0;else{y=0;Ha(966,T|0,P|0)|0;A=y;y=0;if(A&1){b=pb()|0;EO(P);break}else{EO(P);B=43;break b}}while(0);break b}while(0);b=pb()|0;$9(l);break b}while(0);zqa(h);break b}while(0)}else B=43;else B=43}while(0);c:do if((B|0)==43){l=a+152|0;k[q>>2]=k[l>>2];k[q+4>>2]=k[l+4>>2];k[q+8>>2]=k[l+8>>2];x=a+76|0;c=k[x>>2]|0;z=a+84|0;k[s>>2]=k[z>>2];k[s+4>>2]=k[z+4>>2];k[s+8>>2]=k[z+8>>2];A=a+96|0;k[t>>2]=k[A>>2];k[t+4>>2]=k[A+4>>2];k[t+8>>2]=k[A+8>>2];m=u;n=K;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;ta(61,a|0,1,0)|0;o=y;y=0;do if(!(o&1)){y=0;b=ta(91,a|0,1,0)|0;o=y;y=0;if(!(o&1)){if(!b){m=K;n=u;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));k[l>>2]=k[q>>2];k[l+4>>2]=k[q+4>>2];k[l+8>>2]=k[q+8>>2];k[x>>2]=c;k[A>>2]=k[t>>2];k[A+4>>2]=k[t+4>>2];k[A+8>>2]=k[t+8>>2];k[z>>2]=k[s>>2];k[z+4>>2]=k[s+4>>2];k[z+8>>2]=k[s+8>>2];y=0;oa(464,L|0,T|0);R=y;y=0;if(R&1)break;else b=T;EO(S);EO(b);T=k[L>>2]|0;r=O;return T|0}y=0;b=qa(370,a|0)|0;u=y;y=0;if(!(u&1)){k[R>>2]=b;b=(k[S>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(464,v|0,T|0);u=y;y=0;d:do if(u&1)B=63;else{y=0;oa(c|0,b|0,v|0);u=y;y=0;if(u&1){b=pb()|0;EO(v);break}EO(v);b=(k[S>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(464,w|0,R|0);v=y;y=0;if(v&1)B=63;else{y=0;oa(c|0,b|0,w|0);v=y;y=0;if(v&1){b=pb()|0;EO(w);break}EO(w);j=a+80|0;e:while(1){k[P>>2]=k[l>>2];k[P+4>>2]=k[l+4>>2];k[P+8>>2]=k[l+8>>2];c=k[x>>2]|0;k[M>>2]=k[z>>2];k[M+4>>2]=k[z+4>>2];k[M+8>>2]=k[z+8>>2];k[G>>2]=k[A>>2];k[G+4>>2]=k[A+4>>2];k[G+8>>2]=k[A+8>>2];m=H;n=K;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;ta(61,a|0,1,0)|0;B=y;y=0;if(B&1){B=62;break}y=0;b=ta(62,a|0,1,0)|0;B=y;y=0;if(B&1){B=62;break}if(!b){B=56;break}y=0;b=qa(359,k[x>>2]|0)|0;B=y;y=0;if(B&1){B=62;break}if((b|0)==0?1:b>>>0>(k[j>>2]|0)>>>0)b=k[x>>2]|0;y=0;c=qa(360,b|0)|0;B=y;y=0;if(B&1){B=62;break}B=c|0?c:b;B=(i[B>>0]|0)==41?B+1|0:0;if(!((B|0)==0?1:B>>>0>(k[j>>2]|0)>>>0)){B=122;break}y=0;b=qa(370,a|0)|0;B=y;y=0;if(B&1){B=62;break}k[Q>>2]=b;do if(b|0){d=pw(b,40,536,0)|0;if(!d)break;if(i[d+60>>0]|0)break;if(i[d+52>>0]|0)break;e=d+64|0;y=0;oa(452,P|0,e|0);B=y;y=0;if(B&1){B=86;break e}y=0;f=qa(386,P|0)|0;B=y;y=0;if(B&1){B=87;break e}$9(P);if(!f)break;y=0;h=qa(332,112)|0;B=y;y=0;if(B&1){B=89;break e}y=0;na(366,h|0);B=y;y=0;if(B&1){B=90;break e}k[h>>2]=4860;g=h+12|0;m=g;n=f+12|0;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));k[h>>2]=4940;b=k[f+52>>2]|0;i[h+52>>0]=b;i[h+53>>0]=(b&65535)>>>8;i[h+54>>0]=b>>>16;b=h+56|0;k[b>>2]=k[f+56>>2];k[h>>2]=9088;p[h+64>>3]=+p[f+64>>3];p[h+72>>3]=+p[f+72>>3];p[h+80>>3]=+p[f+80>>3];p[h+88>>3]=+p[f+88>>3];c=h+96|0;y=0;oa(452,c|0,f+96|0);B=y;y=0;if(B&1){B=79;break e}k[h+108>>2]=k[f+108>>2];k[b>>2]=3;DN(g|0,d+12|0,40)|0;y=0;oa(452,D|0,e|0);B=y;y=0;if(B&1){B=92;break e}y=0;b=Ha(967,c|0,D|0)|0;B=y;y=0;if(B&1){B=93;break e}y=0;oa(452,C|0,b|0);B=y;y=0;if(B&1){B=93;break e}$9(C);$9(D);y=0;oa(482,P|0,h|0);B=y;y=0;if(B&1){B=94;break e}y=0;Ha(966,Q|0,P|0)|0;B=y;y=0;if(B&1){B=95;break e}EO(P)}while(0);y=0;b=ta(91,a|0,1,0)|0;B=y;y=0;if(B&1){B=69;break}if(!b){k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;y=0;Na(75,P|0,39964,11);B=y;y=0;if(B&1){B=104;break}k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;y=0;Na(75,M|0,39976,7);B=y;y=0;if(B&1){B=105;break}k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;y=0;Na(75,G|0,40296,20);B=y;y=0;if(B&1){B=106;break}y=0;Ra(25,a|0,P|0,M|0,G|0);B=y;y=0;if(B&1){B=107;break}$9(G);$9(M);$9(P)}y=0;b=qa(370,a|0)|0;B=y;y=0;if(B&1){B=69;break}k[I>>2]=b;b=(k[S>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(464,E|0,Q|0);B=y;y=0;if(B&1){B=117;break}y=0;oa(c|0,b|0,E|0);B=y;y=0;if(B&1){B=118;break}EO(E);b=(k[S>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(464,F|0,I|0);B=y;y=0;if(B&1){B=117;break}y=0;oa(c|0,b|0,F|0);B=y;y=0;if(B&1){B=119;break}EO(F);EO(I);EO(Q)}switch(B|0){case 56:{m=K;n=H;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));k[l>>2]=k[P>>2];k[l+4>>2]=k[P+4>>2];k[l+8>>2]=k[P+8>>2];k[x>>2]=c;k[A>>2]=k[G>>2];k[A+4>>2]=k[G+4>>2];k[A+8>>2]=k[G+8>>2];k[z>>2]=k[M>>2];k[z+4>>2]=k[M+4>>2];k[z+8>>2]=k[M+8>>2];B=122;break}case 62:{b=pb()|0;B=64;break d}case 69:{b=pb()|0;break}case 79:{b=pb()|0;B=91;break}case 86:{b=pb()|0;B=88;break}case 87:{b=pb()|0;$9(P);B=88;break}case 89:{b=pb()|0;break}case 90:{b=pb()|0;B=91;break}case 92:{b=pb()|0;break}case 93:{b=pb()|0;$9(D);break}case 94:{b=pb()|0;B=96;break}case 95:{b=pb()|0;EO(P);B=96;break}case 104:{b=pb()|0;B=110;break}case 105:{b=pb()|0;B=109;break}case 106:{b=pb()|0;B=108;break}case 107:{b=pb()|0;$9(G);B=108;break}case 117:{b=pb()|0;B=120;break}case 118:{b=pb()|0;EO(E);B=120;break}case 119:{b=pb()|0;EO(F);B=120;break}}if((B|0)!=88)if((B|0)==91)zqa(h);else if((B|0)!=96)if((B|0)==108){$9(M);B=109}else if((B|0)==120)EO(I);else if((B|0)==122){m=P;n=(k[S>>2]|0)+12|0;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));b=P+20|0;y=0;Na(111,J|0,K|0,P|0);Q=y;y=0;do if(Q&1)B=126;else{y=0;Na(112,M|0,J|0,a+128|0);Q=y;y=0;if(Q&1){B=126;break}K=M;M=k[K+4>>2]|0;Q=b;k[Q>>2]=k[K>>2];k[Q+4>>2]=M;Q=k[S>>2]|0;DN(Q+12|0,P|0,40)|0;y=0;oa(482,L|0,Q|0);Q=y;y=0;if(Q&1){b=pb()|0;break}EO(R);EO(S);EO(T);T=k[L>>2]|0;r=O;return T|0}while(0);if((B|0)==126)b=pb()|0;break}if((B|0)==109){$9(P);B=110}EO(Q)}}while(0);if((B|0)==63){b=pb()|0;B=64}EO(R);break c}}}while(0);b=pb()|0}while(0);EO(S);S=b;EO(T);sb(S|0)}while(0);zqa(h);S=b;EO(T);sb(S|0)}while(0);S=pb()|0;EO(T);sb(S|0);return 0}function Gd(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0.0,g=0,h=0,j=0,m=0,n=0,o=0.0,p=0.0,q=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0;y=0;J=r;r=r+512|0;F=J;switch(b|0){case 0:{G=-149;I=24;y=4;break}case 1:{G=-1074;I=53;y=4;break}case 2:{G=-1074;I=53;y=4;break}default:d=0.0}a:do if((y|0)==4){A=a+4|0;z=a+100|0;do{b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;b=l[b>>0]|0}else b=HA(a)|0}while((dma(b)|0)!=0);b:do switch(b|0){case 43:case 45:{e=1-(((b|0)==45&1)<<1)|0;b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;g=l[b>>0]|0;H=e;break b}else{g=HA(a)|0;H=e;break b}}default:{g=b;H=1}}while(0);b=0;do{if((g|32|0)!=(i[50711+b>>0]|0))break;do if(b>>>0<7){e=k[A>>2]|0;if(e>>>0<(k[z>>2]|0)>>>0){k[A>>2]=e+1;g=l[e>>0]|0;break}else{g=HA(a)|0;break}}while(0);b=b+1|0}while(b>>>0<8);c:do switch(b|0){case 8:break;case 3:{y=23;break}default:{h=(c|0)!=0;if(h&b>>>0>3)if((b|0)==8)break c;else{y=23;break c}d:do if(!b){b=0;do{if((g|32|0)!=(i[50720+b>>0]|0))break d;do if(b>>>0<2){e=k[A>>2]|0;if(e>>>0<(k[z>>2]|0)>>>0){k[A>>2]=e+1;g=l[e>>0]|0;break}else{g=HA(a)|0;break}}while(0);b=b+1|0}while(b>>>0<3)}while(0);switch(b|0){case 3:{b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;b=l[b>>0]|0}else b=HA(a)|0;if((b|0)==40)b=1;else{if(!(k[z>>2]|0)){d=C;break a}k[A>>2]=(k[A>>2]|0)+-1;d=C;break a}while(1){e=k[A>>2]|0;if(e>>>0<(k[z>>2]|0)>>>0){k[A>>2]=e+1;e=l[e>>0]|0}else e=HA(a)|0;if(!((e+-48|0)>>>0<10|(e+-65|0)>>>0<26))if(!((e|0)==95|(e+-97|0)>>>0<26))break;b=b+1|0}if((e|0)==41){d=C;break a}e=(k[z>>2]|0)==0;if(!e)k[A>>2]=(k[A>>2]|0)+-1;if(!h){I=v9()|0;k[I>>2]=22;vO(a,0);d=0.0;break a}if(!b){d=C;break a}while(1){b=b+-1|0;if(!e)k[A>>2]=(k[A>>2]|0)+-1;if(!b){d=C;break a}}}case 0:{do if((g|0)==48){b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;b=l[b>>0]|0}else b=HA(a)|0;if((b|32|0)!=120){if(!(k[z>>2]|0)){g=48;break}k[A>>2]=(k[A>>2]|0)+-1;g=48;break}b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;e=l[b>>0]|0;g=0}else{e=HA(a)|0;g=0}e:while(1){switch(e|0){case 46:{y=74;break e}case 48:break;default:{t=0;j=0;o=1.0;d=0.0;b=0;h=e;u=g;w=0;v=0;g=0;e=0;break e}}b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;e=l[b>>0]|0;g=1;continue}else{e=HA(a)|0;g=1;continue}}if((y|0)==74){b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;e=l[b>>0]|0}else e=HA(a)|0;if((e|0)==48){g=0;e=0;do{b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;h=l[b>>0]|0}else h=HA(a)|0;g=G6(g|0,e|0,-1,-1)|0;e=N}while((h|0)==48);t=1;j=0;o=1.0;d=0.0;b=0;u=1;w=0;v=0}else{t=1;j=0;o=1.0;d=0.0;b=0;h=e;u=g;w=0;v=0;g=0;e=0}}while(1){n=h+-48|0;m=h|32;if(n>>>0<10)y=86;else{q=(h|0)==46;if(!(q|(m+-97|0)>>>0<6))break;if(q)if(!t){t=1;f=o;q=u;g=v;e=w;n=v;m=w}else{h=46;break}else y=86}if((y|0)==86){y=0;h=(h|0)>57?m+-87|0:n;do if((w|0)<0|(w|0)==0&v>>>0<8){f=o;b=h+(b<<4)|0}else{if((w|0)<0|(w|0)==0&v>>>0<14){s=o*.0625;f=s;d=d+s*+(h|0);break}if((j|0)!=0|(h|0)==0)f=o;else{j=1;f=o;d=d+o*.5}}while(0);n=G6(v|0,w|0,1,0)|0;q=1;m=N}h=k[A>>2]|0;if(h>>>0<(k[z>>2]|0)>>>0){k[A>>2]=h+1;o=f;h=l[h>>0]|0;u=q;w=m;v=n;continue}else{o=f;h=HA(a)|0;u=q;w=m;v=n;continue}}if(!u){b=(k[z>>2]|0)==0;if(!b)k[A>>2]=(k[A>>2]|0)+-1;if(!c)vO(a,0);else if(!b){b=k[A>>2]|0;k[A>>2]=b+-1;if(t|0)k[A>>2]=b+-2}d=+(H|0)*0.0;break a}m=(t|0)==0;n=m?v:g;m=m?w:e;if((w|0)<0|(w|0)==0&v>>>0<8){g=v;e=w;do{b=b<<4;g=G6(g|0,e|0,1,0)|0;e=N}while((e|0)<0|(e|0)==0&g>>>0<8);j=b}else j=b;if((h|32|0)==112){e=Zp(a,c)|0;b=N;if((e|0)==0&(b|0)==-2147483648){if(!c){vO(a,0);d=0.0;break a}if(!(k[z>>2]|0)){e=0;b=0}else{k[A>>2]=(k[A>>2]|0)+-1;e=0;b=0}}}else if(!(k[z>>2]|0)){e=0;b=0}else{k[A>>2]=(k[A>>2]|0)+-1;e=0;b=0}g=MU(n|0,m|0,2)|0;g=G6(g|0,N|0,-32,-1)|0;g=G6(g|0,N|0,e|0,b|0)|0;b=N;if(!j){d=+(H|0)*0.0;break a}if((b|0)>0|(b|0)==0&g>>>0>(0-G|0)>>>0){I=v9()|0;k[I>>2]=34;d=+(H|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break a}F=G+-106|0;E=((F|0)<0)<<31>>31;if((b|0)<(E|0)|(b|0)==(E|0)&g>>>0<F>>>0){I=v9()|0;k[I>>2]=34;d=+(H|0)*2.2250738585072014e-308*2.2250738585072014e-308;break a}if((j|0)>-1){e=j;do{E=!(d>=.5);F=E&1|e<<1;e=F^1;d=d+(E?d:d+-1.0);g=G6(g|0,b|0,-1,-1)|0;b=N}while((F|0)>-1);o=d;h=e}else{o=d;h=j}G=ST(32,0,G|0,((G|0)<0)<<31>>31|0)|0;b=G6(g|0,b|0,G|0,N|0)|0;G=N;if(0>(G|0)|0==(G|0)&I>>>0>b>>>0)if((b|0)<0){e=0;b=84;y=127}else y=125;else{b=I;y=125}if((y|0)==125)if((b|0)<53){e=b;b=84-b|0;y=127}else{f=0.0;d=+(H|0)}if((y|0)==127){d=+(H|0);f=+moa(+_E(1.0,b),d);b=e}I=(h&1|0)==0&(o!=0.0&(b|0)<32);d=d*(I?0.0:o)+(f+d*+(((I&1)+h|0)>>>0))-f;if(!(d!=0.0)){I=v9()|0;k[I>>2]=34}d=+poa(d,g);break a}while(0);B=G+I|0;E=0-B|0;e=0;f:while(1){switch(g|0){case 46:{y=138;break f}case 48:break;default:{j=0;h=e;m=0;b=0;break f}}b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;g=l[b>>0]|0;e=1;continue}else{g=HA(a)|0;e=1;continue}}if((y|0)==138){b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;g=l[b>>0]|0}else g=HA(a)|0;if((g|0)==48){e=0;b=0;do{e=G6(e|0,b|0,-1,-1)|0;b=N;g=k[A>>2]|0;if(g>>>0<(k[z>>2]|0)>>>0){k[A>>2]=g+1;g=l[g>>0]|0}else g=HA(a)|0}while((g|0)==48);j=1;h=1;m=e}else{j=1;h=e;m=0;b=0}}k[F>>2]=0;q=g+-48|0;n=(g|0)==46;g:do if(n|q>>>0<10){y=F+496|0;u=0;e=0;x=0;v=j;w=h;j=0;h=0;h:while(1){do if(n)if(!v){v=1;t=x;m=j;b=h}else break h;else{j=G6(j|0,h|0,1,0)|0;h=N;t=(g|0)!=48;if((e|0)>=125){if(!t){t=x;break}k[y>>2]=k[y>>2]|1;t=x;break}n=F+(e<<2)|0;if(!u)g=q;else g=g+-48+((k[n>>2]|0)*10|0)|0;k[n>>2]=g;u=u+1|0;w=(u|0)==9;u=w?0:u;e=(w&1)+e|0;t=t?j:x;w=1}while(0);g=k[A>>2]|0;if(g>>>0<(k[z>>2]|0)>>>0){k[A>>2]=g+1;g=l[g>>0]|0}else g=HA(a)|0;q=g+-48|0;n=(g|0)==46;if(!(n|q>>>0<10)){n=t;t=v;q=w;v=j;y=161;break g}else x=t}q=u;n=x;g=(w|0)!=0;y=169}else{u=0;e=0;n=0;t=j;q=h;v=0;h=0;y=161}while(0);do if((y|0)==161){t=(t|0)==0;m=t?v:m;b=t?h:b;t=(q|0)!=0;if(!(t&(g|32|0)==101))if((g|0)>-1){q=u;j=v;g=t;y=169;break}else{q=u;j=v;g=t;y=171;break}j=Zp(a,c)|0;g=N;if((j|0)==0&(g|0)==-2147483648){if(!c){vO(a,0);d=0.0;break}if(!(k[z>>2]|0)){j=0;g=0}else{k[A>>2]=(k[A>>2]|0)+-1;j=0;g=0}}w=G6(j|0,g|0,m|0,b|0)|0;q=u;j=v;b=N;y=173}while(0);if((y|0)==169)if(!(k[z>>2]|0))y=171;else{k[A>>2]=(k[A>>2]|0)+-1;if(g){w=m;y=173}else y=172}if((y|0)==171)if(g){w=m;y=173}else y=172;do if((y|0)==172){I=v9()|0;k[I>>2]=22;vO(a,0);d=0.0}else if((y|0)==173){g=k[F>>2]|0;if(!g){d=+(H|0)*0.0;break}if(((h|0)<0|(h|0)==0&j>>>0<10)&((w|0)==(j|0)&(b|0)==(h|0)))if(I>>>0>30|(g>>>I|0)==0){d=+(H|0)*+(g>>>0);break}a=(G|0)/-2|0;A=((a|0)<0)<<31>>31;if((b|0)>(A|0)|(b|0)==(A|0)&w>>>0>a>>>0){I=v9()|0;k[I>>2]=34;d=+(H|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break}a=G+-106|0;A=((a|0)<0)<<31>>31;if((b|0)<(A|0)|(b|0)==(A|0)&w>>>0<a>>>0){I=v9()|0;k[I>>2]=34;d=+(H|0)*2.2250738585072014e-308*2.2250738585072014e-308;break}if(q){if((q|0)<9){h=F+(e<<2)|0;b=q;g=k[h>>2]|0;do{g=g*10|0;b=b+1|0}while((b|0)!=9);k[h>>2]=g}e=e+1|0}if((n|0)<9)if((n|0)<=(w|0)&(w|0)<18){if((w|0)==9){d=+(H|0)*+((k[F>>2]|0)>>>0);break}if((w|0)<9){d=+(H|0)*+((k[F>>2]|0)>>>0)/+(k[22944+(8-w<<2)>>2]|0);break}a=I+27+(aa(w,-3)|0)|0;b=k[F>>2]|0;if((a|0)>30|(b>>>a|0)==0){d=+(H|0)*+(b>>>0)*+(k[22944+(w+-10<<2)>>2]|0);break}}b=(w|0)%9|0;if(!b){b=0;h=0}else{q=(w|0)>-1?b:b+9|0;m=k[22944+(8-q<<2)>>2]|0;if(!e){h=0;e=0;g=w}else{n=1e9/(m|0)|0;h=0;j=0;g=w;b=0;do{z=F+(b<<2)|0;A=k[z>>2]|0;a=((A>>>0)/(m>>>0)|0)+h|0;k[z>>2]=a;h=aa((A>>>0)%(m>>>0)|0,n)|0;a=(b|0)==(j|0)&(a|0)==0;g=a?g+-9|0:g;j=a?j+1&127:j;b=b+1|0}while((b|0)!=(e|0));if(!h)h=j;else{k[F+(e<<2)>>2]=h;h=j;e=e+1|0}}b=0;w=9-q+g|0}i:while(1){q=(w|0)<18;t=(w|0)==18;u=F+(h<<2)|0;while(1){if(!q){if(!t){g=w;break i}if((k[u>>2]|0)>>>0>=9007199){g=18;break i}}g=0;v=e;e=e+127|0;while(1){j=e&127;m=F+(j<<2)|0;e=MU(k[m>>2]|0,0,29)|0;e=G6(e|0,N|0,g|0,0)|0;g=N;if(g>>>0>0|(g|0)==0&e>>>0>1e9){n=Ada(e|0,g|0,1e9,0)|0;e=ZP(e|0,g|0,1e9,0)|0}else n=0;k[m>>2]=e;a=(j|0)==(h|0);v=(j|0)!=(v+127&127|0)|a?v:(e|0)==0?j:v;if(a)break;else{g=n;e=j+-1|0}}b=b+-29|0;if(n|0)break;else e=v}h=h+127&127;e=v+127&127;g=F+((v+126&127)<<2)|0;if((h|0)==(v|0))k[g>>2]=k[g>>2]|k[F+(e<<2)>>2];else e=v;k[F+(h<<2)>>2]=n;w=w+9|0}j:while(1){v=e+1&127;w=F+((e+127&127)<<2)|0;t=g;while(1){m=(t|0)==18;u=(t|0)>27?9:1;x=h;while(1){g=0;while(1){h=g+x&127;if((h|0)==(e|0)){g=2;y=220;break}h=k[F+(h<<2)>>2]|0;j=k[22976+(g<<2)>>2]|0;if(h>>>0<j>>>0){g=2;y=220;break}if(h>>>0>j>>>0)break;g=g+1|0;if((g|0)>=2){y=220;break}}if((y|0)==220){y=0;if(m&(g|0)==2){d=0.0;j=0;break j}}b=b+u|0;if((x|0)==(e|0))x=e;else break}n=(1<<u)+-1|0;q=1e9>>>u;m=0;h=x;g=t;j=x;do{z=F+(j<<2)|0;A=k[z>>2]|0;a=(A>>>u)+m|0;k[z>>2]=a;m=aa(A&n,q)|0;a=(j|0)==(h|0)&(a|0)==0;g=a?g+-9|0:g;h=a?h+1&127:h;j=j+1&127}while((j|0)!=(e|0));if(!m){t=g;continue}if((v|0)!=(h|0))break;k[w>>2]=k[w>>2]|1;t=g}k[F+(e<<2)>>2]=m;e=v}while(1){h=j+x&127;g=e+1&127;if((h|0)==(e|0))k[F+(g+-1<<2)>>2]=0;else g=e;d=d*1.0e9+ +((k[F+(h<<2)>>2]|0)>>>0);j=j+1|0;if((j|0)==2)break;else e=g}s=+(H|0);f=s*d;m=b+53|0;n=m-G|0;q=(n|0)<(I|0);e=q&1;j=q?((n|0)<0?0:n):I;if((j|0)<53){K=+moa(+_E(1.0,105-j|0),f);o=+fpa(f,+_E(1.0,53-j|0));p=K;d=o;o=K+(f-o)}else{p=0.0;d=0.0;o=f}h=x+2&127;do if((h|0)==(g|0))f=d;else{h=k[F+(h<<2)>>2]|0;do if(h>>>0<5e8){if(!h)if((x+3&127|0)==(g|0))break;d=s*.25+d}else{if((h|0)!=5e8){d=s*.75+d;break}if((x+3&127|0)==(g|0)){d=s*.5+d;break}else{d=s*.75+d;break}}while(0);if((53-j|0)>1){if(+fpa(d,1.0)!=0.0){f=d;break}f=d+1.0}else f=d}while(0);d=o+f-p;do if((m&2147483647|0)>(-2-B|0)){if(+P(+d)>=9007199254740992.0){d=d*.5;e=q&(j|0)==(n|0)?0:e;b=b+1|0}if((b+50|0)<=(E|0))if(!(f!=0.0&(e|0)!=0))break;I=v9()|0;k[I>>2]=34}while(0);d=+poa(d,b)}while(0);break a}default:{if(k[z>>2]|0)k[A>>2]=(k[A>>2]|0)+-1;I=v9()|0;k[I>>2]=22;vO(a,0);d=0.0;break a}}}}while(0);if((y|0)==23){e=(k[z>>2]|0)==0;if(!e)k[A>>2]=(k[A>>2]|0)+-1;if((c|0)!=0&b>>>0>3)do{if(!e)k[A>>2]=(k[A>>2]|0)+-1;b=b+-1|0}while(b>>>0>3)}d=+(H|0)*D}while(0);r=J;return +d}function Hd(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;Q=0;O=r;r=r+608|0;P=O+560|0;R=O+548|0;N=O+80|0;x=O+536|0;z=O+40|0;t=O+524|0;u=O+512|0;v=O+472|0;F=O+460|0;G=O;A=O+448|0;B=O+436|0;C=O+424|0;D=O+384|0;o=O+364|0;p=O+352|0;q=O+284|0;s=O+240|0;M=O+376|0;E=O+312|0;J=O+296|0;K=O+280|0;L=O+192|0;w=O+200|0;H=O+180|0;I=O+176|0;j=O+136|0;l=O+124|0;m=O+120|0;a:do if(!(cq(a,1,0)|0)){if(!(Mr(a,1,0)|0)){if(!(Bu(a,1,0)|0))break;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;jI(P,39964,11);k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;y=0;Na(75,R|0,39976,7);Q=y;y=0;if(Q&1)b=pb()|0;else{k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;y=0;Na(75,N|0,40317,45);Q=y;y=0;do if(Q&1)b=pb()|0;else{y=0;Ra(25,a|0,P|0,R|0,N|0);Q=y;y=0;if(Q&1){b=pb()|0;$9(N);break}else{$9(N);$9(R);$9(P);break a}}while(0);$9(R)}$9(P);R=b;sb(R|0)}h=ZL(108)|0;b=j;g=a+108|0;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));e=k[a+156>>2]|0;f=k[a+160>>2]|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;g=f-e|0;if(g>>>0>4294967279){y=0;na(377,l|0);Q=y;y=0;if(Q&1)Q=99;else Q=85}else if(g>>>0<11){i[l+11>>0]=g;b=l;Q=87}else Q=85;if((Q|0)==85){c=g+16&-16;y=0;b=qa(332,c|0)|0;Q=y;y=0;if(Q&1)Q=99;else{k[l>>2]=b;k[l+8>>2]=c|-2147483648;k[l+4>>2]=g;Q=87}}do if((Q|0)==87){if((e|0)!=(f|0)){d=b;c=e;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(f|0))break;else d=d+1|0}b=b+g|0}i[b>>0]=0;y=0;oa(482,m|0,0);a=y;y=0;if(a&1){b=pb()|0;$9(l);break}b=N;g=j;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));y=0;oa(452,R|0,l|0);a=y;y=0;b:do if(a&1){b=1;Q=101}else{y=0;b=P;g=N;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));Na(88,h|0,P|0,R|0);P=y;y=0;do if(P&1){b=pb()|0;$9(R)}else{$9(R);k[h>>2]=12976;y=0;oa(464,h+104|0,m|0);R=y;y=0;if(R&1){b=pb()|0;k[h>>2]=11700;$9(h+84|0);$9(h+72|0);break}k[h+96>>2]=2;y=0;oa(482,M|0,h|0);R=y;y=0;if(R&1){b=0;Q=101;break b}EO(m);$9(l);R=k[M>>2]|0;r=O;return R|0}while(0);c=1}while(0);if((Q|0)==101){R=pb()|0;c=b;b=R}EO(m);$9(l);if(!c){R=b;sb(R|0)}}else if((Q|0)==99)b=pb()|0;while(0);zqa(h);R=b;sb(R|0)}else{l=a+152|0;c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){LM(R);Q=6}else if(f>>>0<11){i[R+11>>0]=f;b=R}else Q=6;if((Q|0)==6){Q=f+16&-16;b=ZL(Q)|0;k[R>>2]=b;k[R+8>>2]=Q|-2147483648;k[R+4>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;Q=i[R+11>>0]|0;y=0;ta(53,R|0,(Q<<24>>24<0?k[R+4>>2]|0:Q&255)+-1|0,-1)|0;Q=y;y=0;if(Q&1)b=pb()|0;else{h=a+108|0;b=N;g=h;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));j=a+76|0;y=0;b=qa(359,k[j>>2]|0)|0;Q=y;y=0;c:do if(Q&1)Q=43;else{d=a+80|0;if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)b=k[j>>2]|0;y=0;c=qa(360,b|0)|0;Q=y;y=0;if(Q&1)Q=43;else{c=c|0?c:b;y=0;b=qa(366,c|0)|0;Q=y;y=0;if(Q&1)Q=43;else{if(!b){y=0;b=qa(367,c|0)|0;Q=y;y=0;if(Q&1){Q=43;break}if(!b)Q=52;else Q=19}else Q=19;d:do if((Q|0)==19){y=0;b=qa(360,b|0)|0;n=y;y=0;if(n&1){Q=43;break c}if(!b)Q=52;else{n=(i[b>>0]|0)==41?b+1|0:0;if((n|0)==0?1:n>>>0>(k[d>>2]|0)>>>0)Q=52;else{k[o>>2]=k[l>>2];k[o+4>>2]=k[l+4>>2];k[o+8>>2]=k[l+8>>2];c=k[j>>2]|0;d=a+84|0;k[p>>2]=k[d>>2];k[p+4>>2]=k[d+4>>2];k[p+8>>2]=k[d+8>>2];f=a+96|0;k[q>>2]=k[f>>2];k[q+4>>2]=k[f+4>>2];k[q+8>>2]=k[f+8>>2];b=s;g=h;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));y=0;ta(61,a|0,1,0)|0;L=y;y=0;if(L&1){Q=43;break c}y=0;b=ta(75,a|0,1,0)|0;L=y;y=0;if(L&1){Q=43;break c}if(!b){b=h;g=s;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));k[l>>2]=k[o>>2];k[l+4>>2]=k[o+4>>2];k[l+8>>2]=k[o+8>>2];k[j>>2]=c;k[f>>2]=k[q>>2];k[f+4>>2]=k[q+4>>2];k[f+8>>2]=k[q+8>>2];k[d>>2]=k[p>>2];k[d+4>>2]=k[p+4>>2];k[d+8>>2]=k[p+8>>2]}y=0;e=qa(332,80)|0;L=y;y=0;if(L&1){Q=43;break c}y=0;b=P;g=h;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));Na(108,e|0,P|0,l|0);L=y;y=0;if(L&1){b=pb()|0;zqa(e);break c}k[A>>2]=k[l>>2];k[A+4>>2]=k[l+4>>2];k[A+8>>2]=k[l+8>>2];c=k[j>>2]|0;k[B>>2]=k[d>>2];k[B+4>>2]=k[d+4>>2];k[B+8>>2]=k[d+8>>2];k[C>>2]=k[f>>2];k[C+4>>2]=k[f+4>>2];k[C+8>>2]=k[f+8>>2];b=D;g=h;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));y=0;ta(61,a|0,1,0)|0;L=y;y=0;do if(!(L&1)){y=0;b=ta(74,a|0,1,0)|0;L=y;y=0;if(L&1)break;if(!b){b=h;g=D;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));k[l>>2]=k[A>>2];k[l+4>>2]=k[A+4>>2];k[l+8>>2]=k[A+8>>2];k[j>>2]=c;k[f>>2]=k[C>>2];k[f+4>>2]=k[C+4>>2];k[f+8>>2]=k[C+8>>2];k[d>>2]=k[B>>2];k[d+4>>2]=k[B+4>>2];k[d+8>>2]=k[B+8>>2];break d}i[e+61>>0]=1;y=0;d=qa(332,108)|0;a=y;y=0;if(a&1)break;b=E;g=N;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));y=0;oa(452,J|0,R|0);N=y;y=0;do if(N&1)b=pb()|0;else{y=0;oa(482,K|0,e|0);N=y;y=0;if(N&1){b=pb()|0;$9(J);break}b=G;g=E;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));y=0;oa(452,F|0,J|0);N=y;y=0;e:do if(N&1){b=1;Q=48}else{y=0;b=P;g=G;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));Na(88,d|0,P|0,F|0);P=y;y=0;do if(P&1){b=pb()|0;$9(F)}else{$9(F);k[d>>2]=12976;y=0;oa(464,d+104|0,K|0);P=y;y=0;if(P&1){b=pb()|0;k[d>>2]=11700;$9(d+84|0);$9(d+72|0);break}k[d+96>>2]=2;y=0;oa(482,M|0,d|0);Q=y;y=0;if(Q&1){b=0;Q=48;break e}EO(K);$9(J);$9(R);R=k[M>>2]|0;r=O;return R|0}while(0);c=1}while(0);if((Q|0)==48){P=pb()|0;c=b;b=P}EO(K);$9(J);if(!c)break c}while(0);zqa(d);break c}while(0);b=pb()|0;break c}}}while(0);if((Q|0)==52){y=0;b=Ha(1001,a|0,1)|0;K=y;y=0;if(K&1){Q=43;break}k[L>>2]=b;f:do if(b|0){k[P>>2]=k[l>>2];k[P+4>>2]=k[l+4>>2];k[P+8>>2]=k[l+8>>2];c=k[j>>2]|0;d=a+84|0;k[t>>2]=k[d>>2];k[t+4>>2]=k[d+4>>2];k[t+8>>2]=k[d+8>>2];e=a+96|0;k[u>>2]=k[e>>2];k[u+4>>2]=k[e+4>>2];k[u+8>>2]=k[e+8>>2];b=v;g=h;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));y=0;ta(61,a|0,1,0)|0;K=y;y=0;g:do if(K&1)Q=69;else{y=0;b=ta(74,a|0,1,0)|0;K=y;y=0;if(K&1)Q=69;else{if(!b){b=h;g=v;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));k[l>>2]=k[P>>2];k[l+4>>2]=k[P+4>>2];k[l+8>>2]=k[P+8>>2];k[j>>2]=c;k[e>>2]=k[u>>2];k[e+4>>2]=k[u+4>>2];k[e+8>>2]=k[u+8>>2];k[d>>2]=k[t>>2];k[d+4>>2]=k[t+4>>2];k[d+8>>2]=k[t+8>>2];break f}y=0;d=qa(332,108)|0;a=y;y=0;if(a&1){Q=69;break}b=w;g=N;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));y=0;oa(452,H|0,R|0);N=y;y=0;do if(N&1)b=pb()|0;else{y=0;oa(482,I|0,k[L>>2]|0);N=y;y=0;if(N&1){b=pb()|0;$9(H);break}b=z;g=w;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));y=0;oa(452,x|0,H|0);N=y;y=0;h:do if(N&1){b=1;Q=72}else{y=0;b=P;g=z;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));Na(88,d|0,P|0,x|0);P=y;y=0;do if(P&1){b=pb()|0;$9(x)}else{$9(x);k[d>>2]=13168;y=0;oa(464,d+104|0,I|0);P=y;y=0;if(P&1){b=pb()|0;k[d>>2]=11700;$9(d+84|0);$9(d+72|0);break}k[d+96>>2]=3;y=0;oa(482,M|0,d|0);Q=y;y=0;if(Q&1){b=0;Q=72;break h}EO(I);$9(H);EO(L);$9(R);R=k[M>>2]|0;r=O;return R|0}while(0);c=1}while(0);if((Q|0)==72){P=pb()|0;c=b;b=P}EO(I);$9(H);if(!c)break g}while(0);zqa(d)}}while(0);if((Q|0)==69)b=pb()|0;EO(L);break c}while(0);EO(L)}$9(R);break a}}}while(0);if((Q|0)==43)b=pb()|0}$9(R);R=b;sb(R|0)}while(0);k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;jI(P,39964,11);k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;y=0;Na(75,R|0,39976,7);Q=y;y=0;if(Q&1)b=pb()|0;else{k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;y=0;Na(75,N|0,40363,20);Q=y;y=0;do if(Q&1)b=pb()|0;else{y=0;Ra(25,a|0,P|0,R|0,N|0);Q=y;y=0;if(Q&1){b=pb()|0;$9(N);break}$9(N);$9(R);$9(P);_V(M,0);R=k[M>>2]|0;r=O;return R|0}while(0);$9(R)}$9(P);R=b;sb(R|0);return 0}
function Qc(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0.0;k[dc>>2]=a;b=dc+8|0;d=m[a+2>>1]|0;dc=dc+(d+1<<3)|0;if((cc|0)!=2){}else{a=(k[b-4>>2]|0)-8|0}a=a+4|0;while(1){a=a+4|0;c=k[a>>2]|0;d=c>>8&255;e=c>>16&255;f=c>>>24;switch(c&255){case 0:k[b+(d<<3)>>2]=k[b+(e<<3)>>2]|0;break;case 1:k[b+(d<<3)>>2]=c>>16;break;case 2:a=a+4|0;k[b+(d<<3)>>2]=k[a>>2]|0;break;case 3:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)+(k[b+(f<<3)>>2]|0)|0;break;case 4:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)-(k[b+(f<<3)>>2]|0)|0;break;case 11:k[b+(d<<3)>>2]=~(k[b+(e<<3)>>2]|0);break;case 16:k[b+(d<<3)>>2]=k[b+(e<<3)>>2]>>>0<k[b+(f<<3)>>2]>>>0|0;break;case 19:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)&(k[b+(f<<3)>>2]|0);break;case 20:k[b+(d<<3)>>2]=k[b+(e<<3)>>2]|0|(k[b+(f<<3)>>2]|0);break;case 25:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)+(c>>24)|0;break;case 26:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)-(c>>24)|0;break;case 27:e=aa(k[b+(e<<3)>>2]|0,c>>24)|0;k[b+(d<<3)>>2]=e;break;case 28:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)/(c>>24)|0;break;case 32:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)==c>>24|0;break;case 33:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)!=c>>24|0;break;case 34:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)<c>>24|0;break;case 35:k[b+(d<<3)>>2]=k[b+(e<<3)>>2]>>>0<f>>>0|0;break;case 38:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)&c>>24;break;case 39:k[b+(d<<3)>>2]=k[b+(e<<3)>>2]|0|c>>24;break;case 40:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)^c>>24;break;case 41:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)<<f;break;case 42:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)>>f;break;case 43:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)>>>f;break;case 45:if((k[b+(e<<3)>>2]|0)==(k[b+(f<<3)>>2]|0)){a=a+4|0}else{a=k[a+4>>2]|0;a=a-4|0;continue}break;case 46:if((k[b+(e<<3)>>2]|0)!=(k[b+(f<<3)>>2]|0)){a=a+4|0}else{a=k[a+4>>2]|0;a=a-4|0;continue}break;case 47:if((k[b+(e<<3)>>2]|0)<(k[b+(f<<3)>>2]|0)){a=a+4|0}else{a=k[a+4>>2]|0;a=a-4|0;continue}break;case 48:if(k[b+(e<<3)>>2]>>>0<k[b+(f<<3)>>2]>>>0){a=a+4|0}else{a=k[a+4>>2]|0;a=a-4|0;continue}break;case 50:if(k[b+(e<<3)>>2]>>>0<=k[b+(f<<3)>>2]>>>0){a=a+4|0}else{a=k[a+4>>2]|0;a=a-4|0;continue}break;case 52:if((k[b+(e<<3)>>2]|0)==(k[b+(f<<3)>>2]|0)){a=k[a+4>>2]|0;a=a-4|0;continue}else{a=a+4|0}break;case 53:if((k[b+(e<<3)>>2]|0)!=(k[b+(f<<3)>>2]|0)){a=k[a+4>>2]|0;a=a-4|0;continue}else{a=a+4|0}break;case 54:if((k[b+(e<<3)>>2]|0)<(k[b+(f<<3)>>2]|0)){a=k[a+4>>2]|0;a=a-4|0;continue}else{a=a+4|0}break;case 55:if(k[b+(e<<3)>>2]>>>0<k[b+(f<<3)>>2]>>>0){a=k[a+4>>2]|0;a=a-4|0;continue}else{a=a+4|0}break;case 57:if(k[b+(e<<3)>>2]>>>0<=k[b+(f<<3)>>2]>>>0){a=k[a+4>>2]|0;a=a-4|0;continue}else{a=a+4|0}break;case 59:p[b+(d<<3)>>3]=+(c>>16);break;case 78:k[b+(d<<3)>>2]=i[k[b+(e<<3)>>2]>>0];break;case 82:k[b+(d<<3)>>2]=k[k[b+(e<<3)>>2]>>2];break;case 83:i[k[b+(d<<3)>>2]>>0]=k[b+(e<<3)>>2]|0;break;case 85:k[k[b+(d<<3)>>2]>>2]=k[b+(e<<3)>>2]|0;break;case 94:k[b+(d<<3)>>2]=k[(k[b+(e<<3)>>2]|0)+(k[b+(f<<3)>>2]|0)>>2];break;case 97:k[(k[b+(d<<3)>>2]|0)+(k[b+(e<<3)>>2]|0)>>2]=k[b+(f<<3)>>2]|0;break;case 102:k[b+(d<<3)>>2]=i[(k[b+(e<<3)>>2]|0)+(c>>24)>>0];break;case 106:k[b+(d<<3)>>2]=k[(k[b+(e<<3)>>2]|0)+(c>>24)>>2];break;case 107:i[(k[b+(d<<3)>>2]|0)+(e<<24>>24)>>0]=k[b+(f<<3)>>2]|0;break;case 109:k[(k[b+(d<<3)>>2]|0)+(e<<24>>24)>>2]=k[b+(f<<3)>>2]|0;break;case 116:k[k[b+(d<<3)>>2]>>2]=k[k[b+(e<<3)>>2]>>2]|0;break;case 119:a=a+(c>>16<<2)|0;a=a-4|0;continue;break;case 120:if(k[b+(d<<3)>>2]|0){a=a+(c>>16<<2)|0;a=a-4|0;continue}break;case 121:if(!(k[b+(d<<3)>>2]|0)){a=a+(c>>16<<2)|0;a=a-4|0;continue}break;case 125:a=a+4|0;k[b+(d<<3)>>2]=k[b+(e<<3)>>2]|0?k[b+(f<<3)>>2]|0:k[b+((l[a>>0]|0)<<3)>>2]|0;break;case 128:k[b+(d<<3)>>2]=N;break;case 130:switch(e|0){case 0:{k[b+(d<<3)>>2]=y;continue}default:}break;case 132:switch(c>>8&255){case 0:{y=k[b+(f<<3)>>2]|0;continue}default:}break;case 134:f=l[(k[a+4>>2]|0)+1|0]|0;e=0;if((cc|0)!=2){while((e|0)<(f|0)){k[dc+(e<<3)+8>>2]=k[b+(l[a+8+e>>0]<<3)>>2]|0;k[dc+(e<<3)+12>>2]=k[b+(l[a+8+e>>0]<<3)+4>>2]|0;e=e+1|0}}k[b-4>>2]=a;Qc(k[a+4>>2]|0);if((cc|0)==1){dc=b-8|0;return}k[b+(d<<3)>>2]=k[dc>>2]|0;k[b+(d<<3)+4>>2]=k[dc+4>>2]|0;a=a+(4+f+3>>2<<2)|0;break;case 135:switch(c>>>16|0){case 0:{k[b-4>>2]=a;rT(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 1:{k[b-4>>2]=a;na(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 2:{k[b-4>>2]=a;f=ta(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 3:{k[b-4>>2]=a;f=qa(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 4:{k[b-4>>2]=a;oa(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 5:{k[b-4>>2]=a;f=pb()|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;continue}case 6:{k[b-4>>2]=a;EO(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 7:{k[b-4>>2]=a;sb(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 8:{k[b-4>>2]=a;f=Ha(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 9:{k[b-4>>2]=a;Na(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 10:{k[b-4>>2]=a;$9(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 11:{k[b-4>>2]=a;zqa(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 12:{k[b-4>>2]=a;Ra(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+8|0;continue}case 13:{k[b-4>>2]=a;f=ZL(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 14:{k[b-4>>2]=a;_V(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 15:{k[b-4>>2]=a;ma(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0,k[b+(l[a+9>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+8|0;continue}case 16:{k[b-4>>2]=a;f=sa(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0,k[b+(l[a+9>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+8|0;continue}case 17:{k[b-4>>2]=a;f=JI(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 18:{k[b-4>>2]=a;Ei(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+8|0;continue}case 19:{k[b-4>>2]=a;f=tb(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 20:{k[b-4>>2]=a;dla(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 21:{k[b-4>>2]=a;Ea(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0,k[b+(l[a+9>>0]<<3)>>2]|0,k[b+(l[a+10>>0]<<3)>>2]|0,k[b+(l[a+11>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+8|0;continue}case 22:{k[b-4>>2]=a;f=Tna(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 23:{k[b-4>>2]=a;f=rc[k[b+(l[a+4>>0]<<3)>>2]&255](k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 24:{k[b-4>>2]=a;pK(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 25:{k[b-4>>2]=a;nba(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 26:{k[b-4>>2]=a;zka(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 27:{k[b-4>>2]=a;dja(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 28:{k[b-4>>2]=a;pM(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 29:{k[b-4>>2]=a;oK(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 30:{k[b-4>>2]=a;Ey(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 31:{k[b-4>>2]=a;Rq(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 32:{k[b-4>>2]=a;hf(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 33:{k[b-4>>2]=a;f=vL(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 34:{k[b-4>>2]=a;iz(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 35:{k[b-4>>2]=a;f=hP(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 36:{k[b-4>>2]=a;qz(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 37:{k[b-4>>2]=a;jN(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 38:{k[b-4>>2]=a;f=uM(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 39:{k[b-4>>2]=a;jI(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 40:{k[b-4>>2]=a;f=gb(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 41:{k[b-4>>2]=a;fb(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 42:{k[b-4>>2]=a;ql(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+8|0;continue}case 43:{k[b-4>>2]=a;f=vs(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 44:{k[b-4>>2]=a;jn(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 45:{k[b-4>>2]=a;jj(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 46:{k[b-4>>2]=a;f=gx(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 47:{k[b-4>>2]=a;f=mw(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 48:{k[b-4>>2]=a;f=Vs(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 49:{k[b-4>>2]=a;Pf(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 50:{k[b-4>>2]=a;f=Ma(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+8|0;continue}case 51:{k[b-4>>2]=a;doa(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 52:{k[b-4>>2]=a;f=vb(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 53:{k[b-4>>2]=a;la(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 54:{k[b-4>>2]=a;Ab(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 55:{k[b-4>>2]=a;f=aw(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 56:{k[b-4>>2]=a;f=An(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 57:{k[b-4>>2]=a;rb();if((cc|0)==1){dc=b-8|0;return};continue}case 58:{k[b-4>>2]=a;lc[k[b+(l[a+4>>0]<<3)>>2]&511](k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 59:{k[b-4>>2]=a;f=B4(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 60:{k[b-4>>2]=a;f=xm(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 61:{k[b-4>>2]=a;f=Zoa(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 62:{k[b-4>>2]=a;f=Vm(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 63:{k[b-4>>2]=a;f=_oa(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 64:{k[b-4>>2]=a;f=Hpa(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 65:{k[b-4>>2]=a;xka(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 66:{k[b-4>>2]=a;Jka(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 67:{k[b-4>>2]=a;mia(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 68:{k[b-4>>2]=a;Zha(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 69:{k[b-4>>2]=a;dha(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 70:{k[b-4>>2]=a;eha(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 71:{k[b-4>>2]=a;pga(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 72:{k[b-4>>2]=a;ala(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 73:{k[b-4>>2]=a;yka(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 74:{k[b-4>>2]=a;JV(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 75:{k[b-4>>2]=a;HV(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 76:{k[b-4>>2]=a;wV(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 77:{k[b-4>>2]=a;XU(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 78:{k[b-4>>2]=a;WU(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 79:{k[b-4>>2]=a;f=qna(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 80:{k[b-4>>2]=a;f=QS(k[b+(l[a+4>>0]<<3)>>2]|0,+p[b+(l[a+5>>0]<<3)>>3],k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 81:{k[b-4>>2]=a;Nda(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 82:{k[b-4>>2]=a;Hja(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 83:{k[b-4>>2]=a;f=Eo(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 84:{k[b-4>>2]=a;f=yma(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 85:{k[b-4>>2]=a;f=Zla(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 86:{k[b-4>>2]=a;f=kma(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 87:{k[b-4>>2]=a;f=Ob(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 88:{k[b-4>>2]=a;f=$ma(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 89:{k[b-4>>2]=a;f=zma(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 90:{k[b-4>>2]=a;f=Lb(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 91:{k[b-4>>2]=a;Kha(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 92:{k[b-4>>2]=a;A4(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 93:{k[b-4>>2]=a;Al(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 94:{k[b-4>>2]=a;f=hw(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 95:{k[b-4>>2]=a;f=_s(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 96:{k[b-4>>2]=a;f=oW(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 97:{k[b-4>>2]=a;f=oja(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 98:{k[b-4>>2]=a;fy(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 99:{k[b-4>>2]=a;f=ja(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0,k[b+(l[a+9>>0]<<3)>>2]|0,k[b+(l[a+10>>0]<<3)>>2]|0,k[b+(l[a+11>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+8|0;continue}case 100:{k[b-4>>2]=a;f=ida(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 101:{k[b-4>>2]=a;f=Fna(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 102:{k[b-4>>2]=a;f=jb(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 103:{k[b-4>>2]=a;Nb(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 104:{k[b-4>>2]=a;f=Ena(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 105:{k[b-4>>2]=a;f=EL(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 106:{k[b-4>>2]=a;f=FM(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}default:}break;case 136:k[b+(d<<3)>>2]=r;break;case 137:r=k[b+(d<<3)>>2]|0;break;case 138:f=k[b+(f<<3)>>2]|0;d=(k[b+(d<<3)>>2]|0)-(k[b+(e<<3)>>2]|0)>>>0;if(d>>>0>=f>>>0){a=a+(f<<2)|0;continue}a=k[a+4+(d<<2)>>2]|0;a=a-4|0;continue;break;case 139:dc=b-8|0;k[dc>>2]=k[b+(d<<3)>>2]|0;k[dc+4>>2]=k[b+(d<<3)+4>>2]|0;return;break;default:}}}function Rc(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;g=0;m=r;r=r+1296|0;h=m;j=m+1248|0;l=m+1232|0;d=m+40|0;p[8959]=3.141592653589793;k[18831]=0;k[18832]=0;k[18833]=0;jI(75324,46941,6);Pb(368,75324,x|0)|0;k[18834]=0;k[18835]=0;k[18836]=0;jI(75336,46948,21);Pb(368,75336,x|0)|0;k[18837]=0;k[18838]=0;k[18839]=0;jI(75348,46970,19);Pb(368,75348,x|0)|0;k[18840]=0;k[18841]=0;k[18842]=0;jI(75360,46990,22);Pb(368,75360,x|0)|0;jN(75372,38577,0,-1);a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,54984);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=54996;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[55036]=0;i[55037]=0;i[55038]=0;k[13760]=0;k[13746]=9088;p[6881]=240.0;p[6882]=248.0;p[6883]=255.0;p[6884]=1.0;y=0;oa(452,55080,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[13773]=0;k[13760]=3;$9(l);Pb(87,54984,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,55096);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=55108;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[55148]=0;i[55149]=0;i[55150]=0;k[13788]=0;k[13774]=9088;p[6895]=250.0;p[6896]=235.0;p[6897]=215.0;p[6898]=1.0;y=0;oa(452,55192,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[13801]=0;k[13788]=3;$9(l);Pb(87,55096,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,55208);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=55220;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[55260]=0;i[55261]=0;i[55262]=0;k[13816]=0;k[13802]=9088;p[6909]=0.0;p[6910]=255.0;p[6911]=255.0;p[6912]=1.0;y=0;oa(452,55304,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[13829]=0;k[13816]=3;$9(l);Pb(87,55208,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,55320);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=55332;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[55372]=0;i[55373]=0;i[55374]=0;k[13844]=0;k[13830]=9088;p[6923]=0.0;p[6924]=255.0;p[6925]=255.0;p[6926]=1.0;y=0;oa(452,55416,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[13857]=0;k[13844]=3;$9(l);Pb(87,55320,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,55432);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=55444;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[55484]=0;i[55485]=0;i[55486]=0;k[13872]=0;k[13858]=9088;p[6937]=127.0;p[6938]=255.0;p[6939]=212.0;p[6940]=1.0;y=0;oa(452,55528,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[13885]=0;k[13872]=3;$9(l);Pb(87,55432,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,55544);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=55556;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[55596]=0;i[55597]=0;i[55598]=0;k[13900]=0;k[13886]=9088;p[6951]=240.0;p[6952]=255.0;p[6953]=255.0;p[6954]=1.0;y=0;oa(452,55640,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[13913]=0;k[13900]=3;$9(l);Pb(87,55544,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,55656);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=55668;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[55708]=0;i[55709]=0;i[55710]=0;k[13928]=0;k[13914]=9088;p[6965]=245.0;p[6966]=245.0;p[6967]=220.0;p[6968]=1.0;y=0;oa(452,55752,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[13941]=0;k[13928]=3;$9(l);Pb(87,55656,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,55768);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=55780;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[55820]=0;i[55821]=0;i[55822]=0;k[13956]=0;k[13942]=9088;p[6979]=255.0;p[6980]=228.0;p[6981]=196.0;p[6982]=1.0;y=0;oa(452,55864,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[13969]=0;k[13956]=3;$9(l);Pb(87,55768,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,55880);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=55892;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[55932]=0;i[55933]=0;i[55934]=0;k[13984]=0;k[13970]=9088;k[13986]=0;k[13987]=0;k[13988]=0;k[13989]=0;k[13990]=0;k[13991]=0;p[6996]=1.0;y=0;oa(452,55976,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[13997]=0;k[13984]=3;$9(l);Pb(87,55880,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,55992);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=56004;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[56044]=0;i[56045]=0;i[56046]=0;k[14012]=0;k[13998]=9088;p[7007]=255.0;p[7008]=235.0;p[7009]=205.0;p[7010]=1.0;y=0;oa(452,56088,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14025]=0;k[14012]=3;$9(l);Pb(87,55992,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,56104);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=56116;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[56156]=0;i[56157]=0;i[56158]=0;k[14040]=0;k[14026]=9088;k[14042]=0;k[14043]=0;k[14044]=0;k[14045]=0;p[7023]=255.0;p[7024]=1.0;y=0;oa(452,56200,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14053]=0;k[14040]=3;$9(l);Pb(87,56104,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,56216);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=56228;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[56268]=0;i[56269]=0;i[56270]=0;k[14068]=0;k[14054]=9088;p[7035]=138.0;p[7036]=43.0;p[7037]=226.0;p[7038]=1.0;y=0;oa(452,56312,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14081]=0;k[14068]=3;$9(l);Pb(87,56216,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,56328);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=56340;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[56380]=0;i[56381]=0;i[56382]=0;k[14096]=0;k[14082]=9088;p[7049]=165.0;p[7050]=42.0;p[7051]=42.0;p[7052]=1.0;y=0;oa(452,56424,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14109]=0;k[14096]=3;$9(l);Pb(87,56328,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,56440);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=56452;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[56492]=0;i[56493]=0;i[56494]=0;k[14124]=0;k[14110]=9088;p[7063]=222.0;p[7064]=184.0;p[7065]=135.0;p[7066]=1.0;y=0;oa(452,56536,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14137]=0;k[14124]=3;$9(l);Pb(87,56440,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,56552);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=56564;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[56604]=0;i[56605]=0;i[56606]=0;k[14152]=0;k[14138]=9088;p[7077]=95.0;p[7078]=158.0;p[7079]=160.0;p[7080]=1.0;y=0;oa(452,56648,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14165]=0;k[14152]=3;$9(l);Pb(87,56552,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,56664);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=56676;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[56716]=0;i[56717]=0;i[56718]=0;k[14180]=0;k[14166]=9088;p[7091]=127.0;p[7092]=255.0;p[7093]=0.0;p[7094]=1.0;y=0;oa(452,56760,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14193]=0;k[14180]=3;$9(l);Pb(87,56664,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,56776);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=56788;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[56828]=0;i[56829]=0;i[56830]=0;k[14208]=0;k[14194]=9088;p[7105]=210.0;p[7106]=105.0;p[7107]=30.0;p[7108]=1.0;y=0;oa(452,56872,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14221]=0;k[14208]=3;$9(l);Pb(87,56776,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,56888);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=56900;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[56940]=0;i[56941]=0;i[56942]=0;k[14236]=0;k[14222]=9088;p[7119]=255.0;p[7120]=127.0;p[7121]=80.0;p[7122]=1.0;y=0;oa(452,56984,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14249]=0;k[14236]=3;$9(l);Pb(87,56888,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,57e3);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=57012;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[57052]=0;i[57053]=0;i[57054]=0;k[14264]=0;k[14250]=9088;p[7133]=100.0;p[7134]=149.0;p[7135]=237.0;p[7136]=1.0;y=0;oa(452,57096,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14277]=0;k[14264]=3;$9(l);Pb(87,57e3,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,57112);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=57124;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[57164]=0;i[57165]=0;i[57166]=0;k[14292]=0;k[14278]=9088;p[7147]=255.0;p[7148]=248.0;p[7149]=220.0;p[7150]=1.0;y=0;oa(452,57208,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14305]=0;k[14292]=3;$9(l);Pb(87,57112,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,57224);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=57236;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[57276]=0;i[57277]=0;i[57278]=0;k[14320]=0;k[14306]=9088;p[7161]=220.0;p[7162]=20.0;p[7163]=60.0;p[7164]=1.0;y=0;oa(452,57320,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14333]=0;k[14320]=3;$9(l);Pb(87,57224,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,57336);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=57348;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[57388]=0;i[57389]=0;i[57390]=0;k[14348]=0;k[14334]=9088;k[14350]=0;k[14351]=0;k[14352]=0;k[14353]=0;p[7177]=139.0;p[7178]=1.0;y=0;oa(452,57432,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14361]=0;k[14348]=3;$9(l);Pb(87,57336,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,57448);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=57460;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[57500]=0;i[57501]=0;i[57502]=0;k[14376]=0;k[14362]=9088;p[7189]=0.0;p[7190]=139.0;p[7191]=139.0;p[7192]=1.0;y=0;oa(452,57544,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14389]=0;k[14376]=3;$9(l);Pb(87,57448,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,57560);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=57572;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[57612]=0;i[57613]=0;i[57614]=0;k[14404]=0;k[14390]=9088;p[7203]=184.0;p[7204]=134.0;p[7205]=11.0;p[7206]=1.0;y=0;oa(452,57656,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14417]=0;k[14404]=3;$9(l);Pb(87,57560,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,57672);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=57684;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[57724]=0;i[57725]=0;i[57726]=0;k[14432]=0;k[14418]=9088;p[7217]=169.0;p[7218]=169.0;p[7219]=169.0;p[7220]=1.0;y=0;oa(452,57768,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14445]=0;k[14432]=3;$9(l);Pb(87,57672,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,57784);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=57796;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[57836]=0;i[57837]=0;i[57838]=0;k[14460]=0;k[14446]=9088;p[7231]=169.0;p[7232]=169.0;p[7233]=169.0;p[7234]=1.0;y=0;oa(452,57880,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14473]=0;k[14460]=3;$9(l);Pb(87,57784,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,57896);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=57908;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[57948]=0;i[57949]=0;i[57950]=0;k[14488]=0;k[14474]=9088;p[7245]=0.0;p[7246]=100.0;p[7247]=0.0;p[7248]=1.0;y=0;oa(452,57992,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14501]=0;k[14488]=3;$9(l);Pb(87,57896,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,58008);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=58020;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[58060]=0;i[58061]=0;i[58062]=0;k[14516]=0;k[14502]=9088;p[7259]=189.0;p[7260]=183.0;p[7261]=107.0;p[7262]=1.0;y=0;oa(452,58104,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14529]=0;k[14516]=3;$9(l);Pb(87,58008,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,58120);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=58132;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[58172]=0;i[58173]=0;i[58174]=0;k[14544]=0;k[14530]=9088;p[7273]=139.0;p[7274]=0.0;p[7275]=139.0;p[7276]=1.0;y=0;oa(452,58216,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14557]=0;k[14544]=3;$9(l);Pb(87,58120,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,58232);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=58244;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[58284]=0;i[58285]=0;i[58286]=0;k[14572]=0;k[14558]=9088;p[7287]=85.0;p[7288]=107.0;p[7289]=47.0;p[7290]=1.0;y=0;oa(452,58328,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14585]=0;k[14572]=3;$9(l);Pb(87,58232,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,58344);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=58356;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[58396]=0;i[58397]=0;i[58398]=0;k[14600]=0;k[14586]=9088;p[7301]=255.0;p[7302]=140.0;p[7303]=0.0;p[7304]=1.0;y=0;oa(452,58440,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14613]=0;k[14600]=3;$9(l);Pb(87,58344,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,58456);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=58468;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[58508]=0;i[58509]=0;i[58510]=0;k[14628]=0;k[14614]=9088;p[7315]=153.0;p[7316]=50.0;p[7317]=204.0;p[7318]=1.0;y=0;oa(452,58552,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14641]=0;k[14628]=3;$9(l);Pb(87,58456,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,58568);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=58580;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[58620]=0;i[58621]=0;i[58622]=0;k[14656]=0;k[14642]=9088;p[7329]=139.0;k[14660]=0;k[14661]=0;k[14662]=0;k[14663]=0;p[7332]=1.0;y=0;oa(452,58664,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14669]=0;k[14656]=3;$9(l);Pb(87,58568,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,58680);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=58692;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[58732]=0;i[58733]=0;i[58734]=0;k[14684]=0;k[14670]=9088;p[7343]=233.0;p[7344]=150.0;p[7345]=122.0;p[7346]=1.0;y=0;oa(452,58776,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14697]=0;k[14684]=3;$9(l);Pb(87,58680,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,58792);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=58804;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[58844]=0;i[58845]=0;i[58846]=0;k[14712]=0;k[14698]=9088;p[7357]=143.0;p[7358]=188.0;p[7359]=143.0;p[7360]=1.0;y=0;oa(452,58888,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14725]=0;k[14712]=3;$9(l);Pb(87,58792,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,58904);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=58916;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[58956]=0;i[58957]=0;i[58958]=0;k[14740]=0;k[14726]=9088;p[7371]=72.0;p[7372]=61.0;p[7373]=139.0;p[7374]=1.0;y=0;oa(452,59e3,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14753]=0;k[14740]=3;$9(l);Pb(87,58904,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,59016);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=59028;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[59068]=0;i[59069]=0;i[59070]=0;k[14768]=0;k[14754]=9088;p[7385]=47.0;p[7386]=79.0;p[7387]=79.0;p[7388]=1.0;y=0;oa(452,59112,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14781]=0;k[14768]=3;$9(l);Pb(87,59016,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,59128);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=59140;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[59180]=0;i[59181]=0;i[59182]=0;k[14796]=0;k[14782]=9088;p[7399]=47.0;p[7400]=79.0;p[7401]=79.0;p[7402]=1.0;y=0;oa(452,59224,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14809]=0;k[14796]=3;$9(l);Pb(87,59128,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,59240);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=59252;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[59292]=0;i[59293]=0;i[59294]=0;k[14824]=0;k[14810]=9088;p[7413]=0.0;p[7414]=206.0;p[7415]=209.0;p[7416]=1.0;y=0;oa(452,59336,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14837]=0;k[14824]=3;$9(l);Pb(87,59240,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,59352);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=59364;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[59404]=0;i[59405]=0;i[59406]=0;k[14852]=0;k[14838]=9088;p[7427]=148.0;p[7428]=0.0;p[7429]=211.0;p[7430]=1.0;y=0;oa(452,59448,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14865]=0;k[14852]=3;$9(l);Pb(87,59352,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,59464);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=59476;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[59516]=0;i[59517]=0;i[59518]=0;k[14880]=0;k[14866]=9088;p[7441]=255.0;p[7442]=20.0;p[7443]=147.0;p[7444]=1.0;y=0;oa(452,59560,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14893]=0;k[14880]=3;$9(l);Pb(87,59464,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,59576);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=59588;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[59628]=0;i[59629]=0;i[59630]=0;k[14908]=0;k[14894]=9088;p[7455]=0.0;p[7456]=191.0;p[7457]=255.0;p[7458]=1.0;y=0;oa(452,59672,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14921]=0;k[14908]=3;$9(l);Pb(87,59576,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,59688);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=59700;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[59740]=0;i[59741]=0;i[59742]=0;k[14936]=0;k[14922]=9088;p[7469]=105.0;p[7470]=105.0;p[7471]=105.0;p[7472]=1.0;y=0;oa(452,59784,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14949]=0;k[14936]=3;$9(l);Pb(87,59688,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,59800);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=59812;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[59852]=0;i[59853]=0;i[59854]=0;k[14964]=0;k[14950]=9088;p[7483]=105.0;p[7484]=105.0;p[7485]=105.0;p[7486]=1.0;y=0;oa(452,59896,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[14977]=0;k[14964]=3;$9(l);Pb(87,59800,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,59912);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=59924;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[59964]=0;i[59965]=0;i[59966]=0;k[14992]=0;k[14978]=9088;p[7497]=30.0;p[7498]=144.0;p[7499]=255.0;p[7500]=1.0;y=0;oa(452,60008,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15005]=0;k[14992]=3;$9(l);Pb(87,59912,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,60024);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=60036;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60076]=0;i[60077]=0;i[60078]=0;k[15020]=0;k[15006]=9088;p[7511]=178.0;p[7512]=34.0;p[7513]=34.0;p[7514]=1.0;y=0;oa(452,60120,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15033]=0;k[15020]=3;$9(l);Pb(87,60024,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,60136);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=60148;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60188]=0;i[60189]=0;i[60190]=0;k[15048]=0;k[15034]=9088;p[7525]=255.0;p[7526]=250.0;p[7527]=240.0;p[7528]=1.0;y=0;oa(452,60232,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15061]=0;k[15048]=3;$9(l);Pb(87,60136,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,60248);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=60260;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60300]=0;i[60301]=0;i[60302]=0;k[15076]=0;k[15062]=9088;p[7539]=34.0;p[7540]=139.0;p[7541]=34.0;p[7542]=1.0;y=0;oa(452,60344,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15089]=0;k[15076]=3;$9(l);Pb(87,60248,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,60360);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=60372;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60412]=0;i[60413]=0;i[60414]=0;k[15104]=0;k[15090]=9088;p[7553]=255.0;p[7554]=0.0;p[7555]=255.0;p[7556]=1.0;y=0;oa(452,60456,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15117]=0;k[15104]=3;$9(l);Pb(87,60360,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,60472);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=60484;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60524]=0;i[60525]=0;i[60526]=0;k[15132]=0;k[15118]=9088;p[7567]=255.0;p[7568]=0.0;p[7569]=255.0;p[7570]=1.0;y=0;oa(452,60568,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15145]=0;k[15132]=3;$9(l);Pb(87,60472,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,60584);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=60596;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60636]=0;i[60637]=0;i[60638]=0;k[15160]=0;k[15146]=9088;p[7581]=220.0;p[7582]=220.0;p[7583]=220.0;p[7584]=1.0;y=0;oa(452,60680,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15173]=0;k[15160]=3;$9(l);Pb(87,60584,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,60696);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=60708;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60748]=0;i[60749]=0;i[60750]=0;k[15188]=0;k[15174]=9088;p[7595]=248.0;p[7596]=248.0;p[7597]=255.0;p[7598]=1.0;y=0;oa(452,60792,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15201]=0;k[15188]=3;$9(l);Pb(87,60696,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,60808);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=60820;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60860]=0;i[60861]=0;i[60862]=0;k[15216]=0;k[15202]=9088;p[7609]=255.0;p[7610]=215.0;p[7611]=0.0;p[7612]=1.0;y=0;oa(452,60904,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15229]=0;k[15216]=3;$9(l);Pb(87,60808,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,60920);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=60932;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60972]=0;i[60973]=0;i[60974]=0;k[15244]=0;k[15230]=9088;p[7623]=218.0;p[7624]=165.0;p[7625]=32.0;p[7626]=1.0;y=0;oa(452,61016,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15257]=0;k[15244]=3;$9(l);Pb(87,60920,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,61032);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=61044;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61084]=0;i[61085]=0;i[61086]=0;k[15272]=0;k[15258]=9088;p[7637]=128.0;p[7638]=128.0;p[7639]=128.0;p[7640]=1.0;y=0;oa(452,61128,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15285]=0;k[15272]=3;$9(l);Pb(87,61032,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,61144);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=61156;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61196]=0;i[61197]=0;i[61198]=0;k[15300]=0;k[15286]=9088;p[7651]=128.0;p[7652]=128.0;p[7653]=128.0;p[7654]=1.0;y=0;oa(452,61240,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15313]=0;k[15300]=3;$9(l);Pb(87,61144,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,61256);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=61268;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61308]=0;i[61309]=0;i[61310]=0;k[15328]=0;k[15314]=9088;p[7665]=0.0;p[7666]=128.0;p[7667]=0.0;p[7668]=1.0;y=0;oa(452,61352,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15341]=0;k[15328]=3;$9(l);Pb(87,61256,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,61368);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=61380;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61420]=0;i[61421]=0;i[61422]=0;k[15356]=0;k[15342]=9088;p[7679]=173.0;p[7680]=255.0;p[7681]=47.0;p[7682]=1.0;y=0;oa(452,61464,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15369]=0;k[15356]=3;$9(l);Pb(87,61368,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,61480);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=61492;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61532]=0;i[61533]=0;i[61534]=0;k[15384]=0;k[15370]=9088;p[7693]=240.0;p[7694]=255.0;p[7695]=240.0;p[7696]=1.0;y=0;oa(452,61576,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15397]=0;k[15384]=3;$9(l);Pb(87,61480,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,61592);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=61604;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61644]=0;i[61645]=0;i[61646]=0;k[15412]=0;k[15398]=9088;p[7707]=255.0;p[7708]=105.0;p[7709]=180.0;p[7710]=1.0;y=0;oa(452,61688,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15425]=0;k[15412]=3;$9(l);Pb(87,61592,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,61704);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=61716;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61756]=0;i[61757]=0;i[61758]=0;k[15440]=0;k[15426]=9088;p[7721]=205.0;p[7722]=92.0;p[7723]=92.0;p[7724]=1.0;y=0;oa(452,61800,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15453]=0;k[15440]=3;$9(l);Pb(87,61704,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,61816);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=61828;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61868]=0;i[61869]=0;i[61870]=0;k[15468]=0;k[15454]=9088;p[7735]=75.0;p[7736]=0.0;p[7737]=130.0;p[7738]=1.0;y=0;oa(452,61912,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15481]=0;k[15468]=3;$9(l);Pb(87,61816,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,61928);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=61940;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61980]=0;i[61981]=0;i[61982]=0;k[15496]=0;k[15482]=9088;p[7749]=255.0;p[7750]=255.0;p[7751]=240.0;p[7752]=1.0;y=0;oa(452,62024,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15509]=0;k[15496]=3;$9(l);Pb(87,61928,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,62040);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=62052;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62092]=0;i[62093]=0;i[62094]=0;k[15524]=0;k[15510]=9088;p[7763]=240.0;p[7764]=230.0;p[7765]=140.0;p[7766]=1.0;y=0;oa(452,62136,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15537]=0;k[15524]=3;$9(l);Pb(87,62040,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,62152);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=62164;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62204]=0;i[62205]=0;i[62206]=0;k[15552]=0;k[15538]=9088;p[7777]=230.0;p[7778]=230.0;p[7779]=250.0;p[7780]=1.0;y=0;oa(452,62248,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15565]=0;k[15552]=3;$9(l);Pb(87,62152,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,62264);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=62276;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62316]=0;i[62317]=0;i[62318]=0;k[15580]=0;k[15566]=9088;p[7791]=255.0;p[7792]=240.0;p[7793]=245.0;p[7794]=1.0;y=0;oa(452,62360,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15593]=0;k[15580]=3;$9(l);Pb(87,62264,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,62376);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=62388;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62428]=0;i[62429]=0;i[62430]=0;k[15608]=0;k[15594]=9088;p[7805]=124.0;p[7806]=252.0;p[7807]=0.0;p[7808]=1.0;y=0;oa(452,62472,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15621]=0;k[15608]=3;$9(l);Pb(87,62376,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,62488);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=62500;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62540]=0;i[62541]=0;i[62542]=0;k[15636]=0;k[15622]=9088;p[7819]=255.0;p[7820]=250.0;p[7821]=205.0;p[7822]=1.0;y=0;oa(452,62584,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15649]=0;k[15636]=3;$9(l);Pb(87,62488,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,62600);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=62612;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62652]=0;i[62653]=0;i[62654]=0;k[15664]=0;k[15650]=9088;p[7833]=173.0;p[7834]=216.0;p[7835]=230.0;p[7836]=1.0;y=0;oa(452,62696,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15677]=0;k[15664]=3;$9(l);Pb(87,62600,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,62712);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=62724;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62764]=0;i[62765]=0;i[62766]=0;k[15692]=0;k[15678]=9088;p[7847]=240.0;p[7848]=128.0;p[7849]=128.0;p[7850]=1.0;y=0;oa(452,62808,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15705]=0;k[15692]=3;$9(l);Pb(87,62712,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,62824);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=62836;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62876]=0;i[62877]=0;i[62878]=0;k[15720]=0;k[15706]=9088;p[7861]=224.0;p[7862]=255.0;p[7863]=255.0;p[7864]=1.0;y=0;oa(452,62920,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15733]=0;k[15720]=3;$9(l);Pb(87,62824,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,62936);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=62948;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62988]=0;i[62989]=0;i[62990]=0;k[15748]=0;k[15734]=9088;p[7875]=250.0;p[7876]=250.0;p[7877]=210.0;p[7878]=1.0;y=0;oa(452,63032,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15761]=0;k[15748]=3;$9(l);Pb(87,62936,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,63048);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=63060;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63100]=0;i[63101]=0;i[63102]=0;k[15776]=0;k[15762]=9088;p[7889]=211.0;p[7890]=211.0;p[7891]=211.0;p[7892]=1.0;y=0;oa(452,63144,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15789]=0;k[15776]=3;$9(l);Pb(87,63048,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,63160);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=63172;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63212]=0;i[63213]=0;i[63214]=0;k[15804]=0;k[15790]=9088;p[7903]=211.0;p[7904]=211.0;p[7905]=211.0;p[7906]=1.0;y=0;oa(452,63256,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15817]=0;k[15804]=3;$9(l);Pb(87,63160,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,63272);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=63284;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63324]=0;i[63325]=0;i[63326]=0;k[15832]=0;k[15818]=9088;p[7917]=144.0;p[7918]=238.0;p[7919]=144.0;p[7920]=1.0;y=0;oa(452,63368,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15845]=0;k[15832]=3;$9(l);Pb(87,63272,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,63384);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=63396;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63436]=0;i[63437]=0;i[63438]=0;k[15860]=0;k[15846]=9088;p[7931]=255.0;p[7932]=182.0;p[7933]=193.0;p[7934]=1.0;y=0;oa(452,63480,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15873]=0;k[15860]=3;$9(l);Pb(87,63384,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,63496);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=63508;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63548]=0;i[63549]=0;i[63550]=0;k[15888]=0;k[15874]=9088;p[7945]=255.0;p[7946]=160.0;p[7947]=122.0;p[7948]=1.0;y=0;oa(452,63592,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15901]=0;k[15888]=3;$9(l);Pb(87,63496,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,63608);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=63620;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63660]=0;i[63661]=0;i[63662]=0;k[15916]=0;k[15902]=9088;p[7959]=32.0;p[7960]=178.0;p[7961]=170.0;p[7962]=1.0;y=0;oa(452,63704,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15929]=0;k[15916]=3;$9(l);Pb(87,63608,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,63720);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=63732;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63772]=0;i[63773]=0;i[63774]=0;k[15944]=0;k[15930]=9088;p[7973]=135.0;p[7974]=206.0;p[7975]=250.0;p[7976]=1.0;y=0;oa(452,63816,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15957]=0;k[15944]=3;$9(l);Pb(87,63720,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,63832);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=63844;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63884]=0;i[63885]=0;i[63886]=0;k[15972]=0;k[15958]=9088;p[7987]=119.0;p[7988]=136.0;p[7989]=153.0;p[7990]=1.0;y=0;oa(452,63928,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[15985]=0;k[15972]=3;$9(l);Pb(87,63832,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,63944);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=63956;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63996]=0;i[63997]=0;i[63998]=0;k[16e3]=0;k[15986]=9088;p[8001]=119.0;p[8002]=136.0;p[8003]=153.0;p[8004]=1.0;y=0;oa(452,64040,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16013]=0;k[16e3]=3;$9(l);Pb(87,63944,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,64056);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=64068;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64108]=0;i[64109]=0;i[64110]=0;k[16028]=0;k[16014]=9088;p[8015]=176.0;p[8016]=196.0;p[8017]=222.0;p[8018]=1.0;y=0;oa(452,64152,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16041]=0;k[16028]=3;$9(l);Pb(87,64056,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,64168);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=64180;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64220]=0;i[64221]=0;i[64222]=0;k[16056]=0;k[16042]=9088;p[8029]=255.0;p[8030]=255.0;p[8031]=224.0;p[8032]=1.0;y=0;oa(452,64264,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16069]=0;k[16056]=3;$9(l);Pb(87,64168,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,64280);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=64292;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64332]=0;i[64333]=0;i[64334]=0;k[16084]=0;k[16070]=9088;p[8043]=0.0;p[8044]=255.0;p[8045]=0.0;p[8046]=1.0;y=0;oa(452,64376,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16097]=0;k[16084]=3;$9(l);Pb(87,64280,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,64392);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=64404;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64444]=0;i[64445]=0;i[64446]=0;k[16112]=0;k[16098]=9088;p[8057]=50.0;p[8058]=205.0;p[8059]=50.0;p[8060]=1.0;y=0;oa(452,64488,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16125]=0;k[16112]=3;$9(l);Pb(87,64392,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,64504);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=64516;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64556]=0;i[64557]=0;i[64558]=0;k[16140]=0;k[16126]=9088;p[8071]=250.0;p[8072]=240.0;p[8073]=230.0;p[8074]=1.0;y=0;oa(452,64600,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16153]=0;k[16140]=3;$9(l);Pb(87,64504,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,64616);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=64628;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64668]=0;i[64669]=0;i[64670]=0;k[16168]=0;k[16154]=9088;p[8085]=128.0;k[16172]=0;k[16173]=0;k[16174]=0;k[16175]=0;p[8088]=1.0;y=0;oa(452,64712,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16181]=0;k[16168]=3;$9(l);Pb(87,64616,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,64728);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=64740;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64780]=0;i[64781]=0;i[64782]=0;k[16196]=0;k[16182]=9088;p[8099]=102.0;p[8100]=205.0;p[8101]=170.0;p[8102]=1.0;y=0;oa(452,64824,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16209]=0;k[16196]=3;$9(l);Pb(87,64728,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,64840);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=64852;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64892]=0;i[64893]=0;i[64894]=0;k[16224]=0;k[16210]=9088;k[16226]=0;k[16227]=0;k[16228]=0;k[16229]=0;p[8115]=205.0;p[8116]=1.0;y=0;oa(452,64936,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16237]=0;k[16224]=3;$9(l);Pb(87,64840,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,64952);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=64964;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65004]=0;i[65005]=0;i[65006]=0;k[16252]=0;k[16238]=9088;p[8127]=186.0;p[8128]=85.0;p[8129]=211.0;p[8130]=1.0;y=0;oa(452,65048,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16265]=0;k[16252]=3;$9(l);Pb(87,64952,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,65064);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=65076;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65116]=0;i[65117]=0;i[65118]=0;k[16280]=0;k[16266]=9088;p[8141]=147.0;p[8142]=112.0;p[8143]=219.0;p[8144]=1.0;y=0;oa(452,65160,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16293]=0;k[16280]=3;$9(l);Pb(87,65064,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,65176);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=65188;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65228]=0;i[65229]=0;i[65230]=0;k[16308]=0;k[16294]=9088;p[8155]=60.0;p[8156]=179.0;p[8157]=113.0;p[8158]=1.0;y=0;oa(452,65272,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16321]=0;k[16308]=3;$9(l);Pb(87,65176,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,65288);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=65300;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65340]=0;i[65341]=0;i[65342]=0;k[16336]=0;k[16322]=9088;p[8169]=123.0;p[8170]=104.0;p[8171]=238.0;p[8172]=1.0;y=0;oa(452,65384,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16349]=0;k[16336]=3;$9(l);Pb(87,65288,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,65400);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=65412;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65452]=0;i[65453]=0;i[65454]=0;k[16364]=0;k[16350]=9088;p[8183]=0.0;p[8184]=250.0;p[8185]=154.0;p[8186]=1.0;y=0;oa(452,65496,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16377]=0;k[16364]=3;$9(l);Pb(87,65400,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,65512);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=65524;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65564]=0;i[65565]=0;i[65566]=0;k[16392]=0;k[16378]=9088;p[8197]=72.0;p[8198]=209.0;p[8199]=204.0;p[8200]=1.0;y=0;oa(452,65608,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16405]=0;k[16392]=3;$9(l);Pb(87,65512,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,65624);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=65636;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65676]=0;i[65677]=0;i[65678]=0;k[16420]=0;k[16406]=9088;p[8211]=199.0;p[8212]=21.0;p[8213]=133.0;p[8214]=1.0;y=0;oa(452,65720,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16433]=0;k[16420]=3;$9(l);Pb(87,65624,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,65736);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=65748;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65788]=0;i[65789]=0;i[65790]=0;k[16448]=0;k[16434]=9088;p[8225]=25.0;p[8226]=25.0;p[8227]=112.0;p[8228]=1.0;y=0;oa(452,65832,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16461]=0;k[16448]=3;$9(l);Pb(87,65736,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,65848);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=65860;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65900]=0;i[65901]=0;i[65902]=0;k[16476]=0;k[16462]=9088;p[8239]=245.0;p[8240]=255.0;p[8241]=250.0;p[8242]=1.0;y=0;oa(452,65944,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16489]=0;k[16476]=3;$9(l);Pb(87,65848,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,65960);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=65972;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66012]=0;i[66013]=0;i[66014]=0;k[16504]=0;k[16490]=9088;p[8253]=255.0;p[8254]=228.0;p[8255]=225.0;p[8256]=1.0;y=0;oa(452,66056,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16517]=0;k[16504]=3;$9(l);Pb(87,65960,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,66072);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=66084;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66124]=0;i[66125]=0;i[66126]=0;k[16532]=0;k[16518]=9088;p[8267]=255.0;p[8268]=228.0;p[8269]=181.0;p[8270]=1.0;y=0;oa(452,66168,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16545]=0;k[16532]=3;$9(l);Pb(87,66072,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,66184);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=66196;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66236]=0;i[66237]=0;i[66238]=0;k[16560]=0;k[16546]=9088;p[8281]=255.0;p[8282]=222.0;p[8283]=173.0;p[8284]=1.0;y=0;oa(452,66280,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16573]=0;k[16560]=3;$9(l);Pb(87,66184,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,66296);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=66308;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66348]=0;i[66349]=0;i[66350]=0;k[16588]=0;k[16574]=9088;k[16590]=0;k[16591]=0;k[16592]=0;k[16593]=0;p[8297]=128.0;p[8298]=1.0;y=0;oa(452,66392,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16601]=0;k[16588]=3;$9(l);Pb(87,66296,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,66408);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=66420;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66460]=0;i[66461]=0;i[66462]=0;k[16616]=0;k[16602]=9088;p[8309]=253.0;p[8310]=245.0;p[8311]=230.0;p[8312]=1.0;y=0;oa(452,66504,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16629]=0;k[16616]=3;$9(l);Pb(87,66408,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,66520);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=66532;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66572]=0;i[66573]=0;i[66574]=0;k[16644]=0;k[16630]=9088;p[8323]=128.0;p[8324]=128.0;p[8325]=0.0;p[8326]=1.0;y=0;oa(452,66616,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16657]=0;k[16644]=3;$9(l);Pb(87,66520,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,66632);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=66644;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66684]=0;i[66685]=0;i[66686]=0;k[16672]=0;k[16658]=9088;p[8337]=107.0;p[8338]=142.0;p[8339]=35.0;p[8340]=1.0;y=0;oa(452,66728,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16685]=0;k[16672]=3;$9(l);Pb(87,66632,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,66744);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=66756;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66796]=0;i[66797]=0;i[66798]=0;k[16700]=0;k[16686]=9088;p[8351]=255.0;p[8352]=165.0;p[8353]=0.0;p[8354]=1.0;y=0;oa(452,66840,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16713]=0;k[16700]=3;$9(l);Pb(87,66744,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,66856);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=66868;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66908]=0;i[66909]=0;i[66910]=0;k[16728]=0;k[16714]=9088;p[8365]=255.0;p[8366]=69.0;p[8367]=0.0;p[8368]=1.0;y=0;oa(452,66952,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16741]=0;k[16728]=3;$9(l);Pb(87,66856,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,66968);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=66980;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67020]=0;i[67021]=0;i[67022]=0;k[16756]=0;k[16742]=9088;p[8379]=218.0;p[8380]=112.0;p[8381]=214.0;p[8382]=1.0;y=0;oa(452,67064,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16769]=0;k[16756]=3;$9(l);Pb(87,66968,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,67080);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=67092;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67132]=0;i[67133]=0;i[67134]=0;k[16784]=0;k[16770]=9088;p[8393]=238.0;p[8394]=232.0;p[8395]=170.0;p[8396]=1.0;y=0;oa(452,67176,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16797]=0;k[16784]=3;$9(l);Pb(87,67080,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,67192);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=67204;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67244]=0;i[67245]=0;i[67246]=0;k[16812]=0;k[16798]=9088;p[8407]=152.0;p[8408]=251.0;p[8409]=152.0;p[8410]=1.0;y=0;oa(452,67288,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16825]=0;k[16812]=3;$9(l);Pb(87,67192,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,67304);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=67316;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67356]=0;i[67357]=0;i[67358]=0;k[16840]=0;k[16826]=9088;p[8421]=175.0;p[8422]=238.0;p[8423]=238.0;p[8424]=1.0;y=0;oa(452,67400,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16853]=0;k[16840]=3;$9(l);Pb(87,67304,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,67416);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=67428;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67468]=0;i[67469]=0;i[67470]=0;k[16868]=0;k[16854]=9088;p[8435]=219.0;p[8436]=112.0;p[8437]=147.0;p[8438]=1.0;y=0;oa(452,67512,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16881]=0;k[16868]=3;$9(l);Pb(87,67416,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,67528);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=67540;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67580]=0;i[67581]=0;i[67582]=0;k[16896]=0;k[16882]=9088;p[8449]=255.0;p[8450]=239.0;p[8451]=213.0;p[8452]=1.0;y=0;oa(452,67624,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16909]=0;k[16896]=3;$9(l);Pb(87,67528,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,67640);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=67652;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67692]=0;i[67693]=0;i[67694]=0;k[16924]=0;k[16910]=9088;p[8463]=255.0;p[8464]=218.0;p[8465]=185.0;p[8466]=1.0;y=0;oa(452,67736,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16937]=0;k[16924]=3;$9(l);Pb(87,67640,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,67752);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=67764;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67804]=0;i[67805]=0;i[67806]=0;k[16952]=0;k[16938]=9088;p[8477]=205.0;p[8478]=133.0;p[8479]=63.0;p[8480]=1.0;y=0;oa(452,67848,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16965]=0;k[16952]=3;$9(l);Pb(87,67752,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,67864);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=67876;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67916]=0;i[67917]=0;i[67918]=0;k[16980]=0;k[16966]=9088;p[8491]=255.0;p[8492]=192.0;p[8493]=203.0;p[8494]=1.0;y=0;oa(452,67960,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[16993]=0;k[16980]=3;$9(l);Pb(87,67864,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,67976);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=67988;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68028]=0;i[68029]=0;i[68030]=0;k[17008]=0;k[16994]=9088;p[8505]=221.0;p[8506]=160.0;p[8507]=221.0;p[8508]=1.0;y=0;oa(452,68072,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17021]=0;k[17008]=3;$9(l);Pb(87,67976,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,68088);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=68100;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68140]=0;i[68141]=0;i[68142]=0;k[17036]=0;k[17022]=9088;p[8519]=176.0;p[8520]=224.0;p[8521]=230.0;p[8522]=1.0;y=0;oa(452,68184,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17049]=0;k[17036]=3;$9(l);Pb(87,68088,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,68200);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=68212;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68252]=0;i[68253]=0;i[68254]=0;k[17064]=0;k[17050]=9088;p[8533]=128.0;p[8534]=0.0;p[8535]=128.0;p[8536]=1.0;y=0;oa(452,68296,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17077]=0;k[17064]=3;$9(l);Pb(87,68200,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,68312);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=68324;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68364]=0;i[68365]=0;i[68366]=0;k[17092]=0;k[17078]=9088;p[8547]=255.0;k[17096]=0;k[17097]=0;k[17098]=0;k[17099]=0;p[8550]=1.0;y=0;oa(452,68408,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17105]=0;k[17092]=3;$9(l);Pb(87,68312,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,68424);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=68436;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68476]=0;i[68477]=0;i[68478]=0;k[17120]=0;k[17106]=9088;p[8561]=188.0;p[8562]=143.0;p[8563]=143.0;p[8564]=1.0;y=0;oa(452,68520,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17133]=0;k[17120]=3;$9(l);Pb(87,68424,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,68536);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=68548;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68588]=0;i[68589]=0;i[68590]=0;k[17148]=0;k[17134]=9088;p[8575]=65.0;p[8576]=105.0;p[8577]=225.0;p[8578]=1.0;y=0;oa(452,68632,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17161]=0;k[17148]=3;$9(l);Pb(87,68536,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,68648);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=68660;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68700]=0;i[68701]=0;i[68702]=0;k[17176]=0;k[17162]=9088;p[8589]=139.0;p[8590]=69.0;p[8591]=19.0;p[8592]=1.0;y=0;oa(452,68744,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17189]=0;k[17176]=3;$9(l);Pb(87,68648,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,68760);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=68772;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68812]=0;i[68813]=0;i[68814]=0;k[17204]=0;k[17190]=9088;p[8603]=250.0;p[8604]=128.0;p[8605]=114.0;p[8606]=1.0;y=0;oa(452,68856,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17217]=0;k[17204]=3;$9(l);Pb(87,68760,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,68872);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=68884;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68924]=0;i[68925]=0;i[68926]=0;k[17232]=0;k[17218]=9088;p[8617]=244.0;p[8618]=164.0;p[8619]=96.0;p[8620]=1.0;y=0;oa(452,68968,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17245]=0;k[17232]=3;$9(l);Pb(87,68872,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,68984);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=68996;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69036]=0;i[69037]=0;i[69038]=0;k[17260]=0;k[17246]=9088;p[8631]=46.0;p[8632]=139.0;p[8633]=87.0;p[8634]=1.0;y=0;oa(452,69080,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17273]=0;k[17260]=3;$9(l);Pb(87,68984,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,69096);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=69108;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69148]=0;i[69149]=0;i[69150]=0;k[17288]=0;k[17274]=9088;p[8645]=255.0;p[8646]=245.0;p[8647]=238.0;p[8648]=1.0;y=0;oa(452,69192,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17301]=0;k[17288]=3;$9(l);Pb(87,69096,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,69208);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=69220;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69260]=0;i[69261]=0;i[69262]=0;k[17316]=0;k[17302]=9088;p[8659]=160.0;p[8660]=82.0;p[8661]=45.0;p[8662]=1.0;y=0;oa(452,69304,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17329]=0;k[17316]=3;$9(l);Pb(87,69208,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,69320);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=69332;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69372]=0;i[69373]=0;i[69374]=0;k[17344]=0;k[17330]=9088;p[8673]=192.0;p[8674]=192.0;p[8675]=192.0;p[8676]=1.0;y=0;oa(452,69416,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17357]=0;k[17344]=3;$9(l);Pb(87,69320,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,69432);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=69444;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69484]=0;i[69485]=0;i[69486]=0;k[17372]=0;k[17358]=9088;p[8687]=135.0;p[8688]=206.0;p[8689]=235.0;p[8690]=1.0;y=0;oa(452,69528,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17385]=0;k[17372]=3;$9(l);Pb(87,69432,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,69544);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=69556;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69596]=0;i[69597]=0;i[69598]=0;k[17400]=0;k[17386]=9088;p[8701]=106.0;p[8702]=90.0;p[8703]=205.0;p[8704]=1.0;y=0;oa(452,69640,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17413]=0;k[17400]=3;$9(l);Pb(87,69544,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,69656);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=69668;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69708]=0;i[69709]=0;i[69710]=0;k[17428]=0;k[17414]=9088;p[8715]=112.0;p[8716]=128.0;p[8717]=144.0;p[8718]=1.0;y=0;oa(452,69752,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17441]=0;k[17428]=3;$9(l);Pb(87,69656,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,69768);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=69780;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69820]=0;i[69821]=0;i[69822]=0;k[17456]=0;k[17442]=9088;p[8729]=112.0;p[8730]=128.0;p[8731]=144.0;p[8732]=1.0;y=0;oa(452,69864,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17469]=0;k[17456]=3;$9(l);Pb(87,69768,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,69880);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=69892;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69932]=0;i[69933]=0;i[69934]=0;k[17484]=0;k[17470]=9088;p[8743]=255.0;p[8744]=250.0;p[8745]=250.0;p[8746]=1.0;y=0;oa(452,69976,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17497]=0;k[17484]=3;$9(l);Pb(87,69880,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,69992);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=70004;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70044]=0;i[70045]=0;i[70046]=0;k[17512]=0;k[17498]=9088;p[8757]=0.0;p[8758]=255.0;p[8759]=127.0;p[8760]=1.0;y=0;oa(452,70088,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17525]=0;k[17512]=3;$9(l);Pb(87,69992,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,70104);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=70116;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70156]=0;i[70157]=0;i[70158]=0;k[17540]=0;k[17526]=9088;p[8771]=70.0;p[8772]=130.0;p[8773]=180.0;p[8774]=1.0;y=0;oa(452,70200,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17553]=0;k[17540]=3;$9(l);Pb(87,70104,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,70216);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=70228;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70268]=0;i[70269]=0;i[70270]=0;k[17568]=0;k[17554]=9088;p[8785]=210.0;p[8786]=180.0;p[8787]=140.0;p[8788]=1.0;y=0;oa(452,70312,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17581]=0;k[17568]=3;$9(l);Pb(87,70216,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,70328);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=70340;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70380]=0;i[70381]=0;i[70382]=0;k[17596]=0;k[17582]=9088;p[8799]=0.0;p[8800]=128.0;p[8801]=128.0;p[8802]=1.0;y=0;oa(452,70424,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17609]=0;k[17596]=3;$9(l);Pb(87,70328,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,70440);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=70452;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70492]=0;i[70493]=0;i[70494]=0;k[17624]=0;k[17610]=9088;p[8813]=216.0;p[8814]=191.0;p[8815]=216.0;p[8816]=1.0;y=0;oa(452,70536,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17637]=0;k[17624]=3;$9(l);Pb(87,70440,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,70552);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=70564;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70604]=0;i[70605]=0;i[70606]=0;k[17652]=0;k[17638]=9088;p[8827]=255.0;p[8828]=99.0;p[8829]=71.0;p[8830]=1.0;y=0;oa(452,70648,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17665]=0;k[17652]=3;$9(l);Pb(87,70552,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,70664);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=70676;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70716]=0;i[70717]=0;i[70718]=0;k[17680]=0;k[17666]=9088;p[8841]=64.0;p[8842]=224.0;p[8843]=208.0;p[8844]=1.0;y=0;oa(452,70760,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17693]=0;k[17680]=3;$9(l);Pb(87,70664,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,70776);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=70788;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70828]=0;i[70829]=0;i[70830]=0;k[17708]=0;k[17694]=9088;p[8855]=238.0;p[8856]=130.0;p[8857]=238.0;p[8858]=1.0;y=0;oa(452,70872,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17721]=0;k[17708]=3;$9(l);Pb(87,70776,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,70888);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=70900;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70940]=0;i[70941]=0;i[70942]=0;k[17736]=0;k[17722]=9088;p[8869]=245.0;p[8870]=222.0;p[8871]=179.0;p[8872]=1.0;y=0;oa(452,70984,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17749]=0;k[17736]=3;$9(l);Pb(87,70888,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,71e3);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=71012;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71052]=0;i[71053]=0;i[71054]=0;k[17764]=0;k[17750]=9088;p[8883]=255.0;p[8884]=255.0;p[8885]=255.0;p[8886]=1.0;y=0;oa(452,71096,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17777]=0;k[17764]=3;$9(l);Pb(87,71e3,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,71112);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=71124;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71164]=0;i[71165]=0;i[71166]=0;k[17792]=0;k[17778]=9088;p[8897]=245.0;p[8898]=245.0;p[8899]=245.0;p[8900]=1.0;y=0;oa(452,71208,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17805]=0;k[17792]=3;$9(l);Pb(87,71112,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,71224);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=71236;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71276]=0;i[71277]=0;i[71278]=0;k[17820]=0;k[17806]=9088;p[8911]=255.0;p[8912]=255.0;p[8913]=0.0;p[8914]=1.0;y=0;oa(452,71320,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17833]=0;k[17820]=3;$9(l);Pb(87,71224,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,71336);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=71348;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71388]=0;i[71389]=0;i[71390]=0;k[17848]=0;k[17834]=9088;p[8925]=154.0;p[8926]=205.0;p[8927]=50.0;p[8928]=1.0;y=0;oa(452,71432,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17861]=0;k[17848]=3;$9(l);Pb(87,71336,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,71448);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=71460;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71500]=0;i[71501]=0;i[71502]=0;k[17876]=0;k[17862]=9088;p[8939]=102.0;p[8940]=51.0;p[8941]=153.0;p[8942]=1.0;y=0;oa(452,71544,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17889]=0;k[17876]=3;$9(l);Pb(87,71448,x|0)|0;a=j;b=75372;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;jI(l,82159,0);a=h;b=j;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(366,71560);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}a=71572;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71612]=0;i[71613]=0;i[71614]=0;k[17904]=0;k[17890]=9088;k[17906]=0;k[17907]=0;k[17908]=0;k[17909]=0;k[17910]=0;k[17911]=0;k[17912]=0;k[17913]=0;y=0;oa(452,71656,l|0);f=y;y=0;if(f&1){m=pb()|0;$9(l);sb(m|0)}k[17917]=0;k[17904]=3;$9(l);Pb(87,71560,x|0)|0;k[d>>2]=15792383;k[d+4>>2]=37107;k[d+8>>2]=16444375;k[d+12>>2]=37117;k[d+16>>2]=65535;k[d+20>>2]=37130;k[d+24>>2]=8388564;k[d+28>>2]=37140;k[d+32>>2]=15794175;k[d+36>>2]=37151;k[d+40>>2]=16119260;k[d+44>>2]=37157;k[d+48>>2]=16770244;k[d+52>>2]=37163;k[d+56>>2]=0;k[d+60>>2]=37170;k[d+64>>2]=16772045;k[d+68>>2]=37176;k[d+72>>2]=255;k[d+76>>2]=37191;k[d+80>>2]=9055202;k[d+84>>2]=37196;k[d+88>>2]=10824234;k[d+92>>2]=37207;k[d+96>>2]=14596231;k[d+100>>2]=37213;k[d+104>>2]=6266528;k[d+108>>2]=37223;k[d+112>>2]=8388352;k[d+116>>2]=37233;k[d+120>>2]=13789470;k[d+124>>2]=37244;k[d+128>>2]=16744272;k[d+132>>2]=37254;k[d+136>>2]=6591981;k[d+140>>2]=37260;k[d+144>>2]=16775388;k[d+148>>2]=37275;k[d+152>>2]=14423100;k[d+156>>2]=37284;k[d+160>>2]=139;k[d+164>>2]=37292;k[d+168>>2]=35723;k[d+172>>2]=37301;k[d+176>>2]=12092939;k[d+180>>2]=37310;k[d+184>>2]=11119017;k[d+188>>2]=37324;k[d+192>>2]=25600;k[d+196>>2]=37342;k[d+200>>2]=12433259;k[d+204>>2]=37352;k[d+208>>2]=9109643;k[d+212>>2]=37362;k[d+216>>2]=5597999;k[d+220>>2]=37374;k[d+224>>2]=16747520;k[d+228>>2]=37389;k[d+232>>2]=10040012;k[d+236>>2]=37400;k[d+240>>2]=9109504;k[d+244>>2]=37411;k[d+248>>2]=15308410;k[d+252>>2]=37419;k[d+256>>2]=9419919;k[d+260>>2]=37430;k[d+264>>2]=4734347;k[d+268>>2]=37443;k[d+272>>2]=3100495;k[d+276>>2]=37457;k[d+280>>2]=52945;k[d+284>>2]=37485;k[d+288>>2]=9699539;k[d+292>>2]=37499;k[d+296>>2]=16716947;k[d+300>>2]=37510;k[d+304>>2]=49151;k[d+308>>2]=37519;k[d+312>>2]=6908265;k[d+316>>2]=37531;k[d+320>>2]=2003199;k[d+324>>2]=37547;k[d+328>>2]=11674146;k[d+332>>2]=37558;k[d+336>>2]=16775920;k[d+340>>2]=37568;k[d+344>>2]=2263842;k[d+348>>2]=37580;k[d+352>>2]=16711935;k[d+356>>2]=37592;k[d+360>>2]=14474460;k[d+364>>2]=37608;k[d+368>>2]=16316671;k[d+372>>2]=37618;k[d+376>>2]=16766720;k[d+380>>2]=37629;k[d+384>>2]=14329120;k[d+388>>2]=37634;k[d+392>>2]=8421504;k[d+396>>2]=37644;k[d+400>>2]=32768;k[d+404>>2]=37654;k[d+408>>2]=11403055;k[d+412>>2]=37660;k[d+416>>2]=15794160;k[d+420>>2]=37672;k[d+424>>2]=16738740;k[d+428>>2]=37681;k[d+432>>2]=13458524;k[d+436>>2]=37689;k[d+440>>2]=4915330;k[d+444>>2]=37699;k[d+448>>2]=16777200;k[d+452>>2]=37706;k[d+456>>2]=15787660;k[d+460>>2]=37712;k[d+464>>2]=15132410;k[d+468>>2]=37718;k[d+472>>2]=16773365;k[d+476>>2]=37727;k[d+480>>2]=8190976;k[d+484>>2]=37741;k[d+488>>2]=16775885;k[d+492>>2]=37751;k[d+496>>2]=11393254;k[d+500>>2]=37764;k[d+504>>2]=15761536;k[d+508>>2]=37774;k[d+512>>2]=14745599;k[d+516>>2]=37785;k[d+520>>2]=16448210;k[d+524>>2]=37795;k[d+528>>2]=13882323;k[d+532>>2]=37816;k[d+536>>2]=9498256;k[d+540>>2]=37836;k[d+544>>2]=16758465;k[d+548>>2]=37847;k[d+552>>2]=16752762;k[d+556>>2]=37857;k[d+560>>2]=2142890;k[d+564>>2]=37869;k[d+568>>2]=8900346;k[d+572>>2]=37883;k[d+576>>2]=7833753;k[d+580>>2]=37896;k[d+584>>2]=11584734;k[d+588>>2]=37926;k[d+592>>2]=16777184;k[d+596>>2]=37941;k[d+600>>2]=65280;k[d+604>>2]=37953;k[d+608>>2]=3329330;k[d+612>>2]=37958;k[d+616>>2]=16445670;k[d+620>>2]=37968;k[d+624>>2]=8388608;k[d+628>>2]=37974;k[d+632>>2]=6737322;k[d+636>>2]=37981;k[d+640>>2]=205;k[d+644>>2]=37998;k[d+648>>2]=12211667;k[d+652>>2]=38009;k[d+656>>2]=9662683;k[d+660>>2]=38022;k[d+664>>2]=3978097;k[d+668>>2]=38035;k[d+672>>2]=8087790;k[d+676>>2]=38050;k[d+680>>2]=64154;k[d+684>>2]=38066;k[d+688>>2]=4772300;k[d+692>>2]=38084;k[d+696>>2]=13047173;k[d+700>>2]=38100;k[d+704>>2]=1644912;k[d+708>>2]=38116;k[d+712>>2]=16121850;k[d+716>>2]=38129;k[d+720>>2]=16770273;k[d+724>>2]=38139;k[d+728>>2]=16770229;k[d+732>>2]=38149;k[d+736>>2]=16768685;k[d+740>>2]=38158;k[d+744>>2]=128;k[d+748>>2]=38170;k[d+752>>2]=16643558;k[d+756>>2]=38175;k[d+760>>2]=8421376;k[d+764>>2]=38183;k[d+768>>2]=7048739;k[d+772>>2]=38189;k[d+776>>2]=16753920;k[d+780>>2]=38199;k[d+784>>2]=16729344;k[d+788>>2]=38206;k[d+792>>2]=14315734;k[d+796>>2]=38216;k[d+800>>2]=15657130;k[d+804>>2]=38223;k[d+808>>2]=10025880;k[d+812>>2]=38237;k[d+816>>2]=11529966;k[d+820>>2]=38247;k[d+824>>2]=14381203;k[d+828>>2]=38261;k[d+832>>2]=16773077;k[d+836>>2]=38275;k[d+840>>2]=16767673;k[d+844>>2]=38286;k[d+848>>2]=13468991;k[d+852>>2]=38296;k[d+856>>2]=16761035;k[d+860>>2]=38301;k[d+864>>2]=14524637;k[d+868>>2]=38306;k[d+872>>2]=11591910;k[d+876>>2]=38311;k[d+880>>2]=8388736;k[d+884>>2]=38322;k[d+888>>2]=16711680;k[d+892>>2]=38329;k[d+896>>2]=12357519;k[d+900>>2]=38333;k[d+904>>2]=4286945;k[d+908>>2]=38343;k[d+912>>2]=9127187;k[d+916>>2]=38353;k[d+920>>2]=16416882;k[d+924>>2]=38365;k[d+928>>2]=16032864;k[d+932>>2]=38372;k[d+936>>2]=3050327;k[d+940>>2]=38383;k[d+944>>2]=16774638;k[d+948>>2]=38392;k[d+952>>2]=10506797;k[d+956>>2]=38401;k[d+960>>2]=12632256;k[d+964>>2]=38408;k[d+968>>2]=8900331;k[d+972>>2]=38415;k[d+976>>2]=6970061;k[d+980>>2]=38423;k[d+984>>2]=7372944;k[d+988>>2]=38433;k[d+992>>2]=16775930;k[d+996>>2]=38453;k[d+1e3>>2]=65407;k[d+1004>>2]=38458;k[d+1008>>2]=4620980;k[d+1012>>2]=38470;k[d+1016>>2]=13808780;k[d+1020>>2]=38480;k[d+1024>>2]=32896;k[d+1028>>2]=38484;k[d+1032>>2]=14204888;k[d+1036>>2]=38489;k[d+1040>>2]=16737095;k[d+1044>>2]=38497;k[d+1048>>2]=4251856;k[d+1052>>2]=38504;k[d+1056>>2]=15631086;k[d+1060>>2]=38514;k[d+1064>>2]=16113331;k[d+1068>>2]=38521;k[d+1072>>2]=16777215;k[d+1076>>2]=38527;k[d+1080>>2]=16119285;k[d+1084>>2]=38533;k[d+1088>>2]=16776960;k[d+1092>>2]=38544;k[d+1096>>2]=10145074;k[d+1100>>2]=38551;k[d+1104>>2]=6697881;k[d+1108>>2]=38563;k[18826]=0;k[18827]=0;k[18825]=75304;f=d+1112|0;e=d;do{k[l>>2]=75304;k[h>>2]=k[l>>2];b=Gm(75300,h,j,e)|0;if(!(k[b>>2]|0)){y=0;a=qa(332,24)|0;c=y;y=0;if(c&1){g=753;break}o=e;n=k[o+4>>2]|0;c=a+16|0;k[c>>2]=k[o>>2];k[c+4>>2]=n;c=k[j>>2]|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=c;k[b>>2]=a;c=k[k[18825]>>2]|0;if(c){k[18825]=c;a=k[b>>2]|0}jn(k[18826]|0,a);k[18827]=(k[18827]|0)+1}e=e+8|0}while((e|0)!=(f|0));if((g|0)==753){o=pb()|0;fI(75300,k[18826]|0);sb(o|0)}Pb(380,75300,x|0)|0;k[d>>2]=37107;k[d+4>>2]=54984;k[d+8>>2]=37117;k[d+12>>2]=55096;k[d+16>>2]=37130;k[d+20>>2]=55208;k[d+24>>2]=37135;k[d+28>>2]=55320;k[d+32>>2]=37140;k[d+36>>2]=55432;k[d+40>>2]=37151;k[d+44>>2]=55544;k[d+48>>2]=37157;k[d+52>>2]=55656;k[d+56>>2]=37163;k[d+60>>2]=55768;k[d+64>>2]=37170;k[d+68>>2]=55880;k[d+72>>2]=37176;k[d+76>>2]=55992;k[d+80>>2]=37191;k[d+84>>2]=56104;k[d+88>>2]=37196;k[d+92>>2]=56216;k[d+96>>2]=37207;k[d+100>>2]=56328;k[d+104>>2]=37213;k[d+108>>2]=56440;k[d+112>>2]=37223;k[d+116>>2]=56552;k[d+120>>2]=37233;k[d+124>>2]=56664;k[d+128>>2]=37244;k[d+132>>2]=56776;k[d+136>>2]=37254;k[d+140>>2]=56888;k[d+144>>2]=37260;k[d+148>>2]=57e3;k[d+152>>2]=37275;k[d+156>>2]=57112;k[d+160>>2]=37284;k[d+164>>2]=57224;k[d+168>>2]=37292;k[d+172>>2]=57336;k[d+176>>2]=37301;k[d+180>>2]=57448;k[d+184>>2]=37310;k[d+188>>2]=57560;k[d+192>>2]=37324;k[d+196>>2]=57672;k[d+200>>2]=37333;k[d+204>>2]=57784;k[d+208>>2]=37342;k[d+212>>2]=57896;k[d+216>>2]=37352;k[d+220>>2]=58008;k[d+224>>2]=37362;k[d+228>>2]=58120;k[d+232>>2]=37374;k[d+236>>2]=58232;k[d+240>>2]=37389;k[d+244>>2]=58344;k[d+248>>2]=37400;k[d+252>>2]=58456;k[d+256>>2]=37411;k[d+260>>2]=58568;k[d+264>>2]=37419;k[d+268>>2]=58680;k[d+272>>2]=37430;k[d+276>>2]=58792;k[d+280>>2]=37443;k[d+284>>2]=58904;k[d+288>>2]=37457;k[d+292>>2]=59016;k[d+296>>2]=37471;k[d+300>>2]=59128;k[d+304>>2]=37485;k[d+308>>2]=59240;k[d+312>>2]=37499;k[d+316>>2]=59352;k[d+320>>2]=37510;k[d+324>>2]=59464;k[d+328>>2]=37519;k[d+332>>2]=59576;k[d+336>>2]=37531;k[d+340>>2]=59688;k[d+344>>2]=37539;k[d+348>>2]=59800;k[d+352>>2]=37547;k[d+356>>2]=59912;k[d+360>>2]=37558;k[d+364>>2]=60024;k[d+368>>2]=37568;k[d+372>>2]=60136;k[d+376>>2]=37580;k[d+380>>2]=60248;k[d+384>>2]=37592;k[d+388>>2]=60360;k[d+392>>2]=37600;k[d+396>>2]=60472;k[d+400>>2]=37608;k[d+404>>2]=60584;k[d+408>>2]=37618;k[d+412>>2]=60696;k[d+416>>2]=37629;k[d+420>>2]=60808;k[d+424>>2]=37634;k[d+428>>2]=60920;k[d+432>>2]=37644;k[d+436>>2]=61032;k[d+440>>2]=37649;k[d+444>>2]=61144;k[d+448>>2]=37654;k[d+452>>2]=61256;k[d+456>>2]=37660;k[d+460>>2]=61368;k[d+464>>2]=37672;k[d+468>>2]=61480;k[d+472>>2]=37681;k[d+476>>2]=61592;k[d+480>>2]=37689;k[d+484>>2]=61704;k[d+488>>2]=37699;k[d+492>>2]=61816;k[d+496>>2]=37706;k[d+500>>2]=61928;k[d+504>>2]=37712;k[d+508>>2]=62040;k[d+512>>2]=37718;k[d+516>>2]=62152;k[d+520>>2]=37727;k[d+524>>2]=62264;k[d+528>>2]=37741;k[d+532>>2]=62376;k[d+536>>2]=37751;k[d+540>>2]=62488;k[d+544>>2]=37764;k[d+548>>2]=62600;k[d+552>>2]=37774;k[d+556>>2]=62712;k[d+560>>2]=37785;k[d+564>>2]=62824;k[d+568>>2]=37795;k[d+572>>2]=62936;k[d+576>>2]=37816;k[d+580>>2]=63048;k[d+584>>2]=37826;k[d+588>>2]=63160;k[d+592>>2]=37836;k[d+596>>2]=63272;k[d+600>>2]=37847;k[d+604>>2]=63384;k[d+608>>2]=37857;k[d+612>>2]=63496;k[d+616>>2]=37869;k[d+620>>2]=63608;k[d+624>>2]=37883;k[d+628>>2]=63720;k[d+632>>2]=37896;k[d+636>>2]=63832;k[d+640>>2]=37911;k[d+644>>2]=63944;k[d+648>>2]=37926;k[d+652>>2]=64056;k[d+656>>2]=37941;k[d+660>>2]=64168;k[d+664>>2]=37953;k[d+668>>2]=64280;k[d+672>>2]=37958;k[d+676>>2]=64392;k[d+680>>2]=37968;k[d+684>>2]=64504;k[d+688>>2]=37974;k[d+692>>2]=64616;k[d+696>>2]=37981;k[d+700>>2]=64728;k[d+704>>2]=37998;k[d+708>>2]=64840;k[d+712>>2]=38009;k[d+716>>2]=64952;k[d+720>>2]=38022;k[d+724>>2]=65064;k[d+728>>2]=38035;k[d+732>>2]=65176;k[d+736>>2]=38050;k[d+740>>2]=65288;k[d+744>>2]=38066;k[d+748>>2]=65400;k[d+752>>2]=38084;k[d+756>>2]=65512;k[d+760>>2]=38100;k[d+764>>2]=65624;k[d+768>>2]=38116;k[d+772>>2]=65736;k[d+776>>2]=38129;k[d+780>>2]=65848;k[d+784>>2]=38139;k[d+788>>2]=65960;k[d+792>>2]=38149;k[d+796>>2]=66072;k[d+800>>2]=38158;k[d+804>>2]=66184;k[d+808>>2]=38170;k[d+812>>2]=66296;k[d+816>>2]=38175;k[d+820>>2]=66408;k[d+824>>2]=38183;k[d+828>>2]=66520;k[d+832>>2]=38189;k[d+836>>2]=66632;k[d+840>>2]=38199;k[d+844>>2]=66744;k[d+848>>2]=38206;k[d+852>>2]=66856;k[d+856>>2]=38216;k[d+860>>2]=66968;k[d+864>>2]=38223;k[d+868>>2]=67080;k[d+872>>2]=38237;k[d+876>>2]=67192;k[d+880>>2]=38247;k[d+884>>2]=67304;k[d+888>>2]=38261;k[d+892>>2]=67416;k[d+896>>2]=38275;k[d+900>>2]=67528;k[d+904>>2]=38286;k[d+908>>2]=67640;k[d+912>>2]=38296;k[d+916>>2]=67752;k[d+920>>2]=38301;k[d+924>>2]=67864;k[d+928>>2]=38306;k[d+932>>2]=67976;k[d+936>>2]=38311;k[d+940>>2]=68088;k[d+944>>2]=38322;k[d+948>>2]=68200;k[d+952>>2]=38329;k[d+956>>2]=68312;k[d+960>>2]=38333;k[d+964>>2]=68424;k[d+968>>2]=38343;k[d+972>>2]=68536;k[d+976>>2]=38353;k[d+980>>2]=68648;k[d+984>>2]=38365;k[d+988>>2]=68760;k[d+992>>2]=38372;k[d+996>>2]=68872;k[d+1e3>>2]=38383;k[d+1004>>2]=68984;k[d+1008>>2]=38392;k[d+1012>>2]=69096;k[d+1016>>2]=38401;k[d+1020>>2]=69208;k[d+1024>>2]=38408;k[d+1028>>2]=69320;k[d+1032>>2]=38415;k[d+1036>>2]=69432;k[d+1040>>2]=38423;k[d+1044>>2]=69544;k[d+1048>>2]=38433;k[d+1052>>2]=69656;k[d+1056>>2]=38443;k[d+1060>>2]=69768;k[d+1064>>2]=38453;k[d+1068>>2]=69880;k[d+1072>>2]=38458;k[d+1076>>2]=69992;k[d+1080>>2]=38470;k[d+1084>>2]=70104;k[d+1088>>2]=38480;k[d+1092>>2]=70216;k[d+1096>>2]=38484;k[d+1100>>2]=70328;k[d+1104>>2]=38489;k[d+1108>>2]=70440;k[d+1112>>2]=38497;k[d+1116>>2]=70552;k[d+1120>>2]=38504;k[d+1124>>2]=70664;k[d+1128>>2]=38514;k[d+1132>>2]=70776;k[d+1136>>2]=38521;k[d+1140>>2]=70888;k[d+1144>>2]=38527;k[d+1148>>2]=71e3;k[d+1152>>2]=38533;k[d+1156>>2]=71112;k[d+1160>>2]=38544;k[d+1164>>2]=71224;k[d+1168>>2]=38551;k[d+1172>>2]=71336;k[d+1176>>2]=38563;k[d+1180>>2]=71448;k[d+1184>>2]=44184;k[d+1188>>2]=71560;k[18829]=0;k[18830]=0;k[18828]=75316;e=d+1192|0;while(1){k[l>>2]=75316;k[h>>2]=k[l>>2];b=um(75312,h,j,d)|0;if(!(k[b>>2]|0)){y=0;a=qa(332,24)|0;o=y;y=0;if(o&1){g=761;break}n=d;o=k[n+4>>2]|0;c=a+16|0;k[c>>2]=k[n>>2];k[c+4>>2]=o;c=k[j>>2]|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=c;k[b>>2]=a;c=k[k[18828]>>2]|0;if(c){k[18828]=c;a=k[b>>2]|0}jn(k[18829]|0,a);k[18830]=(k[18830]|0)+1}d=d+8|0;if((d|0)==(e|0)){g=762;break}}if((g|0)==761){o=pb()|0;aH(75312,k[18829]|0);sb(o|0)}else if((g|0)==762){Pb(381,75312,x|0)|0;r=m;return}}function Sc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,pa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,qb=0,rb=0,tb=0,ub=0,vb=0,wb=0;ub=0;tb=r;r=r+944|0;lb=tb+920|0;kb=tb+904|0;Aa=tb+896|0;t=tb+888|0;ea=tb+884|0;T=tb+880|0;U=tb+876|0;S=tb+872|0;O=tb+868|0;L=tb+864|0;Qa=tb+860|0;Ka=tb+856|0;La=tb+852|0;Fa=tb+848|0;Ga=tb+844|0;Da=tb+840|0;Ca=tb+836|0;Ba=tb+832|0;sa=tb+828|0;ia=tb+824|0;ja=tb+820|0;$=tb+816|0;aa=tb+812|0;Y=tb+808|0;V=tb+804|0;P=tb+800|0;M=tb+772|0;p=tb+768|0;wb=tb+728|0;vb=tb+704|0;K=tb+640|0;w=tb+792|0;C=tb+776|0;D=tb+752|0;E=tb+632|0;F=tb+696|0;G=tb+680|0;H=tb+664|0;I=tb+624|0;_a=tb+600|0;Ya=tb+576|0;fb=tb+552|0;ab=tb+528|0;ba=tb+520|0;W=tb+512|0;Q=tb+476|0;ka=tb+472|0;ca=tb+444|0;Z=tb+432|0;jb=tb+516|0;da=tb+428|0;ua=tb+424|0;xa=tb+396|0;pa=tb+392|0;ra=tb+388|0;va=tb+384|0;wa=tb+352|0;hb=tb+488|0;ib=tb+448|0;gb=tb+400|0;bb=tb+360|0;Wa=tb+328|0;za=tb+304|0;Za=tb+280|0;Xa=tb+256|0;Ma=tb+248|0;Ia=tb+216|0;Ea=tb+180|0;eb=tb+252|0;Ja=tb+176|0;Ra=tb+172|0;Ua=tb+168|0;Oa=tb+136|0;Pa=tb+132|0;Sa=tb+128|0;Ta=tb+120|0;cb=tb+224|0;db=tb+192|0;$a=tb+144|0;Va=tb+124|0;R=tb+64|0;fa=tb+60|0;la=tb+56|0;X=tb+52|0;_=tb+48|0;ga=tb+44|0;ha=tb+40|0;j=tb+96|0;B=tb+36|0;A=tb+32|0;z=tb+20|0;J=tb+72|0;x=tb+16|0;u=tb+12|0;s=tb;gD(wb);y=0;na(387,vb|0);rb=y;y=0;if(rb&1)f=pb()|0;else{y=0;oa(600,b|0,wb|0);rb=y;y=0;a:do if(rb&1)ub=17;else{y=0;oa(600,c|0,vb|0);rb=y;y=0;if(rb&1)ub=17;else{m=wb+16|0;f=k[m>>2]|0;rb=wb+20|0;h=k[rb>>2]|0;i=(h|0)==0;if(!i)Sba(h);do if(!(k[f+20>>2]|0)){f=k[vb+16>>2]|0;g=k[vb+20>>2]|0;if(!g){f=(k[f+20>>2]|0)==0;break}else{Sba(g);f=(k[f+20>>2]|0)==0;kZ(g);break}}else f=0;while(0);if(!i)kZ(h);b:do if(f){k[a>>2]=k[e>>2];k[a+4>>2]=k[e+4>>2];k[a+8>>2]=k[e+8>>2];y=0;oa(464,a+12|0,e+12|0);ub=y;y=0;if(ub&1){ub=17;break a}k[a+16>>2]=k[e+16>>2];f=k[e+20>>2]|0;k[a+20>>2]=f;if(f|0)Sba(f)}else{f=k[m>>2]|0;h=k[rb>>2]|0;i=(h|0)==0;if(!i)Sba(h);do if((k[f+20>>2]|0)>>>0>1)f=1;else{f=k[vb+16>>2]|0;g=k[vb+20>>2]|0;if(!g){f=(k[f+20>>2]|0)>>>0>1;break}else{Sba(g);f=(k[f+20>>2]|0)>>>0>1;kZ(g);break}}while(0);if(!i)kZ(h);if(f){y=0;ma(17,K|0,wb|0,vb|0,t|0,d|0);d=y;y=0;if(d&1)f=pb()|0;else{y=0;f=ta(162,K|0,wb|0,1)|0;d=y;y=0;c:do if(d&1)ub=34;else{do if(f)ub=35;else{y=0;f=ta(162,K|0,vb|0,1)|0;d=y;y=0;if(d&1){ub=34;break c}if(f){ub=35;break}y=0;na(389,a|0);a=y;y=0;if(a&1){ub=34;break c}}while(0);do if((ub|0)==35){f=k[m>>2]|0;h=k[rb>>2]|0;i=(h|0)==0;if(!i)Sba(h);j=k[f+20>>2]|0;l=vb+16|0;f=k[l>>2]|0;q=vb+20|0;g=k[q>>2]|0;if(!g)f=k[f+20>>2]|0;else{Sba(g);f=k[f+20>>2]|0;kZ(g)}if(!i)kZ(h);s=e+16|0;g=k[s>>2]|0;t=e+20|0;u=k[t>>2]|0;v=(u|0)==0;do if(j>>>0>f>>>0){do if(v){f=g;h=0;p=1}else{Sba(u);h=k[t>>2]|0;f=k[s>>2]|0;if(!h){h=0;p=1;break}Sba(h);p=0}while(0);c=f;d=k[c+4>>2]|0;f=k[c+16>>2]|0;i=d+(((f>>>0)/170|0)<<2)|0;if((k[c+8>>2]|0)==(d|0))f=0;else f=(k[i>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[w>>2]=i;k[w+4>>2]=f;f=k[m>>2]|0;n=k[rb>>2]|0;o=(n|0)==0;if(!o)Sba(n);i=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;d=k[f+4>>2]|0;j=d+(((i>>>0)/170|0)<<2)|0;if((k[f+8>>2]|0)==(d|0))f=0;else f=(k[j>>2]|0)+(((i>>>0)%170|0)*24|0)|0;l=j;k[C>>2]=l;k[C+4>>2]=f;k[C+8>>2]=l;k[C+12>>2]=f;f=k[m>>2]|0;l=k[rb>>2]|0;m=(l|0)==0;if(!m)Sba(l);d=k[f+4>>2]|0;i=k[f+16>>2]|0;j=d+(((i>>>0)/170|0)<<2)|0;if((k[f+8>>2]|0)==(d|0))f=0;else f=(k[j>>2]|0)+(((i>>>0)%170|0)*24|0)|0;d=j;k[D>>2]=d;k[D+4>>2]=f;k[D+8>>2]=d;k[D+12>>2]=f;y=0;k[Aa>>2]=k[w>>2];k[Aa+4>>2]=k[w+4>>2];k[kb>>2]=k[C>>2];k[kb+4>>2]=k[C+4>>2];k[kb+8>>2]=k[C+8>>2];k[kb+12>>2]=k[C+12>>2];k[lb>>2]=k[D>>2];k[lb+4>>2]=k[D+4>>2];k[lb+8>>2]=k[D+8>>2];k[lb+12>>2]=k[D+12>>2];ya(23,E|0,g|0,Aa|0,kb|0,lb|0,0);d=y;y=0;if(d&1){f=pb()|0;if(!m)kZ(l);if(!o)kZ(n);if(!p)kZ(h);if(v)break c;kZ(u);break c}else{if(!m)kZ(l);if(!o)kZ(n);if(!p)kZ(h);if(v)break;kZ(u);break}}else{do if(v){f=g;p=1;o=0}else{Sba(u);h=k[t>>2]|0;f=k[s>>2]|0;if(!h){p=1;o=0;break}Sba(h);p=0;o=h}while(0);c=f;d=k[c+4>>2]|0;f=k[c+16>>2]|0;h=d+(((f>>>0)/170|0)<<2)|0;if((k[c+8>>2]|0)==(d|0))f=0;else f=(k[h>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[F>>2]=h;k[F+4>>2]=f;f=k[l>>2]|0;m=k[q>>2]|0;n=(m|0)==0;if(!n)Sba(m);h=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;d=k[f+4>>2]|0;i=d+(((h>>>0)/170|0)<<2)|0;if((k[f+8>>2]|0)==(d|0))f=0;else f=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;h=i;k[G>>2]=h;k[G+4>>2]=f;k[G+8>>2]=h;k[G+12>>2]=f;h=k[l>>2]|0;j=k[q>>2]|0;l=(j|0)==0;if(!l)Sba(j);d=k[h+4>>2]|0;f=k[h+16>>2]|0;i=d+(((f>>>0)/170|0)<<2)|0;if((k[h+8>>2]|0)==(d|0))f=0;else f=(k[i>>2]|0)+(((f>>>0)%170|0)*24|0)|0;d=i;k[H>>2]=d;k[H+4>>2]=f;k[H+8>>2]=d;k[H+12>>2]=f;y=0;k[Aa>>2]=k[F>>2];k[Aa+4>>2]=k[F+4>>2];k[kb>>2]=k[G>>2];k[kb+4>>2]=k[G+4>>2];k[kb+8>>2]=k[G+8>>2];k[kb+12>>2]=k[G+12>>2];k[lb>>2]=k[H>>2];k[lb+4>>2]=k[H+4>>2];k[lb+8>>2]=k[H+8>>2];k[lb+12>>2]=k[H+12>>2];ya(23,I|0,g|0,Aa|0,kb|0,lb|0,0);d=y;y=0;if(d&1){f=pb()|0;if(!l)kZ(j);if(!n)kZ(m);if(!p)kZ(o);if(v)break c;kZ(u);break c}else{if(!l)kZ(j);if(!n)kZ(m);if(!p)kZ(o);if(v)break;kZ(u);break}}while(0);k[a>>2]=k[e>>2];k[a+4>>2]=k[e+4>>2];k[a+8>>2]=k[e+8>>2];y=0;oa(464,a+12|0,e+12|0);ub=y;y=0;if(ub&1){ub=34;break c}k[a+16>>2]=k[s>>2];f=k[t>>2]|0;k[a+20>>2]=f;if(!f)break;Sba(f)}while(0);f=k[K+20>>2]|0;if(f|0)kZ(f);EO(K+12|0);break b}while(0);if((ub|0)==34)f=pb()|0;g=k[K+20>>2]|0;if(g|0)kZ(g);EO(K+12|0)}break a}f=k[m>>2]|0;h=k[rb>>2]|0;i=(h|0)==0;if(!i)Sba(h);do if(!(k[f+20>>2]|0))f=0;else{f=k[vb+16>>2]|0;g=k[vb+20>>2]|0;if(!g){f=(k[f+20>>2]|0)!=0;break}else{Sba(g);f=(k[f+20>>2]|0)!=0;kZ(g);break}}while(0);if(!i)kZ(h);if(!f){f=k[m>>2]|0;g=k[rb>>2]|0;do if(!g){if(!(k[f+20>>2]|0))break;s=j;g=0;i=1;ub=929}else{Sba(g);qb=(k[f+20>>2]|0)==0;kZ(g);if(qb)break;f=k[m>>2]|0;g=k[rb>>2]|0;if(!g){s=j;g=0;i=1;ub=929;break}Sba(g);s=j;i=0;ub=929}while(0);if((ub|0)==929){h=k[f+16>>2]|0;f=k[(k[f+4>>2]|0)+(((h>>>0)/170|0)<<2)>>2]|0;h=(h>>>0)%170|0;qb=f+(h*24|0)|0;w=qb|0;k[s>>2]=k[w>>2];k[s+4>>2]=k[w+4>>2];k[s+8>>2]=k[w+8>>2];w=j+12|0;y=0;oa(464,w|0,qb+12|0);qb=y;y=0;if(qb&1){f=pb()|0;if(i)break a;kZ(g);break a}q=j+16|0;f=f+(h*24|0)|0;k[q>>2]=k[f+16>>2];v=j+20|0;f=k[f+20>>2]|0;k[v>>2]=f;if(f|0)Sba(f);if(!i)kZ(g);d:do if((k[j+8>>2]|0)==1){f=c+16|0;g=k[f>>2]|0;n=c+20|0;o=k[n>>2]|0;p=(o|0)==0;if(!p)Sba(o);e:do if(!(k[g+20>>2]|0))f=0;else{f=k[f>>2]|0;l=k[n>>2]|0;m=(l|0)==0;if(!m)Sba(l);qb=(k[f+20>>2]|0)+-1+(k[f+16>>2]|0)|0;y=0;oa(464,t|0,(k[(k[f+4>>2]|0)+(((qb>>>0)/170|0)<<2)>>2]|0)+(((qb>>>0)%170|0)*24|0)+12|0);qb=y;y=0;if(qb&1)f=pb()|0;else{g=k[t>>2]|0;k[B>>2]=g;f=g;g=k[(k[g>>2]|0)+148>>2]|0;h=k[b+16>>2]|0;i=k[b+20>>2]|0;j=(i|0)==0;if(!j)Sba(i);qb=(k[h+20>>2]|0)+-1+(k[h+16>>2]|0)|0;y=0;oa(464,Aa|0,(k[(k[h+4>>2]|0)+(((qb>>>0)/170|0)<<2)>>2]|0)+(((qb>>>0)%170|0)*24|0)+12|0);qb=y;y=0;if(qb&1)f=pb()|0;else{k[A>>2]=k[Aa>>2];k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(75,z|0,82159,0);qb=y;y=0;do if(qb&1)f=pb()|0;else{y=0;f=ta(g|0,f|0,A|0,z|0)|0;qb=y;y=0;if(qb&1){f=pb()|0;$9(z);break}$9(z);EO(A);if(!j)kZ(i);EO(B);if(m)break e;kZ(l);break e}while(0);EO(A)}if(!j)kZ(i);EO(B)}if(!m)kZ(l);if(p)break d;kZ(o);break d}while(0);if(p){if(!f){ub=976;break}}else{kZ(o);if(!f){ub=976;break}}j=k[c+16>>2]|0;l=k[n>>2]|0;m=(l|0)==0;if(!m)Sba(l);f=j+20|0;n=j+16|0;h=(k[f>>2]|0)+-1+(k[n>>2]|0)|0;o=j+4|0;g=k[(k[o>>2]|0)+(((h>>>0)/170|0)<<2)>>2]|0;h=(h>>>0)%170|0;i=k[g+(h*24|0)+20>>2]|0;if(i|0)kZ(i);EO(g+(h*24|0)+12|0);qb=k[f>>2]|0;k[f>>2]=qb+-1;f=j+8|0;g=k[f>>2]|0;ub=g-(k[o>>2]|0)>>2;if((1-qb-(k[n>>2]|0)+((ub|0)==0?0:(ub*170|0)+-1|0)|0)>>>0>339){zqa(k[g+-4>>2]|0);k[f>>2]=(k[f>>2]|0)+-4}if(m){ub=976;break}kZ(l);ub=976}else ub=976;while(0);f:do if((ub|0)==976){j=e+16|0;l=k[j>>2]|0;n=e+20|0;o=k[n>>2]|0;p=(o|0)==0;if(!p)Sba(o);m=l+16|0;f=k[m>>2]|0;do if(!f){y=0;na(388,l|0);qb=y;y=0;if(qb&1)break;f=k[m>>2]|0;ub=981}else ub=981;while(0);do if((ub|0)==981){qb=k[l+4>>2]|0;i=qb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[l+8>>2]|0)==(qb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;qb=g+-24|0;k[qb>>2]=k[s>>2];k[qb+4>>2]=k[s+4>>2];k[qb+8>>2]=k[s+8>>2];y=0;oa(464,g+-12|0,w|0);qb=y;y=0;if(qb&1)break;k[g+-8>>2]=k[q>>2];f=k[v>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[m>>2]=(k[m>>2]|0)+-1;qb=l+20|0;k[qb>>2]=(k[qb>>2]|0)+1;if(!p)kZ(o);o=k[j>>2]|0;p=k[n>>2]|0;q=(p|0)==0;if(!q)Sba(p);n=b+16|0;f=k[n>>2]|0;s=b+20|0;t=k[s>>2]|0;u=(t|0)==0;if(!u)Sba(t);l=(k[f+20>>2]|0)+-1+(k[f+16>>2]|0)|0;j=k[(k[f+4>>2]|0)+(((l>>>0)/170|0)<<2)>>2]|0;l=(l>>>0)%170|0;m=o+16|0;f=k[m>>2]|0;do if(!f){y=0;na(388,o|0);qb=y;y=0;if(qb&1)break;f=k[m>>2]|0;ub=997}else ub=997;while(0);do if((ub|0)==997){qb=k[o+4>>2]|0;i=qb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[o+8>>2]|0)==(qb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;ob=g+-24|0;qb=j+(l*24|0)|0;nb=qb|0;k[ob>>2]=k[nb>>2];k[ob+4>>2]=k[nb+4>>2];k[ob+8>>2]=k[nb+8>>2];y=0;oa(464,g+-12|0,qb+12|0);qb=y;y=0;if(qb&1)break;f=j+(l*24|0)|0;k[g+-8>>2]=k[f+16>>2];f=k[f+20>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[m>>2]=(k[m>>2]|0)+-1;qb=o+20|0;k[qb>>2]=(k[qb>>2]|0)+1;if(!u)kZ(t);if(!q)kZ(p);j=k[n>>2]|0;l=k[s>>2]|0;m=(l|0)==0;if(!m)Sba(l);f=j+20|0;n=j+16|0;h=(k[f>>2]|0)+-1+(k[n>>2]|0)|0;o=j+4|0;g=k[(k[o>>2]|0)+(((h>>>0)/170|0)<<2)>>2]|0;h=(h>>>0)%170|0;i=k[g+(h*24|0)+20>>2]|0;if(i|0)kZ(i);EO(g+(h*24|0)+12|0);ob=k[f>>2]|0;k[f>>2]=ob+-1;f=j+8|0;g=k[f>>2]|0;qb=g-(k[o>>2]|0)>>2;if((1-ob-(k[n>>2]|0)+((qb|0)==0?0:(qb*170|0)+-1|0)|0)>>>0>339){zqa(k[g+-4>>2]|0);k[f>>2]=(k[f>>2]|0)+-4}if(!m)kZ(l);y=0;ma(18,a|0,b|0,c|0,d|0,e|0);a=y;y=0;if(a&1){f=pb()|0;break f}f=k[v>>2]|0;if(f|0)kZ(f);EO(w);break b}while(0);f=pb()|0;if(!u)kZ(t);if(q)break f;kZ(p);break f}while(0);f=pb()|0;if(p)break;kZ(o)}while(0);g=k[v>>2]|0;if(g|0)kZ(g);EO(w);break a}f=k[vb+16>>2]|0;h=k[vb+20>>2]|0;i=(h|0)==0;if(!i)Sba(h);g=k[f+16>>2]|0;f=k[(k[f+4>>2]|0)+(((g>>>0)/170|0)<<2)>>2]|0;g=(g>>>0)%170|0;qb=f+(g*24|0)|0;w=qb|0;k[J>>2]=k[w>>2];k[J+4>>2]=k[w+4>>2];k[J+8>>2]=k[w+8>>2];w=J+12|0;y=0;oa(464,w|0,qb+12|0);qb=y;y=0;if(qb&1){f=pb()|0;if(i)break a;kZ(h);break a}q=J+16|0;f=f+(g*24|0)|0;k[q>>2]=k[f+16>>2];v=J+20|0;f=k[f+20>>2]|0;k[v>>2]=f;if(f|0)Sba(f);if(!i)kZ(h);g:do if((k[J+8>>2]|0)==1){f=b+16|0;g=k[f>>2]|0;n=b+20|0;o=k[n>>2]|0;p=(o|0)==0;if(!p)Sba(o);h:do if(!(k[g+20>>2]|0))f=0;else{f=k[f>>2]|0;l=k[n>>2]|0;m=(l|0)==0;if(!m)Sba(l);qb=(k[f+20>>2]|0)+-1+(k[f+16>>2]|0)|0;y=0;oa(464,kb|0,(k[(k[f+4>>2]|0)+(((qb>>>0)/170|0)<<2)>>2]|0)+(((qb>>>0)%170|0)*24|0)+12|0);qb=y;y=0;if(qb&1)f=pb()|0;else{g=k[kb>>2]|0;k[x>>2]=g;f=g;g=k[(k[g>>2]|0)+148>>2]|0;h=k[c+16>>2]|0;i=k[c+20>>2]|0;j=(i|0)==0;if(!j)Sba(i);qb=(k[h+20>>2]|0)+-1+(k[h+16>>2]|0)|0;y=0;oa(464,lb|0,(k[(k[h+4>>2]|0)+(((qb>>>0)/170|0)<<2)>>2]|0)+(((qb>>>0)%170|0)*24|0)+12|0);qb=y;y=0;if(qb&1)f=pb()|0;else{k[u>>2]=k[lb>>2];k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,82159,0);qb=y;y=0;do if(qb&1)f=pb()|0;else{y=0;f=ta(g|0,f|0,u|0,s|0)|0;qb=y;y=0;if(qb&1){f=pb()|0;$9(s);break}$9(s);EO(u);if(!j)kZ(i);EO(x);if(m)break h;kZ(l);break h}while(0);EO(u)}if(!j)kZ(i);EO(x)}if(!m)kZ(l);if(p)break g;kZ(o);break g}while(0);if(p){if(!f){ub=1078;break}}else{kZ(o);if(!f){ub=1078;break}}j=k[b+16>>2]|0;l=k[n>>2]|0;m=(l|0)==0;if(!m)Sba(l);f=j+20|0;n=j+16|0;h=(k[f>>2]|0)+-1+(k[n>>2]|0)|0;o=j+4|0;g=k[(k[o>>2]|0)+(((h>>>0)/170|0)<<2)>>2]|0;h=(h>>>0)%170|0;i=k[g+(h*24|0)+20>>2]|0;if(i|0)kZ(i);EO(g+(h*24|0)+12|0);qb=k[f>>2]|0;k[f>>2]=qb+-1;f=j+8|0;g=k[f>>2]|0;ub=g-(k[o>>2]|0)>>2;if((1-qb-(k[n>>2]|0)+((ub|0)==0?0:(ub*170|0)+-1|0)|0)>>>0>339){zqa(k[g+-4>>2]|0);k[f>>2]=(k[f>>2]|0)+-4}if(m){ub=1078;break}kZ(l);ub=1078}else ub=1078;while(0);i:do if((ub|0)==1078){j=e+16|0;l=k[j>>2]|0;n=e+20|0;o=k[n>>2]|0;p=(o|0)==0;if(!p)Sba(o);m=l+16|0;f=k[m>>2]|0;do if(!f){y=0;na(388,l|0);qb=y;y=0;if(qb&1)break;f=k[m>>2]|0;ub=1083}else ub=1083;while(0);do if((ub|0)==1083){qb=k[l+4>>2]|0;i=qb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[l+8>>2]|0)==(qb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;qb=g+-24|0;k[qb>>2]=k[J>>2];k[qb+4>>2]=k[J+4>>2];k[qb+8>>2]=k[J+8>>2];y=0;oa(464,g+-12|0,w|0);qb=y;y=0;if(qb&1)break;k[g+-8>>2]=k[q>>2];f=k[v>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[m>>2]=(k[m>>2]|0)+-1;qb=l+20|0;k[qb>>2]=(k[qb>>2]|0)+1;if(!p)kZ(o);o=k[j>>2]|0;p=k[n>>2]|0;q=(p|0)==0;if(!q)Sba(p);n=c+16|0;f=k[n>>2]|0;s=c+20|0;t=k[s>>2]|0;u=(t|0)==0;if(!u)Sba(t);l=(k[f+20>>2]|0)+-1+(k[f+16>>2]|0)|0;j=k[(k[f+4>>2]|0)+(((l>>>0)/170|0)<<2)>>2]|0;l=(l>>>0)%170|0;m=o+16|0;f=k[m>>2]|0;do if(!f){y=0;na(388,o|0);qb=y;y=0;if(qb&1)break;f=k[m>>2]|0;ub=1099}else ub=1099;while(0);do if((ub|0)==1099){qb=k[o+4>>2]|0;i=qb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[o+8>>2]|0)==(qb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;ob=g+-24|0;qb=j+(l*24|0)|0;nb=qb|0;k[ob>>2]=k[nb>>2];k[ob+4>>2]=k[nb+4>>2];k[ob+8>>2]=k[nb+8>>2];y=0;oa(464,g+-12|0,qb+12|0);qb=y;y=0;if(qb&1)break;f=j+(l*24|0)|0;k[g+-8>>2]=k[f+16>>2];f=k[f+20>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[m>>2]=(k[m>>2]|0)+-1;qb=o+20|0;k[qb>>2]=(k[qb>>2]|0)+1;if(!u)kZ(t);if(!q)kZ(p);j=k[n>>2]|0;l=k[s>>2]|0;m=(l|0)==0;if(!m)Sba(l);f=j+20|0;n=j+16|0;h=(k[f>>2]|0)+-1+(k[n>>2]|0)|0;o=j+4|0;g=k[(k[o>>2]|0)+(((h>>>0)/170|0)<<2)>>2]|0;h=(h>>>0)%170|0;i=k[g+(h*24|0)+20>>2]|0;if(i|0)kZ(i);EO(g+(h*24|0)+12|0);ob=k[f>>2]|0;k[f>>2]=ob+-1;f=j+8|0;g=k[f>>2]|0;qb=g-(k[o>>2]|0)>>2;if((1-ob-(k[n>>2]|0)+((qb|0)==0?0:(qb*170|0)+-1|0)|0)>>>0>339){zqa(k[g+-4>>2]|0);k[f>>2]=(k[f>>2]|0)+-4}if(!m)kZ(l);y=0;ma(18,a|0,b|0,c|0,d|0,e|0);a=y;y=0;if(a&1){f=pb()|0;break i}f=k[v>>2]|0;if(f|0)kZ(f);EO(w);break b}while(0);f=pb()|0;if(!u)kZ(t);if(q)break i;kZ(p);break i}while(0);f=pb()|0;if(p)break;kZ(o)}while(0);g=k[v>>2]|0;if(g|0)kZ(g);EO(w);break a}f=k[m>>2]|0;h=k[rb>>2]|0;i=(h|0)==0;if(!i)Sba(h);g=k[f+16>>2]|0;f=k[(k[f+4>>2]|0)+(((g>>>0)/170|0)<<2)>>2]|0;g=(g>>>0)%170|0;ob=f+(g*24|0)|0;qb=ob|0;k[_a>>2]=k[qb>>2];k[_a+4>>2]=k[qb+4>>2];k[_a+8>>2]=k[qb+8>>2];qb=_a+12|0;y=0;oa(464,qb|0,ob+12|0);ob=y;y=0;if(ob&1){f=pb()|0;if(i)break a;kZ(h);break a}z=_a+16|0;f=f+(g*24|0)|0;k[z>>2]=k[f+16>>2];ob=_a+20|0;f=k[f+20>>2]|0;k[ob>>2]=f;if(f|0)Sba(f);if(!i)kZ(h);f=k[vb+16>>2]|0;h=k[vb+20>>2]|0;i=(h|0)==0;if(!i)Sba(h);g=k[f+16>>2]|0;f=k[(k[f+4>>2]|0)+(((g>>>0)/170|0)<<2)>>2]|0;g=(g>>>0)%170|0;mb=f+(g*24|0)|0;nb=mb|0;k[Ya>>2]=k[nb>>2];k[Ya+4>>2]=k[nb+4>>2];k[Ya+8>>2]=k[nb+8>>2];nb=Ya+12|0;y=0;oa(464,nb|0,mb+12|0);mb=y;y=0;do if(mb&1){f=pb()|0;if(i)break;kZ(h)}else{v=Ya+16|0;f=f+(g*24|0)|0;k[v>>2]=k[f+16>>2];mb=Ya+20|0;f=k[f+20>>2]|0;k[mb>>2]=f;if(f|0)Sba(f);if(!i)kZ(h);t=b+16|0;f=k[t>>2]|0;u=b+20|0;h=k[u>>2]|0;i=(h|0)==0;if(!i)Sba(h);g=(k[f+20>>2]|0)+-1+(k[f+16>>2]|0)|0;f=k[(k[f+4>>2]|0)+(((g>>>0)/170|0)<<2)>>2]|0;g=(g>>>0)%170|0;K=f+(g*24|0)|0;Aa=K|0;k[fb>>2]=k[Aa>>2];k[fb+4>>2]=k[Aa+4>>2];k[fb+8>>2]=k[Aa+8>>2];Aa=fb+12|0;y=0;oa(464,Aa|0,K+12|0);K=y;y=0;do if(K&1){f=pb()|0;if(i)break;kZ(h)}else{x=fb+16|0;f=f+(g*24|0)|0;k[x>>2]=k[f+16>>2];K=fb+20|0;f=k[f+20>>2]|0;k[K>>2]=f;if(f|0)Sba(f);if(!i)kZ(h);f=k[t>>2]|0;l=k[u>>2]|0;m=(l|0)==0;if(!m)Sba(l);g=f+20|0;n=f+16|0;i=(k[g>>2]|0)+-1+(k[n>>2]|0)|0;o=f+4|0;h=k[(k[o>>2]|0)+(((i>>>0)/170|0)<<2)>>2]|0;i=(i>>>0)%170|0;j=k[h+(i*24|0)+20>>2]|0;if(j|0)kZ(j);EO(h+(i*24|0)+12|0);I=k[g>>2]|0;k[g>>2]=I+-1;f=f+8|0;g=k[f>>2]|0;J=g-(k[o>>2]|0)>>2;if((1-I-(k[n>>2]|0)+((J|0)==0?0:(J*170|0)+-1|0)|0)>>>0>339){zqa(k[g+-4>>2]|0);k[f>>2]=(k[f>>2]|0)+-4}if(!m)kZ(l);q=c+16|0;f=k[q>>2]|0;s=c+20|0;h=k[s>>2]|0;i=(h|0)==0;if(!i)Sba(h);g=(k[f+20>>2]|0)+-1+(k[f+16>>2]|0)|0;f=k[(k[f+4>>2]|0)+(((g>>>0)/170|0)<<2)>>2]|0;g=(g>>>0)%170|0;I=f+(g*24|0)|0;J=I|0;k[ab>>2]=k[J>>2];k[ab+4>>2]=k[J+4>>2];k[ab+8>>2]=k[J+8>>2];J=ab+12|0;y=0;oa(464,J|0,I+12|0);I=y;y=0;do if(I&1){f=pb()|0;if(i)break;kZ(h)}else{w=ab+16|0;f=f+(g*24|0)|0;k[w>>2]=k[f+16>>2];I=ab+20|0;f=k[f+20>>2]|0;k[I>>2]=f;if(f|0)Sba(f);if(!i)kZ(h);f=k[q>>2]|0;l=k[s>>2]|0;m=(l|0)==0;if(!m)Sba(l);g=f+20|0;n=f+16|0;i=(k[g>>2]|0)+-1+(k[n>>2]|0)|0;o=f+4|0;h=k[(k[o>>2]|0)+(((i>>>0)/170|0)<<2)>>2]|0;i=(i>>>0)%170|0;j=k[h+(i*24|0)+20>>2]|0;if(j|0)kZ(j);EO(h+(i*24|0)+12|0);G=k[g>>2]|0;k[g>>2]=G+-1;f=f+8|0;g=k[f>>2]|0;H=g-(k[o>>2]|0)>>2;if((1-G-(k[n>>2]|0)+((H|0)==0?0:(H*170|0)+-1|0)|0)>>>0>339){zqa(k[g+-4>>2]|0);k[f>>2]=(k[f>>2]|0)+-4}if(!m)kZ(l);j=_a+8|0;g=k[j>>2]|0;j:do switch(g|0){case 2:{switch(k[Ya+8>>2]|0){case 3:{ub=484;break j}case 2:break;default:{ub=742;break j}}y=0;oa(464,p|0,Aa|0);eb=y;y=0;if(eb&1){ub=211;break j}g=k[p>>2]|0;k[ba>>2]=g;f=g;g=k[(k[g>>2]|0)+148>>2]|0;y=0;oa(464,M|0,J|0);eb=y;y=0;if(eb&1){f=pb()|0;g=N}else{k[W>>2]=k[M>>2];k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;y=0;Na(75,Q|0,82159,0);eb=y;y=0;do if(eb&1){f=pb()|0;g=N}else{y=0;f=ta(g|0,f|0,W|0,Q|0)|0;eb=y;y=0;if(eb&1){f=pb()|0;g=N;$9(Q);break}$9(Q);EO(W);EO(ba);if(f){j=e+16|0;l=k[j>>2]|0;n=e+20|0;o=k[n>>2]|0;p=(o|0)==0;if(!p)Sba(o);m=l+16|0;f=k[m>>2]|0;do if(!f){y=0;na(388,l|0);lb=y;y=0;if(lb&1)break;f=k[m>>2]|0;ub=180}else ub=180;while(0);do if((ub|0)==180){lb=k[l+4>>2]|0;i=lb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[l+8>>2]|0)==(lb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;lb=g+-24|0;k[lb>>2]=k[_a>>2];k[lb+4>>2]=k[_a+4>>2];k[lb+8>>2]=k[_a+8>>2];y=0;oa(464,g+-12|0,qb|0);lb=y;y=0;if(lb&1)break;k[g+-8>>2]=k[z>>2];f=k[ob>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[m>>2]=(k[m>>2]|0)+-1;lb=l+20|0;k[lb>>2]=(k[lb>>2]|0)+1;if(!p)kZ(o);l=k[j>>2]|0;m=k[n>>2]|0;n=(m|0)==0;if(!n)Sba(m);j=l+16|0;f=k[j>>2]|0;do if(!f){y=0;na(388,l|0);lb=y;y=0;if(lb&1)break;f=k[j>>2]|0;ub=194}else ub=194;while(0);do if((ub|0)==194){lb=k[l+4>>2]|0;i=lb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[l+8>>2]|0)==(lb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;lb=g+-24|0;k[lb>>2]=k[ab>>2];k[lb+4>>2]=k[ab+4>>2];k[lb+8>>2]=k[ab+8>>2];y=0;oa(464,g+-12|0,J|0);lb=y;y=0;if(lb&1)break;k[g+-8>>2]=k[w>>2];f=k[I>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[j>>2]=(k[j>>2]|0)+-1;ub=l+20|0;k[ub>>2]=(k[ub>>2]|0)+1;if(n){ub=901;break j}kZ(m);ub=901;break j}while(0);f=pb()|0;if(n)break j;kZ(m);break j}while(0);f=pb()|0;if(p)break j;kZ(o);break j}y=0;oa(464,P|0,J|0);eb=y;y=0;if(eb&1){ub=211;break j}g=k[P>>2]|0;k[ka>>2]=g;f=g;g=k[(k[g>>2]|0)+148>>2]|0;y=0;oa(464,V|0,Aa|0);eb=y;y=0;if(eb&1)f=pb()|0;else{k[ca>>2]=k[V>>2];k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;y=0;Na(75,Z|0,82159,0);eb=y;y=0;do if(eb&1)f=pb()|0;else{y=0;f=ta(g|0,f|0,ca|0,Z|0)|0;eb=y;y=0;if(eb&1){f=pb()|0;$9(Z);break}$9(Z);EO(ca);EO(ka);if(f){j=e+16|0;l=k[j>>2]|0;n=e+20|0;o=k[n>>2]|0;p=(o|0)==0;if(!p)Sba(o);m=l+16|0;f=k[m>>2]|0;do if(!f){y=0;na(388,l|0);lb=y;y=0;if(lb&1)break;f=k[m>>2]|0;ub=231}else ub=231;while(0);do if((ub|0)==231){lb=k[l+4>>2]|0;i=lb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[l+8>>2]|0)==(lb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;lb=g+-24|0;k[lb>>2]=k[_a>>2];k[lb+4>>2]=k[_a+4>>2];k[lb+8>>2]=k[_a+8>>2];y=0;oa(464,g+-12|0,qb|0);lb=y;y=0;if(lb&1)break;k[g+-8>>2]=k[z>>2];f=k[ob>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[m>>2]=(k[m>>2]|0)+-1;lb=l+20|0;k[lb>>2]=(k[lb>>2]|0)+1;if(!p)kZ(o);l=k[j>>2]|0;m=k[n>>2]|0;n=(m|0)==0;if(!n)Sba(m);j=l+16|0;f=k[j>>2]|0;do if(!f){y=0;na(388,l|0);lb=y;y=0;if(lb&1)break;f=k[j>>2]|0;ub=245}else ub=245;while(0);do if((ub|0)==245){lb=k[l+4>>2]|0;i=lb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[l+8>>2]|0)==(lb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;lb=g+-24|0;k[lb>>2]=k[fb>>2];k[lb+4>>2]=k[fb+4>>2];k[lb+8>>2]=k[fb+8>>2];y=0;oa(464,g+-12|0,Aa|0);lb=y;y=0;if(lb&1)break;k[g+-8>>2]=k[x>>2];f=k[K>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[j>>2]=(k[j>>2]|0)+-1;ub=l+20|0;k[ub>>2]=(k[ub>>2]|0)+1;if(n){ub=901;break j}kZ(m);ub=901;break j}while(0);f=pb()|0;if(n)break j;kZ(m);break j}while(0);f=pb()|0;if(p)break j;kZ(o);break j}y=0;oa(464,Y|0,Aa|0);eb=y;y=0;if(eb&1){ub=211;break j}f=k[Y>>2]|0;k[da>>2]=f;y=0;f=qa(k[(k[f>>2]|0)+16>>2]|0,f|0)|0;eb=y;y=0;do if(!(eb&1)){y=0;oa(482,jb|0,f|0);eb=y;y=0;if(eb&1)break;EO(da);y=0;oa(464,aa|0,Aa|0);eb=y;y=0;k:do if(eb&1)f=pb()|0;else{eb=k[aa>>2]|0;k[xa>>2]=eb;y=0;oa(464,$|0,eb+76|0);eb=y;y=0;if(eb&1)f=pb()|0;else{f=k[$>>2]|0;k[ua>>2]=f;y=0;oa(464,ja|0,J|0);eb=y;y=0;if(eb&1)f=pb()|0;else{eb=k[ja>>2]|0;k[ra>>2]=eb;y=0;oa(464,ia|0,eb+76|0);eb=y;y=0;do if(eb&1)f=pb()|0;else{t=k[ia>>2]|0;k[pa>>2]=t;y=0;t=ta(49,f|0,t|0,d|0)|0;eb=y;y=0;if(eb&1){f=pb()|0;EO(pa);break}EO(pa);EO(ra);EO(ua);EO(xa);f=k[jb>>2]|0;y=0;oa(482,wa|0,t|0);eb=y;y=0;l:do if(!(eb&1)){f=f+76|0;y=0;Ha(966,f|0,wa|0)|0;eb=y;y=0;do if(!(eb&1)){y=0;oa(464,sa|0,f|0);eb=y;y=0;if(eb&1)break;k[va>>2]=k[sa>>2];EO(va);EO(wa);y=0;na(387,hb|0);eb=y;y=0;if(eb&1)break l;y=0;na(387,ib|0);eb=y;y=0;if(eb&1)f=pb()|0;else{s=ib+16|0;f=k[s>>2]|0;x=ib+20|0;g=k[x>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,fb|0);eb=y;y=0;m:do if(eb&1){f=pb()|0;if(h)break;kZ(g)}else{if(!h)kZ(g);f=k[s>>2]|0;p=k[x>>2]|0;q=(p|0)==0;if(!q)Sba(p);k[kb>>2]=2;y=0;oa(601,lb|0,kb|0);eb=y;y=0;if(eb&1)f=pb()|0;else{m=f+8|0;h=k[m>>2]|0;n=f+4|0;g=k[n>>2]|0;eb=h-g>>2;j=f+16|0;l=k[j>>2]|0;o=f+20|0;i=k[o>>2]|0;do if((((eb|0)==0?0:(eb*170|0)+-1|0)|0)==(i+l|0)){y=0;na(370,f|0);eb=y;y=0;if(eb&1)break;i=k[o>>2]|0;f=k[j>>2]|0;h=k[m>>2]|0;g=k[n>>2]|0;ub=287}else{f=l;ub=287}while(0);do if((ub|0)==287){f=i+f|0;if((h|0)==(g|0))f=0;else f=(k[g+(((f>>>0)/170|0)<<2)>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[f>>2]=k[lb>>2];k[f+4>>2]=k[lb+4>>2];k[f+8>>2]=k[lb+8>>2];g=lb+12|0;y=0;oa(464,f+12|0,g|0);eb=y;y=0;if(eb&1)break;db=lb+16|0;k[f+16>>2]=k[db>>2];eb=lb+20|0;k[f+20>>2]=k[eb>>2];k[db>>2]=0;k[eb>>2]=0;k[o>>2]=(k[o>>2]|0)+1;EO(g);if(!q)kZ(p);f=k[s>>2]|0;g=k[x>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,ab|0);eb=y;y=0;if(eb&1){f=pb()|0;if(h)break m;kZ(g);break m}if(!h)kZ(g);f=k[s>>2]|0;p=k[x>>2]|0;q=(p|0)==0;if(!q)Sba(p);k[kb>>2]=2;y=0;oa(601,lb|0,kb|0);eb=y;y=0;if(eb&1)f=pb()|0;else{m=f+8|0;h=k[m>>2]|0;n=f+4|0;g=k[n>>2]|0;eb=h-g>>2;j=f+16|0;l=k[j>>2]|0;o=f+20|0;i=k[o>>2]|0;do if((((eb|0)==0?0:(eb*170|0)+-1|0)|0)==(i+l|0)){y=0;na(370,f|0);eb=y;y=0;if(eb&1)break;i=k[o>>2]|0;f=k[j>>2]|0;h=k[m>>2]|0;g=k[n>>2]|0;ub=303}else{f=l;ub=303}while(0);do if((ub|0)==303){f=i+f|0;if((h|0)==(g|0))f=0;else f=(k[g+(((f>>>0)/170|0)<<2)>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[f>>2]=k[lb>>2];k[f+4>>2]=k[lb+4>>2];k[f+8>>2]=k[lb+8>>2];g=lb+12|0;y=0;oa(464,f+12|0,g|0);eb=y;y=0;if(eb&1)break;db=lb+16|0;k[f+16>>2]=k[db>>2];eb=lb+20|0;k[f+20>>2]=k[eb>>2];k[db>>2]=0;k[eb>>2]=0;k[o>>2]=(k[o>>2]|0)+1;EO(g);if(!q)kZ(p);u=hb+16|0;f=k[u>>2]|0;v=hb+20|0;g=k[v>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,ib|0);eb=y;y=0;if(eb&1){f=pb()|0;if(h)break m;kZ(g);break m}if(!h)kZ(g);y=0;na(387,gb|0);eb=y;y=0;if(eb&1){f=pb()|0;break m}s=gb+16|0;f=k[s>>2]|0;w=gb+20|0;g=k[w>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,ab|0);eb=y;y=0;n:do if(eb&1){f=pb()|0;if(h)break;kZ(g)}else{if(!h)kZ(g);f=k[s>>2]|0;p=k[w>>2]|0;q=(p|0)==0;if(!q)Sba(p);k[kb>>2]=2;y=0;oa(601,lb|0,kb|0);eb=y;y=0;if(eb&1)f=pb()|0;else{m=f+8|0;h=k[m>>2]|0;n=f+4|0;g=k[n>>2]|0;eb=h-g>>2;j=f+16|0;l=k[j>>2]|0;o=f+20|0;i=k[o>>2]|0;do if((((eb|0)==0?0:(eb*170|0)+-1|0)|0)==(i+l|0)){y=0;na(370,f|0);eb=y;y=0;if(eb&1)break;i=k[o>>2]|0;f=k[j>>2]|0;h=k[m>>2]|0;g=k[n>>2]|0;ub=325}else{f=l;ub=325}while(0);do if((ub|0)==325){f=i+f|0;if((h|0)==(g|0))f=0;else f=(k[g+(((f>>>0)/170|0)<<2)>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[f>>2]=k[lb>>2];k[f+4>>2]=k[lb+4>>2];k[f+8>>2]=k[lb+8>>2];g=lb+12|0;y=0;oa(464,f+12|0,g|0);eb=y;y=0;if(eb&1)break;db=lb+16|0;k[f+16>>2]=k[db>>2];eb=lb+20|0;k[f+20>>2]=k[eb>>2];k[db>>2]=0;k[eb>>2]=0;k[o>>2]=(k[o>>2]|0)+1;EO(g);if(!q)kZ(p);f=k[s>>2]|0;g=k[w>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,fb|0);fb=y;y=0;if(fb&1){f=pb()|0;if(h)break n;kZ(g);break n}if(!h)kZ(g);i=k[s>>2]|0;p=k[w>>2]|0;q=(p|0)==0;if(!q)Sba(p);k[kb>>2]=2;y=0;oa(601,lb|0,kb|0);fb=y;y=0;if(fb&1)f=pb()|0;else{m=i+8|0;h=k[m>>2]|0;n=i+4|0;g=k[n>>2]|0;fb=h-g>>2;l=i+16|0;f=k[l>>2]|0;o=i+20|0;j=k[o>>2]|0;do if((((fb|0)==0?0:(fb*170|0)+-1|0)|0)==(j+f|0)){y=0;na(370,i|0);fb=y;y=0;if(fb&1)break;j=k[o>>2]|0;f=k[l>>2]|0;h=k[m>>2]|0;g=k[n>>2]|0;ub=341}else ub=341;while(0);do if((ub|0)==341){f=j+f|0;if((h|0)==(g|0))f=0;else f=(k[g+(((f>>>0)/170|0)<<2)>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[f>>2]=k[lb>>2];k[f+4>>2]=k[lb+4>>2];k[f+8>>2]=k[lb+8>>2];g=lb+12|0;y=0;oa(464,f+12|0,g|0);fb=y;y=0;if(fb&1)break;eb=lb+16|0;k[f+16>>2]=k[eb>>2];fb=lb+20|0;k[f+20>>2]=k[fb>>2];k[eb>>2]=0;k[fb>>2]=0;k[o>>2]=(k[o>>2]|0)+1;EO(g);if(!q)kZ(p);f=k[u>>2]|0;g=k[v>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,gb|0);fb=y;y=0;if(fb&1){f=pb()|0;if(h)break n;kZ(g);break n}if(!h)kZ(g);o:do if(t|0){y=0;na(387,bb|0);fb=y;y=0;if(fb&1){f=pb()|0;break n}o=bb+16|0;f=k[o>>2]|0;t=bb+20|0;q=k[t>>2]|0;s=(q|0)==0;if(!s)Sba(q);y=0;Na(87,lb|0,k[jb>>2]|0,d|0);fb=y;y=0;p:do if(fb&1){f=pb()|0;ub=437}else{m=f+8|0;h=k[m>>2]|0;n=f+4|0;g=k[n>>2]|0;fb=h-g>>2;j=f+16|0;l=k[j>>2]|0;p=f+20|0;i=k[p>>2]|0;do if((((fb|0)==0?0:(fb*170|0)+-1|0)|0)==(i+l|0)){y=0;na(370,f|0);fb=y;y=0;if(fb&1)break;i=k[p>>2]|0;f=k[j>>2]|0;h=k[m>>2]|0;g=k[n>>2]|0;ub=359}else{f=l;ub=359}while(0);do if((ub|0)==359){f=i+f|0;if((h|0)==(g|0))f=0;else f=(k[g+(((f>>>0)/170|0)<<2)>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[f>>2]=k[lb>>2];k[f+4>>2]=k[lb+4>>2];k[f+8>>2]=k[lb+8>>2];g=lb+12|0;y=0;oa(464,f+12|0,g|0);fb=y;y=0;if(fb&1)break;eb=lb+16|0;k[f+16>>2]=k[eb>>2];fb=lb+20|0;k[f+20>>2]=k[fb>>2];k[eb>>2]=0;k[fb>>2]=0;k[p>>2]=(k[p>>2]|0)+1;EO(g);if(!s)kZ(q);j=k[o>>2]|0;p=k[t>>2]|0;q=(p|0)==0;if(!q)Sba(p);k[kb>>2]=2;y=0;oa(601,lb|0,kb|0);kb=y;y=0;if(kb&1)f=pb()|0;else{m=j+8|0;h=k[m>>2]|0;n=j+4|0;g=k[n>>2]|0;kb=h-g>>2;l=j+16|0;i=k[l>>2]|0;o=j+20|0;f=k[o>>2]|0;do if((((kb|0)==0?0:(kb*170|0)+-1|0)|0)==(f+i|0)){y=0;na(370,j|0);kb=y;y=0;if(kb&1)break;f=k[o>>2]|0;i=k[l>>2]|0;h=k[m>>2]|0;g=k[n>>2]|0;ub=370}else ub=370;while(0);do if((ub|0)==370){f=f+i|0;if((h|0)==(g|0))f=0;else f=(k[g+(((f>>>0)/170|0)<<2)>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[f>>2]=k[lb>>2];k[f+4>>2]=k[lb+4>>2];k[f+8>>2]=k[lb+8>>2];g=lb+12|0;y=0;oa(464,f+12|0,g|0);kb=y;y=0;if(kb&1)break;kb=lb+16|0;k[f+16>>2]=k[kb>>2];lb=lb+20|0;k[f+20>>2]=k[lb>>2];k[kb>>2]=0;k[lb>>2]=0;k[o>>2]=(k[o>>2]|0)+1;EO(g);if(!q)kZ(p);f=k[u>>2]|0;g=k[v>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,bb|0);lb=y;y=0;if(lb&1){f=pb()|0;if(h)break p;kZ(g);break p}if(!h)kZ(g);f=k[t>>2]|0;if(f|0)kZ(f);EO(bb+12|0);break o}while(0);f=pb()|0;g=k[lb+20>>2]|0;if(g|0)kZ(g);EO(lb+12|0)}if(q)break p;kZ(p);break p}while(0);f=pb()|0;g=k[lb+20>>2]|0;if(g|0)kZ(g);EO(lb+12|0);ub=437}while(0);do if((ub|0)==437){if(s)break;kZ(q)}while(0);g=k[t>>2]|0;if(g|0)kZ(g);EO(bb+12|0);break n}while(0);i=k[e+16>>2]|0;l=k[e+20>>2]|0;m=(l|0)==0;if(!m)Sba(l);j=i+16|0;f=k[j>>2]|0;do if(!f){y=0;na(388,i|0);lb=y;y=0;if(lb&1)break;f=k[j>>2]|0;ub=455}else ub=455;while(0);do if((ub|0)==455){lb=k[i+4>>2]|0;h=lb+(((f>>>0)/170|0)<<2)|0;g=k[h>>2]|0;if((k[i+8>>2]|0)==(lb|0))f=0;else f=g+(((f>>>0)%170|0)*24|0)|0;if((f|0)==(g|0))g=(k[h+-4>>2]|0)+4080|0;else g=f;h=g+-24|0;k[h>>2]=k[hb>>2];k[h+4>>2]=k[hb+4>>2];k[h+8>>2]=k[hb+8>>2];h=hb+12|0;y=0;oa(464,g+-12|0,h|0);lb=y;y=0;if(lb&1)break;k[g+-8>>2]=k[u>>2];f=k[v>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[j>>2]=(k[j>>2]|0)+-1;ub=i+20|0;k[ub>>2]=(k[ub>>2]|0)+1;if(!m)kZ(l);f=k[w>>2]|0;if(f|0)kZ(f);EO(gb+12|0);f=k[x>>2]|0;if(f|0)kZ(f);EO(ib+12|0);f=k[v>>2]|0;if(f|0)kZ(f);EO(h);EO(jb);ub=901;break j}while(0);f=pb()|0;if(m)break n;kZ(l);break n}while(0);f=pb()|0;g=k[lb+20>>2]|0;if(g|0)kZ(g);EO(lb+12|0)}if(q)break n;kZ(p);break n}while(0);f=pb()|0;g=k[lb+20>>2]|0;if(g|0)kZ(g);EO(lb+12|0)}if(q)break;kZ(p)}while(0);g=k[w>>2]|0;if(g|0)kZ(g);EO(gb+12|0);break m}while(0);f=pb()|0;g=k[lb+20>>2]|0;if(g|0)kZ(g);EO(lb+12|0)}if(q)break m;kZ(p);break m}while(0);f=pb()|0;g=k[lb+20>>2]|0;if(g|0)kZ(g);EO(lb+12|0)}if(q)break;kZ(p)}while(0);g=k[x>>2]|0;if(g|0)kZ(g);EO(ib+12|0)}g=k[hb+20>>2]|0;if(g|0)kZ(g);EO(hb+12|0);break k}while(0);f=pb()|0;EO(wa);break k}while(0);f=pb()|0;break k}while(0);EO(ra)}EO(ua)}EO(xa)}while(0);EO(jb);break j}while(0);f=pb()|0;EO(da);break j}while(0);EO(ca)}EO(ka);break j}while(0);EO(W)}EO(ba);break}case 3:{if((k[Ya+8>>2]|0)==2)ub=484;else ub=742;break}case 1:{f=k[Ya+8>>2]|0;if((f&-2|0)!=2){ub=790;break j}j=e+16|0;l=k[j>>2]|0;n=e+20|0;o=k[n>>2]|0;p=(o|0)==0;if(!p)Sba(o);m=l+16|0;f=k[m>>2]|0;do if(!f){y=0;na(388,l|0);lb=y;y=0;if(lb&1)break;f=k[m>>2]|0;ub=749}else ub=749;while(0);do if((ub|0)==749){lb=k[l+4>>2]|0;i=lb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[l+8>>2]|0)==(lb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;lb=g+-24|0;k[lb>>2]=k[Ya>>2];k[lb+4>>2]=k[Ya+4>>2];k[lb+8>>2]=k[Ya+8>>2];y=0;oa(464,g+-12|0,nb|0);lb=y;y=0;if(lb&1)break;k[g+-8>>2]=k[v>>2];f=k[mb>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[m>>2]=(k[m>>2]|0)+-1;lb=l+20|0;k[lb>>2]=(k[lb>>2]|0)+1;if(!p)kZ(o);l=k[j>>2]|0;m=k[n>>2]|0;n=(m|0)==0;if(!n)Sba(m);j=l+16|0;f=k[j>>2]|0;do if(!f){y=0;na(388,l|0);lb=y;y=0;if(lb&1)break;f=k[j>>2]|0;ub=763}else ub=763;while(0);do if((ub|0)==763){lb=k[l+4>>2]|0;i=lb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[l+8>>2]|0)==(lb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;lb=g+-24|0;k[lb>>2]=k[ab>>2];k[lb+4>>2]=k[ab+4>>2];k[lb+8>>2]=k[ab+8>>2];y=0;oa(464,g+-12|0,J|0);lb=y;y=0;if(lb&1)break;k[g+-8>>2]=k[w>>2];f=k[I>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[j>>2]=(k[j>>2]|0)+-1;lb=l+20|0;k[lb>>2]=(k[lb>>2]|0)+1;if(!n)kZ(m);f=k[t>>2]|0;g=k[u>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,fb|0);lb=y;y=0;if(lb&1){f=pb()|0;if(h)break j;kZ(g);break j}if(!h)kZ(g);f=k[t>>2]|0;g=k[u>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,_a|0);lb=y;y=0;if(lb&1){f=pb()|0;if(h)break j;kZ(g);break j}else{if(h){ub=901;break j}kZ(g);ub=901;break j}}while(0);f=pb()|0;if(n)break j;kZ(m);break j}while(0);f=pb()|0;g=N;if(p)break j;kZ(o);break}default:ub=742}while(0);q:do if((ub|0)==484){k[Wa>>2]=k[fb>>2];k[Wa+4>>2]=k[fb+4>>2];k[Wa+8>>2]=k[fb+8>>2];H=Wa+12|0;y=0;oa(464,H|0,Aa|0);jb=y;y=0;if(jb&1){ub=211;break}h=Wa+16|0;k[h>>2]=k[x>>2];G=Wa+20|0;f=k[K>>2]|0;k[G>>2]=f;if(f|0)Sba(f);k[za>>2]=k[_a>>2];k[za+4>>2]=k[_a+4>>2];k[za+8>>2]=k[_a+8>>2];F=za+12|0;y=0;oa(464,F|0,qb|0);jb=y;y=0;if(jb&1)f=pb()|0;else{i=za+16|0;k[i>>2]=k[z>>2];E=za+20|0;f=k[ob>>2]|0;k[E>>2]=f;if(f|0)Sba(f);k[Za>>2]=k[ab>>2];k[Za+4>>2]=k[ab+4>>2];k[Za+8>>2]=k[ab+8>>2];D=Za+12|0;y=0;oa(464,D|0,J|0);jb=y;y=0;if(jb&1)f=pb()|0;else{s=Za+16|0;k[s>>2]=k[w>>2];C=Za+20|0;f=k[I>>2]|0;k[C>>2]=f;if(f|0)Sba(f);k[Xa>>2]=k[Ya>>2];k[Xa+4>>2]=k[Ya+4>>2];k[Xa+8>>2]=k[Ya+8>>2];B=Xa+12|0;y=0;oa(464,B|0,nb|0);jb=y;y=0;if(jb&1)f=pb()|0;else{q=Xa+16|0;k[q>>2]=k[v>>2];A=Xa+20|0;f=k[mb>>2]|0;k[A>>2]=f;if(f|0)Sba(f);do if((k[j>>2]|0)==2)ub=521;else{k[Wa>>2]=k[ab>>2];k[Wa+4>>2]=k[ab+4>>2];k[Wa+8>>2]=k[ab+8>>2];y=0;Ha(966,H|0,J|0)|0;ub=y;y=0;if(ub&1){ub=520;break}f=k[w>>2]|0;g=k[I>>2]|0;if(g|0)Sba(g);k[h>>2]=f;f=k[G>>2]|0;k[G>>2]=g;if(f|0)kZ(f);k[za>>2]=k[Ya>>2];k[za+4>>2]=k[Ya+4>>2];k[za+8>>2]=k[Ya+8>>2];y=0;Ha(966,F|0,nb|0)|0;ub=y;y=0;if(ub&1){ub=520;break}f=k[v>>2]|0;g=k[mb>>2]|0;if(g|0)Sba(g);k[i>>2]=f;f=k[E>>2]|0;k[E>>2]=g;if(f|0)kZ(f);k[Za>>2]=k[fb>>2];k[Za+4>>2]=k[fb+4>>2];k[Za+8>>2]=k[fb+8>>2];y=0;Ha(966,D|0,Aa|0)|0;ub=y;y=0;if(ub&1){ub=520;break}f=k[x>>2]|0;g=k[K>>2]|0;if(g|0)Sba(g);k[s>>2]=f;f=k[C>>2]|0;k[C>>2]=g;if(f|0)kZ(f);k[Xa>>2]=k[_a>>2];k[Xa+4>>2]=k[_a+4>>2];k[Xa+8>>2]=k[_a+8>>2];y=0;Ha(966,B|0,qb|0)|0;ub=y;y=0;if(ub&1){ub=520;break}f=k[z>>2]|0;g=k[ob>>2]|0;if(g|0)Sba(g);k[q>>2]=f;f=k[A>>2]|0;k[A>>2]=g;if(!f){ub=521;break}kZ(f);ub=521}while(0);r:do if((ub|0)==521){y=0;oa(464,Ba|0,H|0);jb=y;y=0;if(jb&1){ub=520;break}g=k[Ba>>2]|0;k[Ma>>2]=g;f=g;g=k[(k[g>>2]|0)+148>>2]|0;y=0;oa(464,Ca|0,D|0);jb=y;y=0;if(jb&1)f=pb()|0;else{k[Ia>>2]=k[Ca>>2];k[Ea>>2]=0;k[Ea+4>>2]=0;k[Ea+8>>2]=0;y=0;Na(75,Ea|0,82159,0);jb=y;y=0;do if(jb&1)f=pb()|0;else{y=0;f=ta(g|0,f|0,Ia|0,Ea|0)|0;jb=y;y=0;if(jb&1){f=pb()|0;$9(Ea);break}$9(Ea);EO(Ia);EO(Ma);s:do if(f){j=e+16|0;l=k[j>>2]|0;n=e+20|0;o=k[n>>2]|0;p=(o|0)==0;if(!p)Sba(o);m=l+16|0;f=k[m>>2]|0;do if(!f){y=0;na(388,l|0);lb=y;y=0;if(lb&1)break;f=k[m>>2]|0;ub=531}else ub=531;while(0);do if((ub|0)==531){lb=k[l+4>>2]|0;i=lb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[l+8>>2]|0)==(lb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;lb=g+-24|0;k[lb>>2]=k[Xa>>2];k[lb+4>>2]=k[Xa+4>>2];k[lb+8>>2]=k[Xa+8>>2];y=0;oa(464,g+-12|0,B|0);lb=y;y=0;if(lb&1)break;k[g+-8>>2]=k[q>>2];f=k[A>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[m>>2]=(k[m>>2]|0)+-1;lb=l+20|0;k[lb>>2]=(k[lb>>2]|0)+1;if(!p)kZ(o);l=k[j>>2]|0;m=k[n>>2]|0;n=(m|0)==0;if(!n)Sba(m);j=l+16|0;f=k[j>>2]|0;do if(!f){y=0;na(388,l|0);lb=y;y=0;if(lb&1)break;f=k[j>>2]|0;ub=545}else ub=545;while(0);do if((ub|0)==545){lb=k[l+4>>2]|0;i=lb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[l+8>>2]|0)==(lb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;lb=g+-24|0;k[lb>>2]=k[Za>>2];k[lb+4>>2]=k[Za+4>>2];k[lb+8>>2]=k[Za+8>>2];y=0;oa(464,g+-12|0,D|0);lb=y;y=0;if(lb&1)break;k[g+-8>>2]=k[s>>2];f=k[C>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[j>>2]=(k[j>>2]|0)+-1;ub=l+20|0;k[ub>>2]=(k[ub>>2]|0)+1;if(n)break s;kZ(m);break s}while(0);f=pb()|0;if(n)break r;kZ(m);break r}while(0);f=pb()|0;if(p)break r;kZ(o);break r}else{y=0;oa(464,Da|0,D|0);jb=y;y=0;if(jb&1){ub=520;break r}f=k[Da>>2]|0;k[Ja>>2]=f;y=0;f=qa(k[(k[f>>2]|0)+16>>2]|0,f|0)|0;jb=y;y=0;do if(!(jb&1)){y=0;oa(482,eb|0,f|0);jb=y;y=0;if(jb&1)break;EO(Ja);y=0;oa(464,Ga|0,D|0);jb=y;y=0;t:do if(jb&1)f=pb()|0;else{jb=k[Ga>>2]|0;k[Ua>>2]=jb;y=0;oa(464,Fa|0,jb+76|0);jb=y;y=0;if(jb&1)f=pb()|0;else{f=k[Fa>>2]|0;k[Ra>>2]=f;y=0;oa(464,La|0,H|0);jb=y;y=0;if(jb&1)f=pb()|0;else{jb=k[La>>2]|0;k[Pa>>2]=jb;y=0;oa(464,Ka|0,jb+76|0);jb=y;y=0;do if(jb&1)f=pb()|0;else{t=k[Ka>>2]|0;k[Oa>>2]=t;y=0;t=ta(49,f|0,t|0,d|0)|0;jb=y;y=0;if(jb&1){f=pb()|0;EO(Oa);break}EO(Oa);EO(Pa);EO(Ra);EO(Ua);f=k[eb>>2]|0;y=0;oa(482,Ta|0,t|0);jb=y;y=0;u:do if(!(jb&1)){f=f+76|0;y=0;Ha(966,f|0,Ta|0)|0;jb=y;y=0;do if(!(jb&1)){y=0;oa(464,Qa|0,f|0);jb=y;y=0;if(jb&1)break;k[Sa>>2]=k[Qa>>2];EO(Sa);EO(Ta);y=0;na(387,cb|0);jb=y;y=0;if(jb&1)break u;y=0;na(387,db|0);jb=y;y=0;if(jb&1)f=pb()|0;else{s=db+16|0;f=k[s>>2]|0;w=db+20|0;g=k[w>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,Wa|0);jb=y;y=0;v:do if(jb&1){f=pb()|0;if(h)break;kZ(g)}else{if(!h)kZ(g);f=k[s>>2]|0;p=k[w>>2]|0;q=(p|0)==0;if(!q)Sba(p);k[kb>>2]=2;y=0;oa(601,lb|0,kb|0);jb=y;y=0;if(jb&1)f=pb()|0;else{m=f+8|0;h=k[m>>2]|0;n=f+4|0;g=k[n>>2]|0;jb=h-g>>2;j=f+16|0;l=k[j>>2]|0;o=f+20|0;i=k[o>>2]|0;do if((((jb|0)==0?0:(jb*170|0)+-1|0)|0)==(i+l|0)){y=0;na(370,f|0);jb=y;y=0;if(jb&1)break;i=k[o>>2]|0;f=k[j>>2]|0;h=k[m>>2]|0;g=k[n>>2]|0;ub=587}else{f=l;ub=587}while(0);do if((ub|0)==587){f=i+f|0;if((h|0)==(g|0))f=0;else f=(k[g+(((f>>>0)/170|0)<<2)>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[f>>2]=k[lb>>2];k[f+4>>2]=k[lb+4>>2];k[f+8>>2]=k[lb+8>>2];g=lb+12|0;y=0;oa(464,f+12|0,g|0);jb=y;y=0;if(jb&1)break;ib=lb+16|0;k[f+16>>2]=k[ib>>2];jb=lb+20|0;k[f+20>>2]=k[jb>>2];k[ib>>2]=0;k[jb>>2]=0;k[o>>2]=(k[o>>2]|0)+1;EO(g);if(!q)kZ(p);f=k[s>>2]|0;g=k[w>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,Za|0);jb=y;y=0;if(jb&1){f=pb()|0;if(h)break v;kZ(g);break v}if(!h)kZ(g);f=k[s>>2]|0;p=k[w>>2]|0;q=(p|0)==0;if(!q)Sba(p);k[kb>>2]=3;y=0;oa(601,lb|0,kb|0);jb=y;y=0;if(jb&1)f=pb()|0;else{m=f+8|0;h=k[m>>2]|0;n=f+4|0;g=k[n>>2]|0;jb=h-g>>2;j=f+16|0;l=k[j>>2]|0;o=f+20|0;i=k[o>>2]|0;do if((((jb|0)==0?0:(jb*170|0)+-1|0)|0)==(i+l|0)){y=0;na(370,f|0);jb=y;y=0;if(jb&1)break;i=k[o>>2]|0;f=k[j>>2]|0;h=k[m>>2]|0;g=k[n>>2]|0;ub=603}else{f=l;ub=603}while(0);do if((ub|0)==603){f=i+f|0;if((h|0)==(g|0))f=0;else f=(k[g+(((f>>>0)/170|0)<<2)>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[f>>2]=k[lb>>2];k[f+4>>2]=k[lb+4>>2];k[f+8>>2]=k[lb+8>>2];g=lb+12|0;y=0;oa(464,f+12|0,g|0);jb=y;y=0;if(jb&1)break;ib=lb+16|0;k[f+16>>2]=k[ib>>2];jb=lb+20|0;k[f+20>>2]=k[jb>>2];k[ib>>2]=0;k[jb>>2]=0;k[o>>2]=(k[o>>2]|0)+1;EO(g);if(!q)kZ(p);u=cb+16|0;f=k[u>>2]|0;v=cb+20|0;g=k[v>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,db|0);jb=y;y=0;if(jb&1){f=pb()|0;if(h)break v;kZ(g);break v}if(!h)kZ(g);w:do if(t|0){y=0;na(387,$a|0);jb=y;y=0;if(jb&1){f=pb()|0;break v}o=$a+16|0;f=k[o>>2]|0;t=$a+20|0;q=k[t>>2]|0;s=(q|0)==0;if(!s)Sba(q);y=0;Na(87,lb|0,k[eb>>2]|0,d|0);jb=y;y=0;x:do if(jb&1){f=pb()|0;ub=680}else{m=f+8|0;h=k[m>>2]|0;n=f+4|0;g=k[n>>2]|0;jb=h-g>>2;j=f+16|0;l=k[j>>2]|0;p=f+20|0;i=k[p>>2]|0;do if((((jb|0)==0?0:(jb*170|0)+-1|0)|0)==(i+l|0)){y=0;na(370,f|0);jb=y;y=0;if(jb&1)break;i=k[p>>2]|0;f=k[j>>2]|0;h=k[m>>2]|0;g=k[n>>2]|0;ub=621}else{f=l;ub=621}while(0);do if((ub|0)==621){f=i+f|0;if((h|0)==(g|0))f=0;else f=(k[g+(((f>>>0)/170|0)<<2)>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[f>>2]=k[lb>>2];k[f+4>>2]=k[lb+4>>2];k[f+8>>2]=k[lb+8>>2];g=lb+12|0;y=0;oa(464,f+12|0,g|0);jb=y;y=0;if(jb&1)break;ib=lb+16|0;k[f+16>>2]=k[ib>>2];jb=lb+20|0;k[f+20>>2]=k[jb>>2];k[ib>>2]=0;k[jb>>2]=0;k[p>>2]=(k[p>>2]|0)+1;EO(g);if(!s)kZ(q);j=k[o>>2]|0;p=k[t>>2]|0;q=(p|0)==0;if(!q)Sba(p);k[kb>>2]=3;y=0;oa(601,lb|0,kb|0);kb=y;y=0;if(kb&1)f=pb()|0;else{m=j+8|0;h=k[m>>2]|0;n=j+4|0;g=k[n>>2]|0;kb=h-g>>2;l=j+16|0;i=k[l>>2]|0;o=j+20|0;f=k[o>>2]|0;do if((((kb|0)==0?0:(kb*170|0)+-1|0)|0)==(f+i|0)){y=0;na(370,j|0);kb=y;y=0;if(kb&1)break;f=k[o>>2]|0;i=k[l>>2]|0;h=k[m>>2]|0;g=k[n>>2]|0;ub=632}else ub=632;while(0);do if((ub|0)==632){f=f+i|0;if((h|0)==(g|0))f=0;else f=(k[g+(((f>>>0)/170|0)<<2)>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[f>>2]=k[lb>>2];k[f+4>>2]=k[lb+4>>2];k[f+8>>2]=k[lb+8>>2];g=lb+12|0;y=0;oa(464,f+12|0,g|0);kb=y;y=0;if(kb&1)break;kb=lb+16|0;k[f+16>>2]=k[kb>>2];lb=lb+20|0;k[f+20>>2]=k[lb>>2];k[kb>>2]=0;k[lb>>2]=0;k[o>>2]=(k[o>>2]|0)+1;EO(g);if(!q)kZ(p);f=k[u>>2]|0;g=k[v>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,$a|0);lb=y;y=0;if(lb&1){f=pb()|0;if(h)break x;kZ(g);break x}if(!h)kZ(g);f=k[t>>2]|0;if(f|0)kZ(f);EO($a+12|0);break w}while(0);f=pb()|0;g=k[lb+20>>2]|0;if(g|0)kZ(g);EO(lb+12|0)}if(q)break x;kZ(p);break x}while(0);f=pb()|0;g=k[lb+20>>2]|0;if(g|0)kZ(g);EO(lb+12|0);ub=680}while(0);do if((ub|0)==680){if(s)break;kZ(q)}while(0);g=k[t>>2]|0;if(g|0)kZ(g);EO($a+12|0);break v}while(0);i=k[e+16>>2]|0;l=k[e+20>>2]|0;m=(l|0)==0;if(!m)Sba(l);j=i+16|0;f=k[j>>2]|0;do if(!f){y=0;na(388,i|0);lb=y;y=0;if(lb&1)break;f=k[j>>2]|0;ub=698}else ub=698;while(0);do if((ub|0)==698){lb=k[i+4>>2]|0;h=lb+(((f>>>0)/170|0)<<2)|0;g=k[h>>2]|0;if((k[i+8>>2]|0)==(lb|0))f=0;else f=g+(((f>>>0)%170|0)*24|0)|0;if((f|0)==(g|0))g=(k[h+-4>>2]|0)+4080|0;else g=f;h=g+-24|0;k[h>>2]=k[cb>>2];k[h+4>>2]=k[cb+4>>2];k[h+8>>2]=k[cb+8>>2];h=cb+12|0;y=0;oa(464,g+-12|0,h|0);lb=y;y=0;if(lb&1)break;k[g+-8>>2]=k[u>>2];f=k[v>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[j>>2]=(k[j>>2]|0)+-1;ub=i+20|0;k[ub>>2]=(k[ub>>2]|0)+1;if(!m)kZ(l);f=k[w>>2]|0;if(f|0)kZ(f);EO(db+12|0);f=k[v>>2]|0;if(f|0)kZ(f);EO(h);EO(eb);break s}while(0);f=pb()|0;if(m)break v;kZ(l);break v}while(0);f=pb()|0;g=k[lb+20>>2]|0;if(g|0)kZ(g);EO(lb+12|0)}if(q)break v;kZ(p);break v}while(0);f=pb()|0;g=k[lb+20>>2]|0;if(g|0)kZ(g);EO(lb+12|0)}if(q)break;kZ(p)}while(0);g=k[w>>2]|0;if(g|0)kZ(g);EO(db+12|0)}g=k[cb+20>>2]|0;if(g|0)kZ(g);EO(cb+12|0);break t}while(0);f=pb()|0;EO(Ta);break t}while(0);f=pb()|0;break t}while(0);EO(Pa)}EO(Ra)}EO(Ua)}while(0);EO(eb);break r}while(0);f=pb()|0;EO(Ja);break r}while(0);f=k[A>>2]|0;if(f|0)kZ(f);EO(B);f=k[C>>2]|0;if(f|0)kZ(f);EO(D);f=k[E>>2]|0;if(f|0)kZ(f);EO(F);f=k[G>>2]|0;if(f|0)kZ(f);EO(H);ub=901;break q}while(0);EO(Ia)}EO(Ma)}while(0);if((ub|0)==520)f=pb()|0;g=k[A>>2]|0;if(g|0)kZ(g);EO(B)}g=k[C>>2]|0;if(g|0)kZ(g);EO(D)}g=k[E>>2]|0;if(g|0)kZ(g);EO(F)}g=k[G>>2]|0;if(g|0)kZ(g);EO(H)}else if((ub|0)==742){f=k[Ya+8>>2]|0;ub=790}while(0);y:do if((ub|0)==790){if((f|0)==1&(g&-2|0)==2){j=e+16|0;l=k[j>>2]|0;n=e+20|0;o=k[n>>2]|0;p=(o|0)==0;if(!p)Sba(o);m=l+16|0;f=k[m>>2]|0;do if(!f){y=0;na(388,l|0);lb=y;y=0;if(lb&1)break;f=k[m>>2]|0;ub=796}else ub=796;while(0);do if((ub|0)==796){lb=k[l+4>>2]|0;i=lb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[l+8>>2]|0)==(lb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;lb=g+-24|0;k[lb>>2]=k[_a>>2];k[lb+4>>2]=k[_a+4>>2];k[lb+8>>2]=k[_a+8>>2];y=0;oa(464,g+-12|0,qb|0);lb=y;y=0;if(lb&1)break;k[g+-8>>2]=k[z>>2];f=k[ob>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[m>>2]=(k[m>>2]|0)+-1;lb=l+20|0;k[lb>>2]=(k[lb>>2]|0)+1;if(!p)kZ(o);l=k[j>>2]|0;m=k[n>>2]|0;n=(m|0)==0;if(!n)Sba(m);j=l+16|0;f=k[j>>2]|0;do if(!f){y=0;na(388,l|0);lb=y;y=0;if(lb&1)break;f=k[j>>2]|0;ub=810}else ub=810;while(0);do if((ub|0)==810){lb=k[l+4>>2]|0;i=lb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[l+8>>2]|0)==(lb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;lb=g+-24|0;k[lb>>2]=k[fb>>2];k[lb+4>>2]=k[fb+4>>2];k[lb+8>>2]=k[fb+8>>2];y=0;oa(464,g+-12|0,Aa|0);lb=y;y=0;if(lb&1)break;k[g+-8>>2]=k[x>>2];f=k[K>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[j>>2]=(k[j>>2]|0)+-1;lb=l+20|0;k[lb>>2]=(k[lb>>2]|0)+1;if(!n)kZ(m);f=k[q>>2]|0;g=k[s>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,ab|0);lb=y;y=0;if(lb&1){f=pb()|0;if(h)break y;kZ(g);break y}if(!h)kZ(g);f=k[q>>2]|0;g=k[s>>2]|0;h=(g|0)==0;if(!h)Sba(g);y=0;oa(523,f|0,Ya|0);lb=y;y=0;if(lb&1){f=pb()|0;if(h)break y;kZ(g);break y}else{if(h){ub=901;break y}kZ(g);ub=901;break y}}while(0);f=pb()|0;if(n)break y;kZ(m);break y}while(0);f=pb()|0;if(p)break;kZ(o);break}if((g|0)!=(f|0)){y=0;na(389,a|0);ub=y;y=0;if(ub&1){ub=211;break}else{ub=902;break}}y=0;oa(464,L|0,Aa|0);kb=y;y=0;if(kb&1){ub=211;break}f=k[L>>2]|0;k[R>>2]=f;y=0;f=qa(k[(k[f>>2]|0)+16>>2]|0,f|0)|0;kb=y;y=0;do if(!(kb&1)){y=0;oa(482,Va|0,f|0);kb=y;y=0;if(kb&1)break;EO(R);y=0;oa(464,O|0,Aa|0);kb=y;y=0;z:do if(kb&1)f=pb()|0;else{kb=k[O>>2]|0;k[la>>2]=kb;y=0;oa(464,S|0,kb+76|0);kb=y;y=0;if(kb&1)f=pb()|0;else{f=k[S>>2]|0;k[fa>>2]=f;y=0;oa(464,U|0,J|0);kb=y;y=0;if(kb&1)f=pb()|0;else{kb=k[U>>2]|0;k[_>>2]=kb;y=0;oa(464,T|0,kb+76|0);kb=y;y=0;do if(kb&1)f=pb()|0;else{g=k[T>>2]|0;k[X>>2]=g;y=0;g=ta(49,f|0,g|0,d|0)|0;kb=y;y=0;if(kb&1){f=pb()|0;EO(X);break}EO(X);EO(_);EO(fa);EO(la);f=k[Va>>2]|0;y=0;oa(482,ha|0,g|0);kb=y;y=0;A:do if(!(kb&1)){f=f+76|0;y=0;Ha(966,f|0,ha|0)|0;kb=y;y=0;do if(!(kb&1)){y=0;oa(464,ea|0,f|0);kb=y;y=0;if(kb&1)break;k[ga>>2]=k[ea>>2];EO(ga);EO(ha);if(!g){y=0;na(389,a|0);a=y;y=0;if(a&1)break A;EO(Va);ub=902;break y}j=e+16|0;l=k[j>>2]|0;n=e+20|0;o=k[n>>2]|0;p=(o|0)==0;if(!p)Sba(o);m=l+16|0;f=k[m>>2]|0;do if(!f){y=0;na(388,l|0);kb=y;y=0;if(kb&1)break;f=k[m>>2]|0;ub=867}else ub=867;while(0);do if((ub|0)==867){kb=k[l+4>>2]|0;i=kb+(((f>>>0)/170|0)<<2)|0;h=k[i>>2]|0;if((k[l+8>>2]|0)==(kb|0))g=0;else g=h+(((f>>>0)%170|0)*24|0)|0;if((g|0)==(h|0))g=(k[i+-4>>2]|0)+4080|0;kb=g+-24|0;k[kb>>2]=k[_a>>2];k[kb+4>>2]=k[_a+4>>2];k[kb+8>>2]=k[_a+8>>2];y=0;oa(464,g+-12|0,qb|0);kb=y;y=0;if(kb&1)break;k[g+-8>>2]=k[z>>2];f=k[ob>>2]|0;k[g+-4>>2]=f;if(f|0)Sba(f);k[m>>2]=(k[m>>2]|0)+-1;kb=l+20|0;k[kb>>2]=(k[kb>>2]|0)+1;if(!p)kZ(o);j=k[j>>2]|0;l=k[n>>2]|0;m=(l|0)==0;if(!m)Sba(l);y=0;Na(87,lb|0,k[Va>>2]|0,d|0);kb=y;y=0;if(kb&1)f=pb()|0;else{i=j+16|0;f=k[i>>2]|0;do if(!f){y=0;na(388,j|0);kb=y;y=0;if(kb&1)break;f=k[i>>2]|0;ub=882}else ub=882;while(0);do if((ub|0)==882){kb=k[j+4>>2]|0;h=kb+(((f>>>0)/170|0)<<2)|0;g=k[h>>2]|0;if((k[j+8>>2]|0)==(kb|0))f=0;else f=g+(((f>>>0)%170|0)*24|0)|0;if((f|0)==(g|0))f=(k[h+-4>>2]|0)+4080|0;g=f+-24|0;k[g>>2]=k[lb>>2];k[g+4>>2]=k[lb+4>>2];k[g+8>>2]=k[lb+8>>2];g=lb+12|0;y=0;oa(464,f+-12|0,g|0);kb=y;y=0;if(kb&1)break;kb=lb+16|0;k[f+-8>>2]=k[kb>>2];ub=lb+20|0;k[f+-4>>2]=k[ub>>2];k[kb>>2]=0;k[ub>>2]=0;k[i>>2]=(k[i>>2]|0)+-1;ub=j+20|0;k[ub>>2]=(k[ub>>2]|0)+1;EO(g);if(!m)kZ(l);EO(Va);ub=901;break y}while(0);f=pb()|0;g=k[lb+20>>2]|0;if(g|0)kZ(g);EO(lb+12|0)}if(m)break z;kZ(l);break z}while(0);f=pb()|0;if(p)break z;kZ(o);break z}while(0);f=pb()|0;EO(ha);break z}while(0);f=pb()|0;break z}while(0);EO(_)}EO(fa)}EO(la)}while(0);EO(Va);break y}while(0);f=pb()|0;EO(R)}while(0);if((ub|0)==901){y=0;ma(18,a|0,b|0,c|0,d|0,e|0);ub=y;y=0;if(ub&1)ub=211;else ub=902}if((ub|0)==211)f=pb()|0;else if((ub|0)==902){f=k[I>>2]|0;if(f|0)kZ(f);EO(J);f=k[K>>2]|0;if(f|0)kZ(f);EO(Aa);f=k[mb>>2]|0;if(f|0)kZ(f);EO(nb);f=k[ob>>2]|0;if(f|0)kZ(f);EO(qb);break b}g=k[I>>2]|0;if(g|0)kZ(g);EO(J)}while(0);g=k[K>>2]|0;if(g|0)kZ(g);EO(Aa)}while(0);g=k[mb>>2]|0;if(g|0)kZ(g);EO(nb)}while(0);g=k[ob>>2]|0;if(g|0)kZ(g);EO(qb);break a}while(0);f=k[vb+20>>2]|0;if(f|0)kZ(f);EO(vb+12|0);f=k[rb>>2]|0;if(!f){wb=wb+12|0;EO(wb);r=tb;return}kZ(f);wb=wb+12|0;EO(wb);r=tb;return}}while(0);if((ub|0)==17)f=pb()|0;g=k[vb+20>>2]|0;if(g|0)kZ(g);EO(vb+12|0)}g=k[wb+20>>2]|0;if(!g){wb=wb+12|0;EO(wb);sb(f|0)}kZ(g);wb=wb+12|0;EO(wb);sb(f|0)}
function Id(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;E=0;D=r;r=r+192|0;B=D+40|0;C=D;h=D+168|0;F=D+92|0;n=D+156|0;c=D+144|0;v=D+80|0;s=D+140|0;t=D+128|0;u=D+116|0;w=D+112|0;z=D+108|0;A=D+104|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;jI(C,36355,2);y=0;j=B;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));q=sa(23,C|0,a|0,d|0,B|0,f|0)|0;x=y;y=0;if(x&1){F=pb()|0;$9(C);sb(F|0)}$9(C);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;jI(B,36349,5);y=0;b=Ha(971,a|0,B|0)|0;x=y;y=0;if(x&1){F=pb()|0;$9(B);sb(F|0)}b=k[b>>2]|0;if(!b)x=0;else x=pw(b,8,584,0)|0;$9(B);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;jI(B,36349,5);y=0;b=Ha(971,a|0,B|0)|0;o=y;y=0;if(o&1){F=pb()|0;$9(B);sb(F|0)}b=k[b>>2]|0;if(!b)g=0;else g=pw(b,8,104,0)|0;$9(B);if(g|0){if(!x){A=k[g+80>>2]|0;z=k[g+76>>2]|0;b=A-z>>2;if((z|0)==(A|0))E=15}else{A=k[x+88>>2]|0;z=k[x+84>>2]|0;b=A-z>>2;if((z|0)==(A|0))E=15}a:do if((E|0)==15){k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;jI(F,d,JI(d)|0);y=0;c=ta(52,F|0,0,36358)|0;A=y;y=0;if(A&1)b=pb()|0;else{k[C>>2]=k[c>>2];k[C+4>>2]=k[c+4>>2];k[C+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(970,C|0,36380)|0;A=y;y=0;do if(A&1)b=pb()|0;else{k[h>>2]=k[c>>2];k[h+4>>2]=k[c+4>>2];k[h+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;j=B;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));oa(458,h|0,B|0);A=y;y=0;if(A&1){b=pb()|0;$9(h);break}else{$9(h);$9(C);$9(F);break a}}while(0);$9(C)}$9(F);F=b;sb(F|0)}while(0);l=+p[q+64>>3];l=+O(+(l+(l<0.0?+(b>>>0):-1.0)));if(l<0.0)E=26;else if(l>+((b+-1|0)>>>0))E=26;b:do if((E|0)==26){k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;jI(F,d,JI(d)|0);y=0;b=ta(52,F|0,0,36400)|0;E=y;y=0;if(E&1)b=pb()|0;else{k[C>>2]=k[b>>2];k[C+4>>2]=k[b+4>>2];k[C+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,C|0,42853)|0;E=y;y=0;do if(E&1)b=pb()|0;else{k[n>>2]=k[b>>2];k[n+4>>2]=k[b+4>>2];k[n+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;j=B;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));oa(458,n|0,B|0);E=y;y=0;if(E&1){b=pb()|0;$9(n);break}else{$9(n);$9(C);$9(F);break b}}while(0);$9(C)}$9(F);F=b;sb(F|0)}while(0);$na(B);b=k[(k[g+76>>2]|0)+(~~l<<2)>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,B|0)|0;F=y;y=0;if(F&1){F=pb()|0;sb(F|0)}else{F=b;r=D;return F|0}}k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;jI(B,36349,5);y=0;b=Ha(971,a|0,B|0)|0;o=y;y=0;if(!(o&1)){b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,216,0)|0;y=0;oa(482,F|0,b|0);o=y;y=0;if(!(o&1)){$9(B);h=q+64|0;c:do if(+p[h>>3]==0.0){k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;q=JI(d)|0;y=0;Na(75,v|0,d|0,q|0);q=y;y=0;if(q&1)b=pb()|0;else{y=0;b=ta(52,v|0,0,36426)|0;q=y;y=0;if(q&1)b=pb()|0;else{k[C>>2]=k[b>>2];k[C+4>>2]=k[b+4>>2];k[C+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,C|0,36445)|0;q=y;y=0;do if(q&1)b=pb()|0;else{k[c>>2]=k[b>>2];k[c+4>>2]=k[b+4>>2];k[c+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;j=B;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));oa(458,c|0,B|0);q=y;y=0;if(q&1){b=pb()|0;$9(c);break}else{$9(c);$9(C);$9(v);E=56;break c}}while(0);$9(C)}$9(v)}}else E=56;while(0);d:do if((E|0)==56){q=(x|0)!=0;if(q){f=k[x+88>>2]|0;a=k[x+84>>2]|0;b=f-a>>2;if((a|0)==(f|0))E=86}else{c=k[F>>2]|0;e:do if(!c){y=0;n=qa(332,88)|0;o=y;y=0;f:do if(o&1)E=74;else{j=B;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));y=0;na(366,n|0);o=y;y=0;do if(o&1)b=pb()|0;else{j=n+12|0;m=B;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;b=n+56|0;k[b>>2]=0;k[n>>2]=7760;c=n+60|0;k[c>>2]=7720;j=n+64|0;m=n+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(518,j|0,1);o=y;y=0;if(o&1){b=pb()|0;h=N;c=k[j>>2]|0;if(c|0){g=k[m>>2]|0;if((g|0)!=(c|0)){do{D=g+-4|0;k[m>>2]=D;EO(D);g=k[m>>2]|0}while((g|0)!=(c|0));c=k[j>>2]|0}zqa(c)}break}k[n>>2]=7552;k[c>>2]=7680;k[n+80>>2]=1;i[n+84>>0]=0;i[n+85>>0]=0;k[b>>2]=5;y=0;oa(482,C|0,n|0);o=y;y=0;if(o&1){E=74;break f}y=0;Ha(966,F|0,C|0)|0;o=y;y=0;if(o&1){b=pb()|0;EO(C);break f}EO(C);c=(k[F>>2]|0)+60|0;g=k[(k[c>>2]|0)+20>>2]|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;y=0;Na(75,C|0,36349,5);o=y;y=0;if(o&1)b=pb()|0;else{y=0;j=B;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));b=sa(27,C|0,a|0,d|0,B|0,f|0)|0;f=y;y=0;do if(f&1)E=80;else{y=0;oa(482,s|0,b|0);f=y;y=0;if(f&1){E=80;break}y=0;oa(g|0,c|0,s|0);f=y;y=0;if(f&1){b=pb()|0;EO(s);break}else{EO(s);$9(C);c=k[F>>2]|0;break e}}while(0);if((E|0)==80)b=pb()|0;$9(C)}break d}while(0);zqa(n)}while(0);if((E|0)==74)b=pb()|0;break d}while(0);b=(k[c+68>>2]|0)-(k[c+64>>2]|0)>>2;if((k[c+64>>2]|0)==(k[c+68>>2]|0))E=86}g:do if((E|0)==86){k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;f=JI(d)|0;y=0;Na(75,v|0,d|0,f|0);f=y;y=0;if(f&1)b=pb()|0;else{y=0;c=ta(52,v|0,0,36358)|0;f=y;y=0;if(f&1)b=pb()|0;else{k[C>>2]=k[c>>2];k[C+4>>2]=k[c+4>>2];k[C+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(970,C|0,36380)|0;f=y;y=0;do if(f&1)b=pb()|0;else{k[t>>2]=k[c>>2];k[t+4>>2]=k[c+4>>2];k[t+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;j=B;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));oa(458,t|0,B|0);f=y;y=0;if(f&1){b=pb()|0;$9(t);break}else{$9(t);$9(C);$9(v);break g}}while(0);$9(C)}$9(v)}break d}while(0);l=+p[h>>3];l=+O(+(l+(l<0.0?+(b>>>0):-1.0)));if(l<0.0)E=100;else if(l>+((b+-1|0)>>>0))E=100;h:do if((E|0)==100){k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;t=JI(d)|0;y=0;Na(75,v|0,d|0,t|0);d=y;y=0;if(d&1)b=pb()|0;else{y=0;b=ta(52,v|0,0,36400)|0;d=y;y=0;if(d&1)b=pb()|0;else{k[C>>2]=k[b>>2];k[C+4>>2]=k[b+4>>2];k[C+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,C|0,42853)|0;d=y;y=0;do if(d&1)b=pb()|0;else{k[u>>2]=k[b>>2];k[u+4>>2]=k[b+4>>2];k[u+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;j=B;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));oa(458,u|0,B|0);d=y;y=0;if(d&1){b=pb()|0;$9(u);break}else{$9(u);$9(C);$9(v);break h}}while(0);$9(C)}$9(v)}break d}while(0);i:do if(q){y=0;n=qa(332,88)|0;v=y;y=0;j:do if(v&1)E=132;else{j=C;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));y=0;na(366,n|0);e=y;y=0;do if(e&1)b=pb()|0;else{j=n+12|0;m=C;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;b=n+56|0;k[b>>2]=0;k[n>>2]=7760;c=n+60|0;k[c>>2]=7720;j=n+64|0;m=n+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(518,j|0,1);C=y;y=0;if(C&1){b=pb()|0;h=N;c=k[j>>2]|0;if(c|0){g=k[m>>2]|0;if((g|0)!=(c|0)){do{D=g+-4|0;k[m>>2]=D;EO(D);g=k[m>>2]|0}while((g|0)!=(c|0));c=k[j>>2]|0}zqa(c)}break}k[n>>2]=7552;k[c>>2]=7680;k[n+80>>2]=1;i[n+84>>0]=0;i[n+85>>0]=0;k[b>>2]=5;y=0;oa(482,B|0,n|0);C=y;y=0;if(C&1){E=132;break j}y=0;Ha(966,F|0,B|0)|0;C=y;y=0;if(C&1){b=pb()|0;EO(B);break j}EO(B);b=(k[F>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;h=~~l>>>0;j=x+84|0;y=0;oa(464,w|0,(k[j>>2]|0)+(h<<2)|0);C=y;y=0;if(C&1){E=137;break i}y=0;oa(c|0,b|0,w|0);C=y;y=0;if(C&1){b=pb()|0;EO(w);break d}EO(w);c=(k[F>>2]|0)+60|0;g=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(464,A|0,(k[j>>2]|0)+(h<<2)|0);C=y;y=0;if(C&1){E=137;break i}y=0;b=Ha(965,x+60|0,A|0)|0;C=y;y=0;do if(C&1)b=pb()|0;else{k[z>>2]=b;y=0;oa(g|0,c|0,z|0);C=y;y=0;if(C&1){b=pb()|0;EO(z);break}EO(z);EO(A);b=k[F>>2]|0;if(!b)b=0;else i[b+8>>0]=1;break i}while(0);EO(A);break d}while(0);zqa(n)}while(0);if((E|0)==132)b=pb()|0;break d}else{y=0;b=Ha(981,k[F>>2]|0,~~l|0)|0;C=y;y=0;if(C&1)E=137;else{k[v>>2]=b;y=0;oa(k[(k[b>>2]|0)+96>>2]|0,b|0,0);C=y;y=0;if(C&1){b=pb()|0;EO(v);break d}b=k[v>>2]|0;if(!b)b=0;else i[b+8>>0]=1;EO(v)}}while(0);if((E|0)==137){b=pb()|0;break}EO(F);F=b;r=D;return F|0}while(0);EO(F);F=b;sb(F|0)}}F=pb()|0;$9(B);sb(F|0);return 0}function Jd(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;X=0;U=r;r=r+336|0;A=U+80|0;B=U+288|0;I=U+40|0;K=U+268|0;M=U;T=U+284|0;Y=U+264|0;H=U+280|0;W=U+252|0;V=U+248|0;S=U+224|0;C=U+256|0;R=U+200|0;D=U+240|0;E=U+212|0;P=U+132|0;Q=U+120|0;F=U+160|0;J=U+144|0;h=ZL(108)|0;G=a+108|0;d=A;e=G;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;na(366,h|0);O=y;y=0;do if(O&1)b=pb()|0;else{d=h+12|0;e=A;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h>>2]=11396;i[h+60>>0]=0;i[h+61>>0]=0;i[h+62>>0]=0;k[h+64>>2]=0;k[h+68>>2]=0;k[h+56>>2]=7;b=h+72|0;k[b>>2]=13580;f=h+76|0;g=h+80|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(516,f|0,0);O=y;y=0;if(O&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{Y=d+-4|0;k[g>>2]=Y;EO(Y);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[h>>2]=13364;k[b>>2]=13540;O=h+96|0;k[O>>2]=0;k[h+100>>2]=0;k[h+92>>2]=O;i[h+104>>0]=0;i[h+105>>0]=0;_V(Y,h);k[(k[Y>>2]|0)+64>>2]=k[a+68>>2];y=0;ta(70,a|0,1,0)|0;O=y;y=0;a:do if(O&1)X=20;else{L=a+76|0;O=a+80|0;j=a+156|0;l=a+160|0;m=J+8|0;n=J+4|0;o=J+11|0;p=C+4|0;q=D+4|0;s=S+11|0;t=S+4|0;u=R+11|0;v=R+4|0;w=A+8|0;x=A+4|0;z=A+11|0;b:while(1){y=0;ta(71,a|0,0,0)|0;h=y;y=0;if(h&1){X=19;break}y=0;b=qa(363,k[L>>2]|0)|0;h=y;y=0;if(h&1){X=19;break}if(b|0){b=k[Y>>2]|0;y=0;c=qa(364,a|0)|0;h=y;y=0;if(h&1){X=19;break}k[H>>2]=c;y=0;oa(514,b|0,c|0);h=y;y=0;if(h&1){X=22;break}EO(H);continue}y=0;b=ta(72,a|0,0,0)|0;h=y;y=0;if(h&1){X=19;break}if(b|0){b=k[Y>>2]|0;i[b+105>>0]=1;y=0;c=qa(332,104)|0;h=y;y=0;if(h&1){X=19;break}d=M;e=G;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;y=0;Na(75,K|0,44146,1);h=y;y=0;if(h&1){X=48;break}y=0;d=A;e=M;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Na(88,c|0,A|0,K|0);h=y;y=0;if(h&1){X=28;break}$9(K);k[c>>2]=11880;i[c+101>>0]=1;y=0;oa(514,b|0,c|0);h=y;y=0;if(h&1){X=19;break}c=k[Y>>2]|0;b=k[c+76>>2]|0;c=(k[c+80>>2]|0)-b>>2;if(c>>>0<=1)continue;d=B;e=G;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;oa(464,W|0,b+(c+-1<<2)|0);h=y;y=0;if(h&1){X=50;break}g=k[Y>>2]|0;h=k[g+76>>2]|0;y=0;oa(464,V|0,h+(((k[g+80>>2]|0)-h>>2)+-2<<2)|0);h=y;y=0;if(h&1){X=51;break}h=k[V>>2]|0;g=k[(k[h>>2]|0)+28>>2]|0;k[C>>2]=0;k[p>>2]=5;y=0;k[A>>2]=k[C>>2];k[A+4>>2]=k[C+4>>2];Na(g|0,S|0,h|0,A|0);h=y;y=0;if(h&1){X=52;break}h=k[W>>2]|0;g=k[(k[h>>2]|0)+28>>2]|0;k[D>>2]=0;k[q>>2]=5;y=0;k[A>>2]=k[D>>2];k[A+4>>2]=k[D+4>>2];Na(g|0,R|0,h|0,A|0);h=y;y=0;if(h&1){X=53;break}y=0;b=ta(55,a|0,1,0)|0;h=y;y=0;if(h&1){X=54;break}if(b|0){c=k[j>>2]|0;e=k[l>>2]|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;f=e-c|0;do if(f>>>0>4294967279){y=0;na(377,A|0);X=y;y=0;if(X&1){X=55;break b}else X=41}else{if(f>>>0>=11){X=41;break}i[z>>0]=f;b=A}while(0);if((X|0)==41){X=0;d=f+16&-16;y=0;b=qa(332,d|0)|0;h=y;y=0;if(h&1){X=55;break}k[A>>2]=b;k[w>>2]=d|-2147483648;k[x>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;h=i[z>>0]|0;g=h<<24>>24<0;y=0;ta(47,R|0,(g?k[A>>2]|0:A)|0,(g?k[x>>2]|0:h&255)|0)|0;h=y;y=0;if(h&1){X=56;break}$9(A)}k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;b=i[s>>0]|0;b=b<<24>>24<0?k[t>>2]|0:b&255;y=0;Ra(10,Q|0,39631,19,b+19|0);h=y;y=0;if(h&1){X=67;break}y=0;ta(47,Q|0,((i[s>>0]|0)<0?k[S>>2]|0:S)|0,b|0)|0;h=y;y=0;if(h&1){X=67;break}y=0;b=Ha(970,Q|0,39651)|0;h=y;y=0;if(h&1){X=68;break}k[P>>2]=k[b>>2];k[P+4>>2]=k[b+4>>2];k[P+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=i[u>>0]|0;h=b<<24>>24<0;y=0;b=ta(47,P|0,(h?k[R>>2]|0:R)|0,(h?k[v>>2]|0:b&255)|0)|0;h=y;y=0;if(h&1){X=69;break}k[M>>2]=k[b>>2];k[M+4>>2]=k[b+4>>2];k[M+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,M|0,39674)|0;h=y;y=0;if(h&1){X=70;break}k[K>>2]=k[b>>2];k[K+4>>2]=k[b+4>>2];k[K+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=i[u>>0]|0;h=b<<24>>24<0;y=0;b=ta(47,K|0,(h?k[R>>2]|0:R)|0,(h?k[v>>2]|0:b&255)|0)|0;h=y;y=0;if(h&1){X=71;break}k[I>>2]=k[b>>2];k[I+4>>2]=k[b+4>>2];k[I+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,I|0,39679)|0;h=y;y=0;if(h&1){X=72;break}k[E>>2]=k[b>>2];k[E+4>>2]=k[b+4>>2];k[E+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;k[A>>2]=k[B>>2];k[A+4>>2]=k[B+4>>2];k[A+8>>2]=k[B+8>>2];Na(109,a|0,E|0,A|0);h=y;y=0;if(h&1){X=73;break}$9(E);$9(I);$9(K);$9(M);$9(P);$9(Q);$9(R);$9(S);EO(V);EO(W);continue}y=0;b=ta(73,a|0,0,0)|0;h=y;y=0;if(h&1){X=19;break}if(b|0){g=k[Y>>2]|0;y=0;h=qa(332,104)|0;f=y;y=0;if(f&1){X=19;break}d=F;e=G;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));c=k[j>>2]|0;e=k[l>>2]|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,J|0);X=y;y=0;if(X&1){X=102;break}else X=92}else if(f>>>0<11){i[o>>0]=f;b=J}else X=92;if((X|0)==92){X=0;d=f+16&-16;y=0;b=qa(332,d|0)|0;Z=y;y=0;if(Z&1){X=102;break}k[J>>2]=b;k[m>>2]=d|-2147483648;k[n>>2]=f}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;d=I;e=F;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;oa(452,B|0,J|0);Z=y;y=0;if(Z&1){c=1;X=103;break}y=0;d=A;e=I;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Na(88,h|0,A|0,B|0);Z=y;y=0;if(Z&1){X=99;break}$9(B);k[h>>2]=12240;y=0;oa(514,g|0,h|0);Z=y;y=0;if(Z&1){c=0;X=103;break}$9(J);continue}y=0;b=qa(365,k[L>>2]|0)|0;Z=y;y=0;if(Z&1){X=19;break}if(!((b|0)==0?1:b>>>0>(k[O>>2]|0)>>>0)){X=136;break}b=k[L>>2]|0;y=0;c=qa(360,b|0)|0;Z=y;y=0;if(Z&1){X=19;break}y=0;b=qa(362,(c|0?c:b)|0)|0;Z=y;y=0;if(Z&1){X=19;break}if(!((b|0)==0?1:b>>>0>(k[O>>2]|0)>>>0)){X=136;break}y=0;b=qa(359,k[L>>2]|0)|0;Z=y;y=0;if(Z&1){X=19;break}if((b|0)==0?1:b>>>0>(k[O>>2]|0)>>>0)b=k[L>>2]|0;y=0;c=qa(360,b|0)|0;Z=y;y=0;if(Z&1){X=19;break}e=c|0?c:b;c=i[32626]|0;c:do if(!(c<<24>>24))b=0;else{b=i[e>>0]|0;d=32626;while(1){if(b<<24>>24==c<<24>>24)break c;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){b=0;break}}}while(0);Z=b<<24>>24?e+1|0:0;if(!((Z|0)==0?1:Z>>>0>(k[O>>2]|0)>>>0)){X=136;break}y=0;b=qa(359,k[L>>2]|0)|0;Z=y;y=0;if(Z&1){X=19;break}if((b|0)==0?1:b>>>0>(k[O>>2]|0)>>>0)b=k[L>>2]|0;y=0;c=qa(360,b|0)|0;Z=y;y=0;if(Z&1){X=19;break}e=c|0?c:b;c=i[32619]|0;d:do if(!(c<<24>>24))b=0;else{b=i[e>>0]|0;d=32619;while(1){if(b<<24>>24==c<<24>>24)break d;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){b=0;break}}}while(0);Z=b<<24>>24?e+1|0:0;if(!((Z|0)==0?1:Z>>>0>(k[O>>2]|0)>>>0)){X=136;break}y=0;b=qa(364,a|0)|0;Z=y;y=0;if(Z&1){X=19;break}k[P>>2]=b;if(!b){X=130;break}y=0;oa(514,k[Y>>2]|0,b|0);Z=y;y=0;if(Z&1){X=131;break}EO(P)}switch(X|0){case 19:{b=pb()|0;X=21;break a}case 22:{b=pb()|0;EO(H);break a}case 28:{b=pb()|0;$9(K);X=49;break}case 48:{b=pb()|0;X=49;break}case 50:{b=pb()|0;break}case 51:{b=pb()|0;X=83;break}case 52:{b=pb()|0;X=82;break}case 53:{b=pb()|0;X=81;break}case 54:{b=pb()|0;X=80;break}case 55:{b=pb()|0;X=57;break}case 56:{b=pb()|0;$9(A);X=57;break}case 67:{b=pb()|0;$9(Q);X=79;break}case 68:{b=pb()|0;X=78;break}case 69:{b=pb()|0;X=77;break}case 70:{b=pb()|0;X=76;break}case 71:{b=pb()|0;X=75;break}case 72:{b=pb()|0;X=74;break}case 73:{b=pb()|0;$9(E);X=74;break}case 99:{b=pb()|0;$9(B);$9(J);X=104;break}case 102:{b=pb()|0;X=104;break}case 103:{b=pb()|0;$9(J);if(c)X=104;else break a;break}case 130:{y=0;oa(482,T|0,0);Z=y;y=0;if(Z&1){b=pb()|0;X=133;break}EO(P);EO(Y);Z=k[T>>2]|0;r=U;return Z|0}case 131:{b=pb()|0;X=133;break}case 136:{if(k[Y>>2]|0){y=0;b=qa(359,k[L>>2]|0)|0;Z=y;y=0;if(Z&1){X=20;break a}if((b|0)==0?1:b>>>0>(k[O>>2]|0)>>>0)b=k[L>>2]|0;y=0;c=qa(360,b|0)|0;Z=y;y=0;if(Z&1){X=20;break a}Z=c|0?c:b;Z=(i[Z>>0]|0)==123?Z+1|0:0;if((Z|0)==0?1:Z>>>0>(k[O>>2]|0)>>>0){d=k[Y>>2]|0;y=0;b=qa(358,k[L>>2]|0)|0;Z=y;y=0;if(Z&1){X=20;break a}if(b){y=0;b=qa(359,k[L>>2]|0)|0;Z=y;y=0;if(Z&1){X=20;break a}if((b|0)==0?1:b>>>0>(k[O>>2]|0)>>>0)b=k[L>>2]|0;y=0;c=qa(360,b|0)|0;Z=y;y=0;if(Z&1){X=20;break a}b=c|0?c:b;b=(i[b>>0]|0)==123?b+1|0:0;b=((b|0)==0?1:b>>>0>(k[O>>2]|0)>>>0)&1}else b=0;i[d+61>>0]=b}}y=0;oa(464,T|0,Y|0);Z=y;y=0;if(Z&1){X=20;break a}EO(Y);Z=k[T>>2]|0;r=U;return Z|0}}if((X|0)==49){zqa(c);break}else if((X|0)==57)X=80;else if((X|0)==74){$9(I);X=75}else if((X|0)==104){zqa(h);break}else if((X|0)==133){EO(P);break}if((X|0)==75){$9(K);X=76}if((X|0)==76){$9(M);X=77}if((X|0)==77){$9(P);X=78}if((X|0)==78){$9(Q);X=79}if((X|0)==79)X=80;if((X|0)==80){$9(R);X=81}if((X|0)==81){$9(S);X=82}if((X|0)==82){EO(V);X=83}if((X|0)==83)EO(W)}while(0);if((X|0)==20){b=pb()|0;X=21}EO(Y);Z=b;sb(Z|0)}while(0);zqa(h);Z=b;sb(Z|0);return 0}function Kd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;R=0;Q=r;r=r+432|0;L=Q+384|0;o=Q+376|0;v=Q+372|0;w=Q+368|0;x=Q+364|0;z=Q+360|0;E=Q+40|0;J=Q+348|0;K=Q;M=Q+344|0;U=Q+288|0;T=Q+268|0;c=Q+304|0;f=Q+284|0;g=Q+264|0;e=Q+260|0;S=Q+256|0;n=Q+252|0;p=Q+248|0;A=Q+244|0;B=Q+240|0;q=Q+236|0;s=Q+232|0;t=Q+192|0;G=Q+184|0;H=Q+180|0;F=Q+176|0;u=Q+172|0;C=Q+168|0;D=Q+128|0;I=Q+88|0;O=Q+84|0;P=Q+80|0;d=a+4|0;switch(k[d>>2]|0){case 2:{h=k[a+16>>2]|0;b=k[a+20>>2]|0;if(b|0){Sba(b);kZ(b)}k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;jI(U,82159,0);y=0;Ra(15,Q+272|0,-1,-1,-1);m=y;y=0;if(m&1){T=pb()|0;$9(U);sb(T|0)}y=0;j=qa(332,88)|0;m=y;y=0;a:do if(m&1)b=pb()|0;else{y=0;Ra(16,c|0,31612,0,-1);m=y;y=0;do if(m&1)R=18;else{y=0;oa(482,f|0,0);m=y;y=0;if(m&1)R=18;else{y=0;oa(482,g|0,0);m=y;y=0;if(m&1){b=pb()|0;EO(f);break}y=0;oa(482,e|0,0);m=y;y=0;if(m&1){b=pb()|0;c=1}else{y=0;m=L;b=c;l=m+40|0;do{k[m>>2]=k[b>>2];m=m+4|0;b=b+4|0}while((m|0)<(l|0));ya(11,j|0,L|0,0,f|0,g|0,e|0);m=y;y=0;if(m&1)c=1;else{y=0;oa(482,T|0,j|0);m=y;y=0;if(m&1)c=0;else{EO(e);EO(g);EO(f);y=0;oa(464,S|0,T|0);R=y;y=0;if(R&1)b=pb()|0;else{switch(k[d>>2]|0){case 0:{i[(k[T>>2]|0)+60>>0]=i[a>>0]|0;break}case 1:{i[(k[T>>2]|0)+60>>0]=i[a>>0]|0;break}default:{}}b=k[h+4>>2]|0;c=k[h+16>>2]|0;d=b+(((c>>>0)/170|0)<<2)|0;if((k[h+8>>2]|0)==(b|0)){j=0;b=0}else{j=c+(k[h+20>>2]|0)|0;j=(k[b+(((j>>>0)/170|0)<<2)>>2]|0)+(((j>>>0)%170|0)*24|0)|0;b=(k[d>>2]|0)+(((c>>>0)%170|0)*24|0)|0}b:while(1){do{h=b;if((h|0)==(j|0)){R=32;break b}c:do switch(k[h+4>>2]|0){case 0:{b=k[S>>2]|0;y=0;oa(464,z|0,h+12|0);R=y;y=0;if(R&1){R=43;break b}c=k[z>>2]|0;k[A>>2]=c;y=0;c=qa(k[(k[c>>2]|0)+12>>2]|0,c|0)|0;R=y;y=0;if(R&1){R=45;break b}y=0;oa(482,p|0,c|0);R=y;y=0;if(R&1){R=45;break b}b=b+80|0;y=0;Ha(966,b|0,p|0)|0;R=y;y=0;if(R&1){R=46;break b}y=0;oa(464,x|0,b|0);R=y;y=0;if(R&1){R=46;break b}k[n>>2]=k[x>>2];EO(n);EO(p);EO(A);y=0;oa(464,w|0,(k[S>>2]|0)+80|0);R=y;y=0;if(R&1){R=48;break b}R=k[w>>2]|0;k[B>>2]=R;y=0;oa(482,L|0,R|0);R=y;y=0;if(R&1){R=49;break b}y=0;Ha(966,S|0,L|0)|0;R=y;y=0;if(R&1){R=50;break b}EO(L);EO(B);break}case 1:{g=k[S>>2]|0;k[g+72>>2]=k[h+8>>2];if(i[h>>0]|0)i[g+60>>0]=1;f=b-(k[d>>2]|0)|0;c=(f|0)/24|0;e=c+1|0;f=(f|0)>-24;if(f)b=(k[d+(((e>>>0)/170|0)<<2)>>2]|0)+(((e>>>0)%170|0)*24|0)|0;else{b=168-c|0;b=(k[d+(((b|0)/-170|0)<<2)>>2]|0)+((169-((b|0)%170|0)|0)*24|0)|0}if((b|0)==(j|0))break c;if(f)c=(k[d+(((e>>>0)/170|0)<<2)>>2]|0)+(((e>>>0)%170|0)*24|0)|0;else{c=168-c|0;c=(k[d+(((c|0)/-170|0)<<2)>>2]|0)+((169-((c|0)%170|0)|0)*24|0)|0}if((k[c+4>>2]|0)!=1)break c;y=0;e=qa(332,88)|0;R=y;y=0;if(R&1){R=75;break b}y=0;Ra(16,t|0,31612,0,-1);R=y;y=0;if(R&1){R=76;break b}y=0;oa(482,G|0,0);R=y;y=0;if(R&1){R=76;break b}y=0;oa(482,H|0,0);R=y;y=0;if(R&1){R=77;break b}y=0;oa(482,F|0,0);R=y;y=0;if(R&1){R=78;break b}y=0;m=L;b=t;l=m+40|0;do{k[m>>2]=k[b>>2];m=m+4|0;b=b+4|0}while((m|0)<(l|0));ya(11,e|0,L|0,0,G|0,H|0,F|0);R=y;y=0;if(R&1){b=1;R=79;break b}y=0;oa(482,s|0,e|0);R=y;y=0;if(R&1){b=0;R=79;break b}b=g+80|0;y=0;Ha(966,b|0,s|0)|0;R=y;y=0;if(R&1){R=80;break b}y=0;oa(464,L|0,b|0);R=y;y=0;if(R&1){R=80;break b}k[q>>2]=k[L>>2];EO(q);EO(s);EO(F);EO(H);EO(G);if(i[c>>0]|0){y=0;oa(464,o|0,(k[S>>2]|0)+80|0);R=y;y=0;if(R&1){R=75;break b}R=k[o>>2]|0;k[u>>2]=R;i[R+60>>0]=i[c>>0]|0;EO(u)}y=0;oa(464,v|0,(k[S>>2]|0)+80|0);R=y;y=0;if(R&1){R=88;break b}R=k[v>>2]|0;k[C>>2]=R;y=0;oa(482,L|0,R|0);R=y;y=0;if(R&1){R=89;break b}y=0;Ha(966,S|0,L|0)|0;R=y;y=0;if(R&1){R=90;break b}EO(L);EO(C);break}default:{R=93;break b}}while(0);b=h+24|0}while((b-(k[d>>2]|0)|0)!=4080);b=d+4|0;d=b;b=k[b>>2]|0}d:switch(R|0){case 32:{y=0;h=qa(332,108)|0;H=y;y=0;if(H&1){b=pb()|0;break}y=0;Ra(16,D|0,31612,0,-1);H=y;y=0;do if(H&1)R=117;else{m=E;b=D;l=m+40|0;do{k[m>>2]=k[b>>2];m=m+4|0;b=b+4|0}while((m|0)<(l|0));y=0;na(366,h|0);H=y;y=0;if(H&1){R=117;break}m=h+12|0;b=E;l=m+40|0;do{k[m>>2]=k[b>>2];m=m+4|0;b=b+4|0}while((m|0)<(l|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h>>2]=11396;i[h+60>>0]=0;i[h+61>>0]=0;i[h+62>>0]=0;k[h+64>>2]=0;k[h+68>>2]=0;k[h+56>>2]=7;b=h+72|0;k[b>>2]=13580;f=h+76|0;g=h+80|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(516,f|0,1);H=y;y=0;if(H&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{Q=d+-4|0;k[g>>2]=Q;EO(Q);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[h>>2]=13364;k[b>>2]=13540;c=h+96|0;k[c>>2]=0;k[h+100>>2]=0;k[h+92>>2]=c;i[h+104>>0]=0;i[h+105>>0]=0;y=0;c=qa(332,104)|0;H=y;y=0;if(H&1){b=pb()|0;break d}y=0;Ra(16,I|0,31612,0,-1);H=y;y=0;do if(H&1)R=120;else{m=K;b=I;l=m+40|0;do{k[m>>2]=k[b>>2];m=m+4|0;b=b+4|0}while((m|0)<(l|0));k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;Na(75,J|0,44146,1);I=y;y=0;if(I&1){R=120;break}y=0;m=L;b=K;l=m+40|0;do{k[m>>2]=k[b>>2];m=m+4|0;b=b+4|0}while((m|0)<(l|0));Na(88,c|0,L|0,J|0);K=y;y=0;if(K&1){b=pb()|0;$9(J);break}$9(J);k[c>>2]=11880;i[c+101>>0]=1;y=0;oa(482,L|0,c|0);K=y;y=0;do if(K&1)b=pb()|0;else{b=k[g>>2]|0;do if(b>>>0<(k[h+84>>2]|0)>>>0){y=0;oa(464,b|0,L|0);K=y;y=0;if(K&1){R=124;break}k[g>>2]=(k[g>>2]|0)+4}else{y=0;oa(521,f|0,L|0);K=y;y=0;if(K&1)R=124}while(0);if((R|0)==124){b=pb()|0;EO(L);break}EO(L);b=k[T>>2]|0;if(i[a>>0]|0)i[b+60>>0]=1;y=0;oa(482,P|0,h|0);a=y;y=0;e:do if(!(a&1)){b=b+76|0;y=0;Ha(966,b|0,P|0)|0;a=y;y=0;do if(!(a&1)){y=0;oa(464,M|0,b|0);a=y;y=0;if(a&1)break;k[O>>2]=k[M>>2];EO(O);EO(P);b=k[T>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;P=y;y=0;if(P&1)break e;EO(S);EO(T);$9(U);U=b;r=Q;return U|0}while(0);b=pb()|0;EO(P);break d}while(0);b=pb()|0;break d}while(0);break d}while(0);if((R|0)==120)b=pb()|0;zqa(c);break d}while(0);if((R|0)==117)b=pb()|0;zqa(h);break}case 43:{b=pb()|0;R=44;break}case 45:{b=pb()|0;R=47;break}case 46:{b=pb()|0;EO(p);R=47;break}case 48:{b=pb()|0;R=52;break}case 49:{b=pb()|0;R=51;break}case 50:{b=pb()|0;EO(L);R=51;break}case 75:{b=pb()|0;break}case 76:{b=pb()|0;R=83;break}case 77:{b=pb()|0;EO(G);R=83;break}case 78:{c=1;b=pb()|0;R=82;break}case 79:{c=b;b=pb()|0;R=81;break}case 80:{b=pb()|0;EO(s);c=0;R=81;break}case 88:{b=pb()|0;R=92;break}case 89:{b=pb()|0;R=91;break}case 90:{b=pb()|0;EO(L);R=91;break}case 93:{b=gb(4)|0;k[b>>2]=31619;y=0;Na(76,b|0,4696,0);y=0;b=pb()|0;R=44;break}}if((R|0)!=44)if((R|0)==47)EO(A);else if((R|0)==51){EO(B);R=52}else if((R|0)==81){EO(F);R=82}else if((R|0)==91){EO(C);R=92}if((R|0)!=52)if((R|0)==82){EO(H);EO(G);if(c)R=83}if((R|0)==83)zqa(e);EO(S)}EO(T);break a}}b=pb()|0;EO(e)}EO(g);EO(f);if(!c)break a}}while(0);if((R|0)==18)b=pb()|0;zqa(j)}while(0);T=b;$9(U);sb(T|0)}case 3:{U=0;r=Q;return U|0}default:{U=gb(4)|0;k[U>>2]=31532;Wb(U|0,4696,0)}}return 0}function Ld(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;aa=0;ca=r;r=r+512|0;_=ca+80|0;V=ca+40|0;Z=ca;ba=ca+496|0;l=ca+456|0;m=ca+444|0;S=ca+440|0;T=ca+400|0;W=ca+384|0;U=ca+208|0;M=ca+216|0;O=ca+196|0;P=ca+192|0;Q=ca+180|0;X=ca+176|0;Y=ca+136|0;$=ca+120|0;R=b+4|0;d=k[R>>2]|0;L=b+8|0;p=k[L>>2]|0;j=d>>>0<p>>>0;a:do if(c)if(j){b=0;h=d;while(1){e=i[h>>0]|0;if(!(e<<24>>24)){aa=23;break a}do if(b)b=0;else if(e<<24>>24==92)b=1;else{b=i[44181]|0;if(!(b<<24>>24))if(!h){b=0;break}else{e=0;break a}if(e<<24>>24==b<<24>>24){b=h;f=44181;while(1){b=b+1|0;f=f+1|0;g=i[f>>0]|0;if(!(g<<24>>24)){b=h;aa=22;break a}if((i[b>>0]|0)!=g<<24>>24){b=0;break}}}else b=0}while(0);h=h+1|0;if(h>>>0>=p>>>0){aa=23;break}}}else aa=23;else if(j){e=0;b=d;while(1){f=i[b>>0]|0;if(!(f<<24>>24)){aa=23;break a}b:do if(e)e=0;else if(f<<24>>24==92)e=1;else{f=Qz(b)|0;if(!f){e=i[44181]|0;if(!(e<<24>>24))if(!b){e=0;b=0;break}else{e=0;break a}else{f=b;g=44181;h=e}while(1){if((i[f>>0]|0)!=h<<24>>24){e=0;break b}g=g+1|0;h=i[g>>0]|0;if(!(h<<24>>24)){aa=22;break a}else f=f+1|0}}else{e=0;b=f}}while(0);b=b+1|0;if(b>>>0>=p>>>0){aa=23;break}}}else aa=23;while(0);if((aa|0)==22)if(!b)aa=23;if((aa|0)==23){g=ZL(80)|0;f=l;n=a+108|0;o=f+40|0;do{k[f>>2]=k[n>>2];f=f+4|0;n=n+4|0}while((f|0)<(o|0));k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;f=p-d|0;if(f>>>0>4294967279){y=0;na(377,m|0);aa=y;y=0;if(aa&1)aa=36;else aa=27}else if(f>>>0<11){i[m+11>>0]=f;b=m;aa=29}else aa=27;if((aa|0)==27){e=f+16&-16;y=0;b=qa(332,e|0)|0;aa=y;y=0;if(aa&1)aa=36;else{k[m>>2]=b;k[m+8>>2]=e|-2147483648;k[m+4>>2]=f;aa=29}}do if((aa|0)==29){if((d|0)!=(p|0)){e=b;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(p|0))break;else e=e+1|0}b=b+f|0}i[b>>0]=0;y=0;f=_;n=l;o=f+40|0;do{k[f>>2]=k[n>>2];f=f+4|0;n=n+4|0}while((f|0)<(o|0));Ea(2,g|0,_|0,m|0,0,0,0,1);aa=y;y=0;if(aa&1){b=pb()|0;$9(m);break}$9(m);if(!c){b=g+60|0;if(i[b>>0]|0)i[b>>0]=42}_V(ba,g);ba=k[ba>>2]|0;r=ca;return ba|0}else if((aa|0)==36)b=pb()|0;while(0);zqa(g);ca=b;sb(ca|0)}K=ZL(84)|0;G=a+108|0;f=_;n=G;o=f+40|0;do{k[f>>2]=k[n>>2];f=f+4|0;n=n+4|0}while((f|0)<(o|0));y=0;na(366,K|0);J=y;y=0;do if(J&1)b=pb()|0;else{f=K+12|0;n=_;o=f+40|0;do{k[f>>2]=k[n>>2];f=f+4|0;n=n+4|0}while((f|0)<(o|0));i[K+52>>0]=0;i[K+53>>0]=0;b=K+54|0;i[b>>0]=0;f=K+56|0;k[K>>2]=9504;k[f>>2]=4;J=K+60|0;k[J>>2]=7720;h=K+64|0;g=K+68|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(518,h|0,0);I=y;y=0;if(I&1){b=pb()|0;f=N;d=k[h>>2]|0;if(d|0){e=k[g>>2]|0;if((e|0)!=(d|0)){do{ca=e+-4|0;k[g>>2]=ca;EO(ca);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[h>>2]|0}zqa(d)}break}k[K>>2]=9328;k[J>>2]=9464;k[K+80>>2]=0;k[f>>2]=4;i[b>>0]=1;c:do if(j){q=W+8|0;s=W+4|0;t=W+11|0;u=a+80|0;v=V+8|0;w=V+4|0;x=V+11|0;z=O+4|0;A=O+8|0;B=a+40|0;C=a+72|0;E=M+56|0;H=M+44|0;I=M+48|0;F=M+60|0;D=a+76|0;l=p;j=e;b=e;d:while(1){e:do if(c){b=0;g=d;h=j;while(1){e=i[g>>0]|0;if(!(e<<24>>24)){aa=147;break d}do if(b){b=0;e=h}else if(e<<24>>24==92){b=1;e=h}else{if(!(h<<24>>24))if(!g){b=0;e=0;break}else{e=g;p=0;m=0;break e}if(e<<24>>24==h<<24>>24){b=g;e=44181;while(1){b=b+1|0;e=e+1|0;f=i[e>>0]|0;if(!(f<<24>>24)){e=g;f=h;b=h;aa=69;break e}if((i[b>>0]|0)!=f<<24>>24){b=0;e=h;break}}}else{b=0;e=h}}while(0);g=g+1|0;if(g>>>0>=l>>>0){aa=147;break d}else h=e}}else{g=0;e=d;while(1){f=i[e>>0]|0;if(!(f<<24>>24)){aa=147;break d}f:do if(g)g=0;else if(f<<24>>24==92)g=1;else{f=Qz(e)|0;if(!f){if(!(b<<24>>24))if(!e){g=0;e=0;b=0;break}else{p=0;m=j;break e}else{f=e;g=44181;h=b}while(1){if((i[f>>0]|0)!=h<<24>>24){g=0;break f}g=g+1|0;h=i[g>>0]|0;if(!(h<<24>>24)){f=j;aa=69;break e}else f=f+1|0}}else{g=0;e=f}}while(0);e=e+1|0;if(e>>>0>=l>>>0){aa=147;break d}}}while(0);if((aa|0)==69){aa=0;if(!e){aa=147;break}else{p=b;m=f}}if(d>>>0<e>>>0){j=k[(k[J>>2]|0)+20>>2]|0;l=ZL(80)|0;f=T;n=G;o=f+40|0;do{k[f>>2]=k[n>>2];f=f+4|0;n=n+4|0}while((f|0)<(o|0));k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;h=e-d|0;if(h>>>0>4294967279){y=0;na(377,W|0);aa=y;y=0;if(aa&1){aa=88;break}else aa=75}else if(h>>>0<11){i[t>>0]=h;b=W}else aa=75;if((aa|0)==75){aa=0;f=h+16&-16;y=0;b=qa(332,f|0)|0;o=y;y=0;if(o&1){aa=88;break}k[W>>2]=b;k[q>>2]=f|-2147483648;k[s>>2]=h}if((d|0)!=(e|0)){f=b;g=d;while(1){i[f>>0]=i[g>>0]|0;g=g+1|0;if((g|0)==(e|0))break;else f=f+1|0}b=b+h|0}i[b>>0]=0;f=V;n=T;o=f+40|0;do{k[f>>2]=k[n>>2];f=f+4|0;n=n+4|0}while((f|0)<(o|0));y=0;na(366,l|0);o=y;y=0;if(o&1){d=1;aa=90;break}f=l+12|0;n=V;o=f+40|0;do{k[f>>2]=k[n>>2];f=f+4|0;n=n+4|0}while((f|0)<(o|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=4;k[l>>2]=9640;i[l+60>>0]=0;i[l+61>>0]=0;y=0;oa(547,l+64|0,W|0);o=y;y=0;if(o&1){aa=82;break}k[l+76>>2]=0;y=0;oa(482,S|0,l|0);o=y;y=0;if(o&1){d=0;aa=90;break}y=0;oa(j|0,J|0,S|0);o=y;y=0;if(o&1){aa=89;break}EO(S);$9(W)}g=e+2|0;b=oW(g)|0;b=jO(b|0?b:g)|0;if(b|0){e=i[45708]|0;g:do if(!(e<<24>>24))e=0;else{f=45708;while(1){if((i[b>>0]|0)!=e<<24>>24)break g;b=b+1|0;f=f+1|0;e=i[f>>0]|0;if(!(e<<24>>24)){e=0;break}}}while(0);o=e<<24>>24==0?b:0;if(!((o|0)==0?1:o>>>0>(k[u>>2]|0)>>>0)){k[D>>2]=g;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;jI(_,39964,11);k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;y=0;Na(75,V|0,39976,7);o=y;y=0;if(o&1){aa=101;break}k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;y=0;Na(75,Z|0,39984,44);o=y;y=0;if(o&1){aa=102;break}y=0;Ra(25,a|0,_|0,V|0,Z|0);o=y;y=0;if(o&1){aa=103;break}$9(Z);$9(V);$9(_)}}h=k[L>>2]|0;b=hk(g,h)|0;if(!b){e=k[R>>2]|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;g=h-e|0;if(g>>>0>4294967279){LM(V);aa=136}else if(g>>>0<11){i[x>>0]=g;b=V}else aa=136;if((aa|0)==136){aa=0;o=g+16&-16;b=ZL(o)|0;k[V>>2]=b;k[v>>2]=o|-2147483648;k[w>>2]=g}if((e|0)!=(h|0)){f=b;while(1){i[f>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(h|0))break;else f=f+1|0}b=b+g|0}i[b>>0]=0;y=0;b=ta(52,V|0,0,40029)|0;o=y;y=0;if(o&1){aa=143;break}k[Q>>2]=k[b>>2];k[Q+4>>2]=k[b+4>>2];k[Q+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;k[_>>2]=k[G>>2];k[_+4>>2]=k[G+4>>2];k[_+8>>2]=k[G+8>>2];Na(109,a|0,Q|0,_|0);o=y;y=0;if(o&1){aa=144;break}$9(Q);$9(V);b=k[L>>2]|0}else{d=b+-1|0;k[O>>2]=g;k[z>>2]=g;k[A>>2]=d;b=k[B>>2]|0;e=k[C>>2]|0;k[V>>2]=k[O>>2];k[V+4>>2]=k[O+4>>2];k[V+8>>2]=k[O+8>>2];f=_;n=G;o=f+40|0;do{k[f>>2]=k[n>>2];f=f+4|0;n=n+4|0}while((f|0)<(o|0));il(M,V,b,_,e);y=0;b=Ha(1003,M|0,0)|0;o=y;y=0;if(o&1){aa=120;break}k[U>>2]=b;b=k[E>>2]|0;e=b;if(b|0){f=k[F>>2]|0;if((f|0)!=(b|0))k[F>>2]=f+(~((f+-4-e|0)>>>2)<<2);zqa(b)}b=k[H>>2]|0;if(b|0){e=k[I>>2]|0;if((e|0)!=(b|0)){do{o=e+-4|0;k[I>>2]=o;EO(o);e=k[I>>2]|0}while((e|0)!=(b|0));b=k[H>>2]|0}zqa(b)}o=k[U>>2]|0;i[o+54>>0]=1;b=k[(k[J>>2]|0)+20>>2]|0;y=0;oa(482,P|0,o|0);o=y;y=0;if(o&1){aa=129;break}y=0;oa(b|0,J|0,P|0);o=y;y=0;if(o&1){aa=130;break}EO(P);EO(U);b=h}d=d+1|0;if(d>>>0<b>>>0){l=b;j=m;b=p}else break c}switch(aa|0){case 82:{b=pb()|0;$9(W);aa=91;break}case 88:{b=pb()|0;aa=91;break}case 89:{ca=pb()|0;EO(S);$9(W);sb(ca|0)}case 90:{b=pb()|0;$9(W);if(d)aa=91;else{ca=b;sb(ca|0)}break}case 101:{b=pb()|0;break}case 102:{b=pb()|0;aa=104;break}case 103:{b=pb()|0;$9(Z);aa=104;break}case 120:{g=pb()|0;f=N;b=k[E>>2]|0;d=b;if(b|0){e=k[F>>2]|0;if((e|0)!=(b|0))k[F>>2]=e+(~((e+-4-d|0)>>>2)<<2);zqa(b)}b=k[H>>2]|0;if(!b){ca=g;sb(ca|0)}d=k[I>>2]|0;if((d|0)!=(b|0)){do{ca=d+-4|0;k[I>>2]=ca;EO(ca);d=k[I>>2]|0}while((d|0)!=(b|0));b=k[H>>2]|0}zqa(b);ca=g;sb(ca|0)}case 129:{b=pb()|0;aa=131;break}case 130:{b=pb()|0;EO(P);aa=131;break}case 143:{b=pb()|0;aa=145;break}case 144:{b=pb()|0;$9(Q);aa=145;break}case 147:{if(d>>>0>=l>>>0)break c;g=k[(k[J>>2]|0)+20>>2]|0;h=ZL(80)|0;f=Y;n=G;o=f+40|0;do{k[f>>2]=k[n>>2];f=f+4|0;n=n+4|0}while((f|0)<(o|0));k[$>>2]=0;k[$+4>>2]=0;k[$+8>>2]=0;f=l-d|0;if(f>>>0>4294967279){y=0;na(377,$|0);aa=y;y=0;if(aa&1)aa=163;else aa=152}else if(f>>>0<11){i[$+11>>0]=f;b=$;aa=154}else aa=152;if((aa|0)==152){e=f+16&-16;y=0;b=qa(332,e|0)|0;aa=y;y=0;if(aa&1)aa=163;else{k[$>>2]=b;k[$+8>>2]=e|-2147483648;k[$+4>>2]=f;aa=154}}do if((aa|0)==154){if((d|0)!=(l|0)){e=b;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(l|0))break;else e=e+1|0}b=b+f|0}i[b>>0]=0;f=Z;n=Y;o=f+40|0;do{k[f>>2]=k[n>>2];f=f+4|0;n=n+4|0}while((f|0)<(o|0));y=0;na(366,h|0);aa=y;y=0;if(aa&1)d=1;else{f=h+12|0;n=Z;o=f+40|0;do{k[f>>2]=k[n>>2];f=f+4|0;n=n+4|0}while((f|0)<(o|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h+56>>2]=4;k[h>>2]=9640;i[h+60>>0]=0;i[h+61>>0]=0;y=0;oa(547,h+64|0,$|0);aa=y;y=0;if(aa&1){b=pb()|0;$9($);break}k[h+76>>2]=0;y=0;oa(482,X|0,h|0);aa=y;y=0;if(aa&1)d=0;else{y=0;oa(g|0,J|0,X|0);aa=y;y=0;if(!(aa&1)){EO(X);$9($);break c}ca=pb()|0;EO(X);$9($);sb(ca|0)}}b=pb()|0;$9($);if(!d){ca=b;sb(ca|0)}}else if((aa|0)==163)b=pb()|0;while(0);zqa(h);ca=b;sb(ca|0)}}if((aa|0)==91){zqa(l);ca=b;sb(ca|0)}else if((aa|0)==104)$9(V);else if((aa|0)==131){EO(U);ca=b;sb(ca|0)}else if((aa|0)==145){$9(V);ca=b;sb(ca|0)}$9(_);ca=b;sb(ca|0)}while(0);_V(ba,K);ba=k[ba>>2]|0;r=ca;return ba|0}while(0);zqa(K);ca=b;sb(ca|0);return 0}function Md(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0,f=0.0,g=0.0,h=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;z=0;B=r;r=r+352|0;A=B+328|0;m=B+340|0;H=B+184|0;G=B+168|0;E=B+144|0;C=B;w=B+156|0;I=H+64|0;d=H+8|0;k[d>>2]=14400;F=H+12|0;k[H>>2]=14440;k[I>>2]=14460;k[H+4>>2]=0;y=0;oa(528,H+64|0,F|0);D=y;y=0;if(D&1){H=pb()|0;dja(I);sb(H|0)}k[H+136>>2]=0;k[H+140>>2]=-1;k[H>>2]=14380;k[I>>2]=14420;k[d>>2]=14400;y=0;na(373,F|0);D=y;y=0;do if(D&1)c=pb()|0;else{k[F>>2]=14240;D=H+44|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[H+60>>2]=24;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;oa(529,F|0,A|0);x=y;y=0;if(x&1){c=pb()|0;$9(A);$9(D);nba(F);break}$9(A);y=0;oa(452,G|0,b+96|0);x=y;y=0;if(x&1){G=pb()|0;k[H>>2]=14380;k[I>>2]=14420;E=H+8|0;k[E>>2]=14400;k[F>>2]=14240;$9(D);nba(F);zka(H,14472);dja(I);sb(G|0)}y=0;oa(452,E|0,G|0);x=y;y=0;if(x&1)c=pb()|0;else{e=+p[b+64>>3];x=a+4|0;n=a+72|0;y=0;e=+ua(1,+(e>255.0?255.0:e<0.0?0.0:e),k[(k[n>>2]|0)+4>>2]|0);v=y;y=0;a:do if(v&1)c=pb()|0;else{j=+p[b+72>>3];y=0;j=+ua(1,+(j>255.0?255.0:j<0.0?0.0:j),k[(k[n>>2]|0)+4>>2]|0);v=y;y=0;if(v&1){c=pb()|0;break}f=+p[b+80>>3];y=0;f=+ua(1,+(f>255.0?255.0:f<0.0?0.0:f),k[(k[n>>2]|0)+4>>2]|0);v=y;y=0;if(v&1){c=pb()|0;break}h=+p[b+88>>3];h=h>1.0?1.0:h<0.0?0.0:h;o=G+11|0;v=i[o>>0]|0;q=G+4|0;do if(!((v<<24>>24<0?k[q>>2]|0:v&255)|0)){y=0;d=sa(21,G|0,0,-1,82159,0)|0;v=y;y=0;if(v&1){C=tb(0)|0;dla(C)}else if(!d){z=33;break}else{z=18;break}}else z=18;while(0);b:do if((z|0)==18){y=0;c=qa(386,G|0)|0;v=y;y=0;if(!(v&1)){if(!c){z=33;break}y=0;c=qa(386,G|0)|0;v=y;y=0;if(!(v&1)){e=+p[c+64>>3];y=0;e=+ua(1,+(e>255.0?255.0:e<0.0?0.0:e),k[(k[n>>2]|0)+4>>2]|0);z=y;y=0;do if(!(z&1)){g=+p[c+72>>3];y=0;g=+ua(1,+(g>255.0?255.0:g<0.0?0.0:g),k[(k[n>>2]|0)+4>>2]|0);z=y;y=0;if(!(z&1)){f=+p[c+80>>3];y=0;f=+ua(1,+(f>255.0?255.0:f<0.0?0.0:f),k[(k[n>>2]|0)+4>>2]|0);z=y;y=0;if(z&1)break;h=+p[c+88>>3];h=h>1.0?1.0:h<0.0?0.0:h;z=38;break b}}while(0);c=pb()|0;break a}}c=pb()|0}while(0);do if((z|0)==33){g=e*65536.0+j*256.0+f;y=0;c=ra(1,+g)|0;z=y;y=0;if(!(z&1)){if(!c){g=j;z=38;break}y=0;c=ra(1,+g)|0;z=y;y=0;if(!(z&1)){y=0;Ha(1006,E|0,c|0)|0;z=y;y=0;if(!(z&1)){g=j;z=38;break}}}c=pb()|0;break a}while(0);if((z|0)==38){v=C+64|0;c=C+8|0;k[c>>2]=14400;u=C+12|0;k[C>>2]=14440;k[v>>2]=14460;k[C+4>>2]=0;y=0;oa(528,C+64|0,u|0);t=y;y=0;if(t&1)c=pb()|0;else{k[C+136>>2]=0;k[C+140>>2]=-1;k[C>>2]=14380;k[v>>2]=14420;k[c>>2]=14400;y=0;na(373,u|0);t=y;y=0;do if(t&1)c=pb()|0;else{k[u>>2]=14240;s=C+44|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[C+60>>2]=24;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;oa(529,u|0,A|0);t=y;y=0;if(t&1){c=pb()|0;$9(A);$9(s);nba(u);break}$9(A);l=(k[k[n>>2]>>2]|0)==3;t=C+8|0;i[m>>0]=35;y=0;c=ta(54,t|0,m|0,1)|0;m=y;y=0;c:do if(m&1)z=53;else{k[c+(k[(k[c>>2]|0)+-12>>2]|0)+12>>2]=1;k[c+(k[(k[c>>2]|0)+-12>>2]|0)+76>>2]=48;do if(l){y=0;c=Ba(1,+e,+g,+f)|0;m=y;y=0;if(m&1){z=53;break c}if(!(h==1.0&c)){z=57;break}m=t+(k[(k[t>>2]|0)+-12>>2]|0)+4|0;k[m>>2]=k[m>>2]&-75|8;k[t+(k[(k[t>>2]|0)+-12>>2]|0)+12>>2]=1;y=0;Ha(978,t|0,~~e>>>0>>>4|0)|0;m=y;y=0;if(m&1){c=pb()|0;break c}m=t+(k[(k[t>>2]|0)+-12>>2]|0)+4|0;k[m>>2]=k[m>>2]&-75|8;k[t+(k[(k[t>>2]|0)+-12>>2]|0)+12>>2]=1;y=0;Ha(978,t|0,~~g>>>0>>>4|0)|0;m=y;y=0;if(m&1){c=pb()|0;break c}m=t+(k[(k[t>>2]|0)+-12>>2]|0)+4|0;k[m>>2]=k[m>>2]&-75|8;k[t+(k[(k[t>>2]|0)+-12>>2]|0)+12>>2]=1;y=0;Ha(978,t|0,~~f>>>0>>>4|0)|0;m=y;y=0;if(!(m&1)){z=64;break}c=pb()|0;break c}else z=57;while(0);do if((z|0)==57){m=t+(k[(k[t>>2]|0)+-12>>2]|0)+4|0;k[m>>2]=k[m>>2]&-75|8;k[t+(k[(k[t>>2]|0)+-12>>2]|0)+12>>2]=2;y=0;Ha(978,t|0,~~e>>>0|0)|0;m=y;y=0;if(m&1){c=pb()|0;break c}m=t+(k[(k[t>>2]|0)+-12>>2]|0)+4|0;k[m>>2]=k[m>>2]&-75|8;k[t+(k[(k[t>>2]|0)+-12>>2]|0)+12>>2]=2;y=0;Ha(978,t|0,~~g>>>0|0)|0;m=y;y=0;if(m&1){c=pb()|0;break c}m=t+(k[(k[t>>2]|0)+-12>>2]|0)+4|0;k[m>>2]=k[m>>2]&-75|8;k[t+(k[(k[t>>2]|0)+-12>>2]|0)+12>>2]=2;y=0;Ha(978,t|0,~~f>>>0|0)|0;m=y;y=0;if(m&1){c=pb()|0;break c}else if(l){z=64;break}else break}while(0);do if((z|0)==64){if(i[b+52>>0]|0)break;y=0;Ha(1006,G|0,82159)|0;m=y;y=0;if(m&1){z=53;break c}}while(0);a=h>=1.0;if(a&(k[k[n>>2]>>2]|0)==4){y=0;oa(530,A|0,u|0);w=y;y=0;do if(w&1)c=pb()|0;else{y=0;Na(139,x|0,A|0,b|0);b=y;y=0;if(b&1){c=pb()|0;$9(A);break}$9(A);k[C>>2]=14380;k[v>>2]=14420;k[t>>2]=14400;k[u>>2]=14240;$9(s);nba(u);zka(C,14472);dja(v);$9(E);$9(G);k[H>>2]=14380;k[I>>2]=14420;G=H+8|0;k[G>>2]=14400;k[F>>2]=14240;$9(D);nba(F);zka(H,14472);dja(I);r=B;return}while(0);break}d=i[o>>0]|0;c=k[q>>2]|0;d:do if(!((d<<24>>24<0?c:d&255)|0)){y=0;c=sa(21,G|0,0,-1,82159,0)|0;n=y;y=0;if(n&1){n=tb(0)|0;dla(n)}if(c|0){d=i[o>>0]|0;c=k[q>>2]|0;z=78;break}if(h==0.0&(f==0.0&(g==0.0&e==0.0))){y=0;ta(54,H+8|0,44184,11)|0;w=y;y=0;if(w&1){z=53;break c}else break}if(!a){d=H+8|0;y=0;ta(54,d|0,44196,5)|0;w=y;y=0;if(w&1){z=53;break c}y=0;c=Ha(978,d|0,~~e>>>0|0)|0;w=y;y=0;if(w&1){z=53;break c}y=0;ta(54,c|0,46818,1)|0;w=y;y=0;if(w&1){z=53;break c}if(!l){y=0;ta(54,d|0,47081,1)|0;w=y;y=0;if(w&1){z=53;break c}}y=0;c=Ha(978,d|0,~~g>>>0|0)|0;w=y;y=0;if(w&1){z=53;break c}y=0;ta(54,c|0,46818,1)|0;w=y;y=0;if(w&1){z=53;break c}if(!l){y=0;ta(54,d|0,47081,1)|0;w=y;y=0;if(w&1){z=53;break c}}y=0;c=Ha(978,d|0,~~f>>>0|0)|0;w=y;y=0;if(w&1){z=53;break c}y=0;ta(54,c|0,46818,1)|0;w=y;y=0;if(w&1){z=53;break c}if(!l){y=0;ta(54,d|0,47081,1)|0;w=y;y=0;if(w&1){z=53;break c}}y=0;c=Da(1,d|0,+h)|0;w=y;y=0;if(w&1){z=53;break c}i[A>>0]=41;y=0;ta(54,c|0,A|0,1)|0;w=y;y=0;if(w&1){z=53;break c}break}d=E+11|0;q=i[d>>0]|0;a=E+4|0;do if(!((q<<24>>24<0?k[a>>2]|0:q&255)|0)){y=0;c=sa(21,E|0,0,-1,82159,0)|0;q=y;y=0;if(q&1){q=tb(0)|0;dla(q)}if(c|0)break;y=0;oa(530,A|0,u|0);w=y;y=0;do if(w&1)c=pb()|0;else{w=i[A+11>>0]|0;q=w<<24>>24<0;y=0;ta(54,H+8|0,(q?k[A>>2]|0:A)|0,(q?k[A+4>>2]|0:w&255)|0)|0;w=y;y=0;if(w&1){c=pb()|0;$9(A);break}else{$9(A);break d}}while(0);break c}while(0);do if(l){y=0;oa(530,w|0,u|0);q=y;y=0;if(q&1){z=53;break c}c=i[w+11>>0]|0;q=i[d>>0]|0;q=(c<<24>>24<0?k[w+4>>2]|0:c&255)>>>0<(q<<24>>24<0?k[a>>2]|0:q&255)>>>0;$9(w);c=H+8|0;if(!q)break;y=0;oa(530,A|0,u|0);w=y;y=0;do if(w&1)c=pb()|0;else{w=i[A+11>>0]|0;q=w<<24>>24<0;y=0;ta(54,c|0,(q?k[A>>2]|0:A)|0,(q?k[A+4>>2]|0:w&255)|0)|0;w=y;y=0;if(w&1){c=pb()|0;$9(A);break}else{$9(A);break d}}while(0);break c}else c=H+8|0;while(0);w=i[d>>0]|0;q=w<<24>>24<0;y=0;ta(54,c|0,(q?k[E>>2]|0:E)|0,(q?k[a>>2]|0:w&255)|0)|0;w=y;y=0;if(w&1){z=53;break c}}else z=78;while(0);if((z|0)==78){w=d<<24>>24<0;y=0;ta(54,H+8|0,(w?k[G>>2]|0:G)|0,(w?c:d&255)|0)|0;w=y;y=0;if(w&1){z=53;break}}y=0;oa(530,A|0,F|0);w=y;y=0;do if(w&1)c=pb()|0;else{y=0;Na(139,x|0,A|0,b|0);b=y;y=0;if(b&1){c=pb()|0;$9(A);break}$9(A);k[C>>2]=14380;k[v>>2]=14420;k[t>>2]=14400;k[u>>2]=14240;$9(s);nba(u);zka(C,14472);dja(v);$9(E);$9(G);k[H>>2]=14380;k[I>>2]=14420;G=H+8|0;k[G>>2]=14400;k[F>>2]=14240;$9(D);nba(F);zka(H,14472);dja(I);r=B;return}while(0)}while(0);if((z|0)==53)c=pb()|0;k[C>>2]=14380;k[v>>2]=14420;k[t>>2]=14400;k[u>>2]=14240;$9(s);nba(u);zka(C,14472);dja(v);break a}while(0);zka(C,14472)}dja(v)}}while(0);$9(E)}$9(G);G=c;k[H>>2]=14380;k[I>>2]=14420;E=H+8|0;k[E>>2]=14400;k[F>>2]=14240;$9(D);nba(F);zka(H,14472);dja(I);sb(G|0)}while(0);zka(H,14472);H=c;dja(I);sb(H|0)}function Nd(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;F=0;B=r;r=r+416|0;h=B+120|0;v=B+80|0;s=B+40|0;l=B;A=B+404|0;G=B+392|0;H=B+388|0;E=B+376|0;D=B+356|0;g=B+368|0;C=B+304|0;p=B+352|0;q=B+312|0;t=B+292|0;u=B+276|0;w=B+272|0;x=B+232|0;z=B+216|0;o=B+280|0;m=B+176|0;n=B+160|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;jI(G,82159,0);y=0;b=ta(93,a|0,1,0)|0;j=y;y=0;if(!(j&1)){do if(b|0){c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,h|0);F=y;y=0;if(F&1)F=19;else F=7}else if(f>>>0<11){i[h+11>>0]=f;b=h}else F=7;if((F|0)==7){d=f+16&-16;y=0;b=qa(332,d|0)|0;j=y;y=0;if(j&1)F=19;else{k[h>>2]=b;k[h+8>>2]=d|-2147483648;k[h+4>>2]=f}}if((F|0)==19){H=pb()|0;$9(G);sb(H|0)}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;b=G+11|0;if((i[b>>0]|0)<0){i[k[G>>2]>>0]=0;k[G+4>>2]=0}else{i[G>>0]=0;i[b>>0]=0}y=0;oa(506,G|0,0);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}else{k[G>>2]=k[h>>2];k[G+4>>2]=k[h+4>>2];k[G+8>>2]=k[h+8>>2];k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;$9(h);break}}while(0);y=0;ta(94,a|0,1,0)|0;j=y;y=0;if(!(j&1)){y=0;b=qa(390,a|0)|0;j=y;y=0;if(!(j&1)){k[H>>2]=b;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;y=0;Na(75,E|0,82159,0);j=y;y=0;if(j&1)b=pb()|0;else{y=0;b=ta(95,a|0,1,0)|0;j=y;y=0;a:do if(j&1)F=41;else{do if(b|0){c=k[a+156>>2]|0;e=k[a+160>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(377,h|0);F=y;y=0;if(F&1)F=42;else F=29}else if(f>>>0<11){i[h+11>>0]=f;b=h}else F=29;if((F|0)==29){d=f+16&-16;y=0;b=qa(332,d|0)|0;j=y;y=0;if(j&1)F=42;else{k[h>>2]=b;k[h+8>>2]=d|-2147483648;k[h+4>>2]=f}}if((F|0)==42){b=pb()|0;break a}if((c|0)!=(e|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;b=E+11|0;if((i[b>>0]|0)<0){i[k[E>>2]>>0]=0;k[E+4>>2]=0}else{i[E>>0]=0;i[b>>0]=0}y=0;oa(506,E|0,0);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}else{k[E>>2]=k[h>>2];k[E+4>>2]=k[h+4>>2];k[E+8>>2]=k[h+8>>2];k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;$9(h);break}}while(0);k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;y=0;Na(75,D|0,82159,0);j=y;y=0;if(j&1)F=41;else{b=k[H>>2]|0;b:do if(!b){b=D+11|0;F=97}else{j=k[(k[b>>2]|0)+28>>2]|0;k[g>>2]=0;k[g+4>>2]=5;y=0;k[h>>2]=k[g>>2];k[h+4>>2]=k[g+4>>2];Na(j|0,v|0,b|0,h|0);j=y;y=0;if(j&1){b=pb()|0;break}b=D+11|0;if((i[b>>0]|0)<0){i[k[D>>2]>>0]=0;k[D+4>>2]=0}else{i[D>>0]=0;i[b>>0]=0}y=0;oa(506,D|0,0);j=y;y=0;if(j&1){j=tb(0)|0;dla(j)}k[D>>2]=k[v>>2];k[D+4>>2]=k[v+4>>2];k[D+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;$9(v);c=k[H>>2]|0;if(!c)F=97;else{j=pw(c,432,400,0)|0;if(!j)F=97;else{y=0;h=qa(332,84)|0;o=y;y=0;c:do if(!(o&1)){a=a+108|0;g=l;e=a;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;na(366,h|0);o=y;y=0;do if(o&1)b=pb()|0;else{g=h+12|0;e=l;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;b=h+56|0;k[h>>2]=9504;k[b>>2]=4;c=h+60|0;k[c>>2]=7720;f=h+64|0;g=h+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,0);o=y;y=0;if(o&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{C=d+-4|0;k[g>>2]=C;EO(C);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[h>>2]=9328;k[c>>2]=9464;k[h+80>>2]=0;k[b>>2]=4;y=0;oa(482,C|0,h|0);o=y;y=0;if(o&1)break c;b=(k[C>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(332,80)|0;o=y;y=0;d:do if(o&1)F=86;else{g=q;e=a;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;oa(452,t|0,G|0);o=y;y=0;e:do if(o&1)b=pb()|0;else{g=s;e=q;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;na(366,d|0);q=y;y=0;do if(q&1)c=1;else{g=d+12|0;e=s;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=4;k[d>>2]=9640;i[d+60>>0]=0;i[d+61>>0]=0;y=0;oa(547,d+64|0,t|0);s=y;y=0;if(s&1){b=pb()|0;$9(t);break e}k[d+76>>2]=0;y=0;oa(482,p|0,d|0);s=y;y=0;if(s&1){c=0;break}y=0;oa(c|0,b|0,p|0);s=y;y=0;if(s&1){b=pb()|0;EO(p);$9(t);break d}EO(p);$9(t);b=(k[C>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(482,u|0,j|0);t=y;y=0;if(t&1){F=86;break d}y=0;oa(c|0,b|0,u|0);t=y;y=0;if(t&1){b=pb()|0;EO(u);break d}EO(u);b=(k[C>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(332,80)|0;u=y;y=0;if(u&1){F=86;break d}g=x;e=a;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;oa(452,z|0,E|0);u=y;y=0;f:do if(u&1)b=pb()|0;else{g=v;e=x;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;na(366,d|0);x=y;y=0;do if(x&1)c=1;else{g=d+12|0;e=v;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=4;k[d>>2]=9640;i[d+60>>0]=0;i[d+61>>0]=0;y=0;oa(547,d+64|0,z|0);x=y;y=0;if(x&1){b=pb()|0;$9(z);break f}k[d+76>>2]=0;y=0;oa(482,w|0,d|0);x=y;y=0;if(x&1){c=0;break}y=0;oa(c|0,b|0,w|0);x=y;y=0;if(x&1){b=pb()|0;EO(w);$9(z);break d}EO(w);$9(z);y=0;oa(482,A|0,k[C>>2]|0);F=y;y=0;if(F&1){F=86;break d}EO(C);$9(D);$9(E);EO(H);$9(G);H=k[A>>2]|0;r=B;return H|0}while(0);b=pb()|0;$9(z);if(!c)break d}while(0);zqa(d);break d}while(0);b=pb()|0;$9(t);if(!c)break d}while(0);zqa(d)}while(0);if((F|0)==86)b=pb()|0;EO(C);break b}while(0);zqa(h);break b}while(0);b=pb()|0}}}while(0);g:do if((F|0)==97){k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;C=i[G+11>>0]|0;z=C<<24>>24<0;C=z?k[G+4>>2]|0:C&255;c=i[b>>0]|0;c=c<<24>>24<0?k[D+4>>2]|0:c&255;y=0;Ra(10,h|0,(z?k[G>>2]|0:G)|0,C|0,c+C|0);C=y;y=0;do if(C&1)F=107;else{y=0;ta(47,h|0,((i[b>>0]|0)<0?k[D>>2]|0:D)|0,c|0)|0;C=y;y=0;if(C&1)F=107;else{b=i[E+11>>0]|0;C=b<<24>>24<0;y=0;b=ta(47,h|0,(C?k[E>>2]|0:E)|0,(C?k[E+4>>2]|0:b&255)|0)|0;C=y;y=0;if(C&1){b=pb()|0;$9(h);break}k[o>>2]=k[b>>2];k[o+4>>2]=k[b+4>>2];k[o+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;$9(h);y=0;d=qa(332,80)|0;C=y;y=0;h:do if(C&1)b=pb()|0;else{g=m;e=a+108|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;oa(452,n|0,o|0);C=y;y=0;i:do if(C&1)b=pb()|0;else{g=h;e=m;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;na(366,d|0);C=y;y=0;do if(C&1)c=1;else{g=d+12|0;e=h;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=4;k[d>>2]=9640;i[d+60>>0]=0;i[d+61>>0]=0;y=0;oa(547,d+64|0,n|0);C=y;y=0;if(C&1){b=pb()|0;$9(n);break i}k[d+76>>2]=0;y=0;oa(482,A|0,d|0);C=y;y=0;if(C&1){c=0;break}$9(n);$9(o);$9(D);$9(E);EO(H);$9(G);H=k[A>>2]|0;r=B;return H|0}while(0);b=pb()|0;$9(n);if(!c)break h}while(0);zqa(d)}while(0);$9(o);break g}}while(0);if((F|0)==107){b=pb()|0;$9(h)}}while(0);$9(D)}}while(0);if((F|0)==41)b=pb()|0;$9(E)}EO(H);H=b;$9(G);sb(H|0)}}}H=pb()|0;$9(G);sb(H|0);return 0}function Od(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0.0,g=0.0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;B=0;C=r;r=r+416|0;x=C+368|0;o=C+352|0;c=C+348|0;I=C+320|0;J=C+316|0;d=C+344|0;h=C+332|0;H=C+312|0;e=C+308|0;j=C+292|0;G=C+304|0;F=C+288|0;t=C+144|0;q=C+128|0;s=C+88|0;E=C+28|0;u=C+48|0;v=C+16|0;w=C+12|0;D=C+8|0;z=C+4|0;A=C;pK(I,b+68|0);y=0;oa(464,c|0,b+80|0);n=y;y=0;if(n&1){J=pb()|0;$9(I);sb(J|0)}c=k[c>>2]|0;k[d>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;n=y;y=0;if(!(n&1)){y=0;oa(482,J|0,c|0);n=y;y=0;if(!(n&1)){EO(d);do if((k[(k[J>>2]|0)+56>>2]|0)==2){y=0;oa(464,o|0,b+84|0);n=y;y=0;if(n&1){c=pb()|0;break}c=k[o>>2]|0;k[e>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;n=y;y=0;if(!(n&1)){y=0;oa(482,H|0,c|0);n=y;y=0;if(!(n&1)){EO(e);do if((k[(k[H>>2]|0)+56>>2]|0)==2){c=k[J>>2]|0;if(!c)c=0;else c=pw(c,40,448,0)|0;y=0;oa(482,G|0,c|0);n=y;y=0;if(n&1){c=pb()|0;break}c=k[H>>2]|0;if(!c)c=0;else c=pw(c,40,448,0)|0;y=0;oa(482,F|0,c|0);n=y;y=0;if(n&1)c=pb()|0;else{y=0;oa(457,x|0,k[G>>2]|0);n=y;y=0;a:do if(n&1){c=pb()|0;B=65}else{y=0;oa(457,o|0,k[F>>2]|0);n=y;y=0;if(n&1){c=pb()|0;$9(x);B=65;break}e=i[x+11>>0]|0;h=e<<24>>24<0;e=e&255;j=h?k[x+4>>2]|0:e;n=i[o+11>>0]|0;c=n<<24>>24<0;b:do if((j|0)==((c?k[o+4>>2]|0:n&255)|0)){l=k[x>>2]|0;m=h?l:x;c=c?k[o>>2]|0:o;d=(j|0)==0;if(h)if(d){$9(o);$9(x);break}else{n=(zM(m,c,j)|0)==0;$9(o);$9(x);if(n)break;else{B=45;break}}if(d){$9(o);$9(x);break}c:do if((l&255)<<24>>24==(i[c>>0]|0)){d=x;while(1){e=e+-1|0;d=d+1|0;if(!e)break;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0))break c}$9(o);$9(x);break b}while(0);$9(o);$9(x);B=45}else{$9(o);$9(x);B=45}while(0);d:do if((B|0)==45){n=t+64|0;c=t+8|0;k[c>>2]=14400;m=t+12|0;k[t>>2]=14440;k[n>>2]=14460;k[t+4>>2]=0;y=0;oa(528,t+64|0,m|0);l=y;y=0;if(l&1)c=pb()|0;else{k[t+136>>2]=0;k[t+140>>2]=-1;k[t>>2]=14380;k[n>>2]=14420;k[c>>2]=14400;y=0;na(373,m|0);l=y;y=0;do if(l&1)c=pb()|0;else{k[m>>2]=14240;j=t+44|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;k[t+60>>2]=24;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;oa(529,m|0,x|0);l=y;y=0;if(l&1){c=pb()|0;$9(x);$9(j);nba(m);break}$9(x);l=t+8|0;y=0;c=ta(54,l|0,47243,21)|0;h=y;y=0;e:do if(h&1)B=67;else{y=0;oa(457,x|0,k[G>>2]|0);h=y;y=0;if(h&1)c=pb()|0;else{h=i[x+11>>0]|0;e=h<<24>>24<0;y=0;c=ta(54,c|0,(e?k[x>>2]|0:x)|0,(e?k[x+4>>2]|0:h&255)|0)|0;h=y;y=0;do if(h&1)B=69;else{y=0;c=ta(54,c|0,47265,7)|0;h=y;y=0;if(h&1){B=69;break}y=0;oa(457,o|0,k[F>>2]|0);h=y;y=0;if(h&1)c=pb()|0;else{h=i[o+11>>0]|0;e=h<<24>>24<0;y=0;c=ta(54,c|0,(e?k[o>>2]|0:o)|0,(e?k[o+4>>2]|0:h&255)|0)|0;h=y;y=0;do if(!(h&1)){y=0;ta(54,c|0,47273,2)|0;h=y;y=0;if(h&1)break;$9(o);$9(x);y=0;oa(530,q|0,m|0);o=y;y=0;if(o&1){B=67;break e}d=s;e=(k[J>>2]|0)+12|0;h=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(h|0));y=0;c=qa(441,k[a+4>>2]|0)|0;o=y;y=0;do if(!(o&1)){y=0;d=x;e=s;h=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(h|0));Na(103,q|0,x|0,c|0);s=y;y=0;if(s&1)break;$9(q);k[t>>2]=14380;k[n>>2]=14420;k[l>>2]=14400;k[m>>2]=14240;$9(j);nba(m);zka(t,14472);dja(n);break d}while(0);c=pb()|0;$9(q);break e}while(0);c=pb()|0;$9(o)}}while(0);if((B|0)==69)c=pb()|0;$9(x)}}while(0);if((B|0)==67)c=pb()|0;k[t>>2]=14380;k[n>>2]=14420;k[l>>2]=14400;k[m>>2]=14240;$9(j);nba(m);zka(t,14472);dja(n);break a}while(0);zka(t,14472)}dja(n);break a}while(0);f=+p[(k[G>>2]|0)+64>>3];g=+p[(k[F>>2]|0)+64>>3];l=a+4|0;y=0;c=qa(439,k[l>>2]|0)|0;t=y;y=0;do if(!(t&1)){y=0;Na(120,E|0,c|0,1);t=y;y=0;if(t&1)break;c=k[l>>2]|0;k[x>>2]=E;d=c+28|0;e=k[d>>2]|0;do if(e>>>0<(k[c+32>>2]|0)>>>0){k[e>>2]=E;k[d>>2]=(k[d>>2]|0)+4;B=85}else{y=0;oa(573,c+24|0,x|0);t=y;y=0;if(!(t&1)){B=85;break}c=pb()|0}while(0);f:do if((B|0)==85){y=0;j=qa(332,104)|0;t=y;y=0;if(t&1){c=pb()|0;break}d=u;e=(k[J>>2]|0)+12|0;h=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(h|0));y=0;oa(457,v|0,k[F>>2]|0);t=y;y=0;do if(t&1)c=pb()|0;else{y=0;d=x;e=u;h=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(h|0));Ca(1,j|0,x|0,+f,v|0,1);u=y;y=0;if(u&1){c=pb()|0;$9(v);break}$9(v);y=0;oa(482,w|0,j|0);v=y;y=0;do if(!(v&1)){y=0;Na(116,E|0,I|0,w|0);v=y;y=0;if(v&1){c=pb()|0;EO(w);break f}EO(w);y=0;oa(464,x|0,b+64|0);w=y;y=0;if(w&1)break;k[D>>2]=k[x>>2];c=(i[b+88>>0]|0)!=0;g:do if(f<g){g=c?g+1.0:g;if(!(f<g)){c=0;B=118;break}d=j+100|0;e=j+64|0;while(1){k[d>>2]=0;p[e>>3]=f;y=0;oa(482,z|0,j|0);B=y;y=0;if(B&1){B=106;break}y=0;Na(116,E|0,I|0,z|0);B=y;y=0;if(B&1){B=107;break}EO(z);c=k[D>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;B=y;y=0;if(B&1){B=106;break}if(c|0){B=118;break g}f=f+1.0;if(!(f<g)){c=0;B=118;break g}}if((B|0)==106){c=pb()|0;B=119;break}else if((B|0)==107){c=pb()|0;EO(z);B=119;break}}else{g=c?g+-1.0:g;if(!(f>g)){c=0;B=118;break}d=j+100|0;e=j+64|0;while(1){k[d>>2]=0;p[e>>3]=f;y=0;oa(482,A|0,j|0);B=y;y=0;if(B&1){B=115;break}y=0;Na(116,E|0,I|0,A|0);B=y;y=0;if(B&1){B=116;break}EO(A);c=k[D>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;B=y;y=0;if(B&1){B=115;break}if(c|0){B=118;break g}f=f+-1.0;if(!(f>g)){c=0;B=118;break g}}if((B|0)==115){c=pb()|0;B=119;break}else if((B|0)==116){c=pb()|0;EO(A);B=119;break}}while(0);if((B|0)==118){B=(k[l>>2]|0)+28|0;k[B>>2]=(k[B>>2]|0)+-4;EO(D);jB(E,k[E+4>>2]|0);EO(F);EO(G);EO(H);EO(J);$9(I);r=C;return c|0}else if((B|0)==119){EO(D);break f}}while(0);c=pb()|0;break f}while(0);zqa(j)}while(0);jB(E,k[E+4>>2]|0);break a}while(0);c=pb()|0}while(0);EO(F)}EO(G)}else{e=gb(92)|0;c=k[H>>2]|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,43163,7);G=y;y=0;if(G&1)c=pb()|0;else{y=0;Na(121,e|0,c|0,j|0);G=y;y=0;if(G&1)d=1;else{y=0;Na(76,e|0,2512,221);y=0;d=0}c=pb()|0;$9(j);if(!d)break}fb(e|0)}while(0);EO(H);break}}c=pb()|0;EO(e)}else{e=gb(92)|0;c=k[J>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(75,h|0,43163,7);H=y;y=0;if(H&1)c=pb()|0;else{y=0;Na(121,e|0,c|0,h|0);H=y;y=0;if(H&1)d=1;else{y=0;Na(76,e|0,2512,221);y=0;d=0}c=pb()|0;$9(h);if(!d)break}fb(e|0)}while(0);EO(J);J=c;$9(I);sb(J|0)}}J=pb()|0;EO(d);$9(I);sb(J|0);return 0}function Pd(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;Z=0;$=r;r=r+528|0;aa=$+120|0;K=$+80|0;x=$+40|0;B=$;h=$+476|0;m=$+460|0;n=$+448|0;o=$+400|0;_=$+516|0;p=$+504|0;c=$+500|0;e=$+496|0;f=$+492|0;g=$+488|0;D=$+472|0;L=$+444|0;q=$+440|0;s=$+392|0;w=$+352|0;M=$+348|0;P=$+344|0;E=$+340|0;F=$+336|0;z=$+296|0;N=$+292|0;Q=$+288|0;G=$+284|0;H=$+280|0;A=$+240|0;O=$+232|0;R=$+228|0;I=$+224|0;J=$+220|0;S=$+216|0;T=$+176|0;W=$+172|0;X=$+168|0;U=$+164|0;V=$+160|0;mw(a,0,0)|0;d=a+152|0;k[aa>>2]=k[d>>2];k[aa+4>>2]=k[d+4>>2];k[aa+8>>2]=k[d+8>>2];C=a+76|0;b=k[C>>2]|0;j=a+84|0;k[K>>2]=k[j>>2];k[K+4>>2]=k[j+4>>2];k[K+8>>2]=k[j+8>>2];l=a+96|0;k[x>>2]=k[l>>2];k[x+4>>2]=k[l+4>>2];k[x+8>>2]=k[l+8>>2];Y=a+108|0;t=B;u=Y;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));mw(a,1,0)|0;if(ft(a,1,0)|0){c=Fd(a)|0;k[K>>2]=c;k[h>>2]=k[d>>2];k[h+4>>2]=k[d+4>>2];k[h+8>>2]=k[d+8>>2];c=k[C>>2]|0;k[m>>2]=k[j>>2];k[m+4>>2]=k[j+4>>2];k[m+8>>2]=k[j+8>>2];k[n>>2]=k[l>>2];k[n+4>>2]=k[l+4>>2];k[n+8>>2]=k[l+8>>2];t=o;u=Y;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));y=0;ta(61,a|0,1,0)|0;X=y;y=0;a:do if(X&1)Z=9;else{y=0;b=ta(74,a|0,1,0)|0;X=y;y=0;if(X&1)Z=9;else{do if(!b){t=Y;u=o;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));k[d>>2]=k[h>>2];k[d+4>>2]=k[h+4>>2];k[d+8>>2]=k[h+8>>2];k[C>>2]=c;k[l>>2]=k[n>>2];k[l+4>>2]=k[n+4>>2];k[l+8>>2]=k[n+8>>2];k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(75,p|0,40103,20);Y=y;y=0;if(Y&1){Z=9;break a}Y=a+108|0;y=0;k[aa>>2]=k[Y>>2];k[aa+4>>2]=k[Y+4>>2];k[aa+8>>2]=k[Y+8>>2];Na(109,a|0,p|0,aa|0);aa=y;y=0;if(aa&1){b=pb()|0;$9(p);break a}else{$9(p);break}}while(0);y=0;oa(482,_|0,k[K>>2]|0);aa=y;y=0;if(aa&1)Z=9;else{EO(K);aa=k[_>>2]|0;r=$;return aa|0}}}while(0);if((Z|0)==9)b=pb()|0;EO(K);aa=b;sb(aa|0)}t=Y;u=B;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));k[d>>2]=k[aa>>2];k[d+4>>2]=k[aa+4>>2];k[d+8>>2]=k[aa+8>>2];k[C>>2]=b;k[l>>2]=k[x>>2];k[l+4>>2]=k[x+4>>2];k[l+8>>2]=k[x+8>>2];k[j>>2]=k[K>>2];k[j+4>>2]=k[K+4>>2];k[j+8>>2]=k[K+8>>2];v=b;d=oW(v)|0;v=c8(d|0?d:v)|0;d=a+80|0;if(!((v|0)==0?1:v>>>0>(k[d>>2]|0)>>>0)){aa=Qd(a)|0;k[c>>2]=aa;y=0;oa(482,_|0,aa|0);aa=y;y=0;if(aa&1){aa=pb()|0;EO(c);sb(aa|0)}else{EO(c);aa=k[_>>2]|0;r=$;return aa|0}}v=k[C>>2]|0;u=oW(v)|0;v=Sz(u|0?u:v)|0;if(!((v|0)==0?1:v>>>0>(k[d>>2]|0)>>>0)){aa=Re(a)|0;k[e>>2]=aa;y=0;oa(482,_|0,aa|0);aa=y;y=0;if(aa&1){aa=pb()|0;EO(e);sb(aa|0)}else{EO(e);aa=k[_>>2]|0;r=$;return aa|0}}b=k[C>>2]|0;v=oW(b)|0;b=PE(v|0?v:b)|0;if(b|0){v=(i[b>>0]|0)==40?b+1|0:0;if(!((v|0)==0?1:v>>>0>(k[d>>2]|0)>>>0)){aa=Ye(a)|0;k[f>>2]=aa;y=0;oa(482,_|0,aa|0);aa=y;y=0;if(aa&1){aa=pb()|0;EO(f);sb(aa|0)}else{EO(f);aa=k[_>>2]|0;r=$;return aa|0}}}if(nu(a,1,0)|0){aa=hm(a)|0;k[g>>2]=aa;y=0;oa(482,_|0,aa|0);aa=y;y=0;if(aa&1){aa=pb()|0;EO(g);sb(aa|0)}else{EO(g);aa=k[_>>2]|0;r=$;return aa|0}}if(mu(a,1,0)|0){b=ce(a)|0;k[aa>>2]=b;b:do if(!b)Z=45;else{b=pw(b,432,400,0)|0;if(!b)Z=45;else{y=0;c=ta(90,a|0,1,0)|0;Y=y;y=0;c:do if(!(Y&1)){if(!c){Z=45;break b}b=b+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=Ha(1003,a|0,0)|0;Y=y;y=0;if(!(Y&1)){k[L>>2]=d;y=0;oa(482,D|0,d|0);Y=y;y=0;do if(Y&1)b=pb()|0;else{y=0;oa(c|0,b|0,D|0);Y=y;y=0;if(Y&1){b=pb()|0;EO(D);break}else{EO(D);EO(L);y=0;ta(74,a|0,1,0)|0;a=y;y=0;if(a&1)break c;else{Z=45;break b}}}while(0);EO(L);break b}}while(0);b=pb()|0}}while(0);do if((Z|0)==45){y=0;oa(482,_|0,k[aa>>2]|0);a=y;y=0;if(a&1){b=pb()|0;break}EO(aa);aa=k[_>>2]|0;r=$;return aa|0}while(0);EO(aa);aa=b;sb(aa|0)}b=k[C>>2]|0;L=oW(b)|0;b=xA(L|0?L:b)|0;if(b|0){b=PG(b)|0;if(b|0){L=PM(b)|0;if(!((L|0)==0?1:L>>>0>(k[d>>2]|0)>>>0)){aa=Nd(a)|0;k[q>>2]=aa;y=0;oa(482,_|0,aa|0);aa=y;y=0;if(aa&1){aa=pb()|0;EO(q);sb(aa|0)}else{EO(q);aa=k[_>>2]|0;r=$;return aa|0}}}}L=k[C>>2]|0;D=oW(L)|0;L=ET(D|0?D:L)|0;if(!((L|0)==0?1:L>>>0>(k[d>>2]|0)>>>0)){aa=$j(a)|0;k[s>>2]=aa;y=0;oa(482,_|0,aa|0);aa=y;y=0;if(aa&1){aa=pb()|0;EO(s);sb(aa|0)}else{EO(s);aa=k[_>>2]|0;r=$;return aa|0}}if(dt(a,1,0)|0){d=ZL(72)|0;t=w;u=Y;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));y=0;b=qa(384,a|0)|0;a=y;y=0;if(a&1)b=pb()|0;else{k[P>>2]=b;y=0;oa(482,M|0,b|0);a=y;y=0;if(a&1)b=pb()|0;else{t=B;u=w;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));y=0;na(366,d|0);a=y;y=0;do if(a&1)b=pb()|0;else{t=d+12|0;u=B;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));b=d+52|0;i[b>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=0;k[d>>2]=8164;k[d+60>>2]=0;c=d+64|0;y=0;oa(464,c|0,M|0);a=y;y=0;if(a&1){b=pb()|0;break}k[d+68>>2]=0;EO(M);EO(P);rT(aa,c);a=k[aa>>2]|0;k[E>>2]=a;EO(E);if(a|0){rT(aa,c);aa=k[aa>>2]|0;k[F>>2]=aa;i[b>>0]=i[aa+52>>0]|0;EO(F)}_V(_,d);aa=k[_>>2]|0;r=$;return aa|0}while(0);EO(M)}EO(P)}zqa(d);aa=b;sb(aa|0)}if(bt(a,1,0)|0){d=ZL(72)|0;t=z;u=Y;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));y=0;b=qa(384,a|0)|0;a=y;y=0;if(a&1)b=pb()|0;else{k[Q>>2]=b;y=0;oa(482,N|0,b|0);a=y;y=0;if(a&1)b=pb()|0;else{t=x;u=z;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));y=0;na(366,d|0);a=y;y=0;do if(a&1)b=pb()|0;else{t=d+12|0;u=x;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));b=d+52|0;i[b>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=0;k[d>>2]=8164;k[d+60>>2]=1;c=d+64|0;y=0;oa(464,c|0,N|0);a=y;y=0;if(a&1){b=pb()|0;break}k[d+68>>2]=0;EO(N);EO(Q);rT(aa,c);a=k[aa>>2]|0;k[G>>2]=a;EO(G);if(a|0){rT(aa,c);aa=k[aa>>2]|0;k[H>>2]=aa;i[b>>0]=i[aa+52>>0]|0;EO(H)}_V(_,d);aa=k[_>>2]|0;r=$;return aa|0}while(0);EO(N)}EO(Q)}zqa(d);aa=b;sb(aa|0)}if(Xt(a,1,0)|0){d=ZL(72)|0;t=A;u=Y;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));y=0;b=qa(384,a|0)|0;a=y;y=0;if(a&1)b=pb()|0;else{k[R>>2]=b;y=0;oa(482,O|0,b|0);a=y;y=0;if(a&1)b=pb()|0;else{t=K;u=A;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));y=0;na(366,d|0);a=y;y=0;do if(a&1)b=pb()|0;else{t=d+12|0;u=K;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));b=d+52|0;i[b>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=0;k[d>>2]=8164;k[d+60>>2]=2;c=d+64|0;y=0;oa(464,c|0,O|0);a=y;y=0;if(a&1){b=pb()|0;break}k[d+68>>2]=0;EO(O);EO(R);rT(aa,c);a=k[aa>>2]|0;k[I>>2]=a;EO(I);if(a|0){rT(aa,c);aa=k[aa>>2]|0;k[J>>2]=aa;i[b>>0]=i[aa+52>>0]|0;EO(J)}_V(_,d);aa=k[_>>2]|0;r=$;return aa|0}while(0);EO(O)}EO(R)}zqa(d);aa=b;sb(aa|0)}c=k[C>>2]|0;b=oW(c)|0;c=b|0?b:c;b=CX(c)|0;if(!b){R=i[c>>0]|0;b=c+1|0;R=R<<24>>24|0;b=(R|0)!=45?((R|0)==43?b:0):b;if(b|0)Z=105}else Z=105;if((Z|0)==105){while(1){c=CX(b)|0;if(c|0){b=c;Z=105;continue}Z=i[b>>0]|0;c=b+1|0;Z=Z<<24>>24|0;c=(Z|0)!=45?((Z|0)==43?c:0):c;if(!c)break;else{b=c;Z=105}}Z=XB(b)|0;if(!((Z|0)==0?1:Z>>>0>(k[d>>2]|0)>>>0)){b=1;while(1){while(1){if(Eu(a,1,0)|0)continue;if(!(Cu(a,1,0)|0))break}if(!(bt(a,1,0)|0))break;else b=b^1}if(b){aa=hd(a)|0;k[S>>2]=aa;y=0;oa(482,_|0,aa|0);aa=y;y=0;if(aa&1){aa=pb()|0;EO(S);sb(aa|0)}else{EO(S);aa=k[_>>2]|0;r=$;return aa|0}}d=ZL(72)|0;t=T;u=Y;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));y=0;b=qa(385,a|0)|0;a=y;y=0;if(a&1)b=pb()|0;else{k[X>>2]=b;y=0;oa(482,W|0,b|0);a=y;y=0;if(a&1)b=pb()|0;else{t=aa;u=T;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));y=0;na(366,d|0);a=y;y=0;do if(a&1)b=pb()|0;else{t=d+12|0;u=aa;v=t+40|0;do{k[t>>2]=k[u>>2];t=t+4|0;u=u+4|0}while((t|0)<(v|0));b=d+52|0;i[b>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=0;k[d>>2]=8164;k[d+60>>2]=1;c=d+64|0;y=0;oa(464,c|0,W|0);a=y;y=0;if(a&1){b=pb()|0;break}k[d+68>>2]=0;EO(W);EO(X);rT(aa,c);a=k[aa>>2]|0;k[U>>2]=a;EO(U);if(a|0){rT(aa,c);aa=k[aa>>2]|0;k[V>>2]=aa;i[b>>0]=i[aa+52>>0]|0;EO(V)}_V(_,d);aa=k[_>>2]|0;r=$;return aa|0}while(0);EO(W)}EO(X)}zqa(d);aa=b;sb(aa|0)}}aa=hd(a)|0;k[_>>2]=aa;aa=k[_>>2]|0;r=$;return aa|0}function Qd(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;ga=0;ia=r;r=r+512|0;ja=ia+80|0;$=ia+40|0;T=ia;ha=ia+496|0;g=ia+456|0;h=ia+444|0;X=ia+440|0;Y=ia+400|0;aa=ia+384|0;_=ia+208|0;Z=ia+216|0;U=ia+196|0;V=ia+192|0;W=ia+180|0;ca=ia+176|0;da=ia+136|0;ea=ia+120|0;Ru(a,1,0)|0;c=k[a+156>>2]|0;fa=k[a+160>>2]|0;a:do if(c>>>0<fa>>>0){e=0;b=c;b:while(1){d=i[b>>0]|0;if(!(d<<24>>24))break a;c:do if(e)e=0;else if(d<<24>>24==92)e=1;else{d=Qz(b)|0;if(!d){j=i[44181]|0;if(!(j<<24>>24))if(!b){e=0;b=0;break}else break b;else{d=b;e=44181;f=j}while(1){if((i[d>>0]|0)!=f<<24>>24){e=0;break c}e=e+1|0;f=i[e>>0]|0;if(!(f<<24>>24)){ga=11;break b}else d=d+1|0}}else{e=0;b=d}}while(0);b=b+1|0;if(b>>>0>=fa>>>0)break a}if((ga|0)==11)if(!b)break;ba=ZL(84)|0;P=a+108|0;e=T;l=P;m=e+40|0;do{k[e>>2]=k[l>>2];e=e+4|0;l=l+4|0}while((e|0)<(m|0));y=0;na(366,ba|0);S=y;y=0;do if(S&1)b=pb()|0;else{e=ba+12|0;l=T;m=e+40|0;do{k[e>>2]=k[l>>2];e=e+4|0;l=l+4|0}while((e|0)<(m|0));i[ba+52>>0]=0;i[ba+53>>0]=0;i[ba+54>>0]=0;b=ba+56|0;k[ba>>2]=9504;k[b>>2]=4;S=ba+60|0;k[S>>2]=7720;f=ba+64|0;g=ba+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,0);R=y;y=0;if(R&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{ja=d+-4|0;k[g>>2]=ja;EO(ja);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[ba>>2]=9328;k[S>>2]=9464;k[ba+80>>2]=0;k[b>>2]=4;F=aa+8|0;G=aa+4|0;H=aa+11|0;I=a+80|0;M=fa;J=M-c|0;K=J>>>0>4294967279;q=J+16&-16;s=q|-2147483648;t=$+8|0;u=$+4|0;v=(c|0)==(fa|0);w=J>>>0<11;x=J&255;z=$+11|0;A=a+76|0;B=U+4|0;C=U+8|0;D=a+40|0;E=a+72|0;L=Z+56|0;Q=Z+44|0;R=Z+48|0;O=Z+60|0;p=c;b=j;d:while(1){n=p;while(1){e=0;j=p;o=b;e:while(1){b=i[j>>0]|0;if(!(b<<24>>24)){ga=124;break d}f:do if(e){e=0;b=j;d=o}else if(b<<24>>24==92){e=1;b=j;d=o}else{b=Qz(j)|0;if(!b){if(!(o<<24>>24))if(!j){e=0;b=0;d=0;break}else break e;else{b=j;d=44181;e=o}while(1){if((i[b>>0]|0)!=e<<24>>24){e=0;b=j;d=o;break f}d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24)){ga=47;break e}else b=b+1|0}}else{e=0;d=o}}while(0);b=b+1|0;if(b>>>0<fa>>>0){j=b;o=d}else{ga=124;break d}}if((ga|0)==47){ga=0;if(!j){ga=124;break d}}if(p>>>0<j>>>0){g=k[(k[S>>2]|0)+20>>2]|0;h=ZL(80)|0;e=Y;l=P;m=e+40|0;do{k[e>>2]=k[l>>2];e=e+4|0;l=l+4|0}while((e|0)<(m|0));k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;f=j-n|0;if(f>>>0>4294967279){y=0;na(377,aa|0);ga=y;y=0;if(ga&1){ga=66;break d}else ga=53}else if(f>>>0<11){i[H>>0]=f;b=aa}else ga=53;if((ga|0)==53){ga=0;d=f+16&-16;y=0;b=qa(332,d|0)|0;m=y;y=0;if(m&1){ga=66;break d}k[aa>>2]=b;k[F>>2]=d|-2147483648;k[G>>2]=f}if((p|0)!=(j|0)){d=b;e=p;while(1){i[d>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(j|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;e=$;l=Y;m=e+40|0;do{k[e>>2]=k[l>>2];e=e+4|0;l=l+4|0}while((e|0)<(m|0));y=0;na(366,h|0);m=y;y=0;if(m&1){c=1;ga=68;break d}e=h+12|0;l=$;m=e+40|0;do{k[e>>2]=k[l>>2];e=e+4|0;l=l+4|0}while((e|0)<(m|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h+56>>2]=4;k[h>>2]=9640;i[h+60>>0]=0;i[h+61>>0]=0;y=0;oa(547,h+64|0,aa|0);m=y;y=0;if(m&1){ga=60;break d}k[h+76>>2]=0;y=0;oa(482,X|0,h|0);m=y;y=0;if(m&1){c=0;ga=68;break d}y=0;oa(g|0,S|0,X|0);m=y;y=0;if(m&1){ga=67;break d}EO(X);$9(aa)}f=j+2|0;b=oW(f)|0;b=jO(b|0?b:f)|0;if(b|0){d=i[45708]|0;g:do if(!(d<<24>>24))d=0;else{e=45708;while(1){if((i[b>>0]|0)!=d<<24>>24)break g;b=b+1|0;e=e+1|0;d=i[e>>0]|0;if(!(d<<24>>24)){d=0;break}}}while(0);m=d<<24>>24==0?b:0;if(!((m|0)==0?1:m>>>0>(k[I>>2]|0)>>>0)){k[A>>2]=f;k[ja>>2]=0;k[ja+4>>2]=0;k[ja+8>>2]=0;jI(ja,39964,11);k[$>>2]=0;k[$+4>>2]=0;k[$+8>>2]=0;y=0;Na(75,$|0,39976,7);m=y;y=0;if(m&1){ga=79;break d}k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;Na(75,T|0,39984,44);m=y;y=0;if(m&1){ga=80;break d}y=0;Ra(25,a|0,ja|0,$|0,T|0);m=y;y=0;if(m&1){ga=81;break d}$9(T);$9($);$9(ja)}}g=hk(f,fa)|0;if(g|0)break;k[$>>2]=0;k[$+4>>2]=0;k[$+8>>2]=0;if(K){LM($);ga=114}else if(w){i[z>>0]=x;b=$}else ga=114;if((ga|0)==114){ga=0;b=ZL(q)|0;k[$>>2]=b;k[t>>2]=s;k[u>>2]=J}if(!v){d=b;e=c;while(1){i[d>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(fa|0))break;else d=d+1|0}b=b+J|0}i[b>>0]=0;y=0;b=ta(52,$|0,0,40251)|0;m=y;y=0;if(m&1){ga=121;break d}k[W>>2]=k[b>>2];k[W+4>>2]=k[b+4>>2];k[W+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;k[ja>>2]=k[P>>2];k[ja+4>>2]=k[P+4>>2];k[ja+8>>2]=k[P+8>>2];Na(109,a|0,W|0,ja|0);m=y;y=0;if(m&1){ga=122;break d}$9(W);$9($);b=o}k[U>>2]=f;k[B>>2]=f;k[C>>2]=g;b=k[D>>2]|0;d=k[E>>2]|0;k[$>>2]=k[U>>2];k[$+4>>2]=k[U+4>>2];k[$+8>>2]=k[U+8>>2];e=ja;l=P;m=e+40|0;do{k[e>>2]=k[l>>2];e=e+4|0;l=l+4|0}while((e|0)<(m|0));il(Z,$,b,ja,d);y=0;b=Ha(1003,Z|0,0)|0;p=y;y=0;if(p&1){ga=98;break}k[_>>2]=b;b=k[L>>2]|0;d=b;if(b|0){e=k[O>>2]|0;if((e|0)!=(b|0))k[O>>2]=e+(~((e+-4-d|0)>>>2)<<2);zqa(b)}b=k[Q>>2]|0;if(b|0){d=k[R>>2]|0;if((d|0)!=(b|0)){do{p=d+-4|0;k[R>>2]=p;EO(p);d=k[R>>2]|0}while((d|0)!=(b|0));b=k[Q>>2]|0}zqa(b)}p=k[_>>2]|0;i[p+54>>0]=1;b=k[(k[S>>2]|0)+20>>2]|0;y=0;oa(482,V|0,p|0);p=y;y=0;if(p&1){ga=107;break}y=0;oa(b|0,S|0,V|0);p=y;y=0;if(p&1){ga=108;break}EO(V);EO(_);if(g>>>0<fa>>>0){p=g;b=o}else{ga=143;break}}h:switch(ga|0){case 60:{b=pb()|0;$9(aa);ga=69;break}case 66:{b=pb()|0;ga=69;break}case 67:{ja=pb()|0;EO(X);$9(aa);sb(ja|0)}case 68:{b=pb()|0;$9(aa);if(c)ga=69;else{ja=b;sb(ja|0)}break}case 79:{b=pb()|0;break}case 80:{b=pb()|0;ga=82;break}case 81:{b=pb()|0;$9(T);ga=82;break}case 98:{f=pb()|0;e=N;b=k[L>>2]|0;c=b;if(b|0){d=k[O>>2]|0;if((d|0)!=(b|0))k[O>>2]=d+(~((d+-4-c|0)>>>2)<<2);zqa(b)}b=k[Q>>2]|0;if(!b){ja=f;sb(ja|0)}c=k[R>>2]|0;if((c|0)!=(b|0)){do{ja=c+-4|0;k[R>>2]=ja;EO(ja);c=k[R>>2]|0}while((c|0)!=(b|0));b=k[Q>>2]|0}zqa(b);ja=f;sb(ja|0)}case 107:{b=pb()|0;ga=109;break}case 108:{b=pb()|0;EO(V);ga=109;break}case 121:{b=pb()|0;ga=123;break}case 122:{b=pb()|0;$9(W);ga=123;break}case 124:{f=k[(k[S>>2]|0)+20>>2]|0;g=ZL(80)|0;e=da;l=P;m=e+40|0;do{k[e>>2]=k[l>>2];e=e+4|0;l=l+4|0}while((e|0)<(m|0));k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;e=M-n|0;if(e>>>0>4294967279){y=0;na(377,ea|0);ga=y;y=0;if(ga&1)ga=139;else ga=128}else if(e>>>0<11){i[ea+11>>0]=e;b=ea;ga=130}else ga=128;if((ga|0)==128){c=e+16&-16;y=0;b=qa(332,c|0)|0;ga=y;y=0;if(ga&1)ga=139;else{k[ea>>2]=b;k[ea+8>>2]=c|-2147483648;k[ea+4>>2]=e;ga=130}}do if((ga|0)==130){if((p|0)!=(fa|0)){d=b;c=p;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(fa|0))break;else d=d+1|0}b=b+e|0}i[b>>0]=0;e=ja;l=da;m=e+40|0;do{k[e>>2]=k[l>>2];e=e+4|0;l=l+4|0}while((e|0)<(m|0));y=0;na(366,g|0);ga=y;y=0;if(ga&1)c=1;else{e=g+12|0;l=ja;m=e+40|0;do{k[e>>2]=k[l>>2];e=e+4|0;l=l+4|0}while((e|0)<(m|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=4;k[g>>2]=9640;i[g+60>>0]=0;i[g+61>>0]=0;y=0;oa(547,g+64|0,ea|0);ja=y;y=0;if(ja&1){b=pb()|0;$9(ea);break}k[g+76>>2]=0;y=0;oa(482,ca|0,g|0);ja=y;y=0;if(ja&1)c=0;else{y=0;oa(f|0,S|0,ca|0);ja=y;y=0;if(!(ja&1)){EO(ca);$9(ea);ga=143;break h}ja=pb()|0;EO(ca);$9(ea);sb(ja|0)}}b=pb()|0;$9(ea);if(!c){ja=b;sb(ja|0)}}else if((ga|0)==139)b=pb()|0;while(0);zqa(g);ja=b;sb(ja|0)}}if((ga|0)==69){zqa(h);ja=b;sb(ja|0)}else if((ga|0)==82)$9($);else if((ga|0)==109){EO(_);ja=b;sb(ja|0)}else if((ga|0)==123){$9($);ja=b;sb(ja|0)}else if((ga|0)==143){_V(ha,ba);ja=k[ha>>2]|0;r=ia;return ja|0}$9(ja);ja=b;sb(ja|0)}while(0);zqa(ba);ja=b;sb(ja|0)}while(0);f=ZL(80)|0;e=g;l=a+108|0;m=e+40|0;do{k[e>>2]=k[l>>2];e=e+4|0;l=l+4|0}while((e|0)<(m|0));k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;e=fa-c|0;if(e>>>0>4294967279){y=0;na(377,h|0);ga=y;y=0;if(ga&1)ga=24;else ga=16}else if(e>>>0<11){i[h+11>>0]=e;b=h;ga=18}else ga=16;if((ga|0)==16){d=e+16&-16;y=0;b=qa(332,d|0)|0;ga=y;y=0;if(ga&1)ga=24;else{k[h>>2]=b;k[h+8>>2]=d|-2147483648;k[h+4>>2]=e;ga=18}}if((ga|0)==18){if((c|0)!=(fa|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(fa|0))break;else d=d+1|0}b=b+e|0}i[b>>0]=0;y=0;e=ja;l=g;m=e+40|0;do{k[e>>2]=k[l>>2];e=e+4|0;l=l+4|0}while((e|0)<(m|0));Ea(2,f|0,ja|0,h|0,0,0,0,1);ja=y;y=0;if(ja&1)c=1;else{y=0;oa(482,ha|0,f|0);ja=y;y=0;if(ja&1)c=0;else{$9(h);ja=k[ha>>2]|0;r=ia;return ja|0}}b=pb()|0;$9(h);if(!c){ja=b;sb(ja|0)}}else if((ga|0)==24)b=pb()|0;zqa(f);ja=b;sb(ja|0);return 0}function Rd(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0;$=r;r=r+208|0;s=$+168|0;J=$+80|0;q=$+40|0;_=$;ra=$+164|0;A=$+156|0;t=$+160|0;B=$+152|0;u=$+148|0;v=$+144|0;C=$+136|0;m=$+140|0;w=$+132|0;U=$+128|0;V=$+124|0;Z=$+120|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;jI(J,36583,6);y=0;n=s;o=e;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));b=sa(26,J|0,a|0,d|0,s|0,f|0)|0;p=y;y=0;if(!(p&1)){y=0;b=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;p=y;y=0;if(!(p&1)){y=0;oa(482,ra|0,b|0);p=y;y=0;if(!(p&1)){$9(J);g=k[ra>>2]|0;l=(k[g+68>>2]|0)-(k[g+64>>2]|0)>>2;a:do if(!l){aa=0;b=6}else{b=0;f=0;b:while(1){y=0;g=Ha(981,g|0,f|0)|0;p=y;y=0;if(p&1){b=11;break}k[t>>2]=g;if(!g)g=0;else g=pw(g,40,216,0)|0;y=0;oa(482,A|0,g|0);p=y;y=0;if(p&1){b=12;break}EO(t);y=0;g=Ha(981,k[ra>>2]|0,f|0)|0;p=y;y=0;if(p&1){b=17;break}k[u>>2]=g;if(!g)g=0;else g=pw(g,40,584,0)|0;y=0;oa(482,B|0,g|0);p=y;y=0;if(p&1){b=18;break}EO(u);do if(!(k[A>>2]|0)){g=k[B>>2]|0;if(!g){y=0;S=qa(332,88)|0;p=y;y=0;if(p&1){b=43;break b}n=q;o=e;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(366,S|0);p=y;y=0;if(p&1){b=44;break b}n=S+12|0;o=q;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));i[S+52>>0]=0;i[S+53>>0]=0;i[S+54>>0]=0;g=S+56|0;k[g>>2]=0;k[S>>2]=7760;a=S+60|0;k[a>>2]=7720;K=S+64|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;k[K+12>>2]=0;y=0;oa(518,K|0,1);p=y;y=0;if(p&1){b=32;break b}k[S>>2]=7552;k[a>>2]=7680;k[S+80>>2]=1;i[S+84>>0]=0;i[S+85>>0]=0;k[g>>2]=5;y=0;oa(482,s|0,S|0);p=y;y=0;if(p&1){b=43;break b}y=0;Ha(966,A|0,s|0)|0;p=y;y=0;if(p&1){b=46;break b}EO(s);g=(k[A>>2]|0)+60|0;a=k[(k[g>>2]|0)+20>>2]|0;y=0;d=Ha(981,k[ra>>2]|0,f|0)|0;p=y;y=0;if(p&1){b=25;break b}k[v>>2]=d;y=0;oa(a|0,g|0,v|0);p=y;y=0;if(p&1){b=48;break b}EO(v)}else{y=0;g=ta(58,g|0,c|0,e|0)|0;p=y;y=0;if(p&1){b=26;break b}k[s>>2]=g;y=0;Ha(966,A|0,s|0)|0;p=y;y=0;if(p&1){b=27;break b}EO(s)}g=k[ra>>2]|0;if(!(i[g+84>>0]|0)){g=k[g+64>>2]|0;y=0;oa(482,s|0,k[A>>2]|0);p=y;y=0;if(p&1){b=62;break b}y=0;Ha(966,g+(f<<2)|0,s|0)|0;p=y;y=0;if(p&1){b=63;break b}EO(s);break}g=g+60|0;y=0;g=Ha(k[(k[g>>2]|0)+16>>2]|0,g|0,f|0)|0;p=y;y=0;if(p&1){b=25;break b}y=0;oa(482,C|0,k[g>>2]|0);p=y;y=0;if(p&1){b=25;break b}g=k[C>>2]|0;y=0;oa(482,w|0,k[A>>2]|0);p=y;y=0;if(p&1){b=56;break b}k[g+80>>2]=0;g=g+60|0;y=0;Ha(966,g|0,w|0)|0;p=y;y=0;if(p&1){b=57;break b}y=0;oa(464,s|0,g|0);p=y;y=0;if(p&1){b=57;break b}k[m>>2]=k[s>>2];EO(m);EO(w);EO(C)}while(0);g=k[A>>2]|0;g=(k[g+68>>2]|0)-(k[g+64>>2]|0)>>2;b=(f|0)==0|g>>>0<b>>>0?g:b;EO(B);EO(A);g=f+1|0;if(g>>>0>=l>>>0){aa=b;b=6;break a}f=g;g=k[ra>>2]|0}switch(b|0){case 11:{h=pb()|0;break a}case 12:{h=pb()|0;EO(t);break a}case 17:{R=pb()|0;break}case 18:{R=pb()|0;EO(u);break}case 25:{Q=pb()|0;b=67;break}case 26:{L=pb()|0;b=28;break}case 27:{L=pb()|0;EO(s);b=28;break}case 32:{j=pb()|0;g=N;a=S+68|0;h=k[K>>2]|0;if(h|0){b=k[a>>2]|0;if((b|0)!=(h|0)){do{z=b+-4|0;k[a>>2]=z;EO(z);b=k[a>>2]|0}while((b|0)!=(h|0));h=k[K>>2]|0}zqa(h)}b=45;break}case 43:{M=pb()|0;b=47;break}case 44:{j=pb()|0;b=45;break}case 46:{M=pb()|0;EO(s);b=47;break}case 48:{Q=pb()|0;EO(v);b=67;break}case 56:{O=pb()|0;b=58;break}case 57:{O=pb()|0;EO(w);b=58;break}case 62:{P=pb()|0;b=64;break}case 63:{P=pb()|0;EO(s);b=64;break}}if((b|0)==28){Q=L;b=67}else if((b|0)==45){zqa(S);M=j;b=47}else if((b|0)==58){EO(C);Q=O;b=67}else if((b|0)==64){Q=P;b=67}if((b|0)==47){Q=M;b=67}if((b|0)==67){EO(B);R=Q}EO(A);h=R}while(0);c:do if((b|0)==6){y=0;m=qa(332,88)|0;S=y;y=0;if(S&1){h=pb()|0;break}n=J;o=e;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(366,m|0);S=y;y=0;do if(S&1)h=pb()|0;else{n=m+12|0;o=J;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;h=m+56|0;k[h>>2]=0;k[m>>2]=7760;l=m+60|0;k[l>>2]=7720;j=m+64|0;d=m+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(518,j|0,aa|0);S=y;y=0;if(S&1){h=pb()|0;a=N;b=k[j>>2]|0;if(b|0){g=k[d>>2]|0;if((g|0)!=(b|0)){do{pa=g+-4|0;k[d>>2]=pa;EO(pa);g=k[d>>2]|0}while((g|0)!=(b|0));b=k[j>>2]|0}zqa(b)}break}k[m>>2]=7552;k[l>>2]=7680;k[m+80>>2]=0;i[m+84>>0]=0;i[m+85>>0]=0;k[h>>2]=5;d=k[ra>>2]|0;d=(k[d+68>>2]|0)-(k[d+64>>2]|0)>>2;if(!aa){EO(ra);r=$;return m|0}do if(!d){g=0;while(1){y=0;a=qa(332,88)|0;Y=y;y=0;if(Y&1){b=117;break}n=_;o=e;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(366,a|0);Y=y;y=0;if(Y&1){b=119;break}n=a+12|0;o=_;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;h=a+56|0;k[h>>2]=0;k[a>>2]=7760;b=a+60|0;k[b>>2]=7720;T=a+64|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;k[T+12>>2]=0;y=0;oa(518,T|0,0);Y=y;y=0;if(Y&1){b=109;break}k[a>>2]=7552;k[b>>2]=7680;k[a+80>>2]=1;i[a+84>>0]=0;i[a+85>>0]=0;k[h>>2]=5;h=k[(k[l>>2]|0)+20>>2]|0;y=0;oa(482,Z|0,a|0);Y=y;y=0;if(Y&1){b=124;break}y=0;oa(h|0,l|0,Z|0);Y=y;y=0;if(Y&1){b=126;break}EO(Z);g=g+1|0;if(g>>>0>=aa>>>0){b=102;break}}if((b|0)==102){EO(ra);r=$;return m|0}else if((b|0)==109){ma=pb()|0;ka=N;la=T;pa=a;b=110;break}else if((b|0)==117){ba=pb()|0;b=118;break}else if((b|0)==119){ja=pb()|0;ha=a;break}else if((b|0)==124){da=pb()|0;b=125;break}else if((b|0)==126){fa=pb()|0;b=127;break}}else{j=0;d:while(1){y=0;f=qa(332,88)|0;T=y;y=0;if(T&1){b=94;break}n=_;o=e;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(366,f|0);T=y;y=0;if(T&1){b=95;break}n=f+12|0;o=_;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;h=f+56|0;k[h>>2]=0;k[f>>2]=7760;a=f+60|0;k[a>>2]=7720;Y=f+64|0;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;y=0;oa(518,Y|0,d|0);T=y;y=0;if(T&1){b=96;break}k[f>>2]=7552;k[a>>2]=7680;k[f+80>>2]=1;i[f+84>>0]=0;i[f+85>>0]=0;k[h>>2]=5;h=0;b=7680;while(1){g=k[b+20>>2]|0;y=0;b=Ha(981,k[ra>>2]|0,h|0)|0;T=y;y=0;if(T&1){b=99;break d}k[V>>2]=b;if(!b)b=0;else b=pw(b,40,216,0)|0;b=b+60|0;y=0;b=Ha(k[(k[b>>2]|0)+16>>2]|0,b|0,j|0)|0;T=y;y=0;if(T&1){b=100;break d}y=0;oa(464,U|0,b|0);T=y;y=0;if(T&1){b=100;break d}y=0;oa(g|0,a|0,U|0);T=y;y=0;if(T&1){b=101;break d}EO(U);EO(V);h=h+1|0;if(h>>>0>=d>>>0)break;b=k[a>>2]|0}h=k[(k[l>>2]|0)+20>>2]|0;y=0;oa(482,Z|0,f|0);T=y;y=0;if(T&1){b=97;break}y=0;oa(h|0,l|0,Z|0);T=y;y=0;if(T&1){b=98;break}EO(Z);j=j+1|0;if(j>>>0>=aa>>>0){b=102;break}}if((b|0)==94){ba=pb()|0;b=118;break}else if((b|0)==95){ja=pb()|0;ha=f;break}else if((b|0)==96){ma=pb()|0;ka=N;la=Y;pa=f;b=110;break}else if((b|0)==97){da=pb()|0;b=125;break}else if((b|0)==98){fa=pb()|0;b=127;break}else if((b|0)==99){h=pb()|0;break c}else if((b|0)==100)W=pb()|0;else if((b|0)==101){W=pb()|0;EO(U)}else if((b|0)==102){EO(ra);r=$;return m|0}EO(V);h=W;break c}while(0);if((b|0)==110){g=pa+68|0;h=k[la>>2]|0;if(h|0){b=k[g>>2]|0;if((b|0)!=(h|0)){do{ja=b+-4|0;k[g>>2]=ja;EO(ja);b=k[g>>2]|0}while((b|0)!=(h|0));h=k[la>>2]|0}zqa(h)}ha=pa;ja=ma}else if((b|0)==118){h=ba;break c}else if((b|0)==125){h=da;break c}else if((b|0)==127){EO(Z);h=fa;break c}zqa(ha);h=ja;break c}while(0);zqa(m)}while(0);EO(ra);ra=h;sb(ra|0)}}}ra=pb()|0;$9(J);sb(ra|0);return 0}function Sd(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0;M=0;D=r;r=r+448|0;s=D+80|0;z=D+40|0;j=D;Q=D+432|0;P=D+420|0;O=D+364|0;L=D+344|0;G=D+300|0;E=D+296|0;t=D+416|0;u=D+376|0;A=D+368|0;B=D+352|0;v=D+348|0;w=D+304|0;H=D+292|0;I=D+280|0;F=D+276|0;x=D+136|0;J=D+124|0;K=D+120|0;C=D+176|0;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;jI(P,36644,5);y=0;o=s;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));h=sa(25,P|0,a|0,d|0,s|0,f|0)|0;q=y;y=0;if(q&1)M=22;else{y=0;oa(452,j|0,h+64|0);q=y;y=0;if(q&1)M=22;else{y=0;ma(5,z|0,j|0,0,0,1);q=y;y=0;do if(q&1)h=pb()|0;else{y=0;oa(552,Q|0,z|0);q=y;y=0;if(q&1){h=pb()|0;$9(z);break}$9(z);$9(j);$9(P);k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(75,z|0,36618,5);q=y;y=0;do if(q&1){h=pb()|0;M=29}else{y=0;o=s;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));h=sa(26,z|0,a|0,d|0,s|0,f|0)|0;q=y;y=0;if(!(q&1)){y=0;h=qa(k[(k[h>>2]|0)+12>>2]|0,h|0)|0;q=y;y=0;if(!(q&1)){y=0;oa(482,P|0,h|0);q=y;y=0;if(!(q&1)){$9(z);y=0;n=qa(332,84)|0;q=y;y=0;a:do if(q&1)M=30;else{o=j;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(366,n|0);q=y;y=0;do if(q&1)h=pb()|0;else{o=n+12|0;p=j;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[n>>2]=4940;i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;k[n+56>>2]=0;h=n+60|0;k[h>>2]=8568;l=n+64|0;m=n+68|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;y=0;oa(548,l|0,0);q=y;y=0;if(q&1){h=pb()|0;j=N;a=k[l>>2]|0;if(a|0){d=k[m>>2]|0;if((d|0)!=(a|0)){do{O=d+-4|0;k[m>>2]=O;EO(O);d=k[m>>2]|0}while((d|0)!=(a|0));a=k[l>>2]|0}zqa(a)}break}k[n>>2]=8404;k[h>>2]=8528;i[n+80>>0]=0;i[n+81>>0]=0;i[n+82>>0]=0;y=0;oa(482,O|0,n|0);M=y;y=0;if(M&1){M=30;break a}a=k[P>>2]|0;n=(k[a+68>>2]|0)-(k[a+64>>2]|0)>>2;b:do if(!n)M=21;else{h=0;while(1){y=0;a=Ha(981,a|0,h|0)|0;M=y;y=0;if(M&1){M=49;break}k[L>>2]=a;a=k[P>>2]|0;if(!(i[a+84>>0]|0)){d=(k[O>>2]|0)+60|0;j=k[(k[d>>2]|0)+20>>2]|0;y=0;l=qa(332,84)|0;M=y;y=0;if(M&1){M=50;break}o=w;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(464,H|0,L|0);M=y;y=0;if(M&1){M=73;break}k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;y=0;Na(75,I|0,82159,0);M=y;y=0;if(M&1){M=74;break}o=s;p=w;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(366,l|0);M=y;y=0;if(M&1){h=1;M=75;break}o=l+12|0;p=s;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=8284;a=l+60|0;y=0;oa(464,a|0,H|0);M=y;y=0;if(M&1){M=68;break}y=0;oa(452,l+64|0,I|0);M=y;y=0;if(M&1){M=69;break}i[l+76>>0]=0;i[l+77>>0]=0;k[l+80>>2]=0;y=0;oa(482,v|0,l|0);M=y;y=0;if(M&1){h=0;M=75;break}y=0;oa(j|0,d|0,v|0);M=y;y=0;if(M&1){M=77;break}EO(v);$9(I);EO(H)}else{a=a+60|0;y=0;a=Ha(k[(k[a>>2]|0)+16>>2]|0,a|0,h|0)|0;M=y;y=0;if(M&1){M=50;break}y=0;oa(464,G|0,a|0);M=y;y=0;if(M&1){M=50;break}y=0;oa(482,E|0,k[G>>2]|0);M=y;y=0;if(M&1){M=51;break}j=(k[O>>2]|0)+60|0;l=k[(k[j>>2]|0)+20>>2]|0;y=0;m=qa(332,84)|0;M=y;y=0;if(M&1){M=52;break}o=u;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(464,A|0,L|0);M=y;y=0;if(M&1){M=53;break}a=k[E>>2]|0;if(!a){k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(75,B|0,82159,0);M=y;y=0;if(M&1){M=54;break}}else{y=0;oa(452,B|0,a+64|0);M=y;y=0;if(M&1){M=54;break}}a=k[E>>2]|0;if(!a){d=0;a=0}else{d=(i[a+76>>0]|0)!=0;a=(i[a+77>>0]|0)!=0}y=0;o=s;p=u;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));ya(14,m|0,s|0,A|0,B|0,d|0,a|0);M=y;y=0;if(M&1){h=1;M=55;break}y=0;oa(482,t|0,m|0);M=y;y=0;if(M&1){h=0;M=55;break}y=0;oa(l|0,j|0,t|0);M=y;y=0;if(M&1){M=56;break}EO(t);$9(B);EO(A);EO(E);EO(G)}EO(L);h=h+1|0;if(h>>>0>=n>>>0){M=21;break b}a=k[P>>2]|0}switch(M|0){case 49:{h=pb()|0;break b}case 50:{h=pb()|0;break}case 51:{h=pb()|0;M=60;break}case 52:{h=pb()|0;M=59;break}case 53:{h=pb()|0;M=58;break}case 54:{h=pb()|0;EO(A);M=58;break}case 55:{a=h;h=pb()|0;M=57;break}case 56:{h=pb()|0;EO(t);a=0;M=57;break}case 68:{h=pb()|0;M=70;break}case 69:{h=pb()|0;EO(a);M=70;break}case 73:{h=pb()|0;M=79;break}case 74:{h=pb()|0;EO(H);M=79;break}case 75:{K=pb()|0;a=h;h=K;M=76;break}case 77:{h=pb()|0;EO(v);a=0;M=78;break}}if((M|0)==57){$9(B);EO(A);if(a)M=58;else M=59}else if((M|0)==70){a=1;M=76}if((M|0)==58){zqa(m);M=59}else if((M|0)==76)M=78;if((M|0)==59){EO(E);M=60}else if((M|0)==78){$9(I);EO(H);if(a)M=79}if((M|0)==60)EO(G);else if((M|0)==79)zqa(l);EO(L)}while(0);c:do if((M|0)==21){y=0;d=qa(332,88)|0;L=y;y=0;if(L&1){h=pb()|0;break}o=x;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(452,J|0,Q|0);L=y;y=0;do if(L&1)h=pb()|0;else{y=0;oa(482,K|0,k[O>>2]|0);L=y;y=0;if(L&1){h=pb()|0;$9(J);break}o=z;p=x;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(366,d|0);L=y;y=0;d:do if(L&1){h=1;M=98}else{o=d+12|0;p=z;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;h=d+56|0;k[h>>2]=0;k[d>>2]=8608;a=d+60|0;y=0;oa(452,a|0,J|0);L=y;y=0;do if(L&1)h=pb()|0;else{y=0;oa(464,d+72|0,K|0);L=y;y=0;if(L&1){h=pb()|0;$9(a);break}i[d+76>>0]=0;k[d+80>>2]=0;k[d+84>>2]=0;k[h>>2]=11;y=0;oa(482,F|0,d|0);L=y;y=0;if(L&1){h=0;M=98;break d}EO(K);$9(J);y=0;ma(6,C|0,c|0,b|0,f|0,g|0);L=y;y=0;do if(L&1)h=pb()|0;else{h=k[F>>2]|0;i[h+76>>0]=1;y=0;h=Ha(k[(k[h>>2]|0)+52>>2]|0,h|0,C+8|0)|0;L=y;y=0;if(L&1){h=pb()|0;rt(C);break}else{rt(C);EO(F);EO(O);EO(P);$9(Q);r=D;return h|0}}while(0);EO(F);break c}while(0);a=1}while(0);if((M|0)==98){L=pb()|0;a=h;h=L}EO(K);$9(J);if(!a)break c}while(0);zqa(d)}while(0);EO(O);break a}while(0);zqa(n)}while(0);if((M|0)==30)h=pb()|0;EO(P);break}}}h=pb()|0;$9(z);M=29}while(0);$9(Q);Q=h;sb(Q|0)}while(0);$9(j)}}if((M|0)==22)h=pb()|0;$9(P);Q=h;sb(Q|0);return 0}function Td(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;D=0;B=r;r=r+192|0;z=B+40|0;v=B;G=B+172|0;F=B+144|0;E=B+100|0;C=B+92|0;s=B+176|0;t=B+160|0;w=B+80|0;u=B+148|0;x=B+104|0;A=B+96|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;jI(z,36349,5);y=0;b=Ha(971,a|0,z|0)|0;q=y;y=0;if(!(q&1)){b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,584,0)|0;y=0;oa(482,G|0,b|0);q=y;y=0;if(!(q&1)){$9(z);k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(75,z|0,36349,5);q=y;y=0;do if(q&1){b=pb()|0;D=36}else{y=0;b=Ha(971,a|0,z|0)|0;q=y;y=0;if(!(q&1)){b=k[b>>2]|0;if(!b)b=0;else b=pw(b,8,216,0)|0;y=0;oa(482,F|0,b|0);q=y;y=0;if(!(q&1)){$9(z);k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(75,v|0,36355,2);q=y;y=0;do if(q&1){b=pb()|0;D=39}else{y=0;j=z;n=e;o=j+40|0;do{k[j>>2]=k[n>>2];j=j+4|0;n=n+4|0}while((j|0)<(o|0));b=sa(23,v|0,a|0,d|0,z|0,f|0)|0;q=y;y=0;if(!(q&1)){y=0;oa(482,E|0,b|0);q=y;y=0;if(!(q&1)){$9(v);k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(75,v|0,36464,6);q=y;y=0;do if(q&1){b=pb()|0;D=42}else{y=0;j=z;n=e;o=j+40|0;do{k[j>>2]=k[n>>2];j=j+4|0;n=n+4|0}while((j|0)<(o|0));b=sa(27,v|0,a|0,d|0,z|0,f|0)|0;q=y;y=0;if(!(q&1)){y=0;oa(482,C|0,b|0);q=y;y=0;if(!(q&1)){$9(v);a:do if(!(k[F>>2]|0)){y=0;q=qa(332,88)|0;o=y;y=0;b:do if(o&1)D=43;else{j=v;n=e;o=j+40|0;do{k[j>>2]=k[n>>2];j=j+4|0;n=n+4|0}while((j|0)<(o|0));y=0;na(366,q|0);o=y;y=0;do if(o&1)b=pb()|0;else{j=q+12|0;n=v;o=j+40|0;do{k[j>>2]=k[n>>2];j=j+4|0;n=n+4|0}while((j|0)<(o|0));i[q+52>>0]=0;i[q+53>>0]=0;i[q+54>>0]=0;b=q+56|0;k[b>>2]=0;k[q>>2]=7760;g=q+60|0;k[g>>2]=7720;n=q+64|0;o=q+68|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;y=0;oa(518,n|0,1);j=y;y=0;if(j&1){b=pb()|0;j=N;g=k[n>>2]|0;if(g|0){h=k[o>>2]|0;if((h|0)!=(g|0)){do{B=h+-4|0;k[o>>2]=B;EO(B);h=k[o>>2]|0}while((h|0)!=(g|0));g=k[n>>2]|0}zqa(g)}break}k[q>>2]=7552;k[g>>2]=7680;k[q+80>>2]=1;i[q+84>>0]=0;i[q+85>>0]=0;k[b>>2]=5;y=0;oa(482,z|0,q|0);q=y;y=0;if(q&1){D=43;break b}y=0;Ha(966,F|0,z|0)|0;q=y;y=0;if(q&1){b=pb()|0;EO(z);break b}EO(z);g=(k[F>>2]|0)+60|0;h=k[(k[g>>2]|0)+20>>2]|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(75,v|0,36349,5);q=y;y=0;if(q&1)b=pb()|0;else{y=0;j=z;n=e;o=j+40|0;do{k[j>>2]=k[n>>2];j=j+4|0;n=n+4|0}while((j|0)<(o|0));b=sa(27,v|0,a|0,d|0,z|0,f|0)|0;f=y;y=0;do if(f&1)D=49;else{y=0;oa(482,s|0,b|0);f=y;y=0;if(f&1){D=49;break}y=0;oa(h|0,g|0,s|0);f=y;y=0;if(f&1){b=pb()|0;EO(s);break}else{EO(s);$9(v);D=53;break a}}while(0);if((D|0)==49)b=pb()|0;$9(v)}break a}while(0);zqa(q)}while(0);if((D|0)==43)b=pb()|0}else D=53;while(0);c:do if((D|0)==53){b=k[G>>2]|0;d:do if(b|0){y=0;b=ta(58,b|0,c|0,e|0)|0;c=y;y=0;do if(c&1)b=pb()|0;else{k[z>>2]=b;y=0;Ha(966,F|0,z|0)|0;c=y;y=0;if(c&1){b=pb()|0;EO(z);break}else{EO(z);break d}}while(0);break c}while(0);c=k[F>>2]|0;e:do if((k[c+64>>2]|0)==(k[c+68>>2]|0)){k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;c=JI(d)|0;y=0;Na(75,w|0,d|0,c|0);c=y;y=0;if(c&1)b=pb()|0;else{y=0;b=ta(52,w|0,0,36358)|0;c=y;y=0;if(c&1)b=pb()|0;else{k[v>>2]=k[b>>2];k[v+4>>2]=k[b+4>>2];k[v+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,v|0,36380)|0;c=y;y=0;do if(c&1)b=pb()|0;else{k[t>>2]=k[b>>2];k[t+4>>2]=k[b+4>>2];k[t+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;j=z;n=e;o=j+40|0;do{k[j>>2]=k[n>>2];j=j+4|0;n=n+4|0}while((j|0)<(o|0));oa(458,t|0,z|0);c=y;y=0;if(c&1){b=pb()|0;$9(t);break}else{$9(t);$9(v);$9(w);break e}}while(0);$9(v)}$9(w)}break c}while(0);m=+p[(k[E>>2]|0)+64>>3];if(m<0.0){t=k[F>>2]|0;l=+((k[t+68>>2]|0)-(k[t+64>>2]|0)>>2>>>0)}else l=-1.0;l=+O(+(m+l));if(l<0.0)D=77;else{t=k[F>>2]|0;if(l>+((((k[t+68>>2]|0)-(k[t+64>>2]|0)>>2)+-1|0)>>>0))D=77}f:do if((D|0)==77){k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;t=JI(d)|0;y=0;Na(75,w|0,d|0,t|0);d=y;y=0;if(d&1)b=pb()|0;else{y=0;b=ta(52,w|0,0,36400)|0;d=y;y=0;if(d&1)b=pb()|0;else{k[v>>2]=k[b>>2];k[v+4>>2]=k[b+4>>2];k[v+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(970,v|0,42853)|0;d=y;y=0;do if(d&1)b=pb()|0;else{k[u>>2]=k[b>>2];k[u+4>>2]=k[b+4>>2];k[u+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;j=z;n=e;o=j+40|0;do{k[j>>2]=k[n>>2];j=j+4|0;n=n+4|0}while((j|0)<(o|0));oa(458,u|0,z|0);d=y;y=0;if(d&1){b=pb()|0;$9(u);break}else{$9(u);$9(v);$9(w);break f}}while(0);$9(v)}$9(w)}break c}while(0);y=0;s=qa(332,88)|0;w=y;y=0;if(w&1){b=pb()|0;break}j=x;n=e;o=j+40|0;do{k[j>>2]=k[n>>2];j=j+4|0;n=n+4|0}while((j|0)<(o|0));h=k[F>>2]|0;b=k[h+68>>2]|0;g=k[h+64>>2]|0;h=k[h+80>>2]|0;j=z;n=x;o=j+40|0;do{k[j>>2]=k[n>>2];j=j+4|0;n=n+4|0}while((j|0)<(o|0));y=0;na(366,s|0);x=y;y=0;do if(x&1)b=pb()|0;else{g=b-g>>2;j=s+12|0;n=z;o=j+40|0;do{k[j>>2]=k[n>>2];j=j+4|0;n=n+4|0}while((j|0)<(o|0));i[s+52>>0]=0;i[s+53>>0]=0;i[s+54>>0]=0;b=s+56|0;k[b>>2]=0;k[s>>2]=7760;q=s+60|0;k[q>>2]=7720;n=s+64|0;o=s+68|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;y=0;oa(518,n|0,g|0);z=y;y=0;if(z&1){b=pb()|0;j=N;g=k[n>>2]|0;if(g|0){h=k[o>>2]|0;if((h|0)!=(g|0)){do{B=h+-4|0;k[o>>2]=B;EO(B);h=k[o>>2]|0}while((h|0)!=(g|0));g=k[n>>2]|0}zqa(g)}break}k[s>>2]=7552;k[q>>2]=7680;k[s+80>>2]=h;i[s+84>>0]=0;i[s+85>>0]=0;k[b>>2]=5;j=k[F>>2]|0;j=(k[j+68>>2]|0)-(k[j+64>>2]|0)>>2;if(!j){EO(C);EO(E);EO(F);EO(G);r=B;return s|0}b=0;g=7680;while(1){g=k[g+20>>2]|0;if(+(b>>>0)==l)h=C;else h=(k[(k[F>>2]|0)+64>>2]|0)+(b<<2)|0;y=0;oa(464,A|0,h|0);D=y;y=0;if(D&1){D=110;break}y=0;oa(g|0,q|0,A|0);D=y;y=0;if(D&1){D=111;break}EO(A);b=b+1|0;if(b>>>0>=j>>>0){D=101;break}g=k[q>>2]|0}if((D|0)==101){EO(C);EO(E);EO(F);EO(G);r=B;return s|0}else if((D|0)==110){b=pb()|0;break c}else if((D|0)==111){b=pb()|0;EO(A);break c}}while(0);zqa(s)}while(0);EO(C);break}}b=pb()|0;$9(v);D=42}while(0);EO(E);break}}b=pb()|0;$9(v);D=39}while(0);EO(F);break}}b=pb()|0;$9(z);D=36}while(0);EO(G);G=b;sb(G|0)}}G=pb()|0;$9(z);sb(G|0);return 0}function Ud(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;c=d;$p(a,k[3675]|0,7,b);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;jI(c,31947,4);y=0;Na(95,0,c|0,b|0);e=y;y=0;if(e&1){e=pb()|0;$9(c);sb(e|0)}else{$9(c);Ji(a,k[3676]|0,8,4,b);Ji(a,k[3677]|0,9,2,b);$p(a,k[3678]|0,10,b);$p(a,k[3679]|0,11,b);$p(a,k[3680]|0,12,b);$p(a,k[3681]|0,13,b);$p(a,k[3682]|0,14,b);$p(a,k[3683]|0,15,b);$p(a,k[3684]|0,16,b);$p(a,k[3685]|0,17,b);$p(a,k[3686]|0,18,b);$p(a,k[3687]|0,19,b);$p(a,k[3688]|0,20,b);$p(a,k[3689]|0,21,b);$p(a,k[3690]|0,22,b);$p(a,k[3691]|0,23,b);$p(a,k[3692]|0,24,b);$p(a,k[3693]|0,25,b);$p(a,k[3694]|0,26,b);$p(a,k[3695]|0,27,b);$p(a,k[3696]|0,27,b);$p(a,k[3697]|0,28,b);$p(a,k[3698]|0,28,b);$p(a,k[3699]|0,29,b);$p(a,k[3700]|0,29,b);$p(a,k[3701]|0,30,b);$p(a,k[3702]|0,31,b);$p(a,k[3703]|0,32,b);$p(a,k[3704]|0,33,b);$p(a,k[3705]|0,34,b);$p(a,k[3706]|0,35,b);$p(a,k[3707]|0,36,b);$p(a,k[3708]|0,37,b);$p(a,k[3709]|0,38,b);$p(a,k[3710]|0,39,b);$p(a,k[3711]|0,40,b);$p(a,k[3712]|0,41,b);$p(a,k[3713]|0,42,b);$p(a,k[3714]|0,43,b);$p(a,k[3715]|0,44,b);$p(a,k[3716]|0,45,b);$p(a,k[3717]|0,46,b);$p(a,k[3718]|0,47,b);$p(a,k[3719]|0,48,b);$p(a,k[3720]|0,49,b);$p(a,k[3721]|0,50,b);$p(a,k[3722]|0,51,b);$p(a,k[3723]|0,52,b);$p(a,k[3724]|0,53,b);$p(a,k[3725]|0,54,b);$p(a,k[3726]|0,55,b);$p(a,k[3727]|0,56,b);$p(a,k[3728]|0,57,b);$p(a,k[3729]|0,58,b);$p(a,k[3733]|0,59,b);$p(a,k[3734]|0,60,b);$p(a,k[3731]|0,61,b);$p(a,k[3732]|0,62,b);$p(a,k[3730]|0,63,b);$p(a,k[3735]|0,64,b);$p(a,k[3736]|0,65,b);$p(a,k[3737]|0,66,b);$p(a,k[3738]|0,67,b);$p(a,k[3739]|0,68,b);$p(a,k[3740]|0,69,b);$p(a,k[3741]|0,70,b);$p(a,k[3742]|0,71,b);$p(a,k[3743]|0,72,b);$p(a,k[3744]|0,73,b);$p(a,k[3745]|0,74,b);$p(a,k[3746]|0,75,b);$p(a,k[3747]|0,76,b);$p(a,k[3748]|0,77,b);$p(a,k[3757]|0,78,b);$p(a,k[3749]|0,79,b);$p(a,k[3750]|0,80,b);$p(a,k[3753]|0,81,b);$p(a,k[3754]|0,82,b);$p(a,k[3751]|0,83,b);$p(a,k[3756]|0,84,b);$p(a,k[3752]|0,85,b);$p(a,k[3755]|0,86,b);r=d;return}}function Vd(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0;R=0;P=r;r=r+320|0;O=P+112|0;L=P+72|0;C=P+248|0;h=P+32|0;q=P+316|0;w=P+312|0;x=P+272|0;z=P+260|0;Q=P+180|0;M=P+176|0;K=P+164|0;D=P+244|0;E=P+240|0;F=P+200|0;J=P+184|0;G=P+152|0;H=P+24|0;I=P+16|0;A=P+8|0;B=P;g=k[d>>2]|0;a:do if(!g){j=0;h=0;R=107}else{p=pw(g,40,1128,0)|0;b:do if(!p){j=0;h=g}else{v=ZL(88)|0;u=h;s=p+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;na(366,v|0);u=y;y=0;do if(u&1)g=pb()|0;else{u=v+12|0;s=h;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));i[v+52>>0]=0;i[v+53>>0]=0;l=v+54|0;i[l>>0]=0;g=v+56|0;k[g>>2]=0;k[v>>2]=7760;m=v+60|0;k[m>>2]=7720;n=v+64|0;o=v+68|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;y=0;oa(518,n|0,0);u=y;y=0;if(u&1){g=pb()|0;l=N;h=k[n>>2]|0;if(h|0){j=k[o>>2]|0;if((j|0)!=(h|0)){do{R=j+-4|0;k[o>>2]=R;EO(R);j=k[o>>2]|0}while((j|0)!=(h|0));h=k[n>>2]|0}zqa(h)}break}k[v>>2]=7552;k[m>>2]=7680;k[v+80>>2]=0;i[v+84>>0]=0;i[v+85>>0]=0;k[g>>2]=5;g=k[p+64>>2]|0;j=k[p+68>>2]|0;c:do if((g|0)!=(j|0)){while(1){rT(O,g);h=k[(k[m>>2]|0)+20>>2]|0;y=0;oa(464,C|0,(k[O>>2]|0)+60|0);u=y;y=0;if(u&1){R=19;break}k[q>>2]=k[C>>2];y=0;oa(h|0,m|0,q|0);u=y;y=0;if(u&1){R=20;break}EO(q);EO(O);g=g+4|0;if((g|0)==(j|0))break c}if((R|0)==19)g=pb()|0;else if((R|0)==20){g=pb()|0;EO(q)}EO(O);R=g;sb(R|0)}while(0);i[l>>0]=i[p+54>>0]|0;aU(c,44122)|0;_V(O,v);y=0;Ha(966,d|0,O|0)|0;v=y;y=0;if(!(v&1)){EO(O);g=k[d>>2]|0;if(!g){j=1;h=0;R=107;break a}else{j=1;h=g;break b}}R=pb()|0;EO(O);sb(R|0)}while(0);zqa(v);R=g;sb(R|0)}while(0);l=pw(h,40,448,0)|0;do if(l){if(IR(l)|0){g=k[d>>2]|0;if(!g){h=0;R=107;break a}else{h=g;break}}g=gb(80)|0;y=0;oa(575,g|0,l|0);R=y;y=0;if(!(R&1))Wb(g|0,2400,158);R=pb()|0;fb(g|0);sb(R|0)}while(0);l=pw(h,40,624,0)|0;d:do if(l){rT(O,l+60|0);v=k[O>>2]|0;k[w>>2]=v;y=0;oa(482,L|0,v|0);v=y;y=0;do if(v&1)g=pb()|0;else{y=0;Ha(966,d|0,L|0)|0;v=y;y=0;if(v&1){g=pb()|0;EO(L);break}else{EO(L);EO(w);g=k[d>>2]|0;if(!g){h=0;R=107;break a}else{h=g;break d}}}while(0);EO(w);R=g;sb(R|0)}while(0);l=pw(h,40,536,0)|0;e:do if(!((l|0)==0|f^1)){h=i[h+54>>0]|0;m=ZL(80)|0;u=x;s=l+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;oa(452,z|0,l+64|0);f=y;y=0;do if(f&1){g=pb()|0;R=47}else{u=L;s=x;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;na(366,m|0);x=y;y=0;if(x&1)h=1;else{u=m+12|0;s=L;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;k[m+56>>2]=4;k[m>>2]=9640;i[m+60>>0]=0;i[m+61>>0]=0;y=0;oa(547,m+64|0,z|0);x=y;y=0;if(x&1){g=pb()|0;$9(z);R=47;break}k[m+76>>2]=0;y=0;oa(482,O|0,m|0);x=y;y=0;if(x&1)h=0;else{y=0;Ha(966,d|0,O|0)|0;x=y;y=0;if(x&1){g=pb()|0;EO(O);$9(z);break}else{EO(O);$9(z);g=k[d>>2]|0;i[g+54>>0]=h;if(!g){h=0;R=107;break a}else{h=g;break e}}}}g=pb()|0;$9(z);if(h)R=47}while(0);if((R|0)==47)zqa(m);R=g;sb(R|0)}while(0);if(pw(h,40,1368,0)|0){r=P;return}do if(pw(h,40,384,0)|0){_V(O,Fc[k[(k[h>>2]|0)+52>>2]&2047](h,a)|0);y=0;Ha(966,d|0,O|0)|0;z=y;y=0;if(!(z&1)){EO(O);g=k[d>>2]|0;if(!g){h=0;R=107;break a}else{h=g;break}}R=pb()|0;EO(O);sb(R|0)}while(0);q=pw(h,40,216,0)|0;if(!q)R=107;else{o=ZL(88)|0;l=k[q+80>>2]|0;u=O;s=q+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;na(366,o|0);C=y;y=0;do if(C&1)g=pb()|0;else{u=o+12|0;s=O;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));i[o+52>>0]=0;i[o+53>>0]=0;i[o+54>>0]=0;g=o+56|0;k[g>>2]=0;k[o>>2]=7760;h=o+60|0;k[h>>2]=7720;m=o+64|0;n=o+68|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;y=0;oa(518,m|0,0);C=y;y=0;if(C&1){g=pb()|0;l=N;h=k[m>>2]|0;if(h|0){j=k[n>>2]|0;if((j|0)!=(h|0)){do{R=j+-4|0;k[n>>2]=R;EO(R);j=k[n>>2]|0}while((j|0)!=(h|0));h=k[m>>2]|0}zqa(h)}break}k[o>>2]=7552;k[h>>2]=7680;k[o+80>>2]=l;i[o+84>>0]=0;i[o+85>>0]=0;k[g>>2]=5;_V(Q,o);g=k[q+64>>2]|0;n=k[q+68>>2]|0;f:do if((g|0)==(n|0))R=66;else{o=q+54|0;while(1){y=0;oa(464,M|0,g|0);C=y;y=0;if(C&1){R=74;break}i[(k[M>>2]|0)+54>>0]=i[o>>0]|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;y=0;Na(75,K|0,82159,0);C=y;y=0;if(C&1){R=75;break}y=0;oa(482,D|0,k[M>>2]|0);C=y;y=0;if(C&1){R=76;break}y=0;ya(22,a|0,b|0,K|0,D|0,e|0,(i[o>>0]|0)!=0|0);C=y;y=0;if(C&1){R=77;break}EO(D);h=k[M>>2]|0;if(!h)R=79;else if(!(pw(h,40,1368,0)|0))R=79;if((R|0)==79){R=0;l=(k[Q>>2]|0)+60|0;m=k[(k[l>>2]|0)+20>>2]|0;y=0;p=qa(332,80)|0;C=y;y=0;if(C&1){R=85;break}u=F;s=h+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;oa(452,J|0,K|0);C=y;y=0;if(C&1){R=86;break}y=0;u=O;s=F;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));Ea(2,p|0,O|0,J|0,0,0,0,1);C=y;y=0;if(C&1){h=1;R=88;break}y=0;oa(482,E|0,p|0);C=y;y=0;if(C&1){h=0;R=88;break}y=0;oa(m|0,l|0,E|0);C=y;y=0;if(C&1){R=87;break}EO(E);$9(J)}$9(K);EO(M);g=g+4|0;if((g|0)==(n|0)){R=66;break f}}if((R|0)==74){g=pb()|0;break}else if((R|0)==75)g=pb()|0;else if((R|0)==76){g=pb()|0;R=91}else if((R|0)==77){g=pb()|0;EO(D);R=91}else if((R|0)==85){g=pb()|0;R=91}else if((R|0)==86){g=pb()|0;R=89}else if((R|0)==87){g=pb()|0;EO(E);$9(J);R=91}else if((R|0)==88){g=pb()|0;$9(J);if(h)R=89;else R=91}if((R|0)==89){zqa(p);R=91}if((R|0)==91)$9(K);EO(M)}while(0);g:do if((R|0)==66){y=0;g=qa(k[(k[q>>2]|0)+116>>2]|0,q|0)|0;M=y;y=0;h:do if(!(M&1)){i:do if(g>>>0>1){M=k[Q>>2]|0;L=k[(k[M>>2]|0)+28>>2]|0;e=k[b+16>>2]|0;b=k[e+4>>2]|0;K=H;k[K>>2]=k[e>>2];k[K+4>>2]=b;y=0;k[O>>2]=k[H>>2];k[O+4>>2]=k[H+4>>2];Na(L|0,G|0,M|0,O|0);O=y;y=0;if(O&1)break h;y=0;na(386,G|0);O=y;y=0;do if(!(O&1)){O=i[G+11>>0]|0;M=O<<24>>24<0;y=0;ta(47,c|0,(M?k[G>>2]|0:G)|0,(M?k[G+4>>2]|0:O&255)|0)|0;O=y;y=0;if(O&1)break;$9(G);g=Q;break i}while(0);g=pb()|0;$9(G);break g}else{M=k[Q>>2]|0;K=k[(k[M>>2]|0)+28>>2]|0;J=k[b+16>>2]|0;e=k[J+4>>2]|0;b=I;k[b>>2]=k[J>>2];k[b+4>>2]=e;y=0;k[O>>2]=k[I>>2];k[O+4>>2]=k[I+4>>2];Na(K|0,L|0,M|0,O|0);O=y;y=0;do if(O&1)g=pb()|0;else{O=i[L+11>>0]|0;M=O<<24>>24<0;y=0;ta(47,c|0,(M?k[L>>2]|0:L)|0,(M?k[L+4>>2]|0:O&255)|0)|0;O=y;y=0;if(O&1){g=pb()|0;$9(L);break}else{$9(L);g=Q;break i}}while(0);break g}while(0);i[(k[g>>2]|0)+54>>0]=i[q+54>>0]|0;EO(Q);if(j)break a;r=P;return}while(0);g=pb()|0}while(0);EO(Q);R=g;sb(R|0)}while(0);zqa(o);R=g;sb(R|0)}}while(0);j:do if((R|0)==107){if(e)if(i[h+54>>0]|0){if(!g){k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;jI(C,82159,0)}else{R=k[(k[h>>2]|0)+28>>2]|0;K=k[b+16>>2]|0;M=k[K+4>>2]|0;Q=A;k[Q>>2]=k[K>>2];k[Q+4>>2]=M;k[O>>2]=k[A>>2];k[O+4>>2]=k[A+4>>2];Lc[R&255](C,h,O)}y=0;oa(580,L|0,C|0);R=y;y=0;do if(R&1)g=pb()|0;else{R=i[L+11>>0]|0;Q=R<<24>>24<0;y=0;ta(47,c|0,(Q?k[L>>2]|0:L)|0,(Q?k[L+4>>2]|0:R&255)|0)|0;R=y;y=0;if(R&1){g=pb()|0;$9(L);break}$9(L);$9(C);if(j)break j;r=P;return}while(0);$9(C);R=g;sb(R|0)}if(!g){k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;jI(L,82159,0)}else{R=k[(k[h>>2]|0)+28>>2]|0;K=k[b+16>>2]|0;M=k[K+4>>2]|0;Q=B;k[Q>>2]=k[K>>2];k[Q+4>>2]=M;k[O>>2]=k[B>>2];k[O+4>>2]=k[B+4>>2];Lc[R&255](L,h,O)}R=i[L+11>>0]|0;Q=R<<24>>24<0;y=0;ta(47,c|0,(Q?k[L>>2]|0:L)|0,(Q?k[L+4>>2]|0:R&255)|0)|0;R=y;y=0;if(R&1){R=pb()|0;$9(L);sb(R|0)}else{$9(L);if(j)break;r=P;return}}while(0);aU(c,44127)|0;r=P;return}function Wd(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;W=0;U=r;r=r+416|0;F=U+376|0;G=U+40|0;C=U;w=U+360|0;x=U+348|0;z=U+336|0;A=U+296|0;n=U+292|0;M=U+288|0;h=U+284|0;O=U+272|0;P=U+256|0;Q=U+204|0;R=U+160|0;X=U+268|0;b=U+216|0;d=U+200|0;f=U+152|0;g=U+148|0;j=U+144|0;l=U+140|0;m=U+136|0;o=U+132|0;p=U+128|0;q=U+124|0;v=U+120|0;B=U+116|0;D=U+112|0;E=U+108|0;H=U+104|0;I=U+100|0;J=U+96|0;K=U+92|0;L=U+88|0;S=U+84|0;V=U+80|0;mw(a,0,0)|0;e=a+128|0;wN(a+108|0,e);k[a+132>>2]=0;k[e>>2]=0;e=ZL(88)|0;T=a+108|0;s=b;t=T;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));y=0;oa(482,d|0,0);u=y;y=0;if(u&1)b=pb()|0;else{y=0;s=F;t=b;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));ya(21,e|0,F|0,d|0,0,0,0);u=y;y=0;if(u&1)c=1;else{y=0;oa(482,X|0,e|0);u=y;y=0;if(u&1)c=0;else{EO(d);y=0;b=ta(152,a|0,1,0)|0;u=y;y=0;a:do if(u&1)W=12;else{if(!b){y=0;b=ta(153,a|0,1,0)|0;u=y;y=0;if(u&1){W=12;break}if(b|0){i[(k[X>>2]|0)+85>>0]=1;y=0;ta(61,a|0,0,0)|0;u=y;y=0;if(u&1){W=12;break}}}else{i[(k[X>>2]|0)+84>>0]=1;y=0;ta(61,a|0,0,0)|0;u=y;y=0;if(u&1){W=12;break}}y=0;b=ta(154,a|0,1,0)|0;u=y;y=0;if(u&1)W=12;else{b:do if(!b){y=0;b=ta(55,a|0,1,0)|0;u=y;y=0;if(u&1){W=12;break a}c=k[X>>2]|0;if(!b){b=c+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(437,a|0)|0;u=y;y=0;if(u&1){W=12;break a}k[q>>2]=d;y=0;oa(482,p|0,d|0);u=y;y=0;do if(u&1)b=pb()|0;else{y=0;oa(c|0,b|0,p|0);u=y;y=0;if(u&1){b=pb()|0;EO(p);break}else{EO(p);EO(q);e=X;break b}}while(0);EO(q);break a}b=a+152|0;y=0;k[F>>2]=k[b>>2];k[F+4>>2]=k[b+4>>2];k[F+8>>2]=k[b+8>>2];b=ta(79,a|0,F|0,0)|0;u=y;y=0;if(u&1){W=12;break a}k[o>>2]=b;y=0;oa(482,m|0,b|0);u=y;y=0;if(u&1)b=pb()|0;else{b=c+80|0;y=0;Ha(966,b|0,m|0)|0;u=y;y=0;if(!(u&1)){y=0;oa(464,n|0,b|0);u=y;y=0;if(!(u&1)){k[l>>2]=k[n>>2];EO(l);EO(m);EO(o);e=X;break}}b=pb()|0;EO(m)}EO(o);break a}else{b=k[X>>2]|0;y=0;c=qa(421,a|0)|0;u=y;y=0;if(u&1){W=12;break a}k[j>>2]=c;y=0;oa(482,g|0,c|0);u=y;y=0;if(u&1)b=pb()|0;else{b=b+80|0;y=0;Ha(966,b|0,g|0)|0;u=y;y=0;if(!(u&1)){y=0;oa(464,h|0,b|0);u=y;y=0;if(!(u&1)){k[f>>2]=k[h>>2];EO(f);EO(g);EO(j);e=X;break}}b=pb()|0;EO(g)}EO(j);break a}while(0);j=a+152|0;l=a+76|0;m=a+84|0;n=a+96|0;while(1){k[w>>2]=k[j>>2];k[w+4>>2]=k[j+4>>2];k[w+8>>2]=k[j+8>>2];c=k[l>>2]|0;k[x>>2]=k[m>>2];k[x+4>>2]=k[m+4>>2];k[x+8>>2]=k[m+8>>2];k[z>>2]=k[n>>2];k[z+4>>2]=k[n+4>>2];k[z+8>>2]=k[n+8>>2];s=A;t=T;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));y=0;ta(61,a|0,1,0)|0;W=y;y=0;if(W&1){W=11;break}y=0;b=ta(81,a|0,1,0)|0;W=y;y=0;if(W&1){W=11;break}if(!b){W=48;break}b=(k[e>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(437,a|0)|0;W=y;y=0;if(W&1){W=11;break}k[B>>2]=d;y=0;oa(482,v|0,d|0);W=y;y=0;if(W&1){W=53;break}y=0;oa(c|0,b|0,v|0);W=y;y=0;if(W&1){W=54;break}EO(v);EO(B)}if((W|0)==11){b=pb()|0;W=13;break}else if((W|0)==48){s=T;t=A;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));k[j>>2]=k[w>>2];k[j+4>>2]=k[w+4>>2];k[j+8>>2]=k[w+8>>2];k[l>>2]=c;k[n>>2]=k[z>>2];k[n+4>>2]=k[z+4>>2];k[n+8>>2]=k[z+8>>2];k[m>>2]=k[x>>2];k[m+4>>2]=k[x+4>>2];k[m+8>>2]=k[x+8>>2];y=0;b=ta(154,a|0,1,0)|0;B=y;y=0;if(B&1){W=12;break}c:do if(b|0){y=0;h=qa(332,84)|0;B=y;y=0;if(B&1){W=12;break a}s=C;t=T;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));y=0;na(366,h|0);B=y;y=0;do if(B&1)b=pb()|0;else{s=h+12|0;t=C;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;b=h+56|0;k[h>>2]=9504;k[b>>2]=4;d=h+60|0;k[d>>2]=7720;f=h+64|0;g=h+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,0);C=y;y=0;if(C&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{V=d+-4|0;k[g>>2]=V;EO(V);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[h>>2]=9328;k[d>>2]=9464;k[h+80>>2]=0;k[b>>2]=4;b=k[2371]|0;y=0;oa(464,F|0,(k[e>>2]|0)+80|0);C=y;y=0;d:do if(!(C&1)){C=k[F>>2]|0;k[E>>2]=C;y=0;oa(482,D|0,C|0);C=y;y=0;do if(C&1)b=pb()|0;else{y=0;oa(b|0,d|0,D|0);C=y;y=0;if(C&1){b=pb()|0;EO(D);break}EO(D);EO(E);b=k[(k[d>>2]|0)+20>>2]|0;y=0;c=qa(332,80)|0;E=y;y=0;if(E&1)break d;s=G;t=T;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));y=0;na(366,c|0);E=y;y=0;if(E&1)b=pb()|0;else{s=c+12|0;t=G;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c+56>>2]=4;k[c>>2]=9640;i[c+60>>0]=0;i[c+61>>0]=0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;y=0;Na(75,F|0,47081,1);G=y;y=0;do if(G&1)b=pb()|0;else{y=0;oa(547,c+64|0,F|0);G=y;y=0;if(G&1){b=pb()|0;$9(F);break}$9(F);k[c+76>>2]=0;y=0;oa(482,H|0,c|0);G=y;y=0;if(G&1)break d;y=0;oa(b|0,d|0,H|0);G=y;y=0;if(G&1){b=pb()|0;EO(H);break a}EO(H);b=k[(k[d>>2]|0)+20>>2]|0;y=0;c=qa(421,a|0)|0;H=y;y=0;if(H&1)break d;k[J>>2]=c;y=0;oa(482,I|0,c|0);H=y;y=0;do if(H&1)b=pb()|0;else{y=0;oa(b|0,d|0,I|0);H=y;y=0;if(H&1){b=pb()|0;EO(I);break}EO(I);EO(J);b=k[e>>2]|0;y=0;oa(482,L|0,h|0);J=y;y=0;if(J&1)break d;b=b+80|0;y=0;Ha(966,b|0,L|0)|0;J=y;y=0;do if(!(J&1)){y=0;oa(464,M|0,b|0);J=y;y=0;if(J&1)break;k[K>>2]=k[M>>2];EO(K);EO(L);break c}while(0);b=pb()|0;EO(L);break a}while(0);EO(J);break a}while(0)}zqa(c);break a}while(0);EO(E);break a}while(0);b=pb()|0;break a}while(0);zqa(h);break a}while(0);while(1){k[O>>2]=k[j>>2];k[O+4>>2]=k[j+4>>2];k[O+8>>2]=k[j+8>>2];c=k[l>>2]|0;k[P>>2]=k[m>>2];k[P+4>>2]=k[m+4>>2];k[P+8>>2]=k[m+8>>2];k[Q>>2]=k[n>>2];k[Q+4>>2]=k[n+4>>2];k[Q+8>>2]=k[n+8>>2];s=R;t=T;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));y=0;ta(61,a|0,1,0)|0;W=y;y=0;if(W&1){W=10;break}y=0;b=ta(81,a|0,1,0)|0;W=y;y=0;if(W&1){W=10;break}d=(b|0)==0;if(d){s=T;t=R;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));k[j>>2]=k[O>>2];k[j+4>>2]=k[O+4>>2];k[j+8>>2]=k[O+8>>2];k[l>>2]=c;k[n>>2]=k[Q>>2];k[n+4>>2]=k[Q+4>>2];k[n+8>>2]=k[Q+8>>2];k[m>>2]=k[P>>2];k[m+4>>2]=k[P+4>>2];k[m+8>>2]=k[P+8>>2]}b=k[e>>2]|0;if(d){W=111;break}b=b+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;d=qa(437,a|0)|0;W=y;y=0;if(W&1){W=10;break}k[V>>2]=d;y=0;oa(482,S|0,d|0);W=y;y=0;if(W&1){W=108;break}y=0;oa(c|0,b|0,S|0);W=y;y=0;if(W&1){W=109;break}EO(S);EO(V)}if((W|0)==10){b=pb()|0;W=13;break}else if((W|0)==108)b=pb()|0;else if((W|0)==109){b=pb()|0;EO(S)}else if((W|0)==111){y=0;oa(564,b|0,T|0);W=y;y=0;if(W&1){W=12;break}r=U;return k[X>>2]|0}EO(V);break}else if((W|0)==53)b=pb()|0;else if((W|0)==54){b=pb()|0;EO(v)}EO(B)}}while(0);if((W|0)==12){b=pb()|0;W=13}EO(X);X=b;sb(X|0)}}b=pb()|0;EO(d);if(!c){X=b;sb(X|0)}}zqa(e);X=b;sb(X|0);return 0}function Xd(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;E=0;C=r;r=r+304|0;F=C+96|0;w=C+280|0;u=C+56|0;A=C+16|0;H=C+268|0;g=C+8|0;G=C+256|0;h=C;D=C+148|0;s=C+216|0;x=C+200|0;z=C+160|0;B=C+136|0;l=k[b+56>>2]|0;m=k[c+56>>2]|0;v=k[a>>2]|0;o=pw(b,248,536,0)|0;t=pw(c,248,536,0)|0;p=(o|0)!=0;if(p)pK(H,o+64|0);else{q=k[(k[b>>2]|0)+28>>2]|0;K=d;J=k[K+4>>2]|0;I=g;k[I>>2]=k[K>>2];k[I+4>>2]=J;k[F>>2]=k[g>>2];k[F+4>>2]=k[g+4>>2];Lc[q&255](H,b,F)}q=(t|0)!=0;if(q){y=0;oa(452,G|0,t+64|0);K=y;y=0;if(K&1)E=11}else{K=k[(k[c>>2]|0)+28>>2]|0;I=k[d+4>>2]|0;J=h;k[J>>2]=k[d>>2];k[J+4>>2]=I;y=0;k[F>>2]=k[h>>2];k[F+4>>2]=k[h+4>>2];Na(K|0,G|0,c|0,F|0);K=y;y=0;if(K&1)E=11}if((E|0)==11){K=pb()|0;$9(H);sb(K|0)}a:do if((l|0)==8){l=gb(40)|0;y=0;oa(581,F|0,v|0);K=y;y=0;if(K&1)g=pb()|0;else{y=0;Ra(35,l|0,b|0,c|0,F|0);K=y;y=0;if(K&1)h=1;else{y=0;Na(76,l|0,2432,217);y=0;h=0}g=pb()|0;$9(F);if(!h)break}fb(l|0)}else{if((m|0)==8){l=gb(40)|0;y=0;oa(581,F|0,v|0);K=y;y=0;if(K&1)g=pb()|0;else{y=0;Ra(35,l|0,b|0,c|0,F|0);K=y;y=0;if(K&1)h=1;else{y=0;Na(76,l|0,2432,217);y=0;h=0}g=pb()|0;$9(F);if(!h)break}fb(l|0);break}switch(v|0){case 12:{l=gb(40)|0;y=0;oa(581,F|0,12);K=y;y=0;if(K&1)g=pb()|0;else{y=0;Ra(33,l|0,b|0,c|0,F|0);K=y;y=0;if(K&1)h=1;else{y=0;Na(76,l|0,2448,217);y=0;h=0}g=pb()|0;$9(F);if(!h)break a}fb(l|0);break a}case 10:{l=gb(40)|0;y=0;oa(581,F|0,10);K=y;y=0;if(K&1)g=pb()|0;else{y=0;Ra(33,l|0,b|0,c|0,F|0);K=y;y=0;if(K&1)h=1;else{y=0;Na(76,l|0,2448,217);y=0;h=0}g=pb()|0;$9(F);if(!h)break a}fb(l|0);break a}default:{k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;switch(v|0){case 9:{y=0;Ha(1006,D|0,44216)|0;K=y;y=0;if(K&1)E=37;else E=45;break}case 11:{y=0;Ha(1006,D|0,44131)|0;K=y;y=0;if(K&1)E=37;else E=45;break}case 7:{y=0;Ha(1006,D|0,44235)|0;K=y;y=0;if(K&1)E=37;else E=45;break}case 5:{y=0;Ha(1006,D|0,44230)|0;K=y;y=0;if(K&1)E=37;else E=45;break}case 2:{y=0;Ha(1006,D|0,44224)|0;K=y;y=0;if(K&1)E=37;else E=45;break}case 3:{y=0;Ha(1006,D|0,44227)|0;K=y;y=0;if(K&1)E=37;else E=45;break}case 6:{y=0;Ha(1006,D|0,44233)|0;K=y;y=0;if(K&1)E=37;else E=45;break}case 4:{y=0;Ha(1006,D|0,44129)|0;K=y;y=0;if(K&1)E=37;else E=45;break}default:E=45}b:do if((E|0)==45){c=D+11|0;h=i[c>>0]|0;d=D+4|0;g=k[d>>2]|0;do if(!((h<<24>>24<0?g:h&255)|0)){y=0;g=sa(21,D|0,0,-1,82159,0)|0;K=y;y=0;if(K&1){K=tb(0)|0;dla(K)}if(g|0){h=i[c>>0]|0;g=k[d>>2]|0;break}y=0;l=qa(332,80)|0;K=y;y=0;if(K&1){E=37;break b}if(!e){m=s;g=b+12|0;h=m+40|0;do{k[m>>2]=k[g>>2];m=m+4|0;g=g+4|0}while((m|0)<(h|0))}else{m=s;g=e;h=m+40|0;do{k[m>>2]=k[g>>2];m=m+4|0;g=g+4|0}while((m|0)<(h|0))}k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;K=i[H+11>>0]|0;J=K<<24>>24<0;K=J?k[H+4>>2]|0:K&255;g=G+11|0;h=i[g>>0]|0;h=h<<24>>24<0?k[G+4>>2]|0:h&255;y=0;Ra(10,x|0,(J?k[H>>2]|0:H)|0,K|0,h+K|0);K=y;y=0;if(K&1)E=63;else{y=0;ta(47,x|0,((i[g>>0]|0)<0?k[G>>2]|0:G)|0,h|0)|0;K=y;y=0;if(K&1)E=63;else{m=u;g=s;h=m+40|0;do{k[m>>2]=k[g>>2];m=m+4|0;g=g+4|0}while((m|0)<(h|0));y=0;oa(452,w|0,x|0);K=y;y=0;if(K&1)g=pb()|0;else{m=F;g=u;h=m+40|0;do{k[m>>2]=k[g>>2];m=m+4|0;g=g+4|0}while((m|0)<(h|0));y=0;na(366,l|0);K=y;y=0;do if(K&1)g=pb()|0;else{m=l+12|0;g=F;h=m+40|0;do{k[m>>2]=k[g>>2];m=m+4|0;g=g+4|0}while((m|0)<(h|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=4;k[l>>2]=9640;i[l+60>>0]=0;i[l+61>>0]=0;y=0;oa(547,l+64|0,w|0);K=y;y=0;if(K&1){g=pb()|0;break}k[l+76>>2]=0;$9(w);k[l>>2]=9776;$9(x);K=l;$9(D);$9(G);$9(H);r=C;return K|0}while(0);$9(w)}$9(x)}}if((E|0)==63){g=pb()|0;$9(x)}zqa(l);break b}while(0);do if(!((h<<24>>24<0?g:h&255)|0)){y=0;g=sa(21,D|0,0,-1,82159,0)|0;K=y;y=0;if(K&1){K=tb(0)|0;dla(K)}else{n=(g|0)!=0;break}}else n=1;while(0);do if(!(f|n^1)){g=j[a+4>>1]|0;do if((g&255)<<24>>24){k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;h=i[c>>0]|0;h=h<<24>>24<0?k[d>>2]|0:h&255;y=0;Ra(10,F|0,47081,1,h+1|0);K=y;y=0;if(!(K&1)){y=0;ta(47,F|0,((i[c>>0]|0)<0?k[D>>2]|0:D)|0,h|0)|0;K=y;y=0;if(!(K&1)){if((i[c>>0]|0)<0){i[k[D>>2]>>0]=0;k[d>>2]=0}else{i[D>>0]=0;i[c>>0]=0}y=0;oa(506,D|0,0);K=y;y=0;if(K&1){K=tb(0)|0;dla(K)}else{k[D>>2]=k[F>>2];k[D+4>>2]=k[F+4>>2];k[D+8>>2]=k[F+8>>2];k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;$9(F);break}}}g=pb()|0;$9(F);break b}while(0);if((g&65535)>=256){k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;K=i[c>>0]|0;J=K<<24>>24<0;K=J?k[d>>2]|0:K&255;y=0;Ra(10,F|0,(J?k[D>>2]|0:D)|0,K|0,K+1|0);K=y;y=0;if(!(K&1)){y=0;ta(47,F|0,47081,1)|0;K=y;y=0;if(!(K&1)){if((i[c>>0]|0)<0){i[k[D>>2]>>0]=0;k[d>>2]=0}else{i[D>>0]=0;i[c>>0]=0}y=0;oa(506,D|0,0);K=y;y=0;if(K&1){K=tb(0)|0;dla(K)}else{k[D>>2]=k[F>>2];k[D+4>>2]=k[F+4>>2];k[D+8>>2]=k[F+8>>2];k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;$9(F);break}}}g=pb()|0;$9(F);break b}}while(0);do if((v|2|0)==11){do if(p)if(i[o+60>>0]|0){y=0;Na(104,F|0,H|0,0);K=y;y=0;if(K&1){g=pb()|0;break b}g=H+11|0;if((i[g>>0]|0)<0){i[k[H>>2]>>0]=0;k[H+4>>2]=0}else{i[H>>0]=0;i[g>>0]=0}y=0;oa(506,H|0,0);K=y;y=0;if(K&1){K=tb(0)|0;dla(K)}else{k[H>>2]=k[F>>2];k[H+4>>2]=k[F+4>>2];k[H+8>>2]=k[F+8>>2];k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;$9(F);break}}while(0);if(q)if(i[t+60>>0]|0){y=0;Na(104,F|0,G|0,0);K=y;y=0;if(K&1){g=pb()|0;break b}g=G+11|0;if((i[g>>0]|0)<0){i[k[G>>2]>>0]=0;k[G+4>>2]=0}else{i[G>>0]=0;i[g>>0]=0}y=0;oa(506,G|0,0);K=y;y=0;if(K&1){K=tb(0)|0;dla(K)}else{k[G>>2]=k[F>>2];k[G+4>>2]=k[F+4>>2];k[G+8>>2]=k[F+8>>2];k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;$9(F);break}}}while(0);y=0;l=qa(332,80)|0;K=y;y=0;if(K&1)E=37;else{if(!e){m=z;g=b+12|0;h=m+40|0;do{k[m>>2]=k[g>>2];m=m+4|0;g=g+4|0}while((m|0)<(h|0))}else{m=z;g=e;h=m+40|0;do{k[m>>2]=k[g>>2];m=m+4|0;g=g+4|0}while((m|0)<(h|0))}k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;K=i[H+11>>0]|0;J=K<<24>>24<0;K=J?k[H+4>>2]|0:K&255;g=i[c>>0]|0;g=g<<24>>24<0?k[d>>2]|0:g&255;y=0;Ra(10,F|0,(J?k[H>>2]|0:H)|0,K|0,g+K|0);K=y;y=0;if(K&1)E=124;else{y=0;ta(47,F|0,((i[c>>0]|0)<0?k[D>>2]|0:D)|0,g|0)|0;K=y;y=0;if(K&1)E=124;else{g=i[G+11>>0]|0;K=g<<24>>24<0;y=0;g=ta(47,F|0,(K?k[G>>2]|0:G)|0,(K?k[G+4>>2]|0:g&255)|0)|0;K=y;y=0;if(K&1)g=pb()|0;else{k[B>>2]=k[g>>2];k[B+4>>2]=k[g+4>>2];k[B+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;m=A;g=z;h=m+40|0;do{k[m>>2]=k[g>>2];m=m+4|0;g=g+4|0}while((m|0)<(h|0));y=0;na(366,l|0);K=y;y=0;do if(K&1)g=pb()|0;else{m=l+12|0;g=A;h=m+40|0;do{k[m>>2]=k[g>>2];m=m+4|0;g=g+4|0}while((m|0)<(h|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=4;k[l>>2]=9640;i[l+60>>0]=0;i[l+61>>0]=0;y=0;oa(547,l+64|0,B|0);K=y;y=0;if(K&1){g=pb()|0;break}k[l+76>>2]=0;$9(B);$9(F);K=l;$9(D);$9(G);$9(H);r=C;return K|0}while(0);$9(B)}$9(F)}}if((E|0)==124){g=pb()|0;$9(F)}zqa(l)}}while(0);if((E|0)==37)g=pb()|0;$9(D);break a}}}while(0);$9(G);K=g;$9(H);sb(K|0);return 0}function Yd(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;R=r;r=r+272|0;Q=R+40|0;P=R;x=R+248|0;H=R+208|0;N=R+116|0;M=R+104|0;L=R+92|0;K=R+80|0;J=R+192|0;E=R+152|0;G=R+140|0;w=R+128|0;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;jI(P,35329,6);y=0;z=Q;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));O=sa(24,P|0,a|0,d|0,Q|0,f|0)|0;I=y;y=0;if(I&1){R=pb()|0;$9(P);sb(R|0)}$9(P);k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;jI(Q,35304,4);y=0;b=Ha(971,a|0,Q|0)|0;I=y;y=0;if(I&1){R=pb()|0;$9(Q);sb(R|0)}b=k[b>>2]|0;if(!b)t=0;else t=pw(b,8,448,0)|0;$9(Q);k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;jI(Q,35309,6);y=0;b=Ha(971,a|0,Q|0)|0;I=y;y=0;if(I&1){R=pb()|0;$9(Q);sb(R|0)}b=k[b>>2]|0;if(!b)c=0;else c=pw(b,8,448,0)|0;$9(Q);k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;jI(Q,35316,5);y=0;b=Ha(971,a|0,Q|0)|0;I=y;y=0;if(I&1){R=pb()|0;$9(Q);sb(R|0)}b=k[b>>2]|0;if(!b)C=0;else C=pw(b,8,448,0)|0;$9(Q);k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;jI(Q,35368,4);y=0;b=Ha(971,a|0,Q|0)|0;I=y;y=0;if(I&1){R=pb()|0;$9(Q);sb(R|0)}b=k[b>>2]|0;if(!b)F=0;else F=pw(b,8,448,0)|0;$9(Q);k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;jI(Q,35373,11);y=0;b=Ha(971,a|0,Q|0)|0;I=y;y=0;if(I&1){R=pb()|0;$9(Q);sb(R|0)}b=k[b>>2]|0;if(!b)g=0;else g=pw(b,8,448,0)|0;$9(Q);k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;jI(Q,35385,10);y=0;b=Ha(971,a|0,Q|0)|0;I=y;y=0;if(I&1){R=pb()|0;$9(Q);sb(R|0)}b=k[b>>2]|0;if(!b)D=0;else D=pw(b,8,448,0)|0;$9(Q);k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;jI(Q,35322,6);y=0;b=Ha(971,a|0,Q|0)|0;I=y;y=0;if(I&1){R=pb()|0;$9(Q);sb(R|0)}b=k[b>>2]|0;if(!b)I=0;else I=pw(b,8,448,0)|0;$9(Q);t=(t|0)!=0;u=(c|0)!=0;c=t|u|(C|0)!=0;v=(F|0)!=0;g=(g|0)!=0;b=v|g|(D|0)!=0;do if(c&b){k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;jI(x,35652,57);y=0;z=Q;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));oa(458,x|0,Q|0);B=y;y=0;if(!(B&1)){$9(x);break}R=pb()|0;$9(x);sb(R|0)}while(0);if(!c){if(!b){if(!I){k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;jI(w,35710,39);y=0;z=Q;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));oa(458,w|0,Q|0);e=y;y=0;if(e&1){R=pb()|0;$9(w);sb(R|0)}else{$9(w);e=O;r=R;return e|0}}k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;jI(P,35322,6);y=0;z=Q;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,P|0,a|0,d|0,Q|0,0.0,1.0,f|0)|0;f=y;y=0;if(f&1){R=pb()|0;$9(P);sb(R|0)}m=+p[b+64>>3];$9(P);c=ZL(112)|0;z=E;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));j=+p[O+64>>3];l=+p[O+72>>3];h=+p[O+80>>3];k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;y=0;Na(75,G|0,82159,0);e=y;y=0;if(e&1)b=pb()|0;else{z=Q;A=E;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));y=0;na(366,c|0);e=y;y=0;do if(e&1)b=pb()|0;else{z=c+12|0;A=Q;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=9088;p[c+64>>3]=j;p[c+72>>3]=l;p[c+80>>3]=h;p[c+88>>3]=m;y=0;oa(452,c+96|0,G|0);e=y;y=0;if(e&1){b=pb()|0;break}k[c+108>>2]=0;k[b>>2]=3;$9(G);e=c;r=R;return e|0}while(0);$9(G)}zqa(c);R=b;sb(R|0)}m=+p[O+64>>3]/255.0;n=+p[O+72>>3]/255.0;o=+p[O+80>>3]/255.0;b=n<o;l=b?o:n;l=m<l?l:m;h=o<n?o:n;h=h<m?h:m;q=l-h;j=l+h;s=j*.5;do if(l==h){l=0.0;h=0.0}else{h=q/(s<.5?j:2.0-l-h);if(m==l){l=(b?6.0:0.0)+(n-o)/q;break}if(n==l){l=(o-m)/q+2.0;break}if(!(o==l)){l=0.0;break}l=(m-n)/q+4.0}while(0);h=h*100.0;j=s*100.0;if(v)m=+cm(+p[F+64>>3],360.0);else m=l/6.0*360.0;do if(g){k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;jI(P,35373,11);y=0;z=Q;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,P|0,a|0,d|0,Q|0,0.0,100.0,f|0)|0;N=y;y=0;if(!(N&1)){l=+p[b+64>>3];$9(P);break}R=pb()|0;$9(P);sb(R|0)}else l=h;while(0);do if(D){k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;jI(P,35385,10);y=0;z=Q;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,P|0,a|0,d|0,Q|0,0.0,100.0,f|0)|0;N=y;y=0;if(!(N&1)){j=+p[b+64>>3];$9(P);break}R=pb()|0;$9(P);sb(R|0)}while(0);do if(!I)h=+p[O+88>>3];else{k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;jI(P,35322,6);y=0;z=Q;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,P|0,a|0,d|0,Q|0,0.0,1.0,f|0)|0;O=y;y=0;if(!(O&1)){h=+p[b+64>>3];$9(P);break}R=pb()|0;$9(P);sb(R|0)}while(0);z=Q;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));e=lm(m,l,j,h,0,Q)|0;r=R;return e|0}x=ZL(112)|0;z=H;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));do if(t){k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;y=0;Na(75,N|0,35304,4);G=y;y=0;if(G&1){b=pb()|0;v=89;break}y=0;z=Q;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,N|0,a|0,d|0,Q|0,0.0,255.0,f|0)|0;G=y;y=0;if(G&1){b=pb()|0;v=88;break}else{w=1;b=b+64|0;v=41;break}}else{w=0;b=O+64|0;v=41}while(0);a:do if((v|0)==41){m=+p[b>>3];do if(u){k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;y=0;Na(75,M|0,35309,6);G=y;y=0;if(G&1){b=pb()|0;break}y=0;z=Q;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,M|0,a|0,d|0,Q|0,0.0,255.0,f|0)|0;G=y;y=0;if(G&1){b=pb()|0;v=85;break}else{t=1;b=b+64|0;v=46;break}}else{t=0;b=O+72|0;v=46}while(0);b:do if((v|0)==46){l=+p[b>>3];do if(!C){g=0;b=O+80|0;v=51}else{k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;y=0;Na(75,L|0,35316,5);G=y;y=0;if(G&1){b=pb()|0;v=83;break}y=0;z=Q;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,L|0,a|0,d|0,Q|0,0.0,255.0,f|0)|0;G=y;y=0;if(G&1){b=pb()|0;v=82;break}else{g=1;b=b+64|0;v=51;break}}while(0);c:do if((v|0)==51){j=+p[b>>3];do if(!I){c=0;b=O+88|0;v=57}else{k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;y=0;Na(75,K|0,35322,6);O=y;y=0;if(O&1){b=pb()|0;v=80;break}y=0;z=Q;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,K|0,a|0,d|0,Q|0,0.0,255.0,f|0)|0;e=y;y=0;if(e&1){b=pb()|0;v=79;break}else{c=1;b=b+64|0;v=57;break}}while(0);do if((v|0)==57){h=+p[b>>3];k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;Na(75,J|0,82159,0);e=y;y=0;if(e&1){b=pb()|0;if(c){v=79;break}}else{z=P;A=H;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));y=0;na(366,x|0);e=y;y=0;do if(e&1)b=pb()|0;else{z=x+12|0;A=P;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));i[x+52>>0]=0;i[x+53>>0]=0;i[x+54>>0]=0;b=x+56|0;k[b>>2]=0;k[x>>2]=9088;p[x+64>>3]=m;p[x+72>>3]=l;p[x+80>>3]=j;p[x+88>>3]=h;y=0;oa(452,x+96|0,J|0);e=y;y=0;if(e&1){b=pb()|0;break}k[x+108>>2]=0;k[b>>2]=3;$9(J);if(c)$9(K);if(g)$9(L);if(t)$9(M);if(!w){e=x;r=R;return e|0}$9(N);e=x;r=R;return e|0}while(0);$9(J);if(c){v=79;break}}if(g){v=82;break c}}while(0);if((v|0)==79){$9(K);v=80}if((v|0)==80)if(g){v=82;break}if(t){v=85;break b}}while(0);if((v|0)==82){$9(L);v=83}if((v|0)==83)if(t){v=85;break}if(w){v=88;break a}else break a}while(0);if((v|0)==85)$9(M);if(w)v=88}while(0);if((v|0)==88){$9(N);v=89}zqa(x);R=b;sb(R|0);return 0}function Zd(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;Q=r;r=r+224|0;O=Q+40|0;N=Q;F=Q+200|0;L=Q+160|0;M=Q+144|0;G=Q+104|0;K=Q+92|0;E=Q+80|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;jI(N,35329,6);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));P=sa(24,N|0,a|0,d|0,O|0,f|0)|0;J=y;y=0;if(J&1){Q=pb()|0;$9(N);sb(Q|0)}$9(N);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;jI(O,35304,4);y=0;b=Ha(971,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;$9(O);sb(Q|0)}b=k[b>>2]|0;if(!b)v=0;else v=pw(b,8,448,0)|0;$9(O);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;jI(O,35309,6);y=0;b=Ha(971,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;$9(O);sb(Q|0)}b=k[b>>2]|0;if(!b)g=0;else g=pw(b,8,448,0)|0;$9(O);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;jI(O,35316,5);y=0;b=Ha(971,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;$9(O);sb(Q|0)}b=k[b>>2]|0;if(!b)D=0;else D=pw(b,8,448,0)|0;$9(O);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;jI(O,35368,4);y=0;b=Ha(971,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;$9(O);sb(Q|0)}b=k[b>>2]|0;if(!b)c=0;else c=pw(b,8,448,0)|0;$9(O);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;jI(O,35373,11);y=0;b=Ha(971,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;$9(O);sb(Q|0)}b=k[b>>2]|0;if(!b)u=0;else u=pw(b,8,448,0)|0;$9(O);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;jI(O,35385,10);y=0;b=Ha(971,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;$9(O);sb(Q|0)}b=k[b>>2]|0;if(!b)B=0;else B=pw(b,8,448,0)|0;$9(O);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;jI(O,35322,6);y=0;b=Ha(971,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;$9(O);sb(Q|0)}b=k[b>>2]|0;if(!b)C=0;else C=pw(b,8,448,0)|0;$9(O);v=(v|0)!=0;w=(g|0)!=0;g=v|w|(D|0)!=0;c=(c|0)!=0;u=(u|0)!=0;b=c|u|(B|0)!=0;do if(g&b){k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;jI(F,35556,56);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));oa(458,F|0,O|0);J=y;y=0;if(!(J&1)){$9(F);break}Q=pb()|0;$9(F);sb(Q|0)}while(0);if(g){do if(v){k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;jI(N,35304,4);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;K=y;y=0;if(!(K&1)){m=+p[b+64>>3]/100.0;$9(N);break}Q=pb()|0;$9(N);sb(Q|0)}else m=0.0;while(0);do if(w){k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;jI(N,35309,6);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;K=y;y=0;if(!(K&1)){l=+p[b+64>>3]/100.0;$9(N);break}Q=pb()|0;$9(N);sb(Q|0)}else l=0.0;while(0);do if(!D)s=0.0;else{k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;jI(N,35316,5);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;K=y;y=0;if(!(K&1)){s=+p[b+64>>3]/100.0;$9(N);break}Q=pb()|0;$9(N);sb(Q|0)}while(0);do if(!C)q=0.0;else{k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;jI(N,35322,6);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;f=y;y=0;if(!(f&1)){q=+p[b+64>>3]/100.0;$9(N);break}Q=pb()|0;$9(N);sb(Q|0)}while(0);c=ZL(112)|0;H=L;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));h=+p[P+64>>3];j=+p[P+72>>3];n=+p[P+80>>3];o=+p[P+88>>3];k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;y=0;Na(75,M|0,82159,0);P=y;y=0;if(P&1)b=pb()|0;else{H=O;I=L;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));y=0;na(366,c|0);P=y;y=0;do if(P&1)b=pb()|0;else{m=h+m*(m>0.0?255.0-h:h);l=j+l*(l>0.0?255.0-j:j);j=n+s*(s>0.0?255.0-n:n);h=o+q*(q>0.0?1.0-o:o);H=c+12|0;I=O;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=9088;p[c+64>>3]=m;p[c+72>>3]=l;p[c+80>>3]=j;p[c+88>>3]=h;y=0;oa(452,c+96|0,M|0);P=y;y=0;if(P&1){b=pb()|0;break}k[c+108>>2]=0;k[b>>2]=3;$9(M);P=c;r=Q;return P|0}while(0);$9(M)}zqa(c);Q=b;sb(Q|0)}if(!b){if(!C){k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;jI(E,35613,38);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));oa(458,E|0,O|0);O=y;y=0;if(O&1){Q=pb()|0;$9(E);sb(Q|0)}else{$9(E);r=Q;return P|0}}k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;jI(N,35322,6);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;O=y;y=0;if(O&1){Q=pb()|0;$9(N);sb(Q|0)}j=+p[b+64>>3]/100.0;$9(N);c=ZL(112)|0;H=G;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));l=+p[P+64>>3];m=+p[P+72>>3];n=+p[P+80>>3];h=+p[P+88>>3];k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;y=0;Na(75,K|0,82159,0);P=y;y=0;if(P&1)b=pb()|0;else{H=N;I=G;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));y=0;na(366,c|0);P=y;y=0;do if(P&1)b=pb()|0;else{h=h+j*(j>0.0?1.0-h:h);H=c+12|0;I=N;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=9088;p[c+64>>3]=l;p[c+72>>3]=m;p[c+80>>3]=n;p[c+88>>3]=h;y=0;oa(452,c+96|0,K|0);P=y;y=0;if(P&1){b=pb()|0;break}k[c+108>>2]=0;k[b>>2]=3;$9(K);P=c;r=Q;return P|0}while(0);$9(K)}zqa(c);Q=b;sb(Q|0)}do if(c){k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;jI(N,35368,4);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;M=y;y=0;if(!(M&1)){A=+p[b+64>>3]/100.0;$9(N);break}Q=pb()|0;$9(N);sb(Q|0)}else A=0.0;while(0);do if(u){k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;jI(N,35373,11);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;M=y;y=0;if(!(M&1)){z=+p[b+64>>3]/100.0;$9(N);break}Q=pb()|0;$9(N);sb(Q|0)}else z=0.0;while(0);do if(!B)x=0.0;else{k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;jI(N,35385,10);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;M=y;y=0;if(!(M&1)){x=+p[b+64>>3]/100.0;$9(N);break}Q=pb()|0;$9(N);sb(Q|0)}while(0);do if(!C)t=0.0;else{k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;jI(N,35322,6);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;M=y;y=0;if(!(M&1)){t=+p[b+64>>3]/100.0;$9(N);break}Q=pb()|0;$9(N);sb(Q|0)}while(0);m=+p[P+64>>3]/255.0;n=+p[P+72>>3]/255.0;o=+p[P+80>>3]/255.0;b=n<o;l=b?o:n;l=m<l?l:m;h=o<n?o:n;h=h<m?h:m;q=l-h;j=l+h;s=j*.5;do if(l==h){j=0.0;h=0.0}else{h=q/(s<.5?j:2.0-l-h);if(m==l){j=(b?6.0:0.0)+(n-o)/q;break}if(n==l){j=(o-m)/q+2.0;break}if(!(o==l)){j=0.0;break}j=(m-n)/q+4.0}while(0);m=j/6.0*360.0;l=h*100.0;j=s*100.0;m=m+A*(A>0.0?360.0-m:m);l=l+z*(z>0.0?100.0-l:l);j=j+x*(x>0.0?100.0-j:j);h=+p[P+88>>3];h=h+t*(t>0.0?1.0-h:h);H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));P=lm(m,l,j,h,0,O)|0;r=Q;return P|0}function _d(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;F=r;r=r+32|0;C=F+16|0;A=F+8|0;B=F;p=d;s=k[p>>2]|0;p=k[p+4>>2]|0;t=e;j=k[t>>2]|0;t=k[t+4>>2]|0;if((t|0)==(p|0))q=0;else q=((t-(k[j>>2]|0)|0)/24|0)+((j-s>>2)*170|0)+((p-(k[s>>2]|0)|0)/-24|0)|0;y=b+4|0;g=k[y>>2]|0;z=b+16|0;o=k[z>>2]|0;h=g+(((o>>>0)/170|0)<<2)|0;E=b+8|0;f=k[E>>2]|0;m=f;n=g;if((f|0)==(g|0))l=0;else l=(k[h>>2]|0)+(((o>>>0)%170|0)*24|0)|0;i=k[c+4>>2]|0;if((i|0)==(l|0))D=0;else{D=k[c>>2]|0;D=((D-h>>2)*170|0)+((i-(k[D>>2]|0)|0)/24|0)+((l-(k[h>>2]|0)|0)/-24|0)|0}x=b+20|0;i=k[x>>2]|0;if(D>>>0<(i-D|0)>>>0){if(q>>>0>o>>>0){Mf(b,q-o|0);h=k[z>>2]|0;g=k[y>>2]|0;f=k[E>>2]|0}else h=o;v=g+(((h>>>0)/170|0)<<2)|0;if((f|0)==(g|0))u=0;else u=(k[v>>2]|0)+(((h>>>0)%170|0)*24|0)|0;l=v;i=u;if(q>>>0>D>>>0){do if(D>>>0<q>>>1>>>0)if(!D)p=t;else{g=j;f=((t-(k[j>>2]|0)|0)/24|0)-D|0;if((f|0)>0){p=g+(((f>>>0)/170|0)<<2)|0;j=p;p=(k[p>>2]|0)+(((f>>>0)%170|0)*24|0)|0;break}else{p=169-f|0;w=g+(((p|0)/-170|0)<<2)|0;j=w;p=(k[w>>2]|0)+((169-((p|0)%170|0)|0)*24|0)|0;break}}else{f=q-D|0;if(!f)j=s;else{g=s;f=((p-(k[s>>2]|0)|0)/24|0)+f|0;if((f|0)>0){p=g+(((f>>>0)/170|0)<<2)|0;j=p;p=(k[p>>2]|0)+(((f>>>0)%170|0)*24|0)|0;break}else{p=169-f|0;w=g+(((p|0)/-170|0)<<2)|0;j=w;p=(k[w>>2]|0)+((169-((p|0)%170|0)|0)*24|0)|0;break}}}while(0);g=p;o=k[d+4>>2]|0;if((g|0)==(o|0)){q=D;w=p;m=l;g=i}else{c=j;m=l;f=i;while(1){h=m;if((f|0)==(k[h>>2]|0)){f=h+-4|0;m=f;f=(k[f>>2]|0)+4080|0}n=f+-24|0;b=n;h=c;if((g|0)==(k[h>>2]|0)){h=h+-4|0;c=h;h=(k[h>>2]|0)+4080|0}else h=g;g=h+-24|0;k[n>>2]=k[g>>2];k[n+4>>2]=k[g+4>>2];k[n+8>>2]=k[g+8>>2];rT(f+-12|0,h+-12|0);k[f+-8>>2]=k[h+-8>>2];h=k[h+-4>>2]|0;k[f+-4>>2]=h;if(h|0)Sba(h);k[z>>2]=(k[z>>2]|0)+-1;k[x>>2]=(k[x>>2]|0)+1;if((g|0)==(o|0)){q=D;w=p;g=b;break}else f=b}}}else{j=s;w=p;m=l;g=i}if(q|0){f=((i-(k[v>>2]|0)|0)/24|0)+q|0;if((f|0)>0){c=v+(((f>>>0)/170|0)<<2)|0;p=(k[c>>2]|0)+(((f>>>0)%170|0)*24|0)|0}else{p=169-f|0;c=v+(((p|0)/-170|0)<<2)|0;p=(k[c>>2]|0)+((169-((p|0)%170|0)|0)*24|0)|0}b=c;if((p|0)!=(u|0)){h=b;o=p;while(1){f=m;if((g|0)==(k[f>>2]|0)){n=f+-4|0;m=n;n=(k[n>>2]|0)+4080|0}else n=g;g=n+-24|0;f=h;if((o|0)==(k[f>>2]|0)){h=f+-4|0;f=h;h=(k[h>>2]|0)+4080|0}else{f=h;h=o}o=h+-24|0;k[g>>2]=k[o>>2];k[g+4>>2]=k[o+4>>2];k[g+8>>2]=k[o+8>>2];rT(n+-12|0,h+-12|0);t=h+-8|0;k[n+-8>>2]=k[t>>2];d=h+-4|0;k[n+-4>>2]=k[d>>2];k[t>>2]=0;k[d>>2]=0;k[z>>2]=(k[z>>2]|0)+-1;k[x>>2]=(k[x>>2]|0)+1;if((o|0)==(u|0))break;else h=f}}a:do if(q>>>0<D>>>0){do if(!D){g=l;f=i}else{f=((i-(k[v>>2]|0)|0)/24|0)+D|0;if((f|0)>0){x=v+(((f>>>0)/170|0)<<2)|0;g=x;f=(k[x>>2]|0)+(((f>>>0)%170|0)*24|0)|0;break}else{f=169-f|0;x=v+(((f|0)/-170|0)<<2)|0;g=x;f=(k[x>>2]|0)+((169-((f|0)%170|0)|0)*24|0)|0;break}}while(0);m=p;if((f|0)!=(p|0)){h=k[c>>2]|0;f=((f-(k[g>>2]|0)|0)/24|0)+((g-b>>2)*170|0)+((m-h|0)/-24|0)|0;if((f|0)>0){g=p;while(1){q=h+4080|0;u=(q-g|0)/24|0;x=(u|0)>(f|0);q=x?g+(f*24|0)|0:q;u=x?f:u;if((g|0)!=(q|0)){t=q;s=g;do{p=l;x=((k[p>>2]|0)+4080-i|0)/24|0;b=(t-s|0)/24|0;d=(b|0)>(x|0);b=d?x:b;h=s;s=d?s+(x*24|0)|0:q;if((h|0)!=(s|0)){n=i;while(1){k[n>>2]=k[h>>2];k[n+4>>2]=k[h+4>>2];k[n+8>>2]=k[h+8>>2];LH(n+12|0,h+12|0)|0;v=h+16|0;x=k[v>>2]|0;o=h+20|0;d=k[o>>2]|0;k[v>>2]=0;k[o>>2]=0;k[n+16>>2]=x;x=n+20|0;o=k[x>>2]|0;k[x>>2]=d;if(o|0)kZ(o);h=h+24|0;if((h|0)==(s|0))break;else n=n+24|0}}do if(b){h=((i-(k[l>>2]|0)|0)/24|0)+b|0;if((h|0)>0){i=p+(((h>>>0)/170|0)<<2)|0;l=i;i=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;break}else{i=169-h|0;x=p+(((i|0)/-170|0)<<2)|0;l=x;i=(k[x>>2]|0)+((169-((i|0)%170|0)|0)*24|0)|0;break}}while(0)}while((s|0)!=(q|0))}h=f-u|0;do if(u){f=((m-(k[c>>2]|0)|0)/24|0)+u|0;if((f|0)>0){c=c+(((f>>>0)/170|0)<<2)|0;g=(k[c>>2]|0)+(((f>>>0)%170|0)*24|0)|0;m=g;break}else{g=169-f|0;c=c+(((g|0)/-170|0)<<2)|0;g=(k[c>>2]|0)+((169-((g|0)%170|0)|0)*24|0)|0;m=g;break}}while(0);if((h|0)<=0)break a;f=h;h=k[c>>2]|0}}}}while(0);g=e;f=k[g>>2]|0;g=k[g+4>>2]|0;h=w;if((g|0)!=(h|0)){f=((g-(k[f>>2]|0)|0)/24|0)+((f-j>>2)*170|0)+((w-(k[j>>2]|0)|0)/-24|0)|0;if((f|0)>0){c=f;g=w;while(1){e=(k[j>>2]|0)+4080|0;f=(e-h|0)/24|0;x=(f|0)>(c|0);f=x?c:f;d=B;k[d>>2]=l;k[d+4>>2]=i;k[C>>2]=k[B>>2];k[C+4>>2]=k[B+4>>2];zp(A,h,x?h+(c*24|0)|0:e,C,0);e=A;l=k[e>>2]|0;i=k[e+4>>2]|0;c=c-f|0;do if(!f)f=j;else{f=((g-(k[j>>2]|0)|0)/24|0)+f|0;if((f|0)>0){e=j+(((f>>>0)/170|0)<<2)|0;h=(k[e>>2]|0)+(((f>>>0)%170|0)*24|0)|0;g=h;f=e;break}else{h=169-f|0;f=j+(((h|0)/-170|0)<<2)|0;h=(k[f>>2]|0)+((169-((h|0)%170|0)|0)*24|0)|0;g=h;break}}while(0);if((c|0)<=0)break;else j=f}}}}}else{h=m-n>>2;h=((h|0)==0?0:(h*170|0)+-1|0)-(i+o)|0;if(q>>>0>h>>>0){tf(b,q-h|0);h=k[z>>2]|0;l=k[x>>2]|0;i=k[y>>2]|0;f=k[E>>2]|0}else{h=o;l=i;i=g}g=h+l|0;w=i+(((g>>>0)/170|0)<<2)|0;if((f|0)==(i|0))v=0;else v=(k[w>>2]|0)+(((g>>>0)%170|0)*24|0)|0;g=w;f=v;u=l-D|0;if(q>>>0>u>>>0){do if(u>>>0<q>>>1>>>0)if(!u){j=s;o=p}else{i=s;h=((p-(k[s>>2]|0)|0)/24|0)+u|0;if((h|0)>0){o=i+(((h>>>0)/170|0)<<2)|0;j=o;o=(k[o>>2]|0)+(((h>>>0)%170|0)*24|0)|0;break}else{o=169-h|0;t=i+(((o|0)/-170|0)<<2)|0;j=t;o=(k[t>>2]|0)+((169-((o|0)%170|0)|0)*24|0)|0;break}}else{h=q-u|0;if(!h)o=t;else{i=j;h=((t-(k[j>>2]|0)|0)/24|0)-h|0;if((h|0)>0){o=i+(((h>>>0)/170|0)<<2)|0;j=o;o=(k[o>>2]|0)+(((h>>>0)%170|0)*24|0)|0;break}else{o=169-h|0;t=i+(((o|0)/-170|0)<<2)|0;j=t;o=(k[t>>2]|0)+((169-((o|0)%170|0)|0)*24|0)|0;break}}}while(0);h=o;n=k[e+4>>2]|0;if((h|0)==(n|0)){n=u;c=g;l=f}else{m=j;c=g;i=f;while(1){k[i>>2]=k[h>>2];k[i+4>>2]=k[h+4>>2];k[i+8>>2]=k[h+8>>2];rT(i+12|0,h+12|0);k[i+16>>2]=k[h+16>>2];l=k[h+20>>2]|0;k[i+20>>2]=l;if(l|0)Sba(l);i=i+24|0;if((i-(k[c>>2]|0)|0)==4080){i=c+4|0;c=i;i=k[i>>2]|0}h=h+24|0;if((h-(k[m>>2]|0)|0)==4080){h=m+4|0;l=h;h=k[h>>2]|0}else l=m;k[x>>2]=(k[x>>2]|0)+1;if((h|0)==(n|0)){n=u;l=i;break}else m=l}}}else{o=t;n=q;c=g;l=f}if(n|0){h=((f-(k[w>>2]|0)|0)/24|0)-n|0;if((h|0)>0){p=w+(((h>>>0)/170|0)<<2)|0;i=(k[p>>2]|0)+(((h>>>0)%170|0)*24|0)|0}else{i=169-h|0;p=w+(((i|0)/-170|0)<<2)|0;i=(k[p>>2]|0)+((169-((i|0)%170|0)|0)*24|0)|0}b=p;if((i|0)!=(v|0)){m=b;h=i;do{k[l>>2]=k[h>>2];k[l+4>>2]=k[h+4>>2];k[l+8>>2]=k[h+8>>2];rT(l+12|0,h+12|0);t=h+16|0;k[l+16>>2]=k[t>>2];e=h+20|0;k[l+20>>2]=k[e>>2];k[t>>2]=0;k[e>>2]=0;l=l+24|0;if((l-(k[c>>2]|0)|0)==4080){l=c+4|0;c=l;l=k[l>>2]|0}h=h+24|0;if((h-(k[m>>2]|0)|0)==4080){h=m+4|0;m=h;h=k[h>>2]|0}k[x>>2]=(k[x>>2]|0)+1}while((h|0)!=(v|0))}if(n>>>0<u>>>0){do if(!u){c=g;h=f}else{h=((f-(k[w>>2]|0)|0)/24|0)-u|0;if((h|0)>0){e=w+(((h>>>0)/170|0)<<2)|0;c=e;h=(k[e>>2]|0)+(((h>>>0)%170|0)*24|0)|0;break}else{h=169-h|0;e=w+(((h|0)/-170|0)<<2)|0;c=e;h=(k[e>>2]|0)+((169-((h|0)%170|0)|0)*24|0)|0;break}}while(0);if((i|0)!=(h|0)){l=k[p>>2]|0;h=((i-l|0)/24|0)+((b-c>>2)*170|0)+((h-(k[c>>2]|0)|0)/-24|0)|0;if((h|0)>0){c=p;while(1){if((i|0)==(l|0)){c=c+-4|0;l=k[c>>2]|0;i=l+4080|0}m=i+-24|0;e=(i-l|0)/24|0;x=(e|0)>(h|0);e=x?h:e;w=B;k[w>>2]=g;k[w+4>>2]=f;k[C>>2]=k[B>>2];k[C+4>>2]=k[B+4>>2];Mn(A,x?i+((0-h|0)*24|0)|0:l,i,C,0);f=A;g=k[f>>2]|0;f=k[f+4>>2]|0;h=h-e|0;i=e+-1|0;do if(!i)i=m;else{i=((m-(k[c>>2]|0)|0)/24|0)-i|0;if((i|0)>0){e=c+(((i>>>0)/170|0)<<2)|0;c=e;i=(k[e>>2]|0)+(((i>>>0)%170|0)*24|0)|0;break}else{i=169-i|0;e=c+(((i|0)/-170|0)<<2)|0;c=e;i=(k[e>>2]|0)+((169-((i|0)%170|0)|0)*24|0)|0;break}}while(0);if((h|0)<=0)break;l=k[c>>2]|0}}}l=g;i=f}else{l=g;i=f}h=d;f=k[h>>2]|0;h=k[h+4>>2]|0;g=o;if((g|0)!=(h|0)){f=((o-(k[j>>2]|0)|0)/24|0)+((j-f>>2)*170|0)+((h-(k[f>>2]|0)|0)/-24|0)|0;if((f|0)>0){c=i;while(1){h=k[j>>2]|0;if((g|0)==(h|0)){j=j+-4|0;h=k[j>>2]|0;g=h+4080|0}i=g+-24|0;e=(g-h|0)/24|0;x=(e|0)>(f|0);e=x?f:e;d=B;k[d>>2]=l;k[d+4>>2]=c;k[C>>2]=k[B>>2];k[C+4>>2]=k[B+4>>2];Zn(A,x?g+((0-f|0)*24|0)|0:h,g,C,0);g=A;l=k[g>>2]|0;c=k[g+4>>2]|0;f=f-e|0;g=e+-1|0;do if(!g){h=j;g=i}else{g=((i-(k[j>>2]|0)|0)/24|0)-g|0;if((g|0)>0){e=j+(((g>>>0)/170|0)<<2)|0;h=e;g=(k[e>>2]|0)+(((g>>>0)%170|0)*24|0)|0;break}else{g=169-g|0;e=j+(((g|0)/-170|0)<<2)|0;h=e;g=(k[e>>2]|0)+((169-((g|0)%170|0)|0)*24|0)|0;break}}while(0);if((f|0)<=0)break;else j=h}}}}}C=k[y>>2]|0;f=k[z>>2]|0;h=C+(((f>>>0)/170|0)<<2)|0;if((k[E>>2]|0)==(C|0)){g=0;f=0}else{g=0;f=(k[h>>2]|0)+(((f>>>0)%170|0)*24|0)|0}E=a;k[E>>2]=g|h;k[E+4>>2]=f;if(!D){r=F;return}g=a+4|0;f=((f-(k[h>>2]|0)|0)/24|0)+D|0;if((f|0)>0){E=h+(((f>>>0)/170|0)<<2)|0;k[a>>2]=E;k[g>>2]=(k[E>>2]|0)+(((f>>>0)%170|0)*24|0);r=F;return}else{E=169-f|0;D=h+(((E|0)/-170|0)<<2)|0;k[a>>2]=D;k[g>>2]=(k[D>>2]|0)+((169-((E|0)%170|0)|0)*24|0);r=F;return}}function $d(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0.0,l=0.0,m=0.0,n=0.0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;K=0;J=r;r=r+576|0;I=J+200|0;A=J+160|0;x=J+120|0;s=J+80|0;B=J+40|0;t=J;u=J+528|0;v=J+488|0;w=J+472|0;z=J+432|0;C=J+416|0;h=J+376|0;o=J+360|0;q=J+320|0;e=J+280|0;E=J+272|0;D=J+264|0;f=J+252|0;g=J+240|0;do switch(Joa(a)|0){case 0:{f=ZL(68)|0;F=u;G=d;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));y=0;e=qa(451,a|0)|0;K=y;y=0;if(!(K&1)){F=t;G=u;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));y=0;na(366,f|0);K=y;y=0;if(!(K&1)){F=f+12|0;G=t;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f>>2]=9208;i[f+60>>0]=e&1;k[f+64>>2]=0;k[f+56>>2]=1;K=f;r=J;return K|0}}K=pb()|0;zqa(f);sb(K|0)}case 1:{f=ZL(104)|0;F=v;G=d;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));y=0;j=+Aa(2,a|0);H=y;y=0;do if(H&1)K=11;else{y=0;e=qa(452,a|0)|0;H=y;y=0;if(H&1)K=11;else{k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;H=JI(e)|0;y=0;Na(75,w|0,e|0,H|0);H=y;y=0;if(H&1)K=11;else{y=0;F=I;G=v;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));Ca(1,f|0,I|0,+j,w|0,1);I=y;y=0;if(I&1){e=pb()|0;$9(w);break}$9(w);K=f;r=J;return K|0}}}while(0);if((K|0)==11)e=pb()|0;zqa(f);K=e;sb(K|0)}case 2:{f=ZL(112)|0;F=z;G=d;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));y=0;l=+Aa(3,a|0);I=y;y=0;if(I&1)K=23;else{y=0;m=+Aa(4,a|0);I=y;y=0;if(I&1)K=23;else{y=0;n=+Aa(5,a|0);I=y;y=0;if(I&1)K=23;else{y=0;j=+Aa(6,a|0);I=y;y=0;if(I&1)K=23;else{k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;y=0;Na(75,C|0,82159,0);I=y;y=0;if(I&1)K=23;else{F=B;G=z;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));y=0;na(366,f|0);I=y;y=0;do if(I&1)e=pb()|0;else{F=f+12|0;G=B;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;e=f+56|0;k[e>>2]=0;k[f>>2]=9088;p[f+64>>3]=l;p[f+72>>3]=m;p[f+80>>3]=n;p[f+88>>3]=j;y=0;oa(452,f+96|0,C|0);I=y;y=0;if(I&1){e=pb()|0;break}k[f+108>>2]=0;k[e>>2]=3;$9(C);K=f;r=J;return K|0}while(0);$9(C)}}}}}if((K|0)==23)e=pb()|0;zqa(f);K=e;sb(K|0)}case 3:{H=xma(a)|0;f=ZL(80)|0;if(H){F=h;G=d;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));y=0;e=qa(453,a|0)|0;H=y;y=0;do if(H&1)K=32;else{k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;H=JI(e)|0;y=0;Na(75,o|0,e|0,H|0);H=y;y=0;if(H&1)K=32;else{y=0;F=I;G=h;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));Ea(2,f|0,I|0,o|0,0,0,0,1);I=y;y=0;if(I&1){e=pb()|0;$9(o);break}$9(o);K=f;r=J;return K|0}}while(0);if((K|0)==32)e=pb()|0;zqa(f);K=e;sb(K|0)}F=q;G=d;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));y=0;e=qa(453,a|0)|0;H=y;y=0;if(H&1)K=43;else{F=s;G=q;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));y=0;na(366,f|0);H=y;y=0;if(H&1)K=43;else{F=f+12|0;G=s;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=4;k[f>>2]=9640;i[f+60>>0]=0;i[f+61>>0]=0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;H=JI(e)|0;y=0;Na(75,I|0,e|0,H|0);H=y;y=0;do if(H&1)e=pb()|0;else{y=0;oa(547,f+64|0,I|0);H=y;y=0;if(H&1){e=pb()|0;$9(I);break}$9(I);k[f+76>>2]=0;K=f;r=J;return K|0}while(0)}}if((K|0)==43)e=pb()|0;zqa(f);K=e;sb(K|0)}case 4:{t=ZL(88)|0;F=e;G=d;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));y=0;f=qa(454,a|0)|0;H=y;y=0;do if(H&1)K=58;else{y=0;g=qa(455,a|0)|0;H=y;y=0;if(H&1)K=58;else{F=x;G=e;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));y=0;na(366,t|0);H=y;y=0;if(H&1)K=58;else{F=t+12|0;G=x;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));i[t+52>>0]=0;i[t+53>>0]=0;i[t+54>>0]=0;e=t+56|0;k[e>>2]=0;k[t>>2]=7760;s=t+60|0;k[s>>2]=7720;o=t+64|0;q=t+68|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;y=0;oa(518,o|0,f|0);H=y;y=0;if(H&1){e=pb()|0;h=N;f=k[o>>2]|0;if(f|0){g=k[q>>2]|0;if((g|0)!=(f|0)){do{J=g+-4|0;k[q>>2]=J;EO(J);g=k[q>>2]|0}while((g|0)!=(f|0));f=k[o>>2]|0}zqa(f)}break}k[t>>2]=7552;k[s>>2]=7680;k[t+80>>2]=g;i[t+84>>0]=0;i[t+85>>0]=0;k[e>>2]=5;f=hoa(a)|0;a:do if(f|0){e=0;while(1){g=k[(k[s>>2]|0)+20>>2]|0;h=afa(a,e)|0;F=I;G=d;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));_V(E,$d(h,b,c,I)|0);y=0;oa(g|0,s|0,E|0);K=y;y=0;if(K&1)break;EO(E);e=e+1|0;if(e>>>0>=f>>>0)break a}K=pb()|0;EO(E);sb(K|0)}while(0);K=t;r=J;return K|0}}}while(0);if((K|0)==58)e=pb()|0;zqa(t);K=e;sb(K|0)}case 5:{s=ZL(104)|0;F=A;G=d;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));y=0;na(366,s|0);H=y;y=0;do if(H&1)e=pb()|0;else{F=s+12|0;G=A;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));i[s+52>>0]=0;i[s+53>>0]=0;i[s+54>>0]=0;e=s+56|0;k[e>>2]=0;k[s>>2]=7760;q=s+60|0;y=0;oa(553,q|0,0);H=y;y=0;if(H&1){e=pb()|0;break}k[s>>2]=7880;k[q>>2]=8004;k[e>>2]=6;h=loa(a)|0;b:do if(h|0){o=D+4|0;g=0;while(1){e=Sfa(a,g)|0;F=I;G=d;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));e=$d(e,b,c,I)|0;f=Eea(a,g)|0;F=I;G=d;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));H=$d(f,b,c,I)|0;_V(D,e);y=0;oa(482,o|0,H|0);H=y;y=0;if(H&1){K=72;break}y=0;Ha(985,q|0,D|0)|0;H=y;y=0;if(H&1)break;EO(o);EO(D);g=g+1|0;if(g>>>0>=h>>>0)break b}if((K|0)==72){K=pb()|0;EO(D);sb(K|0)}K=pb()|0;EO(o);EO(D);sb(K|0)}while(0);K=s;r=J;return K|0}while(0);zqa(s);K=e;sb(K|0)}case 6:{e=ZL(60)|0;F=I;G=d;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));y=0;na(366,e|0);K=y;y=0;if(K&1){K=pb()|0;zqa(e);sb(K|0)}else{F=e+12|0;G=I;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e>>2]=11032;k[e+56>>2]=8;K=e;r=J;return K|0}}case 7:{e=Una(a)|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;jI(A,e,JI(e)|0);y=0;e=ta(52,A|0,0,42140)|0;K=y;y=0;do if(K&1)e=pb()|0;else{k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;F=I;G=d;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));Na(103,f|0,I|0,c|0);K=y;y=0;if(K&1){e=pb()|0;$9(f);break}$9(f);$9(A);K=0;r=J;return K|0}while(0);$9(A);K=e;sb(K|0)}case 8:{e=Dna(a)|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;jI(A,e,JI(e)|0);y=0;e=ta(52,A|0,0,42162)|0;K=y;y=0;do if(K&1)e=pb()|0;else{k[g>>2]=k[e>>2];k[g+4>>2]=k[e+4>>2];k[g+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;F=I;G=d;H=F+40|0;do{k[F>>2]=k[G>>2];F=F+4|0;G=G+4|0}while((F|0)<(H|0));Na(103,g|0,I|0,c|0);K=y;y=0;if(K&1){e=pb()|0;$9(g);break}$9(g);$9(A);K=0;r=J;return K|0}while(0);$9(A);K=e;sb(K|0)}default:{K=0;r=J;return K|0}}while(0);return 0}function ae(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;k[dc+32>>2]=d;k[dc+40>>2]=e;k[dc+48>>2]=f;k[dc+56>>2]=g;if((cc|0)==1)cc=3}Qc(fc+30388|0);return k[dc>>2]|0}function be(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;J=0;G=r;r=r+272|0;B=G+232|0;n=G+228|0;g=G+224|0;h=G+220|0;F=G+216|0;M=G+204|0;N=G+188|0;O=G+172|0;L=G+160|0;j=G+200|0;e=G+184|0;f=G+8|0;K=G+148|0;I=G+132|0;o=G+144|0;l=G+128|0;m=G;z=G+88|0;A=G+80|0;D=G+76|0;E=G+72|0;C=G+32|0;H=G+16|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;if(!(i[b+85>>0]|0))d=i[b+84>>0]|0?44170:82159;else d=43533;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;P=JI(d)|0;y=0;Na(75,O|0,d|0,P|0);d=y;y=0;if(d&1){P=pb()|0;$9(N);$9(M);sb(P|0)}d=b+80|0;y=0;oa(464,h|0,d|0);P=y;y=0;do if(P&1)d=pb()|0;else{P=k[h>>2]|0;k[j>>2]=P;do if(!P){k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;y=0;Na(75,L|0,82159,0);P=y;y=0;if(P&1){d=pb()|0;J=26}}else{y=0;oa(464,g|0,d|0);P=y;y=0;if(P&1){d=pb()|0;J=26;break}P=k[g>>2]|0;k[e>>2]=P;h=k[(k[P>>2]|0)+28>>2]|0;Q=k[(k[a+4>>2]|0)+16>>2]|0;d=k[Q+4>>2]|0;g=f;k[g>>2]=k[Q>>2];k[g+4>>2]=d;y=0;k[B>>2]=k[f>>2];k[B+4>>2]=k[f+4>>2];Na(h|0,L|0,P|0,B|0);P=y;y=0;if(P&1){d=pb()|0;EO(e);J=26;break}else{EO(e);break}}while(0);if((J|0)==26){EO(j);break}EO(j);if(!(i[c+85>>0]|0))d=i[b+84>>0]|0?44170:82159;else d=43533;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;Q=JI(d)|0;y=0;Na(75,K|0,d|0,Q|0);Q=y;y=0;if(Q&1)d=pb()|0;else{d=c+80|0;y=0;oa(464,n|0,d|0);Q=y;y=0;do if(Q&1)d=pb()|0;else{Q=k[n>>2]|0;k[o>>2]=Q;do if(!Q){k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;y=0;Na(75,I|0,82159,0);Q=y;y=0;if(Q&1){d=pb()|0;J=32}}else{y=0;oa(464,B|0,d|0);Q=y;y=0;if(Q&1){d=pb()|0;J=32;break}Q=k[B>>2]|0;k[l>>2]=Q;P=k[(k[Q>>2]|0)+28>>2]|0;j=k[(k[a+4>>2]|0)+16>>2]|0;a=k[j+4>>2]|0;n=m;k[n>>2]=k[j>>2];k[n+4>>2]=a;y=0;k[B>>2]=k[m>>2];k[B+4>>2]=k[m+4>>2];Na(P|0,I|0,Q|0,B|0);Q=y;y=0;if(Q&1){d=pb()|0;EO(l);J=32;break}else{EO(l);break}}while(0);if((J|0)==32){EO(o);break}EO(o);g=L+11|0;Q=i[g>>0]|0;h=L+4|0;if(!((Q<<24>>24<0?k[h>>2]|0:Q&255)|0)){y=0;Ha(967,L|0,I|0)|0;Q=y;y=0;if(Q&1)J=33;else J=34}else J=34;a:do if((J|0)==34){l=I+11|0;Q=i[l>>0]|0;m=I+4|0;if(!((Q<<24>>24<0?k[m>>2]|0:Q&255)|0)){y=0;Ha(967,I|0,L|0)|0;Q=y;y=0;if(Q&1){J=33;break}}n=O+11|0;Q=i[n>>0]|0;o=O+4|0;do if(((Q<<24>>24<0?k[o>>2]|0:Q&255)|0)==3){y=0;d=sa(21,O|0,0,-1,44170,3)|0;Q=y;y=0;if(Q&1){Q=tb(0)|0;dla(Q)}else{p=(d|0)==0;break}}else p=0;while(0);e=K+11|0;Q=i[e>>0]|0;f=K+4|0;do if(((Q<<24>>24<0?k[f>>2]|0:Q&255)|0)==3){y=0;d=sa(21,K|0,0,-1,44170,3)|0;Q=y;y=0;if(Q&1){Q=tb(0)|0;dla(Q)}else if(p^(d|0)==0){J=45;break}else{J=63;break}}else if(p)J=45;else J=63;while(0);b:do if((J|0)==45){f=i[g>>0]|0;a=f<<24>>24<0;f=f&255;j=a?k[h>>2]|0:f;Q=i[l>>0]|0;d=Q<<24>>24<0;do if((j|0)==((d?k[m>>2]|0:Q&255)|0)){g=k[L>>2]|0;h=a?g:L;d=d?k[I>>2]|0:I;e=(j|0)==0;if(a){if(e){q=0;break b}if(!(zM(h,d,j)|0)){q=0;break b}else break}if(e){q=0;break b}if((g&255)<<24>>24==(i[d>>0]|0))e=L;else break;do{f=f+-1|0;e=e+1|0;if(!f){q=0;break b}d=d+1|0}while((i[e>>0]|0)==(i[d>>0]|0))}while(0);Q=i[n>>0]|0;do if(((Q<<24>>24<0?k[o>>2]|0:Q&255)|0)==3){y=0;d=sa(21,O|0,0,-1,44170,3)|0;Q=y;y=0;if(Q&1){Q=tb(0)|0;dla(Q)}else{s=(d|0)==0?I:L;break}}else s=L;while(0);y=0;Ha(967,M|0,s|0)|0;Q=y;y=0;if(Q&1){J=33;break a}Q=i[n>>0]|0;do if(((Q<<24>>24<0?k[o>>2]|0:Q&255)|0)==3){y=0;d=sa(21,O|0,0,-1,44170,3)|0;Q=y;y=0;if(Q&1){Q=tb(0)|0;dla(Q)}else{t=(d|0)==0?K:O;break}}else t=O;while(0);y=0;Ha(967,N|0,t|0)|0;Q=y;y=0;if(Q&1){J=33;break a}else J=91}else if((J|0)==63){Q=i[n>>0]|0;do if(((Q<<24>>24<0?k[o>>2]|0:Q&255)|0)==3){y=0;d=sa(21,O|0,0,-1,44170,3)|0;Q=y;y=0;if(Q&1){Q=tb(0)|0;dla(Q)}if(d|0)break;Q=i[e>>0]|0;if(((Q<<24>>24<0?k[f>>2]|0:Q&255)|0)!=3)break;y=0;d=sa(21,K|0,0,-1,44170,3)|0;Q=y;y=0;if(Q&1){Q=tb(0)|0;dla(Q)}if(d|0)break;f=i[g>>0]|0;a=f<<24>>24<0;f=f&255;j=a?k[h>>2]|0:f;Q=i[l>>0]|0;d=Q<<24>>24<0;if((j|0)!=((d?k[m>>2]|0:Q&255)|0)){q=0;break b}g=k[L>>2]|0;h=a?g:L;d=d?k[I>>2]|0:I;e=(j|0)==0;c:do if(a){if(e)break;if(zM(h,d,j)|0){q=0;break b}}else{if(e)break;if((g&255)<<24>>24==(i[d>>0]|0))e=L;else{q=0;break b}while(1){f=f+-1|0;e=e+1|0;if(!f)break c;d=d+1|0;if((i[e>>0]|0)!=(i[d>>0]|0)){q=0;break b}}}while(0);y=0;Ha(967,M|0,L|0)|0;Q=y;y=0;if(Q&1){J=33;break a}y=0;Ha(1006,N|0,44170)|0;Q=y;y=0;if(Q&1){J=33;break a}else{J=91;break b}}while(0);f=i[g>>0]|0;a=f<<24>>24<0;f=f&255;j=a?k[h>>2]|0:f;Q=i[l>>0]|0;d=Q<<24>>24<0;if((j|0)==((d?k[m>>2]|0:Q&255)|0)){g=k[L>>2]|0;h=a?g:L;d=d?k[I>>2]|0:I;e=(j|0)==0;d:do if(a){if(e)break;if(zM(h,d,j)|0){q=0;break b}}else{if(e)break;if((g&255)<<24>>24==(i[d>>0]|0))e=L;else{q=0;break b}while(1){f=f+-1|0;e=e+1|0;if(!f)break d;d=d+1|0;if((i[e>>0]|0)!=(i[d>>0]|0)){q=0;break b}}}while(0);y=0;Ha(967,M|0,L|0)|0;Q=y;y=0;if(Q&1){J=33;break a}Q=i[n>>0]|0;y=0;Ha(967,N|0,(((Q<<24>>24<0?k[o>>2]|0:Q&255)|0)==0?K:O)|0)|0;Q=y;y=0;if(Q&1){J=33;break a}else J=91}else q=0}while(0);e:do if((J|0)==91){y=0;m=qa(332,88)|0;Q=y;y=0;if(Q&1){J=33;break a}j=b+12|0;d=z;e=j;g=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(g|0));y=0;oa(482,A|0,0);Q=y;y=0;do if(Q&1)d=pb()|0;else{a=b+60|0;l=c+60|0;h=((k[c+68>>2]|0)-(k[c+64>>2]|0)>>2)+((k[b+68>>2]|0)-(k[b+64>>2]|0)>>2)|0;f=N+11|0;d=i[f>>0]|0;g=N+4|0;e=k[g>>2]|0;do if(((d<<24>>24<0?e:d&255)|0)==3){y=0;d=sa(21,N|0,0,-1,44170,3)|0;Q=y;y=0;if(Q&1){Q=tb(0)|0;dla(Q)}else{x=(d|0)==0;u=i[f>>0]|0;v=k[g>>2]|0;break}}else{x=0;u=d;v=e}while(0);do if(((u<<24>>24<0?v:u&255)|0)==4){y=0;d=sa(21,N|0,0,-1,43533,4)|0;Q=y;y=0;if(Q&1){Q=tb(0)|0;dla(Q)}else{w=(d|0)==0;break}}else w=0;while(0);y=0;d=B;e=z;g=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(g|0));ya(21,m|0,B|0,A|0,h|0,x|0,w|0);Q=y;y=0;if(Q&1){d=pb()|0;EO(A);break}EO(A);Q=i[M+11>>0]|0;f:do if(!((Q<<24>>24<0?k[M+4>>2]|0:Q&255)|0))J=118;else{y=0;f=qa(332,80)|0;Q=y;y=0;if(Q&1)break;d=C;e=j;g=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(g|0));y=0;oa(452,H|0,M|0);Q=y;y=0;if(Q&1)d=pb()|0;else{y=0;d=B;e=C;g=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(g|0));Ea(2,f|0,B|0,H|0,0,0,0,1);Q=y;y=0;do if(Q&1)e=1;else{y=0;oa(482,E|0,f|0);Q=y;y=0;if(Q&1){e=0;break}d=m+80|0;y=0;Ha(966,d|0,E|0)|0;Q=y;y=0;do if(!(Q&1)){y=0;oa(464,F|0,d|0);Q=y;y=0;if(Q&1)break;k[D>>2]=k[F>>2];EO(D);EO(E);$9(H);J=118;break f}while(0);d=pb()|0;EO(E);$9(H);break a}while(0);d=pb()|0;$9(H);if(!e)break a}zqa(f);break a}while(0);do if((J|0)==118){d=m+60|0;y=0;oa(k[(k[d>>2]|0)+24>>2]|0,d|0,((c|0)==0?0:l)|0);Q=y;y=0;if(Q&1)break;y=0;oa(k[(k[d>>2]|0)+24>>2]|0,d|0,((b|0)==0?0:a)|0);Q=y;y=0;if(!(Q&1)){q=m;break e}}while(0);d=pb()|0;break a}while(0);zqa(m);break a}while(0);$9(I);$9(K);$9(L);$9(O);$9(N);$9(M);r=G;return q|0}while(0);if((J|0)==33)d=pb()|0;$9(I)}while(0);$9(K)}$9(L)}while(0);$9(O);Q=d;$9(N);$9(M);sb(Q|0);return 0}function ce(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;$=0;Z=r;r=r+384|0;T=Z+40|0;W=Z;Y=Z+368|0;g=Z+328|0;h=Z+312|0;_=Z+308|0;O=Z+304|0;R=Z+300|0;S=Z+288|0;P=Z+120|0;Q=Z+104|0;L=Z+100|0;M=Z+88|0;U=Z+84|0;V=Z+80|0;c=k[a+156>>2]|0;X=k[a+160>>2]|0;a:do if(c>>>0<X>>>0){e=0;b=c;b:while(1){d=i[b>>0]|0;if(!(d<<24>>24))break a;c:do if(e)e=0;else if(d<<24>>24==92)e=1;else{d=Qz(b)|0;if(!d){n=i[44181]|0;if(!(n<<24>>24))if(!b){e=0;b=0;break}else break b;else{d=b;e=44181;f=n}while(1){if((i[d>>0]|0)!=f<<24>>24){e=0;break c}e=e+1|0;f=i[e>>0]|0;if(!(f<<24>>24)){$=11;break b}else d=d+1|0}}else{e=0;b=d}}while(0);b=b+1|0;if(b>>>0>=X>>>0)break a}if(($|0)==11)if(!b)break;h=ZL(84)|0;I=a+108|0;j=T;l=I;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));y=0;na(366,h|0);K=y;y=0;do if(K&1)b=pb()|0;else{j=h+12|0;l=T;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;b=h+56|0;k[h>>2]=9504;k[b>>2]=4;d=h+60|0;k[d>>2]=7720;f=h+64|0;g=h+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,0);K=y;y=0;if(K&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{$=d+-4|0;k[g>>2]=$;EO($);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}zqa(c)}break}k[h>>2]=9328;k[d>>2]=9464;k[h+80>>2]=0;k[b>>2]=4;_V(_,h);G=a+76|0;o=a+80|0;p=X-c|0;q=p>>>0>4294967279;s=p+16&-16;t=s|-2147483648;u=W+8|0;v=W+4|0;w=(c|0)==(X|0);x=p>>>0<11;z=p&255;A=W+11|0;B=Q+4|0;C=Q+8|0;D=a+40|0;E=a+72|0;F=P+56|0;J=P+44|0;K=P+48|0;H=P+60|0;j=c;b=n;d:while(1){while(1){f=0;d=j;e:while(1){e=i[d>>0]|0;if(!(e<<24>>24)){$=130;break d}f:do if(f)f=0;else if(e<<24>>24==92)f=1;else{y=0;e=qa(388,d|0)|0;n=y;y=0;if(n&1){$=58;break d}if(!e){if(!(b<<24>>24))if(!d){f=0;d=0;b=0;break}else break e;else{e=d;f=44181;g=b}while(1){if((i[e>>0]|0)!=g<<24>>24){f=0;break f}f=f+1|0;g=i[f>>0]|0;if(!(g<<24>>24)){$=50;break e}else e=e+1|0}}else{f=0;d=e}}while(0);d=d+1|0;if(d>>>0>=X>>>0){$=130;break d}}if(($|0)==50){$=0;if(!d){$=130;break d}}if(j>>>0<d>>>0){e=k[G>>2]|0;k[G>>2]=j;f=(k[_>>2]|0)+60|0;g=k[(k[f>>2]|0)+20>>2]|0;y=0;h=Ha(1004,a|0,d|0)|0;n=y;y=0;if(n&1){$=62;break d}k[R>>2]=h;y=0;oa(482,O|0,h|0);n=y;y=0;if(n&1){$=63;break d}y=0;oa(g|0,f|0,O|0);n=y;y=0;if(n&1){$=64;break d}EO(O);EO(R);k[G>>2]=e}h=d+2|0;y=0;e=qa(360,h|0)|0;n=y;y=0;if(n&1){$=59;break d}y=0;e=qa(389,(e|0?e:h)|0)|0;n=y;y=0;if(n&1){$=59;break d}if(e|0){f=i[45708]|0;g:do if(!(f<<24>>24))f=0;else{g=45708;while(1){if((i[e>>0]|0)!=f<<24>>24)break g;e=e+1|0;g=g+1|0;f=i[g>>0]|0;if(!(f<<24>>24)){f=0;break}}}while(0);n=f<<24>>24==0?e:0;if(!((n|0)==0?1:n>>>0>(k[o>>2]|0)>>>0)){k[G>>2]=d;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;Na(75,T|0,39964,11);n=y;y=0;if(n&1){$=78;break d}k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;y=0;Na(75,W|0,39976,7);n=y;y=0;if(n&1){$=79;break d}k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;y=0;Na(75,S|0,39984,44);n=y;y=0;if(n&1){$=80;break d}y=0;Ra(25,a|0,T|0,W|0,S|0);n=y;y=0;if(n&1){$=81;break d}$9(S);$9(W);$9(T)}}g=hk(h,X)|0;if(g|0)break;k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;if(q){y=0;na(377,W|0);$=y;y=0;if($&1){$=125;break d}else $=117}else if(x){i[A>>0]=z;d=W}else $=117;if(($|0)==117){$=0;y=0;d=qa(332,s|0)|0;n=y;y=0;if(n&1){$=125;break d}k[W>>2]=d;k[u>>2]=t;k[v>>2]=p}if(!w){e=d;f=c;while(1){i[e>>0]=i[f>>0]|0;f=f+1|0;if((f|0)==(X|0))break;else e=e+1|0}d=d+p|0}i[d>>0]=0;y=0;d=ta(52,W|0,0,40194)|0;n=y;y=0;if(n&1){$=126;break d}k[M>>2]=k[d>>2];k[M+4>>2]=k[d+4>>2];k[M+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;k[T>>2]=k[I>>2];k[T+4>>2]=k[I+4>>2];k[T+8>>2]=k[I+8>>2];Na(109,a|0,M|0,T|0);n=y;y=0;if(n&1){$=127;break d}$9(M);$9(W)}k[Q>>2]=h;k[B>>2]=h;k[C>>2]=g;d=k[D>>2]|0;e=k[E>>2]|0;y=0;k[W>>2]=k[Q>>2];k[W+4>>2]=k[Q+4>>2];k[W+8>>2]=k[Q+8>>2];j=T;l=I;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));ma(10,P|0,W|0,d|0,T|0,e|0);n=y;y=0;if(n&1){$=100;break}y=0;d=Ha(1003,P|0,1)|0;n=y;y=0;if(n&1){$=101;break}k[S>>2]=d;d=k[F>>2]|0;e=d;if(d|0){f=k[H>>2]|0;if((f|0)!=(d|0))k[H>>2]=f+(~((f+-4-e|0)>>>2)<<2);zqa(d)}d=k[J>>2]|0;if(d|0){e=k[K>>2]|0;if((e|0)!=(d|0)){do{n=e+-4|0;k[K>>2]=n;EO(n);e=k[K>>2]|0}while((e|0)!=(d|0));d=k[J>>2]|0}zqa(d)}i[(k[S>>2]|0)+54>>0]=1;d=(k[_>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(464,L|0,S|0);n=y;y=0;if(n&1){$=110;break}y=0;oa(e|0,d|0,L|0);n=y;y=0;if(n&1){$=111;break}EO(L);EO(S);if(g>>>0<X>>>0)j=g;else{$=139;break}}h:switch($|0){case 58:{b=pb()|0;$=61;break}case 59:{b=pb()|0;$=61;break}case 62:{b=pb()|0;break}case 63:{b=pb()|0;$=65;break}case 64:{b=pb()|0;EO(O);$=65;break}case 78:{b=pb()|0;$=84;break}case 79:{b=pb()|0;$=83;break}case 80:{b=pb()|0;$=82;break}case 81:{b=pb()|0;$9(S);$=82;break}case 100:{b=pb()|0;break}case 101:{b=pb()|0;f=N;c=k[F>>2]|0;d=c;if(c|0){e=k[H>>2]|0;if((e|0)!=(c|0))k[H>>2]=e+(~((e+-4-d|0)>>>2)<<2);zqa(c)}c=k[J>>2]|0;if(c){d=k[K>>2]|0;if((d|0)!=(c|0)){do{Z=d+-4|0;k[K>>2]=Z;EO(Z);d=k[K>>2]|0}while((d|0)!=(c|0));c=k[J>>2]|0}zqa(c)}break}case 110:{b=pb()|0;$=112;break}case 111:{b=pb()|0;EO(L);$=112;break}case 125:{b=pb()|0;$=129;break}case 126:{b=pb()|0;$=128;break}case 127:{b=pb()|0;$9(M);$=128;break}case 130:{if(j>>>0<(k[o>>2]|0)>>>0){e=k[G>>2]|0;k[G>>2]=j;c=(k[_>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;b=Ha(1004,a|0,X|0)|0;X=y;y=0;if(X&1){b=pb()|0;break}k[V>>2]=b;y=0;oa(482,U|0,b|0);X=y;y=0;do if(X&1)b=pb()|0;else{y=0;oa(d|0,c|0,U|0);X=y;y=0;if(X&1){b=pb()|0;EO(U);break}else{EO(U);EO(V);k[G>>2]=e;$=139;break h}}while(0);EO(V)}else $=139;break}}do if(($|0)==65)EO(R);else if(($|0)==82){$9(W);$=83}else if(($|0)==112)EO(S);else if(($|0)==128){$9(W);$=129}else if(($|0)==139){b=k[_>>2]|0;if(!b)b=0;else i[b+8>>0]=1;y=0;oa(482,Y|0,b|0);$=y;y=0;if($&1){b=pb()|0;$=61;break}EO(_);$=k[Y>>2]|0;r=Z;return $|0}while(0);if(($|0)!=61)if(($|0)==83){$9(T);$=84}EO(_);$=b;sb($|0)}while(0);zqa(h);$=b;sb($|0)}while(0);f=ZL(80)|0;j=g;l=a+108|0;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;e=X-c|0;if(e>>>0>4294967279){y=0;na(377,h|0);$=y;y=0;if($&1)$=26;else $=16}else if(e>>>0<11){i[h+11>>0]=e;b=h;$=18}else $=16;if(($|0)==16){d=e+16&-16;y=0;b=qa(332,d|0)|0;$=y;y=0;if($&1)$=26;else{k[h>>2]=b;k[h+8>>2]=d|-2147483648;k[h+4>>2]=e;$=18}}do if(($|0)==18){if((c|0)!=(X|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(X|0))break;else d=d+1|0}b=b+e|0}i[b>>0]=0;j=W;l=g;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));y=0;na(366,f|0);$=y;y=0;if($&1)c=1;else{j=f+12|0;l=W;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=4;k[f>>2]=9640;i[f+60>>0]=0;i[f+61>>0]=0;y=0;oa(547,f+64|0,h|0);$=y;y=0;if($&1){b=pb()|0;$9(h);break}k[f+76>>2]=0;y=0;oa(482,Y|0,f|0);$=y;y=0;if($&1)c=0;else{$9(h);$=k[Y>>2]|0;r=Z;return $|0}}b=pb()|0;$9(h);if(!c){$=b;sb($|0)}}else if(($|0)==26)b=pb()|0;while(0);zqa(f);$=b;sb($|0);return 0}function de(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;E=0;C=r;r=r+624|0;D=C+584|0;F=C+460|0;u=C+264|0;t=C+572|0;z=C+120|0;x=C+560|0;A=C+520|0;B=C+504|0;d=C+464|0;i=C+448|0;g=C+408|0;m=C+104|0;n=C+92|0;j=C+80|0;l=C+40|0;q=C+24|0;s=C+12|0;o=C;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;jI(D,36181,6);y=0;b=Ha(971,a|0,D|0)|0;w=y;y=0;if(!(w&1)){y=0;oa(464,F|0,b|0);w=y;y=0;if(!(w&1)){$9(D);b=k[F>>2]|0;a:do if(!b){d=gb(116)|0;b=d;E=72}else{f=pw(b,8,248,0)|0;c=pw(b,8,448,0)|0;if(!c){if(pw(b,8,552,0)|0){z=k[18821]|0;x=((z+1|0)>>>0)%624|0;B=72788+(z<<2)|0;c=72788+(x<<2)|0;A=k[c>>2]|0;k[B>>2]=0-(A&1)&-1727483681^k[72788+((((z+397|0)>>>0)%624|0)<<2)>>2]^(A&2147483646|k[B>>2]&-2147483648)>>>1;B=k[72788+(k[18821]<<2)>>2]|0;B=B>>>11^B;k[18821]=x;B=B<<7&-1658038656^B;B=B<<15&-272236544^B;A=((x+1|0)>>>0)%624|0;z=k[72788+(A<<2)>>2]|0;k[c>>2]=0-(z&1)&-1727483681^k[72788+((((x+397|0)>>>0)%624|0)<<2)>>2]^(z&2147483646|k[c>>2]&-2147483648)>>>1;c=k[72788+(k[18821]<<2)>>2]|0;c=c>>>11^c;k[18821]=A;c=c<<7&-1658038656^c;c=c<<15&-272236544^c;h=(+((B>>>18^B)>>>0)+ +((c>>>18^c)>>>0)*4294967296.0)*5.421010862427522e-20+0.0;y=0;c=qa(332,104)|0;B=y;y=0;if(B&1){b=pb()|0;break}a=d;v=e;w=a+40|0;do{k[a>>2]=k[v>>2];a=a+4|0;v=v+4|0}while((a|0)<(w|0));k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;y=0;Na(75,i|0,82159,0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;a=D;v=d;w=a+40|0;do{k[a>>2]=k[v>>2];a=a+4|0;v=v+4|0}while((a|0)<(w|0));Ca(1,c|0,D|0,+h,i|0,1);e=y;y=0;if(e&1){b=pb()|0;$9(i);break}$9(i);E=c;EO(F);r=C;return E|0}while(0);zqa(c);break}d=gb(116)|0;if(!f){b=d;E=72;break}a=g;v=e;w=a+40|0;do{k[a>>2]=k[v>>2];a=a+4|0;v=v+4|0}while((a|0)<(w|0));k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(75,m|0,36303,6);e=y;y=0;do if(e&1)b=pb()|0;else{k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(75,n|0,36181,6);e=y;y=0;if(e&1){b=pb()|0;$9(m);break}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(75,j|0,35148,6);e=y;y=0;if(e&1){b=pb()|0;c=1}else{y=0;a=D;v=g;w=a+40|0;do{k[a>>2]=k[v>>2];a=a+4|0;v=v+4|0}while((a|0)<(w|0));ya(13,d|0,D|0,m|0,n|0,j|0,f|0);e=y;y=0;if(e&1)c=1;else{y=0;Na(76,d|0,1752,204);y=0;c=0}b=pb()|0;$9(j)}$9(n);$9(m);if(!c)break a}while(0);fb(d|0);break}h=+p[c+64>>3];b:do if(h<1.0){g=u+64|0;b=u+8|0;k[b>>2]=14400;f=u+12|0;k[u>>2]=14440;k[g>>2]=14460;k[u+4>>2]=0;y=0;oa(528,u+64|0,f|0);w=y;y=0;if(w&1)b=pb()|0;else{k[u+136>>2]=0;k[u+140>>2]=-1;k[u>>2]=14380;k[g>>2]=14420;k[b>>2]=14400;y=0;na(373,f|0);w=y;y=0;do if(w&1)b=pb()|0;else{k[f>>2]=14240;c=u+44|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[u+60>>2]=24;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;y=0;oa(529,f|0,D|0);w=y;y=0;if(w&1){b=pb()|0;$9(D);$9(c);nba(f);break}$9(D);d=u+8|0;y=0;b=ta(54,d|0,36188,7)|0;w=y;y=0;do if(w&1)E=22;else{y=0;b=Da(1,b|0,+h)|0;w=y;y=0;if(w&1)E=22;else{y=0;ta(54,b|0,36196,48)|0;w=y;y=0;if(w&1)E=22;else{y=0;oa(530,t|0,f|0);w=y;y=0;if(w&1)E=22;else{y=0;a=D;v=e;w=a+40|0;do{k[a>>2]=k[v>>2];a=a+4|0;v=v+4|0}while((a|0)<(w|0));oa(458,t|0,D|0);w=y;y=0;if(w&1){b=pb()|0;$9(t);break}else{$9(t);k[u>>2]=14380;k[g>>2]=14420;k[d>>2]=14400;k[f>>2]=14240;$9(c);nba(f);zka(u,14472);dja(g);break b}}}}}while(0);if((E|0)==22)b=pb()|0;k[u>>2]=14380;k[g>>2]=14420;k[d>>2]=14400;k[f>>2]=14240;$9(c);nba(f);zka(u,14472);dja(g);break a}while(0);zka(u,14472)}dja(g);break a}while(0);c:do if(!(+P(+(+gI(h)-h))<1.0e-14)){g=z+64|0;b=z+8|0;k[b>>2]=14400;f=z+12|0;k[z>>2]=14440;k[g>>2]=14460;k[z+4>>2]=0;y=0;oa(528,z+64|0,f|0);w=y;y=0;if(w&1)b=pb()|0;else{k[z+136>>2]=0;k[z+140>>2]=-1;k[z>>2]=14380;k[g>>2]=14420;k[b>>2]=14400;y=0;na(373,f|0);w=y;y=0;do if(w&1)b=pb()|0;else{k[f>>2]=14240;d=z+44|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[z+60>>2]=24;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;y=0;oa(529,f|0,D|0);w=y;y=0;if(w&1){b=pb()|0;$9(D);$9(d);nba(f);break}$9(D);c=z+8|0;y=0;b=ta(54,c|0,36245,42)|0;w=y;y=0;do if(w&1)E=40;else{y=0;b=Da(1,b|0,+h)|0;w=y;y=0;if(w&1)E=40;else{y=0;ta(54,b|0,36288,14)|0;w=y;y=0;if(w&1)E=40;else{y=0;oa(530,x|0,f|0);w=y;y=0;if(w&1)E=40;else{y=0;a=D;v=e;w=a+40|0;do{k[a>>2]=k[v>>2];a=a+4|0;v=v+4|0}while((a|0)<(w|0));oa(458,x|0,D|0);w=y;y=0;if(w&1){b=pb()|0;$9(x);break}else{$9(x);k[z>>2]=14380;k[g>>2]=14420;k[c>>2]=14400;k[f>>2]=14240;$9(d);nba(f);zka(z,14472);dja(g);break c}}}}}while(0);if((E|0)==40)b=pb()|0;k[z>>2]=14380;k[g>>2]=14420;k[c>>2]=14400;k[f>>2]=14240;$9(d);nba(f);zka(z,14472);dja(g);break a}while(0);zka(z,14472)}dja(g);break a}while(0);w=k[18821]|0;v=((w+1|0)>>>0)%624|0;z=72788+(w<<2)|0;c=72788+(v<<2)|0;x=k[c>>2]|0;k[z>>2]=0-(x&1)&-1727483681^k[72788+((((w+397|0)>>>0)%624|0)<<2)>>2]^(x&2147483646|k[z>>2]&-2147483648)>>>1;z=k[72788+(k[18821]<<2)>>2]|0;z=z>>>11^z;k[18821]=v;z=z<<7&-1658038656^z;z=z<<15&-272236544^z;x=((v+1|0)>>>0)%624|0;w=k[72788+(x<<2)>>2]|0;k[c>>2]=0-(w&1)&-1727483681^k[72788+((((v+397|0)>>>0)%624|0)<<2)>>2]^(w&2147483646|k[c>>2]&-2147483648)>>>1;c=k[72788+(k[18821]<<2)>>2]|0;c=c>>>11^c;k[18821]=x;c=c<<7&-1658038656^c;c=c<<15&-272236544^c;h=(h+1.0+-1.0)*(+((z>>>18^z)>>>0)+ +((c>>>18^c)>>>0)*4294967296.0)*5.421010862427522e-20+1.0;y=0;c=qa(332,104)|0;z=y;y=0;if(z&1){b=pb()|0;break}a=A;v=e;w=a+40|0;do{k[a>>2]=k[v>>2];a=a+4|0;v=v+4|0}while((a|0)<(w|0));k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(75,B|0,82159,0);e=y;y=0;do if(e&1)b=pb()|0;else{h=+(~~h>>>0>>>0);y=0;a=D;v=A;w=a+40|0;do{k[a>>2]=k[v>>2];a=a+4|0;v=v+4|0}while((a|0)<(w|0));Ca(1,c|0,D|0,+h,B|0,1);e=y;y=0;if(e&1){b=pb()|0;$9(B);break}$9(B);E=c;EO(F);r=C;return E|0}while(0);zqa(c)}while(0);d:do if((E|0)==72){a=l;v=e;w=a+40|0;do{k[a>>2]=k[v>>2];a=a+4|0;v=v+4|0}while((a|0)<(w|0));k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(75,q|0,36303,6);E=y;y=0;do if(E&1)b=pb()|0;else{k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(75,s|0,36181,6);E=y;y=0;if(E&1){b=pb()|0;$9(q);break}k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(75,o|0,35148,6);E=y;y=0;if(E&1){b=pb()|0;c=1}else{y=0;a=D;v=l;w=a+40|0;do{k[a>>2]=k[v>>2];a=a+4|0;v=v+4|0}while((a|0)<(w|0));ya(13,b|0,D|0,q|0,s|0,o|0,0);E=y;y=0;if(E&1)b=1;else{y=0;Na(76,d|0,1752,204);y=0;b=0}E=pb()|0;$9(o);c=b;b=E}$9(s);$9(q);if(!c)break d}while(0);fb(d|0)}while(0);EO(F);F=b;sb(F|0)}}F=pb()|0;$9(D);sb(F|0);return 0}
function Wc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;T=0;Z=r;r=r+96|0;V=Z+84|0;P=Z+72|0;L=Z+60|0;aa=Z+48|0;$=Z+36|0;K=Z+24|0;_=Z+12|0;Y=Z;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;jI(a,82159,0);a:do if(k[c>>2]&64|0){k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;y=0;Na(75,P|0,82159,0);U=y;y=0;if(U&1)d=pb()|0;else{v=b+11|0;w=b+4|0;s=V+11|0;t=V+4|0;g=0;p=0;q=0;f=0;e=0;n=0;b:while(1){U=i[v>>0]|0;m=U<<24>>24<0;h=m?k[b>>2]|0:b;U=m?k[w>>2]|0:U&255;m=h+U|0;j=h;if(U>>>0<=n>>>0){T=29;break}h=h+n|0;c:while(1){switch(i[h>>0]|0){case 42:case 92:case 47:case 39:case 34:break c;default:{}}h=h+1|0;if((h|0)==(m|0)){T=29;break b}}n=h-j|0;if((h|0)==(m|0)|(n|0)==-1){T=29;break}y=0;h=Ha(1025,b|0,n|0)|0;U=y;y=0;if(U&1){T=11;break}switch(i[h>>0]|0){case 34:{h=g;m=p^((g|q)^1);o=q;g=n;break}case 39:{h=g;m=p;o=q^((g|p)^1);g=n;break}case 47:{if(g&(n|0)!=0){y=0;g=Ha(1025,b|0,n+-1|0)|0;U=y;y=0;if(U&1){T=16;break b}g=(i[g>>0]|0)==42;h=g^1;m=p;o=q;f=g?n+1|0:f;g=n}else{h=g;m=p;o=q;g=n}break}case 92:{h=g;m=p;o=q;g=n+((p|q)&1)|0;break}case 42:{if(p){h=g;m=1;o=q;g=n}else if((n|0)!=0&(q^1)){j=n+-1|0;y=0;h=Ha(1025,b|0,j|0)|0;U=y;y=0;if(U&1){T=16;break b}if((i[h>>0]|0)==47){y=0;ma(4,V|0,b|0,f|0,j-f|0,b|0);U=y;y=0;if(U&1){T=25;break b}U=i[s>>0]|0;T=U<<24>>24<0;y=0;ta(47,P|0,(T?k[V>>2]|0:V)|0,(T?k[t>>2]|0:U&255)|0)|0;U=y;y=0;if(U&1){T=26;break b}$9(V);h=1;m=0;o=q;e=j;g=n}else{h=g;m=0;o=q;g=n}}else{h=g;m=0;o=q;g=n}break}default:{h=g;m=p;o=q;g=n}}n=g+1|0;if((n|0)==-1){g=h;T=29;break}else{g=h;p=m;q=o}}d:do if((T|0)==11)d=pb()|0;else if((T|0)==16)d=pb()|0;else if((T|0)==25){d=pb()|0;T=27}else if((T|0)==26){d=pb()|0;$9(V);T=27}else if((T|0)==29){e:do if(g){y=0;ma(4,V|0,b|0,e|0,-1,b|0);U=y;y=0;do if(U&1)d=pb()|0;else{U=i[V+11>>0]|0;S=U<<24>>24<0;y=0;ta(47,P|0,(S?k[V>>2]|0:V)|0,(S?k[V+4>>2]|0:U&255)|0)|0;U=y;y=0;if(U&1){d=pb()|0;$9(V);break}else{$9(V);break e}}while(0);break d}else{y=0;ma(4,V|0,b|0,f|0,-1,b|0);U=y;y=0;do if(U&1)d=pb()|0;else{U=i[V+11>>0]|0;S=U<<24>>24<0;y=0;ta(47,P|0,(S?k[V>>2]|0:V)|0,(S?k[V+4>>2]|0:U&255)|0)|0;U=y;y=0;if(U&1){d=pb()|0;$9(V);break}else{$9(V);break e}}while(0);break d}while(0);if((i[v>>0]|0)<0){i[k[b>>2]>>0]=0;k[w>>2]=0}else{i[b>>0]=0;i[v>>0]=0}y=0;oa(506,b|0,0);U=y;y=0;if(U&1){aa=tb(0)|0;dla(aa)}else{k[b>>2]=k[P>>2];k[b+4>>2]=k[P+4>>2];k[b+8>>2]=k[P+8>>2];k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;$9(P);break a}}while(0);$9(P)}aa=d;$9(a);sb(aa|0)}while(0);y=0;oa(620,V|0,b|0);U=y;y=0;if(U&1){aa=pb()|0;$9(a);sb(aa|0)}R=b+11|0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[b+4>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(506,b|0,0);U=y;y=0;if(U&1){U=tb(0)|0;dla(U)}k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;$9(V);j=i[R>>0]|0;f=j<<24>>24<0;S=b+4|0;h=f?k[b>>2]|0:b;j=f?k[S>>2]|0:j&255;f=i[76291]|0;U=f<<24>>24<0;e=U?k[19070]|0:76280;f=U?k[19071]|0:f&255;f:do if(!j)d=-1;else{g=h+j|0;g:do if(!f)d=h;else{d=h;while(1){if(!(Ty(e,l[d>>0]|0,f)|0))break g;d=d+1|0;if((d|0)==(g|0)){d=-1;break f}}}while(0);d=d-h|0}while(0);O=i[c+20>>0]|0?0:d;if((O|0)==-1){k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;y=0;Ra(10,V|0,h|0,j|0,j+1|0);aa=y;y=0;do if(aa&1)T=69;else{y=0;ta(47,V|0,47537,1)|0;aa=y;y=0;if(aa&1)T=69;else{aa=i[V+11>>0]|0;$=aa<<24>>24<0;y=0;ta(47,c+24|0,($?k[V>>2]|0:V)|0,($?k[V+4>>2]|0:aa&255)|0)|0;aa=y;y=0;if(aa&1){d=pb()|0;$9(V);break}$9(V);r=Z;return}}while(0);if((T|0)==69){d=pb()|0;$9(V)}aa=d;$9(a);sb(aa|0)}y=0;ma(4,aa|0,b|0,0,O|0,b|0);U=y;y=0;if(U&1){aa=pb()|0;$9(a);sb(aa|0)}y=0;ma(4,$|0,b|0,O|0,2,b|0);U=y;y=0;if(U&1)d=pb()|0;else{s=aa+11|0;g=i[s>>0]|0;u=aa+4|0;v=c+56|0;w=c+52|0;e=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;M=c+40|0;d=k[(k[M>>2]|0)+(((e>>>0)/341|0)<<2)>>2]|0;e=(e>>>0)%341|0;f=i[d+(e*12|0)+11>>0]|0;if(f<<24>>24<0)d=k[d+(e*12|0)+4>>2]|0;else d=f&255;U=c+8|0;Q=U+11|0;h:do if((g<<24>>24<0?k[u>>2]|0:g&255)>>>0>d>>>0){N=c+12|0;T=110}else{d=i[Q>>0]|0;f=c+12|0;e=k[f>>2]|0;do if(((d<<24>>24<0?e:d&255)|0)==2){y=0;d=sa(21,U|0,0,-1,45693,2)|0;T=y;y=0;if(T&1){T=tb(0)|0;dla(T)}if(!d){d=k[c>>2]|0;T=90;break}else{d=i[Q>>0]|0;e=k[f>>2]|0;T=85;break}}else T=85;while(0);do if((T|0)==85){if(((d<<24>>24<0?e:d&255)|0)==2){y=0;d=sa(21,U|0,0,-1,45696,2)|0;N=y;y=0;if(N&1){N=tb(0)|0;dla(N)}if(!d){d=k[c>>2]|0;if(d&128|0){T=90;break}}}N=i[Q>>0]|0;if(((N<<24>>24<0?k[f>>2]|0:N&255)|0)==2){y=0;d=sa(21,U|0,0,-1,45696,2)|0;N=y;y=0;if(N&1){N=tb(0)|0;dla(N)}if(!d)if(!(k[c>>2]&128))break}if(i[c+6>>0]|0)if(!(i[c+5>>0]|0)){d=k[c+4>>2]|0;if((d&255)<<24>>24){y=0;Ha(970,a|0,45699)|0;N=y;y=0;if(N&1){T=96;break h}else break}if(d>>>0<16777216){y=0;Ha(970,a|0,45703)|0;N=y;y=0;if(N&1){T=96;break h}}}}while(0);if((T|0)==90)if(!(d&64)){y=0;Ha(970,a|0,45689)|0;T=y;y=0;if(T&1){T=96;break}}y=0;Ha(1006,U|0,82159)|0;T=y;y=0;if(T&1)T=96;else{N=f;T=110}}while(0);i:do if((T|0)==110){t=c+44|0;j=V+11|0;m=V+4|0;j:while(1){g=i[s>>0]|0;e=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((e>>>0)/341|0)<<2)>>2]|0;e=(e>>>0)%341|0;h=d+(e*12|0)|0;f=i[h+11>>0]|0;if(f<<24>>24<0)d=k[d+(e*12|0)+4>>2]|0;else d=f&255;if((g<<24>>24<0?k[u>>2]|0:g&255)>>>0>=d>>>0){T=139;break}$9(h);p=k[v>>2]|0;k[v>>2]=p+-1;d=k[t>>2]|0;q=d-(k[M>>2]|0)>>2;if((1-p-(k[w>>2]|0)+((q|0)==0?0:(q*341|0)+-1|0)|0)>>>0>681){zqa(k[d+-4>>2]|0);k[t>>2]=(k[t>>2]|0)+-4}q=i[Q>>0]|0;if(!((q<<24>>24<0?k[N>>2]|0:q&255)|0)){y=0;d=sa(21,U|0,0,-1,82159,0)|0;q=y;y=0;if(q&1){T=119;break}if(!d){d=k[c>>2]&-249;do if(!d){k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;y=0;Na(75,V|0,45705,2);q=y;y=0;if(q&1){T=133;break j}}else{if((d|0)<2){k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;y=0;Na(75,V|0,45705,2);q=y;y=0;if(q&1){T=133;break j}else break}q=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((q>>>0)/341|0)<<2)>>2]|0;q=(q>>>0)%341|0;q=d+(q*12|0)|0;d=q|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;e=d+11|0;f=i[e>>0]|0;f=f<<24>>24<0?k[q+4>>2]|0:f&255;y=0;Ra(10,L|0,47537,1,f+1|0);q=y;y=0;if(q&1){T=127;break j}y=0;ta(47,L|0,((i[e>>0]|0)<0?k[d>>2]|0:d)|0,f|0)|0;q=y;y=0;if(q&1){T=127;break j}y=0;d=Ha(970,L|0,45708)|0;q=y;y=0;if(q&1){T=130;break j}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;$9(L)}while(0);q=i[j>>0]|0;p=q<<24>>24<0;y=0;ta(47,a|0,(p?k[V>>2]|0:V)|0,(p?k[m>>2]|0:q&255)|0)|0;q=y;y=0;if(q&1){T=135;break}$9(V)}else T=137}else T=137;if((T|0)==137){T=0;y=0;Ha(970,a|0,45689)|0;q=y;y=0;if(q&1){T=95;break}}y=0;Ha(1006,U|0,82159)|0;q=y;y=0;if(q&1){T=95;break}}if((T|0)==95){d=pb()|0;T=97;break}else if((T|0)==119){_=tb(0)|0;dla(_)}else if((T|0)==127){d=pb()|0;$9(L);T=134}else if((T|0)==130){d=pb()|0;$9(L);T=134}else if((T|0)==133){d=pb()|0;T=134}else if((T|0)==135){x=pb()|0;$9(V)}else if((T|0)==139){p=c+4|0;i[p>>0]=0;y=0;ma(4,V|0,b|0,O|0,1,b|0);C=y;y=0;if(C&1){d=pb()|0;break}C=i[V+11>>0]|0;if(((C<<24>>24<0?k[V+4>>2]|0:C&255)|0)==1){y=0;d=sa(21,V|0,0,-1,45710,1)|0;C=y;y=0;if(C&1){C=tb(0)|0;dla(C)}$9(V);if(!d){i[p>>0]=1;i[((i[R>>0]|0)<0?k[b>>2]|0:b)+O>>0]=32}}else $9(V);y=0;ma(4,V|0,b|0,O|0,1,b|0);C=y;y=0;k:do if(C&1)d=pb()|0;else{C=i[V+11>>0]|0;l:do if(((C<<24>>24<0?k[V+4>>2]|0:C&255)|0)==1){y=0;d=sa(21,V|0,0,-1,47425,1)|0;C=y;y=0;if(C&1){C=tb(0)|0;dla(C)}if(d|0){T=157;break}y=0;ma(4,P|0,b|0,O|0,2,b|0);C=y;y=0;if(C&1){d=pb()|0;$9(V);break k}C=i[P+11>>0]|0;do if(((C<<24>>24<0?k[P+4>>2]|0:C&255)|0)==2){y=0;d=sa(21,P|0,0,-1,45712,2)|0;C=y;y=0;if(C&1){H=tb(0)|0;dla(H)}else{$9(P);$9(V);if(!d){T=524;break l}else break}}else{$9(P);$9(V)}while(0);i[p>>0]=1;f=i[R>>0]|0;e=f<<24>>24<0;j=e?k[b>>2]|0:b;f=e?k[S>>2]|0:f&255;e=i[76291]|0;H=e<<24>>24<0;h=H?k[19070]|0:76280;e=H?k[19071]|0:e&255;m:do if(!(f>>>0<=O>>>0|(e|0)==0)){d=j+O|0;m=j+f|0;g=h+e|0;n:do if((f|0)!=(O|0))while(1){f=i[d>>0]|0;e=h;do{if(f<<24>>24==(i[e>>0]|0))break n;e=e+1|0}while((e|0)!=(g|0));d=d+1|0;if((d|0)==(m|0))break m}while(0);o=d-j|0;if((d|0)==(m|0)|(o|0)==-1)break;n=o-O|0;y=0;ma(4,K|0,b|0,O|0,n|0,b|0);H=y;y=0;if(H&1){d=pb()|0;break i}d=i[R>>0]|0;g=d<<24>>24<0;h=g?k[b>>2]|0:b;d=g?k[S>>2]|0:d&255;g=i[76291]|0;H=g<<24>>24<0;f=H?k[19070]|0:76280;g=H?k[19071]|0:g&255;o:do if(d>>>0>o>>>0){e=h+d|0;d=h+o|0;p:do if(g)while(1){if(!(Ty(f,l[d>>0]|0,g)|0))break p;d=d+1|0;if((d|0)==(e|0))break o}while(0);d=d-h|0;if((d|0)==-1)break;y=0;d=Ha(1025,b|0,d|0)|0;H=y;y=0;q:do if(H&1)T=482;else{if((i[d>>0]|0)==58)break o;j=K+11|0;e=i[j>>0]|0;f=e<<24>>24<0;m=K+4|0;d=k[m>>2]|0;g=f?d:e&255;do if(g|0){h=f?k[K>>2]|0:K;r:do if((g|0)!=1){g=h+g|0;f=h+1|0;while(1){if(!(Ty(45715,l[f>>0]|0,53)|0))break;f=f+1|0;if((f|0)==(g|0))break r}f=f-h|0;if((f|0)==-1)break;y=0;ta(53,K|0,f|0,-1)|0;H=y;y=0;if(H&1){T=482;break q}e=i[j>>0]|0;d=k[m>>2]|0}while(0);f=e<<24>>24<0?d:e&255;do if(f){while(1){f=f+-1|0;y=0;d=Ha(1025,K|0,f|0)|0;T=y;y=0;if(T&1){T=481;break}d=mja(i[d>>0]|0)|0;y=0;e=Ha(1025,K|0,f|0)|0;T=y;y=0;if(T&1){T=481;break}i[e>>0]=d;if(!f){T=186;break}}if((T|0)==186){e=i[j>>0]|0;d=k[m>>2]|0;break}else if((T|0)==481){d=pb()|0;T=483;break q}}while(0);if(((e<<24>>24<0?d:e&255)|0)==5){y=0;d=sa(21,K|0,0,-1,45769,5)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,45775,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==7){y=0;d=sa(21,K|0,0,-1,45784,7)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==5){y=0;d=sa(21,K|0,0,-1,45792,5)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==12){y=0;d=sa(21,K|0,0,-1,45798,12)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,45811,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,45818,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,45825,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==7){y=0;d=sa(21,K|0,0,-1,45832,7)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==5){y=0;d=sa(21,K|0,0,-1,45840,5)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==10){y=0;d=sa(21,K|0,0,-1,45846,10)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==18){y=0;d=sa(21,K|0,0,-1,45857,18)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==12){y=0;d=sa(21,K|0,0,-1,45876,12)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==17){y=0;d=sa(21,K|0,0,-1,45889,17)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==11){y=0;d=sa(21,K|0,0,-1,45907,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==14){y=0;d=sa(21,K|0,0,-1,45919,14)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==13){y=0;d=sa(21,K|0,0,-1,45934,13)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==11){y=0;d=sa(21,K|0,0,-1,45948,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==13){y=0;d=sa(21,K|0,0,-1,45960,13)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,45974,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==4){y=0;d=sa(21,K|0,0,-1,45981,4)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,45986,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,45995,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,46002,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==9){y=0;d=sa(21,K|0,0,-1,46011,9)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==13){y=0;d=sa(21,K|0,0,-1,46021,13)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==9){y=0;d=sa(21,K|0,0,-1,46035,9)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==9){y=0;d=sa(21,K|0,0,-1,46045,9)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==10){y=0;d=sa(21,K|0,0,-1,46055,10)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==11){y=0;d=sa(21,K|0,0,-1,46066,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==4){y=0;d=sa(21,K|0,0,-1,46078,4)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,46083,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==9){y=0;d=sa(21,K|0,0,-1,46092,9)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,46102,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==14){y=0;d=sa(21,K|0,0,-1,46111,14)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==15){y=0;d=sa(21,K|0,0,-1,46126,15)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==9){y=0;d=sa(21,K|0,0,-1,46142,9)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==11){y=0;d=sa(21,K|0,0,-1,46152,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,46164,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==19){y=0;d=sa(21,K|0,0,-1,46171,19)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==18){y=0;d=sa(21,K|0,0,-1,46191,18)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==20){y=0;d=sa(21,K|0,0,-1,46210,20)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,46231,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==5){y=0;d=sa(21,K|0,0,-1,46240,5)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==7){y=0;d=sa(21,K|0,0,-1,46246,7)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==18){y=0;d=sa(21,K|0,0,-1,46254,18)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==11){y=0;d=sa(21,K|0,0,-1,46273,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,46285,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==10){y=0;d=sa(21,K|0,0,-1,46292,10)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==15){y=0;d=sa(21,K|0,0,-1,46303,15)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==11){y=0;d=sa(21,K|0,0,-1,46319,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==16){y=0;d=sa(21,K|0,0,-1,46331,16)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,46348,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)!=11)break;y=0;d=sa(21,K|0,0,-1,46357,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}else if(!d)break o;else break}while(0);y=0;ma(4,_|0,b|0,O+1|0,n+-1|0,b|0);H=y;y=0;if(H&1)d=pb()|0;else{d=i[s>>0]|0;H=d<<24>>24<0;y=0;d=Ma(12,_|0,0,(H?k[aa>>2]|0:aa)|0,(H?k[u>>2]|0:d&255)|0)|0;H=y;y=0;if(H&1)d=pb()|0;else{k[L>>2]=k[d>>2];k[L+4>>2]=k[d+4>>2];k[L+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;d=Ha(970,L|0,47425)|0;H=y;y=0;if(H&1)d=pb()|0;else{k[P>>2]=k[d>>2];k[P+4>>2]=k[d+4>>2];k[P+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;ma(4,Y|0,b|0,o|0,-1,b|0);H=y;y=0;do if(H&1)d=pb()|0;else{d=i[Y+11>>0]|0;H=d<<24>>24<0;y=0;d=ta(47,P|0,(H?k[Y>>2]|0:Y)|0,(H?k[Y+4>>2]|0:d&255)|0)|0;H=y;y=0;if(H&1){d=pb()|0;$9(Y);break}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[S>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(506,b|0,0);H=y;y=0;if(H&1){H=tb(0)|0;dla(H)}k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;$9(V);$9(Y);$9(P);$9(L);$9(_);h=i[R>>0]|0;H=h<<24>>24<0;e=H?k[b>>2]|0:b;h=H?k[S>>2]|0:h&255;if(h>>>0<=O>>>0)break o;j=e+h|0;d=e+O|0;while(1){g=i[d>>0]|0;if(!(Ty(47425,g&255,1)|0))break;d=d+1|0;if((d|0)==(j|0))break o}f=d-e|0;if((f|0)==-1)break o;if(h>>>0>f>>>0){s:do if(g<<24>>24!=58)do{d=d+1|0;if((d|0)==(j|0)){d=j;break s}}while((i[d>>0]|0)!=58);while(0);d=(d|0)==(j|0)?-1:d-e|0}else d=-1;i[p>>0]=(d|0)==-1&1;break o}while(0);$9(P)}$9(L)}$9(_)}}while(0);if((T|0)==482){d=pb()|0;T=483}$9(K);break i}while(0);$9(K)}while(0);y=0;ma(4,V|0,b|0,O|0,1,b|0);K=y;y=0;if(K&1){d=pb()|0;break i}K=i[V+11>>0]|0;do if(((K<<24>>24<0?k[V+4>>2]|0:K&255)|0)==1){y=0;d=sa(21,V|0,0,-1,47425,1)|0;K=y;y=0;if(K&1){K=tb(0)|0;dla(K)}if(d|0)break;K=(i[p>>0]|0)==0;$9(V);if(K)break l;f=i[R>>0]|0;e=f<<24>>24<0;j=e?k[b>>2]|0:b;f=e?k[S>>2]|0:f&255;e=i[76291]|0;K=e<<24>>24<0;h=K?k[19070]|0:76280;e=K?k[19071]|0:e&255;if(f>>>0<=O>>>0|(e|0)==0)d=-1;else{d=j+O|0;m=j+f|0;g=h+e|0;t:do if((f|0)!=(O|0))while(1){f=i[d>>0]|0;e=h;do{if(f<<24>>24==(i[e>>0]|0))break t;e=e+1|0}while((e|0)!=(g|0));d=d+1|0;if((d|0)==(m|0)){d=m;break}}while(0);d=(d|0)==(m|0)?-1:d-j|0}y=0;ma(4,L|0,b|0,O+1|0,d|0,b|0);K=y;y=0;if(K&1)d=pb()|0;else{d=i[s>>0]|0;K=d<<24>>24<0;y=0;d=Ma(12,L|0,0,(K?k[aa>>2]|0:aa)|0,(K?k[u>>2]|0:d&255)|0)|0;K=y;y=0;do if(K&1)J=pb()|0;else{k[P>>2]=k[d>>2];k[P+4>>2]=k[d+4>>2];k[P+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;d=Ha(970,P|0,47425)|0;K=y;y=0;if(K&1){J=pb()|0;$9(P);break}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[S>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(506,b|0,0);K=y;y=0;if(K&1){_=tb(0)|0;dla(_)}else{k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;$9(V);$9(P);$9(L);break l}}while(0);$9(L);d=J}break i}while(0);$9(V)}else T=157;while(0);if((T|0)==157){$9(V);T=524}u:do if((T|0)==524){y=0;ma(4,V|0,b|0,O|0,5,b|0);J=y;y=0;v:do if(J&1)d=pb()|0;else{J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==5){y=0;d=sa(21,V|0,0,-1,46369,5)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}if(d|0){T=530;break}$9(V)}else T=530;while(0);w:do if((T|0)==530){y=0;ma(4,P|0,b|0,O|0,6,b|0);J=y;y=0;if(J&1)d=pb()|0;else{J=i[P+11>>0]|0;do if(((J<<24>>24<0?k[P+4>>2]|0:J&255)|0)==6){y=0;d=sa(21,P|0,0,-1,46375,6)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}if(d|0)break;$9(P);$9(V);break w}while(0);y=0;ma(4,L|0,b|0,O|0,6,b|0);J=y;y=0;if(J&1)d=pb()|0;else{J=i[L+11>>0]|0;do if(((J<<24>>24<0?k[L+4>>2]|0:J&255)|0)==6){y=0;d=sa(21,L|0,0,-1,46382,6)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}if(d|0)break;$9(L);$9(P);$9(V);break w}while(0);y=0;ma(4,K|0,b|0,O|0,8,b|0);J=y;y=0;do if(J&1)d=pb()|0;else{J=i[K+11>>0]|0;do if(((J<<24>>24<0?k[K+4>>2]|0:J&255)|0)==8){y=0;d=sa(21,K|0,0,-1,46389,8)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}if(d|0)break;$9(K);$9(L);$9(P);$9(V);break w}while(0);y=0;ma(4,_|0,b|0,O|0,10,b|0);J=y;y=0;if(J&1){d=pb()|0;$9(K);break}J=i[_+11>>0]|0;do if(((J<<24>>24<0?k[_+4>>2]|0:J&255)|0)==10){y=0;d=sa(21,_|0,0,-1,46398,10)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}else{$9(_);$9(K);$9(L);$9(P);$9(V);if(!d)break w;else break}}else{$9(_);$9(K);$9(L);$9(P);$9(V)}while(0);y=0;ma(4,V|0,b|0,O|0,1,b|0);J=y;y=0;if(J&1){d=pb()|0;break i}J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==1){y=0;d=sa(21,V|0,0,-1,46409,1)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}$9(V);if(d|0)break;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;K=i[s>>0]|0;J=K<<24>>24<0;K=J?k[u>>2]|0:K&255;y=0;Ra(10,P|0,(J?k[aa>>2]|0:aa)|0,K|0,K+7|0);K=y;y=0;do if(K&1)T=591;else{y=0;ta(47,P|0,46411,7)|0;K=y;y=0;if(K&1){T=591;break}y=0;ma(4,L|0,b|0,O+1|0,-1,b|0);K=y;y=0;do if(K&1)E=pb()|0;else{d=i[L+11>>0]|0;K=d<<24>>24<0;y=0;d=ta(47,P|0,(K?k[L>>2]|0:L)|0,(K?k[L+4>>2]|0:d&255)|0)|0;K=y;y=0;if(K&1){E=pb()|0;$9(L);break}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[S>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(506,b|0,0);K=y;y=0;if(K&1){_=tb(0)|0;dla(_)}else{k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;$9(V);$9(L);$9(P);break u}}while(0);$9(P);d=E}while(0);if((T|0)==591){d=pb()|0;$9(P)}break i}else $9(V);while(0);y=0;ma(4,V|0,b|0,O|0,1,b|0);J=y;y=0;if(J&1){d=pb()|0;break i}J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==1){y=0;d=sa(21,V|0,0,-1,46419,1)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}$9(V);if(d|0)break;d=O+1|0;switch(i[((i[R>>0]|0)<0?k[b>>2]|0:b)+d>>0]|0){case 9:case 32:case 0:break u;default:{}}k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;K=i[s>>0]|0;J=K<<24>>24<0;K=J?k[u>>2]|0:K&255;y=0;Ra(10,P|0,(J?k[aa>>2]|0:aa)|0,K|0,K+9|0);K=y;y=0;do if(K&1)T=614;else{y=0;ta(47,P|0,46421,9)|0;K=y;y=0;if(K&1){T=614;break}y=0;ma(4,L|0,b|0,d|0,-1,b|0);K=y;y=0;do if(K&1)F=pb()|0;else{d=i[L+11>>0]|0;K=d<<24>>24<0;y=0;d=ta(47,P|0,(K?k[L>>2]|0:L)|0,(K?k[L+4>>2]|0:d&255)|0)|0;K=y;y=0;if(K&1){F=pb()|0;$9(L);break}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[S>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(506,b|0,0);K=y;y=0;if(K&1){_=tb(0)|0;dla(_)}else{k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;$9(V);$9(L);$9(P);break u}}while(0);$9(P);d=F}while(0);if((T|0)==614){d=pb()|0;$9(P)}break i}else $9(V);while(0);y=0;ma(4,V|0,b|0,O|0,7,b|0);J=y;y=0;if(J&1){d=pb()|0;break i}J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==7){y=0;d=sa(21,V|0,0,-1,46431,7)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}$9(V);if(d|0)break;e=O+7|0;j=i[R>>0]|0;o=j<<24>>24<0;p=o?k[b>>2]|0:b;j=o?k[S>>2]|0:j&255;o=i[76291]|0;m=o<<24>>24<0;n=m?k[19070]|0:76280;o=m?k[19071]|0:o&255;m=(o|0)==0;if(j>>>0<=e>>>0|m)d=-1;else{d=p+e|0;h=p+j|0;g=n+o|0;x:do if((j|0)!=(e|0))while(1){f=i[d>>0]|0;e=n;do{if(f<<24>>24==(i[e>>0]|0))break x;e=e+1|0}while((e|0)!=(g|0));d=d+1|0;if((d|0)==(h|0)){d=h;break}}while(0);d=(d|0)==(h|0)?-1:d-p|0}y:do if(j>>>0>d>>>0){e=p+j|0;d=p+d|0;z:do if(!m)while(1){if(!(Ty(n,l[d>>0]|0,o)|0))break z;d=d+1|0;if((d|0)==(e|0)){j=-1;break y}}while(0);j=d-p|0}else j=-1;while(0);y=0;ma(4,V|0,b|0,j|0,4,b|0);J=y;y=0;if(J&1){d=pb()|0;break i}J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==4){y=0;d=sa(21,V|0,0,-1,46439,4)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}else{$9(V);if(!d)break u;else break}}else $9(V);while(0);y=0;ma(4,V|0,b|0,j|0,1,b|0);J=y;y=0;do if(J&1)d=pb()|0;else{J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==1){y=0;d=sa(21,V|0,0,-1,47054,1)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}if(d|0)break;$9(V);break u}while(0);y=0;ma(4,P|0,b|0,j|0,1,b|0);J=y;y=0;if(J&1){d=pb()|0;$9(V);break}J=i[P+11>>0]|0;do if(((J<<24>>24<0?k[P+4>>2]|0:J&255)|0)==1){y=0;d=sa(21,P|0,0,-1,47079,1)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}else{$9(P);$9(V);if(!d)break u;else break}}else{$9(P);$9(V)}while(0);e=i[R>>0]|0;g=e<<24>>24<0;h=g?k[b>>2]|0:b;e=g?k[S>>2]|0:e&255;g=i[76291]|0;d=g<<24>>24<0;f=d?k[19070]|0:76280;g=d?k[19071]|0:g&255;d=h+e|0;if(!g){if(!e)break u;d=d+-1|0}else do{if((d|0)==(h|0))break u;d=d+-1|0}while((Ty(f,l[d>>0]|0,g)|0)!=0);d=d-h|0;if((d|0)==-1)break u;y=0;ma(4,K|0,b|0,0,j|0,b|0);J=y;y=0;if(J&1)d=pb()|0;else{y=0;e=Ha(970,K|0,47054)|0;J=y;y=0;if(J&1)d=pb()|0;else{k[L>>2]=k[e>>2];k[L+4>>2]=k[e+4>>2];k[L+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;ma(4,_|0,b|0,j|0,1-j+d|0,b|0);J=y;y=0;if(J&1)d=pb()|0;else{d=i[_+11>>0]|0;J=d<<24>>24<0;y=0;d=ta(47,L|0,(J?k[_>>2]|0:_)|0,(J?k[_+4>>2]|0:d&255)|0)|0;J=y;y=0;do if(J&1)H=pb()|0;else{k[P>>2]=k[d>>2];k[P+4>>2]=k[d+4>>2];k[P+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;d=Ha(970,P|0,47054)|0;J=y;y=0;if(J&1){H=pb()|0;$9(P);break}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[S>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(506,b|0,0);J=y;y=0;if(J&1){Z=tb(0)|0;dla(Z)}else{k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;$9(V);$9(P);$9(_);$9(L);$9(K);break u}}while(0);$9(_);d=H}$9(L)}$9(K)}break i}while(0);break i}else $9(V);while(0);y=0;ma(4,V|0,b|0,O|0,7,b|0);J=y;y=0;if(J&1)d=pb()|0;else{J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==7){y=0;d=sa(21,V|0,0,-1,46444,7)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}if(d|0)break;$9(V);break u}while(0);y=0;ma(4,P|0,b|0,O|0,7,b|0);J=y;y=0;if(J&1)d=pb()|0;else{J=i[P+11>>0]|0;do if(((J<<24>>24<0?k[P+4>>2]|0:J&255)|0)==7){y=0;d=sa(21,P|0,0,-1,46452,7)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}if(d|0)break;$9(P);$9(V);break u}while(0);y=0;ma(4,L|0,b|0,O|0,8,b|0);J=y;y=0;do if(J&1)d=pb()|0;else{J=i[L+11>>0]|0;do if(((J<<24>>24<0?k[L+4>>2]|0:J&255)|0)==8){y=0;d=sa(21,L|0,0,-1,46460,8)|0;J=y;y=0;if(J&1){J=tb(0)|0;dla(J)}if(d|0)break;$9(L);$9(P);$9(V);break u}while(0);y=0;ma(4,K|0,b|0,O|0,8,b|0);J=y;y=0;if(J&1){d=pb()|0;$9(L);break}J=i[K+11>>0]|0;do if(((J<<24>>24<0?k[K+4>>2]|0:J&255)|0)==8){y=0;d=sa(21,K|0,0,-1,46469,8)|0;J=y;y=0;if(J&1){L=tb(0)|0;dla(L)}else{$9(K);$9(L);$9(P);$9(V);if(!d)break u;else break}}else{$9(K);$9(L);$9(P);$9(V)}while(0);i[p>>0]=1;d=i[R>>0]|0;L=d<<24>>24<0;g=L?k[b>>2]|0:b;d=L?k[S>>2]|0:d&255;if(d>>>0<=O>>>0)break u;f=g+d|0;d=g+O|0;while(1){if((i[d>>0]|0)==58)break;d=d+1|0;if((d|0)==(f|0))break u}e=d-g|0;if((d|0)==(f|0)|(e|0)==-1)break u;e=g+(e+1)|0;d=i[e>>0]|0;if(d<<24>>24==32){i[p>>0]=0;d=i[e>>0]|0}if(d<<24>>24!=9)break u;i[p>>0]=0;break u}while(0);$9(P)}$9(V)}break i}while(0);$9(L)}$9(P)}$9(V);break v}while(0);y=0;ma(4,P|0,b|0,O|0,-1,b|0);L=y;y=0;do if(L&1)D=pb()|0;else{d=i[s>>0]|0;L=d<<24>>24<0;y=0;d=Ma(12,P|0,0,(L?k[aa>>2]|0:aa)|0,(L?k[u>>2]|0:d&255)|0)|0;L=y;y=0;if(L&1){D=pb()|0;$9(P);break}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[S>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(506,b|0,0);L=y;y=0;if(L&1){_=tb(0)|0;dla(_)}else{k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;$9(V);$9(P);break u}}while(0);d=D;break i}while(0);break i}while(0);g=i[s>>0]|0;e=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((e>>>0)/341|0)<<2)>>2]|0;e=(e>>>0)%341|0;f=i[d+(e*12|0)+11>>0]|0;if(f<<24>>24<0)d=k[d+(e*12|0)+4>>2]|0;else d=f&255;A:do if((g<<24>>24<0?k[u>>2]|0:g&255)>>>0>=d>>>0){L=i[Q>>0]|0;if((L<<24>>24<0?k[N>>2]|0:L&255)|0)break;y=0;d=sa(21,U|0,0,-1,82159,0)|0;L=y;y=0;if(L&1){L=tb(0)|0;dla(L)}if(d|0)break;e=i[R>>0]|0;d=e<<24>>24<0;e=d?k[S>>2]|0:e&255;if(!e)break;p=P+11|0;q=P+4|0;f=0;o=d?k[b>>2]|0:b;while(1){e=o+e|0;d=o+f|0;while(1){if(!(Ty(46941,l[d>>0]|0,6)|0))break;d=d+1|0;if((d|0)==(e|0))break A}f=d-o|0;if((f|0)==-1)break A;y=0;ma(4,P|0,b|0,f|0,2,b|0);L=y;y=0;if(L&1){T=94;break}L=i[p>>0]|0;if(((L<<24>>24<0?k[q>>2]|0:L&255)|0)!=2){T=742;break}y=0;d=sa(21,P|0,0,-1,45693,2)|0;L=y;y=0;if(L&1){T=744;break}$9(P);if(d|0)break;e=i[R>>0]|0;L=e<<24>>24<0;o=L?k[b>>2]|0:b;e=L?k[S>>2]|0:e&255;if(e>>>0<f>>>0|(e-f|0)>>>0<2)break A;f=o+f|0;n=o+e|0;d=f;j=n;B:do if((j-d|0)<2)d=j;else{m=n+-1|0;if((m|0)==(f|0)){d=j;break}while(1){while(1){if((i[f>>0]|0)==42){g=46478;h=f;break}f=f+1|0;if((f|0)==(m|0)){d=j;break B}else d=f}do{g=g+1|0;if((g|0)==46480)break B;h=h+1|0}while((i[h>>0]|0)==(i[g>>0]|0));f=f+1|0;if((f|0)==(m|0)){d=j;break}else d=f}}while(0);L=d-o|0;f=L+2|0;if(!((L|0)!=-1&(d|0)!=(n|0)&e>>>0>f>>>0))break A}if((T|0)==94){d=pb()|0;T=97;break i}else if((T|0)==742)$9(P);else if((T|0)==744){T=tb(0)|0;dla(T)}i[c+6>>0]=1}while(0);g=i[s>>0]|0;e=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((e>>>0)/341|0)<<2)>>2]|0;e=(e>>>0)%341|0;f=i[d+(e*12|0)+11>>0]|0;if(f<<24>>24<0)d=k[d+(e*12|0)+4>>2]|0;else d=f&255;C:do if((g<<24>>24<0?k[u>>2]|0:g&255)>>>0>d>>>0){e=i[Q>>0]|0;d=k[N>>2]|0;do if(!((e<<24>>24<0?d:e&255)|0)){y=0;d=sa(21,U|0,0,-1,82159,0)|0;T=y;y=0;if(T&1){T=tb(0)|0;dla(T)}if(d|0){e=i[Q>>0]|0;d=k[N>>2]|0;break}if(!(i[c+6>>0]|0))break C;d=k[c>>2]&-249;D:do if(!d){k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;y=0;Na(75,P|0,46481,3);T=y;y=0;if(T&1)T=785;else T=777}else{if((d|0)<3){k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;y=0;Na(75,P|0,46485,2);T=y;y=0;if(T&1){T=785;break}else{T=777;break}}T=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((T>>>0)/341|0)<<2)>>2]|0;T=(T>>>0)%341|0;T=d+(T*12|0)|0;d=T|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;e=d+11|0;f=i[e>>0]|0;f=f<<24>>24<0?k[T+4>>2]|0:f&255;y=0;Ra(10,V|0,47537,1,f+1|0);T=y;y=0;do if(!(T&1)){y=0;ta(47,V|0,((i[e>>0]|0)<0?k[d>>2]|0:d)|0,f|0)|0;T=y;y=0;if(T&1)break;y=0;d=Ha(970,V|0,46488)|0;T=y;y=0;if(T&1){d=pb()|0;$9(V);T=786;break D}else{k[P>>2]=k[d>>2];k[P+4>>2]=k[d+4>>2];k[P+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;$9(V);T=777;break D}}while(0);d=pb()|0;$9(V);T=786}while(0);do if((T|0)==777){L=i[P+11>>0]|0;K=L<<24>>24<0;y=0;ta(47,a|0,(K?k[P>>2]|0:P)|0,(K?k[P+4>>2]|0:L&255)|0)|0;L=y;y=0;if(L&1){d=pb()|0;$9(P);break}$9(P);k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;y=0;Na(75,V|0,82159,0);P=y;y=0;E:do if(P&1)d=pb()|0;else{f=k[t>>2]|0;e=k[M>>2]|0;P=f-e>>2;g=k[w>>2]|0;d=k[v>>2]|0;do if((((P|0)==0?0:(P*341|0)+-1|0)|0)==(d+g|0)){y=0;na(403,c+36|0);P=y;y=0;if(P&1){d=pb()|0;$9(V);break E}else{d=k[v>>2]|0;g=k[w>>2]|0;f=k[t>>2]|0;e=k[M>>2]|0;break}}while(0);d=d+g|0;if((f|0)==(e|0))d=0;else d=(k[e+(((d>>>0)/341|0)<<2)>>2]|0)+(((d>>>0)%341|0)*12|0)|0;k[d>>2]=k[V>>2];k[d+4>>2]=k[V+4>>2];k[d+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;k[v>>2]=(k[v>>2]|0)+1;$9(V);T=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;y=0;Ha(967,(k[(k[M>>2]|0)+(((T>>>0)/341|0)<<2)>>2]|0)+(((T>>>0)%341|0)*12|0)|0,aa|0)|0;T=y;y=0;if(T&1){T=96;break i}else break C}while(0);break i}else if((T|0)==785){d=pb()|0;T=786}while(0);break i}while(0);if(((e<<24>>24<0?d:e&255)|0)==2){y=0;d=sa(21,U|0,0,-1,45693,2)|0;T=y;y=0;if(T&1){T=tb(0)|0;dla(T)}if(!d)break;e=i[Q>>0]|0;d=k[N>>2]|0}do if(((e<<24>>24<0?d:e&255)|0)==2){y=0;d=sa(21,U|0,0,-1,45696,2)|0;T=y;y=0;if(T&1){T=tb(0)|0;dla(T)}if(d|0)break;if(k[c>>2]&128|0)break C}while(0);e=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((e>>>0)/341|0)<<2)>>2]|0;e=(e>>>0)%341|0;f=i[d+(e*12|0)+11>>0]|0;if(f<<24>>24<0)d=k[d+(e*12|0)+4>>2]|0;else d=f&255;y=0;d=Ha(1025,b|0,d|0)|0;T=y;y=0;if(T&1){T=96;break i}i[d>>0]=47;e=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((e>>>0)/341|0)<<2)>>2]|0;e=(e>>>0)%341|0;f=i[d+(e*12|0)+11>>0]|0;if(f<<24>>24<0)d=k[d+(e*12|0)+4>>2]|0;else d=f&255;y=0;d=Ha(1025,b|0,d+1|0)|0;T=y;y=0;if(T&1){T=96;break i}i[d>>0]=47}while(0);f=$+11|0;d=i[f>>0]|0;g=$+4|0;e=k[g>>2]|0;do if(((d<<24>>24<0?e:d&255)|0)==2){y=0;d=sa(21,$|0,0,-1,45693,2)|0;T=y;y=0;if(T&1){T=tb(0)|0;dla(T)}if(!d){T=820;break}d=i[f>>0]|0;e=k[g>>2]|0;T=816}else T=816;while(0);do if((T|0)==816){if(((d<<24>>24<0?e:d&255)|0)!=2)break;y=0;d=sa(21,$|0,0,-1,45696,2)|0;P=y;y=0;if(P&1){P=tb(0)|0;dla(P)}else if(!d){T=820;break}else break}while(0);if((T|0)==820){i[c+6>>0]=0;d=i[Q>>0]|0;e=k[N>>2]|0;do if(((d<<24>>24<0?e:d&255)|0)==2){y=0;d=sa(21,U|0,0,-1,45693,2)|0;T=y;y=0;if(T&1){T=tb(0)|0;dla(T)}if(!d){T=830;break}d=i[Q>>0]|0;e=k[N>>2]|0;T=825}else T=825;while(0);do if((T|0)==825){if(((d<<24>>24<0?e:d&255)|0)!=2)break;y=0;d=sa(21,U|0,0,-1,45696,2)|0;P=y;y=0;if(P&1){P=tb(0)|0;dla(P)}if(d|0)break;if(k[c>>2]&128|0)T=830}while(0);F:do if((T|0)==830){P=i[f>>0]|0;do if(!((P<<24>>24<0?k[g>>2]|0:P&255)|0)){y=0;d=sa(21,$|0,0,-1,82159,0)|0;P=y;y=0;if(P&1){P=tb(0)|0;dla(P)}else if(!d)break F;else break}while(0);if(k[c>>2]&192|0)break;y=0;Ha(970,a|0,45689)|0;P=y;y=0;if(P&1){T=96;break i}}while(0);do if(k[c>>2]&128|0){P=i[Q>>0]|0;if((P<<24>>24<0?k[N>>2]|0:P&255)|0)break;y=0;d=sa(21,U|0,0,-1,82159,0)|0;P=y;y=0;if(P&1){P=tb(0)|0;dla(P)}if(d|0)break;y=0;d=Ha(1025,b|0,O+1|0)|0;P=y;y=0;if(P&1){T=96;break i}i[d>>0]=42}while(0);y=0;Ha(967,U|0,$|0)|0;P=y;y=0;if(P&1){T=96;break i}}P=i[Q>>0]|0;do if(!((P<<24>>24<0?k[N>>2]|0:P&255)|0)){y=0;d=sa(21,U|0,0,-1,82159,0)|0;P=y;y=0;if(P&1){V=tb(0)|0;dla(V)}else if(!d){T=849;break}else{T=848;break}}else T=848;while(0);if((T|0)==848)if(!(k[c>>2]&64))T=849;G:do if((T|0)==849){P=i[Q>>0]|0;do if(((P<<24>>24<0?k[N>>2]|0:P&255)|0)==2){y=0;d=sa(21,U|0,0,-1,45696,2)|0;P=y;y=0;if(P&1){P=tb(0)|0;dla(P)}if(d|0)break;if(!(k[c>>2]&160))break G}while(0);y=0;Na(142,V|0,b|0,c|0);P=y;y=0;do if(P&1)d=pb()|0;else{P=i[V+11>>0]|0;O=P<<24>>24<0;y=0;ta(47,a|0,(O?k[V>>2]|0:V)|0,(O?k[V+4>>2]|0:P&255)|0)|0;P=y;y=0;if(P&1){d=pb()|0;$9(V);break}else{$9(V);break G}}while(0);break i}while(0);e=i[R>>0]|0;g=e<<24>>24<0;h=g?k[b>>2]|0:b;e=g?k[S>>2]|0:e&255;g=i[76291]|0;d=g<<24>>24<0;f=d?k[19070]|0:76280;g=d?k[19071]|0:g&255;d=h+e|0;H:do if(!g){if(!e)break;d=d+-1|0;T=865}else while(1){if((d|0)==(h|0))break H;d=d+-1|0;if(!(Ty(f,l[d>>0]|0,g)|0)){T=865;break}}while(0);do if((T|0)==865){e=d-h|0;if((e|0)==-1)break;y=0;ma(4,_|0,b|0,e|0,1,b|0);V=y;y=0;if(V&1){d=pb()|0;break i}V=i[Q>>0]|0;do if(!((V<<24>>24<0?k[N>>2]|0:V&255)|0)){y=0;d=sa(21,U|0,0,-1,82159,0)|0;V=y;y=0;if(V&1){V=tb(0)|0;dla(V)}if(d|0){W=0;break}V=i[_+11>>0]|0;if(((V<<24>>24<0?k[_+4>>2]|0:V&255)|0)!=1){W=0;break}y=0;d=sa(21,_|0,0,-1,46818,1)|0;V=y;y=0;if(V&1){V=tb(0)|0;dla(V)}else{W=(d|0)==0&1;break}}else W=0;while(0);i[c+5>>0]=W;W=i[Q>>0]|0;do if(!((W<<24>>24<0?k[N>>2]|0:W&255)|0)){y=0;d=sa(21,U|0,0,-1,82159,0)|0;W=y;y=0;if(W&1){W=tb(0)|0;dla(W)}if(d|0){X=0;break}W=i[_+11>>0]|0;if(((W<<24>>24<0?k[_+4>>2]|0:W&255)|0)!=1){X=0;break}y=0;d=sa(21,_|0,0,-1,45703,1)|0;W=y;y=0;if(W&1){W=tb(0)|0;dla(W)}else{X=(d|0)==0&1;break}}else X=0;while(0);i[c+7>>0]=X;I:do if(e|0){y=0;ma(4,Y|0,b|0,e+-1|0,2,b|0);X=y;y=0;J:do if(X&1)d=pb()|0;else{X=i[Y+11>>0]|0;do if(((X<<24>>24<0?k[Y+4>>2]|0:X&255)|0)==2){y=0;d=sa(21,Y|0,0,-1,46478,2)|0;X=y;y=0;if(X&1){X=tb(0)|0;dla(X)}if(d|0)break;y=0;Ha(1006,U|0,82159)|0;X=y;y=0;if(!(X&1))break;d=pb()|0;$9(Y);break J}while(0);$9(Y);break I}while(0);$9(_);break i}while(0);$9(_)}while(0);$9($);$9(aa);r=Z;return}while(0);break}if((T|0)==134)x=d;d=x}while(0);if((T|0)==96){d=pb()|0;T=97}$9($)}$9(aa);aa=d;$9(a);sb(aa|0)}function Xc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Oa=0,Pa=0,Qa=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,qb=0,rb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0;$b=0;Xb=r;r=r+928|0;Nb=Xb+888|0;_a=Xb+884|0;bb=Xb+880|0;cb=Xb+876|0;ra=Xb+872|0;sa=Xb+868|0;ua=Xb+864|0;va=Xb+856|0;wa=Xb+848|0;xa=Xb+40|0;Aa=Xb+844|0;Ba=Xb;Cb=Xb+832|0;Hb=Xb+808|0;Pb=Xb+784|0;Ob=Xb+760|0;xb=Xb+756|0;wb=Xb+752|0;gb=Xb+748|0;Ca=Xb+744|0;vb=Xb+740|0;ub=Xb+736|0;Da=Xb+732|0;tb=Xb+728|0;rb=Xb+724|0;nb=Xb+720|0;Fa=Xb+680|0;ib=Xb+676|0;jb=Xb+672|0;db=Xb+668|0;Ga=Xb+664|0;lb=Xb+652|0;qb=Xb+648|0;ob=Xb+644|0;mb=Xb+632|0;Ia=Xb+608|0;Ja=Xb+592|0;Ka=Xb+568|0;Ib=Xb+544|0;Jb=Xb+520|0;Kb=Xb+496|0;Lb=Xb+472|0;Yb=Xb+448|0;Qb=Xb+424|0;Vb=Xb+416|0;Ub=Xb+404|0;Tb=Xb+400|0;Sb=Xb+396|0;Rb=Xb+384|0;La=Xb+380|0;Oa=Xb+376|0;Pa=Xb+368|0;Qa=Xb+364|0;Sa=Xb+344|0;Ta=Xb+340|0;Ua=Xb+332|0;Va=Xb+316|0;Wa=Xb+312|0;cc=Xb+288|0;bc=Xb+264|0;Xa=Xb+240|0;Ya=Xb+216|0;Gb=Xb+208|0;Za=Xb+372|0;$a=Xb+184|0;Fb=Xb+352|0;kb=Xb+180|0;hb=Xb+176|0;eb=Xb+336|0;ab=Xb+320|0;_b=Xb+152|0;Zb=Xb+128|0;Mb=Xb+104|0;Wb=Xb+80|0;bf(cc,b,c);y=0;na(387,bc|0);ac=y;y=0;if(ac&1){j=pb()|0;h=cc+20|0}else{m=cc+16|0;j=k[m>>2]|0;h=cc+20|0;n=k[h>>2]|0;o=(n|0)==0;if(!o)Sba(n);ac=k[j+4>>2]|0;l=k[j+16>>2]|0;q=ac+(((l>>>0)/170|0)<<2)|0;if((k[j+8>>2]|0)==(ac|0))p=0;else p=(k[q>>2]|0)+(((l>>>0)%170|0)*24|0)|0;if(!o)kZ(n);j=k[m>>2]|0;n=k[h>>2]|0;o=(n|0)==0;if(!o)Sba(n);l=(k[j+16>>2]|0)+(k[j+20>>2]|0)|0;m=k[j+4>>2]|0;if((k[j+8>>2]|0)==(m|0))fa=0;else fa=(k[m+(((l>>>0)/170|0)<<2)>>2]|0)+(((l>>>0)%170|0)*24|0)|0;if(!o)kZ(n);B=Fb+4|0;C=Fb+8|0;Bb=Fb+4|0;D=e+4|0;zb=Pb+4|0;E=Pb+8|0;yb=Ob+4|0;F=Ob+8|0;G=Nb+4|0;H=Nb+8|0;ca=Nb+4|0;I=$a+16|0;Db=$a+20|0;J=bc+16|0;ac=bc+20|0;Eb=$a+12|0;da=Nb+12|0;K=Nb+16|0;ba=Nb+20|0;Ab=Cb+4|0;L=mb+4|0;M=mb+8|0;fb=mb+4|0;O=Ja+4|0;P=Ja+8|0;Q=Ja+4|0;R=Ia+16|0;la=Ia+20|0;ia=Ka+12|0;S=Ka+16|0;ga=Ka+20|0;T=$a+16|0;pa=Ia+12|0;U=Q;V=fb;W=lb+4|0;X=lb+8|0;za=lb+4|0;ea=Nb+4|0;Y=Ob+8|0;Z=za;_=Bb;$=Xa+16|0;ka=Xa+20|0;aa=Ya+16|0;ha=Ya+20|0;ja=Ya+12|0;ma=Xa+12|0;A=q;j=p;a:while(1){do{if((j|0)==(fa|0)){$b=17;break a}if(!(k[j+4>>2]|0)){z=j+12|0;y=0;oa(464,Wa|0,z|0);x=y;y=0;if(x&1){$b=43;break a}x=k[Wa>>2]|0;k[Za>>2]=x;y=0;oa(464,Va|0,x+76|0);x=y;y=0;if(x&1){$b=332;break a}k[Gb>>2]=k[Va>>2];EO(Za);x=k[Gb>>2]|0;k[B>>2]=0;k[C>>2]=0;k[Fb>>2]=Bb;l=k[e>>2]|0;if((l|0)!=(D|0)){m=l;while(1){w=m+16|0;k[Ua>>2]=_;y=0;k[Nb>>2]=k[Ua>>2];Ma(17,Fb|0,Nb|0,w|0,w|0)|0;w=y;y=0;if(w&1){$b=333;break a}m=k[l+4>>2]|0;if(!m)while(1){m=k[l+8>>2]|0;if((k[m>>2]|0)==(l|0)){l=m;break}else l=m}else{l=m;while(1){m=k[l>>2]|0;if(!m)break;else l=m}}if((l|0)==(D|0))break;else m=l}}y=0;na(387,$a|0);w=y;y=0;if(w&1){$b=334;break a}y=0;oa(482,Nb|0,x|0);w=y;y=0;if(w&1){$b=73;break a}y=0;Na(131,Cb|0,d|0,Nb|0);w=y;y=0;if(w&1){$b=74;break a}EO(Nb);k[Pb>>2]=0;k[zb>>2]=0;k[E>>2]=0;y=0;Na(133,Cb|0,Hb|0,Pb|0);w=y;y=0;if(w&1){$b=76;break a}k[Ob>>2]=0;k[yb>>2]=0;k[F>>2]=0;l=k[Pb>>2]|0;t=k[zb>>2]|0;do if((l|0)!=(t|0)){u=x+12|0;v=x+92|0;w=x+96|0;do{y=0;oa(464,xb|0,l|0);s=y;y=0;if(s&1){$b=90;break a}y=0;q=qa(332,108)|0;s=y;y=0;if(s&1){$b=91;break a}m=Ba;n=u;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;na(366,q|0);s=y;y=0;if(s&1){$b=92;break a}m=q+12|0;n=Ba;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));i[q+52>>0]=0;i[q+53>>0]=0;i[q+54>>0]=0;k[q>>2]=11396;i[q+60>>0]=0;i[q+61>>0]=0;i[q+62>>0]=0;k[q+64>>2]=0;k[q+68>>2]=0;k[q+56>>2]=7;m=q+72|0;k[m>>2]=13580;p=q+76|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;y=0;oa(516,p|0,0);s=y;y=0;if(s&1){$b=81;break a}k[q>>2]=13364;k[m>>2]=13540;s=q+96|0;k[s>>2]=0;k[q+100>>2]=0;k[q+92>>2]=s;i[q+104>>0]=0;i[q+105>>0]=0;y=0;oa(482,wb|0,q|0);s=y;y=0;if(s&1){$b=91;break a}m=k[l+4>>2]|0;p=k[l+8>>2]|0;if((m|0)!=(p|0))do{y=0;oa(464,gb|0,m+4|0);s=y;y=0;if(s&1){$b=97;break a}n=k[gb>>2]|0;if((k[n+80>>2]|0)!=(k[n+76>>2]|0)){o=0;do{y=0;oa(464,Ca|0,(k[n+76>>2]|0)+(o<<2)|0);s=y;y=0;if(s&1){$b=98;break a}y=0;oa(514,k[wb>>2]|0,k[Ca>>2]|0);s=y;y=0;if(s&1){$b=102;break a}i[(k[gb>>2]|0)+104>>0]=1;EO(Ca);o=o+1|0;n=k[gb>>2]|0}while(o>>>0<(k[n+80>>2]|0)-(k[n+76>>2]|0)>>2>>>0)}EO(gb);m=m+8|0}while((m|0)!=(p|0));s=k[xb>>2]|0;y=0;m=ta(161,x|0,k[wb>>2]|0,c|0)|0;q=y;y=0;if(q&1){$b=120;break a}y=0;oa(482,vb|0,m|0);q=y;y=0;if(q&1){$b=120;break a}y=0;m=qa(333,s|0)|0;q=y;y=0;if(q&1){$b=121;break a}k[Da>>2]=m;y=0;oa(464,Aa|0,m+76|0);q=y;y=0;if(q&1){$b=122;break a}k[ub>>2]=k[Aa>>2];EO(Da);m=k[ub>>2]|0;if(!m){y=0;q=qa(332,108)|0;p=y;y=0;if(p&1){$b=124;break a}m=xa;n=u;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;na(366,q|0);p=y;y=0;if(p&1){$b=125;break a}m=q+12|0;n=xa;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));i[q+52>>0]=0;i[q+53>>0]=0;i[q+54>>0]=0;k[q>>2]=11396;i[q+60>>0]=0;i[q+61>>0]=0;i[q+62>>0]=0;k[q+64>>2]=0;k[q+68>>2]=0;k[q+56>>2]=7;m=q+72|0;k[m>>2]=13580;p=q+76|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[p+12>>2]=0;y=0;oa(516,p|0,0);o=y;y=0;if(o&1){$b=111;break a}k[q>>2]=13364;k[m>>2]=13540;p=q+96|0;k[p>>2]=0;k[q+100>>2]=0;k[q+92>>2]=p;i[q+104>>0]=0;i[q+105>>0]=0;y=0;oa(482,Nb|0,q|0);q=y;y=0;if(q&1){$b=124;break a}y=0;Ha(966,ub|0,Nb|0)|0;q=y;y=0;if(q&1){$b=127;break a}EO(Nb);m=k[ub>>2]|0}y=0;m=ta(49,m|0,k[vb>>2]|0,c|0)|0;q=y;y=0;if(q&1){$b=123;break a}y=0;oa(482,tb|0,m|0);q=y;y=0;if(q&1){$b=123;break a}m=k[tb>>2]|0;do if(m|0){if((k[m+80>>2]|0)==(k[m+76>>2]|0))break;y=0;m=qa(k[(k[s>>2]|0)+16>>2]|0,s|0)|0;q=y;y=0;if(q&1){$b=133;break a}y=0;oa(482,rb|0,m|0);q=y;y=0;if(q&1){$b=133;break a}y=0;p=qa(332,88)|0;q=y;y=0;if(q&1){$b=163;break a}m=Fa;n=u;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;oa(464,ib|0,tb|0);q=y;y=0;if(q&1){$b=164;break a}y=0;oa(482,jb|0,0);q=y;y=0;if(q&1){$b=165;break a}y=0;oa(482,db|0,0);q=y;y=0;if(q&1){$b=166;break a}y=0;m=Nb;n=Fa;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));ya(11,p|0,Nb|0,0,ib|0,jb|0,db|0);q=y;y=0;if(q&1){j=1;$b=167;break a}y=0;oa(482,nb|0,p|0);q=y;y=0;if(q&1){j=0;$b=167;break a}EO(db);EO(jb);EO(ib);y=0;m=qa(337,k[rb>>2]|0)|0;q=y;y=0;if(q&1){$b=170;break a}n=k[rb>>2]|0;y=0;oa(482,Ga|0,k[nb>>2]|0);q=y;y=0;if(q&1){$b=171;break a}y=0;Na(83,n|0,Ga|0,m|0);q=y;y=0;if(q&1){$b=173;break a}EO(Ga);k[W>>2]=0;k[X>>2]=0;k[lb>>2]=za;m=k[v>>2]|0;if((m|0)!=(w|0)){o=m;n=m;while(1){q=o+16|0;k[wa>>2]=Z;y=0;k[Nb>>2]=k[wa>>2];Ma(18,lb|0,Nb|0,q|0,q|0)|0;q=y;y=0;if(q&1){$b=152;break a}m=k[n+4>>2]|0;if(!m)while(1){m=k[n+8>>2]|0;if((k[m>>2]|0)==(n|0))break;else n=m}else while(1){n=k[m>>2]|0;if(!n)break;else m=n}if((m|0)==(w|0))break;else{o=m;n=m}}}y=0;oa(482,Nb|0,s|0);s=y;y=0;if(s&1){$b=174;break a}y=0;Ra(14,va|0,lb|0,Nb|0,Nb|0);s=y;y=0;if(s&1){$b=175;break a}EO(Nb);m=k[rb>>2]|0;if(m|0)do{y=0;oa(464,ra|0,m+76|0);s=y;y=0;if(s&1){$b=177;break a}n=k[ra>>2]|0;k[sa>>2]=n;EO(sa);if(n|0){y=0;Na(134,n|0,lb|0,c|0);s=y;y=0;if(s&1){$b=177;break a}}y=0;oa(464,cb|0,m+80|0);s=y;y=0;if(s&1){$b=177;break a}m=k[cb>>2]|0;k[ua>>2]=m;EO(ua)}while((m|0)!=0);if(i[(k[wb>>2]|0)+60>>0]|0)i[(k[rb>>2]|0)+60>>0]=1;y=0;oa(464,Nb|0,wb|0);s=y;y=0;if(s&1){$b=189;break a}y=0;oa(464,ea|0,rb|0);s=y;y=0;if(s&1){$b=180;break a}m=k[yb>>2]|0;if(m>>>0<(k[Y>>2]|0)>>>0){y=0;oa(464,m|0,Nb|0);s=y;y=0;if(s&1){$b=191;break a}y=0;oa(464,m+4|0,ea|0);s=y;y=0;if(s&1){$b=184;break a}k[yb>>2]=(k[yb>>2]|0)+8}else{y=0;oa(593,Ob|0,Nb|0);s=y;y=0;if(s&1){$b=191;break a}}EO(ea);EO(Nb);TG(lb,k[za>>2]|0);EO(nb);EO(rb)}while(0);EO(tb);EO(ub);EO(vb);EO(wb);EO(xb);l=l+16|0}while((l|0)!=(t|0));m=k[Ob>>2]|0;l=k[yb>>2]|0;if((m|0)!=(l|0)){do{y=0;oa(464,qb|0,m|0);x=y;y=0;if(x&1){$b=234;break a}y=0;oa(464,ob|0,m+4|0);x=y;y=0;if(x&1){$b=235;break a}q=k[qb>>2]|0;o=k[Bb>>2]|0;do if(!o)$b=239;else{n=Bb;b:while(1){p=o;while(1){o=p+16|0;y=0;o=Ha(k[(k[o>>2]|0)+160>>2]|0,o|0,q|0)|0;x=y;y=0;if(x&1){$b=236;break a}if(!o)break;o=k[p+4>>2]|0;if(!o)break b;else p=o}o=k[p>>2]|0;if(!o){n=p;break}else n=p}if((n|0)==(Bb|0)){$b=239;break}y=0;n=Ha(k[(k[q>>2]|0)+160>>2]|0,q|0,n+16|0)|0;x=y;y=0;if(x&1){$b=237;break a}if(n)$b=239}while(0);if(($b|0)==239){$b=0;k[L>>2]=0;k[M>>2]=0;k[mb>>2]=fb;n=k[Fb>>2]|0;if((n|0)!=(Bb|0)){p=n;o=n;while(1){x=p+16|0;k[bb>>2]=V;y=0;k[Nb>>2]=k[bb>>2];Ma(17,mb|0,Nb|0,x|0,x|0)|0;x=y;y=0;if(x&1){$b=246;break a}n=k[o+4>>2]|0;if(!n)while(1){n=k[o+8>>2]|0;if((k[n>>2]|0)==(o|0))break;else o=n}else while(1){o=k[n>>2]|0;if(!o)break;else n=o}if((n|0)==(Bb|0))break;else{p=n;o=n}}}x=k[qb>>2]|0;y=0;Ra(37,Nb|0,mb|0,x|0,x|0);x=y;y=0;if(x&1){$b=274;break a}q=k[ob>>2]|0;k[O>>2]=0;k[P>>2]=0;k[Ja>>2]=Q;n=k[mb>>2]|0;if((n|0)!=(fb|0)){p=n;o=n;while(1){x=p+16|0;k[_a>>2]=U;y=0;k[Nb>>2]=k[_a>>2];Ma(17,Ja|0,Nb|0,x|0,x|0)|0;x=y;y=0;if(x&1){$b=255;break a}n=k[o+4>>2]|0;if(!n)while(1){n=k[o+8>>2]|0;if((k[n>>2]|0)==(o|0))break;else o=n}else while(1){o=k[n>>2]|0;if(!o)break;else n=o}if((n|0)==(fb|0))break;else{p=n;o=n}}}y=0;Ea(5,Ia|0,q|0,c|0,d|0,Ja|0,f|0,0);x=y;y=0;if(x&1){$b=276;break a}II(Ja,k[Q>>2]|0);n=k[R>>2]|0;p=k[la>>2]|0;q=(p|0)==0;if(!q)Sba(p);x=k[n+4>>2]|0;o=k[n+16>>2]|0;u=x+(((o>>>0)/170|0)<<2)|0;if((k[n+8>>2]|0)==(x|0))n=0;else n=(k[u>>2]|0)+(((o>>>0)%170|0)*24|0)|0;if(!q)kZ(p);o=k[R>>2]|0;s=k[la>>2]|0;t=(s|0)==0;if(!t)Sba(s);p=(k[o+16>>2]|0)+(k[o+20>>2]|0)|0;q=k[o+4>>2]|0;if((k[o+8>>2]|0)==(q|0))v=0;else v=(k[q+(((p>>>0)/170|0)<<2)>>2]|0)+(((p>>>0)%170|0)*24|0)|0;if(t)s=u;else{kZ(s);s=u}c:while(1){do{if((n|0)==(v|0))break c;k[Ka>>2]=k[n>>2];k[Ka+4>>2]=k[n+4>>2];k[Ka+8>>2]=k[n+8>>2];y=0;oa(464,ia|0,n+12|0);x=y;y=0;if(x&1){$b=277;break a}k[S>>2]=k[n+16>>2];o=k[n+20>>2]|0;k[ga>>2]=o;if(o|0)Sba(o);y=0;o=ta(160,$a|0,Ka|0,0)|0;x=y;y=0;if(x&1){$b=288;break a}do if(!o){o=k[T>>2]|0;p=k[Db>>2]|0;q=(p|0)==0;if(!q)Sba(p);y=0;oa(523,o|0,Ka|0);x=y;y=0;if(x&1){$b=289;break a}if(q)break;kZ(p)}while(0);o=k[ga>>2]|0;if(o|0)kZ(o);EO(ia);n=n+24|0}while((n-(k[s>>2]|0)|0)!=4080);n=s+4|0;s=n;n=k[n>>2]|0}n=k[la>>2]|0;if(n|0)kZ(n);EO(pa);II(mb,k[fb>>2]|0)}EO(ob);EO(qb);m=m+8|0}while((m|0)!=(l|0));l=k[Ob>>2]|0}if(!l)break;m=k[yb>>2]|0;if((m|0)!=(l|0)){do{x=m+-8|0;k[yb>>2]=x;EO(m+-4|0);EO(x);m=k[yb>>2]|0}while((m|0)!=(l|0));l=k[Ob>>2]|0}zqa(l)}while(0);l=k[Pb>>2]|0;if(l|0){m=k[zb>>2]|0;if((m|0)!=(l|0)){do{q=m+-16|0;k[zb>>2]=q;o=m+-12|0;p=k[o>>2]|0;if(p|0){n=m+-8|0;m=k[n>>2]|0;if((m|0)==(p|0))m=p;else{do{x=m+-8|0;k[n>>2]=x;EO(m+-4|0);EO(x);m=k[n>>2]|0}while((m|0)!=(p|0));m=k[o>>2]|0}zqa(m)}EO(q);m=k[zb>>2]|0}while((m|0)!=(l|0));l=k[Pb>>2]|0}zqa(l)}l=k[Cb>>2]|0;if(l|0){m=k[Ab>>2]|0;if((m|0)!=(l|0)){do{x=m+-8|0;k[Ab>>2]=x;EO(m+-4|0);EO(x);m=k[Ab>>2]|0}while((m|0)!=(l|0));l=k[Cb>>2]|0}zqa(l)}II(Fb,k[Bb>>2]|0);if(i[j>>0]|0)i[$a>>0]=1;y=0;oa(464,Ta|0,z|0);z=y;y=0;if(z&1){$b=349;break a}k[kb>>2]=k[Ta>>2];do if(g){y=0;l=qa(k[(k[b>>2]|0)+124>>2]|0,b|0)|0;z=y;y=0;if(z&1){$b=350;break a}if(l)break;k[G>>2]=0;k[H>>2]=0;k[Nb>>2]=ca;y=0;oa(482,_a|0,b|0);z=y;y=0;if(z&1){$b=351;break a}y=0;Ra(14,Sa|0,Nb|0,_a|0,_a|0);z=y;y=0;if(z&1){$b=352;break a}EO(_a);l=k[kb>>2]|0;if(l|0)do{y=0;oa(464,Oa|0,l+76|0);z=y;y=0;if(z&1){$b=354;break a}m=k[Oa>>2]|0;k[Pa>>2]=m;EO(Pa);if(m|0){y=0;Na(134,m|0,Nb|0,c|0);z=y;y=0;if(z&1){$b=354;break a}}y=0;oa(464,La|0,l+80|0);z=y;y=0;if(z&1){$b=354;break a}l=k[La>>2]|0;k[Qa>>2]=l;EO(Qa)}while((l|0)!=0);TG(Nb,k[ca>>2]|0)}while(0);l=k[I>>2]|0;n=k[Db>>2]|0;o=(n|0)==0;if(!o)Sba(n);z=k[l+4>>2]|0;m=k[l+16>>2]|0;s=z+(((m>>>0)/170|0)<<2)|0;if((k[l+8>>2]|0)==(z|0))m=0;else m=(k[s>>2]|0)+(((m>>>0)%170|0)*24|0)|0;if(!o)kZ(n);l=k[I>>2]|0;p=k[Db>>2]|0;q=(p|0)==0;if(!q)Sba(p);n=(k[l+16>>2]|0)+(k[l+20>>2]|0)|0;o=k[l+4>>2]|0;if((k[l+8>>2]|0)==(o|0))t=0;else t=(k[o+(((n>>>0)/170|0)<<2)>>2]|0)+(((n>>>0)%170|0)*24|0)|0;if(q){l=0;p=s}else{kZ(p);l=0;p=s}d:while(1){do{if((m|0)==(t|0))break d;y=0;n=Ha(969,m|0,c|0)|0;z=y;y=0;if(z&1){$b=376;break a}y=0;oa(482,hb|0,n|0);z=y;y=0;if(z&1){$b=376;break a}n=k[hb>>2]|0;o=k[(k[n>>2]|0)+148>>2]|0;y=0;oa(464,eb|0,kb|0);z=y;y=0;if(z&1){$b=377;break a}k[ab>>2]=0;k[ab+4>>2]=0;k[ab+8>>2]=0;y=0;Na(75,ab|0,82159,0);z=y;y=0;if(z&1){$b=378;break a}y=0;n=ta(o|0,n|0,eb|0,ab|0)|0;z=y;y=0;if(z&1){$b=379;break a}$9(ab);EO(eb);l=l|n;EO(hb);if(n)break d;m=m+24|0}while((m-(k[p>>2]|0)|0)!=4080);m=p+4|0;p=m;m=k[m>>2]|0}do if(!l){if(i[j>>0]|0)i[(k[kb>>2]|0)+60>>0]=1;o=k[I>>2]|0;q=k[Db>>2]|0;s=(q|0)==0;if(!s)Sba(q);y=0;Na(79,Nb|0,k[kb>>2]|0,c|0);z=y;y=0;if(z&1){$b=400;break a}p=o+16|0;l=k[p>>2]|0;if(!l){y=0;na(388,o|0);z=y;y=0;if(z&1){$b=401;break a}l=k[p>>2]|0}z=k[o+4>>2]|0;n=z+(((l>>>0)/170|0)<<2)|0;m=k[n>>2]|0;if((k[o+8>>2]|0)==(z|0))l=0;else l=m+(((l>>>0)%170|0)*24|0)|0;if((l|0)==(m|0))l=(k[n+-4>>2]|0)+4080|0;z=l+-24|0;k[z>>2]=k[Nb>>2];k[z+4>>2]=k[Nb+4>>2];k[z+8>>2]=k[Nb+8>>2];y=0;oa(464,l+-12|0,da|0);z=y;y=0;if(z&1){$b=401;break a}k[l+-8>>2]=k[K>>2];k[l+-4>>2]=k[ba>>2];k[K>>2]=0;k[ba>>2]=0;k[p>>2]=(k[p>>2]|0)+-1;z=o+20|0;k[z>>2]=(k[z>>2]|0)+1;EO(da);if(s)break;kZ(q)}while(0);l=k[J>>2]|0;m=k[ac>>2]|0;n=(m|0)==0;if(!n)Sba(m);y=0;oa(523,l|0,$a|0);z=y;y=0;if(z&1){$b=416;break a}if(!n)kZ(m);EO(kb);l=k[Db>>2]|0;if(l|0)kZ(l);EO(Eb);EO(Gb)}else{y=0;na(387,Xa|0);z=y;y=0;if(z&1){$b=43;break a}y=0;na(387,Ya|0);z=y;y=0;if(z&1){$b=44;break a}l=k[$>>2]|0;m=k[ka>>2]|0;n=(m|0)==0;if(!n)Sba(m);y=0;oa(523,l|0,Ya|0);z=y;y=0;if(z&1){$b=45;break a}if(!n)kZ(m);l=k[aa>>2]|0;m=k[ha>>2]|0;n=(m|0)==0;if(!n)Sba(m);y=0;oa(523,l|0,j|0);z=y;y=0;if(z&1){$b=47;break a}if(!n)kZ(m);l=k[J>>2]|0;m=k[ac>>2]|0;n=(m|0)==0;if(!n)Sba(m);y=0;oa(523,l|0,Xa|0);z=y;y=0;if(z&1){$b=49;break a}if(!n)kZ(m);l=k[ha>>2]|0;if(l|0)kZ(l);EO(ja);l=k[ka>>2]|0;if(l|0)kZ(l);EO(ma)}j=j+24|0}while((j-(k[A>>2]|0)|0)!=4080);j=A+4|0;A=j;j=k[j>>2]|0}switch($b|0){case 17:{y=0;Na(132,_b|0,bc|0,c|0);Gb=y;y=0;if(Gb&1){j=pb()|0;break}y=0;na(387,Zb|0);Gb=y;y=0;if(Gb&1){j=pb()|0;l=_b+20|0}else{n=_b+16|0;j=k[n>>2]|0;l=_b+20|0;o=k[l>>2]|0;p=(o|0)==0;if(!p)Sba(o);Gb=k[j+4>>2]|0;m=k[j+16>>2]|0;s=Gb+(((m>>>0)/170|0)<<2)|0;if((k[j+8>>2]|0)==(Gb|0))q=0;else q=(k[s>>2]|0)+(((m>>>0)%170|0)*24|0)|0;if(!p)kZ(o);j=k[n>>2]|0;o=k[l>>2]|0;p=(o|0)==0;if(!p)Sba(o);m=(k[j+16>>2]|0)+(k[j+20>>2]|0)|0;n=k[j+4>>2]|0;if((k[j+8>>2]|0)==(n|0))R=0;else R=(k[n+(((m>>>0)/170|0)<<2)>>2]|0)+(((m>>>0)%170|0)*24|0)|0;if(!p)kZ(o);A=Hb+16|0;ba=Hb+20|0;O=Nb+12|0;B=Nb+16|0;L=Nb+20|0;$=Pb+20|0;C=Pb+16|0;D=Ob+16|0;Z=Ob+20|0;_=Ob+12|0;E=Ib+16|0;X=Ib+20|0;F=Kb+4|0;T=Kb+20|0;U=Kb+12|0;G=Kb+16|0;H=Jb+16|0;V=Jb+20|0;P=Lb+20|0;S=Lb+12|0;ca=Hb+12|0;W=Jb+12|0;I=Jb+16|0;Y=Ib+12|0;Q=Mb+12|0;J=Mb+16|0;M=Mb+20|0;aa=Pb+12|0;K=Zb+16|0;da=Zb+20|0;z=s;j=q;e:while(1){do{if((j|0)==(R|0)){$b=439;break e}y=0;na(387,Hb|0);Gb=y;y=0;if(Gb&1){$b=761;break e}m=k[A>>2]|0;w=k[ba>>2]|0;x=(w|0)==0;if(!x)Sba(w);y=0;na(387,Nb|0);Gb=y;y=0;if(Gb&1){$b=623;break e}t=m+8|0;o=k[t>>2]|0;u=m+4|0;n=k[u>>2]|0;Gb=o-n>>2;q=m+16|0;s=k[q>>2]|0;v=m+20|0;p=k[v>>2]|0;if((((Gb|0)==0?0:(Gb*170|0)+-1|0)|0)==(p+s|0)){y=0;na(370,m|0);Gb=y;y=0;if(Gb&1){$b=624;break e}p=k[v>>2]|0;m=k[q>>2]|0;o=k[t>>2]|0;n=k[u>>2]|0}else m=s;m=p+m|0;if((o|0)==(n|0))m=0;else m=(k[n+(((m>>>0)/170|0)<<2)>>2]|0)+(((m>>>0)%170|0)*24|0)|0;k[m>>2]=k[Nb>>2];k[m+4>>2]=k[Nb+4>>2];k[m+8>>2]=k[Nb+8>>2];y=0;oa(464,m+12|0,O|0);Gb=y;y=0;if(Gb&1){$b=624;break e}k[m+16>>2]=k[B>>2];k[m+20>>2]=k[L>>2];k[B>>2]=0;k[L>>2]=0;k[v>>2]=(k[v>>2]|0)+1;EO(O);if(!x)kZ(w);y=0;na(387,Pb|0);Gb=y;y=0;if(Gb&1){$b=622;break e}y=0;oa(512,Pb|0,j|0);Gb=y;y=0;if(Gb&1){$b=629;break e}f:while(1){m=k[C>>2]|0;n=k[$>>2]|0;do if(!n){if(!(k[m+20>>2]|0)){$b=740;break f}n=0;o=1}else{Sba(n);Gb=(k[m+20>>2]|0)==0;kZ(n);if(Gb){$b=740;break f}m=k[C>>2]|0;n=k[$>>2]|0;if(!n){n=0;o=1;break}Sba(n);o=0}while(0);Gb=k[m+16>>2]|0;y=0;Na(86,Ob|0,(k[(k[m+4>>2]|0)+(((Gb>>>0)/170|0)<<2)>>2]|0)+(((Gb>>>0)%170|0)*24|0)|0,c|0);Gb=y;y=0;if(Gb&1){$b=630;break e}if(!o)kZ(n);m=k[C>>2]|0;n=k[$>>2]|0;o=(n|0)==0;if(!o)Sba(n);p=m+4|0;q=m+16|0;t=k[q>>2]|0;s=k[(k[p>>2]|0)+(((t>>>0)/170|0)<<2)>>2]|0;t=(t>>>0)%170|0;u=k[s+(t*24|0)+20>>2]|0;if(u|0)kZ(u);EO(s+(t*24|0)+12|0);Gb=m+20|0;k[Gb>>2]=(k[Gb>>2]|0)+-1;Gb=(k[q>>2]|0)+1|0;k[q>>2]=Gb;if(Gb>>>0>339){zqa(k[k[p>>2]>>2]|0);k[p>>2]=(k[p>>2]|0)+4;k[q>>2]=(k[q>>2]|0)+-170}if(!o)kZ(n);m=k[D>>2]|0;n=k[Z>>2]|0;if(!n)if(!(k[m+20>>2]|0))m=2;else $b=633;else{Sba(n);Gb=(k[m+20>>2]|0)==0;kZ(n);if(Gb)m=2;else $b=633}if(($b|0)==633){$b=0;y=0;na(387,Ib|0);Gb=y;y=0;if(Gb&1){$b=632;break e}m=k[E>>2]|0;o=k[X>>2]|0;p=(o|0)==0;if(!p)Sba(o);n=k[D>>2]|0;q=k[Z>>2]|0;s=(q|0)==0;if(!s)Sba(q);Gb=(k[n+20>>2]|0)+-1+(k[n+16>>2]|0)|0;y=0;oa(523,m|0,(k[(k[n+4>>2]|0)+(((Gb>>>0)/170|0)<<2)>>2]|0)+(((Gb>>>0)%170|0)*24|0)|0);Gb=y;y=0;if(Gb&1){$b=667;break e}if(!s)kZ(q);if(!p)kZ(o);m=k[D>>2]|0;s=k[Z>>2]|0;t=(s|0)==0;if(!t)Sba(s);n=m+20|0;u=m+16|0;p=(k[n>>2]|0)+-1+(k[u>>2]|0)|0;v=m+4|0;o=k[(k[v>>2]|0)+(((p>>>0)/170|0)<<2)>>2]|0;p=(p>>>0)%170|0;q=k[o+(p*24|0)+20>>2]|0;if(q|0)kZ(q);EO(o+(p*24|0)+12|0);Fb=k[n>>2]|0;k[n>>2]=Fb+-1;m=m+8|0;n=k[m>>2]|0;Gb=n-(k[v>>2]|0)>>2;if((1-Fb-(k[u>>2]|0)+((Gb|0)==0?0:(Gb*170|0)+-1|0)|0)>>>0>339){zqa(k[n+-4>>2]|0);k[m>>2]=(k[m>>2]|0)+-4}if(!t)kZ(s);y=0;na(387,Jb|0);Gb=y;y=0;if(Gb&1){$b=666;break e}m=k[A>>2]|0;o=k[ba>>2]|0;p=(o|0)==0;if(!p)Sba(o);Gb=k[m+4>>2]|0;n=k[m+16>>2]|0;t=Gb+(((n>>>0)/170|0)<<2)|0;if((k[m+8>>2]|0)==(Gb|0))m=0;else m=(k[t>>2]|0)+(((n>>>0)%170|0)*24|0)|0;if(!p)kZ(o);n=k[A>>2]|0;q=k[ba>>2]|0;s=(q|0)==0;if(!s)Sba(q);o=(k[n+16>>2]|0)+(k[n+20>>2]|0)|0;p=k[n+4>>2]|0;if((k[n+8>>2]|0)==(p|0))x=0;else x=(k[p+(((o>>>0)/170|0)<<2)>>2]|0)+(((o>>>0)%170|0)*24|0)|0;if(s)w=t;else{kZ(q);w=t}g:while(1){do{if((m|0)==(x|0)){$b=718;break g}y=0;Ra(13,Kb|0,m|0,Ob|0,c|0);Gb=y;y=0;if(Gb&1){$b=675;break e}h:do if((k[F>>2]|0)==3){y=0;na(387,Mb|0);Gb=y;y=0;if(Gb&1){$b=676;break e}else n=1}else{n=k[G>>2]|0;p=k[T>>2]|0;q=(p|0)==0;if(!q)Sba(p);Gb=k[n+4>>2]|0;o=k[n+16>>2]|0;u=Gb+(((o>>>0)/170|0)<<2)|0;if((k[n+8>>2]|0)==(Gb|0))n=0;else n=(k[u>>2]|0)+(((o>>>0)%170|0)*24|0)|0;if(!q)kZ(p);o=k[G>>2]|0;s=k[T>>2]|0;t=(s|0)==0;if(!t)Sba(s);p=(k[o+16>>2]|0)+(k[o+20>>2]|0)|0;q=k[o+4>>2]|0;if((k[o+8>>2]|0)==(q|0))v=0;else v=(k[q+(((p>>>0)/170|0)<<2)>>2]|0)+(((p>>>0)%170|0)*24|0)|0;if(t)s=u;else{kZ(s);s=u}while(1){do{if((n|0)==(v|0)){n=0;break h}y=0;na(387,Lb|0);Gb=y;y=0;if(Gb&1){$b=703;break e}y=0;oa(512,Lb|0,n|0);Gb=y;y=0;if(Gb&1){$b=704;break e}y=0;oa(512,Lb|0,Ib|0);Gb=y;y=0;if(Gb&1){$b=704;break e}o=k[H>>2]|0;p=k[V>>2]|0;q=(p|0)==0;if(!q)Sba(p);y=0;oa(523,o|0,Lb|0);Gb=y;y=0;if(Gb&1){$b=705;break e}if(!q)kZ(p);o=k[P>>2]|0;if(o|0)kZ(o);EO(S);n=n+24|0}while((n-(k[s>>2]|0)|0)!=4080);n=s+4|0;s=n;n=k[n>>2]|0}}while(0);o=k[T>>2]|0;if(o|0)kZ(o);EO(U);if(n|0){m=1;break g}m=m+24|0}while((m-(k[w>>2]|0)|0)!=4080);m=w+4|0;w=m;m=k[m>>2]|0}do if(($b|0)==718){$b=0;k[Hb>>2]=k[Jb>>2];k[Hb+4>>2]=k[Jb+4>>2];k[Hb+8>>2]=k[Jb+8>>2];y=0;Ha(966,ca|0,W|0)|0;Gb=y;y=0;if(Gb&1){$b=671;break e}m=k[I>>2]|0;n=k[V>>2]|0;if(n|0)Sba(n);k[A>>2]=m;m=k[ba>>2]|0;k[ba>>2]=n;if(!m){m=0;break}kZ(m);m=0}while(0);n=k[V>>2]|0;if(n|0)kZ(n);EO(W);n=k[X>>2]|0;if(n|0)kZ(n);EO(Y)}n=k[Z>>2]|0;if(n|0)kZ(n);EO(_);switch(m|0){case 2:case 0:break;default:break f}}if(($b|0)==740){$b=0;k[Mb>>2]=k[Hb>>2];k[Mb+4>>2]=k[Hb+4>>2];k[Mb+8>>2]=k[Hb+8>>2];y=0;oa(464,Q|0,ca|0);Gb=y;y=0;if(Gb&1){$b=629;break e}k[J>>2]=k[A>>2];k[M>>2]=k[ba>>2];k[A>>2]=0;k[ba>>2]=0}m=k[$>>2]|0;if(m|0)kZ(m);EO(aa);m=k[ba>>2]|0;if(m|0)kZ(m);EO(ca);i[Mb>>0]=i[j>>0]|0;m=k[K>>2]|0;n=k[da>>2]|0;o=(n|0)==0;if(!o)Sba(n);y=0;oa(523,m|0,Mb|0);Gb=y;y=0;if(Gb&1){$b=763;break e}if(!o)kZ(n);m=k[M>>2]|0;if(m|0)kZ(m);EO(Q);j=j+24|0}while((j-(k[z>>2]|0)|0)!=4080);j=z+4|0;z=j;j=k[j>>2]|0}switch($b|0){case 439:{p=Zb+16|0;j=k[p>>2]|0;m=k[da>>2]|0;if(!m)if((k[j+20>>2]|0)>>>0>100)$b=442;else $b=445;else{Sba(m);$b=(k[j+20>>2]|0)>>>0>100;kZ(m);if($b)$b=442;else $b=445}i:do if(($b|0)==442){k[Wb>>2]=k[Zb>>2];k[Wb+4>>2]=k[Zb+4>>2];k[Wb+8>>2]=k[Zb+8>>2];y=0;oa(464,Wb+12|0,Zb+12|0);$b=y;y=0;if($b&1){$b=586;break}k[Wb+16>>2]=k[p>>2];j=k[da>>2]|0;k[Wb+20>>2]=j;if(!j){$b=768;break}Sba(j);$b=768}else if(($b|0)==445){y=0;na(387,Yb|0);Pb=y;y=0;if(Pb&1){$b=586;break}y=0;oa(512,Yb|0,Zb|0);Pb=y;y=0;j:do if(Pb&1){j=pb()|0;m=Yb+20|0}else{j=k[p>>2]|0;n=k[da>>2]|0;o=(n|0)==0;if(!o)Sba(n);Pb=k[j+4>>2]|0;m=k[j+16>>2]|0;s=Pb+(((m>>>0)/170|0)<<2)|0;if((k[j+8>>2]|0)==(Pb|0))q=0;else q=(k[s>>2]|0)+(((m>>>0)%170|0)*24|0)|0;if(!o)kZ(n);j=k[p>>2]|0;o=k[da>>2]|0;p=(o|0)==0;if(!p)Sba(o);m=(k[j+16>>2]|0)+(k[j+20>>2]|0)|0;n=k[j+4>>2]|0;if((k[j+8>>2]|0)==(n|0))M=0;else M=(k[n+(((m>>>0)/170|0)<<2)>>2]|0)+(((m>>>0)%170|0)*24|0)|0;if(!p)kZ(o);O=Ub+4|0;L=Yb+16|0;m=Yb+20|0;I=Qb+16|0;P=Qb+20|0;J=Yb+16|0;Q=Qb+12|0;K=Qb+16|0;n=0;H=s;j=q;k:while(1){G=n;do{if((j|0)==(M|0)){$b=462;break k}y=0;na(387,Qb|0);Pb=y;y=0;if(Pb&1){$b=487;break k}i[Qb>>0]=i[j>>0]|0;E=j+16|0;n=k[E>>2]|0;F=j+20|0;p=k[F>>2]|0;q=(p|0)==0;if(!q)Sba(p);Pb=k[n+4>>2]|0;o=k[n+16>>2]|0;u=Pb+(((o>>>0)/170|0)<<2)|0;if((k[n+8>>2]|0)==(Pb|0))n=0;else n=(k[u>>2]|0)+(((o>>>0)%170|0)*24|0)|0;if(!q)kZ(p);o=k[E>>2]|0;s=k[F>>2]|0;t=(s|0)==0;if(!t)Sba(s);p=(k[o+16>>2]|0)+(k[o+20>>2]|0)|0;q=k[o+4>>2]|0;if((k[o+8>>2]|0)==(q|0))D=0;else D=(k[q+(((p>>>0)/170|0)<<2)>>2]|0)+(((p>>>0)%170|0)*24|0)|0;if(t)C=u;else{kZ(s);C=u}l:while(1){do{if((n|0)==(D|0))break l;y=0;o=Ha(969,n|0,c|0)|0;Pb=y;y=0;if(Pb&1){$b=506;break k}y=0;oa(482,Vb|0,o|0);Pb=y;y=0;if(Pb&1){$b=506;break k}if(f){o=k[Vb>>2]|0;y=0;o=qa(k[(k[o>>2]|0)+156>>2]|0,o|0)|0;Pb=y;y=0;if(Pb&1){$b=507;break k}}else o=0;y=0;oa(594,Ub|0,k[Vb>>2]|0);Pb=y;y=0;if(Pb&1){$b=508;break k}p=k[Ub>>2]|0;if((p|0)!=(O|0))do{q=k[p+16>>2]|0;y=0;q=qa(k[(k[q>>2]|0)+156>>2]|0,q|0)|0;Pb=y;y=0;if(Pb&1){$b=515;break k}o=o>>>0<q>>>0?q:o;q=k[p+4>>2]|0;if(!q)while(1){q=k[p+8>>2]|0;if((k[q>>2]|0)==(p|0)){p=q;break}else p=q}else{p=q;while(1){q=k[p>>2]|0;if(!q)break;else p=q}}}while((p|0)!=(O|0));p=k[L>>2]|0;s=k[m>>2]|0;t=(s|0)==0;if(!t)Sba(s);Pb=k[p+4>>2]|0;q=k[p+16>>2]|0;w=Pb+(((q>>>0)/170|0)<<2)|0;if((k[p+8>>2]|0)==(Pb|0))p=0;else p=(k[w>>2]|0)+(((q>>>0)%170|0)*24|0)|0;if(!t)kZ(s);q=k[L>>2]|0;u=k[m>>2]|0;v=(u|0)==0;if(!v)Sba(u);s=(k[q+16>>2]|0)+(k[q+20>>2]|0)|0;t=k[q+4>>2]|0;if((k[q+8>>2]|0)==(t|0))B=0;else B=(k[t+(((s>>>0)/170|0)<<2)>>2]|0)+(((s>>>0)%170|0)*24|0)|0;if(v)A=w;else{kZ(u);A=w}m:while(1){do{if((p|0)==(B|0)){$b=559;break m}q=k[E>>2]|0;u=k[F>>2]|0;v=(u|0)==0;if(!v)Sba(u);w=p+16|0;s=k[w>>2]|0;x=p+20|0;t=k[x>>2]|0;if(!t)q=(q|0)==(s|0);else{Sba(t);kZ(t);q=(q|0)==(s|0)}if(!v)kZ(u);n:do if(!q){q=k[w>>2]|0;t=k[x>>2]|0;u=(t|0)==0;if(!u)Sba(t);Pb=k[q+4>>2]|0;s=k[q+16>>2]|0;z=Pb+(((s>>>0)/170|0)<<2)|0;if((k[q+8>>2]|0)==(Pb|0))q=0;else q=(k[z>>2]|0)+(((s>>>0)%170|0)*24|0)|0;if(!u)kZ(t);u=k[w>>2]|0;v=k[x>>2]|0;w=(v|0)==0;if(!w)Sba(v);s=(k[u+16>>2]|0)+(k[u+20>>2]|0)|0;t=k[u+4>>2]|0;if((k[u+8>>2]|0)==(t|0))x=0;else x=(k[t+(((s>>>0)/170|0)<<2)>>2]|0)+(((s>>>0)%170|0)*24|0)|0;if(w)u=z;else{kZ(v);u=z}while(1){do{if((q|0)==(x|0))break n;y=0;s=Ha(969,q|0,c|0)|0;Pb=y;y=0;if(Pb&1){$b=548;break k}y=0;oa(482,Tb|0,s|0);Pb=y;y=0;if(Pb&1){$b=548;break k}s=k[Tb>>2]|0;y=0;s=qa(k[(k[s>>2]|0)+156>>2]|0,s|0)|0;Pb=y;y=0;if(Pb&1){$b=549;break k}if(s>>>0<o>>>0)EO(Tb);else{s=k[Tb>>2]|0;t=k[(k[s>>2]|0)+148>>2]|0;y=0;oa(464,Sb|0,Vb|0);Pb=y;y=0;if(Pb&1){$b=549;break k}k[Rb>>2]=0;k[Rb+4>>2]=0;k[Rb+8>>2]=0;y=0;Na(75,Rb|0,82159,0);Pb=y;y=0;if(Pb&1){$b=550;break k}y=0;s=ta(t|0,s|0,Sb|0,Rb|0)|0;Pb=y;y=0;if(Pb&1){$b=551;break k}$9(Rb);EO(Sb);EO(Tb);if(s)break m}q=q+24|0}while((q-(k[u>>2]|0)|0)!=4080);q=u+4|0;u=q;q=k[q>>2]|0}}while(0);p=p+24|0}while((p-(k[A>>2]|0)|0)!=4080);p=A+4|0;A=p;p=k[p>>2]|0}do if(($b|0)==559){$b=0;o=k[I>>2]|0;p=k[P>>2]|0;q=(p|0)==0;if(!q)Sba(p);y=0;oa(523,o|0,n|0);Pb=y;y=0;if(Pb&1){$b=564;break k}if(q)break;kZ(p)}while(0);TG(Ub,k[O>>2]|0);EO(Vb);n=n+24|0}while((n-(k[C>>2]|0)|0)!=4080);n=C+4|0;C=n;n=k[n>>2]|0}n=k[J>>2]|0;s=k[m>>2]|0;t=(s|0)==0;if(!t)Sba(s);o=(k[n+16>>2]|0)+G|0;n=k[(k[n+4>>2]|0)+(((o>>>0)/170|0)<<2)>>2]|0;o=(o>>>0)%170|0;Pb=n+(o*24|0)|0;Ob=Pb|0;k[Ob>>2]=k[Qb>>2];k[Ob+4>>2]=k[Qb+4>>2];k[Ob+8>>2]=k[Qb+8>>2];y=0;Ha(966,Pb+12|0,Q|0)|0;Pb=y;y=0;if(Pb&1){$b=576;break k}p=k[K>>2]|0;q=k[P>>2]|0;if(q|0)Sba(q);Pb=n+(o*24|0)|0;k[Pb+16>>2]=p;Pb=Pb+20|0;n=k[Pb>>2]|0;k[Pb>>2]=q;if(n|0)kZ(n);if(!t)kZ(s);G=G+1|0;n=k[P>>2]|0;if(n|0)kZ(n);EO(Q);j=j+24|0}while((j-(k[H>>2]|0)|0)!=4080);j=H+4|0;n=G;H=j;j=k[j>>2]|0}switch($b|0){case 462:{k[Wb>>2]=k[Yb>>2];k[Wb+4>>2]=k[Yb+4>>2];k[Wb+8>>2]=k[Yb+8>>2];j=Yb+12|0;y=0;oa(464,Wb+12|0,j|0);Vb=y;y=0;if(Vb&1){j=pb()|0;break j}else{k[Wb+16>>2]=k[L>>2];k[Wb+20>>2]=k[m>>2];k[L>>2]=0;k[m>>2]=0;EO(j);$b=768;break i}}case 487:{j=pb()|0;break j}case 506:{j=pb()|0;break}case 507:{j=pb()|0;$b=569;break}case 508:{j=pb()|0;$b=569;break}case 515:{j=pb()|0;$b=568;break}case 548:{j=pb()|0;$b=568;break}case 549:{j=pb()|0;$b=555;break}case 550:{j=pb()|0;$b=552;break}case 551:{j=pb()|0;$9(Rb);$b=552;break}case 564:{j=pb()|0;if(q){$b=568;break}kZ(p);$b=568;break}case 576:{j=pb()|0;if(t)break;kZ(s);break}}if(($b|0)==552){EO(Sb);$b=555}if(($b|0)==555){EO(Tb);$b=568}if(($b|0)==568){TG(Ub,k[O>>2]|0);$b=569}if(($b|0)==569)EO(Vb);n=k[P>>2]|0;if(n|0)kZ(n);EO(Q)}while(0);m=k[m>>2]|0;if(m|0)kZ(m);EO(Yb+12|0)}while(0);if(($b|0)==586)j=pb()|0;else if(($b|0)==768){y=0;Ra(38,a|0,Wb|0,c|0,1);Yb=y;y=0;if(Yb&1){j=pb()|0;m=k[Wb+20>>2]|0;if(m|0)kZ(m);EO(Wb+12|0);break}j=k[Wb+20>>2]|0;if(j|0)kZ(j);EO(Wb+12|0);j=k[da>>2]|0;if(j|0)kZ(j);EO(Zb+12|0);j=k[l>>2]|0;if(j|0)kZ(j);EO(_b+12|0);j=k[ac>>2]|0;if(j|0)kZ(j);EO(bc+12|0);h=k[h>>2]|0;if(!h){cc=cc+12|0;EO(cc);r=Xb;return}kZ(h);cc=cc+12|0;EO(cc);r=Xb;return}break}case 622:{j=pb()|0;$b=749;break}case 623:{j=pb()|0;$b=627;break}case 624:{j=pb()|0;m=k[L>>2]|0;if(m|0)kZ(m);EO(O);$b=627;break}case 629:{j=pb()|0;$b=746;break}case 630:{j=pb()|0;if(o)$b=746;else{kZ(n);$b=746}break}case 632:{j=pb()|0;$b=737;break}case 666:{j=pb()|0;$b=734;break}case 667:{j=pb()|0;if(!s)kZ(q);if(p){$b=734;break}kZ(o);$b=734;break}case 671:{j=pb()|0;$b=731;break}case 675:{j=pb()|0;$b=731;break}case 676:{j=pb()|0;$b=715;break}case 703:{j=pb()|0;$b=715;break}case 704:{j=pb()|0;$b=707;break}case 705:{j=pb()|0;if(q)$b=707;else{kZ(p);$b=707}break}case 761:{j=pb()|0;$b=762;break}case 763:{j=pb()|0;if(!o)kZ(n);m=k[M>>2]|0;if(m|0)kZ(m);EO(Q);break}}if(($b|0)==627)if(x)$b=749;else{kZ(w);$b=749}else if(($b|0)==707){m=k[P>>2]|0;if(m|0)kZ(m);EO(S);$b=715}if(($b|0)==715){m=k[T>>2]|0;if(m|0)kZ(m);EO(U);$b=731}if(($b|0)==731){m=k[V>>2]|0;if(m|0)kZ(m);EO(W);$b=734}if(($b|0)==734){m=k[X>>2]|0;if(m|0)kZ(m);EO(Y);$b=737}if(($b|0)==737){m=k[Z>>2]|0;if(m|0)kZ(m);EO(_);$b=746}if(($b|0)==746){m=k[$>>2]|0;if(m|0)kZ(m);EO(aa);$b=749}if(($b|0)==749){m=k[ba>>2]|0;if(m|0)kZ(m);EO(ca);$b=762}m=k[da>>2]|0;if(m|0)kZ(m);EO(Zb+12|0)}l=k[l>>2]|0;if(l|0)kZ(l);EO(_b+12|0);break}case 43:{j=pb()|0;break}case 44:{j=pb()|0;$b=54;break}case 45:{j=pb()|0;if(n)$b=51;else{kZ(m);$b=51}break}case 47:{j=pb()|0;if(n)$b=51;else{kZ(m);$b=51}break}case 49:{j=pb()|0;if(n)$b=51;else{kZ(m);$b=51}break}case 73:{j=pb()|0;$b=75;break}case 74:{j=pb()|0;EO(Nb);$b=75;break}case 76:{j=pb()|0;s=N;$b=311;break}case 81:{j=pb()|0;l=N;o=q+80|0;m=k[p>>2]|0;if(m|0){n=k[o>>2]|0;if((n|0)!=(m|0)){do{$b=n+-4|0;k[o>>2]=$b;EO($b);n=k[o>>2]|0}while((n|0)!=(m|0));m=k[p>>2]|0}zqa(m)}$b=93;break}case 90:{j=pb()|0;n=N;$b=305;break}case 91:{j=pb()|0;l=N;$b=201;break}case 92:{j=pb()|0;l=N;$b=93;break}case 97:{j=pb()|0;l=N;$b=200;break}case 98:{j=pb()|0;l=N;$b=103;break}case 102:{j=pb()|0;l=N;EO(Ca);$b=103;break}case 111:{j=pb()|0;l=N;o=q+80|0;m=k[p>>2]|0;if(m|0){n=k[o>>2]|0;if((n|0)!=(m|0)){do{$b=n+-4|0;k[o>>2]=$b;EO($b);n=k[o>>2]|0}while((n|0)!=(m|0));m=k[p>>2]|0}zqa(m)}$b=126;break}case 120:{j=pb()|0;l=N;$b=200;break}case 121:{j=pb()|0;l=N;$b=199;break}case 122:{j=pb()|0;l=N;EO(Da);$b=199;break}case 123:{j=pb()|0;l=N;$b=198;break}case 124:{j=pb()|0;l=N;$b=128;break}case 125:{j=pb()|0;l=N;$b=126;break}case 127:{j=pb()|0;l=N;EO(Nb);$b=128;break}case 133:{j=pb()|0;l=N;$b=197;break}case 152:{j=pb()|0;l=N;TG(lb,k[za>>2]|0);$b=172;break}case 163:{j=pb()|0;l=N;$b=196;break}case 164:{j=pb()|0;l=N;$b=169;break}case 165:{j=pb()|0;l=N;EO(ib);$b=169;break}case 166:{j=pb()|0;m=1;l=N;$b=168;break}case 167:{_b=pb()|0;l=N;EO(db);m=j;j=_b;$b=168;break}case 170:{j=pb()|0;l=N;$b=195;break}case 171:{j=pb()|0;l=N;$b=172;break}case 173:{j=pb()|0;l=N;EO(Ga);$b=195;break}case 174:{j=pb()|0;l=N;$b=176;break}case 175:{j=pb()|0;l=N;EO(Nb);$b=176;break}case 177:{j=pb()|0;l=N;$b=194;break}case 180:{j=pb()|0;l=N;EO(Nb);$b=190;break}case 184:{j=pb()|0;l=N;EO(m);$b=192;break}case 189:{j=pb()|0;l=N;$b=190;break}case 191:{j=pb()|0;l=N;$b=192;break}case 234:{j=pb()|0;n=N;$b=305;break}case 235:{j=pb()|0;l=N;$b=304;break}case 236:{j=pb()|0;l=N;$b=238;break}case 237:{j=pb()|0;l=N;$b=238;break}case 246:{j=pb()|0;l=N;II(mb,k[fb>>2]|0);$b=303;break}case 255:{j=pb()|0;l=N;II(Ja,k[Q>>2]|0);$b=275;break}case 274:{j=pb()|0;l=N;$b=275;break}case 276:{j=pb()|0;l=N;II(Ja,k[Q>>2]|0);$b=302;break}case 277:{j=pb()|0;l=N;$b=298;break}case 288:{j=pb()|0;l=N;$b=295;break}case 289:{j=pb()|0;l=N;if(q)$b=295;else{kZ(p);$b=295}break}case 332:{j=pb()|0;EO(Za);break}case 333:{j=pb()|0;II(Fb,k[Bb>>2]|0);$b=422;break}case 334:{j=pb()|0;$b=335;break}case 349:{j=pb()|0;$b=419;break}case 350:{j=pb()|0;$b=418;break}case 351:{j=pb()|0;$b=353;break}case 352:{j=pb()|0;EO(_a);$b=353;break}case 354:{j=pb()|0;$b=355;break}case 376:{j=pb()|0;$b=418;break}case 377:{j=pb()|0;$b=383;break}case 378:{j=pb()|0;$b=380;break}case 379:{j=pb()|0;$9(ab);$b=380;break}case 400:{j=pb()|0;$b=404;break}case 401:{j=pb()|0;l=k[ba>>2]|0;if(l|0)kZ(l);EO(da);$b=404;break}case 416:{j=pb()|0;if(n)$b=418;else{kZ(m);$b=418}break}}switch($b|0){case 51:{l=k[ha>>2]|0;if(l|0)kZ(l);EO(ja);$b=54;break}case 75:{$b=327;break}case 93:{zqa(q);$b=201;break}case 103:{EO(gb);$b=200;break}case 126:{zqa(q);$b=128;break}case 168:{EO(jb);EO(ib);if(m)$b=169;else $b=196;break}case 172:{$b=195;break}case 176:{$b=194;break}case 190:{$b=193;break}case 192:{EO(ea);EO(Nb);$b=193;break}case 238:{$b=303;break}case 275:{$b=302;break}case 295:{m=k[ga>>2]|0;if(m|0)kZ(m);EO(ia);$b=298;break}case 353:{$b=355;break}case 380:{EO(eb);$b=383;break}case 404:{if(s)$b=418;else{kZ(q);$b=418}break}}if(($b|0)==54){l=k[ka>>2]|0;if(l|0)kZ(l);EO(ma)}else if(($b|0)==128)$b=198;else if(($b|0)==169){zqa(p);$b=196}else if(($b|0)==193)$b=194;else if(($b|0)==298){m=k[la>>2]|0;if(m|0)kZ(m);EO(pa);$b=302}else if(($b|0)==355){TG(Nb,k[ca>>2]|0);$b=418}else if(($b|0)==383){EO(hb);$b=418}if(($b|0)==194){TG(lb,k[za>>2]|0);$b=195}else if(($b|0)==302){II(mb,k[fb>>2]|0);$b=303}else if(($b|0)==418){EO(kb);$b=419}if(($b|0)==195){EO(nb);$b=196}else if(($b|0)==303){EO(ob);$b=304}else if(($b|0)==419){l=k[Db>>2]|0;if(l|0)kZ(l);EO(Eb);$b=422}if(($b|0)==196){EO(rb);$b=197}else if(($b|0)==304){EO(qb);n=l;$b=305}if(($b|0)==197){EO(tb);$b=198}if(($b|0)==198){EO(ub);$b=199}if(($b|0)==199){EO(vb);$b=200}if(($b|0)==200){EO(wb);$b=201}if(($b|0)==201){EO(xb);n=l;$b=305}if(($b|0)==305){l=k[Ob>>2]|0;if(l|0){m=k[yb>>2]|0;if((m|0)!=(l|0)){do{$b=m+-8|0;k[yb>>2]=$b;EO(m+-4|0);EO($b);m=k[yb>>2]|0}while((m|0)!=(l|0));l=k[Ob>>2]|0}zqa(l)}s=n;$b=311}if(($b|0)==311){l=k[Pb>>2]|0;if(l|0){m=k[zb>>2]|0;if((m|0)!=(l|0)){do{q=m+-16|0;k[zb>>2]=q;o=m+-12|0;p=k[o>>2]|0;if(p|0){n=m+-8|0;m=k[n>>2]|0;if((m|0)==(p|0))m=p;else{do{$b=m+-8|0;k[n>>2]=$b;EO(m+-4|0);EO($b);m=k[n>>2]|0}while((m|0)!=(p|0));m=k[o>>2]|0}zqa(m)}EO(q);m=k[zb>>2]|0}while((m|0)!=(l|0));l=k[Pb>>2]|0}zqa(l)}l=k[Cb>>2]|0;if(l|0){m=k[Ab>>2]|0;if((m|0)!=(l|0)){do{$b=m+-8|0;k[Ab>>2]=$b;EO(m+-4|0);EO($b);m=k[Ab>>2]|0}while((m|0)!=(l|0));l=k[Cb>>2]|0}zqa(l)}$b=327}if(($b|0)==327){l=k[Db>>2]|0;if(l|0)kZ(l);EO(Eb);$b=335}if(($b|0)==335){II(Fb,k[Bb>>2]|0);$b=422}if(($b|0)==422)EO(Gb);l=k[ac>>2]|0;if(l|0)kZ(l);EO(bc+12|0)}h=k[h>>2]|0;if(!h){cc=cc+12|0;EO(cc);sb(j|0)}kZ(h);cc=cc+12|0;EO(cc);sb(j|0)}function Yc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ka=0,la=0,ma=0,pa=0,ra=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Oa=0,Pa=0,Qa=0,Sa=0,Ta=0;Pa=0;Ga=r;r=r+1344|0;Fa=Ga+184|0;Da=Ga+48|0;Ia=Ga+1268|0;Ba=Ga+1256|0;ya=Ga+1240|0;t=Ga+1236|0;u=Ga+8|0;o=Ga+1164|0;l=Ga+1156|0;g=Ga+1320|0;h=Ga+1280|0;Ta=Ga+1088|0;Sa=Ga+1064|0;Qa=Ga+1056|0;q=Ga+1048|0;p=Ga+1032|0;m=Ga+1252|0;n=Ga+1224|0;F=Ga+1028|0;s=Ga+1184|0;C=Ga+1168|0;D=Ga+1160|0;x=Ga+1144|0;z=Ga+1104|0;A=Ga+1076|0;B=Ga;H=Ga+872|0;v=Ga+1060|0;w=Ga+1052|0;G=Ga+840|0;E=Ga+1036|0;Oa=Ga+792|0;La=Ga+776|0;Ka=Ga+732|0;Ja=Ga+688|0;Q=Ga+1016|0;P=Ga+860|0;O=Ga+856|0;L=Ga+852|0;V=Ga+592|0;S=Ga+800|0;T=Ga+780|0;Y=Ga+736|0;ia=Ga+720|0;ha=Ga+708|0;ka=Ga+500|0;R=Ga+648|0;U=Ga+580|0;fa=Ga+484|0;X=Ga+576|0;W=Ga+536|0;ca=Ga+528|0;da=Ga+516|0;Aa=Ga+464|0;aa=Ga+504|0;$=Ga+488|0;_=Ga+480|0;Z=Ga+476|0;ga=Ga+408|0;ba=Ga+368|0;ea=Ga+352|0;ra=Ga+348|0;pa=Ga+336|0;ma=Ga+332|0;la=Ga+276|0;ua=Ga+320|0;va=Ga+280|0;wa=Ga+264|0;xa=Ga+224|0;Ca=a+4|0;za=vV(k[Ca>>2]|0)|0;a:do if(k[za>>2]|0){d=0;c=vV(k[Ca>>2]|0)|0;while(1){c=k[c>>2]|0;if(!c)break;else d=d+1|0}e=k[3668]|0;if((d+-1|0)>>>0>e>>>0){j=Da+56|0;d=Da+4|0;k[Da>>2]=14580;k[j>>2]=14600;y=0;oa(528,Da+56|0,d|0);za=y;y=0;if(za&1){Ta=pb()|0;dja(j);sb(Ta|0)}k[Da+128>>2]=0;k[Da+132>>2]=-1;k[Da>>2]=14324;k[j>>2]=14344;y=0;na(373,d|0);za=y;y=0;do if(za&1)c=pb()|0;else{k[d>>2]=14240;f=Da+36|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[Da+52>>2]=16;k[Fa>>2]=0;k[Fa+4>>2]=0;k[Fa+8>>2]=0;y=0;oa(529,d|0,Fa|0);za=y;y=0;if(za&1){c=pb()|0;$9(Fa);$9(f);nba(d);break}$9(Fa);y=0;c=ta(54,Da|0,41870,28)|0;za=y;y=0;if(za&1)Pa=19;else{y=0;Ha(978,c|0,e|0)|0;za=y;y=0;if(za&1)Pa=19;else{y=0;oa(530,g|0,d|0);za=y;y=0;if(za&1)Pa=19;else{I=h;J=b+12|0;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));y=0;c=qa(441,k[Ca>>2]|0)|0;za=y;y=0;if(!(za&1)){y=0;I=Fa;J=h;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));Na(103,g|0,Fa|0,c|0);za=y;y=0;if(!(za&1)){$9(g);k[Da>>2]=14324;k[j>>2]=14344;k[d>>2]=14240;$9(f);nba(d);Kka(Da,14356);dja(j);break a}}c=pb()|0;$9(g)}}}if((Pa|0)==19)c=pb()|0;k[Da>>2]=14324;k[j>>2]=14344;k[d>>2]=14240;$9(f);nba(d);Kka(Da,14356);dja(j);Ta=c;sb(Ta|0)}while(0);Kka(Da,14356);Ta=c;dja(j);sb(Ta|0)}}while(0);za=b+60|0;pK(Fa,za);y=0;oa(552,Ta|0,Fa|0);M=y;y=0;if(M&1){Ta=pb()|0;$9(Fa);sb(Ta|0)}$9(Fa);k[Sa>>2]=0;k[Sa+4>>2]=0;k[Sa+8>>2]=0;d=Ta+11|0;M=i[d>>0]|0;K=M<<24>>24<0;M=K?k[Ta+4>>2]|0:M&255;y=0;Ra(10,Sa|0,(K?k[Ta>>2]|0:Ta)|0,M|0,M+3|0);M=y;y=0;if(M&1)Pa=40;else{y=0;ta(47,Sa|0,42903,3)|0;M=y;y=0;if(M&1)Pa=40;else{y=0;oa(464,l|0,b+72|0);M=y;y=0;if(M&1)c=pb()|0;else{k[Qa>>2]=k[l>>2];y=0;M=qa(439,k[Ca>>2]|0)|0;K=y;y=0;b:do if(K&1)c=pb()|0;else{y=0;c=Ha(988,M|0,Sa|0)|0;K=y;y=0;c:do if(!(K&1)){if(c){if(!(i[b+76>>0]|0)){y=0;c=qa(445,((i[d>>0]|0)<0?k[Ta>>2]|0:Ta)|0)|0;K=y;y=0;if(K&1)break;if(c|0)Pa=32}}else Pa=32;d:do if((Pa|0)==32){k[Fa>>2]=0;k[Fa+4>>2]=0;k[Fa+8>>2]=0;y=0;Na(75,Fa|0,41899,4);K=y;y=0;do if(K&1)c=pb()|0;else{y=0;c=Ha(988,M|0,Fa|0)|0;K=y;y=0;if(K&1){c=pb()|0;$9(Fa);break}$9(Fa);if(c){y=0;Ha(1006,Sa|0,41899)|0;K=y;y=0;if(K&1)break c;else break d}c=k[Qa>>2]|0;d=k[c+64>>2]|0;f=k[c+68>>2]|0;do if((d|0)!=(f|0)){e=b+12|0;e:while(1){y=0;oa(464,q|0,d|0);Pa=y;y=0;if(Pa&1){Pa=51;break}y=0;oa(464,o|0,(k[q>>2]|0)+60|0);Pa=y;y=0;if(Pa&1){Pa=52;break}c=k[o>>2]|0;k[m>>2]=c;if(!c)c=0;else c=pw(c,40,216,0)|0;y=0;oa(482,p|0,c|0);Pa=y;y=0;if(Pa&1){Pa=53;break}EO(m);c=k[p>>2]|0;do if(c|0){y=0;c=qa(k[(k[c>>2]|0)+116>>2]|0,c|0)|0;Pa=y;y=0;if(Pa&1){Pa=61;break e}if(c|0)break;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(75,n|0,41904,27);Pa=y;y=0;if(Pa&1){Pa=61;break e}y=0;I=Fa;J=e;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));oa(458,n|0,Fa|0);Pa=y;y=0;if(Pa&1){Pa=62;break e}$9(n)}while(0);EO(p);EO(q);d=d+4|0;if((d|0)==(f|0)){Pa=37;break}}if((Pa|0)==37){c=k[Qa>>2]|0;break}else if((Pa|0)==51){c=pb()|0;break b}else if((Pa|0)==52)c=pb()|0;else if((Pa|0)==53){c=pb()|0;EO(m)}else if((Pa|0)==61){c=pb()|0;Pa=64}else if((Pa|0)==62){c=pb()|0;$9(n);Pa=64}if((Pa|0)==64)EO(p);EO(q);break b}while(0);y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;Oa=y;y=0;do if(Oa&1)Pa=68;else{if(!c)c=0;else c=pw(c,40,1128,0)|0;y=0;oa(482,Fa|0,c|0);Oa=y;y=0;if(Oa&1){Pa=68;break}y=0;Ha(966,Qa|0,Fa|0)|0;Oa=y;y=0;if(Oa&1){c=pb()|0;EO(Fa);break}EO(Fa);y=0;f=qa(332,88)|0;Oa=y;y=0;if(Oa&1)break c;e=b+12|0;I=s;J=e;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));y=0;oa(452,C|0,za|0);Oa=y;y=0;do if(Oa&1)c=pb()|0;else{y=0;oa(482,D|0,k[Qa>>2]|0);Oa=y;y=0;if(Oa&1){c=pb()|0;$9(C);break}I=u;J=s;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));y=0;na(366,f|0);Oa=y;y=0;f:do if(Oa&1){c=1;Pa=91}else{I=f+12|0;J=u;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;c=f+56|0;k[c>>2]=0;k[f>>2]=8608;d=f+60|0;y=0;oa(452,d|0,C|0);Oa=y;y=0;do if(Oa&1)c=pb()|0;else{y=0;oa(464,f+72|0,D|0);Oa=y;y=0;if(Oa&1){c=pb()|0;$9(d);break}i[f+76>>0]=0;k[f+80>>2]=0;k[f+84>>2]=0;k[c>>2]=11;y=0;oa(482,F|0,f|0);Oa=y;y=0;if(Oa&1){c=0;Pa=91;break f}EO(D);$9(C);g:do if(!(i[(k[Qa>>2]|0)+80>>0]|0))Pa=102;else{y=0;oa(452,Ia|0,za|0);Oa=y;y=0;if(Oa&1)c=pb()|0;else{y=0;c=ta(52,Ia|0,0,41932)|0;Oa=y;y=0;if(Oa&1)c=pb()|0;else{k[Da>>2]=k[c>>2];k[Da+4>>2]=k[c+4>>2];k[Da+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(970,Da|0,41942)|0;Oa=y;y=0;do if(Oa&1)c=pb()|0;else{k[x>>2]=k[c>>2];k[x+4>>2]=k[c+4>>2];k[x+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;I=Fa;J=e;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));oa(458,x|0,Fa|0);Oa=y;y=0;if(Oa&1){c=pb()|0;$9(x);break}else{$9(x);$9(Da);$9(Ia);Pa=102;break g}}while(0);$9(Da)}$9(Ia)}}while(0);do if((Pa|0)==102){y=0;d=qa(332,80)|0;Oa=y;y=0;if(Oa&1){c=pb()|0;break}I=z;J=e;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));Oa=k[F>>2]|0;La=k[(k[Oa>>2]|0)+28>>2]|0;Ia=k[(k[a+8>>2]|0)+16>>2]|0;Ja=k[Ia+4>>2]|0;Ka=B;k[Ka>>2]=k[Ia>>2];k[Ka+4>>2]=Ja;y=0;k[Fa>>2]=k[B>>2];k[Fa+4>>2]=k[B+4>>2];Na(La|0,A|0,Oa|0,Fa|0);Oa=y;y=0;do if(Oa&1)c=pb()|0;else{y=0;I=Fa;J=z;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));Ea(2,d|0,Fa|0,A|0,0,0,0,1);Oa=y;y=0;if(Oa&1){c=pb()|0;$9(A);break}$9(A);i[d+54>>0]=i[b+54>>0]|0;EO(F);Pa=d;EO(Qa);$9(Sa);$9(Ta);r=Ga;return Pa|0}while(0);zqa(d)}while(0);EO(F);break b}while(0);d=1}while(0);if((Pa|0)==91){Oa=pb()|0;d=c;c=Oa}EO(D);$9(C);if(!d)break b}while(0);zqa(f);break b}while(0);if((Pa|0)==68)c=pb()|0;break b}while(0);break b}while(0);n=Sa+11|0;K=i[n>>0]|0;o=Sa+4|0;do if(((K<<24>>24<0?k[o>>2]|0:K&255)|0)==7){y=0;c=sa(21,Sa|0,0,-1,41977,7)|0;K=y;y=0;if(K&1){K=tb(0)|0;dla(K)}else if(!c)break;else{Pa=115;break}}else Pa=115;while(0);if((Pa|0)==115){K=k[Qa>>2]|0;y=0;oa(k[(k[K>>2]|0)+96>>2]|0,K|0,0);K=y;y=0;if(K&1)break}K=i[n>>0]|0;do if(((K<<24>>24<0?k[o>>2]|0:K&255)|0)==5){y=0;c=sa(21,Sa|0,0,-1,41985,5)|0;K=y;y=0;if(K&1){K=tb(0)|0;dla(K)}else if(!c)break;else{Pa=120;break}}else Pa=120;while(0);h:do if((Pa|0)==120){c=k[Qa>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;K=y;y=0;do if(K&1)Pa=123;else{if(!c)c=0;else c=pw(c,40,1128,0)|0;y=0;oa(482,Fa|0,c|0);K=y;y=0;if(K&1)Pa=123;else{y=0;Ha(966,Qa|0,Fa|0)|0;K=y;y=0;if(K&1){c=pb()|0;EO(Fa);break}else{EO(Fa);break h}}}while(0);if((Pa|0)==123)c=pb()|0;break b}while(0);y=0;c=Ha(971,M|0,Sa|0)|0;K=y;y=0;if(!(K&1)){c=pw(k[c>>2]|0,8,1032,0)|0;i:do if(!(i[c+104>>0]|0)){l=c;Pa=182}else{h=H+64|0;c=H+8|0;k[c>>2]=14400;g=H+12|0;k[H>>2]=14440;k[h>>2]=14460;k[H+4>>2]=0;y=0;oa(528,H+64|0,g|0);K=y;y=0;if(K&1)c=pb()|0;else{k[H+136>>2]=0;k[H+140>>2]=-1;k[H>>2]=14380;k[h>>2]=14420;k[c>>2]=14400;y=0;na(373,g|0);K=y;y=0;do if(K&1)c=pb()|0;else{k[g>>2]=14240;f=H+44|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[H+60>>2]=24;k[Fa>>2]=0;k[Fa+4>>2]=0;k[Fa+8>>2]=0;y=0;oa(529,g|0,Fa|0);K=y;y=0;if(K&1){c=pb()|0;$9(Fa);$9(f);nba(g);break}$9(Fa);K=k[Qa>>2]|0;d=k[K+68>>2]|0;c=d-(k[K+64>>2]|0)>>2;do if(!(i[K+81>>0]|0))Pa=151;else{if(!c){c=0;Pa=151;break}y=0;oa(464,t|0,d+-4|0);K=y;y=0;if(K&1){Pa=147;break}K=k[t>>2]|0;k[w>>2]=K;y=0;oa(464,ya|0,K+60|0);K=y;y=0;if(K&1){c=pb()|0;EO(w);break}d=k[ya>>2]|0;k[v>>2]=d;if(!d)d=0;else d=pw(d,40,216,0)|0;EO(v);EO(w);if(!d){Pa=151;break}c=c+-1+((k[d+68>>2]|0)-(k[d+64>>2]|0)>>2)|0;Pa=151}while(0);do if((Pa|0)==151){e=H+8|0;d=i[n>>0]|0;K=d<<24>>24<0;y=0;d=ta(54,e|0,(K?k[Sa>>2]|0:Sa)|0,(K?k[o>>2]|0:d&255)|0)|0;K=y;y=0;if(K&1){Pa=147;break}y=0;Ha(972,d|0,c|0)|0;K=y;y=0;if(K&1){Pa=147;break}y=0;oa(530,Fa|0,g|0);K=y;y=0;if(K&1){c=pb()|0;break}if((i[n>>0]|0)<0){i[k[Sa>>2]>>0]=0;k[o>>2]=0}else{i[Sa>>0]=0;i[n>>0]=0}y=0;oa(506,Sa|0,0);K=y;y=0;if(K&1){K=tb(0)|0;dla(K)}k[Sa>>2]=k[Fa>>2];k[Sa+4>>2]=k[Fa+4>>2];k[Sa+8>>2]=k[Fa+8>>2];k[Fa>>2]=0;k[Fa+4>>2]=0;k[Fa+8>>2]=0;$9(Fa);y=0;oa(452,G|0,Sa|0);K=y;y=0;if(K&1){Pa=147;break}y=0;c=Ha(988,M|0,G|0)|0;K=y;y=0;j:do if(K&1)Pa=168;else{k:do if(!c){y=0;oa(452,Ia|0,za|0);K=y;y=0;if(K&1)c=pb()|0;else{y=0;c=ta(52,Ia|0,0,41991)|0;K=y;y=0;if(K&1)c=pb()|0;else{k[Da>>2]=k[c>>2];k[Da+4>>2]=k[c+4>>2];k[Da+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(970,Da|0,42013)|0;K=y;y=0;do if(K&1)c=pb()|0;else{k[E>>2]=k[c>>2];k[E+4>>2]=k[c+4>>2];k[E+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;I=Fa;J=b+12|0;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));oa(458,E|0,Fa|0);K=y;y=0;if(K&1){c=pb()|0;$9(E);break}else{$9(E);$9(Da);$9(Ia);break k}}while(0);$9(Da)}$9(Ia)}break j}while(0);y=0;c=Ha(971,M|0,G|0)|0;Pa=y;y=0;if(Pa&1){Pa=168;break}c=k[c>>2]|0;if(!c)c=0;else c=pw(c,8,1032,0)|0;$9(G);k[H>>2]=14380;k[h>>2]=14420;k[e>>2]=14400;k[g>>2]=14240;$9(f);nba(g);zka(H,14472);dja(h);l=c;Pa=182;break i}while(0);if((Pa|0)==168)c=pb()|0;$9(G)}while(0);if((Pa|0)==147)c=pb()|0;k[H>>2]=14380;k[h>>2]=14420;k[H+8>>2]=14400;k[g>>2]=14240;$9(f);nba(g);zka(H,14472);dja(h);break b}while(0);zka(H,14472)}dja(h)}while(0);do if((Pa|0)==182){y=0;oa(482,Oa|0,b|0);K=y;y=0;if(K&1){c=pb()|0;break}y=0;oa(464,Ba|0,l+64|0);K=y;y=0;if(K&1)c=pb()|0;else{k[La>>2]=k[Ba>>2];m=k[l+92>>2]|0;p=k[l+96>>2]|0;y=0;oa(464,Ia|0,l+80|0);K=y;y=0;if(K&1)c=pb()|0;else{k[Ka>>2]=k[Ia>>2];y=0;Na(120,Ja|0,k[l+84>>2]|0,0);K=y;y=0;if(K&1)c=pb()|0;else{c=k[Ca>>2]|0;k[Fa>>2]=Ja;d=c+28|0;e=k[d>>2]|0;do if(e>>>0<(k[c+32>>2]|0)>>>0){k[e>>2]=Ja;k[d>>2]=(k[d>>2]|0)+4;Pa=189}else{y=0;oa(573,c+24|0,Fa|0);K=y;y=0;if(!(K&1)){Pa=189;break}c=pb()|0}while(0);l:do if((Pa|0)==189){j=(m|0)!=0;m:do if(j|(k[La>>2]|0)!=0){k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;y=0;Na(75,Q|0,42047,8);Aa=y;y=0;if(Aa&1){Pa=212;break}y=0;oa(452,P|0,za|0);Aa=y;y=0;if(Aa&1)c=pb()|0;else{y=0;oa(464,O|0,Ka|0);Aa=y;y=0;if(Aa&1)c=pb()|0;else{y=0;oa(464,L|0,Qa|0);Aa=y;y=0;do if(Aa&1)c=pb()|0;else{f=a+8|0;y=0;Ea(4,Q|0,P|0,O|0,L|0,k[f>>2]|0,Ja|0,a|0);Aa=y;y=0;if(Aa&1){c=pb()|0;EO(L);break}EO(L);EO(O);$9(P);$9(Q);y=0;d=qa(441,k[Ca>>2]|0)|0;Aa=y;y=0;if(Aa&1){Pa=212;break m}g=b+12|0;I=S;J=g;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));y=0;oa(452,Da|0,za|0);Aa=y;y=0;if(Aa&1)c=pb()|0;else{y=0;c=ta(52,Da|0,0,42056)|0;Aa=y;y=0;if(Aa&1)c=pb()|0;else{k[Fa>>2]=k[c>>2];k[Fa+4>>2]=k[c+4>>2];k[Fa+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(970,Fa|0,42853)|0;Aa=y;y=0;do if(Aa&1)c=pb()|0;else{k[T>>2]=k[c>>2];k[T+4>>2]=k[c+4>>2];k[T+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[V>>2]=d;I=V+4|0;J=S;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));h=V+44|0;y=0;oa(452,h|0,T|0);Aa=y;y=0;if(Aa&1){c=pb()|0;$9(T);break}$9(T);$9(Fa);$9(Da);c=k[Ca>>2]|0;k[Fa>>2]=V;d=c+88|0;e=k[d>>2]|0;do if(e>>>0<(k[c+92>>2]|0)>>>0){k[e>>2]=V;k[d>>2]=(k[d>>2]|0)+4;Pa=203}else{y=0;oa(576,c+84|0,Fa|0);Aa=y;y=0;if(!(Aa&1)){Pa=203;break}c=pb()|0}while(0);n:do if((Pa|0)==203){c=k[La>>2]|0;o:do if(!c){if(!j)break;e=k[f>>2]|0;c=k[l+108>>2]|0;I=Y;J=g;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));y=0;d=qa(441,k[Ca>>2]|0)|0;Aa=y;y=0;do if(Aa&1)Pa=243;else{y=0;oa(577,ia|0,(k[Ca>>2]|0)+60|0);Aa=y;y=0;if(Aa&1){Pa=243;break}y=0;I=Fa;J=Y;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));c=ja(m|0,Ja|0,M|0,e|0,c|0,Fa|0,d|0,ia|0)|0;Aa=y;y=0;do if(Aa&1)Pa=244;else{y=0;oa(482,Da|0,c|0);Aa=y;y=0;if(Aa&1){Pa=244;break}y=0;Ha(966,Oa|0,Da|0)|0;Aa=y;y=0;if(Aa&1){c=pb()|0;f=N;EO(Da);break}EO(Da);c=k[ia>>2]|0;if(c|0){e=ia+4|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{Aa=d+-4|0;k[e>>2]=Aa;EO(Aa);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[ia>>2]|0}zqa(c)}break o}while(0);if((Pa|0)==244){c=pb()|0;f=N}d=k[ia>>2]|0;if(!d)break;g=ia+4|0;e=k[g>>2]|0;if((e|0)!=(d|0)){do{Ia=e+-4|0;k[g>>2]=Ia;EO(Ia);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[ia>>2]|0}zqa(d)}while(0);if((Pa|0)==243)c=pb()|0;break n}else{y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;Aa=y;y=0;do if(Aa&1)Pa=228;else{y=0;oa(482,Fa|0,c|0);Aa=y;y=0;if(Aa&1){Pa=228;break}y=0;Ha(966,Oa|0,Fa|0)|0;Aa=y;y=0;if(Aa&1){c=pb()|0;EO(Fa);break}else{EO(Fa);break o}}while(0);if((Pa|0)==228)c=pb()|0;break n}while(0);p:do if(!(k[Oa>>2]|0)){k[Ia>>2]=0;k[Ia+4>>2]=0;k[Ia+8>>2]=0;y=0;Na(75,Ia|0,41932,9);Aa=y;y=0;if(Aa&1)c=pb()|0;else{y=0;oa(452,Ba|0,za|0);Aa=y;y=0;if(Aa&1)c=pb()|0;else{c=i[Ba+11>>0]|0;Aa=c<<24>>24<0;y=0;c=ta(47,Ia|0,(Aa?k[Ba>>2]|0:Ba)|0,(Aa?k[Ba+4>>2]|0:c&255)|0)|0;Aa=y;y=0;if(Aa&1)c=pb()|0;else{k[Da>>2]=k[c>>2];k[Da+4>>2]=k[c+4>>2];k[Da+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(970,Da|0,42072)|0;Aa=y;y=0;do if(Aa&1)c=pb()|0;else{k[ha>>2]=k[c>>2];k[ha+4>>2]=k[c+4>>2];k[ha+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;I=Fa;J=g;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));oa(458,ha|0,Fa|0);Aa=y;y=0;if(Aa&1){c=pb()|0;$9(ha);break}else{$9(ha);$9(Da);$9(Ba);$9(Ia);break p}}while(0);$9(Da)}$9(Ba)}$9(Ia)}break n}while(0);Ia=(k[Ca>>2]|0)+88|0;k[Ia>>2]=(k[Ia>>2]|0)+-4;$9(h);break m}while(0);$9(h);break l}while(0);$9(Fa)}$9(Da)}break l}while(0);EO(O)}$9(P)}$9(Q);break l}else{if(!p)break;y=0;l=qa(440,p|0)|0;ia=y;y=0;if(ia&1){Pa=212;break}ia=i[n>>0]|0;q:do if(((ia<<24>>24<0?k[o>>2]|0:ia&255)|0)==4){y=0;c=sa(21,Sa|0,0,-1,41899,4)|0;ia=y;y=0;if(ia&1){ia=tb(0)|0;dla(ia)}if(c|0){Pa=321;break}y=0;e=qa(332,80)|0;ia=y;y=0;if(ia&1)break;f=b+12|0;I=R;J=f;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));y=0;oa(452,U|0,za|0);ia=y;y=0;if(ia&1)c=pb()|0;else{y=0;I=Fa;J=R;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));Ea(2,e|0,Fa|0,U|0,0,0,0,1);ia=y;y=0;do if(ia&1)d=1;else{y=0;oa(482,ka|0,e|0);ia=y;y=0;if(ia&1){d=0;break}$9(U);y=0;j=qa(332,84)|0;ia=y;y=0;r:do if(ia&1)Pa=308;else{I=Da;J=f;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));y=0;na(366,j|0);ia=y;y=0;do if(ia&1)c=pb()|0;else{I=j+12|0;J=Da;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));k[j>>2]=4940;i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=0;c=j+60|0;k[c>>2]=8568;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(548,g|0,0);ia=y;y=0;if(ia&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{Ia=e+-4|0;k[h>>2]=Ia;EO(Ia);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}zqa(d)}break}k[j>>2]=8404;k[c>>2]=8528;i[j+80>>0]=0;i[j+81>>0]=0;i[j+82>>0]=0;y=0;oa(482,fa|0,j|0);ia=y;y=0;if(ia&1){Pa=308;break r}d=(k[fa>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;g=qa(332,84)|0;ia=y;y=0;s:do if(ia&1)Pa=311;else{I=W;J=f;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));y=0;oa(482,ca|0,k[ka>>2]|0);ia=y;y=0;do if(ia&1)c=pb()|0;else{k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;y=0;Na(75,da|0,82159,0);ia=y;y=0;if(ia&1){c=pb()|0;EO(ca);break}I=Fa;J=W;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));y=0;na(366,g|0);ia=y;y=0;t:do if(ia&1){c=1;Pa=314}else{I=g+12|0;J=Fa;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=8284;c=g+60|0;y=0;oa(464,c|0,ca|0);ia=y;y=0;do if(ia&1)c=pb()|0;else{y=0;oa(452,g+64|0,da|0);ia=y;y=0;if(ia&1){Pa=pb()|0;EO(c);c=Pa;break}i[g+76>>0]=0;i[g+77>>0]=0;k[g+80>>2]=0;y=0;oa(482,X|0,g|0);ia=y;y=0;if(ia&1){c=0;Pa=314;break t}y=0;oa(e|0,d|0,X|0);ia=y;y=0;if(ia&1){c=pb()|0;EO(X);d=0;break t}EO(X);$9(da);EO(ca);ia=(k[fa>>2]|0)+60|0;Pa=k[Qa>>2]|0;y=0;oa(k[(k[ia>>2]|0)+24>>2]|0,ia|0,((Pa|0)==0?0:Pa+60|0)|0);Pa=y;y=0;if(Pa&1){Pa=311;break s}y=0;Ha(966,Qa|0,fa|0)|0;Pa=y;y=0;if(Pa&1){Pa=311;break s}EO(fa);EO(ka);Pa=321;break q}while(0);d=1;Pa=315}while(0);if((Pa|0)==314){Ia=pb()|0;d=c;c=Ia;Pa=315}$9(da);EO(ca);if(!d)break s}while(0);zqa(g)}while(0);if((Pa|0)==311)c=pb()|0;EO(fa);break r}while(0);zqa(j)}while(0);if((Pa|0)==308)c=pb()|0;EO(ka);break l}while(0);c=pb()|0;$9(U);if(!d)break l}zqa(e);break l}else Pa=321;while(0);do if((Pa|0)==321){y=0;oa(452,Aa|0,za|0);ka=y;y=0;if(ka&1)break;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;y=0;Na(75,aa|0,42047,8);ka=y;y=0;u:do if(ka&1)Pa=339;else{y=0;oa(452,$|0,za|0);ka=y;y=0;if(ka&1)c=pb()|0;else{y=0;oa(464,_|0,Ka|0);ka=y;y=0;if(ka&1)c=pb()|0;else{y=0;oa(464,Z|0,Qa|0);ka=y;y=0;do if(ka&1)c=pb()|0;else{h=a+8|0;y=0;Ea(4,aa|0,$|0,_|0,Z|0,k[h>>2]|0,Ja|0,a|0);ka=y;y=0;if(ka&1){c=pb()|0;EO(Z);break}EO(Z);EO(_);$9($);$9(aa);y=0;d=qa(441,k[Ca>>2]|0)|0;ka=y;y=0;if(ka&1){Pa=339;break u}g=b+12|0;I=ba;J=g;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));y=0;oa(452,Da|0,za|0);ka=y;y=0;if(ka&1)c=pb()|0;else{y=0;c=ta(52,Da|0,0,42056)|0;ka=y;y=0;if(ka&1)c=pb()|0;else{k[Fa>>2]=k[c>>2];k[Fa+4>>2]=k[c+4>>2];k[Fa+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(970,Fa|0,42853)|0;ka=y;y=0;do if(ka&1)c=pb()|0;else{k[ea>>2]=k[c>>2];k[ea+4>>2]=k[c+4>>2];k[ea+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[ga>>2]=d;I=ga+4|0;J=ba;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));j=ga+44|0;y=0;oa(452,j|0,ea|0);ka=y;y=0;if(ka&1){c=pb()|0;$9(ea);break}$9(ea);$9(Fa);$9(Da);c=k[Ca>>2]|0;k[Fa>>2]=ga;d=c+88|0;e=k[d>>2]|0;do if(e>>>0<(k[c+92>>2]|0)>>>0){k[e>>2]=ga;k[d>>2]=(k[d>>2]|0)+4;Pa=335}else{y=0;oa(576,c+84|0,Fa|0);ka=y;y=0;if(!(ka&1)){Pa=335;break}c=pb()|0}while(0);if((Pa|0)==335){k[Da>>2]=18364;f=k[Ka>>2]|0;y=0;f=Ha(1015,(k[f+60>>2]|0)-(k[f+56>>2]|0)>>2|0,0)|0;ka=y;y=0;v:do if(ka&1)c=pb()|0;else{c=k[Ka>>2]|0;w:do if((k[c+60>>2]|0)!=(k[c+56>>2]|0)){d=0;while(1){c=c+52|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,d|0)|0;ka=y;y=0;if(ka&1){Pa=356;break}y=0;oa(464,ra|0,c|0);ka=y;y=0;if(ka&1){Pa=356;break}y=0;oa(452,pa|0,(k[ra>>2]|0)+52|0);ka=y;y=0;if(ka&1){Pa=364;break}y=0;c=Ha(1014,Ja|0,pa|0)|0;ka=y;y=0;if(ka&1){Pa=365;break}y=0;oa(464,ma|0,c|0);ka=y;y=0;if(ka&1){Pa=365;break}c=k[ma>>2]|0;if(!c)c=0;else c=pw(c,8,40,0)|0;y=0;oa(482,la|0,c|0);ka=y;y=0;if(ka&1){Pa=366;break}c=k[la>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+64>>2]|0,c|0,Da|0)|0;ka=y;y=0;if(ka&1){Pa=371;break}y=0;Na(118,f|0,d|0,c|0);ka=y;y=0;if(ka&1){Pa=371;break}EO(la);EO(ma);$9(pa);EO(ra);d=d+1|0;c=k[Ka>>2]|0;if(d>>>0>=(k[c+60>>2]|0)-(k[c+56>>2]|0)>>2>>>0)break w}if((Pa|0)==356){c=pb()|0;break v}else if((Pa|0)==364)c=pb()|0;else if((Pa|0)==365){c=pb()|0;Pa=373}else if((Pa|0)==366){c=pb()|0;Pa=372}else if((Pa|0)==371){c=pb()|0;EO(la);Pa=372}if((Pa|0)==372){EO(ma);Pa=373}if((Pa|0)==373)$9(pa);EO(ra);break v}while(0);y=0;e=ta(l|0,f|0,p|0,k[(k[h>>2]|0)+272>>2]|0)|0;Da=y;y=0;if(Da&1){c=pb()|0;break}y=0;c=qa(446,e|0)|0;Da=y;y=0;x:do if(!(Da&1)){y:do if((c|0)==7){y=0;oa(452,ya|0,za|0);Da=y;y=0;if(Da&1)c=pb()|0;else{y=0;c=ta(52,ya|0,0,42096)|0;Da=y;y=0;if(Da&1)c=pb()|0;else{k[Ba>>2]=k[c>>2];k[Ba+4>>2]=k[c+4>>2];k[Ba+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(970,Ba|0,54079)|0;Da=y;y=0;if(Da&1)c=pb()|0;else{k[Ia>>2]=k[c>>2];k[Ia+4>>2]=k[c+4>>2];k[Ia+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=qa(447,e|0)|0;Da=y;y=0;do if(Da&1)Pa=390;else{y=0;c=Ha(970,Ia|0,c|0)|0;Da=y;y=0;if(Da&1){Pa=390;break}k[ua>>2]=k[c>>2];k[ua+4>>2]=k[c+4>>2];k[ua+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;I=va;J=g;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));y=0;c=qa(441,k[Ca>>2]|0)|0;Da=y;y=0;do if(!(Da&1)){y=0;I=Fa;J=va;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));Na(103,ua|0,Fa|0,c|0);Da=y;y=0;if(Da&1)break;$9(ua);$9(Ia);$9(Ba);$9(ya);break y}while(0);c=pb()|0;$9(ua)}while(0);if((Pa|0)==390)c=pb()|0;$9(Ia)}$9(Ba)}$9(ya)}break v}else{y=0;c=qa(446,e|0)|0;Da=y;y=0;if(Da&1)break x;if((c|0)!=8)break;y=0;oa(452,ya|0,za|0);Da=y;y=0;if(Da&1)c=pb()|0;else{y=0;c=ta(52,ya|0,0,42117)|0;Da=y;y=0;if(Da&1)c=pb()|0;else{k[Ba>>2]=k[c>>2];k[Ba+4>>2]=k[c+4>>2];k[Ba+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(970,Ba|0,54079)|0;Da=y;y=0;if(Da&1)c=pb()|0;else{k[Ia>>2]=k[c>>2];k[Ia+4>>2]=k[c+4>>2];k[Ia+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=qa(448,e|0)|0;Da=y;y=0;do if(Da&1)Pa=409;else{y=0;c=Ha(970,Ia|0,c|0)|0;Da=y;y=0;if(Da&1){Pa=409;break}k[wa>>2]=k[c>>2];k[wa+4>>2]=k[c+4>>2];k[wa+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;I=xa;J=g;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));y=0;c=qa(441,k[Ca>>2]|0)|0;Da=y;y=0;do if(!(Da&1)){y=0;I=Fa;J=xa;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));Na(103,wa|0,Fa|0,c|0);Da=y;y=0;if(Da&1)break;$9(wa);$9(Ia);$9(Ba);$9(ya);break y}while(0);c=pb()|0;$9(wa)}while(0);if((Pa|0)==409)c=pb()|0;$9(Ia)}$9(Ba)}$9(ya)}break v}while(0);c=k[h>>2]|0;y=0;d=qa(441,k[Ca>>2]|0)|0;Da=y;y=0;do if(Da&1)Pa=422;else{y=0;I=Fa;J=g;K=I+40|0;do{k[I>>2]=k[J>>2];I=I+4|0;J=J+4|0}while((I|0)<(K|0));c=Ma(15,e|0,c|0,d|0,Fa|0)|0;Da=y;y=0;if(Da&1){Pa=422;break}y=0;oa(482,Ia|0,c|0);Da=y;y=0;if(Da&1){Pa=422;break}y=0;Ha(966,Oa|0,Ia|0)|0;Da=y;y=0;if(Da&1){c=pb()|0;EO(Ia);break}EO(Ia);Ia=(k[Ca>>2]|0)+88|0;k[Ia>>2]=(k[Ia>>2]|0)+-4;y=0;na(385,f|0);Ia=y;y=0;if(Ia&1)break x;if((e|0)!=(f|0)){y=0;na(385,e|0);Ia=y;y=0;if(Ia&1)break x}$9(j);$9(Aa);break m}while(0);if((Pa|0)==422)c=pb()|0;break v}while(0);c=pb()|0}while(0)}$9(j);break u}while(0);$9(Fa)}$9(Da)}break u}while(0);EO(_)}$9($)}$9(aa)}while(0);if((Pa|0)==339)c=pb()|0;$9(Aa);break l}while(0);c=pb()|0;break l}while(0);if((Pa|0)==212){c=pb()|0;break}c=k[Oa>>2]|0;if((k[c+20>>2]|0)==-1)DN(c+12|0,b+12|0,40)|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;Ia=y;y=0;do if(Ia&1)Pa=437;else{y=0;oa(482,Fa|0,c|0);Ia=y;y=0;if(Ia&1){Pa=437;break}y=0;Ha(966,Oa|0,Fa|0)|0;Ia=y;y=0;if(Ia&1){c=pb()|0;EO(Fa);break}EO(Fa);c=k[Oa>>2]|0;i[c+54>>0]=i[b+54>>0]|0;Pa=(k[Ca>>2]|0)+28|0;k[Pa>>2]=(k[Pa>>2]|0)+-4;if(!c)c=0;else i[c+8>>0]=1;jB(Ja,k[Ja+4>>2]|0);EO(Ka);EO(La);EO(Oa);Pa=c;EO(Qa);$9(Sa);$9(Ta);r=Ga;return Pa|0}while(0);if((Pa|0)==437)c=pb()|0}while(0);jB(Ja,k[Ja+4>>2]|0)}EO(Ka)}EO(La)}EO(Oa);break b}while(0);break b}}while(0);c=pb()|0}while(0);EO(Qa)}$9(Sa)}}if((Pa|0)==40){c=pb()|0;$9(Sa)}$9(Ta);Ta=c;sb(Ta|0);return 0}function Zc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Oa=0,Pa=0,Qa=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,qb=0,rb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0;Rb=r;r=r+896|0;Qa=Rb+856|0;rb=Rb+844|0;ub=Rb+840|0;Ab=Rb+836|0;Eb=Rb+832|0;Sa=Rb+828|0;Xa=Rb+824|0;Ya=Rb+820|0;Za=Rb+816|0;_a=Rb+812|0;$a=Rb+808|0;ab=Rb+804|0;bb=Rb+800|0;cb=Rb+796|0;db=Rb+144|0;eb=Rb+784|0;fb=Rb+104|0;gb=Rb+780|0;hb=Rb+776|0;ib=Rb+772|0;jb=Rb+768|0;kb=Rb+64|0;lb=Rb+760|0;mb=Rb+756|0;nb=Rb+752|0;ob=Rb+748|0;qb=Rb+744|0;Y=Rb+740|0;Z=Rb+736|0;_=Rb+732|0;$=Rb+728|0;aa=Rb+724|0;ba=Rb+720|0;ca=Rb+716|0;Oa=Rb+712|0;La=Rb+708|0;Ka=Rb+696|0;Ja=Rb+688|0;da=Rb+680|0;ea=Rb+676|0;Aa=Rb+664|0;fa=Rb+660|0;ga=Rb+56|0;ha=Rb+648|0;ia=Rb+644|0;ja=Rb+48|0;Ga=Rb+496|0;Da=Rb+480|0;Ba=Rb+456|0;ka=Rb+40|0;la=Rb+436|0;j=Rb;fc=Rb+424|0;Pa=Rb+420|0;ma=Rb+640|0;ra=Rb+392|0;sa=Rb+468|0;ua=Rb+452|0;wa=Rb+448|0;va=Rb+376|0;ec=Rb+368|0;Sb=Rb+432|0;Lb=Rb+428|0;dc=Rb+356|0;tb=Rb+416|0;cc=Rb+344|0;vb=Rb+384|0;bc=Rb+340|0;ac=Rb+336|0;wb=Rb+372|0;xb=Rb+352|0;Mb=Rb+348|0;$b=Rb+328|0;yb=Rb+332|0;zb=Rb+288|0;Tb=Rb+276|0;_b=Rb+272|0;Nb=Rb+260|0;Zb=Rb+268|0;Yb=Rb+264|0;Wb=Rb+256|0;Ob=Rb+244|0;Bb=Rb+240|0;Cb=Rb+236|0;Db=Rb+232|0;Fb=Rb+228|0;Pb=Rb+224|0;Vb=Rb+252|0;Gb=Rb+220|0;Ub=Rb+248|0;Hb=Rb+216|0;Qb=Rb+212|0;Ib=Rb+208|0;Jb=Rb+204|0;Kb=Rb+200|0;Ta=Rb+196|0;Ua=Rb+192|0;Va=Rb+188|0;Wa=Rb+184|0;o=ZL(104)|0;n=k[a>>2]|0;g=k[n+80>>2]|0;h=k[n+76>>2]|0;m=j;n=n+12|0;x=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(x|0));y=0;na(366,o|0);Xb=y;y=0;do if(Xb&1)g=pb()|0;else{h=g-h>>2;m=o+12|0;n=j;x=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(x|0));i[o+52>>0]=0;i[o+53>>0]=0;i[o+54>>0]=0;k[o>>2]=11396;i[o+60>>0]=0;i[o+61>>0]=0;i[o+62>>0]=0;k[o+64>>2]=0;k[o+68>>2]=0;k[o+56>>2]=7;g=o+72|0;k[g>>2]=14012;m=o+76|0;n=o+80|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;y=0;oa(513,m|0,h|0);Xb=y;y=0;if(Xb&1){g=pb()|0;l=N;h=k[m>>2]|0;if(h|0){j=k[n>>2]|0;if((j|0)!=(h|0)){do{fc=j+-4|0;k[n>>2]=fc;EO(fc);j=k[n>>2]|0}while((j|0)!=(h|0));h=k[m>>2]|0}zqa(h)}break}k[o>>2]=13796;k[g>>2]=13972;k[o+92>>2]=0;k[o+96>>2]=0;k[o+100>>2]=0;_V(fc,o);i[e>>0]=0;u=k[a>>2]|0;u=(k[u+80>>2]|0)-(k[u+76>>2]|0)>>2;a:do if(!u)Xb=11;else{Ia=Ka+4|0;Fa=Ja+4|0;v=Ja+4|0;Ca=Ga+64|0;w=Ga+8|0;xa=Ga+12|0;z=Ga+4|0;A=Ga+64|0;B=Ga+136|0;C=Ga+140|0;ya=Ga+44|0;D=Ga+60|0;za=Ga+8|0;E=b+16|0;F=rb+11|0;G=rb+4|0;H=Ba+11|0;I=Ba+4|0;J=Aa+11|0;K=Aa+4|0;L=ha+11|0;M=ha+4|0;O=sa+4|0;P=sa+8|0;Q=sa+4|0;R=f+4|0;S=ra+16|0;W=ra+20|0;X=ra+12|0;U=Qa+20|0;V=Qa+12|0;T=Q;t=0;b:while(1){y=0;oa(464,Pa|0,(k[(k[a>>2]|0)+76>>2]|0)+(t<<2)|0);Xb=y;y=0;if(Xb&1){Xb=121;break}g=k[Pa>>2]|0;y=0;oa(482,Oa|0,g|0);Xb=y;y=0;if(Xb&1){Xb=122;break}s=g+12|0;while(1){g=k[Oa>>2]|0;if(!g){Xb=118;break}y=0;oa(464,ba|0,g+76|0);Xb=y;y=0;if(Xb&1){Xb=29;break b}Xb=k[ba>>2]|0;k[La>>2]=Xb;if(!Xb)g=0;else{y=0;Na(131,Ka|0,c|0,La|0);Xb=y;y=0;if(Xb&1){Xb=30;break b}g=k[Ka>>2]|0;j=k[Ia>>2]|0;if((g|0)==(j|0)){h=g;l=g}else{q=g;do{y=0;oa(464,Ja|0,q|0);Xb=y;y=0;if(Xb&1){Xb=35;break b}y=0;oa(464,Fa|0,q+4|0);Xb=y;y=0;if(Xb&1){Xb=33;break b}g=k[(k[v>>2]|0)+64>>2]|0;c:do if(g|0){do if(k[(k[La>>2]|0)+64>>2]|0){y=0;oa(464,aa|0,g+68|0);Xb=y;y=0;if(Xb&1){Xb=37;break b}Xb=k[aa>>2]|0;k[da>>2]=Xb;if(!Xb){EO(da);break}y=0;oa(464,$|0,(k[(k[La>>2]|0)+64>>2]|0)+68|0);Xb=y;y=0;if(Xb&1){Xb=59;break b}Xb=k[$>>2]|0;k[ea>>2]=Xb;EO(ea);EO(da);if(!Xb)break;y=0;oa(464,_|0,(k[(k[v>>2]|0)+64>>2]|0)+68|0);Xb=y;y=0;if(Xb&1){Xb=37;break b}Xb=k[_>>2]|0;k[fa>>2]=Xb;x=k[(k[Xb>>2]|0)+28>>2]|0;n=k[E>>2]|0;o=k[n+4>>2]|0;p=ga;k[p>>2]=k[n>>2];k[p+4>>2]=o;y=0;k[Qa>>2]=k[ga>>2];k[Qa+4>>2]=k[ga+4>>2];Na(x|0,Aa|0,Xb|0,Qa|0);Xb=y;y=0;if(Xb&1){Xb=60;break b}EO(fa);y=0;oa(464,Z|0,(k[(k[La>>2]|0)+64>>2]|0)+68|0);Xb=y;y=0;if(Xb&1){Xb=61;break b}Xb=k[Z>>2]|0;k[ia>>2]=Xb;x=k[(k[Xb>>2]|0)+28>>2]|0;n=k[E>>2]|0;o=k[n+4>>2]|0;p=ja;k[p>>2]=k[n>>2];k[p+4>>2]=o;y=0;k[Qa>>2]=k[ja>>2];k[Qa+4>>2]=k[ja+4>>2];Na(x|0,ha|0,Xb|0,Qa|0);Xb=y;y=0;if(Xb&1){Xb=62;break b}EO(ia);l=i[J>>0]|0;m=l<<24>>24<0;l=l&255;n=m?k[K>>2]|0:l;Xb=i[L>>0]|0;g=Xb<<24>>24<0;d:do if((n|0)==((g?k[M>>2]|0:Xb&255)|0)){o=k[Aa>>2]|0;p=m?o:Aa;g=g?k[ha>>2]|0:ha;h=(n|0)==0;e:do if(m){if(h)break;if(zM(p,g,n)|0)break d}else{if(h)break;if((o&255)<<24>>24==(i[g>>0]|0))h=Aa;else break d;while(1){l=l+-1|0;h=h+1|0;if(!l)break e;g=g+1|0;if((i[h>>0]|0)!=(i[g>>0]|0))break d}}while(0);$9(ha);$9(Aa);break c}while(0);$9(ha);$9(Aa)}while(0);k[w>>2]=14400;k[Ga>>2]=14440;k[Ca>>2]=14460;k[z>>2]=0;y=0;oa(528,A|0,xa|0);Xb=y;y=0;if(Xb&1){Xb=68;break b}k[B>>2]=0;k[C>>2]=-1;k[Ga>>2]=14380;k[Ca>>2]=14420;k[w>>2]=14400;y=0;na(373,xa|0);Xb=y;y=0;if(Xb&1){Xb=69;break b}k[xa>>2]=14240;k[ya>>2]=0;k[ya+4>>2]=0;k[ya+8>>2]=0;k[ya+12>>2]=0;k[D>>2]=24;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;y=0;oa(529,xa|0,Qa|0);Xb=y;y=0;if(Xb&1){Xb=67;break b}$9(Qa);y=0;na(375,Da|0);Xb=y;y=0;if(Xb&1){Xb=90;break b}x=k[v>>2]|0;h=k[x+12>>2]|0;x=k[x+24>>2]|0;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;Xb=JI(x)|0;y=0;Na(75,Qa|0,x|0,Xb|0);Xb=y;y=0;if(Xb&1){Xb=91;break b}y=0;Ra(20,Ba|0,Qa|0,Da|0,Da|0);Xb=y;y=0;if(Xb&1){Xb=92;break b}$9(Qa);y=0;ta(54,za|0,43695,58)|0;Xb=y;y=0;if(Xb&1){Xb=94;break b}y=0;ta(54,za|0,43754,58)|0;Xb=y;y=0;if(Xb&1){Xb=94;break b}y=0;g=ta(54,za|0,43813,14)|0;Xb=y;y=0;if(Xb&1){Xb=94;break b}Xb=k[v>>2]|0;x=k[(k[Xb>>2]|0)+28>>2]|0;n=k[E>>2]|0;o=k[n+4>>2]|0;p=ka;k[p>>2]=k[n>>2];k[p+4>>2]=o;y=0;k[Qa>>2]=k[ka>>2];k[Qa+4>>2]=k[ka+4>>2];Na(x|0,rb|0,Xb|0,Qa|0);Xb=y;y=0;if(Xb&1){Xb=95;break b}Xb=i[F>>0]|0;x=Xb<<24>>24<0;y=0;g=ta(54,g|0,(x?k[rb>>2]|0:rb)|0,(x?k[G>>2]|0:Xb&255)|0)|0;Xb=y;y=0;if(Xb&1){Xb=96;break b}y=0;ta(54,g|0,47054,1)|0;Xb=y;y=0;if(Xb&1){Xb=96;break b}$9(rb);y=0;g=ta(54,za|0,45413,9)|0;Xb=y;y=0;if(Xb&1){Xb=94;break b}y=0;g=Ha(972,g|0,h+1|0)|0;Xb=y;y=0;if(Xb&1){Xb=94;break b}y=0;g=ta(54,g|0,47391,4)|0;Xb=y;y=0;if(Xb&1){Xb=94;break b}Xb=i[H>>0]|0;x=Xb<<24>>24<0;y=0;g=ta(54,g|0,(x?k[Ba>>2]|0:Ba)|0,(x?k[I>>2]|0:Xb&255)|0)|0;Xb=y;y=0;if(Xb&1){Xb=94;break b}y=0;ta(54,g|0,47537,1)|0;Xb=y;y=0;if(Xb&1){Xb=94;break b}y=0;oa(530,la|0,xa|0);Xb=y;y=0;if(Xb&1){Xb=94;break b}y=0;m=Qa;n=s;x=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(x|0));oa(458,la|0,Qa|0);Xb=y;y=0;if(Xb&1){Xb=98;break b}$9(la);$9(Ba);$9(Da);k[Ga>>2]=14380;k[Ca>>2]=14420;k[za>>2]=14400;k[xa>>2]=14240;$9(ya);nba(xa);zka(Ga,14472);dja(Ca)}while(0);EO(Fa);EO(Ja);q=q+8|0}while((q|0)!=(j|0));l=k[Ia>>2]|0;j=l;h=k[Ka>>2]|0}g=(j|0)!=(h|0);j=h;if(h|0){if((l|0)!=(j|0)){h=l;do{Xb=h+-8|0;k[Ia>>2]=Xb;EO(h+-4|0);EO(Xb);h=k[Ia>>2]|0}while((h|0)!=(j|0));h=k[Ka>>2]|0}zqa(h)}}y=0;oa(464,ca|0,(k[Oa>>2]|0)+80|0);Xb=y;y=0;if(Xb&1){Xb=112;break b}k[Qa>>2]=k[ca>>2];y=0;Ha(966,Oa|0,Qa|0)|0;Xb=y;y=0;if(Xb&1){Xb=113;break b}EO(Qa);EO(La);if(g){Xb=117;break}}if((Xb|0)==117){Xb=0;EO(Oa);i[e>>0]=1;j=k[Pa>>2]|0;k[O>>2]=0;k[P>>2]=0;k[sa>>2]=Q;g=k[f>>2]|0;if((g|0)!=(R|0)){h=g;while(1){x=h+16|0;k[Y>>2]=T;y=0;k[Qa>>2]=k[Y>>2];Ma(17,sa|0,Qa|0,x|0,x|0)|0;x=y;y=0;if(x&1){Xb=131;break b}h=k[g+4>>2]|0;if(!h)while(1){h=k[g+8>>2]|0;if((k[h>>2]|0)==(g|0)){g=h;break}else g=h}else{g=h;while(1){h=k[g>>2]|0;if(!h)break;else g=h}}if((g|0)==(R|0))break;else h=g}}y=0;Ea(5,ra|0,j|0,b|0,c|0,sa|0,d|0,1);x=y;y=0;if(x&1){Xb=143;break}II(sa,k[Q>>2]|0);g=k[Pa>>2]|0;y=0;g=qa(k[(k[g>>2]|0)+124>>2]|0,g|0)|0;x=y;y=0;if(x&1){Xb=144;break}if(g)Xb=151;else{y=0;Na(79,Qa|0,k[Pa>>2]|0,b|0);x=y;y=0;if(x&1){Xb=145;break}y=0;g=ta(160,ra|0,Qa|0,1)|0;x=y;y=0;if(x&1){Xb=146;break}h=k[U>>2]|0;if(h|0)kZ(h);EO(V);if(g)Xb=151;else{g=(k[fc>>2]|0)+72|0;h=k[(k[g>>2]|0)+20>>2]|0;y=0;oa(464,ua|0,Pa|0);x=y;y=0;if(x&1){Xb=144;break}y=0;oa(h|0,g|0,ua|0);x=y;y=0;if(x&1){Xb=150;break}EO(ua)}}f:do if((Xb|0)==151){Xb=0;g=k[S>>2]|0;j=k[W>>2]|0;l=(j|0)==0;if(!l)Sba(j);x=k[g+4>>2]|0;h=k[g+16>>2]|0;m=x+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(x|0))g=0;else g=(k[m>>2]|0)+(((h>>>0)%170|0)*24|0)|0;if(!l)kZ(j);h=k[S>>2]|0;n=k[W>>2]|0;o=(n|0)==0;if(!o)Sba(n);j=k[h+4>>2]|0;l=k[h+16>>2]|0;if((k[h+8>>2]|0)==(j|0))p=0;else p=(k[j+(((l>>>0)/170|0)<<2)>>2]|0)+(((l>>>0)%170|0)*24|0)|0;if(!o)kZ(n);h=k[S>>2]|0;n=k[W>>2]|0;o=(n|0)==0;if(!o)Sba(n);j=(k[h+16>>2]|0)+(k[h+20>>2]|0)|0;l=k[h+4>>2]|0;if((k[h+8>>2]|0)==(l|0))q=0;else q=(k[l+(((j>>>0)/170|0)<<2)>>2]|0)+(((j>>>0)%170|0)*24|0)|0;if(!o)kZ(n);if(!d)while(1){do{if((g|0)==(q|0))break f;h=(k[fc>>2]|0)+72|0;j=k[(k[h>>2]|0)+20>>2]|0;y=0;l=Ha(969,g|0,b|0)|0;Xb=y;y=0;if(Xb&1){Xb=191;break b}y=0;oa(482,wa|0,l|0);Xb=y;y=0;if(Xb&1){Xb=191;break b}y=0;oa(j|0,h|0,wa|0);Xb=y;y=0;if(Xb&1){Xb=193;break b}EO(wa);g=g+24|0}while((g-(k[m>>2]|0)|0)!=4080);g=m+4|0;m=g;g=k[g>>2]|0}while(1){do{if((g|0)==(q|0))break f;do if((g|0)==(p|0)){h=k[S>>2]|0;j=k[W>>2]|0;if(!j)if((k[h+20>>2]|0)>>>0>1)break;else{Xb=176;break}else{Sba(j);x=(k[h+20>>2]|0)>>>0>1;kZ(j);if(x)break;else{Xb=176;break}}}else Xb=176;while(0);if((Xb|0)==176){Xb=0;h=(k[fc>>2]|0)+72|0;j=k[(k[h>>2]|0)+20>>2]|0;y=0;l=Ha(969,g|0,b|0)|0;x=y;y=0;if(x&1){Xb=182;break b}y=0;oa(482,wa|0,l|0);x=y;y=0;if(x&1){Xb=182;break b}y=0;oa(j|0,h|0,wa|0);x=y;y=0;if(x&1){Xb=183;break b}EO(wa)}g=g+24|0}while((g-(k[m>>2]|0)|0)!=4080);g=m+4|0;m=g;g=k[g>>2]|0}}while(0);g=k[W>>2]|0;if(g|0)kZ(g);EO(X)}else if((Xb|0)==118){EO(Oa);g=(k[fc>>2]|0)+72|0;h=k[(k[g>>2]|0)+20>>2]|0;y=0;oa(482,ma|0,k[Pa>>2]|0);Xb=y;y=0;if(Xb&1){Xb=122;break}y=0;oa(h|0,g|0,ma|0);Xb=y;y=0;if(Xb&1){Xb=124;break}EO(ma)}EO(Pa);t=t+1|0;if(t>>>0>=u>>>0){Xb=11;break a}}switch(Xb|0){case 29:{g=pb()|0;Xb=116;break}case 30:{g=pb()|0;Xb=115;break}case 33:{g=pb()|0;h=N;EO(Ja);Xb=36;break}case 35:{g=pb()|0;h=N;Xb=36;break}case 37:{g=pb()|0;h=N;Xb=38;break}case 59:{g=pb()|0;h=N;EO(da);Xb=102;break}case 60:{g=pb()|0;h=N;EO(fa);Xb=102;break}case 61:{g=pb()|0;h=N;Xb=63;break}case 62:{g=pb()|0;h=N;EO(ia);Xb=63;break}case 67:{g=pb()|0;h=N;$9(Qa);$9(ya);nba(xa);Xb=70;break}case 68:{g=pb()|0;h=N;Xb=71;break}case 69:{g=pb()|0;h=N;Xb=70;break}case 90:{g=pb()|0;h=N;Xb=101;break}case 91:{g=pb()|0;h=N;Xb=93;break}case 92:{g=pb()|0;h=N;$9(Qa);Xb=93;break}case 94:{g=pb()|0;h=N;Xb=99;break}case 95:{g=pb()|0;h=N;Xb=97;break}case 96:{g=pb()|0;h=N;$9(rb);Xb=97;break}case 98:{g=pb()|0;h=N;$9(la);Xb=99;break}case 112:{g=pb()|0;Xb=114;break}case 113:{g=pb()|0;EO(Qa);Xb=114;break}case 121:{g=pb()|0;break a}case 122:{g=pb()|0;Xb=123;break}case 124:{g=pb()|0;EO(ma);break}case 131:{g=pb()|0;II(sa,k[Q>>2]|0);Xb=123;break}case 143:{g=pb()|0;II(sa,k[Q>>2]|0);break}case 144:{g=pb()|0;Xb=199;break}case 145:{g=pb()|0;Xb=149;break}case 146:{g=pb()|0;h=k[U>>2]|0;if(h|0)kZ(h);EO(V);Xb=149;break}case 150:{g=pb()|0;EO(ua);Xb=199;break}case 182:{g=pb()|0;Xb=192;break}case 183:{g=pb()|0;Xb=194;break}case 191:{g=pb()|0;Xb=192;break}case 193:{g=pb()|0;Xb=194;break}}if((Xb|0)==36){l=h;Xb=103}else if((Xb|0)==63){$9(Aa);Xb=102}else if((Xb|0)==70){zka(Ga,14472);Xb=71}else if((Xb|0)==93)Xb=100;else if((Xb|0)==97)Xb=99;else if((Xb|0)==114)Xb=115;else if((Xb|0)==149)Xb=199;else if((Xb|0)==192)Xb=199;else if((Xb|0)==194){EO(wa);Xb=199}if((Xb|0)==71){dja(Ca);Xb=38}else if((Xb|0)==99){$9(Ba);Xb=100}else if((Xb|0)==199){h=k[W>>2]|0;if(h|0)kZ(h);EO(X)}if((Xb|0)==38)Xb=102;else if((Xb|0)==100){$9(Da);Xb=101}if((Xb|0)==101){k[Ga>>2]=14380;k[Ca>>2]=14420;k[za>>2]=14400;k[xa>>2]=14240;$9(ya);nba(xa);zka(Ga,14472);dja(Ca);Xb=102}if((Xb|0)==102){EO(Fa);EO(Ja);l=h;Xb=103}if((Xb|0)==103){h=k[Ka>>2]|0;if(h|0){j=k[Ia>>2]|0;if((j|0)!=(h|0)){do{ec=j+-8|0;k[Ia>>2]=ec;EO(j+-4|0);EO(ec);j=k[Ia>>2]|0}while((j|0)!=(h|0));h=k[Ka>>2]|0}zqa(h)}Xb=115}if((Xb|0)==115){EO(La);Xb=116}if((Xb|0)==116){EO(Oa);Xb=123}EO(Pa)}while(0);do if((Xb|0)==11){y=0;oa(526,va|0,b|0);Pa=y;y=0;if(Pa&1){g=pb()|0;break}y=0;g=Ha(1021,va|0,k[fc>>2]|0)|0;Pa=y;y=0;g:do if(Pa&1)Xb=213;else{y=0;oa(482,Qa|0,g|0);Pa=y;y=0;if(Pa&1)Xb=213;else{y=0;Ha(966,fc|0,Qa|0)|0;Pa=y;y=0;if(Pa&1){g=pb()|0;EO(Qa);Xb=215;break}EO(Qa);g=k[fc>>2]|0;h=k[g+76>>2]|0;w=k[g+80>>2]|0;h:do if((h|0)!=(w|0)){s=f+4|0;t=dc+4|0;u=dc+8|0;z=dc+4|0;v=z;i:while(1){y=0;oa(464,ec|0,h|0);Pa=y;y=0;if(Pa&1){Xb=256;break}g=k[ec>>2]|0;if(g|0)do{y=0;oa(464,qb|0,g+76|0);Pa=y;y=0;if(Pa&1){Xb=257;break i}Pa=k[qb>>2]|0;k[Sb>>2]=Pa;do if(!Pa)EO(Sb);else{y=0;oa(464,ob|0,(k[ec>>2]|0)+76|0);Pa=y;y=0;if(Pa&1){Xb=259;break i}n=k[ob>>2]|0;k[Lb>>2]=n;m=n;j=k[s>>2]|0;do if(!j)Xb=231;else{g=s;j:while(1){l=j;while(1){j=l+16|0;y=0;j=Ha(k[(k[j>>2]|0)+160>>2]|0,j|0,m|0)|0;Pa=y;y=0;if(Pa&1){Xb=260;break i}if(!j)break;j=k[l+4>>2]|0;if(!j)break j;else l=j}j=k[l>>2]|0;if(!j){g=l;break}else g=l}if((g|0)==(s|0)){Xb=231;break}y=0;j=Ha(k[(k[n>>2]|0)+160>>2]|0,m|0,g+16|0)|0;Pa=y;y=0;if(Pa&1){Xb=261;break i}if(j)Xb=231}while(0);if((Xb|0)==231){Xb=0;g=s}EO(Lb);EO(Sb);if((g|0)!=(s|0))break;k[t>>2]=0;k[u>>2]=0;k[dc>>2]=z;g=k[f>>2]|0;if((g|0)!=(s|0)){l=g;j=g;while(1){Pa=l+16|0;k[nb>>2]=v;y=0;k[Qa>>2]=k[nb>>2];Ma(17,dc|0,Qa|0,Pa|0,Pa|0)|0;Pa=y;y=0;if(Pa&1){Xb=240;break i}g=k[j+4>>2]|0;if(!g)while(1){g=k[j+8>>2]|0;if((k[g>>2]|0)==(j|0))break;else j=g}else while(1){j=k[g>>2]|0;if(!j)break;else g=j}if((g|0)==(s|0))break;else{l=g;j=g}}}y=0;oa(464,mb|0,(k[ec>>2]|0)+76|0);Pa=y;y=0;if(Pa&1){Xb=264;break i}Pa=k[mb>>2]|0;k[tb>>2]=Pa;y=0;Ra(37,lb|0,dc|0,Pa|0,Pa|0);Pa=y;y=0;if(Pa&1){Xb=265;break i}EO(tb);y=0;o=qa(332,108)|0;Pa=y;y=0;if(Pa&1){Xb=264;break i}m=kb;n=(k[ec>>2]|0)+12|0;x=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(x|0));y=0;na(366,o|0);Pa=y;y=0;if(Pa&1){Xb=266;break i}m=o+12|0;n=kb;x=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(x|0));i[o+52>>0]=0;i[o+53>>0]=0;i[o+54>>0]=0;k[o>>2]=11396;i[o+60>>0]=0;i[o+61>>0]=0;i[o+62>>0]=0;k[o+64>>2]=0;k[o+68>>2]=0;k[o+56>>2]=7;g=o+72|0;k[g>>2]=13580;n=o+76|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;y=0;oa(516,n|0,0);Pa=y;y=0;if(Pa&1){Xb=246;break i}k[o>>2]=13364;k[g>>2]=13540;Pa=o+96|0;k[Pa>>2]=0;k[o+100>>2]=0;k[o+92>>2]=Pa;i[o+104>>0]=0;i[o+105>>0]=0;y=0;oa(482,cc|0,o|0);Pa=y;y=0;if(Pa&1){Xb=264;break i}y=0;oa(464,jb|0,(k[ec>>2]|0)+76|0);Pa=y;y=0;if(Pa&1){Xb=268;break i}q=k[jb>>2]|0;k[vb>>2]=q;EO(vb);g=k[q+76>>2]|0;q=k[q+80>>2]|0;if((g|0)!=(q|0))do{y=0;oa(464,bc|0,g|0);Pa=y;y=0;if(Pa&1){Xb=272;break i}j=k[bc>>2]|0;if(!j)j=0;else j=pw(j,144,288,0)|0;y=0;oa(482,ac|0,j|0);Pa=y;y=0;if(Pa&1){Xb=273;break i}j=k[ac>>2]|0;if(!j){y=0;oa(514,k[cc>>2]|0,k[bc>>2]|0);Pa=y;y=0;if(Pa&1){Xb=284;break i}}else{j=j+104|0;y=0;oa(464,ib|0,j|0);Pa=y;y=0;if(Pa&1){Xb=284;break i}l=k[ib>>2]|0;k[Mb>>2]=l;y=0;l=qa(k[(k[l>>2]|0)+16>>2]|0,l|0)|0;Pa=y;y=0;if(Pa&1){Xb=285;break i}y=0;oa(482,xb|0,l|0);Pa=y;y=0;if(Pa&1){Xb=285;break i}y=0;Ha(966,j|0,xb|0)|0;Pa=y;y=0;if(Pa&1){Xb=286;break i}y=0;oa(464,hb|0,j|0);Pa=y;y=0;if(Pa&1){Xb=286;break i}k[wb>>2]=k[hb>>2];EO(wb);EO(xb);EO(Mb);y=0;oa(464,gb|0,(k[ac>>2]|0)+104|0);Pa=y;y=0;if(Pa&1){Xb=284;break i}j=k[gb>>2]|0;k[yb>>2]=j;if(!j)j=0;else j=pw(j,88,104,0)|0;y=0;oa(482,$b|0,j|0);Pa=y;y=0;if(Pa&1){Xb=288;break i}EO(yb);j=k[$b>>2]|0;do if(!j){y=0;oa(514,k[cc>>2]|0,k[bc>>2]|0);Pa=y;y=0;if(Pa&1){Xb=299;break i}}else{if((k[j+76>>2]|0)==(k[j+80>>2]|0)){j=k[cc>>2]|0;y=0;l=qa(332,104)|0;Pa=y;y=0;if(Pa&1){Xb=299;break i}m=zb;n=(k[bc>>2]|0)+12|0;x=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(x|0));y=0;oa(452,Tb|0,(k[ac>>2]|0)+84|0);Pa=y;y=0;if(Pa&1){Xb=300;break i}m=fb;n=zb;x=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(x|0));y=0;oa(452,eb|0,Tb|0);Pa=y;y=0;if(Pa&1){h=1;Xb=301;break i}y=0;m=Qa;n=fb;x=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(x|0));Na(88,l|0,Qa|0,eb|0);Pa=y;y=0;if(Pa&1){Xb=296;break i}$9(eb);k[l>>2]=12240;y=0;oa(514,j|0,l|0);Pa=y;y=0;if(Pa&1){h=0;Xb=301;break i}$9(Tb);break}y=0;oa(464,Nb|0,$b|0);Pa=y;y=0;if(Pa&1){Xb=299;break i}i[Qa>>0]=0;y=0;oa(464,rb|0,Nb|0);Pa=y;y=0;if(Pa&1){Xb=310;break i}y=0;j=pa(44,rb|0,b|0,c|0,0,Qa|0,dc|0)|0;Pa=y;y=0;if(Pa&1){Xb=306;break i}EO(rb);y=0;oa(482,_b|0,j|0);Pa=y;y=0;if(Pa&1){Xb=310;break i}EO(Nb);j=k[_b>>2]|0;if((k[j+80>>2]|0)!=(k[j+76>>2]|0)){p=0;do{j=j+72|0;y=0;j=Ha(k[(k[j>>2]|0)+16>>2]|0,j|0,p|0)|0;Pa=y;y=0;if(Pa&1){Xb=312;break i}y=0;oa(464,Zb|0,j|0);Pa=y;y=0;if(Pa&1){Xb=312;break i}if(k[Zb>>2]|0){j=k[ac>>2]|0;y=0;j=qa(k[(k[j>>2]|0)+12>>2]|0,j|0)|0;Pa=y;y=0;if(Pa&1){Xb=339;break i}y=0;oa(482,Yb|0,j|0);Pa=y;y=0;if(Pa&1){Xb=339;break i}y=0;o=qa(332,104)|0;Pa=y;y=0;if(Pa&1){Xb=340;break i}m=db;n=(k[$b>>2]|0)+12|0;x=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(x|0));y=0;na(366,o|0);Pa=y;y=0;if(Pa&1){Xb=341;break i}m=o+12|0;n=db;x=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(x|0));i[o+52>>0]=0;i[o+53>>0]=0;i[o+54>>0]=0;k[o>>2]=11396;i[o+60>>0]=0;i[o+61>>0]=0;i[o+62>>0]=0;k[o+64>>2]=0;k[o+68>>2]=0;k[o+56>>2]=7;j=o+72|0;k[j>>2]=14012;n=o+76|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;y=0;oa(513,n|0,0);Pa=y;y=0;if(Pa&1){Xb=321;break i}k[o>>2]=13796;k[j>>2]=13972;k[o+92>>2]=0;k[o+96>>2]=0;k[o+100>>2]=0;y=0;oa(482,Wb|0,o|0);Pa=y;y=0;if(Pa&1){Xb=340;break i}y=0;j=qa(457,k[Zb>>2]|0)|0;Pa=y;y=0;if(Pa&1){Xb=343;break i}k[Ob>>2]=j;k:do if(!j){EO(Ob);Xb=383}else{y=0;j=qa(457,k[Zb>>2]|0)|0;Pa=y;y=0;if(Pa&1){Xb=344;break i}k[Cb>>2]=j;y=0;oa(464,cb|0,j+76|0);Pa=y;y=0;if(Pa&1){Xb=345;break i}Pa=k[cb>>2]|0;k[Bb>>2]=Pa;Pa=(k[Pa+80>>2]|0)==(k[Pa+76>>2]|0);EO(Bb);EO(Cb);EO(Ob);if(Pa){Xb=383;break}y=0;j=qa(457,k[Zb>>2]|0)|0;Pa=y;y=0;if(Pa&1){Xb=343;break i}k[Pb>>2]=j;y=0;oa(464,bb|0,j+76|0);Pa=y;y=0;if(Pa&1){Xb=347;break i}Pa=k[bb>>2]|0;k[Fb>>2]=Pa;y=0;oa(464,ab|0,k[Pa+76>>2]|0);Pa=y;y=0;if(Pa&1){Xb=348;break i}j=k[ab>>2]|0;k[Db>>2]=j;if(!j)j=0;else j=pw(j,144,288,0)|0;EO(Db);EO(Fb);EO(Pb);l:do if(j|0){y=0;oa(464,$a|0,j+104|0);Pa=y;y=0;if(Pa&1){Xb=354;break i}j=k[$a>>2]|0;k[Gb>>2]=j;if(!j)j=0;else j=pw(j,88,104,0)|0;y=0;oa(482,Vb|0,j|0);Pa=y;y=0;if(Pa&1){Xb=355;break i}EO(Gb);y=0;oa(464,_a|0,k[(k[Vb>>2]|0)+76>>2]|0);Pa=y;y=0;if(Pa&1){Xb=361;break i}Pa=k[_a>>2]|0;k[Hb>>2]=Pa;y=0;oa(464,Za|0,Pa+76|0);Pa=y;y=0;if(Pa&1){Xb=362;break i}k[Ub>>2]=k[Za>>2];EO(Hb);y=0;oa(464,Ya|0,k[(k[Ub>>2]|0)+76>>2]|0);Pa=y;y=0;if(Pa&1){Xb=363;break i}j=k[Ya>>2]|0;k[Qb>>2]=j;do if(j|0){if(!(pw(j,144,272,0)|0))break;EO(Qb);EO(Ub);EO(Vb);break l}while(0);y=0;oa(464,Xa|0,k[(k[Ub>>2]|0)+76>>2]|0);Pa=y;y=0;if(Pa&1){Xb=364;break i}j=k[Xa>>2]|0;k[Ib>>2]=j;do if(j|0){if(!(pw(j,144,304,0)|0))break;EO(Ib);EO(Qb);EO(Ub);EO(Vb);break l}while(0);y=0;oa(464,Sa|0,k[(k[Ub>>2]|0)+76>>2]|0);Pa=y;y=0;if(Pa&1){Xb=368;break i}j=k[Sa>>2]|0;k[Jb>>2]=j;if(!j)j=0;else j=pw(j,144,368,0)|0;EO(Jb);EO(Ib);EO(Qb);EO(Ub);EO(Vb);if(!j)break k}while(0);j=(k[Wb>>2]|0)+72|0;l=k[(k[j>>2]|0)+20>>2]|0;y=0;m=qa(457,k[Zb>>2]|0)|0;Xb=y;y=0;if(Xb&1){Xb=354;break i}k[Kb>>2]=m;y=0;oa(l|0,j|0,Kb|0);Xb=y;y=0;if(Xb&1){Xb=382;break i}EO(Kb);Xb=383}while(0);if((Xb|0)==383){Xb=0;j=k[Yb>>2]|0;y=0;oa(482,Ua|0,k[Wb>>2]|0);Pa=y;y=0;if(Pa&1){Xb=343;break i}j=j+104|0;y=0;Ha(966,j|0,Ua|0)|0;Pa=y;y=0;if(Pa&1){Xb=388;break i}y=0;oa(464,Eb|0,j|0);Pa=y;y=0;if(Pa&1){Xb=388;break i}k[Ta>>2]=k[Eb>>2];EO(Ta);EO(Ua);y=0;oa(514,k[cc>>2]|0,k[Yb>>2]|0);Pa=y;y=0;if(Pa&1){Xb=343;break i}}EO(Wb);EO(Yb)}EO(Zb);p=p+1|0;j=k[_b>>2]|0}while(p>>>0<(k[j+80>>2]|0)-(k[j+76>>2]|0)>>2>>>0)}EO(_b)}while(0);EO($b)}EO(ac);EO(bc);g=g+4|0}while((g|0)!=(q|0));g=k[ec>>2]|0;y=0;oa(464,Wa|0,cc|0);Pa=y;y=0;if(Pa&1){Xb=268;break i}g=g+76|0;y=0;Ha(966,g|0,Wa|0)|0;Pa=y;y=0;if(Pa&1){Xb=404;break i}y=0;oa(464,Ab|0,g|0);Pa=y;y=0;if(Pa&1){Xb=404;break i}k[Va>>2]=k[Ab>>2];EO(Va);EO(Wa);EO(cc);II(dc,k[z>>2]|0)}while(0);y=0;oa(464,ub|0,(k[ec>>2]|0)+80|0);Pa=y;y=0;if(Pa&1){Xb=410;break i}k[Qa>>2]=k[ub>>2];y=0;Ha(966,ec|0,Qa|0)|0;Pa=y;y=0;if(Pa&1){Xb=411;break i}EO(Qa);g=k[ec>>2]|0}while((g|0)!=0);EO(ec);h=h+4|0;if((h|0)==(w|0)){Xb=209;break}}switch(Xb|0){case 209:{g=k[fc>>2]|0;break h}case 240:{g=pb()|0;II(dc,k[z>>2]|0);Xb=258;break}case 246:{g=pb()|0;l=N;m=o+80|0;h=k[n>>2]|0;if(h|0){j=k[m>>2]|0;if((j|0)!=(h|0)){do{cc=j+-4|0;k[m>>2]=cc;EO(cc);j=k[m>>2]|0}while((j|0)!=(h|0));h=k[n>>2]|0}zqa(h)}Xb=267;break}case 256:{g=pb()|0;break g}case 257:{g=pb()|0;Xb=258;break}case 259:{g=pb()|0;Xb=263;break}case 260:{g=pb()|0;Xb=262;break}case 261:{g=pb()|0;Xb=262;break}case 264:{g=pb()|0;Xb=406;break}case 265:{g=pb()|0;EO(tb);Xb=406;break}case 266:{g=pb()|0;Xb=267;break}case 268:{g=pb()|0;Xb=405;break}case 272:{g=pb()|0;Xb=405;break}case 273:{g=pb()|0;Xb=400;break}case 284:{g=pb()|0;Xb=399;break}case 285:{g=pb()|0;Xb=287;break}case 286:{g=pb()|0;EO(xb);Xb=287;break}case 288:{g=pb()|0;EO(yb);Xb=399;break}case 296:{g=pb()|0;$9(eb);$9(Tb);Xb=302;break}case 299:{g=pb()|0;Xb=396;break}case 300:{g=pb()|0;Xb=302;break}case 301:{g=pb()|0;$9(Tb);if(h)Xb=302;else Xb=396;break}case 306:{g=pb()|0;EO(rb);Xb=311;break}case 310:{g=pb()|0;Xb=311;break}case 312:{g=pb()|0;Xb=393;break}case 321:{g=pb()|0;l=N;m=o+80|0;h=k[n>>2]|0;if(h|0){j=k[m>>2]|0;if((j|0)!=(h|0)){do{Xb=j+-4|0;k[m>>2]=Xb;EO(Xb);j=k[m>>2]|0}while((j|0)!=(h|0));h=k[n>>2]|0}zqa(h)}Xb=342;break}case 339:{g=pb()|0;Xb=392;break}case 340:{g=pb()|0;Xb=390;break}case 341:{g=pb()|0;Xb=342;break}case 343:{g=pb()|0;Xb=389;break}case 344:{g=pb()|0;Xb=346;break}case 345:{g=pb()|0;EO(Cb);Xb=346;break}case 347:{g=pb()|0;Xb=353;break}case 348:{g=pb()|0;EO(Fb);Xb=353;break}case 354:{g=pb()|0;Xb=389;break}case 355:{g=pb()|0;EO(Gb);Xb=389;break}case 361:{g=pb()|0;Xb=376;break}case 362:{g=pb()|0;EO(Hb);Xb=376;break}case 363:{g=pb()|0;Xb=375;break}case 364:{g=pb()|0;Xb=374;break}case 368:{g=pb()|0;EO(Ib);Xb=374;break}case 382:{g=pb()|0;EO(Kb);Xb=389;break}case 388:{g=pb()|0;EO(Ua);Xb=389;break}case 404:{g=pb()|0;EO(Wa);Xb=405;break}case 410:{g=pb()|0;Xb=412;break}case 411:{g=pb()|0;EO(Qa);Xb=412;break}}switch(Xb|0){case 258:break;case 262:{EO(Lb);Xb=263;break}case 267:{zqa(o);Xb=406;break}case 287:{EO(Mb);Xb=399;break}case 302:{zqa(l);Xb=396;break}case 311:{EO(Nb);Xb=396;break}case 342:{zqa(o);Xb=390;break}case 346:{EO(Ob);Xb=389;break}case 353:{EO(Pb);Xb=389;break}case 374:{EO(Qb);Xb=375;break}case 412:break}if((Xb|0)==263)EO(Sb);else if((Xb|0)==375){EO(Ub);Xb=376}if((Xb|0)==376){EO(Vb);Xb=389}if((Xb|0)==389){EO(Wb);Xb=390}if((Xb|0)==390){EO(Yb);Xb=392}if((Xb|0)==392){EO(Zb);Xb=393}if((Xb|0)==393){EO(_b);Xb=396}if((Xb|0)==396){EO($b);Xb=399}if((Xb|0)==399){EO(ac);Xb=400}if((Xb|0)==400){EO(bc);Xb=405}if((Xb|0)==405){EO(cc);Xb=406}if((Xb|0)==406)II(dc,k[z>>2]|0);EO(ec);break g}while(0);if(!g){ec=0;EO(fc);r=Rb;return ec|0}i[g+8>>0]=1;ec=g;EO(fc);r=Rb;return ec|0}}while(0);if((Xb|0)==213){g=pb()|0;Xb=215}}while(0);EO(fc);fc=g;sb(fc|0)}while(0);zqa(o);fc=g;sb(fc|0);return 0}function _c(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;R=0;X=r;r=r+1088|0;T=X+1072|0;g=X+1084|0;P=X+1068|0;V=X+1056|0;U=X+1052|0;J=X+1040|0;I=X+1036|0;F=X+1024|0;E=X+1020|0;B=X+996|0;A=X+992|0;S=X+824|0;Q=X+1008|0;Y=X+680|0;W=X+980|0;L=X+520|0;K=X+968|0;H=X+360|0;G=X+664|0;D=X+216|0;C=X+504|0;x=X+72|0;u=X+60|0;t=X+48|0;o=X+36|0;n=X+12|0;h=X;p=X+24|0;y=0;la(4);y=0;M=$a(1472,4496,4432,1624,4696,0)|0;O=N;if((O|0)==(ob(1472)|0)){s=vb(M|0)|0;z=x+64|0;b=x+8|0;k[b>>2]=14400;w=x+12|0;k[x>>2]=14440;k[z>>2]=14460;k[x+4>>2]=0;y=0;oa(528,x+64|0,w|0);v=y;y=0;a:do if(v&1){b=pb()|0;R=215}else{k[x+136>>2]=0;k[x+140>>2]=-1;k[x>>2]=14380;k[z>>2]=14420;k[b>>2]=14400;y=0;na(373,w|0);v=y;y=0;do if(v&1)b=pb()|0;else{k[w>>2]=14240;v=x+44|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[x+60>>2]=24;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;oa(529,w|0,T|0);q=y;y=0;if(q&1){b=pb()|0;$9(T);$9(v);nba(w);break}$9(T);y=0;na(375,u|0);q=y;y=0;if(q&1)b=pb()|0;else{y=0;b=qa(k[(k[s>>2]|0)+12>>2]|0,s|0)|0;R=y;y=0;if(R&1)R=217;else{k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;R=JI(b)|0;y=0;Na(75,t|0,b|0,R|0);R=y;y=0;if(R&1)R=217;else{q=x+8|0;l=t+11|0;b=i[l>>0]|0;R=b<<24>>24<0;m=t+4|0;y=0;b=ta(54,q|0,(R?k[t>>2]|0:t)|0,(R?k[m>>2]|0:b&255)|0)|0;R=y;y=0;b:do if(R&1)R=218;else{y=0;ta(54,b|0,54079,2)|0;R=y;y=0;if(R&1)R=218;else{b=oc[k[(k[s>>2]|0)+8>>2]&511](s)|0;do if(!b)R=232;else{e=T+11|0;f=T+4|0;d=0;c:while(1){c=i[b>>0]|0;switch(c<<24>>24){case 0:{R=231;break c}case 10:case 13:{d=1;break}default:if(d){R=i[l>>0]|0;R=(R<<24>>24<0?k[m>>2]|0:R&255)+2|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;Na(124,T|0,R|0,32);R=y;y=0;if(R&1){R=223;break c}R=i[e>>0]|0;j=R<<24>>24<0;y=0;ta(54,q|0,(j?k[T>>2]|0:T)|0,(j?k[f>>2]|0:R&255)|0)|0;R=y;y=0;if(R&1){R=224;break c}$9(T);d=0;c=i[b>>0]|0}else d=0}i[g>>0]=c;y=0;ta(54,q|0,g|0,1)|0;R=y;y=0;if(R&1){R=228;break}b=b+1|0}if((R|0)==223)b=pb()|0;else if((R|0)==224){b=pb()|0;$9(T)}else if((R|0)==228){b=pb()|0;break}else if((R|0)==231)if(d){R=233;break}else{R=232;break}break b}while(0);if((R|0)==232){y=0;ta(54,q|0,47537,1)|0;R=y;y=0;if(R&1)R=229;else R=233}if((R|0)==233){j=s+72|0;b=k[j>>2]|0;d:do if(!b){c=s+32|0;n=k[s+44>>2]|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;o=JI(n)|0;y=0;Na(75,T|0,n|0,o|0);o=y;y=0;do if(o&1)b=pb()|0;else{y=0;Ra(20,h|0,T|0,u|0,u|0);o=y;y=0;if(o&1){b=pb()|0;$9(T);break}$9(T);o=i[l>>0]|0;o=(o<<24>>24<0?k[m>>2]|0:o&255)+2|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;Na(124,T|0,o|0,32);o=y;y=0;do if(o&1){b=pb()|0;R=270}else{o=i[T+11>>0]|0;n=o<<24>>24<0;y=0;ta(54,q|0,(n?k[T>>2]|0:T)|0,(n?k[T+4>>2]|0:o&255)|0)|0;o=y;y=0;if(o&1){b=pb()|0;$9(T);R=270;break}$9(T);y=0;b=ta(54,q|0,45413,9)|0;o=y;y=0;do if(!(o&1)){y=0;b=Ha(972,b|0,(k[c>>2]|0)+1|0)|0;o=y;y=0;if(o&1)break;y=0;b=ta(54,b|0,47391,4)|0;o=y;y=0;if(o&1)break;o=i[h+11>>0]|0;n=o<<24>>24<0;y=0;b=ta(54,b|0,(n?k[h>>2]|0:h)|0,(n?k[h+4>>2]|0:o&255)|0)|0;o=y;y=0;if(o&1)break;y=0;ta(54,b|0,47537,1)|0;o=y;y=0;if(o&1)break;$9(h);m=c;break d}while(0);b=pb()|0}while(0);$9(h);break b}while(0);break b}else{if((((k[b+4>>2]|0)-(k[b>>2]|0)>>2)+-1|0)>>>0<=1){m=s+32|0;break}d=T+11|0;e=T+4|0;f=s+32|0;g=n+11|0;h=n+4|0;c=1;while(1){Z=k[k[(k[b>>2]|0)+(c<<2)>>2]>>2]|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;b=JI(Z)|0;y=0;Na(75,o|0,Z|0,b|0);b=y;y=0;if(b&1){R=247;break}y=0;Ra(20,n|0,o|0,u|0,u|0);Z=y;y=0;if(Z&1){R=248;break}Z=i[l>>0]|0;Z=(Z<<24>>24<0?k[m>>2]|0:Z&255)+2|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;Na(124,T|0,Z|0,32);Z=y;y=0;if(Z&1){R=249;break}Z=i[d>>0]|0;b=Z<<24>>24<0;y=0;ta(54,q|0,(b?k[T>>2]|0:T)|0,(b?k[e>>2]|0:Z&255)|0)|0;Z=y;y=0;if(Z&1){R=250;break}$9(T);Z=(c|0)==1;y=0;ta(54,q|0,(Z?45413:45423)|0,(Z?9:11)|0)|0;Z=y;y=0;if(Z&1){R=252;break}y=0;b=Ha(972,q|0,(k[f>>2]|0)+1|0)|0;Z=y;y=0;if(Z&1){R=252;break}y=0;b=ta(54,b|0,47391,4)|0;Z=y;y=0;if(Z&1){R=252;break}Z=i[g>>0]|0;_=Z<<24>>24<0;y=0;b=ta(54,b|0,(_?k[n>>2]|0:n)|0,(_?k[h>>2]|0:Z&255)|0)|0;Z=y;y=0;if(Z&1){R=252;break}y=0;ta(54,b|0,47537,1)|0;_=y;y=0;if(_&1){R=252;break}$9(n);$9(o);c=c+1|0;b=k[j>>2]|0;if(c>>>0>=(((k[b+4>>2]|0)-(k[b>>2]|0)>>2)+-1|0)>>>0){m=f;break d}}if((R|0)==247){b=pb()|0;break b}else if((R|0)==248)b=pb()|0;else if((R|0)==249){b=pb()|0;R=251}else if((R|0)==250){b=pb()|0;$9(T);R=251}else if((R|0)==252){b=pb()|0;R=253}if((R|0)==251)R=253;if((R|0)==253)$9(n);$9(o);break b}while(0);b=k[m>>2]|0;e:do if((b|0)!=-1){l=s+36|0;e=k[l>>2]|0;if((e|0)==-1)break;c=k[s+48>>2]|0;f:do if(!c){b=0;c=0}else{d=i[c>>0]|0;if((b|0)!=0&d<<24>>24!=0)do{b=((d<<24>>24==10)<<31>>31)+b|0;c=c+1|0;d=i[c>>0]|0}while((b|0)!=0&d<<24>>24!=0);if(!c){b=0;c=0;break}else b=c;while(1){switch(i[b>>0]|0){case 13:case 10:case 0:break f;default:{}}b=b+1|0}}while(0);j=e>>>0>42?e+-42|0:0;d=b-c-j|0;y=0;h=ta(54,q|0,45435,3)|0;_=y;y=0;g:do if(!(_&1)){g=c+j|0;e=b+(d>>>0>78?78-d|0:0)|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;f=e-g|0;do if(f>>>0>4294967279){y=0;na(377,T|0);_=y;y=0;if(_&1)R=299;else R=286}else{if(f>>>0>=11){R=286;break}i[T+11>>0]=f;b=T;R=288}while(0);do if((R|0)==286){c=f+16&-16;y=0;b=qa(332,c|0)|0;_=y;y=0;if(_&1){R=299;break}k[T>>2]=b;k[T+8>>2]=c|-2147483648;k[T+4>>2]=f;R=288}while(0);if((R|0)==288){if((g|0)!=(e|0)){d=b;c=g;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;b=i[T+11>>0]|0;_=b<<24>>24<0;y=0;b=ta(54,h|0,(_?k[T>>2]|0:T)|0,(_?k[T+4>>2]|0:b&255)|0)|0;_=y;y=0;do if(!(_&1)){y=0;ta(54,b|0,47537,1)|0;_=y;y=0;if(_&1)break;$9(T);y=0;b=ta(54,q|0,45439,3)|0;_=y;y=0;if(_&1)break g;_=(k[l>>2]|0)-j|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;Na(124,T|0,_|0,45);_=y;y=0;if(_&1)b=pb()|0;else{_=i[T+11>>0]|0;Z=_<<24>>24<0;y=0;b=ta(54,b|0,(Z?k[T>>2]|0:T)|0,(Z?k[T+4>>2]|0:_&255)|0)|0;_=y;y=0;do if(!(_&1)){y=0;ta(54,b|0,45443,2)|0;_=y;y=0;if(_&1)break;$9(T);break e}while(0);b=pb()|0;$9(T)}break b}while(0);b=pb()|0;$9(T)}else if((R|0)==299)b=pb()|0;break b}while(0);b=pb()|0;break b}while(0);y=0;f=La(1)|0;_=y;y=0;if(_&1)R=229;else{y=0;b=ra(2,1.0)|0;_=y;y=0;do if(_&1)R=322;else{y=0;Na(141,f|0,45340,b|0);_=y;y=0;if(_&1){R=322;break}e=s+44|0;y=0;b=qa(462,k[e>>2]|0)|0;_=y;y=0;if(_&1){R=322;break}y=0;Na(141,f|0,46745,b|0);_=y;y=0;if(_&1){R=322;break}y=0;b=ra(2,+(+(((k[m>>2]|0)+1|0)>>>0)))|0;_=y;y=0;if(_&1){R=322;break}y=0;Na(141,f|0,45446,b|0);_=y;y=0;if(_&1){R=322;break}d=s+36|0;y=0;b=ra(2,+(+(((k[d>>2]|0)+1|0)>>>0)))|0;_=y;y=0;if(_&1){R=322;break}y=0;Na(141,f|0,45451,b|0);_=y;y=0;if(_&1){R=322;break}b=oc[k[(k[s>>2]|0)+8>>2]&511](s)|0;y=0;b=qa(462,b|0)|0;_=y;y=0;if(_&1){R=322;break}y=0;Na(141,f|0,45347,b|0);_=y;y=0;if(_&1){R=322;break}y=0;oa(530,T|0,w|0);_=y;y=0;if(_&1){R=322;break}y=0;b=qa(462,((i[T+11>>0]|0)<0?k[T>>2]|0:T)|0)|0;_=y;y=0;if(_&1){b=pb()|0;$9(T);break}$9(T);y=0;Na(141,f|0,45355,b|0);_=y;y=0;if(_&1){R=322;break}y=0;b=Ha(1024,f|0,45182)|0;_=y;y=0;if(_&1){_=tb(0)|0;vb(_|0)|0;y=0;la(3);_=y;y=0;if(_&1){R=322;break}}else k[a+84>>2]=b;y=0;oa(530,p|0,w|0);_=y;y=0;if(_&1){R=322;break}y=0;b=qa(463,p|0)|0;_=y;y=0;if(_&1){b=pb()|0;$9(p);break b}k[a+92>>2]=b;$9(p);b=oc[k[(k[s>>2]|0)+8>>2]&511](s)|0;y=0;b=qa(340,b|0)|0;_=y;y=0;if(_&1){R=322;break}k[a+88>>2]=b;c=a+80|0;k[c>>2]=1;y=0;b=qa(340,k[e>>2]|0)|0;_=y;y=0;if(_&1){R=322;break}k[a+96>>2]=b;k[a+100>>2]=(k[m>>2]|0)+1;k[a+104>>2]=(k[d>>2]|0)+1;k[a+108>>2]=k[s+48>>2];k[a+72>>2]=0;k[a+76>>2]=0;y=0;na(402,f|0);_=y;y=0;if(_&1){R=322;break}$9(t);$9(u);k[x>>2]=14380;k[z>>2]=14420;k[q>>2]=14400;k[w>>2]=14240;$9(v);nba(w);zka(x,14472);dja(z);rb();_=c;_=k[_>>2]|0;r=X;return _|0}while(0);if((R|0)==322)b=pb()|0;break}}if((R|0)==229)b=pb()|0}}while(0);if((R|0)==218)b=pb()|0;$9(t)}}if((R|0)==217)b=pb()|0;$9(u)}k[x>>2]=14380;k[z>>2]=14420;k[x+8>>2]=14400;k[w>>2]=14240;$9(v);nba(w);zka(x,14472);dja(z);break a}while(0);zka(x,14472);R=215}while(0);if((R|0)==215)dja(z);y=0;la(3);_=y;y=0;if(_&1){_=tb(0)|0;dla(_)}else{_=b;sb(_|0)}}if((O|0)==(ob(4496)|0)){e=vb(M|0)|0;j=D+64|0;b=D+8|0;k[b>>2]=14400;h=D+12|0;k[D>>2]=14440;k[j>>2]=14460;k[D+4>>2]=0;y=0;oa(528,D+64|0,h|0);_=y;y=0;h:do if(_&1){b=pb()|0;R=202}else{k[D+136>>2]=0;k[D+140>>2]=-1;k[D>>2]=14380;k[j>>2]=14420;k[b>>2]=14400;y=0;na(373,h|0);_=y;y=0;do if(_&1)b=pb()|0;else{k[h>>2]=14240;g=D+44|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[D+60>>2]=24;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;oa(529,h|0,T|0);_=y;y=0;if(_&1){b=pb()|0;$9(T);$9(g);nba(h);break}$9(T);y=0;f=La(1)|0;_=y;y=0;i:do if(_&1){b=pb()|0;c=D+8|0}else{c=D+8|0;y=0;b=ta(54,c|0,45312,27)|0;_=y;y=0;do if(_&1)R=204;else{_=oc[k[(k[e>>2]|0)+8>>2]&511](e)|0;d=JI(_)|0;y=0;d=ta(54,b|0,_|0,d|0)|0;_=y;y=0;if(_&1)R=204;else{y=0;b=qa(341,d+(k[(k[d>>2]|0)+-12>>2]|0)|0)|0;_=y;y=0;if(_&1)R=204;else{k[A>>2]=b;y=0;b=Ha(973,A|0,78144)|0;_=y;y=0;if(!(_&1)){y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;_=y;y=0;if(!(_&1)){Sea(A);y=0;Ha(1016,d|0,b|0)|0;_=y;y=0;if(_&1){R=204;break}y=0;qa(442,d|0)|0;_=y;y=0;if(_&1){R=204;break}y=0;b=ra(2,2.0)|0;_=y;y=0;if(_&1){R=204;break}y=0;Na(141,f|0,45340,b|0);_=y;y=0;if(_&1){R=204;break}b=oc[k[(k[e>>2]|0)+8>>2]&511](e)|0;y=0;b=qa(462,b|0)|0;_=y;y=0;if(_&1){R=204;break}y=0;Na(141,f|0,45347,b|0);_=y;y=0;if(_&1){R=204;break}y=0;oa(530,B|0,h|0);_=y;y=0;if(_&1){R=204;break}y=0;b=qa(462,((i[B+11>>0]|0)<0?k[B>>2]|0:B)|0)|0;_=y;y=0;if(_&1){b=pb()|0;$9(B);break}$9(B);y=0;Na(141,f|0,45355,b|0);_=y;y=0;if(_&1){R=204;break}y=0;b=Ha(1024,f|0,45182)|0;_=y;y=0;if(_&1){_=tb(0)|0;vb(_|0)|0;y=0;la(3);_=y;y=0;if(_&1){R=204;break}}else k[a+84>>2]=b;y=0;oa(530,C|0,h|0);_=y;y=0;if(_&1){R=204;break}y=0;b=qa(463,C|0)|0;_=y;y=0;if(_&1){b=pb()|0;$9(C);break i}k[a+92>>2]=b;$9(C);b=oc[k[(k[e>>2]|0)+8>>2]&511](e)|0;y=0;b=qa(340,b|0)|0;_=y;y=0;if(_&1){R=204;break}k[a+88>>2]=b;b=a+80|0;k[b>>2]=2;k[a+72>>2]=0;k[a+76>>2]=0;y=0;na(402,f|0);_=y;y=0;if(_&1){R=204;break}k[D>>2]=14380;k[j>>2]=14420;k[c>>2]=14400;k[h>>2]=14240;$9(g);nba(h);zka(D,14472);dja(j);rb();_=b;_=k[_>>2]|0;r=X;return _|0}}b=pb()|0;Sea(A)}}}while(0);if((R|0)==204)b=pb()|0}while(0);k[D>>2]=14380;k[j>>2]=14420;k[c>>2]=14400;k[h>>2]=14240;$9(g);nba(h);zka(D,14472);dja(j);break h}while(0);zka(D,14472);R=202}while(0);if((R|0)==202)dja(j);y=0;la(3);_=y;y=0;if(_&1){_=tb(0)|0;dla(_)}else{_=b;sb(_|0)}}if((O|0)==(ob(4432)|0)){e=vb(M|0)|0;j=H+64|0;b=H+8|0;k[b>>2]=14400;h=H+12|0;k[H>>2]=14440;k[j>>2]=14460;k[H+4>>2]=0;y=0;oa(528,H+64|0,h|0);_=y;y=0;j:do if(_&1){b=pb()|0;R=189}else{k[H+136>>2]=0;k[H+140>>2]=-1;k[H>>2]=14380;k[j>>2]=14420;k[b>>2]=14400;y=0;na(373,h|0);_=y;y=0;do if(_&1)b=pb()|0;else{k[h>>2]=14240;g=H+44|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[H+60>>2]=24;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;oa(529,h|0,T|0);_=y;y=0;if(_&1){b=pb()|0;$9(T);$9(g);nba(h);break}$9(T);y=0;f=La(1)|0;_=y;y=0;k:do if(_&1){b=pb()|0;c=H+8|0}else{c=H+8|0;y=0;b=ta(54,c|0,45365,16)|0;_=y;y=0;do if(_&1)R=191;else{_=oc[k[(k[e>>2]|0)+8>>2]&511](e)|0;d=JI(_)|0;y=0;d=ta(54,b|0,_|0,d|0)|0;_=y;y=0;if(_&1)R=191;else{y=0;b=qa(341,d+(k[(k[d>>2]|0)+-12>>2]|0)|0)|0;_=y;y=0;if(_&1)R=191;else{k[E>>2]=b;y=0;b=Ha(973,E|0,78144)|0;_=y;y=0;if(!(_&1)){y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;_=y;y=0;if(!(_&1)){Sea(E);y=0;Ha(1016,d|0,b|0)|0;_=y;y=0;if(_&1){R=191;break}y=0;qa(442,d|0)|0;_=y;y=0;if(_&1){R=191;break}y=0;b=ra(2,3.0)|0;_=y;y=0;if(_&1){R=191;break}y=0;Na(141,f|0,45340,b|0);_=y;y=0;if(_&1){R=191;break}b=oc[k[(k[e>>2]|0)+8>>2]&511](e)|0;y=0;b=qa(462,b|0)|0;_=y;y=0;if(_&1){R=191;break}y=0;Na(141,f|0,45347,b|0);_=y;y=0;if(_&1){R=191;break}y=0;oa(530,F|0,h|0);_=y;y=0;if(_&1){R=191;break}y=0;b=qa(462,((i[F+11>>0]|0)<0?k[F>>2]|0:F)|0)|0;_=y;y=0;if(_&1){b=pb()|0;$9(F);break}$9(F);y=0;Na(141,f|0,45355,b|0);_=y;y=0;if(_&1){R=191;break}y=0;b=Ha(1024,f|0,45182)|0;_=y;y=0;if(_&1){_=tb(0)|0;vb(_|0)|0;y=0;la(3);_=y;y=0;if(_&1){R=191;break}}else k[a+84>>2]=b;y=0;oa(530,G|0,h|0);_=y;y=0;if(_&1){R=191;break}y=0;b=qa(463,G|0)|0;_=y;y=0;if(_&1){b=pb()|0;$9(G);break k}k[a+92>>2]=b;$9(G);b=oc[k[(k[e>>2]|0)+8>>2]&511](e)|0;y=0;b=qa(340,b|0)|0;_=y;y=0;if(_&1){R=191;break}k[a+88>>2]=b;b=a+80|0;k[b>>2]=3;k[a+72>>2]=0;k[a+76>>2]=0;y=0;na(402,f|0);_=y;y=0;if(_&1){R=191;break}k[H>>2]=14380;k[j>>2]=14420;k[c>>2]=14400;k[h>>2]=14240;$9(g);nba(h);zka(H,14472);dja(j);rb();_=b;_=k[_>>2]|0;r=X;return _|0}}b=pb()|0;Sea(E)}}}while(0);if((R|0)==191)b=pb()|0}while(0);k[H>>2]=14380;k[j>>2]=14420;k[c>>2]=14400;k[h>>2]=14240;$9(g);nba(h);zka(H,14472);dja(j);break j}while(0);zka(H,14472);R=189}while(0);if((R|0)==189)dja(j);y=0;la(3);_=y;y=0;if(_&1){_=tb(0)|0;dla(_)}else{_=b;sb(_|0)}}if((O|0)==(ob(1624)|0)){b=vb(M|0)|0;l=L+64|0;c=L+8|0;k[c>>2]=14400;j=L+12|0;k[L>>2]=14440;k[l>>2]=14460;k[L+4>>2]=0;y=0;oa(528,L+64|0,j|0);_=y;y=0;l:do if(_&1){b=pb()|0;R=174}else{k[L+136>>2]=0;k[L+140>>2]=-1;k[L>>2]=14380;k[l>>2]=14420;k[c>>2]=14400;y=0;na(373,j|0);_=y;y=0;do if(_&1)b=pb()|0;else{k[j>>2]=14240;h=L+44|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[L+60>>2]=24;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;oa(529,j|0,T|0);_=y;y=0;if(_&1){b=pb()|0;$9(T);$9(h);nba(j);break}$9(T);y=0;g=La(1)|0;_=y;y=0;m:do if(_&1){b=pb()|0;c=L+8|0}else{c=L+8|0;y=0;d=ta(54,c|0,45365,16)|0;_=y;y=0;do if(_&1)R=176;else{f=b+11|0;e=i[f>>0]|0;_=e<<24>>24<0;y=0;e=ta(54,d|0,(_?k[b>>2]|0:b)|0,(_?k[b+4>>2]|0:e&255)|0)|0;_=y;y=0;if(_&1)R=176;else{y=0;d=qa(341,e+(k[(k[e>>2]|0)+-12>>2]|0)|0)|0;_=y;y=0;if(_&1)R=176;else{k[I>>2]=d;y=0;d=Ha(973,I|0,78144)|0;_=y;y=0;if(!(_&1)){y=0;d=Ha(k[(k[d>>2]|0)+28>>2]|0,d|0,10)|0;_=y;y=0;if(!(_&1)){Sea(I);y=0;Ha(1016,e|0,d|0)|0;_=y;y=0;if(_&1){R=176;break}y=0;qa(442,e|0)|0;_=y;y=0;if(_&1){R=176;break}y=0;d=ra(2,4.0)|0;_=y;y=0;if(_&1){R=176;break}y=0;Na(141,g|0,45340,d|0);_=y;y=0;if(_&1){R=176;break}if((i[f>>0]|0)<0)d=k[b>>2]|0;else d=b;y=0;d=qa(462,d|0)|0;_=y;y=0;if(_&1){R=176;break}y=0;Na(141,g|0,45347,d|0);_=y;y=0;if(_&1){R=176;break}y=0;oa(530,J|0,j|0);_=y;y=0;if(_&1){R=176;break}y=0;d=qa(462,((i[J+11>>0]|0)<0?k[J>>2]|0:J)|0)|0;_=y;y=0;if(_&1){b=pb()|0;$9(J);break}$9(J);y=0;Na(141,g|0,45355,d|0);_=y;y=0;if(_&1){R=176;break}y=0;d=Ha(1024,g|0,45182)|0;_=y;y=0;if(_&1){_=tb(0)|0;vb(_|0)|0;y=0;la(3);_=y;y=0;if(_&1){R=176;break}}else k[a+84>>2]=d;y=0;oa(530,K|0,j|0);_=y;y=0;if(_&1){R=176;break}y=0;d=qa(463,K|0)|0;_=y;y=0;if(_&1){b=pb()|0;$9(K);break m}k[a+92>>2]=d;$9(K);if((i[f>>0]|0)<0)b=k[b>>2]|0;y=0;b=qa(340,b|0)|0;_=y;y=0;if(_&1){R=176;break}k[a+88>>2]=b;b=a+80|0;k[b>>2]=4;k[a+72>>2]=0;k[a+76>>2]=0;y=0;na(402,g|0);_=y;y=0;if(_&1){R=176;break}k[L>>2]=14380;k[l>>2]=14420;k[c>>2]=14400;k[j>>2]=14240;$9(h);nba(j);zka(L,14472);dja(l);rb();_=b;_=k[_>>2]|0;r=X;return _|0}}b=pb()|0;Sea(I)}}}while(0);if((R|0)==176)b=pb()|0}while(0);k[L>>2]=14380;k[l>>2]=14420;k[c>>2]=14400;k[j>>2]=14240;$9(h);nba(j);zka(L,14472);dja(l);break l}while(0);zka(L,14472);R=174}while(0);if((R|0)==174)dja(l);y=0;la(3);_=y;y=0;if(_&1){_=tb(0)|0;dla(_)}else{_=b;sb(_|0)}}_=(O|0)==(ob(4696)|0);j=vb(M|0)|0;if(!_){h=S+64|0;b=S+8|0;k[b>>2]=14400;g=S+12|0;k[S>>2]=14440;k[h>>2]=14460;k[S+4>>2]=0;y=0;oa(528,S+64|0,g|0);_=y;y=0;n:do if(_&1){b=pb()|0;R=148}else{k[S+136>>2]=0;k[S+140>>2]=-1;k[S>>2]=14380;k[h>>2]=14420;k[b>>2]=14400;y=0;na(373,g|0);_=y;y=0;do if(_&1)b=pb()|0;else{k[g>>2]=14240;f=S+44|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[S+60>>2]=24;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;oa(529,g|0,T|0);_=y;y=0;if(_&1){b=pb()|0;$9(T);$9(f);nba(g);break}$9(T);y=0;e=La(1)|0;_=y;y=0;o:do if(_&1){b=pb()|0;c=S+8|0}else{c=S+8|0;y=0;d=ta(54,c|0,45382,22)|0;_=y;y=0;do if(_&1)R=150;else{y=0;b=qa(341,d+(k[(k[d>>2]|0)+-12>>2]|0)|0)|0;_=y;y=0;if(_&1)R=150;else{k[P>>2]=b;y=0;b=Ha(973,P|0,78144)|0;_=y;y=0;if(!(_&1)){y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;_=y;y=0;if(!(_&1)){Sea(P);y=0;Ha(1016,d|0,b|0)|0;_=y;y=0;if(_&1){R=150;break}y=0;qa(442,d|0)|0;_=y;y=0;if(_&1){R=150;break}y=0;b=ra(2,5.0)|0;_=y;y=0;if(_&1){R=150;break}y=0;Na(141,e|0,45340,b|0);_=y;y=0;if(_&1){R=150;break}y=0;b=qa(462,45405)|0;_=y;y=0;if(_&1){R=150;break}y=0;Na(141,e|0,45347,b|0);_=y;y=0;if(_&1){R=150;break}y=0;b=Ha(1024,e|0,45182)|0;_=y;y=0;if(_&1){_=tb(0)|0;vb(_|0)|0;y=0;la(3);_=y;y=0;if(_&1){R=150;break}}else k[a+84>>2]=b;y=0;oa(530,Q|0,g|0);_=y;y=0;if(_&1){R=150;break}y=0;b=qa(463,Q|0)|0;_=y;y=0;if(_&1){b=pb()|0;$9(Q);break o}k[a+92>>2]=b;$9(Q);y=0;b=qa(340,45405)|0;_=y;y=0;if(_&1){R=150;break}k[a+88>>2]=b;b=a+80|0;k[b>>2]=5;k[a+72>>2]=0;k[a+76>>2]=0;y=0;na(402,e|0);_=y;y=0;if(_&1){R=150;break}k[S>>2]=14380;k[h>>2]=14420;k[c>>2]=14400;k[g>>2]=14240;$9(f);nba(g);zka(S,14472);dja(h);rb();_=b;_=k[_>>2]|0;r=X;return _|0}}b=pb()|0;Sea(P)}}while(0);if((R|0)==150)b=pb()|0}while(0);k[S>>2]=14380;k[h>>2]=14420;k[c>>2]=14400;k[g>>2]=14240;$9(f);nba(g);zka(S,14472);dja(h);break n}while(0);zka(S,14472);R=148}while(0);if((R|0)==148)dja(h);y=0;la(3);_=y;y=0;if(_&1){_=tb(0)|0;dla(_)}else{_=b;sb(_|0)}}h=Y+64|0;b=Y+8|0;k[b>>2]=14400;g=Y+12|0;k[Y>>2]=14440;k[h>>2]=14460;k[Y+4>>2]=0;y=0;oa(528,Y+64|0,g|0);_=y;y=0;p:do if(_&1){b=pb()|0;R=161}else{k[Y+136>>2]=0;k[Y+140>>2]=-1;k[Y>>2]=14380;k[h>>2]=14420;k[b>>2]=14400;y=0;na(373,g|0);_=y;y=0;do if(_&1)b=pb()|0;else{k[g>>2]=14240;f=Y+44|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[Y+60>>2]=24;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;oa(529,g|0,T|0);_=y;y=0;if(_&1){b=pb()|0;$9(T);$9(f);nba(g);break}$9(T);y=0;e=La(1)|0;_=y;y=0;q:do if(_&1){b=pb()|0;c=Y+8|0}else{c=Y+8|0;y=0;b=ta(54,c|0,45365,16)|0;_=y;y=0;do if(_&1)R=163;else{d=JI(j)|0;y=0;d=ta(54,b|0,j|0,d|0)|0;_=y;y=0;if(_&1)R=163;else{y=0;b=qa(341,d+(k[(k[d>>2]|0)+-12>>2]|0)|0)|0;_=y;y=0;if(_&1)R=163;else{k[U>>2]=b;y=0;b=Ha(973,U|0,78144)|0;_=y;y=0;if(!(_&1)){y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;_=y;y=0;if(!(_&1)){Sea(U);y=0;Ha(1016,d|0,b|0)|0;_=y;y=0;if(_&1){R=163;break}y=0;qa(442,d|0)|0;_=y;y=0;if(_&1){R=163;break}y=0;b=ra(2,4.0)|0;_=y;y=0;if(_&1){R=163;break}y=0;Na(141,e|0,45340,b|0);_=y;y=0;if(_&1){R=163;break}y=0;b=qa(462,j|0)|0;_=y;y=0;if(_&1){R=163;break}y=0;Na(141,e|0,45347,b|0);_=y;y=0;if(_&1){R=163;break}y=0;oa(530,V|0,g|0);_=y;y=0;if(_&1){R=163;break}y=0;b=qa(462,((i[V+11>>0]|0)<0?k[V>>2]|0:V)|0)|0;_=y;y=0;if(_&1){b=pb()|0;$9(V);break}$9(V);y=0;Na(141,e|0,45355,b|0);_=y;y=0;if(_&1){R=163;break}y=0;b=Ha(1024,e|0,45182)|0;_=y;y=0;if(_&1){_=tb(0)|0;vb(_|0)|0;y=0;la(3);_=y;y=0;if(_&1){R=163;break}}else k[a+84>>2]=b;y=0;oa(530,W|0,g|0);_=y;y=0;if(_&1){R=163;break}y=0;b=qa(463,W|0)|0;_=y;y=0;if(_&1){b=pb()|0;$9(W);break q}k[a+92>>2]=b;$9(W);y=0;b=qa(340,j|0)|0;_=y;y=0;if(_&1){R=163;break}k[a+88>>2]=b;b=a+80|0;k[b>>2]=4;k[a+72>>2]=0;k[a+76>>2]=0;y=0;na(402,e|0);_=y;y=0;if(_&1){R=163;break}k[Y>>2]=14380;k[h>>2]=14420;k[c>>2]=14400;k[g>>2]=14240;$9(f);nba(g);zka(Y,14472);dja(h);rb();_=b;_=k[_>>2]|0;r=X;return _|0}}b=pb()|0;Sea(U)}}}while(0);if((R|0)==163)b=pb()|0}while(0);k[Y>>2]=14380;k[h>>2]=14420;k[c>>2]=14400;k[g>>2]=14240;$9(f);nba(g);zka(Y,14472);dja(h);break p}while(0);zka(Y,14472);R=161}while(0);if((R|0)==161)dja(h);rb();_=b;sb(_|0);return 0}function $c(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;M=r;r=r+576|0;V=M+492|0;da=M+456|0;f=M+480|0;e=M+468|0;ba=M+444|0;aa=M+432|0;$=M+408|0;j=M+420|0;g=M+396|0;Z=M+384|0;l=M+372|0;h=M+360|0;X=M+324|0;t=M+312|0;p=M+300|0;m=M+288|0;q=M+276|0;n=M+264|0;s=M+252|0;o=M+204|0;w=M+192|0;v=M+180|0;u=M+168|0;G=M+156|0;A=M+144|0;W=M+216|0;D=M+132|0;B=M+120|0;I=M+108|0;H=M+96|0;E=M+84|0;P=M+72|0;K=M+60|0;Q=M+48|0;L=M+36|0;U=M+24|0;T=M+12|0;R=M;pK(f,b);y=0;oa(452,e|0,c|0);ca=y;y=0;do if(ca&1)d=pb()|0;else{y=0;Na(106,da|0,f|0,e|0);ca=y;y=0;if(ca&1){d=pb()|0;$9(e);break}$9(e);$9(f);k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;y=0;Na(75,V|0,38910,5);ca=y;y=0;do if(ca&1){d=pb()|0;Y=45}else{ca=V+12|0;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;y=0;Na(75,ca|0,38916,5);ca=y;y=0;if(ca&1)e=1;else{ca=V+24|0;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;y=0;Na(75,ca|0,38922,4);ca=y;y=0;if(ca&1)e=2;else{y=0;ca=qa(332,36)|0;_=y;y=0;if(_&1)d=pb()|0;else{y=0;oa(452,ca|0,V|0);_=y;y=0;if(_&1)e=ca;else{e=ca+12|0;y=0;oa(452,e|0,V+12|0);_=y;y=0;if(!(_&1)){e=ca+24|0;y=0;oa(452,e|0,V+24|0);_=y;y=0;if(!(_&1)){J=ca+36|0;$9(V+24|0);$9(V+12|0);$9(V);e=LI(c,47,-1)|0;if((e|0)==-1){k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;y=0;Na(75,ba|0,82159,0);_=y;y=0;if(_&1)Y=46;else Y=15}else{y=0;ma(4,ba|0,c|0,0,e+1|0,c|0);_=y;y=0;if(_&1)Y=46;else Y=15}if((Y|0)==15){e=LI(c,47,-1)|0;if((e|0)==-1){y=0;oa(452,aa|0,c|0);_=y;y=0;if(_&1)Y=47;else Y=18}else{y=0;ma(4,aa|0,c|0,e+1|0,-1,c|0);_=y;y=0;if(_&1)Y=47;else Y=18}if((Y|0)==18){k[a>>2]=0;_=a+4|0;k[_>>2]=0;k[a+8>>2]=0;y=0;oa(452,j|0,ba|0);F=y;y=0;a:do if(F&1){d=pb()|0;c=N}else{y=0;oa(452,g|0,aa|0);F=y;y=0;do if(F&1){d=pb()|0;e=N}else{y=0;Na(106,$|0,j|0,g|0);F=y;y=0;if(F&1){d=pb()|0;e=N;$9(g);break}$9(g);$9(j);y=0;oa(452,l|0,b|0);F=y;y=0;b:do if(F&1){d=pb()|0;e=N}else{y=0;oa(452,h|0,$|0);F=y;y=0;do if(F&1){d=pb()|0;e=N}else{y=0;Na(106,Z|0,l|0,h|0);F=y;y=0;if(F&1){d=pb()|0;e=N;$9(h);break}$9(h);$9(l);F=Z+11|0;c:do if(!(CR((i[F>>0]|0)<0?k[Z>>2]|0:Z,V)|0)){if((k[V+12>>2]&61440|0)==16384){Y=67;break}y=0;oa(452,t|0,$|0);z=y;y=0;if(z&1){d=pb()|0;e=N}else{y=0;oa(452,p|0,b|0);z=y;y=0;if(z&1){d=pb()|0;e=N}else{y=0;Na(96,X|0,t|0,p|0);z=y;y=0;if(z&1){d=pb()|0;e=N}else{y=0;oa(452,m|0,Z|0);z=y;y=0;if(z&1){d=pb()|0;e=N}else{y=0;Na(97,V|0,X|0,m|0);z=y;y=0;d:do if(z&1){d=pb()|0;e=N}else{e=k[_>>2]|0;do if(e>>>0<(k[a+8>>2]|0)>>>0){k[e>>2]=k[V>>2];k[e+4>>2]=k[V+4>>2];k[e+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;Y=e+12|0;c=V+12|0;k[Y>>2]=k[c>>2];k[Y+4>>2]=k[c+4>>2];k[Y+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;Y=e+24|0;f=V+24|0;k[Y>>2]=k[f>>2];k[Y+4>>2]=k[f+4>>2];k[Y+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;Y=e+36|0;e=V+36|0;k[Y>>2]=k[e>>2];k[Y+4>>2]=k[e+4>>2];k[Y+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[_>>2]=(k[_>>2]|0)+48}else{y=0;oa(558,a|0,V|0);z=y;y=0;if(z&1){d=pb()|0;e=N;$9(V+36|0);$9(V+24|0);$9(V+12|0);$9(V);break d}else{e=V+36|0;f=V+24|0;c=V+12|0;break}}while(0);$9(e);$9(f);$9(c);$9(V);$9(m);$9(X+24|0);$9(X+12|0);$9(X);$9(p);$9(t);Y=67;break c}while(0);$9(m)}$9(X+24|0);$9(X+12|0);$9(X)}$9(p)}$9(t)}}else Y=67;while(0);e:do if((Y|0)==67){y=0;oa(452,q|0,ba|0);z=y;y=0;if(z&1){d=pb()|0;e=N}else{k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;x=aa+11|0;e=i[x>>0]|0;z=aa+4|0;e=e<<24>>24<0?k[z>>2]|0:e&255;y=0;Ra(10,n|0,38927,1,e+1|0);t=y;y=0;do if(t&1)Y=98;else{y=0;ta(47,n|0,((i[x>>0]|0)<0?k[aa>>2]|0:aa)|0,e|0)|0;t=y;y=0;if(t&1){Y=98;break}y=0;Na(106,V|0,q|0,n|0);t=y;y=0;if(t&1){d=pb()|0;e=N;$9(n);break}t=$+11|0;if((i[t>>0]|0)<0){i[k[$>>2]>>0]=0;k[$+4>>2]=0}else{i[$>>0]=0;i[t>>0]=0}y=0;oa(506,$|0,0);p=y;y=0;if(p&1){p=tb(0)|0;dla(p)}k[$>>2]=k[V>>2];k[$+4>>2]=k[V+4>>2];k[$+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;$9(V);$9(n);$9(q);y=0;oa(452,s|0,b|0);q=y;y=0;if(q&1){d=pb()|0;e=N}else{y=0;oa(452,o|0,$|0);q=y;y=0;do if(q&1){d=pb()|0;e=N}else{y=0;Na(106,V|0,s|0,o|0);q=y;y=0;if(q&1){d=pb()|0;e=N;$9(o);break}if((i[F>>0]|0)<0){i[k[Z>>2]>>0]=0;k[Z+4>>2]=0}else{i[Z>>0]=0;i[F>>0]=0}y=0;oa(506,Z|0,0);q=y;y=0;if(q&1){q=tb(0)|0;dla(q)}k[Z>>2]=k[V>>2];k[Z+4>>2]=k[V+4>>2];k[Z+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;$9(V);$9(o);$9(s);f:do if(!(CR((i[F>>0]|0)<0?k[Z>>2]|0:Z,V)|0)){if((k[V+12>>2]&61440|0)==16384)break;y=0;oa(452,w|0,$|0);s=y;y=0;if(s&1){d=pb()|0;e=N}else{y=0;oa(452,v|0,b|0);s=y;y=0;if(s&1){d=pb()|0;e=N}else{y=0;Na(96,X|0,w|0,v|0);s=y;y=0;if(s&1){d=pb()|0;e=N}else{y=0;oa(452,u|0,Z|0);s=y;y=0;if(s&1){d=pb()|0;e=N}else{y=0;Na(97,V|0,X|0,u|0);s=y;y=0;g:do if(s&1){d=pb()|0;e=N}else{e=k[_>>2]|0;do if(e>>>0<(k[a+8>>2]|0)>>>0){k[e>>2]=k[V>>2];k[e+4>>2]=k[V+4>>2];k[e+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;c=e+12|0;f=V+12|0;k[c>>2]=k[f>>2];k[c+4>>2]=k[f+4>>2];k[c+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;c=e+24|0;Y=V+24|0;k[c>>2]=k[Y>>2];k[c+4>>2]=k[Y+4>>2];k[c+8>>2]=k[Y+8>>2];k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;e=e+36|0;c=V+36|0;k[e>>2]=k[c>>2];k[e+4>>2]=k[c+4>>2];k[e+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[_>>2]=(k[_>>2]|0)+48;e=Y}else{y=0;oa(558,a|0,V|0);s=y;y=0;if(s&1){d=pb()|0;e=N;$9(V+36|0);$9(V+24|0);$9(V+12|0);$9(V);break g}else{e=V+24|0;f=V+12|0;c=V+36|0;break}}while(0);$9(c);$9(e);$9(f);$9(V);$9(u);$9(X+24|0);$9(X+12|0);$9(X);$9(v);$9(w);break f}while(0);$9(u)}$9(X+24|0);$9(X+12|0);$9(X)}$9(v)}$9(w)}break e}while(0);c=X+11|0;g=X+4|0;h=$+4|0;j=Z+4|0;l=V+12|0;m=a+8|0;n=V+12|0;o=V+24|0;p=V+36|0;q=W+24|0;s=W+12|0;f=ca;h:while(1){y=0;oa(452,X|0,f|0);Y=y;y=0;if(Y&1){Y=151;break}y=0;oa(452,G|0,ba|0);Y=y;y=0;if(Y&1){Y=152;break}k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;e=i[x>>0]|0;e=e<<24>>24<0?k[z>>2]|0:e&255;y=0;Ra(10,W|0,38927,1,e+1|0);Y=y;y=0;if(Y&1){Y=153;break}y=0;ta(47,W|0,((i[x>>0]|0)<0?k[aa>>2]|0:aa)|0,e|0)|0;Y=y;y=0;if(Y&1){Y=153;break}e=i[c>>0]|0;Y=e<<24>>24<0;y=0;e=ta(47,W|0,(Y?k[X>>2]|0:X)|0,(Y?k[g>>2]|0:e&255)|0)|0;Y=y;y=0;if(Y&1){Y=154;break}k[A>>2]=k[e>>2];k[A+4>>2]=k[e+4>>2];k[A+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(106,V|0,G|0,A|0);Y=y;y=0;if(Y&1){Y=155;break}if((i[t>>0]|0)<0){i[k[$>>2]>>0]=0;k[h>>2]=0}else{i[$>>0]=0;i[t>>0]=0}y=0;oa(506,$|0,0);Y=y;y=0;if(Y&1){Y=130;break}k[$>>2]=k[V>>2];k[$+4>>2]=k[V+4>>2];k[$+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;$9(V);$9(A);$9(W);$9(G);y=0;oa(452,D|0,b|0);Y=y;y=0;if(Y&1){Y=159;break}y=0;oa(452,B|0,$|0);Y=y;y=0;if(Y&1){Y=160;break}y=0;Na(106,V|0,D|0,B|0);Y=y;y=0;if(Y&1){Y=161;break}if((i[F>>0]|0)<0){i[k[Z>>2]>>0]=0;k[j>>2]=0}else{i[Z>>0]=0;i[F>>0]=0}y=0;oa(506,Z|0,0);Y=y;y=0;if(Y&1){Y=138;break}k[Z>>2]=k[V>>2];k[Z+4>>2]=k[V+4>>2];k[Z+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;$9(V);$9(B);$9(D);do if(!(CR((i[F>>0]|0)<0?k[Z>>2]|0:Z,V)|0)){if((k[l>>2]&61440|0)==16384)break;y=0;oa(452,I|0,$|0);Y=y;y=0;if(Y&1){Y=164;break h}y=0;oa(452,H|0,b|0);Y=y;y=0;if(Y&1){Y=165;break h}y=0;Na(96,W|0,I|0,H|0);Y=y;y=0;if(Y&1){Y=166;break h}y=0;oa(452,E|0,Z|0);Y=y;y=0;if(Y&1){Y=167;break h}y=0;Na(97,V|0,W|0,E|0);Y=y;y=0;if(Y&1){Y=168;break h}e=k[_>>2]|0;if(e>>>0<(k[m>>2]|0)>>>0){k[e>>2]=k[V>>2];k[e+4>>2]=k[V+4>>2];k[e+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;Y=e+12|0;k[Y>>2]=k[n>>2];k[Y+4>>2]=k[n+4>>2];k[Y+8>>2]=k[n+8>>2];k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;Y=e+24|0;k[Y>>2]=k[o>>2];k[Y+4>>2]=k[o+4>>2];k[Y+8>>2]=k[o+8>>2];k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;Y=e+36|0;k[Y>>2]=k[p>>2];k[Y+4>>2]=k[p+4>>2];k[Y+8>>2]=k[p+8>>2];k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;k[_>>2]=(k[_>>2]|0)+48}else{y=0;oa(558,a|0,V|0);Y=y;y=0;if(Y&1){Y=169;break h}}$9(p);$9(o);$9(n);$9(V);$9(E);$9(q);$9(s);$9(W);$9(H);$9(I)}while(0);$9(X);f=f+12|0;if((f|0)==(J|0)){Y=119;break}}switch(Y|0){case 119:{f=W+11|0;c=W+4|0;g=$+4|0;h=Z+4|0;j=V+12|0;l=a+8|0;m=V+12|0;n=V+24|0;o=V+36|0;p=X+24|0;q=X+12|0;e=ca;i:while(1){y=0;oa(452,W|0,e|0);Y=y;y=0;if(Y&1){Y=208;break}y=0;oa(452,P|0,ba|0);Y=y;y=0;if(Y&1){Y=209;break}k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;Y=i[x>>0]|0;I=Y<<24>>24<0;Y=I?k[z>>2]|0:Y&255;d=i[f>>0]|0;d=d<<24>>24<0?k[c>>2]|0:d&255;y=0;Ra(10,K|0,(I?k[aa>>2]|0:aa)|0,Y|0,d+Y|0);Y=y;y=0;if(Y&1){Y=210;break}y=0;ta(47,K|0,((i[f>>0]|0)<0?k[W>>2]|0:W)|0,d|0)|0;Y=y;y=0;if(Y&1){Y=210;break}y=0;Na(106,V|0,P|0,K|0);Y=y;y=0;if(Y&1){Y=211;break}if((i[t>>0]|0)<0){i[k[$>>2]>>0]=0;k[g>>2]=0}else{i[$>>0]=0;i[t>>0]=0}y=0;oa(506,$|0,0);Y=y;y=0;if(Y&1){Y=187;break}k[$>>2]=k[V>>2];k[$+4>>2]=k[V+4>>2];k[$+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;$9(V);$9(K);$9(P);y=0;oa(452,Q|0,b|0);Y=y;y=0;if(Y&1){Y=214;break}y=0;oa(452,L|0,$|0);Y=y;y=0;if(Y&1){Y=215;break}y=0;Na(106,V|0,Q|0,L|0);Y=y;y=0;if(Y&1){Y=216;break}if((i[F>>0]|0)<0){i[k[Z>>2]>>0]=0;k[h>>2]=0}else{i[Z>>0]=0;i[F>>0]=0}y=0;oa(506,Z|0,0);Y=y;y=0;if(Y&1){Y=195;break}k[Z>>2]=k[V>>2];k[Z+4>>2]=k[V+4>>2];k[Z+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;$9(V);$9(L);$9(Q);do if(!(CR((i[F>>0]|0)<0?k[Z>>2]|0:Z,V)|0)){if((k[j>>2]&61440|0)==16384)break;y=0;oa(452,U|0,$|0);Y=y;y=0;if(Y&1){Y=219;break i}y=0;oa(452,T|0,b|0);Y=y;y=0;if(Y&1){Y=220;break i}y=0;Na(96,X|0,U|0,T|0);Y=y;y=0;if(Y&1){Y=221;break i}y=0;oa(452,R|0,Z|0);Y=y;y=0;if(Y&1){Y=222;break i}y=0;Na(97,V|0,X|0,R|0);Y=y;y=0;if(Y&1){Y=223;break i}d=k[_>>2]|0;if(d>>>0<(k[l>>2]|0)>>>0){k[d>>2]=k[V>>2];k[d+4>>2]=k[V+4>>2];k[d+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;Y=d+12|0;k[Y>>2]=k[m>>2];k[Y+4>>2]=k[m+4>>2];k[Y+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;Y=d+24|0;k[Y>>2]=k[n>>2];k[Y+4>>2]=k[n+4>>2];k[Y+8>>2]=k[n+8>>2];k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;Y=d+36|0;k[Y>>2]=k[o>>2];k[Y+4>>2]=k[o+4>>2];k[Y+8>>2]=k[o+8>>2];k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[_>>2]=(k[_>>2]|0)+48}else{y=0;oa(558,a|0,V|0);Y=y;y=0;if(Y&1){Y=224;break i}}$9(o);$9(n);$9(m);$9(V);$9(R);$9(p);$9(q);$9(X);$9(T);$9(U)}while(0);$9(W);e=e+12|0;if((e|0)==(J|0)){Y=177;break}}switch(Y|0){case 177:{$9(Z);$9($);$9(aa);$9(ba);$9(ca+24|0);$9(ca+12|0);$9(ca);zqa(ca);$9(da);r=M;return}case 187:{dla(tb(0)|0);break}case 195:{dla(tb(0)|0);break}case 208:{d=pb()|0;e=N;break e}case 209:{d=pb()|0;e=N;Y=213;break}case 210:{d=pb()|0;e=N;$9(K);Y=212;break}case 211:{d=pb()|0;e=N;$9(K);Y=212;break}case 214:{d=pb()|0;e=N;Y=218;break}case 215:{d=pb()|0;e=N;Y=217;break}case 216:{d=pb()|0;e=N;$9(L);Y=217;break}case 219:{d=pb()|0;e=N;Y=229;break}case 220:{d=pb()|0;e=N;Y=228;break}case 221:{d=pb()|0;e=N;Y=227;break}case 222:{d=pb()|0;e=N;Y=226;break}case 223:{d=pb()|0;e=N;Y=225;break}case 224:{d=pb()|0;e=N;$9(o);$9(n);$9(m);$9(V);Y=225;break}}if((Y|0)==212){$9(P);Y=213}else if((Y|0)==217){$9(Q);Y=218}else if((Y|0)==225){$9(R);Y=226}if((Y|0)==213){S=d;O=e}else if((Y|0)==218){S=d;O=e}else if((Y|0)==226){$9(p);$9(q);$9(X);Y=227}if((Y|0)==227){$9(T);Y=228}if((Y|0)==228){$9(U);Y=229}if((Y|0)==229){S=d;O=e}$9(W);d=S;e=O;break e}case 130:{W=tb(0)|0;dla(W);break}case 138:{W=tb(0)|0;dla(W);break}case 151:{d=pb()|0;e=N;break e}case 152:{d=pb()|0;e=N;Y=158;break}case 153:{d=pb()|0;e=N;$9(W);Y=157;break}case 154:{d=pb()|0;e=N;Y=156;break}case 155:{d=pb()|0;e=N;$9(A);Y=156;break}case 159:{d=pb()|0;e=N;Y=163;break}case 160:{d=pb()|0;e=N;Y=162;break}case 161:{d=pb()|0;e=N;$9(B);Y=162;break}case 164:{d=pb()|0;e=N;Y=174;break}case 165:{d=pb()|0;e=N;Y=173;break}case 166:{d=pb()|0;e=N;Y=172;break}case 167:{d=pb()|0;e=N;Y=171;break}case 168:{d=pb()|0;e=N;Y=170;break}case 169:{d=pb()|0;e=N;$9(p);$9(o);$9(n);$9(V);Y=170;break}}if((Y|0)==156){$9(W);Y=157}else if((Y|0)==162){$9(D);Y=163}else if((Y|0)==170){$9(E);Y=171}if((Y|0)==157){$9(G);Y=158}else if((Y|0)==163)C=e;else if((Y|0)==171){$9(q);$9(s);$9(W);Y=172}if((Y|0)==158)C=e;else if((Y|0)==172){$9(H);Y=173}if((Y|0)==173){$9(I);Y=174}if((Y|0)==174)C=e;$9(X);e=C;break e}while(0);$9(s)}break e}while(0);if((Y|0)==98){d=pb()|0;e=N;$9(n)}$9(q)}}while(0);$9(Z);break b}while(0);$9(l)}while(0);$9($);c=e;break a}while(0);$9(j);c=e}while(0);e=k[a>>2]|0;if(e|0){f=k[_>>2]|0;if((f|0)!=(e|0)){do{$=f+-48|0;k[_>>2]=$;$9(f+-12|0);$9(f+-24|0);$9(f+-36|0);$9($);f=k[_>>2]|0}while((f|0)!=(e|0));e=k[a>>2]|0}zqa(e)}$9(aa)}else if((Y|0)==47)d=pb()|0;$9(ba)}else if((Y|0)==46)d=pb()|0;$9(ca+24|0);$9(ca+12|0);$9(ca);zqa(ca);break}}}d=pb()|0;f=N;if((e|0)!=(ca|0))do{e=e+-12|0;$9(e)}while((e|0)!=(ca|0));zqa(ca)}$9(V+24|0);$9(V+12|0);$9(V);Y=45;break}}d=pb()|0;f=N;e=V+(e*12|0)|0;do{e=e+-12|0;$9(e)}while((e|0)!=(V|0));Y=45}while(0);$9(da);da=d;sb(da|0)}while(0);$9(f);da=d;sb(da|0)}
function Tc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,pa=0,qa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Oa=0,Pa=0,Qa=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,qb=0,rb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0;yb=0;zb=r;r=r+1040|0;ob=zb+1016|0;lb=zb+992|0;fb=zb+968|0;nb=zb+944|0;kb=zb+920|0;db=zb+896|0;cb=zb+872|0;Ma=zb+864|0;Oa=zb+856|0;Ka=zb+848|0;La=zb+840|0;Pa=zb+832|0;Qa=zb+824|0;Sa=zb+816|0;Ta=zb+808|0;ab=zb+784|0;Ua=zb+776|0;Va=zb+768|0;Wa=zb+760|0;Xa=zb+752|0;Ya=zb+744|0;Za=zb+736|0;_a=zb+728|0;$a=zb+720|0;ha=zb+696|0;ia=zb+672|0;ja=zb+648|0;ka=zb+624|0;la=zb+616|0;pa=zb+608|0;qa=zb+600|0;ra=zb+592|0;sa=zb+584|0;ua=zb+576|0;va=zb+568|0;wa=zb+560|0;xa=zb+536|0;za=zb+528|0;Aa=zb+512|0;Ba=zb+504|0;Ca=zb+488|0;Da=zb+472|0;Ea=zb+464|0;Fa=zb+456|0;Ga=zb+448|0;Fb=zb+424|0;Mb=zb+400|0;Lb=zb+376|0;Kb=zb+352|0;Jb=zb+328|0;Ib=zb+304|0;Hb=zb+280|0;Gb=zb+256|0;Eb=zb+232|0;Db=zb+208|0;n=zb+200|0;Cb=zb+176|0;Bb=zb+152|0;Ab=zb+128|0;Ia=zb+104|0;Ja=zb+80|0;tb=zb+56|0;gb=zb+520|0;hb=zb+496|0;ib=zb+480|0;jb=zb+48|0;rb=zb+24|0;qb=zb;e=k[b+16>>2]|0;f=k[b+20>>2]|0;if(!f){if(!(k[e+20>>2]|0))yb=4}else{Sba(f);xb=(k[e+20>>2]|0)==0;kZ(f);if(xb)yb=4}if((yb|0)==4){gD(a);e=k[a+16>>2]|0;g=a+20|0;h=k[g>>2]|0;i=(h|0)==0;if(!i)Sba(h);y=0;oa(523,e|0,c|0);Mb=y;y=0;if(!(Mb&1)){if(i){r=zb;return}kZ(h);r=zb;return}f=pb()|0;if(!i)kZ(h);e=k[g>>2]|0;if(e|0)kZ(e);EO(a+12|0);Mb=f;sb(Mb|0)}e=k[c+16>>2]|0;f=k[c+20>>2]|0;if(!f){if(!(k[e+20>>2]|0))yb=17}else{Sba(f);xb=(k[e+20>>2]|0)==0;kZ(f);if(xb)yb=17}if((yb|0)==17){gD(a);e=k[a+16>>2]|0;g=a+20|0;h=k[g>>2]|0;i=(h|0)==0;if(!i)Sba(h);y=0;oa(523,e|0,b|0);Mb=y;y=0;if(!(Mb&1)){if(i){r=zb;return}kZ(h);r=zb;return}f=pb()|0;if(!i)kZ(h);e=k[g>>2]|0;if(e|0)kZ(e);EO(a+12|0);Mb=f;sb(Mb|0)}gD(Mb);y=0;oa(512,Mb|0,b|0);xb=y;y=0;if(xb&1)yb=77;else{y=0;na(387,Lb|0);xb=y;y=0;if(xb&1)yb=77;else{y=0;oa(512,Lb|0,c|0);xb=y;y=0;a:do if(xb&1)yb=78;else{y=0;na(387,ob|0);xb=y;y=0;if(xb&1)yb=78;else{y=0;na(387,lb|0);xb=y;y=0;if(xb&1)f=pb()|0;else{y=0;oa(598,Mb|0,ob|0);xb=y;y=0;if(xb&1)yb=41;else{y=0;oa(598,Lb|0,lb|0);xb=y;y=0;if(xb&1)yb=41;else{y=0;ma(17,Fb|0,ob|0,lb|0,fb|0,d|0);xb=y;y=0;if(xb&1)f=pb()|0;else{y=0;e=ta(162,Fb|0,ob|0,1)|0;xb=y;y=0;b:do if(xb&1)yb=43;else{do if(e)yb=44;else{y=0;e=ta(162,Fb|0,lb|0,1)|0;xb=y;y=0;if(xb&1){yb=43;break b}if(e){yb=44;break}y=0;na(389,Kb|0);xb=y;y=0;if(xb&1){yb=43;break b}}while(0);do if((yb|0)==44){e=k[ob+16>>2]|0;i=k[ob+20>>2]|0;b=(i|0)==0;if(!b)Sba(i);e=k[e+20>>2]|0;f=k[lb+16>>2]|0;g=k[lb+20>>2]|0;h=(g|0)==0;if(!h)Sba(g);e=e>>>0>(k[f+20>>2]|0)>>>0?ob:lb;k[Kb>>2]=k[e>>2];k[Kb+4>>2]=k[e+4>>2];k[Kb+8>>2]=k[e+8>>2];y=0;oa(464,Kb+12|0,e+12|0);xb=y;y=0;if(xb&1){f=pb()|0;if(!h)kZ(g);if(b)break b;kZ(i);break b}k[Kb+16>>2]=k[e+16>>2];e=k[e+20>>2]|0;k[Kb+20>>2]=e;if(e|0)Sba(e);if(!h)kZ(g);if(b)break;kZ(i)}while(0);e=k[Fb+20>>2]|0;if(e|0)kZ(e);EO(Fb+12|0);e=k[lb+20>>2]|0;if(e|0)kZ(e);EO(lb+12|0);e=k[ob+20>>2]|0;if(e|0)kZ(e);EO(ob+12|0);do if((k[Kb+4>>2]|0)==3){y=0;na(389,a|0);Jb=y;y=0;if(Jb&1)yb=80;else yb=1052}else{y=0;na(387,Jb|0);xb=y;y=0;if(xb&1){yb=80;break}y=0;ma(18,Ib|0,Mb|0,Lb|0,d|0,Jb|0);xb=y;y=0;if(xb&1)f=pb()|0;else{c:do if((k[Ib+4>>2]|0)==3){y=0;na(389,a|0);Hb=y;y=0;if(Hb&1){yb=87;break}e=Ib+20|0;yb=1041}else{bb=Ib+16|0;f=k[bb>>2]|0;e=Ib+20|0;h=k[e>>2]|0;i=(h|0)==0;if(!i)Sba(h);yb=k[f+4>>2]|0;g=k[f+16>>2]|0;j=yb+(((g>>>0)/170|0)<<2)|0;if((k[f+8>>2]|0)==(yb|0))f=0;else f=(k[j>>2]|0)+(((g>>>0)%170|0)*24|0)|0;if(!i)kZ(h);g=k[bb>>2]|0;b=k[e>>2]|0;c=(b|0)==0;if(!c)Sba(b);h=(k[g+16>>2]|0)+(k[g+20>>2]|0)|0;i=k[g+4>>2]|0;if((k[g+8>>2]|0)==(i|0))l=0;else l=(k[i+(((h>>>0)/170|0)<<2)>>2]|0)+(((h>>>0)%170|0)*24|0)|0;if(!c)kZ(b);b=fb+16|0;c=fb+20|0;m=fb+12|0;d:while(1){do{if((f|0)==(l|0)){yb=103;break d}if((k[f+4>>2]|0)!=2){y=0;na(387,fb|0);yb=y;y=0;if(yb&1){yb=119;break d}g=k[b>>2]|0;h=k[c>>2]|0;i=(h|0)==0;if(!i)Sba(h);y=0;oa(523,g|0,f|0);yb=y;y=0;if(yb&1){yb=121;break d}if(!i)kZ(h);k[f>>2]=k[fb>>2];k[f+4>>2]=k[fb+4>>2];k[f+8>>2]=k[fb+8>>2];y=0;Ha(966,f+12|0,m|0)|0;yb=y;y=0;if(yb&1){yb=120;break d}g=k[b>>2]|0;h=k[c>>2]|0;if(h|0)Sba(h);k[f+16>>2]=g;yb=f+20|0;g=k[yb>>2]|0;k[yb>>2]=h;if(g|0)kZ(g);g=k[c>>2]|0;if(g|0)kZ(g);EO(m)}f=f+24|0}while((f-(k[j>>2]|0)|0)!=4080);f=j+4|0;j=f;f=k[f>>2]|0}do if((yb|0)==103){y=0;oa(599,Hb|0,Mb|0);xb=y;y=0;if(xb&1){yb=87;break c}y=0;oa(599,Gb|0,Lb|0);xb=y;y=0;if(xb&1)f=pb()|0;else{k[Fb>>2]=0;k[Fb+4>>2]=0;k[Fb+8>>2]=0;k[Fb+12>>2]=0;k[Fb+16>>2]=0;k[Fb+20>>2]=0;y=0;Na(135,Hb|0,Fb|0,d|0);xb=y;y=0;if(xb&1){f=pb()|0;l=N}else{k[Eb>>2]=0;k[Eb+4>>2]=0;k[Eb+8>>2]=0;k[Eb+12>>2]=0;k[Eb+16>>2]=0;k[Eb+20>>2]=0;y=0;Na(135,Gb|0,Eb|0,d|0);xb=y;y=0;if(xb&1){f=pb()|0;l=N}else{k[Db>>2]=0;k[Db+4>>2]=0;k[Db+8>>2]=0;k[Db+12>>2]=0;k[Db+16>>2]=0;k[Db+20>>2]=0;k[n>>2]=d;y=0;ma(19,Eb|0,Fb|0,n|0,0,Db|0);xb=y;y=0;do if(xb&1)yb=461;else{y=0;Na(136,Cb|0,Db|0,d|0);xb=y;y=0;if(xb&1){yb=461;break}y=0;na(387,Bb|0);xb=y;y=0;if(xb&1){f=pb()|0;h=N}else{f=k[Bb+16>>2]|0;xb=Bb+20|0;g=k[xb>>2]|0;i=(g|0)==0;if(!i)Sba(g);y=0;oa(523,f|0,Kb|0);wb=y;y=0;do if(wb&1){f=pb()|0;h=N;if(i)break;kZ(g)}else{if(!i)kZ(g);y=0;na(387,Ab|0);wb=y;y=0;if(wb&1){f=pb()|0;h=N;break}eb=Ab+16|0;f=k[eb>>2]|0;wb=Ab+20|0;g=k[wb>>2]|0;i=(g|0)==0;if(!i)Sba(g);y=0;oa(523,f|0,Bb|0);vb=y;y=0;e:do if(vb&1){f=pb()|0;h=N;if(i)break;kZ(g)}else{if(!i)kZ(g);q=Cb+16|0;mb=Cb+20|0;s=nb+4|0;t=Hb+16|0;vb=Hb+20|0;u=ha+16|0;ea=ha+20|0;v=ia+16|0;ca=ia+20|0;w=Gb+16|0;ub=Gb+20|0;x=ha+16|0;z=ia+16|0;da=ia+12|0;fa=ha+12|0;A=Ja+16|0;T=Ja+20|0;ba=Hb+16|0;ga=Gb+16|0;U=Ja+12|0;X=Ia+20|0;Z=Ia+12|0;B=Ia+16|0;C=ka+16|0;Y=ka+20|0;D=la+4|0;E=pa+4|0;F=qa+4|0;G=sa+4|0;H=ua+4|0;I=va+4|0;J=ja+16|0;$=ja+20|0;K=xa+16|0;V=xa+20|0;L=za+4|0;M=Aa+4|0;O=Ba+4|0;P=Da+4|0;Q=Ea+4|0;R=Fa+4|0;aa=ja+12|0;S=Ia+16|0;W=xa+12|0;_=ka+12|0;f:while(1){f=k[q>>2]|0;g=k[mb>>2]|0;if(!g){if(!(k[f+20>>2]|0)){yb=502;break}}else{Sba(g);p=(k[f+20>>2]|0)==0;kZ(g);if(p){yb=502;break}}k[nb>>2]=Cb;k[s>>2]=d;y=0;na(387,ha|0);p=y;y=0;if(p&1){yb=468;break}while(1){f=k[t>>2]|0;g=k[vb>>2]|0;i=(g|0)==0;if(!i)Sba(g);if(!(k[f+20>>2]|0)){yb=181;break}y=0;f=Ha(1022,nb|0,Hb|0)|0;p=y;y=0;if(p&1){yb=175;break f}if(!i)kZ(g);if(f)break;f=k[u>>2]|0;i=k[ea>>2]|0;b=(i|0)==0;if(!b)Sba(i);g=k[t>>2]|0;c=k[vb>>2]|0;j=(c|0)==0;if(!j)Sba(c);p=k[g+16>>2]|0;y=0;oa(523,f|0,(k[(k[g+4>>2]|0)+(((p>>>0)/170|0)<<2)>>2]|0)+(((p>>>0)%170|0)*24|0)|0);p=y;y=0;if(p&1){yb=177;break f}if(!j)kZ(c);if(!b)kZ(i);f=k[t>>2]|0;g=k[vb>>2]|0;h=(g|0)==0;if(!h)Sba(g);i=f+4|0;b=f+16|0;j=k[b>>2]|0;c=k[(k[i>>2]|0)+(((j>>>0)/170|0)<<2)>>2]|0;j=(j>>>0)%170|0;l=k[c+(j*24|0)+20>>2]|0;if(l|0)kZ(l);EO(c+(j*24|0)+12|0);p=f+20|0;k[p>>2]=(k[p>>2]|0)+-1;p=(k[b>>2]|0)+1|0;k[b>>2]=p;if(p>>>0>339){zqa(k[k[i>>2]>>2]|0);k[i>>2]=(k[i>>2]|0)+4;k[b>>2]=(k[b>>2]|0)+-170}if(h)continue;kZ(g)}do if((yb|0)==181){yb=0;if(i)break;kZ(g)}while(0);y=0;na(387,ia|0);p=y;y=0;if(p&1){yb=174;break}while(1){y=0;f=Ha(1022,nb|0,Gb|0)|0;p=y;y=0;if(p&1){yb=203;break f}if(f)break;f=k[v>>2]|0;i=k[ca>>2]|0;b=(i|0)==0;if(!b)Sba(i);g=k[w>>2]|0;c=k[ub>>2]|0;j=(c|0)==0;if(!j)Sba(c);p=k[g+16>>2]|0;y=0;oa(523,f|0,(k[(k[g+4>>2]|0)+(((p>>>0)/170|0)<<2)>>2]|0)+(((p>>>0)%170|0)*24|0)|0);p=y;y=0;if(p&1){yb=206;break f}if(!j)kZ(c);if(!b)kZ(i);f=k[w>>2]|0;g=k[ub>>2]|0;h=(g|0)==0;if(!h)Sba(g);i=f+4|0;b=f+16|0;j=k[b>>2]|0;c=k[(k[i>>2]|0)+(((j>>>0)/170|0)<<2)>>2]|0;j=(j>>>0)%170|0;l=k[c+(j*24|0)+20>>2]|0;if(l|0)kZ(l);EO(c+(j*24|0)+12|0);p=f+20|0;k[p>>2]=(k[p>>2]|0)+-1;p=(k[b>>2]|0)+1|0;k[b>>2]=p;if(p>>>0>339){zqa(k[k[i>>2]>>2]|0);k[i>>2]=(k[i>>2]|0)+4;k[b>>2]=(k[b>>2]|0)+-170}if(h)continue;kZ(g)}f=k[x>>2]|0;h=k[ea>>2]|0;i=(h|0)==0;if(!i)Sba(h);do if(!(k[f+20>>2]|0)){f=k[z>>2]|0;g=k[ca>>2]|0;if(!g){f=(k[f+20>>2]|0)==0;break}else{Sba(g);f=(k[f+20>>2]|0)==0;kZ(g);break}}else f=0;while(0);if(!i)kZ(h);do if(f){y=0;na(387,Ia|0);p=y;y=0;if(p&1){yb=204;break f}}else{f=k[x>>2]|0;g=k[ea>>2]|0;if(!g){if(!(k[f+20>>2]|0))yb=223}else{Sba(g);p=(k[f+20>>2]|0)==0;kZ(g);if(p)yb=223}if((yb|0)==223){yb=0;y=0;na(387,Ia|0);p=y;y=0;if(p&1){yb=204;break f}f=k[B>>2]|0;g=k[X>>2]|0;i=(g|0)==0;if(!i)Sba(g);y=0;oa(523,f|0,ia|0);p=y;y=0;if(p&1){yb=229;break f}if(i)break;kZ(g);break}f=k[z>>2]|0;g=k[ca>>2]|0;if(!g){if(!(k[f+20>>2]|0))yb=237}else{Sba(g);p=(k[f+20>>2]|0)==0;kZ(g);if(p)yb=237}if((yb|0)==237){yb=0;y=0;na(387,Ia|0);p=y;y=0;if(p&1){yb=204;break f}f=k[B>>2]|0;g=k[X>>2]|0;i=(g|0)==0;if(!i)Sba(g);y=0;oa(523,f|0,ha|0);p=y;y=0;if(p&1){yb=243;break f}if(i)break;kZ(g);break}y=0;na(387,ja|0);p=y;y=0;if(p&1){yb=204;break f}y=0;na(387,ka|0);p=y;y=0;if(p&1){yb=361;break f}f=k[C>>2]|0;o=k[Y>>2]|0;p=(o|0)==0;do if(p){n=1;g=f;m=0}else{Sba(o);h=k[Y>>2]|0;g=k[C>>2]|0;if(!h){n=1;m=0;break}Sba(h);n=0;m=h}while(0);j=g;g=(k[j+16>>2]|0)+(k[j+20>>2]|0)|0;l=k[j+4>>2]|0;h=l+(((g>>>0)/170|0)<<2)|0;if((k[j+8>>2]|0)==(l|0))g=0;else g=(k[h>>2]|0)+(((g>>>0)%170|0)*24|0)|0;k[la>>2]=h;k[D>>2]=g;g=k[x>>2]|0;j=k[ea>>2]|0;l=(j|0)==0;if(!l)Sba(j);c=k[g+4>>2]|0;h=k[g+16>>2]|0;i=c+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(c|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[pa>>2]=i;k[E>>2]=g;g=k[x>>2]|0;b=k[ea>>2]|0;c=(b|0)==0;if(!c)Sba(b);h=(k[g+16>>2]|0)+(k[g+20>>2]|0)|0;Nb=k[g+4>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(Nb|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[qa>>2]=i;k[F>>2]=g;y=0;k[fb>>2]=k[la>>2];k[fb+4>>2]=k[la+4>>2];k[lb>>2]=k[pa>>2];k[lb+4>>2]=k[pa+4>>2];k[ob>>2]=k[qa>>2];k[ob+4>>2]=k[qa+4>>2];ya(12,ra|0,f|0,fb|0,lb|0,ob|0,0);Nb=y;y=0;if(Nb&1){yb=363;break f}if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(!p)kZ(o);f=k[C>>2]|0;o=k[Y>>2]|0;p=(o|0)==0;do if(p){n=1;g=f;m=0}else{Sba(o);h=k[Y>>2]|0;g=k[C>>2]|0;if(!h){n=1;m=0;break}Sba(h);n=0;m=h}while(0);l=g;g=(k[l+16>>2]|0)+(k[l+20>>2]|0)|0;Nb=k[l+4>>2]|0;h=Nb+(((g>>>0)/170|0)<<2)|0;if((k[l+8>>2]|0)==(Nb|0))g=0;else g=(k[h>>2]|0)+(((g>>>0)%170|0)*24|0)|0;k[sa>>2]=h;k[G>>2]=g;g=k[z>>2]|0;j=k[ca>>2]|0;l=(j|0)==0;if(!l)Sba(j);Nb=k[g+4>>2]|0;h=k[g+16>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(Nb|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[ua>>2]=i;k[H>>2]=g;g=k[z>>2]|0;b=k[ca>>2]|0;c=(b|0)==0;if(!c)Sba(b);h=(k[g+16>>2]|0)+(k[g+20>>2]|0)|0;Nb=k[g+4>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(Nb|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[va>>2]=i;k[I>>2]=g;y=0;k[fb>>2]=k[sa>>2];k[fb+4>>2]=k[sa+4>>2];k[lb>>2]=k[ua>>2];k[lb+4>>2]=k[ua+4>>2];k[ob>>2]=k[va>>2];k[ob+4>>2]=k[va+4>>2];ya(12,wa|0,f|0,fb|0,lb|0,ob|0,0);Nb=y;y=0;if(Nb&1){yb=371;break f}if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(!p)kZ(o);f=k[J>>2]|0;g=k[$>>2]|0;i=(g|0)==0;if(!i)Sba(g);y=0;oa(523,f|0,ka|0);Nb=y;y=0;if(Nb&1){yb=379;break f}if(!i)kZ(g);y=0;na(387,xa|0);Nb=y;y=0;if(Nb&1){yb=362;break f}f=k[K>>2]|0;o=k[V>>2]|0;p=(o|0)==0;do if(p){n=1;g=f;m=0}else{Sba(o);h=k[V>>2]|0;g=k[K>>2]|0;if(!h){n=1;m=0;break}Sba(h);n=0;m=h}while(0);l=g;g=(k[l+16>>2]|0)+(k[l+20>>2]|0)|0;Nb=k[l+4>>2]|0;h=Nb+(((g>>>0)/170|0)<<2)|0;if((k[l+8>>2]|0)==(Nb|0))g=0;else g=(k[h>>2]|0)+(((g>>>0)%170|0)*24|0)|0;k[za>>2]=h;k[L>>2]=g;g=k[z>>2]|0;j=k[ca>>2]|0;l=(j|0)==0;if(!l)Sba(j);Nb=k[g+4>>2]|0;h=k[g+16>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(Nb|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[Aa>>2]=i;k[M>>2]=g;g=k[z>>2]|0;b=k[ca>>2]|0;c=(b|0)==0;if(!c)Sba(b);h=(k[g+16>>2]|0)+(k[g+20>>2]|0)|0;Nb=k[g+4>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(Nb|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[Ba>>2]=i;k[O>>2]=g;y=0;k[fb>>2]=k[za>>2];k[fb+4>>2]=k[za+4>>2];k[lb>>2]=k[Aa>>2];k[lb+4>>2]=k[Aa+4>>2];k[ob>>2]=k[Ba>>2];k[ob+4>>2]=k[Ba+4>>2];ya(12,Ca|0,f|0,fb|0,lb|0,ob|0,0);Nb=y;y=0;if(Nb&1){yb=382;break f}if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(!p)kZ(o);f=k[K>>2]|0;o=k[V>>2]|0;p=(o|0)==0;do if(p){n=1;g=f;m=0}else{Sba(o);h=k[V>>2]|0;g=k[K>>2]|0;if(!h){n=1;m=0;break}Sba(h);n=0;m=h}while(0);l=g;g=(k[l+16>>2]|0)+(k[l+20>>2]|0)|0;Nb=k[l+4>>2]|0;h=Nb+(((g>>>0)/170|0)<<2)|0;if((k[l+8>>2]|0)==(Nb|0))g=0;else g=(k[h>>2]|0)+(((g>>>0)%170|0)*24|0)|0;k[Da>>2]=h;k[P>>2]=g;g=k[x>>2]|0;j=k[ea>>2]|0;l=(j|0)==0;if(!l)Sba(j);Nb=k[g+4>>2]|0;h=k[g+16>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(Nb|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[Ea>>2]=i;k[Q>>2]=g;g=k[x>>2]|0;b=k[ea>>2]|0;c=(b|0)==0;if(!c)Sba(b);h=(k[g+16>>2]|0)+(k[g+20>>2]|0)|0;Nb=k[g+4>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(Nb|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[Fa>>2]=i;k[R>>2]=g;y=0;k[fb>>2]=k[Da>>2];k[fb+4>>2]=k[Da+4>>2];k[lb>>2]=k[Ea>>2];k[lb+4>>2]=k[Ea+4>>2];k[ob>>2]=k[Fa>>2];k[ob+4>>2]=k[Fa+4>>2];ya(12,Ga|0,f|0,fb|0,lb|0,ob|0,0);Nb=y;y=0;if(Nb&1){yb=390;break f}if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(!p)kZ(o);f=k[J>>2]|0;g=k[$>>2]|0;i=(g|0)==0;if(!i)Sba(g);y=0;oa(523,f|0,xa|0);Nb=y;y=0;if(Nb&1){yb=398;break f}if(!i)kZ(g);k[Ia>>2]=k[ja>>2];k[Ia+4>>2]=k[ja+4>>2];k[Ia+8>>2]=k[ja+8>>2];y=0;oa(464,Z|0,aa|0);Nb=y;y=0;if(Nb&1){yb=381;break f}k[S>>2]=k[J>>2];k[X>>2]=k[$>>2];k[J>>2]=0;k[$>>2]=0;f=k[V>>2]|0;if(f|0)kZ(f);EO(W);f=k[Y>>2]|0;if(f|0)kZ(f);EO(_);f=k[$>>2]|0;if(f|0)kZ(f);EO(aa)}while(0);f=k[ca>>2]|0;if(f|0)kZ(f);EO(da);f=k[ea>>2]|0;if(f|0)kZ(f);EO(fa);f=k[eb>>2]|0;g=k[wb>>2]|0;i=(g|0)==0;if(!i)Sba(g);y=0;oa(523,f|0,Ia|0);Nb=y;y=0;if(Nb&1){yb=471;break}if(!i)kZ(g);y=0;na(387,Ja|0);Nb=y;y=0;if(Nb&1){yb=470;break}f=k[A>>2]|0;i=k[T>>2]|0;b=(i|0)==0;if(!b)Sba(i);g=k[q>>2]|0;c=k[mb>>2]|0;j=(c|0)==0;if(!j)Sba(c);Nb=k[g+16>>2]|0;y=0;oa(523,f|0,(k[(k[g+4>>2]|0)+(((Nb>>>0)/170|0)<<2)>>2]|0)+(((Nb>>>0)%170|0)*24|0)|0);Nb=y;y=0;if(Nb&1){yb=473;break}if(!j)kZ(c);if(!b)kZ(i);f=k[q>>2]|0;g=k[mb>>2]|0;h=(g|0)==0;if(!h)Sba(g);i=f+4|0;b=f+16|0;j=k[b>>2]|0;c=k[(k[i>>2]|0)+(((j>>>0)/170|0)<<2)>>2]|0;j=(j>>>0)%170|0;l=k[c+(j*24|0)+20>>2]|0;if(l|0)kZ(l);EO(c+(j*24|0)+12|0);Nb=f+20|0;k[Nb>>2]=(k[Nb>>2]|0)+-1;Nb=(k[b>>2]|0)+1|0;k[b>>2]=Nb;if(Nb>>>0>339){zqa(k[k[i>>2]>>2]|0);k[i>>2]=(k[i>>2]|0)+4;k[b>>2]=(k[b>>2]|0)+-170}if(!h)kZ(g);f=k[eb>>2]|0;g=k[wb>>2]|0;i=(g|0)==0;if(!i)Sba(g);y=0;oa(523,f|0,Ja|0);Nb=y;y=0;if(Nb&1){yb=477;break}if(!i)kZ(g);f=k[ba>>2]|0;g=k[vb>>2]|0;do if(!g){if(k[f+20>>2]|0){l=1;g=0;yb=452}}else{Sba(g);Nb=(k[f+20>>2]|0)==0;kZ(g);if(Nb)break;f=k[ba>>2]|0;g=k[vb>>2]|0;if(!g){l=1;g=0;yb=452;break}Sba(g);l=0;yb=452}while(0);do if((yb|0)==452){yb=0;h=f+4|0;i=f+16|0;c=k[i>>2]|0;b=k[(k[h>>2]|0)+(((c>>>0)/170|0)<<2)>>2]|0;c=(c>>>0)%170|0;j=k[b+(c*24|0)+20>>2]|0;if(j|0)kZ(j);EO(b+(c*24|0)+12|0);Nb=f+20|0;k[Nb>>2]=(k[Nb>>2]|0)+-1;Nb=(k[i>>2]|0)+1|0;k[i>>2]=Nb;if(Nb>>>0>339){zqa(k[k[h>>2]>>2]|0);k[h>>2]=(k[h>>2]|0)+4;k[i>>2]=(k[i>>2]|0)+-170}if(l)break;kZ(g)}while(0);f=k[ga>>2]|0;g=k[ub>>2]|0;do if(!g){if(k[f+20>>2]|0){g=0;l=1;yb=484}}else{Sba(g);Nb=(k[f+20>>2]|0)==0;kZ(g);if(Nb)break;f=k[ga>>2]|0;g=k[ub>>2]|0;if(!g){g=0;l=1;yb=484;break}Sba(g);l=0;yb=484}while(0);do if((yb|0)==484){yb=0;h=f+4|0;i=f+16|0;c=k[i>>2]|0;b=k[(k[h>>2]|0)+(((c>>>0)/170|0)<<2)>>2]|0;c=(c>>>0)%170|0;j=k[b+(c*24|0)+20>>2]|0;if(j|0)kZ(j);EO(b+(c*24|0)+12|0);Nb=f+20|0;k[Nb>>2]=(k[Nb>>2]|0)+-1;Nb=(k[i>>2]|0)+1|0;k[i>>2]=Nb;if(Nb>>>0>339){zqa(k[k[h>>2]>>2]|0);k[h>>2]=(k[h>>2]|0)+4;k[i>>2]=(k[i>>2]|0)+-170}if(l)break;kZ(g)}while(0);f=k[T>>2]|0;if(f|0)kZ(f);EO(U);f=k[X>>2]|0;if(f|0)kZ(f);EO(Z)}switch(yb|0){case 174:{f=pb()|0;h=N;yb=416;break}case 175:{f=pb()|0;h=N;if(i){yb=416;break}kZ(g);yb=416;break}case 177:{f=pb()|0;h=N;if(!j)kZ(c);if(b){yb=416;break}kZ(i);yb=416;break}case 203:{f=pb()|0;h=N;yb=205;break}case 204:{f=pb()|0;h=N;yb=205;break}case 206:{f=pb()|0;h=N;if(!j)kZ(c);if(b){yb=413;break}kZ(i);yb=413;break}case 229:{f=pb()|0;h=N;if(!i)kZ(g);g=k[X>>2]|0;if(g|0)kZ(g);EO(Z);yb=413;break}case 243:{f=pb()|0;h=N;if(!i)kZ(g);g=k[X>>2]|0;if(g|0)kZ(g);EO(Z);yb=413;break}case 361:{f=pb()|0;h=N;yb=406;break}case 362:{f=pb()|0;h=N;yb=403;break}case 363:{f=pb()|0;h=N;if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(p){yb=403;break}kZ(o);yb=403;break}case 371:{f=pb()|0;h=N;if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(p){yb=403;break}kZ(o);yb=403;break}case 379:{f=pb()|0;h=N;if(i){yb=403;break}kZ(g);yb=403;break}case 381:{f=pb()|0;h=N;yb=400;break}case 382:{f=pb()|0;h=N;if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(p){yb=400;break}kZ(o);yb=400;break}case 390:{f=pb()|0;h=N;if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(p){yb=400;break}kZ(o);yb=400;break}case 398:{f=pb()|0;h=N;if(i){yb=400;break}kZ(g);yb=400;break}case 468:{f=pb()|0;h=N;yb=469;break}case 470:{f=pb()|0;h=N;yb=498;break}case 471:{f=pb()|0;h=N;if(i){yb=498;break}kZ(g);yb=498;break}case 473:{f=pb()|0;h=N;if(!j)kZ(c);if(b){yb=495;break}kZ(i);yb=495;break}case 477:{f=pb()|0;h=N;if(i){yb=495;break}kZ(g);yb=495;break}case 502:{y=0;na(387,nb|0);Nb=y;y=0;if(Nb&1){f=pb()|0;h=N}else{m=nb+16|0;A=nb+20|0;while(1){f=k[ba>>2]|0;h=k[vb>>2]|0;i=(h|0)==0;if(!i)Sba(h);if(!(k[f+20>>2]|0)){yb=535;break}f=k[ba>>2]|0;g=k[vb>>2]|0;if(!g)f=k[f+20>>2]|0;else{Sba(g);f=k[f+20>>2]|0;kZ(g)}if(!i)kZ(h);if(!f){yb=537;break}f=k[m>>2]|0;i=k[A>>2]|0;b=(i|0)==0;if(!b)Sba(i);g=k[ba>>2]|0;c=k[vb>>2]|0;j=(c|0)==0;if(!j)Sba(c);Nb=k[g+16>>2]|0;y=0;oa(523,f|0,(k[(k[g+4>>2]|0)+(((Nb>>>0)/170|0)<<2)>>2]|0)+(((Nb>>>0)%170|0)*24|0)|0);Nb=y;y=0;if(Nb&1){yb=531;break}if(!j)kZ(c);if(!b)kZ(i);f=k[ba>>2]|0;g=k[vb>>2]|0;h=(g|0)==0;if(!h)Sba(g);i=f+4|0;b=f+16|0;j=k[b>>2]|0;c=k[(k[i>>2]|0)+(((j>>>0)/170|0)<<2)>>2]|0;j=(j>>>0)%170|0;l=k[c+(j*24|0)+20>>2]|0;if(l|0)kZ(l);EO(c+(j*24|0)+12|0);Nb=f+20|0;k[Nb>>2]=(k[Nb>>2]|0)+-1;Nb=(k[b>>2]|0)+1|0;k[b>>2]=Nb;if(Nb>>>0>339){zqa(k[k[i>>2]>>2]|0);k[i>>2]=(k[i>>2]|0)+4;k[b>>2]=(k[b>>2]|0)+-170}if(h)continue;kZ(g)}do if((yb|0)==531){f=pb()|0;h=N;if(!j)kZ(c);if(b)break;kZ(i)}else if((yb|0)==535){if(i){yb=537;break}kZ(h);yb=537}while(0);do if((yb|0)==537){y=0;na(387,kb|0);Nb=y;y=0;if(Nb&1){f=pb()|0;h=N;break}m=kb+16|0;z=kb+20|0;while(1){f=k[ga>>2]|0;g=k[ub>>2]|0;if(!g)f=k[f+20>>2]|0;else{Sba(g);f=k[f+20>>2]|0;kZ(g)}if(!f){yb=565;break}f=k[m>>2]|0;i=k[z>>2]|0;b=(i|0)==0;if(!b)Sba(i);g=k[ga>>2]|0;c=k[ub>>2]|0;j=(c|0)==0;if(!j)Sba(c);Nb=k[g+16>>2]|0;y=0;oa(523,f|0,(k[(k[g+4>>2]|0)+(((Nb>>>0)/170|0)<<2)>>2]|0)+(((Nb>>>0)%170|0)*24|0)|0);Nb=y;y=0;if(Nb&1){yb=561;break}if(!j)kZ(c);if(!b)kZ(i);f=k[ga>>2]|0;g=k[ub>>2]|0;h=(g|0)==0;if(!h)Sba(g);i=f+4|0;b=f+16|0;j=k[b>>2]|0;c=k[(k[i>>2]|0)+(((j>>>0)/170|0)<<2)>>2]|0;j=(j>>>0)%170|0;l=k[c+(j*24|0)+20>>2]|0;if(l|0)kZ(l);EO(c+(j*24|0)+12|0);Nb=f+20|0;k[Nb>>2]=(k[Nb>>2]|0)+-1;Nb=(k[b>>2]|0)+1|0;k[b>>2]=Nb;if(Nb>>>0>339){zqa(k[k[i>>2]>>2]|0);k[i>>2]=(k[i>>2]|0)+4;k[b>>2]=(k[b>>2]|0)+-170}if(h)continue;kZ(g)}g:do if((yb|0)==561){f=pb()|0;h=N;if(!j)kZ(c);if(b)break;kZ(i)}else if((yb|0)==565){w=nb+16|0;f=k[w>>2]|0;h=k[A>>2]|0;i=(h|0)==0;if(!i)Sba(h);do if(!(k[f+20>>2]|0)){f=k[kb+16>>2]|0;g=k[z>>2]|0;if(!g){f=(k[f+20>>2]|0)==0;break}else{Sba(g);f=(k[f+20>>2]|0)==0;kZ(g);break}}else f=0;while(0);if(!i)kZ(h);h:do if(f){y=0;na(387,tb|0);Nb=y;y=0;if(Nb&1)yb=560}else{f=k[w>>2]|0;g=k[A>>2]|0;if(!g){if(!(k[f+20>>2]|0))yb=578}else{Sba(g);Nb=(k[f+20>>2]|0)==0;kZ(g);if(Nb)yb=578}if((yb|0)==578){y=0;na(387,tb|0);Nb=y;y=0;if(Nb&1){yb=560;break}f=k[tb+16>>2]|0;g=tb+20|0;i=k[g>>2]|0;b=(i|0)==0;if(!b)Sba(i);y=0;oa(523,f|0,kb|0);Nb=y;y=0;if(!(Nb&1)){if(b)break;kZ(i);break}f=pb()|0;h=N;if(!b)kZ(i);g=k[g>>2]|0;if(g|0)kZ(g);EO(tb+12|0);break g}v=kb+16|0;f=k[v>>2]|0;g=k[z>>2]|0;if(!g){if(!(k[f+20>>2]|0))yb=592}else{Sba(g);Nb=(k[f+20>>2]|0)==0;kZ(g);if(Nb)yb=592}if((yb|0)==592){y=0;na(387,tb|0);Nb=y;y=0;if(Nb&1){yb=560;break}f=k[tb+16>>2]|0;g=tb+20|0;i=k[g>>2]|0;b=(i|0)==0;if(!b)Sba(i);y=0;oa(523,f|0,nb|0);Nb=y;y=0;if(!(Nb&1)){if(b)break;kZ(i);break}f=pb()|0;h=N;if(!b)kZ(i);g=k[g>>2]|0;if(g|0)kZ(g);EO(tb+12|0);break g}y=0;na(387,db|0);Nb=y;y=0;if(Nb&1){yb=560;break}y=0;na(387,cb|0);Nb=y;y=0;if(Nb&1){f=pb()|0;h=N}else{q=cb+16|0;f=k[q>>2]|0;x=cb+20|0;o=k[x>>2]|0;p=(o|0)==0;do if(p){g=f;m=0;n=1}else{Sba(o);h=k[x>>2]|0;g=k[q>>2]|0;if(!h){m=0;n=1;break}Sba(h);m=h;n=0}while(0);Ja=g;g=(k[Ja+16>>2]|0)+(k[Ja+20>>2]|0)|0;Nb=k[Ja+4>>2]|0;h=Nb+(((g>>>0)/170|0)<<2)|0;if((k[Ja+8>>2]|0)==(Nb|0))g=0;else g=(k[h>>2]|0)+(((g>>>0)%170|0)*24|0)|0;k[Ma>>2]=h;k[Ma+4>>2]=g;g=k[w>>2]|0;j=k[A>>2]|0;l=(j|0)==0;if(!l)Sba(j);Nb=k[g+4>>2]|0;h=k[g+16>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(Nb|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[Oa>>2]=i;k[Oa+4>>2]=g;g=k[w>>2]|0;b=k[A>>2]|0;c=(b|0)==0;if(!c)Sba(b);h=(k[g+16>>2]|0)+(k[g+20>>2]|0)|0;Nb=k[g+4>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(Nb|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[Ka>>2]=i;k[Ka+4>>2]=g;y=0;k[fb>>2]=k[Ma>>2];k[fb+4>>2]=k[Ma+4>>2];k[lb>>2]=k[Oa>>2];k[lb+4>>2]=k[Oa+4>>2];k[ob>>2]=k[Ka>>2];k[ob+4>>2]=k[Ka+4>>2];ya(12,La|0,f|0,fb|0,lb|0,ob|0,0);Nb=y;y=0;do if(Nb&1){f=pb()|0;h=N;if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(p)break;kZ(o)}else{if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(!p)kZ(o);g=k[q>>2]|0;o=k[x>>2]|0;p=(o|0)==0;do if(p){f=g;m=0;n=1}else{Sba(o);h=k[x>>2]|0;f=k[q>>2]|0;if(!h){m=0;n=1;break}Sba(h);m=h;n=0}while(0);Oa=f;f=(k[Oa+16>>2]|0)+(k[Oa+20>>2]|0)|0;Nb=k[Oa+4>>2]|0;h=Nb+(((f>>>0)/170|0)<<2)|0;if((k[Oa+8>>2]|0)==(Nb|0))f=0;else f=(k[h>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[Pa>>2]=h;k[Pa+4>>2]=f;f=k[v>>2]|0;j=k[z>>2]|0;l=(j|0)==0;if(!l)Sba(j);Nb=k[f+4>>2]|0;h=k[f+16>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[f+8>>2]|0)==(Nb|0))f=0;else f=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[Qa>>2]=i;k[Qa+4>>2]=f;f=k[v>>2]|0;b=k[z>>2]|0;c=(b|0)==0;if(!c)Sba(b);h=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;Nb=k[f+4>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[f+8>>2]|0)==(Nb|0))f=0;else f=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[Sa>>2]=i;k[Sa+4>>2]=f;y=0;k[fb>>2]=k[Pa>>2];k[fb+4>>2]=k[Pa+4>>2];k[lb>>2]=k[Qa>>2];k[lb+4>>2]=k[Qa+4>>2];k[ob>>2]=k[Sa>>2];k[ob+4>>2]=k[Sa+4>>2];ya(12,Ta|0,g|0,fb|0,lb|0,ob|0,0);Nb=y;y=0;if(Nb&1){f=pb()|0;h=N;if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(p)break;kZ(o);break}if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(!p)kZ(o);s=db+16|0;f=k[s>>2]|0;t=db+20|0;g=k[t>>2]|0;i=(g|0)==0;if(!i)Sba(g);y=0;oa(523,f|0,cb|0);Nb=y;y=0;if(Nb&1){f=pb()|0;h=N;if(i)break;kZ(g);break}if(!i)kZ(g);y=0;na(387,ab|0);Nb=y;y=0;if(Nb&1){f=pb()|0;h=N;break}q=ab+16|0;f=k[q>>2]|0;u=ab+20|0;o=k[u>>2]|0;p=(o|0)==0;do if(p){g=f;m=0;n=1}else{Sba(o);h=k[u>>2]|0;g=k[q>>2]|0;if(!h){m=0;n=1;break}Sba(h);m=h;n=0}while(0);Ta=g;g=(k[Ta+16>>2]|0)+(k[Ta+20>>2]|0)|0;Nb=k[Ta+4>>2]|0;h=Nb+(((g>>>0)/170|0)<<2)|0;if((k[Ta+8>>2]|0)==(Nb|0))g=0;else g=(k[h>>2]|0)+(((g>>>0)%170|0)*24|0)|0;k[Ua>>2]=h;k[Ua+4>>2]=g;g=k[v>>2]|0;j=k[z>>2]|0;l=(j|0)==0;if(!l)Sba(j);Nb=k[g+4>>2]|0;h=k[g+16>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(Nb|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[Va>>2]=i;k[Va+4>>2]=g;g=k[v>>2]|0;b=k[z>>2]|0;c=(b|0)==0;if(!c)Sba(b);h=(k[g+16>>2]|0)+(k[g+20>>2]|0)|0;Nb=k[g+4>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(Nb|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[Wa>>2]=i;k[Wa+4>>2]=g;y=0;k[fb>>2]=k[Ua>>2];k[fb+4>>2]=k[Ua+4>>2];k[lb>>2]=k[Va>>2];k[lb+4>>2]=k[Va+4>>2];k[ob>>2]=k[Wa>>2];k[ob+4>>2]=k[Wa+4>>2];ya(12,Xa|0,f|0,fb|0,lb|0,ob|0,0);Nb=y;y=0;do if(Nb&1){f=pb()|0;h=N;if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(p)break;kZ(o)}else{if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(!p)kZ(o);g=k[q>>2]|0;o=k[u>>2]|0;p=(o|0)==0;do if(p){f=g;m=0;n=1}else{Sba(o);h=k[u>>2]|0;f=k[q>>2]|0;if(!h){m=0;n=1;break}Sba(h);m=h;n=0}while(0);Xa=f;f=(k[Xa+16>>2]|0)+(k[Xa+20>>2]|0)|0;Nb=k[Xa+4>>2]|0;h=Nb+(((f>>>0)/170|0)<<2)|0;if((k[Xa+8>>2]|0)==(Nb|0))f=0;else f=(k[h>>2]|0)+(((f>>>0)%170|0)*24|0)|0;k[Ya>>2]=h;k[Ya+4>>2]=f;f=k[w>>2]|0;j=k[A>>2]|0;l=(j|0)==0;if(!l)Sba(j);Nb=k[f+4>>2]|0;h=k[f+16>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[f+8>>2]|0)==(Nb|0))f=0;else f=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[Za>>2]=i;k[Za+4>>2]=f;f=k[w>>2]|0;b=k[A>>2]|0;c=(b|0)==0;if(!c)Sba(b);h=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;Nb=k[f+4>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[f+8>>2]|0)==(Nb|0))f=0;else f=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[_a>>2]=i;k[_a+4>>2]=f;y=0;k[fb>>2]=k[Ya>>2];k[fb+4>>2]=k[Ya+4>>2];k[lb>>2]=k[Za>>2];k[lb+4>>2]=k[Za+4>>2];k[ob>>2]=k[_a>>2];k[ob+4>>2]=k[_a+4>>2];ya(12,$a|0,g|0,fb|0,lb|0,ob|0,0);Nb=y;y=0;if(Nb&1){f=pb()|0;h=N;if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(p)break;kZ(o);break}if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(!p)kZ(o);f=k[s>>2]|0;g=k[t>>2]|0;i=(g|0)==0;if(!i)Sba(g);y=0;oa(523,f|0,ab|0);Nb=y;y=0;if(Nb&1){f=pb()|0;h=N;if(i)break;kZ(g);break}if(!i)kZ(g);k[tb>>2]=k[db>>2];k[tb+4>>2]=k[db+4>>2];k[tb+8>>2]=k[db+8>>2];g=db+12|0;y=0;oa(464,tb+12|0,g|0);Nb=y;y=0;if(Nb&1){f=pb()|0;h=N;break}k[tb+16>>2]=k[s>>2];k[tb+20>>2]=k[t>>2];k[s>>2]=0;k[t>>2]=0;f=k[u>>2]|0;if(f|0)kZ(f);EO(ab+12|0);f=k[x>>2]|0;if(f|0)kZ(f);EO(cb+12|0);f=k[t>>2]|0;if(f|0)kZ(f);EO(g);break h}while(0);g=k[u>>2]|0;if(g|0)kZ(g);EO(ab+12|0)}while(0);g=k[x>>2]|0;if(g|0)kZ(g);EO(cb+12|0)}g=k[db+20>>2]|0;if(g|0)kZ(g);EO(db+12|0);break g}while(0);if((yb|0)==560){f=pb()|0;h=N;break}f=k[z>>2]|0;if(f|0)kZ(f);EO(kb+12|0);f=k[A>>2]|0;if(f|0)kZ(f);EO(nb+12|0);f=k[eb>>2]|0;g=k[wb>>2]|0;i=(g|0)==0;if(!i)Sba(g);y=0;oa(523,f|0,tb|0);Nb=y;y=0;do if(Nb&1){f=pb()|0;h=N;if(i)break;kZ(g)}else{if(!i)kZ(g);f=k[eb>>2]|0;o=k[wb>>2]|0;p=(o|0)==0;do if(p){g=f;m=0;n=1}else{Sba(o);h=k[wb>>2]|0;g=k[eb>>2]|0;if(!h){m=0;n=1;break}Sba(h);m=h;n=0}while(0);nb=g;g=(k[nb+16>>2]|0)+(k[nb+20>>2]|0)|0;Nb=k[nb+4>>2]|0;h=Nb+(((g>>>0)/170|0)<<2)|0;if((k[nb+8>>2]|0)==(Nb|0))g=0;else g=(k[h>>2]|0)+(((g>>>0)%170|0)*24|0)|0;k[gb>>2]=h;k[gb+4>>2]=g;g=k[bb>>2]|0;j=k[e>>2]|0;l=(j|0)==0;if(!l)Sba(j);Nb=k[g+4>>2]|0;h=k[g+16>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(Nb|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[hb>>2]=i;k[hb+4>>2]=g;g=k[bb>>2]|0;b=k[e>>2]|0;c=(b|0)==0;if(!c)Sba(b);h=(k[g+16>>2]|0)+(k[g+20>>2]|0)|0;Nb=k[g+4>>2]|0;i=Nb+(((h>>>0)/170|0)<<2)|0;if((k[g+8>>2]|0)==(Nb|0))g=0;else g=(k[i>>2]|0)+(((h>>>0)%170|0)*24|0)|0;k[ib>>2]=i;k[ib+4>>2]=g;y=0;k[fb>>2]=k[gb>>2];k[fb+4>>2]=k[gb+4>>2];k[lb>>2]=k[hb>>2];k[lb+4>>2]=k[hb+4>>2];k[ob>>2]=k[ib>>2];k[ob+4>>2]=k[ib+4>>2];ya(12,jb|0,f|0,fb|0,lb|0,ob|0,0);Nb=y;y=0;if(Nb&1){f=pb()|0;h=N;if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(p)break;kZ(o);break}if(!c)kZ(b);if(!l)kZ(j);if(!n)kZ(m);if(!p)kZ(o);y=0;na(387,rb|0);Nb=y;y=0;if(Nb&1){f=pb()|0;h=N;break}f=k[eb>>2]|0;h=k[wb>>2]|0;i=(h|0)==0;if(!i)Sba(h);Nb=k[f+4>>2]|0;g=k[f+16>>2]|0;j=Nb+(((g>>>0)/170|0)<<2)|0;if((k[f+8>>2]|0)==(Nb|0))f=0;else f=(k[j>>2]|0)+(((g>>>0)%170|0)*24|0)|0;if(!i)kZ(h);g=k[eb>>2]|0;b=k[wb>>2]|0;c=(b|0)==0;if(!c)Sba(b);h=(k[g+16>>2]|0)+(k[g+20>>2]|0)|0;i=k[g+4>>2]|0;if((k[g+8>>2]|0)==(i|0))m=0;else m=(k[i+(((h>>>0)/170|0)<<2)>>2]|0)+(((h>>>0)%170|0)*24|0)|0;if(!c)kZ(b);l=rb+16|0;q=rb+20|0;i:while(1){do{if((f|0)==(m|0)){yb=818;break i}g=f+16|0;h=k[g>>2]|0;i=f+20|0;b=k[i>>2]|0;c=(b|0)==0;if(!c)Sba(b);do if(!h)g=0;else{h=k[g>>2]|0;g=k[i>>2]|0;if(!g){g=(k[h+20>>2]|0)!=0;break}else{Sba(g);Nb=(k[h+20>>2]|0)!=0;kZ(g);g=Nb;break}}while(0);if(!c)kZ(b);do if(g){g=k[l>>2]|0;i=k[q>>2]|0;b=(i|0)==0;if(!b)Sba(i);y=0;oa(523,g|0,f|0);Nb=y;y=0;if(Nb&1){yb=851;break i}if(b)break;kZ(i)}while(0);f=f+24|0}while((f-(k[j>>2]|0)|0)!=4080);f=j+4|0;j=f;f=k[f>>2]|0}j:do if((yb|0)==818){k[Ab>>2]=k[rb>>2];k[Ab+4>>2]=k[rb+4>>2];k[Ab+8>>2]=k[rb+8>>2];o=Ab+12|0;n=rb+12|0;y=0;Ha(966,o|0,n|0)|0;Nb=y;y=0;do if(!(Nb&1)){f=k[rb+16>>2]|0;g=k[q>>2]|0;if(g|0)Sba(g);k[eb>>2]=f;f=k[wb>>2]|0;k[wb>>2]=g;if(f|0)kZ(f);y=0;Na(132,qb|0,Ab|0,d|0);Nb=y;y=0;if(Nb&1)break;m=qb+16|0;f=k[m>>2]|0;p=qb+20|0;h=k[p>>2]|0;i=(h|0)==0;if(!i)Sba(h);Nb=k[f+4>>2]|0;g=k[f+16>>2]|0;l=Nb+(((g>>>0)/170|0)<<2)|0;if((k[f+8>>2]|0)==(Nb|0))f=0;else f=(k[l>>2]|0)+(((g>>>0)%170|0)*24|0)|0;if(!i)kZ(h);g=k[m>>2]|0;b=k[p>>2]|0;c=(b|0)==0;if(!c)Sba(b);h=(k[g+16>>2]|0)+(k[g+20>>2]|0)|0;i=k[g+4>>2]|0;if((k[g+8>>2]|0)==(i|0))j=0;else j=(k[i+(((h>>>0)/170|0)<<2)>>2]|0)+(((h>>>0)%170|0)*24|0)|0;if(!c)kZ(b);c=ob+12|0;i=ob+16|0;b=ob+20|0;h=l;k:while(1){do{if((f|0)==(j|0)){yb=871;break k}y=0;Ra(38,ob|0,f|0,d|0,-1);Nb=y;y=0;if(Nb&1){yb=881;break k}k[f>>2]=k[ob>>2];k[f+4>>2]=k[ob+4>>2];k[f+8>>2]=k[ob+8>>2];y=0;Ha(966,f+12|0,c|0)|0;Nb=y;y=0;if(Nb&1){yb=882;break k}Nb=k[i>>2]|0;yb=k[b>>2]|0;k[i>>2]=0;k[b>>2]=0;k[f+16>>2]=Nb;Nb=f+20|0;g=k[Nb>>2]|0;k[Nb>>2]=yb;if(g|0)kZ(g);g=k[b>>2]|0;if(g|0)kZ(g);EO(c);f=f+24|0}while((f-(k[h>>2]|0)|0)!=4080);f=h+4|0;h=f;f=k[f>>2]|0}do if((yb|0)==871){k[a>>2]=k[qb>>2];k[a+4>>2]=k[qb+4>>2];k[a+8>>2]=k[qb+8>>2];f=qb+12|0;y=0;oa(464,a+12|0,f|0);Nb=y;y=0;if(Nb&1){f=pb()|0;h=N;break}k[a+16>>2]=k[m>>2];k[a+20>>2]=k[p>>2];k[m>>2]=0;k[p>>2]=0;EO(f);f=k[q>>2]|0;if(f|0)kZ(f);EO(n);f=k[tb+20>>2]|0;if(f|0)kZ(f);EO(tb+12|0);f=k[wb>>2]|0;if(f|0)kZ(f);EO(o);f=k[xb>>2]|0;if(f|0)kZ(f);EO(Bb+12|0);f=k[mb>>2]|0;if(f|0)kZ(f);EO(Cb+12|0);j=Db+4|0;f=k[j>>2]|0;c=Db+16|0;g=k[c>>2]|0;h=f+(g>>>10<<2)|0;l=Db+8|0;if((k[l>>2]|0)==(f|0)){i=0;b=Db+20|0;f=0}else{b=Db+20|0;i=(k[b>>2]|0)+g|0;i=(k[f+(i>>>10<<2)>>2]|0)+((i&1023)<<2)|0;f=(k[h>>2]|0)+((g&1023)<<2)|0}l:while(1){do{if((f|0)==(i|0))break l;EO(f);f=f+4|0}while((f-(k[h>>2]|0)|0)!=4096);f=h+4|0;h=f;f=k[f>>2]|0}k[b>>2]=0;h=k[l>>2]|0;g=k[j>>2]|0;i=h-g>>2;f=g;if(i>>>0>2)do{zqa(k[g>>2]|0);f=(k[j>>2]|0)+4|0;k[j>>2]=f;h=k[l>>2]|0;g=f;i=h-g>>2}while(i>>>0>2);switch(i|0){case 1:{k[c>>2]=512;break}case 2:{k[c>>2]=1024;break}default:{}}do if((f|0)!=(h|0)){do{zqa(k[f>>2]|0);f=f+4|0}while((f|0)!=(h|0));f=k[j>>2]|0;g=k[l>>2]|0;if((g|0)==(f|0))break;k[l>>2]=g+(~((g+-4-f|0)>>>2)<<2)}while(0);f=k[Db>>2]|0;if(f|0)zqa(f);j=Eb+4|0;f=k[j>>2]|0;c=Eb+16|0;g=k[c>>2]|0;h=f+(g>>>10<<2)|0;l=Eb+8|0;if((k[l>>2]|0)==(f|0)){i=0;b=Eb+20|0;f=0}else{b=Eb+20|0;i=(k[b>>2]|0)+g|0;i=(k[f+(i>>>10<<2)>>2]|0)+((i&1023)<<2)|0;f=(k[h>>2]|0)+((g&1023)<<2)|0}m:while(1){do{if((f|0)==(i|0))break m;EO(f);f=f+4|0}while((f-(k[h>>2]|0)|0)!=4096);f=h+4|0;h=f;f=k[f>>2]|0}k[b>>2]=0;h=k[l>>2]|0;g=k[j>>2]|0;i=h-g>>2;f=g;if(i>>>0>2)do{zqa(k[g>>2]|0);f=(k[j>>2]|0)+4|0;k[j>>2]=f;h=k[l>>2]|0;g=f;i=h-g>>2}while(i>>>0>2);switch(i|0){case 1:{k[c>>2]=512;break}case 2:{k[c>>2]=1024;break}default:{}}do if((f|0)!=(h|0)){do{zqa(k[f>>2]|0);f=f+4|0}while((f|0)!=(h|0));f=k[j>>2]|0;g=k[l>>2]|0;if((g|0)==(f|0))break;k[l>>2]=g+(~((g+-4-f|0)>>>2)<<2)}while(0);f=k[Eb>>2]|0;if(f|0)zqa(f);j=Fb+4|0;f=k[j>>2]|0;c=Fb+16|0;g=k[c>>2]|0;h=f+(g>>>10<<2)|0;l=Fb+8|0;if((k[l>>2]|0)==(f|0)){i=0;b=Fb+20|0;f=0}else{b=Fb+20|0;i=(k[b>>2]|0)+g|0;i=(k[f+(i>>>10<<2)>>2]|0)+((i&1023)<<2)|0;f=(k[h>>2]|0)+((g&1023)<<2)|0}n:while(1){do{if((f|0)==(i|0))break n;EO(f);f=f+4|0}while((f-(k[h>>2]|0)|0)!=4096);f=h+4|0;h=f;f=k[f>>2]|0}k[b>>2]=0;h=k[l>>2]|0;g=k[j>>2]|0;i=h-g>>2;f=g;if(i>>>0>2)do{zqa(k[g>>2]|0);f=(k[j>>2]|0)+4|0;k[j>>2]=f;h=k[l>>2]|0;g=f;i=h-g>>2}while(i>>>0>2);switch(i|0){case 1:{k[c>>2]=512;break}case 2:{k[c>>2]=1024;break}default:{}}do if((f|0)!=(h|0)){do{zqa(k[f>>2]|0);f=f+4|0}while((f|0)!=(h|0));f=k[j>>2]|0;g=k[l>>2]|0;if((g|0)==(f|0))break;k[l>>2]=g+(~((g+-4-f|0)>>>2)<<2)}while(0);f=k[Fb>>2]|0;if(f|0)zqa(f);f=k[ub>>2]|0;if(f|0)kZ(f);EO(Gb+12|0);f=k[vb>>2]|0;if(f|0)kZ(f);EO(Hb+12|0);yb=1041;break c}else if((yb|0)==881){f=pb()|0;h=N;yb=885}else if((yb|0)==882){f=pb()|0;h=N;g=k[b>>2]|0;if(g|0)kZ(g);EO(c);yb=885}while(0);g=k[p>>2]|0;if(g|0)kZ(g);EO(qb+12|0);break j}while(0);f=pb()|0;h=N}else if((yb|0)==851){f=pb()|0;h=N;if(b)break;kZ(i)}while(0);g=k[q>>2]|0;if(g|0)kZ(g);EO(rb+12|0)}while(0);g=k[tb+20>>2]|0;if(g|0)kZ(g);EO(tb+12|0);break e}while(0);g=k[z>>2]|0;if(g|0)kZ(g);EO(kb+12|0)}while(0);g=k[A>>2]|0;if(g|0)kZ(g);EO(nb+12|0)}break e}}if((yb|0)==205)yb=413;else if((yb|0)==400){g=k[V>>2]|0;if(g|0)kZ(g);EO(W);yb=403}else if((yb|0)==495){g=k[T>>2]|0;if(g|0)kZ(g);EO(U);yb=498}if((yb|0)==403){g=k[Y>>2]|0;if(g|0)kZ(g);EO(_);yb=406}else if((yb|0)==498){g=k[X>>2]|0;if(g|0)kZ(g);EO(Z)}if((yb|0)==406){g=k[$>>2]|0;if(g|0)kZ(g);EO(aa);yb=413}if((yb|0)==413){g=k[ca>>2]|0;if(g|0)kZ(g);EO(da);yb=416}if((yb|0)==416){g=k[ea>>2]|0;if(g|0)kZ(g);EO(fa);yb=469}}while(0);g=k[wb>>2]|0;if(g|0)kZ(g);EO(Ab+12|0)}while(0);g=k[xb>>2]|0;if(g|0)kZ(g);EO(Bb+12|0)}g=k[Cb+20>>2]|0;if(g|0)kZ(g);EO(Cb+12|0)}while(0);if((yb|0)==461){f=pb()|0;h=N}m=Db+4|0;g=k[m>>2]|0;l=Db+16|0;i=k[l>>2]|0;b=g+(i>>>10<<2)|0;n=Db+8|0;if((k[n>>2]|0)==(g|0)){c=0;j=Db+20|0;g=0}else{j=Db+20|0;c=(k[j>>2]|0)+i|0;c=(k[g+(c>>>10<<2)>>2]|0)+((c&1023)<<2)|0;g=(k[b>>2]|0)+((i&1023)<<2)|0}o:while(1){do{if((g|0)==(c|0))break o;EO(g);g=g+4|0}while((g-(k[b>>2]|0)|0)!=4096);g=b+4|0;b=g;g=k[g>>2]|0}k[j>>2]=0;b=k[n>>2]|0;i=k[m>>2]|0;c=b-i>>2;g=i;if(c>>>0>2)do{zqa(k[i>>2]|0);g=(k[m>>2]|0)+4|0;k[m>>2]=g;b=k[n>>2]|0;i=g;c=b-i>>2}while(c>>>0>2);switch(c|0){case 1:{k[l>>2]=512;break}case 2:{k[l>>2]=1024;break}default:{}}do if((g|0)!=(b|0)){do{zqa(k[g>>2]|0);g=g+4|0}while((g|0)!=(b|0));g=k[m>>2]|0;i=k[n>>2]|0;if((i|0)==(g|0))break;k[n>>2]=i+(~((i+-4-g|0)>>>2)<<2)}while(0);g=k[Db>>2]|0;if(g|0)zqa(g);l=h}m=Eb+4|0;g=k[m>>2]|0;j=Eb+16|0;h=k[j>>2]|0;i=g+(h>>>10<<2)|0;n=Eb+8|0;if((k[n>>2]|0)==(g|0)){b=0;c=Eb+20|0;g=0}else{c=Eb+20|0;b=(k[c>>2]|0)+h|0;b=(k[g+(b>>>10<<2)>>2]|0)+((b&1023)<<2)|0;g=(k[i>>2]|0)+((h&1023)<<2)|0}p:while(1){do{if((g|0)==(b|0))break p;EO(g);g=g+4|0}while((g-(k[i>>2]|0)|0)!=4096);g=i+4|0;i=g;g=k[g>>2]|0}k[c>>2]=0;i=k[n>>2]|0;h=k[m>>2]|0;b=i-h>>2;g=h;if(b>>>0>2)do{zqa(k[h>>2]|0);g=(k[m>>2]|0)+4|0;k[m>>2]=g;i=k[n>>2]|0;h=g;b=i-h>>2}while(b>>>0>2);switch(b|0){case 1:{k[j>>2]=512;break}case 2:{k[j>>2]=1024;break}default:{}}do if((g|0)!=(i|0)){do{zqa(k[g>>2]|0);g=g+4|0}while((g|0)!=(i|0));g=k[m>>2]|0;h=k[n>>2]|0;if((h|0)==(g|0))break;k[n>>2]=h+(~((h+-4-g|0)>>>2)<<2)}while(0);g=k[Eb>>2]|0;if(g|0)zqa(g)}m=Fb+4|0;g=k[m>>2]|0;j=Fb+16|0;h=k[j>>2]|0;i=g+(h>>>10<<2)|0;n=Fb+8|0;if((k[n>>2]|0)==(g|0)){b=0;c=Fb+20|0;g=0}else{c=Fb+20|0;b=(k[c>>2]|0)+h|0;b=(k[g+(b>>>10<<2)>>2]|0)+((b&1023)<<2)|0;g=(k[i>>2]|0)+((h&1023)<<2)|0}q:while(1){do{if((g|0)==(b|0))break q;EO(g);g=g+4|0}while((g-(k[i>>2]|0)|0)!=4096);g=i+4|0;i=g;g=k[g>>2]|0}k[c>>2]=0;i=k[n>>2]|0;h=k[m>>2]|0;b=i-h>>2;g=h;if(b>>>0>2)do{zqa(k[h>>2]|0);g=(k[m>>2]|0)+4|0;k[m>>2]=g;i=k[n>>2]|0;h=g;b=i-h>>2}while(b>>>0>2);switch(b|0){case 1:{k[j>>2]=512;break}case 2:{k[j>>2]=1024;break}default:{}}do if((g|0)!=(i|0)){do{zqa(k[g>>2]|0);g=g+4|0}while((g|0)!=(i|0));g=k[m>>2]|0;h=k[n>>2]|0;if((h|0)==(g|0))break;k[n>>2]=h+(~((h+-4-g|0)>>>2)<<2)}while(0);g=k[Fb>>2]|0;if(g|0)zqa(g);g=k[Gb+20>>2]|0;if(g|0)kZ(g);EO(Gb+12|0)}g=k[Hb+20>>2]|0;if(g|0)kZ(g);EO(Hb+12|0);break c}else if((yb|0)==119){f=pb()|0;break c}else if((yb|0)==120)f=pb()|0;else if((yb|0)==121){f=pb()|0;if(i)break;kZ(h)}while(0);g=k[c>>2]|0;if(g|0)kZ(g);EO(m)}while(0);if((yb|0)==87){f=pb()|0;e=Ib+20|0}else if((yb|0)==1041){e=k[e>>2]|0;if(e|0)kZ(e);EO(Ib+12|0);e=k[Jb+20>>2]|0;if(e|0)kZ(e);EO(Jb+12|0);yb=1052;break}e=k[e>>2]|0;if(e|0)kZ(e);EO(Ib+12|0)}e=k[Jb+20>>2]|0;if(e|0)kZ(e);EO(Jb+12|0)}while(0);if((yb|0)==80)f=pb()|0;else if((yb|0)==1052){e=k[Kb+20>>2]|0;if(e|0)kZ(e);EO(Kb+12|0);e=k[Lb+20>>2]|0;if(e|0)kZ(e);EO(Lb+12|0);e=k[Mb+20>>2]|0;if(e|0)kZ(e);EO(Mb+12|0);r=zb;return}e=k[Kb+20>>2]|0;if(e|0)kZ(e);EO(Kb+12|0);break a}while(0);if((yb|0)==43)f=pb()|0;e=k[Fb+20>>2]|0;if(e|0)kZ(e);EO(Fb+12|0)}}}if((yb|0)==41)f=pb()|0;e=k[lb+20>>2]|0;if(e|0)kZ(e);EO(lb+12|0)}e=k[ob+20>>2]|0;if(e|0)kZ(e);EO(ob+12|0);yb=79}}while(0);if((yb|0)==78){f=pb()|0;yb=79}e=k[Lb+20>>2]|0;if(e|0)kZ(e);EO(Lb+12|0)}}if((yb|0)==77)f=pb()|0;e=k[Mb+20>>2]|0;if(e|0)kZ(e);EO(Mb+12|0);Nb=f;sb(Nb|0)}function Uc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,pa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Oa=0,Pa=0,Qa=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,qb=0,rb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0,Df=0,Ef=0,Ff=0,Gf=0,Hf=0,If=0,Jf=0,Kf=0,Lf=0,Mf=0,Nf=0,Of=0,Pf=0,Qf=0,Rf=0,Sf=0,Tf=0,Uf=0,Vf=0,Wf=0,Xf=0,Yf=0,Zf=0,_f=0,$f=0,ag=0,bg=0,cg=0,dg=0,eg=0,fg=0,gg=0,hg=0,ig=0,jg=0,kg=0,lg=0,mg=0,ng=0,og=0,pg=0,qg=0,rg=0,sg=0,tg=0,ug=0,vg=0,wg=0,xg=0,yg=0,zg=0,Ag=0,Bg=0,Cg=0,Dg=0,Eg=0,Fg=0,Gg=0,Hg=0,Ig=0,Jg=0,Kg=0,Lg=0,Mg=0,Ng=0,Og=0,Pg=0,Qg=0,Rg=0,Sg=0,Tg=0,Ug=0,Vg=0,Wg=0,Xg=0,Yg=0,Zg=0,_g=0,$g=0,ah=0,bh=0,ch=0,dh=0,eh=0,fh=0,gh=0,hh=0,ih=0,jh=0,kh=0,lh=0,mh=0,nh=0,oh=0,ph=0,qh=0,rh=0,sh=0,th=0,uh=0,vh=0,wh=0,xh=0,yh=0,zh=0,Ah=0,Bh=0,Ch=0,Dh=0,Eh=0,Fh=0,Gh=0,Hh=0,Ih=0,Jh=0,Kh=0,Lh=0,Mh=0,Nh=0,Oh=0,Ph=0,Qh=0,Rh=0,Sh=0,Th=0,Uh=0,Vh=0,Wh=0,Xh=0,Yh=0,Zh=0,_h=0,$h=0,ai=0,bi=0,ci=0,di=0,ei=0,fi=0,gi=0,hi=0,ii=0,ji=0,ki=0,li=0,mi=0,ni=0,oi=0,pi=0,qi=0;dd=0;rd=r;r=r+2384|0;oi=rd+2328|0;mi=rd+2312|0;Pb=rd+2304|0;Tb=rd+2292|0;Ia=rd+2288|0;Oa=rd+2376|0;Ta=rd+2280|0;Ya=rd+2272|0;_a=rd+2375|0;$a=rd+2264|0;ab=rd+2256|0;bb=rd+320|0;cb=rd+2252|0;db=rd+2248|0;eb=rd+2374|0;hb=rd+2240|0;ib=rd+280|0;jb=rd+2236|0;kb=rd+240|0;lb=rd+2232|0;mb=rd+2228|0;nb=rd+2224|0;ob=rd+200|0;qb=rd+160|0;rb=rd+2220|0;tb=rd+2216|0;ub=rd+2373|0;vb=rd+2208|0;wb=rd+120|0;xb=rd+2200|0;yb=rd+2372|0;zb=rd+2192|0;Ab=rd+2184|0;Bb=rd+2371|0;Cb=rd+2176|0;Db=rd+80|0;Eb=rd+2168|0;Fb=rd+40|0;Gb=rd+2164|0;Hb=rd+2160|0;Sc=rd+2152|0;Tc=rd+2370|0;Uc=rd+2144|0;s=rd+2140|0;t=rd+2369|0;u=rd+2128|0;Vc=rd;Wc=rd+2108|0;Xc=rd+2104|0;Yc=rd+2096|0;Zc=rd+2368|0;_c=rd+2048|0;m=rd+2040|0;pi=rd+2024|0;qi=rd+2008|0;o=rd+2156|0;v=rd+1960|0;Qf=rd+1944|0;Ib=rd+1936|0;Jb=rd+2136|0;$c=rd+1792|0;Oc=rd+2112|0;Rf=rd+1784|0;Sf=rd+1780|0;Kb=rd+2100|0;Lb=rd+2056|0;Tf=rd+1728|0;Uf=rd+1724|0;Mb=rd+2036|0;Nb=rd+2020|0;Ob=rd+1968|0;Vf=rd+1964|0;Wf=rd+1948|0;Xf=rd+1696|0;Qb=rd+1940|0;Yf=rd+1692|0;Zf=rd+1680|0;Rb=rd+1776|0;Sb=rd+1736|0;_f=rd+1720|0;$f=rd+1716|0;ag=rd+1704|0;bg=rd+1672|0;cg=rd+1668|0;Ub=rd+1700|0;dg=rd+1660|0;eg=rd+1652|0;Vb=rd+1676|0;fg=rd+1648|0;Wb=rd+1664|0;gg=rd+1600|0;Xb=rd+1656|0;Yb=rd+1608|0;hg=rd+1604|0;wf=rd+1588|0;Ja=rd+1584|0;Ka=rd+1544|0;xf=rd+1536|0;yf=rd+1372|0;zf=rd+1540|0;La=rd+1368|0;Af=rd+1392|0;Ma=rd+1352|0;Bf=rd+1384|0;Pa=rd+1296|0;Cf=rd+1288|0;Df=rd+1132|0;Ef=rd+1364|0;Qa=rd+1128|0;Ff=rd+1348|0;Gf=rd+1336|0;Hf=rd+1144|0;Sa=rd+968|0;If=rd+964|0;Jf=rd+960|0;Ua=rd+800|0;Kf=rd+984|0;Va=rd+644|0;Lf=rd+640|0;Mf=rd+816|0;Wa=rd+480|0;Nf=rd+656|0;Xa=rd+468|0;Of=rd+496|0;Za=rd+456|0;Pf=rd+448|0;sd=rd+452|0;Qc=rd+444|0;Rc=rd+440|0;ad=rd+400|0;ed=rd+384|0;fd=rd+372|0;bd=rd+360|0;k[oi>>2]=0;k[oi+4>>2]=0;k[oi+8>>2]=0;ni=i[a+11>>0]|0;Nc=ni<<24>>24<0;ni=Nc?k[a+4>>2]|0:ni&255;y=0;Ra(10,oi|0,(Nc?k[a>>2]|0:a)|0,ni|0,ni+1|0);ni=y;y=0;if(ni&1){qi=pb()|0;$9(oi);sb(qi|0)}y=0;ta(47,oi|0,47081,1)|0;ni=y;y=0;if(ni&1){qi=pb()|0;$9(oi);sb(qi|0)}Mc=b+11|0;e=i[Mc>>0]|0;ni=e<<24>>24<0;Nc=b+4|0;y=0;e=ta(47,oi|0,(ni?k[b>>2]|0:b)|0,(ni?k[Nc>>2]|0:e&255)|0)|0;ni=y;y=0;if(ni&1){qi=pb()|0;$9(oi);sb(qi|0)}k[pi>>2]=k[e>>2];k[pi+4>>2]=k[e+4>>2];k[pi+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;$9(oi);k[qi+4>>2]=0;k[qi+8>>2]=0;ni=qi+4|0;k[qi>>2]=ni;h=k[d>>2]|0;l=(k[h+68>>2]|0)-(k[h+64>>2]|0)>>2;a:do if(!l)dd=7;else{e=0;while(1){y=0;oa(464,m|0,(k[(k[h+64>>2]|0)+(e<<2)>>2]|0)+60|0);Ic=y;y=0;if(Ic&1)break;h=k[m>>2]|0;k[o>>2]=h;if(!h)EO(o);else{h=pw(h,40,536,0)|0;EO(o);if(h|0){h=h+60|0;if(i[h>>0]|0)i[h>>0]=42}}e=e+1|0;if(e>>>0>=l>>>0){dd=7;break a}h=k[d>>2]|0}p=pb()|0}while(0);b:do if((dd|0)==7){l=k[c>>2]|0;h=k[l+60>>2]|0;e=k[l+56>>2]|0;m=h-e>>2;do if(m){h=0;while(1){e=l+52|0;y=0;e=Ha(k[(k[e>>2]|0)+16>>2]|0,e|0,h|0)|0;dd=y;y=0;if(dd&1){dd=28;break}y=0;oa(464,v|0,e|0);dd=y;y=0;if(dd&1){dd=28;break}y=0;oa(452,oi|0,(k[v>>2]|0)+52|0);dd=y;y=0;if(dd&1){dd=29;break}k[s>>2]=oi;y=0;ya(16,u|0,qi|0,oi|0,80082,s|0,t|0);dd=y;y=0;if(dd&1){dd=30;break}y=0;Ha(966,(k[u>>2]|0)+28|0,v|0)|0;dd=y;y=0;if(dd&1){dd=30;break}$9(oi);EO(v);h=h+1|0;l=k[c>>2]|0;if(h>>>0>=m>>>0){dd=19;break}}if((dd|0)==19){h=k[l+60>>2]|0;e=k[l+56>>2]|0;break}else if((dd|0)==28){p=pb()|0;break b}else if((dd|0)==29)w=pb()|0;else if((dd|0)==30){w=pb()|0;$9(oi)}EO(v);p=w;break b}while(0);Ga=h-e>>2;Ea=k[d>>2]|0;Ea=(k[Ea+68>>2]|0)-(k[Ea+64>>2]|0)>>2;c:do if(!Ea)e=0;else{v=Ea+-1|0;lc=Af+64|0;w=Af+8|0;mc=Af+12|0;x=Af+4|0;z=Af+64|0;A=Af+136|0;B=Af+140|0;nc=Af+44|0;C=Af+60|0;oc=Af+8|0;D=pi+11|0;E=pi+4|0;G=(Ga|0)==1;F=G?38591:38601;G=G?9:10;H=Ua+11|0;I=Ua+4|0;pc=Kf+64|0;J=Kf+8|0;qc=Kf+12|0;K=Kf+4|0;L=Kf+64|0;M=Kf+136|0;O=Kf+140|0;rc=Kf+44|0;P=Kf+60|0;sc=Kf+8|0;Q=oi+11|0;R=oi+4|0;tc=Mf+64|0;S=Mf+8|0;uc=Mf+12|0;T=Mf+4|0;U=Mf+64|0;V=Mf+136|0;W=Mf+140|0;vc=Mf+44|0;X=Mf+60|0;wc=Mf+8|0;Y=oi+11|0;Z=oi+4|0;xc=Of+64|0;_=Of+8|0;yc=Of+12|0;$=Of+4|0;aa=Of+64|0;ba=Of+136|0;ca=Of+140|0;zc=Of+44|0;da=Of+60|0;Ac=Of+8|0;ea=oi+11|0;fa=oi+4|0;Bc=Nf+64|0;ga=Nf+8|0;Cc=Nf+12|0;ha=Nf+4|0;ia=Nf+64|0;ja=Nf+136|0;ka=Nf+140|0;Dc=Nf+44|0;la=Nf+60|0;Ec=Nf+8|0;pa=oi+11|0;ra=oi+4|0;Fc=Hf+64|0;sa=Hf+8|0;Gc=Hf+12|0;ua=Hf+4|0;va=Hf+64|0;wa=Hf+136|0;xa=Hf+140|0;Hc=Hf+44|0;za=Hf+60|0;Ic=Hf+8|0;Aa=Gf+11|0;Ba=Gf+4|0;Ca=Zf+11|0;Da=Zf+4|0;e=0;h=0;d:while(1){l=(k[d>>2]|0)+60|0;y=0;l=Ha(k[(k[l>>2]|0)+16>>2]|0,l|0,h|0)|0;u=y;y=0;if(u&1){dd=41;break}y=0;oa(464,Qf|0,l|0);u=y;y=0;if(u&1){dd=41;break}if(Ga>>>0>e>>>0){l=(k[c>>2]|0)+52|0;y=0;l=Ha(k[(k[l>>2]|0)+16>>2]|0,l|0,e|0)|0;u=y;y=0;if(u&1){dd=42;break}y=0;oa(464,Rf|0,l|0);u=y;y=0;if(u&1){dd=42;break}p=k[Rf>>2]|0;l=k[Qf>>2]|0;o=j[l+76>>1]|0;m=(o&255)<<24>>24!=0;o=(o&65535)>>>8&255;e:do if(!(i[p+68>>0]|0)){do if(m){y=0;oa(464,cb|0,l+60|0);u=y;y=0;if(u&1){dd=78;break d}l=k[cb>>2]|0;k[La>>2]=l;if(!l)l=0;else l=pw(l,40,216,0)|0;y=0;oa(482,zf|0,l|0);u=y;y=0;if(u&1){dd=336;break d}EO(La);l=k[zf>>2]|0;m=(k[l+68>>2]|0)-(k[l+64>>2]|0)>>2;if(!m)l=9;else{p=Ga-e|0;do if(m>>>0>p>>>0){if(i[(k[c>>2]|0)+73>>0]|0)break;m=v+m|0;k[w>>2]=14400;k[Af>>2]=14440;k[lc>>2]=14460;k[x>>2]=0;y=0;oa(528,z|0,mc|0);u=y;y=0;if(u&1){dd=346;break d}k[A>>2]=0;k[B>>2]=-1;k[Af>>2]=14380;k[lc>>2]=14420;k[w>>2]=14400;y=0;na(373,mc|0);u=y;y=0;if(u&1){dd=347;break d}k[mc>>2]=14240;k[nc>>2]=0;k[nc+4>>2]=0;k[nc+8>>2]=0;k[nc+12>>2]=0;k[C>>2]=24;k[oi>>2]=0;k[oi+4>>2]=0;k[oi+8>>2]=0;y=0;oa(529,mc|0,oi|0);u=y;y=0;if(u&1){dd=345;break d}$9(oi);l=i[D>>0]|0;u=l<<24>>24<0;y=0;l=ta(54,oc|0,(u?k[pi>>2]|0:pi)|0,(u?k[E>>2]|0:l&255)|0)|0;u=y;y=0;if(u&1){dd=363;break d}y=0;l=ta(54,l|0,38662,7)|0;u=y;y=0;if(u&1){dd=363;break d}y=0;Ha(972,l|0,Ga|0)|0;u=y;y=0;if(u&1){dd=363;break d}y=0;ta(54,oc|0,F|0,G|0)|0;u=y;y=0;if(u&1){dd=363;break d}y=0;l=ta(54,oc|0,38670,5)|0;u=y;y=0;if(u&1){dd=363;break d}y=0;Ha(972,l|0,m|0)|0;u=y;y=0;if(u&1){dd=363;break d}u=(m|0)==1;y=0;ta(54,oc|0,(u?38676:38688)|0,(u?11:13)|0)|0;u=y;y=0;if(u&1){dd=363;break d}y=0;oa(530,Ma|0,mc|0);u=y;y=0;if(u&1){dd=363;break d}y=0;u=oi;s=(k[d>>2]|0)+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));oa(557,Ma|0,oi|0);u=y;y=0;if(u&1){dd=364;break d}$9(Ma);m=k[zf>>2]|0;l=k[m+68>>2]|0;if(l-(k[m+64>>2]|0)>>2>>>0>p>>>0)do{m=m+68|0;o=l+-4|0;do{u=l+-4|0;k[m>>2]=u;EO(u);l=k[m>>2]|0}while((l|0)!=(o|0));m=k[zf>>2]|0;l=k[m+68>>2]|0}while(l-(k[m+64>>2]|0)>>2>>>0>p>>>0);k[Af>>2]=14380;k[lc>>2]=14420;k[oc>>2]=14400;k[mc>>2]=14240;$9(nc);nba(mc);zka(Af,14472);dja(lc);l=k[zf>>2]|0}while(0);l=l+60|0;y=0;l=Ha(k[(k[l>>2]|0)+16>>2]|0,l|0,0)|0;u=y;y=0;if(u&1){dd=339;break d}y=0;oa(464,Bf|0,l|0);u=y;y=0;if(u&1){dd=339;break d}l=k[Bf>>2]|0;if(!l)l=0;else l=pw(l,40,624,0)|0;y=0;oa(482,oi|0,l|0);u=y;y=0;if(u&1){dd=371;break d}y=0;Ha(966,Qf|0,oi|0)|0;u=y;y=0;if(u&1){dd=387;break d}u=(k[Qf>>2]|0)==0;EO(oi);if(u){l=k[Bf>>2]|0;y=0;Rh=qa(332,84)|0;u=y;y=0;if(u&1){dd=389;break d}u=Pa;s=l+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;oa(482,Cf|0,l|0);u=y;y=0;if(u&1){dd=390;break d}k[Df>>2]=0;k[Df+4>>2]=0;k[Df+8>>2]=0;y=0;Na(75,Df|0,82159,0);u=y;y=0;if(u&1){dd=391;break d}u=bb;s=Pa;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;na(366,Rh|0);u=y;y=0;if(u&1){_b=1;dd=392;break d}u=Rh+12|0;s=bb;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));i[Rh+52>>0]=0;i[Rh+53>>0]=0;i[Rh+54>>0]=0;k[Rh+56>>2]=0;k[Rh>>2]=8284;fc=Rh+60|0;y=0;oa(464,fc|0,Cf|0);u=y;y=0;if(u&1){dd=382;break d}y=0;oa(452,Rh+64|0,Df|0);u=y;y=0;if(u&1){dd=383;break d}i[Rh+76>>0]=0;i[Rh+77>>0]=0;k[Rh+80>>2]=0;y=0;oa(482,oi|0,Rh|0);u=y;y=0;if(u&1){_b=0;dd=392;break d}y=0;Ha(966,Qf|0,oi|0)|0;u=y;y=0;if(u&1){dd=394;break d}EO(oi);$9(Df);EO(Cf)}p=k[zf>>2]|0;m=k[p+64>>2]|0;l=m+4|0;p=p+68|0;o=k[p>>2]|0;if((l|0)==(o|0)){Zb=m;gc=l;dd=402}else{do{y=0;Ha(966,m|0,l|0)|0;u=y;y=0;if(u&1){dd=407;break d}l=l+4|0;m=m+4|0}while((l|0)!=(o|0));l=k[p>>2]|0;if((l|0)!=(m|0)){Zb=m;gc=l;dd=402}}if((dd|0)==402){dd=0;l=gc;do{u=l+-4|0;k[p>>2]=u;EO(u);l=k[p>>2]|0}while((l|0)!=(Zb|0))}l=k[zf>>2]|0;if((k[l+68>>2]|0)==(k[l+64>>2]|0))dd=406;else if((e+1|0)==(Ga|0)&(i[l+84>>0]|0)==0)dd=406;else ec=h;if((dd|0)==406){dd=0;ec=h+1|0}EO(Bf);l=0;h=ec}EO(zf);if(l|0)break e;l=k[Qf>>2]|0}else{if(!(o<<24>>24)){h=h+1|0;break}y=0;oa(464,ab|0,l+60|0);u=y;y=0;if(u&1){dd=78;break d}l=k[ab>>2]|0;k[Qa>>2]=l;if(!l)l=0;else l=pw(l,40,584,0)|0;y=0;oa(482,Ef|0,l|0);u=y;y=0;if(u&1){dd=417;break d}EO(Qa);p=k[Ef>>2]|0;l=k[p+84>>2]|0;p=k[p+88>>2]|0;if((l|0)!=(p|0))do{y=0;oa(464,Ff|0,l|0);u=y;y=0;if(u&1){dd=424;break d}m=k[Ff>>2]|0;if(!m)m=0;else m=pw(m,40,520,0)|0;y=0;oa(452,mi|0,m+64|0);u=y;y=0;if(u&1){dd=425;break d}y=0;ma(5,oi|0,mi|0,0,0,1);u=y;y=0;if(u&1){dd=444;break d}y=0;m=ta(52,oi|0,0,38660)|0;u=y;y=0;if(u&1){dd=445;break d}k[Gf>>2]=k[m>>2];k[Gf+4>>2]=k[m+4>>2];k[Gf+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;$9(oi);$9(mi);if(!($w(qi,Gf)|0)){k[sa>>2]=14400;k[Hf>>2]=14440;k[Fc>>2]=14460;k[ua>>2]=0;y=0;oa(528,va|0,Gc|0);u=y;y=0;if(u&1){dd=434;break d}k[wa>>2]=0;k[xa>>2]=-1;k[Hf>>2]=14380;k[Fc>>2]=14420;k[sa>>2]=14400;y=0;na(373,Gc|0);u=y;y=0;if(u&1){dd=435;break d}k[Gc>>2]=14240;k[Hc>>2]=0;k[Hc+4>>2]=0;k[Hc+8>>2]=0;k[Hc+12>>2]=0;k[za>>2]=24;k[oi>>2]=0;k[oi+4>>2]=0;k[oi+8>>2]=0;y=0;oa(529,Gc|0,oi|0);u=y;y=0;if(u&1){dd=433;break d}$9(oi);m=i[D>>0]|0;u=m<<24>>24<0;y=0;m=ta(54,Ic|0,(u?k[pi>>2]|0:pi)|0,(u?k[E>>2]|0:m&255)|0)|0;u=y;y=0;if(u&1){dd=450;break d}y=0;m=ta(54,m|0,38702,24)|0;u=y;y=0;if(u&1){dd=450;break d}u=i[Aa>>0]|0;t=u<<24>>24<0;y=0;ta(54,m|0,(t?k[Gf>>2]|0:Gf)|0,(t?k[Ba>>2]|0:u&255)|0)|0;u=y;y=0;if(u&1){dd=450;break d}y=0;oa(530,Sa|0,Gc|0);u=y;y=0;if(u&1){dd=450;break d}y=0;u=oi;s=(k[Qf>>2]|0)+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));oa(458,Sa|0,oi|0);u=y;y=0;if(u&1){dd=451;break d}$9(Sa);k[Hf>>2]=14380;k[Fc>>2]=14420;k[Ic>>2]=14400;k[Gc>>2]=14240;$9(Hc);nba(Gc);zka(Hf,14472);dja(Fc)}y=0;m=qa(354,f|0)|0;u=y;y=0;if(u&1){dd=448;break d}k[Ya>>2]=Gf;y=0;ya(15,$a|0,m|0,Gf|0,80082,Ya|0,_a|0);u=y;y=0;if(u&1){dd=448;break d}o=k[$a>>2]|0;m=k[Ef>>2]|0;y=0;oa(482,Jf|0,k[Ff>>2]|0);u=y;y=0;if(u&1){dd=460;break d}y=0;m=Ha(965,m+60|0,Jf|0)|0;u=y;y=0;if(u&1){dd=461;break d}k[If>>2]=m;y=0;oa(482,oi|0,m|0);u=y;y=0;if(u&1){dd=462;break d}y=0;Ha(966,o+28|0,oi|0)|0;u=y;y=0;if(u&1){dd=463;break d}EO(oi);EO(If);EO(Jf);$9(Gf);EO(Ff);l=l+4|0}while((l|0)!=(p|0));EO(Ef);l=8;h=h+1|0;break e}while(0);y=0;oa(452,Ua|0,l+64|0);u=y;y=0;if(u&1){dd=78;break d}u=i[H>>0]|0;u=((u<<24>>24<0?k[I>>2]|0:u&255)|0)==0;$9(Ua);if(u){y=0;oa(452,oi|0,(k[Rf>>2]|0)+52|0);u=y;y=0;if(u&1){dd=492;break d}y=0;l=Ha(990,f|0,oi|0)|0;u=y;y=0;if(u&1){dd=493;break d}$9(oi);if(l){k[J>>2]=14400;k[Kf>>2]=14440;k[pc>>2]=14460;k[K>>2]=0;y=0;oa(528,L|0,qc|0);u=y;y=0;if(u&1){dd=480;break d}k[M>>2]=0;k[O>>2]=-1;k[Kf>>2]=14380;k[pc>>2]=14420;k[J>>2]=14400;y=0;na(373,qc|0);u=y;y=0;if(u&1){dd=481;break d}k[qc>>2]=14240;k[rc>>2]=0;k[rc+4>>2]=0;k[rc+8>>2]=0;k[rc+12>>2]=0;k[P>>2]=24;k[oi>>2]=0;k[oi+4>>2]=0;k[oi+8>>2]=0;y=0;oa(529,qc|0,oi|0);u=y;y=0;if(u&1){dd=479;break d}$9(oi);y=0;l=ta(54,sc|0,38727,10)|0;u=y;y=0;if(u&1){dd=495;break d}y=0;oa(452,oi|0,(k[Rf>>2]|0)+52|0);u=y;y=0;if(u&1){dd=496;break d}u=i[Q>>0]|0;t=u<<24>>24<0;y=0;l=ta(54,l|0,(t?k[oi>>2]|0:oi)|0,(t?k[R>>2]|0:u&255)|0)|0;u=y;y=0;if(u&1){dd=497;break d}y=0;l=ta(54,l|0,38738,36)|0;u=y;y=0;if(u&1){dd=497;break d}u=i[D>>0]|0;t=u<<24>>24<0;y=0;ta(54,l|0,(t?k[pi>>2]|0:pi)|0,(t?k[E>>2]|0:u&255)|0)|0;u=y;y=0;if(u&1){dd=497;break d}$9(oi);y=0;oa(530,Va|0,qc|0);u=y;y=0;if(u&1){dd=495;break d}y=0;u=oi;s=(k[Qf>>2]|0)+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));oa(458,Va|0,oi|0);u=y;y=0;if(u&1){dd=499;break d}$9(Va);k[Kf>>2]=14380;k[pc>>2]=14420;k[sc>>2]=14400;k[qc>>2]=14240;$9(rc);nba(qc);zka(Kf,14472);dja(pc)}y=0;l=qa(354,f|0)|0;u=y;y=0;if(u&1){dd=78;break d}y=0;oa(452,oi|0,(k[Rf>>2]|0)+52|0);u=y;y=0;if(u&1){dd=508;break d}k[Ia>>2]=oi;y=0;ya(17,Ta|0,l|0,oi|0,80082,Ia|0,Oa|0);u=y;y=0;if(u&1){dd=509;break d}l=k[Ta>>2]|0;y=0;oa(464,Tb|0,(k[Qf>>2]|0)+60|0);u=y;y=0;if(u&1){dd=510;break d}u=k[Tb>>2]|0;k[Lf>>2]=u;y=0;oa(482,mi|0,u|0);u=y;y=0;if(u&1){dd=511;break d}y=0;Ha(966,l+28|0,mi|0)|0;u=y;y=0;if(u&1){dd=512;break d}EO(mi);EO(Lf);$9(oi);e=e+1|0;l=0;break}y=0;oa(452,oi|0,(k[Qf>>2]|0)+64|0);u=y;y=0;if(u&1){dd=534;break d}u=($w(qi,oi)|0)==0;$9(oi);if(u){k[S>>2]=14400;k[Mf>>2]=14440;k[tc>>2]=14460;k[T>>2]=0;y=0;oa(528,U|0,uc|0);u=y;y=0;if(u&1){dd=523;break d}k[V>>2]=0;k[W>>2]=-1;k[Mf>>2]=14380;k[tc>>2]=14420;k[S>>2]=14400;y=0;na(373,uc|0);u=y;y=0;if(u&1){dd=524;break d}k[uc>>2]=14240;k[vc>>2]=0;k[vc+4>>2]=0;k[vc+8>>2]=0;k[vc+12>>2]=0;k[X>>2]=24;k[oi>>2]=0;k[oi+4>>2]=0;k[oi+8>>2]=0;y=0;oa(529,uc|0,oi|0);u=y;y=0;if(u&1){dd=522;break d}$9(oi);l=i[D>>0]|0;u=l<<24>>24<0;y=0;l=ta(54,wc|0,(u?k[pi>>2]|0:pi)|0,(u?k[E>>2]|0:l&255)|0)|0;u=y;y=0;if(u&1){dd=535;break d}y=0;l=ta(54,l|0,38702,24)|0;u=y;y=0;if(u&1){dd=535;break d}y=0;oa(452,oi|0,(k[Qf>>2]|0)+64|0);u=y;y=0;if(u&1){dd=536;break d}u=i[Y>>0]|0;t=u<<24>>24<0;y=0;ta(54,l|0,(t?k[oi>>2]|0:oi)|0,(t?k[Z>>2]|0:u&255)|0)|0;u=y;y=0;if(u&1){dd=537;break d}$9(oi);y=0;oa(530,Wa|0,uc|0);u=y;y=0;if(u&1){dd=535;break d}y=0;u=oi;s=(k[Qf>>2]|0)+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));oa(458,Wa|0,oi|0);u=y;y=0;if(u&1){dd=539;break d}$9(Wa);k[Mf>>2]=14380;k[tc>>2]=14420;k[wc>>2]=14400;k[uc>>2]=14240;$9(vc);nba(uc);zka(Mf,14472);dja(tc)}y=0;oa(452,Tb|0,(k[Qf>>2]|0)+64|0);u=y;y=0;if(u&1){dd=561;break d}k[oi>>2]=Tb;y=0;ya(16,Pb|0,qi|0,Tb|0,80082,oi|0,mi|0);u=y;y=0;if(u&1){dd=562;break d}u=(i[(k[(k[Pb>>2]|0)+28>>2]|0)+68>>0]|0)==0;$9(Tb);if(!u){k[ga>>2]=14400;k[Nf>>2]=14440;k[Bc>>2]=14460;k[ha>>2]=0;y=0;oa(528,ia|0,Cc|0);u=y;y=0;if(u&1){dd=548;break d}k[ja>>2]=0;k[ka>>2]=-1;k[Nf>>2]=14380;k[Bc>>2]=14420;k[ga>>2]=14400;y=0;na(373,Cc|0);u=y;y=0;if(u&1){dd=549;break d}k[Cc>>2]=14240;k[Dc>>2]=0;k[Dc+4>>2]=0;k[Dc+8>>2]=0;k[Dc+12>>2]=0;k[la>>2]=24;k[oi>>2]=0;k[oi+4>>2]=0;k[oi+8>>2]=0;y=0;oa(529,Cc|0,oi|0);u=y;y=0;if(u&1){dd=547;break d}$9(oi);y=0;l=ta(54,Ec|0,38775,9)|0;u=y;y=0;if(u&1){dd=564;break d}y=0;oa(452,oi|0,(k[Qf>>2]|0)+64|0);u=y;y=0;if(u&1){dd=565;break d}u=i[pa>>0]|0;t=u<<24>>24<0;y=0;l=ta(54,l|0,(t?k[oi>>2]|0:oi)|0,(t?k[ra>>2]|0:u&255)|0)|0;u=y;y=0;if(u&1){dd=566;break d}y=0;l=ta(54,l|0,47391,4)|0;u=y;y=0;if(u&1){dd=566;break d}u=i[D>>0]|0;t=u<<24>>24<0;y=0;l=ta(54,l|0,(t?k[pi>>2]|0:pi)|0,(t?k[E>>2]|0:u&255)|0)|0;u=y;y=0;if(u&1){dd=566;break d}y=0;ta(54,l|0,38785,32)|0;u=y;y=0;if(u&1){dd=566;break d}$9(oi);y=0;oa(530,Xa|0,Cc|0);u=y;y=0;if(u&1){dd=564;break d}y=0;u=oi;s=(k[Qf>>2]|0)+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));oa(458,Xa|0,oi|0);u=y;y=0;if(u&1){dd=568;break d}$9(Xa);k[Nf>>2]=14380;k[Bc>>2]=14420;k[Ec>>2]=14400;k[Cc>>2]=14240;$9(Dc);nba(Cc);zka(Nf,14472);dja(Bc)}y=0;oa(452,oi|0,(k[Qf>>2]|0)+64|0);u=y;y=0;if(u&1){dd=589;break d}y=0;l=Ha(990,f|0,oi|0)|0;u=y;y=0;if(u&1){dd=590;break d}$9(oi);if(l){k[_>>2]=14400;k[Of>>2]=14440;k[xc>>2]=14460;k[$>>2]=0;y=0;oa(528,aa|0,yc|0);u=y;y=0;if(u&1){dd=577;break d}k[ba>>2]=0;k[ca>>2]=-1;k[Of>>2]=14380;k[xc>>2]=14420;k[_>>2]=14400;y=0;na(373,yc|0);u=y;y=0;if(u&1){dd=578;break d}k[yc>>2]=14240;k[zc>>2]=0;k[zc+4>>2]=0;k[zc+8>>2]=0;k[zc+12>>2]=0;k[da>>2]=24;k[oi>>2]=0;k[oi+4>>2]=0;k[oi+8>>2]=0;y=0;oa(529,yc|0,oi|0);u=y;y=0;if(u&1){dd=576;break d}$9(oi);y=0;l=ta(54,Ac|0,38727,10)|0;u=y;y=0;if(u&1){dd=592;break d}y=0;oa(452,oi|0,(k[Rf>>2]|0)+52|0);u=y;y=0;if(u&1){dd=593;break d}u=i[ea>>0]|0;t=u<<24>>24<0;y=0;l=ta(54,l|0,(t?k[oi>>2]|0:oi)|0,(t?k[fa>>2]|0:u&255)|0)|0;u=y;y=0;if(u&1){dd=594;break d}y=0;l=ta(54,l|0,38818,35)|0;u=y;y=0;if(u&1){dd=594;break d}u=i[D>>0]|0;t=u<<24>>24<0;y=0;ta(54,l|0,(t?k[pi>>2]|0:pi)|0,(t?k[E>>2]|0:u&255)|0)|0;u=y;y=0;if(u&1){dd=594;break d}$9(oi);y=0;oa(530,Za|0,yc|0);u=y;y=0;if(u&1){dd=592;break d}y=0;u=oi;s=(k[Qf>>2]|0)+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));oa(458,Za|0,oi|0);u=y;y=0;if(u&1){dd=596;break d}$9(Za);k[Of>>2]=14380;k[xc>>2]=14420;k[Ac>>2]=14400;k[yc>>2]=14240;$9(zc);nba(yc);zka(Of,14472);dja(xc)}y=0;l=qa(354,f|0)|0;u=y;y=0;if(u&1){dd=78;break d}y=0;oa(452,oi|0,(k[Qf>>2]|0)+64|0);u=y;y=0;if(u&1){dd=605;break d}k[xb>>2]=oi;y=0;ya(17,zb|0,l|0,oi|0,80082,xb|0,yb|0);u=y;y=0;if(u&1){dd=606;break d}l=k[zb>>2]|0;y=0;oa(464,Eb|0,(k[Qf>>2]|0)+60|0);u=y;y=0;if(u&1){dd=607;break d}u=k[Eb>>2]|0;k[Pf>>2]=u;y=0;oa(482,mi|0,u|0);u=y;y=0;if(u&1){dd=608;break d}y=0;Ha(966,l+28|0,mi|0)|0;u=y;y=0;if(u&1){dd=609;break d}EO(mi);EO(Pf);$9(oi);l=0}else{do if(m){y=0;oa(464,Gb|0,l+60|0);u=y;y=0;if(u&1){dd=78;break d}l=k[Gb>>2]|0;k[Kb>>2]=l;if(!l)l=0;else l=pw(l,40,216,0)|0;y=0;oa(482,Sf|0,l|0);u=y;y=0;if(u&1){dd=80;break d}EO(Kb);l=k[Sf>>2]|0;if(!l){dd=147;break d}y=0;Sh=qa(332,88)|0;u=y;y=0;if(u&1){dd=95;break d}u=Lb;s=(k[Rf>>2]|0)+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));m=k[l+80>>2]|0;u=Fb;s=Lb;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;na(366,Sh|0);u=y;y=0;if(u&1){dd=97;break d}u=Sh+12|0;s=Fb;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));i[Sh+52>>0]=0;i[Sh+53>>0]=0;i[Sh+54>>0]=0;l=Sh+56|0;k[l>>2]=0;k[Sh>>2]=7760;q=Sh+60|0;k[q>>2]=7720;Jc=Sh+64|0;k[Jc>>2]=0;k[Jc+4>>2]=0;k[Jc+8>>2]=0;k[Jc+12>>2]=0;y=0;oa(518,Jc|0,0);u=y;y=0;if(u&1){dd=86;break d}k[Sh>>2]=7552;k[q>>2]=7680;k[Sh+80>>2]=m;i[Sh+84>>0]=1;i[Sh+85>>0]=0;k[l>>2]=5;p=k[Sf>>2]|0;l=k[p+64>>2]|0;p=k[p+68>>2]|0;if((l|0)!=(p|0))do{y=0;oa(464,Tf|0,l|0);u=y;y=0;if(u&1){dd=103;break d}m=k[Tf>>2]|0;if(!m)m=0;else m=pw(m,40,624,0)|0;y=0;oa(482,Uf|0,m|0);u=y;y=0;if(u&1){dd=104;break d}m=k[Uf>>2]|0;o=k[(k[q>>2]|0)+20>>2]|0;if(!m){y=0;Th=qa(332,84)|0;u=y;y=0;if(u&1){dd=111;break d}m=k[Tf>>2]|0;u=Ob;s=m+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;oa(482,Vf|0,m|0);u=y;y=0;if(u&1){dd=125;break d}k[Wf>>2]=0;k[Wf+4>>2]=0;k[Wf+8>>2]=0;y=0;Na(75,Wf|0,82159,0);u=y;y=0;if(u&1){dd=126;break d}u=Db;s=Ob;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;na(366,Th|0);u=y;y=0;if(u&1){cc=1;dd=127;break d}u=Th+12|0;s=Db;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));i[Th+52>>0]=0;i[Th+53>>0]=0;i[Th+54>>0]=0;k[Th+56>>2]=0;k[Th>>2]=8284;hc=Th+60|0;y=0;oa(464,hc|0,Vf|0);u=y;y=0;if(u&1){dd=120;break d}y=0;oa(452,Th+64|0,Wf|0);u=y;y=0;if(u&1){dd=121;break d}i[Th+76>>0]=0;i[Th+77>>0]=0;k[Th+80>>2]=0;y=0;oa(482,Nb|0,Th|0);u=y;y=0;if(u&1){cc=0;dd=127;break d}y=0;oa(o|0,q|0,Nb|0);u=y;y=0;if(u&1){dd=129;break d}EO(Nb);$9(Wf);EO(Vf)}else{y=0;m=qa(k[(k[m>>2]|0)+12>>2]|0,m|0)|0;u=y;y=0;if(u&1){dd=111;break d}y=0;oa(482,Mb|0,m|0);u=y;y=0;if(u&1){dd=111;break d}y=0;oa(o|0,q|0,Mb|0);u=y;y=0;if(u&1){dd=112;break d}EO(Mb)}EO(Uf);EO(Tf);l=l+4|0}while((l|0)!=(p|0));y=0;l=qa(354,f|0)|0;u=y;y=0;if(u&1){dd=99;break d}y=0;oa(452,oi|0,(k[Rf>>2]|0)+52|0);u=y;y=0;if(u&1){dd=140;break d}k[Ab>>2]=oi;y=0;ya(17,Cb|0,l|0,oi|0,80082,Ab|0,Bb|0);u=y;y=0;if(u&1){dd=141;break d}l=k[Cb>>2]|0;y=0;oa(482,mi|0,Sh|0);u=y;y=0;if(u&1){dd=142;break d}y=0;Ha(966,l+28|0,mi|0)|0;u=y;y=0;if(u&1){dd=143;break d}EO(mi);$9(oi);EO(Sf)}else{if(o<<24>>24){y=0;Uh=qa(332,88)|0;u=y;y=0;if(u&1){dd=78;break d}u=wb;s=p+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;na(366,Uh|0);u=y;y=0;if(u&1){dd=169;break d}u=Uh+12|0;s=wb;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));i[Uh+52>>0]=0;i[Uh+53>>0]=0;i[Uh+54>>0]=0;l=Uh+56|0;k[l>>2]=0;k[Uh>>2]=7760;q=Uh+60|0;k[q>>2]=7720;Kc=Uh+64|0;k[Kc>>2]=0;k[Kc+4>>2]=0;k[Kc+8>>2]=0;k[Kc+12>>2]=0;y=0;oa(518,Kc|0,0);u=y;y=0;if(u&1){dd=155;break d}k[Uh>>2]=7552;k[q>>2]=7680;k[Uh+80>>2]=0;i[Uh+84>>0]=1;i[Uh+85>>0]=0;k[l>>2]=5;y=0;l=qa(354,f|0)|0;u=y;y=0;if(u&1){dd=171;break d}y=0;oa(452,oi|0,(k[Rf>>2]|0)+52|0);u=y;y=0;if(u&1){dd=172;break d}k[tb>>2]=oi;y=0;ya(17,vb|0,l|0,oi|0,80082,tb|0,ub|0);u=y;y=0;if(u&1){dd=173;break d}l=k[vb>>2]|0;y=0;oa(482,mi|0,Uh|0);u=y;y=0;if(u&1){dd=174;break d}y=0;Ha(966,l+28|0,mi|0)|0;u=y;y=0;if(u&1){dd=175;break d}EO(mi);$9(oi);y=0;oa(464,rb|0,(k[Qf>>2]|0)+60|0);u=y;y=0;if(u&1){dd=171;break d}l=k[rb>>2]|0;k[Qb>>2]=l;if(!l)l=0;else l=pw(l,40,584,0)|0;y=0;oa(482,Xf|0,l|0);u=y;y=0;if(u&1){dd=179;break d}EO(Qb);p=k[Xf>>2]|0;l=k[p+84>>2]|0;p=k[p+88>>2]|0;if((l|0)!=(p|0))do{y=0;oa(464,Yf|0,l|0);u=y;y=0;if(u&1){dd=187;break d}m=k[Yf>>2]|0;if(!m)m=0;else m=pw(m,40,520,0)|0;y=0;oa(452,oi|0,m+64|0);u=y;y=0;if(u&1){dd=188;break d}y=0;ma(5,Zf|0,oi|0,0,0,1);u=y;y=0;if(u&1){dd=205;break d}$9(oi);o=k[(k[q>>2]|0)+20>>2]|0;y=0;Vh=qa(332,84)|0;u=y;y=0;if(u&1){dd=207;break d}u=Sb;s=(k[Yf>>2]|0)+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));m=k[Xf>>2]|0;y=0;oa(464,$f|0,Yf|0);u=y;y=0;if(u&1){dd=208;break d}y=0;m=Ha(965,m+60|0,$f|0)|0;u=y;y=0;if(u&1){dd=209;break d}k[_f>>2]=m;k[ag>>2]=0;k[ag+4>>2]=0;k[ag+8>>2]=0;m=i[Ca>>0]|0;m=m<<24>>24<0?k[Da>>2]|0:m&255;y=0;Ra(10,ag|0,38660,1,m+1|0);u=y;y=0;if(u&1){dd=210;break d}y=0;ta(47,ag|0,((i[Ca>>0]|0)<0?k[Zf>>2]|0:Zf)|0,m|0)|0;u=y;y=0;if(u&1){dd=210;break d}u=qb;s=Sb;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;na(366,Vh|0);u=y;y=0;if(u&1){bc=1;dd=211;break d}u=Vh+12|0;s=qb;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));i[Vh+52>>0]=0;i[Vh+53>>0]=0;i[Vh+54>>0]=0;k[Vh+56>>2]=0;k[Vh>>2]=8284;ic=Vh+60|0;y=0;oa(464,ic|0,_f|0);u=y;y=0;if(u&1){dd=200;break d}y=0;oa(452,Vh+64|0,ag|0);u=y;y=0;if(u&1){dd=201;break d}i[Vh+76>>0]=0;i[Vh+77>>0]=0;k[Vh+80>>2]=0;y=0;oa(482,Rb|0,Vh|0);u=y;y=0;if(u&1){bc=0;dd=211;break d}y=0;oa(o|0,q|0,Rb|0);u=y;y=0;if(u&1){dd=213;break d}EO(Rb);$9(ag);EO(_f);EO($f);$9(Zf);EO(Yf);l=l+4|0}while((l|0)!=(p|0));EO(Xf);break}y=0;Wh=qa(332,88)|0;u=y;y=0;if(u&1){dd=78;break d}u=ob;s=p+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;na(366,Wh|0);u=y;y=0;if(u&1){dd=235;break d}u=Wh+12|0;s=ob;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));i[Wh+52>>0]=0;i[Wh+53>>0]=0;i[Wh+54>>0]=0;l=Wh+56|0;k[l>>2]=0;k[Wh>>2]=7760;m=Wh+60|0;k[m>>2]=7720;Lc=Wh+64|0;k[Lc>>2]=0;k[Lc+4>>2]=0;k[Lc+8>>2]=0;k[Lc+12>>2]=0;y=0;oa(518,Lc|0,0);u=y;y=0;if(u&1){dd=223;break d}k[Wh>>2]=7552;k[m>>2]=7680;k[Wh+80>>2]=0;i[Wh+84>>0]=1;i[Wh+85>>0]=0;k[l>>2]=5;y=0;oa(482,bg|0,Wh|0);u=y;y=0;if(u&1){dd=78;break d}while(1){if(h>>>0>=Ea>>>0)break;q=h+1|0;y=0;Ha(966,Qf|0,(k[(k[d>>2]|0)+64>>2]|0)+(h<<2)|0)|0;u=y;y=0;if(u&1){dd=237;break d}y=0;oa(464,nb|0,(k[Qf>>2]|0)+60|0);u=y;y=0;if(u&1){dd=237;break d}h=k[nb>>2]|0;k[Ub>>2]=h;if(!h)h=0;else h=pw(h,40,216,0)|0;y=0;oa(482,cg|0,h|0);u=y;y=0;if(u&1){dd=240;break d}EO(Ub);h=k[cg>>2]|0;do if(!h)dd=246;else{if((k[h+64>>2]|0)!=(k[h+68>>2]|0)){dd=246;break}if(!(i[(k[Qf>>2]|0)+76>>0]|0))dd=246;else Fa=14}while(0);if((dd|0)==246){dd=0;y=0;oa(464,mb|0,(k[Qf>>2]|0)+60|0);Fa=y;y=0;if(Fa&1){dd=245;break d}h=k[mb>>2]|0;k[dg>>2]=h;if(!h)h=0;else h=pw(h,40,624,0)|0;y=0;oa(482,eg|0,h|0);Fa=y;y=0;if(Fa&1){dd=249;break d}h=k[eg>>2]|0;do if(!h){h=k[Qf>>2]|0;if(!(i[h+76>>0]|0)){l=(k[bg>>2]|0)+60|0;m=k[(k[l>>2]|0)+20>>2]|0;y=0;Yh=qa(332,84)|0;Fa=y;y=0;if(Fa&1){dd=255;break d}u=Ka;s=h+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;oa(464,jb|0,h+60|0);Fa=y;y=0;if(Fa&1){dd=305;break d}k[xf>>2]=k[jb>>2];y=0;oa(452,yf|0,(k[Qf>>2]|0)+64|0);Fa=y;y=0;if(Fa&1){dd=306;break d}u=ib;s=Ka;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;na(366,Yh|0);Fa=y;y=0;if(Fa&1){$b=1;dd=307;break d}u=Yh+12|0;s=ib;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));i[Yh+52>>0]=0;i[Yh+53>>0]=0;i[Yh+54>>0]=0;k[Yh+56>>2]=0;k[Yh>>2]=8284;kc=Yh+60|0;y=0;oa(464,kc|0,xf|0);Fa=y;y=0;if(Fa&1){dd=300;break d}y=0;oa(452,Yh+64|0,yf|0);Fa=y;y=0;if(Fa&1){dd=301;break d}i[Yh+76>>0]=0;i[Yh+77>>0]=0;k[Yh+80>>2]=0;y=0;oa(482,Ja|0,Yh|0);Fa=y;y=0;if(Fa&1){$b=0;dd=307;break d}y=0;oa(m|0,l|0,Ja|0);Fa=y;y=0;if(Fa&1){dd=309;break d}EO(Ja);$9(yf);EO(xf);h=0;break}y=0;oa(464,lb|0,h+60|0);Fa=y;y=0;if(Fa&1){dd=255;break d}h=k[lb>>2]|0;k[Wb>>2]=h;if(!h)h=0;else h=pw(h,40,216,0)|0;y=0;oa(482,fg|0,h|0);Fa=y;y=0;if(Fa&1){dd=261;break d}EO(Wb);h=k[fg>>2]|0;do if(h|0){k[(k[bg>>2]|0)+80>>2]=k[h+80>>2];y=0;p=qa(k[(k[h>>2]|0)+116>>2]|0,h|0)|0;Fa=y;y=0;if(Fa&1){dd=266;break d}if(!p)break;else o=0;do{h=(k[fg>>2]|0)+60|0;y=0;h=Ha(k[(k[h>>2]|0)+16>>2]|0,h|0,o|0)|0;Fa=y;y=0;if(Fa&1){dd=281;break d}y=0;oa(464,gg|0,h|0);Fa=y;y=0;if(Fa&1){dd=281;break d}h=(k[bg>>2]|0)+60|0;l=k[(k[h>>2]|0)+20>>2]|0;y=0;Xh=qa(332,84)|0;Fa=y;y=0;if(Fa&1){dd=282;break d}m=k[gg>>2]|0;u=Yb;s=m+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;oa(482,hg|0,m|0);Fa=y;y=0;if(Fa&1){dd=283;break d}k[wf>>2]=0;k[wf+4>>2]=0;k[wf+8>>2]=0;y=0;Na(75,wf|0,82159,0);Fa=y;y=0;if(Fa&1){dd=284;break d}u=kb;s=Yb;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;na(366,Xh|0);Fa=y;y=0;if(Fa&1){ac=1;dd=285;break d}u=Xh+12|0;s=kb;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));i[Xh+52>>0]=0;i[Xh+53>>0]=0;i[Xh+54>>0]=0;k[Xh+56>>2]=0;k[Xh>>2]=8284;jc=Xh+60|0;y=0;oa(464,jc|0,hg|0);Fa=y;y=0;if(Fa&1){dd=276;break d}y=0;oa(452,Xh+64|0,wf|0);Fa=y;y=0;if(Fa&1){dd=277;break d}i[Xh+76>>0]=0;i[Xh+77>>0]=0;k[Xh+80>>2]=0;y=0;oa(482,Xb|0,Xh|0);Fa=y;y=0;if(Fa&1){ac=0;dd=285;break d}y=0;oa(l|0,h|0,Xb|0);Fa=y;y=0;if(Fa&1){dd=287;break d}EO(Xb);$9(wf);EO(hg);EO(gg);o=o+1|0}while(o>>>0<p>>>0)}while(0);EO(fg);h=15}else{l=(k[bg>>2]|0)+60|0;m=k[(k[l>>2]|0)+20>>2]|0;y=0;oa(482,Vb|0,h|0);Fa=y;y=0;if(Fa&1){dd=255;break d}y=0;oa(m|0,l|0,Vb|0);Fa=y;y=0;if(Fa&1){dd=256;break d}EO(Vb);h=0}while(0);EO(eg);EO(dg);Fa=h}EO(cg);if((Fa|0)==15){h=q;break}else h=q}y=0;l=qa(354,f|0)|0;u=y;y=0;if(u&1){dd=238;break d}y=0;oa(452,oi|0,(k[Rf>>2]|0)+52|0);u=y;y=0;if(u&1){dd=323;break d}k[db>>2]=oi;y=0;ya(17,hb|0,l|0,oi|0,80082,db|0,eb|0);u=y;y=0;if(u&1){dd=324;break d}l=k[hb>>2]|0;y=0;oa(482,mi|0,k[bg>>2]|0);u=y;y=0;if(u&1){dd=325;break d}y=0;Ha(966,l+28|0,mi|0)|0;u=y;y=0;if(u&1){dd=326;break d}EO(mi);$9(oi);EO(bg)}while(0);e=e+1|0;l=9}while(0);EO(Rf)}else{l=k[Qf>>2]|0;if(!(i[l+76>>0]|0)){dd=49;break}y=0;oa(464,Hb|0,l+60|0);u=y;y=0;if(u&1){dd=42;break}l=k[Hb>>2]|0;k[Jb>>2]=l;if(!l)l=0;else l=pw(l,40,216,0)|0;y=0;oa(482,Ib|0,l|0);u=y;y=0;if(u&1){dd=44;break}EO(Jb);l=k[Ib>>2]|0;if(!l)l=0;else{u=(k[l+68>>2]|0)==(k[l+64>>2]|0);l=u?8:0;h=(u&1)+h|0}EO(Ib);if(!l){dd=49;break}}EO(Qf);switch(l|0){case 9:break c;case 8:case 0:break;default:{dd=686;break d}}if(h>>>0>=Ea>>>0)break c}f:switch(dd|0){case 41:{p=pb()|0;break b}case 42:{vf=pb()|0;dd=43;break}case 44:{Ed=pb()|0;EO(Jb);break}case 49:{n=$c+64|0;e=$c+8|0;k[e>>2]=14400;m=$c+12|0;k[$c>>2]=14440;k[n>>2]=14460;k[$c+4>>2]=0;y=0;oa(528,$c+64|0,m|0);Dd=y;y=0;if(Dd&1)e=pb()|0;else{k[$c+136>>2]=0;k[$c+140>>2]=-1;k[$c>>2]=14380;k[n>>2]=14420;k[e>>2]=14400;y=0;na(373,m|0);Dd=y;y=0;do if(Dd&1)e=pb()|0;else{k[m>>2]=14240;l=$c+44|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;k[$c+60>>2]=24;k[oi>>2]=0;k[oi+4>>2]=0;k[oi+8>>2]=0;y=0;oa(529,m|0,oi|0);Dd=y;y=0;if(Dd&1){e=pb()|0;$9(oi);$9(l);nba(m);break}$9(oi);h=$c+8|0;y=0;e=ta(54,h|0,38612,27)|0;Ed=y;y=0;do if(Ed&1)dd=68;else{y=0;e=Ha(972,e|0,Ea|0)|0;Ed=y;y=0;if(Ed&1)dd=68;else{y=0;e=ta(54,e|0,38640,5)|0;Ed=y;y=0;if(Ed&1)dd=68;else{y=0;e=Ha(972,e|0,Ga|0)|0;Ed=y;y=0;if(Ed&1)dd=68;else{y=0;ta(54,e|0,44127,1)|0;Ed=y;y=0;if(Ed&1)dd=68;else{y=0;e=ta(54,h|0,47072,6)|0;Ed=y;y=0;if(Ed&1){dd=68;break}Ed=i[Mc>>0]|0;Dd=Ed<<24>>24<0;y=0;e=ta(54,e|0,(Dd?k[b>>2]|0:b)|0,(Dd?k[Nc>>2]|0:Ed&255)|0)|0;Ed=y;y=0;if(Ed&1){dd=68;break}y=0;ta(54,e|0,47079,1)|0;Ed=y;y=0;if(Ed&1){dd=68;break}y=0;oa(530,Oc|0,m|0);Ed=y;y=0;if(Ed&1){dd=68;break}y=0;u=oi;s=(k[d>>2]|0)+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));oa(458,Oc|0,oi|0);uf=y;y=0;if(uf&1){Pc=pb()|0;$9(Oc);break}$9(Oc);k[$c>>2]=14380;k[n>>2]=14420;k[h>>2]=14400;k[m>>2]=14240;$9(l);nba(m);zka($c,14472);dja(n);EO(Qf);oi=k[ni>>2]|0;fB(qi,oi);$9(pi);r=rd;return}}}}}while(0);if((dd|0)==68)Pc=pb()|0;k[$c>>2]=14380;k[n>>2]=14420;k[h>>2]=14400;k[m>>2]=14240;$9(l);nba(m);zka($c,14472);dja(n);Ed=Pc;break f}while(0);zka($c,14472)}dja(n);vf=e;dd=43;break}case 78:{fi=pb()|0;dd=79;break}case 80:{Ph=pb()|0;EO(Kb);dd=617;break}case 86:{n=pb()|0;l=N;m=Sh+68|0;e=k[Jc>>2]|0;if(e|0){h=k[m>>2]|0;if((h|0)!=(e|0)){do{Fd=h+-4|0;k[m>>2]=Fd;EO(Fd);h=k[m>>2]|0}while((h|0)!=(e|0));e=k[Jc>>2]|0}zqa(e)}Fd=n;dd=98;break}case 95:{li=pb()|0;dd=96;break}case 97:{Fd=pb()|0;dd=98;break}case 99:{Ag=pb()|0;dd=150;break}case 103:{Ag=pb()|0;dd=150;break}case 104:{Eh=pb()|0;dd=134;break}case 111:{uh=pb()|0;dd=133;break}case 112:{uh=pb()|0;EO(Mb);dd=133;break}case 120:{Ng=pb()|0;dd=122;break}case 121:{Ng=pb()|0;EO(hc);dd=122;break}case 125:{rh=pb()|0;dd=131;break}case 126:{rh=pb()|0;EO(Vf);dd=131;break}case 127:{di=pb()|0;mg=cc;dd=128;break}case 129:{Vg=pb()|0;EO(Nb);zg=0;dd=130;break}case 140:{ug=pb()|0;dd=146;break}case 141:{tg=pb()|0;dd=145;break}case 142:{Qh=pb()|0;dd=144;break}case 143:{Qh=pb()|0;EO(mi);dd=144;break}case 147:{e=gb(8)|0;y=0;oa(507,e|0,38646);uf=y;y=0;if(uf&1){Ag=pb()|0;fb(e|0);dd=150;break}else{y=0;Na(76,e|0,4528,353);y=0;li=pb()|0;dd=96;break}}case 155:{n=pb()|0;l=N;m=Uh+68|0;e=k[Kc>>2]|0;if(e|0){h=k[m>>2]|0;if((h|0)!=(e|0)){do{Gd=h+-4|0;k[m>>2]=Gd;EO(Gd);h=k[m>>2]|0}while((h|0)!=(e|0));e=k[Kc>>2]|0}zqa(e)}Gd=n;dd=170;break}case 169:{Gd=pb()|0;dd=170;break}case 171:{Ph=pb()|0;dd=617;break}case 172:{Dg=pb()|0;dd=178;break}case 173:{Cg=pb()|0;dd=177;break}case 174:{Bg=pb()|0;dd=176;break}case 175:{Bg=pb()|0;EO(mi);dd=176;break}case 179:{Ph=pb()|0;EO(Qb);dd=617;break}case 187:{Lg=pb()|0;dd=219;break}case 188:{Eg=pb()|0;dd=206;break}case 200:{Og=pb()|0;dd=202;break}case 201:{Og=pb()|0;EO(ic);dd=202;break}case 205:{Eg=pb()|0;$9(oi);dd=206;break}case 207:{Ig=pb()|0;dd=217;break}case 208:{Hg=pb()|0;dd=216;break}case 209:{Hg=pb()|0;EO($f);dd=216;break}case 210:{Gg=pb()|0;$9(ag);Jg=1;dd=215;break}case 211:{ei=pb()|0;lg=bc;dd=212;break}case 213:{Fg=pb()|0;EO(Rb);yg=0;dd=214;break}case 223:{n=pb()|0;l=N;m=Wh+68|0;e=k[Lc>>2]|0;if(e|0){h=k[m>>2]|0;if((h|0)!=(e|0)){do{Hd=h+-4|0;k[m>>2]=Hd;EO(Hd);h=k[m>>2]|0}while((h|0)!=(e|0));e=k[Lc>>2]|0}zqa(e)}Hd=n;dd=236;break}case 235:{Hd=pb()|0;dd=236;break}case 237:{ki=pb()|0;dd=239;break}case 238:{ki=pb()|0;dd=239;break}case 240:{ch=pb()|0;EO(Ub);dd=330;break}case 245:{_g=pb()|0;dd=316;break}case 249:{Zg=pb()|0;dd=315;break}case 255:{Yg=pb()|0;dd=314;break}case 256:{Yg=pb()|0;EO(Vb);dd=314;break}case 261:{Yg=pb()|0;EO(Wb);dd=314;break}case 266:{Ug=pb()|0;dd=291;break}case 276:{Pg=pb()|0;dd=278;break}case 277:{Pg=pb()|0;EO(jc);dd=278;break}case 281:{Ug=pb()|0;dd=291;break}case 282:{Tg=pb()|0;dd=290;break}case 283:{Sg=pb()|0;dd=289;break}case 284:{Sg=pb()|0;EO(hg);dd=289;break}case 285:{gi=pb()|0;kg=ac;dd=286;break}case 287:{Mg=pb()|0;EO(Xb);xg=0;dd=288;break}case 300:{Qg=pb()|0;dd=302;break}case 301:{Qg=pb()|0;EO(kc);dd=302;break}case 305:{Xg=pb()|0;dd=311;break}case 306:{Xg=pb()|0;EO(xf);dd=311;break}case 307:{hi=pb()|0;jg=$b;dd=308;break}case 309:{Wg=pb()|0;EO(Ja);wg=0;dd=310;break}case 323:{bh=pb()|0;dd=329;break}case 324:{ah=pb()|0;dd=328;break}case 325:{$g=pb()|0;dd=327;break}case 326:{$g=pb()|0;EO(mi);dd=327;break}case 336:{Ph=pb()|0;EO(La);dd=617;break}case 339:{jh=pb()|0;dd=412;break}case 345:{_h=pb()|0;$9(oi);$9(nc);nba(mc);dd=348;break}case 346:{og=pb()|0;dd=362;break}case 347:{_h=pb()|0;dd=348;break}case 363:{dh=pb()|0;dd=366;break}case 364:{dh=pb()|0;$9(Ma);dd=366;break}case 371:{eh=pb()|0;dd=388;break}case 382:{Rg=pb()|0;dd=384;break}case 383:{Rg=pb()|0;EO(fc);dd=384;break}case 387:{eh=pb()|0;EO(oi);dd=388;break}case 389:{hh=pb()|0;dd=397;break}case 390:{gh=pb()|0;dd=396;break}case 391:{gh=pb()|0;EO(Cf);dd=396;break}case 392:{ii=pb()|0;ig=_b;dd=393;break}case 394:{fh=pb()|0;EO(oi);vg=0;dd=395;break}case 407:{ih=pb()|0;dd=411;break}case 417:{Ph=pb()|0;EO(Qa);dd=617;break}case 424:{th=pb()|0;dd=469;break}case 425:{lh=pb()|0;dd=447;break}case 433:{ai=pb()|0;$9(oi);$9(Hc);nba(Gc);dd=436;break}case 434:{qg=pb()|0;dd=437;break}case 435:{ai=pb()|0;dd=436;break}case 444:{kh=pb()|0;dd=446;break}case 445:{kh=pb()|0;$9(oi);dd=446;break}case 448:{ji=pb()|0;dd=449;break}case 450:{mh=pb()|0;dd=452;break}case 451:{mh=pb()|0;$9(Sa);dd=452;break}case 460:{ph=pb()|0;dd=466;break}case 461:{oh=pb()|0;dd=465;break}case 462:{nh=pb()|0;dd=464;break}case 463:{nh=pb()|0;EO(oi);dd=464;break}case 479:{bi=pb()|0;$9(oi);$9(rc);nba(qc);dd=482;break}case 480:{rg=pb()|0;dd=483;break}case 481:{bi=pb()|0;dd=482;break}case 492:{vh=pb()|0;dd=494;break}case 493:{vh=pb()|0;$9(oi);dd=494;break}case 495:{xh=pb()|0;dd=500;break}case 496:{wh=pb()|0;dd=498;break}case 497:{wh=pb()|0;$9(oi);dd=498;break}case 499:{xh=pb()|0;$9(Va);dd=500;break}case 508:{Bh=pb()|0;dd=516;break}case 509:{Ah=pb()|0;dd=515;break}case 510:{zh=pb()|0;dd=514;break}case 511:{yh=pb()|0;dd=513;break}case 512:{yh=pb()|0;EO(mi);dd=513;break}case 522:{ci=pb()|0;$9(oi);$9(vc);nba(uc);dd=525;break}case 523:{sg=pb()|0;dd=526;break}case 524:{ci=pb()|0;dd=525;break}case 534:{Ph=pb()|0;dd=617;break}case 535:{Dh=pb()|0;dd=540;break}case 536:{Ch=pb()|0;dd=538;break}case 537:{Ch=pb()|0;$9(oi);dd=538;break}case 539:{Dh=pb()|0;$9(Wa);dd=540;break}case 547:{$h=pb()|0;$9(oi);$9(Dc);nba(Cc);dd=550;break}case 548:{pg=pb()|0;dd=551;break}case 549:{$h=pb()|0;dd=550;break}case 561:{Fh=pb()|0;dd=563;break}case 562:{Fh=pb()|0;$9(Tb);dd=563;break}case 564:{Hh=pb()|0;dd=569;break}case 565:{Gh=pb()|0;dd=567;break}case 566:{Gh=pb()|0;$9(oi);dd=567;break}case 568:{Hh=pb()|0;$9(Xa);dd=569;break}case 576:{Zh=pb()|0;$9(oi);$9(zc);nba(yc);dd=579;break}case 577:{ng=pb()|0;dd=580;break}case 578:{Zh=pb()|0;dd=579;break}case 589:{Ih=pb()|0;dd=591;break}case 590:{Ih=pb()|0;$9(oi);dd=591;break}case 592:{Kh=pb()|0;dd=597;break}case 593:{Jh=pb()|0;dd=595;break}case 594:{Jh=pb()|0;$9(oi);dd=595;break}case 596:{Kh=pb()|0;$9(Za);dd=597;break}case 605:{Oh=pb()|0;dd=613;break}case 606:{Nh=pb()|0;dd=612;break}case 607:{Mh=pb()|0;dd=611;break}case 608:{Lh=pb()|0;dd=610;break}case 609:{Lh=pb()|0;EO(mi);dd=610;break}case 686:{oi=k[ni>>2]|0;fB(qi,oi);$9(pi);r=rd;return}}switch(dd|0){case 43:{Ed=vf;break}case 96:{Ag=li;dd=150;break}case 98:{zqa(Sh);Ag=Fd;dd=150;break}case 122:{mg=1;di=Ng;dd=128;break}case 144:{tg=Qh;dd=145;break}case 170:{zqa(Uh);Ph=Gd;dd=617;break}case 176:{Cg=Bg;dd=177;break}case 202:{lg=1;ei=Og;dd=212;break}case 206:{Kg=Eg;dd=218;break}case 236:{zqa(Wh);Ph=Hd;dd=617;break}case 239:{ch=ki;dd=330;break}case 278:{kg=1;gi=Pg;dd=286;break}case 302:{jg=1;hi=Qg;dd=308;break}case 327:{ah=$g;dd=328;break}case 348:{zka(Af,14472);og=_h;dd=362;break}case 366:{k[Af>>2]=14380;k[lc>>2]=14420;k[oc>>2]=14400;k[mc>>2]=14240;$9(nc);nba(mc);zka(Af,14472);dja(lc);jh=dh;dd=412;break}case 384:{ig=1;ii=Rg;dd=393;break}case 388:{ih=eh;dd=411;break}case 436:{zka(Hf,14472);qg=ai;dd=437;break}case 446:{$9(mi);lh=kh;dd=447;break}case 452:{k[Hf>>2]=14380;k[Fc>>2]=14420;k[Ic>>2]=14400;k[Gc>>2]=14240;$9(Hc);nba(Gc);zka(Hf,14472);dja(Fc);qh=mh;dd=467;break}case 464:{EO(If);oh=nh;dd=465;break}case 482:{zka(Kf,14472);rg=bi;dd=483;break}case 494:{Ph=vh;dd=617;break}case 498:{xh=wh;dd=500;break}case 513:{EO(Lf);zh=yh;dd=514;break}case 525:{zka(Mf,14472);sg=ci;dd=526;break}case 538:{Dh=Ch;dd=540;break}case 550:{zka(Nf,14472);pg=$h;dd=551;break}case 563:{Ph=Fh;dd=617;break}case 567:{Hh=Gh;dd=569;break}case 579:{zka(Of,14472);ng=Zh;dd=580;break}case 591:{Ph=Ih;dd=617;break}case 595:{Kh=Jh;dd=597;break}case 610:{EO(Pf);Mh=Lh;dd=611;break}}switch(dd|0){case 128:{zg=mg;Vg=di;dd=130;break}case 145:{$9(oi);ug=tg;dd=146;break}case 177:{$9(oi);Dg=Cg;dd=178;break}case 212:{yg=lg;Fg=ei;dd=214;break}case 286:{xg=kg;Mg=gi;dd=288;break}case 308:{wg=jg;Wg=hi;dd=310;break}case 328:{$9(oi);bh=ah;dd=329;break}case 362:{dja(lc);jh=og;dd=412;break}case 393:{vg=ig;fh=ii;dd=395;break}case 437:{dja(Fc);ji=qg;dd=449;break}case 447:{sh=lh;dd=468;break}case 465:{EO(Jf);ph=oh;dd=466;break}case 483:{dja(pc);fi=rg;dd=79;break}case 500:{k[Kf>>2]=14380;k[pc>>2]=14420;k[sc>>2]=14400;k[qc>>2]=14240;$9(rc);nba(qc);zka(Kf,14472);dja(pc);Ph=xh;dd=617;break}case 514:{Ah=zh;dd=515;break}case 526:{dja(tc);fi=sg;dd=79;break}case 540:{k[Mf>>2]=14380;k[tc>>2]=14420;k[wc>>2]=14400;k[uc>>2]=14240;$9(vc);nba(uc);zka(Mf,14472);dja(tc);Ph=Dh;dd=617;break}case 551:{dja(Bc);fi=pg;dd=79;break}case 569:{k[Nf>>2]=14380;k[Bc>>2]=14420;k[Ec>>2]=14400;k[Cc>>2]=14240;$9(Dc);nba(Cc);zka(Nf,14472);dja(Bc);Ph=Hh;dd=617;break}case 580:{dja(xc);fi=ng;dd=79;break}case 597:{k[Of>>2]=14380;k[xc>>2]=14420;k[Ac>>2]=14400;k[yc>>2]=14240;$9(zc);nba(yc);zka(Of,14472);dja(xc);Ph=Kh;dd=617;break}case 611:{Nh=Mh;dd=612;break}}switch(dd|0){case 79:{Ph=fi;dd=617;break}case 130:{$9(Wf);EO(Vf);if(zg){rh=Vg;dd=131}else{uh=Vg;dd=133}break}case 146:{Ag=ug;dd=150;break}case 178:{Ph=Dg;dd=617;break}case 214:{$9(ag);Gg=Fg;Jg=yg;dd=215;break}case 288:{$9(wf);EO(hg);if(xg){Sg=Mg;dd=289}else{Tg=Mg;dd=290}break}case 310:{$9(yf);EO(xf);if(wg){Xg=Wg;dd=311}else{Yg=Wg;dd=314}break}case 329:{ch=bh;dd=330;break}case 395:{$9(Df);EO(Cf);if(vg){gh=fh;dd=396}else{hh=fh;dd=397}break}case 449:{qh=ji;dd=467;break}case 466:{qh=ph;dd=467;break}case 515:{$9(oi);Bh=Ah;dd=516;break}case 612:{$9(oi);Oh=Nh;dd=613;break}}if((dd|0)==131){zqa(Th);uh=rh;dd=133}else if((dd|0)==215){EO(_f);EO($f);if(Jg){Hg=Gg;dd=216}else{Ig=Gg;dd=217}}else if((dd|0)==289){zqa(Xh);Tg=Sg;dd=290}else if((dd|0)==311){zqa(Yh);Yg=Xg;dd=314}else if((dd|0)==396){zqa(Rh);hh=gh;dd=397}else if((dd|0)==467){$9(Gf);sh=qh;dd=468}else if((dd|0)==516){Ph=Bh;dd=617}else if((dd|0)==613){Ph=Oh;dd=617}if((dd|0)==133){EO(Uf);Eh=uh;dd=134}else if((dd|0)==216){zqa(Vh);Ig=Hg;dd=217}else if((dd|0)==290){EO(gg);Ug=Tg;dd=291}else if((dd|0)==397){ih=hh;dd=411}else if((dd|0)==468){EO(Ff);th=sh;dd=469}if((dd|0)==134){EO(Tf);Ag=Eh;dd=150}else if((dd|0)==217){$9(Zf);Kg=Ig;dd=218}else if((dd|0)==291){EO(fg);Yg=Ug;dd=314}else if((dd|0)==411){EO(Bf);jh=ih;dd=412}else if((dd|0)==469){EO(Ef);Ph=th;dd=617}if((dd|0)==150){EO(Sf);Ph=Ag;dd=617}else if((dd|0)==218){EO(Yf);Lg=Kg;dd=219}else if((dd|0)==314){EO(eg);Zg=Yg;dd=315}else if((dd|0)==412){EO(zf);Ph=jh;dd=617}if((dd|0)==219){EO(Xf);Ph=Lg;dd=617}else if((dd|0)==315){EO(dg);_g=Zg;dd=316}if((dd|0)==316){EO(cg);ch=_g;dd=330}if((dd|0)==330){EO(bg);Ph=ch;dd=617}if((dd|0)==617){EO(Rf);Ed=Ph}EO(Qf);p=Ed;break b}while(0);if(e>>>0>=Ga>>>0){oi=k[ni>>2]|0;fB(qi,oi);$9(pi);r=rd;return}g:while(1){h=(k[c>>2]|0)+52|0;y=0;h=Ha(k[(k[h>>2]|0)+16>>2]|0,h|0,e|0)|0;li=y;y=0;if(li&1){dd=640;break}y=0;oa(464,sd|0,h|0);li=y;y=0;if(li&1){dd=640;break}y=0;oa(452,oi|0,(k[sd>>2]|0)+52|0);li=y;y=0;if(li&1){dd=641;break}y=0;h=Ha(990,f|0,oi|0)|0;li=y;y=0;if(li&1){dd=642;break}$9(oi);do if(!h){h=k[sd>>2]|0;if(i[h+68>>0]|0){y=0;h=qa(354,f|0)|0;li=y;y=0;if(li&1){dd=644;break g}y=0;oa(452,oi|0,(k[sd>>2]|0)+52|0);li=y;y=0;if(li&1){dd=645;break g}k[Sc>>2]=oi;y=0;ya(17,Uc|0,h|0,oi|0,80082,Sc|0,Tc|0);li=y;y=0;if(li&1){dd=646;break g}m=k[Uc>>2]|0;y=0;Dd=qa(332,88)|0;li=y;y=0;if(li&1){dd=647;break g}u=Vc;s=(k[sd>>2]|0)+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;na(366,Dd|0);li=y;y=0;if(li&1){dd=648;break g}u=Dd+12|0;s=Vc;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));i[Dd+52>>0]=0;i[Dd+53>>0]=0;i[Dd+54>>0]=0;h=Dd+56|0;k[h>>2]=0;k[Dd>>2]=7760;l=Dd+60|0;k[l>>2]=7720;id=Dd+64|0;k[id>>2]=0;k[id+4>>2]=0;k[id+8>>2]=0;k[id+12>>2]=0;y=0;oa(518,id|0,0);li=y;y=0;if(li&1){dd=631;break g}k[Dd>>2]=7552;k[l>>2]=7680;k[Dd+80>>2]=0;i[Dd+84>>0]=1;i[Dd+85>>0]=0;k[h>>2]=5;y=0;oa(482,mi|0,Dd|0);li=y;y=0;if(li&1){dd=647;break g}y=0;Ha(966,m+28|0,mi|0)|0;li=y;y=0;if(li&1){dd=650;break g}EO(mi);$9(oi);break}y=0;oa(464,Wc|0,h+64|0);li=y;y=0;if(li&1){dd=644;break g}li=k[Wc>>2]|0;k[Qc>>2]=li;EO(Qc);if(!li){dd=673;break g}y=0;oa(464,Xc|0,(k[sd>>2]|0)+64|0);li=y;y=0;if(li&1){dd=644;break g}l=k[Xc>>2]|0;k[Rc>>2]=l;y=0;l=Ha(k[(k[l>>2]|0)+52>>2]|0,l|0,g|0)|0;li=y;y=0;if(li&1){dd=664;break g}EO(Rc);y=0;h=qa(354,f|0)|0;li=y;y=0;if(li&1){dd=665;break g}y=0;oa(452,oi|0,(k[sd>>2]|0)+52|0);li=y;y=0;if(li&1){dd=666;break g}k[Yc>>2]=oi;y=0;ya(17,_c|0,h|0,oi|0,80082,Yc|0,Zc|0);li=y;y=0;if(li&1){dd=667;break g}h=k[_c>>2]|0;y=0;oa(482,mi|0,l|0);li=y;y=0;if(li&1){dd=668;break g}y=0;Ha(966,h+28|0,mi|0)|0;li=y;y=0;if(li&1){dd=669;break g}EO(mi);$9(oi)}while(0);EO(sd);e=e+1|0;if(e>>>0>=Ga>>>0){dd=686;break}}h:switch(dd|0){case 631:{n=pb()|0;l=N;m=Dd+68|0;e=k[id>>2]|0;if(e|0){h=k[m>>2]|0;if((h|0)!=(e|0)){do{mi=h+-4|0;k[m>>2]=mi;EO(mi);h=k[m>>2]|0}while((h|0)!=(e|0));e=k[id>>2]|0}zqa(e)}dd=649;break}case 640:{p=pb()|0;break b}case 641:{wd=pb()|0;dd=643;break}case 642:{wd=pb()|0;$9(oi);dd=643;break}case 644:{qd=pb()|0;break}case 645:{zd=pb()|0;dd=653;break}case 646:{yd=pb()|0;dd=652;break}case 647:{xd=pb()|0;dd=651;break}case 648:{n=pb()|0;dd=649;break}case 650:{xd=pb()|0;EO(mi);dd=651;break}case 664:{qd=pb()|0;EO(Rc);break}case 665:{qd=pb()|0;break}case 666:{Cd=pb()|0;dd=672;break}case 667:{Bd=pb()|0;dd=671;break}case 668:{Ad=pb()|0;dd=670;break}case 669:{Ad=pb()|0;EO(mi);dd=670;break}case 673:{l=gb(112)|0;u=ad;s=(k[d>>2]|0)+12|0;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));y=0;oa(452,ed|0,b|0);mi=y;y=0;do if(mi&1)e=pb()|0;else{y=0;oa(452,fd|0,(k[sd>>2]|0)+52|0);mi=y;y=0;if(mi&1){e=pb()|0;$9(ed);break}y=0;oa(452,bd|0,a|0);mi=y;y=0;if(mi&1){e=pb()|0;h=1}else{y=0;u=oi;s=ad;t=u+40|0;do{k[u>>2]=k[s>>2];u=u+4|0;s=s+4|0}while((u|0)<(t|0));ma(8,l|0,oi|0,ed|0,fd|0,bd|0);mi=y;y=0;if(mi&1)e=1;else{y=0;Na(76,l|0,1768,206);y=0;e=0}mi=pb()|0;$9(bd);h=e;e=mi}$9(fd);$9(ed);if(!h){qd=e;break h}}while(0);fb(l|0);qd=e;break}case 686:{oi=k[ni>>2]|0;fB(qi,oi);$9(pi);r=rd;return}}if((dd|0)==643)qd=wd;else if((dd|0)==649){zqa(Dd);xd=n;dd=651}else if((dd|0)==670){Bd=Ad;dd=671}if((dd|0)==651){yd=xd;dd=652}else if((dd|0)==671){$9(oi);Cd=Bd;dd=672}if((dd|0)==652){$9(oi);zd=yd;dd=653}else if((dd|0)==672)qd=Cd;if((dd|0)==653)qd=zd;EO(sd);p=qd}while(0);fB(qi,k[ni>>2]|0);$9(pi);qi=p;sb(qi|0)}function Vc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,ma=0,ra=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,qb=0,rb=0,ub=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0;ac=0;Rb=r;r=r+1584|0;Sb=Rb+544|0;Lb=Rb+504|0;Kb=Rb+1544|0;nb=Rb+1536|0;Ea=Rb+1528|0;V=Rb+1524|0;O=Rb+1520|0;H=Rb+1516|0;C=Rb+1512|0;Ja=Rb+464|0;La=Rb+1508|0;w=Rb+1504|0;$a=Rb+424|0;ab=Rb+384|0;x=Rb+1500|0;mb=Rb+344|0;m=Rb+1496|0;Ta=Rb+304|0;n=Rb+1492|0;z=Rb+1488|0;v=Rb+1484|0;p=Rb+1480|0;o=Rb+1476|0;Ua=Rb+264|0;jb=Rb+224|0;aa=Rb+1472|0;ba=Rb+1468|0;X=Rb+184|0;Y=Rb+1464|0;Q=Rb+1460|0;q=Rb+144|0;h=Rb+1452|0;R=Rb+1448|0;S=Rb+1400|0;J=Rb+104|0;K=Rb+1392|0;L=Rb+1384|0;j=Rb+64|0;d=Rb+1368|0;bc=Rb+1360|0;cc=Rb+1356|0;g=Rb+1456|0;ra=Rb+1344|0;M=Rb+1408|0;ea=Rb+1396|0;fa=Rb+1388|0;_=Rb+1380|0;T=Rb+1376|0;U=Rb+1372|0;ka=Rb+1364|0;ma=Rb+1352|0;l=Rb+1348|0;va=Rb+1300|0;Z=Rb+1304|0;ia=Rb+1296|0;ga=Rb+1292|0;ja=Rb+1280|0;ca=Rb+1276|0;da=Rb+1272|0;ha=Rb+1268|0;ua=Rb+1260|0;s=Rb+1256|0;t=Rb+1248|0;u=Rb+1244|0;A=Rb+1232|0;B=Rb+1224|0;D=Rb+1220|0;$b=Rb+1288|0;_b=Rb+1284|0;Zb=Rb+1264|0;E=Rb+1192|0;F=Rb+1176|0;Yb=Rb+1252|0;Xb=Rb+1240|0;Wb=Rb+1236|0;I=Rb+1168|0;Vb=Rb+1228|0;P=Rb+1152|0;Ub=Rb+1216|0;W=Rb+1148|0;Tb=Rb+1212|0;$=Rb+1132|0;za=Rb+1200|0;xa=Rb+1196|0;wa=Rb+1088|0;ya=Rb+1072|0;Da=Rb+1180|0;Ba=Rb+1172|0;Aa=Rb+1032|0;Ca=Rb+1016|0;wb=Rb+1164|0;qb=Rb+1160|0;Fa=Rb+1156|0;Va=Rb+1136|0;Ga=Rb+56|0;Ia=Rb+48|0;Ka=Rb+968|0;Ma=Rb+956|0;Oa=Rb+952|0;bb=Rb+912|0;eb=Rb+908|0;Ya=Rb+904|0;Za=Rb+864|0;hb=Rb+860|0;_a=Rb+856|0;kb=Rb+816|0;Hb=Rb+808|0;Fb=Rb+804|0;Db=Rb+792|0;Bb=Rb+788|0;f=Rb+784|0;Pa=Rb+744|0;cb=Rb+736|0;Wa=Rb+732|0;Qa=Rb+720|0;Ra=Rb+680|0;db=Rb+672|0;Xa=Rb+668|0;Sa=Rb+656|0;ib=Rb+616|0;Gb=Rb+608|0;Eb=Rb+604|0;Cb=Rb+592|0;e=Rb+588|0;rb=Rb+584|0;Pb=Rb+1128|0;lb=Rb+40|0;ub=Rb+32|0;xb=Rb+24|0;yb=Rb+16|0;Jb=Rb+1012|0;Ib=Rb+1008|0;zb=Rb+8|0;Ab=Rb;_V(bc,0);y=0;oa(482,cc|0,b|0);Mb=y;y=0;if(Mb&1){cc=pb()|0;EO(bc);sb(cc|0)}G=k[cc>>2]|0;Mb=k[G+60>>2]|0;y=0;oa(464,d|0,G+68|0);G=y;y=0;a:do if(G&1)ac=6;else{b=k[d>>2]|0;k[g>>2]=b;b:do if(!b)EO(g);else{G=pw(b,40,400,0)|0;EO(g);if(G|0){y=0;b=qa(k[(k[G>>2]|0)+100>>2]|0,G|0)|0;g=y;y=0;c:do if(!(g&1)){if(b)break b;y=0;b=qa(k[(k[G>>2]|0)+108>>2]|0,G|0)|0;g=y;y=0;if(!(g&1)){if(b)break b;y=0;h=qa(332,84)|0;$b=y;y=0;d:do if($b&1)ac=44;else{l=j;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,h|0);$b=y;y=0;do if($b&1)c=pb()|0;else{l=h+12|0;m=j;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;c=h+56|0;k[h>>2]=9504;k[c>>2]=4;b=h+60|0;k[b>>2]=7720;f=h+64|0;g=h+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,0);$b=y;y=0;if($b&1){c=pb()|0;e=N;b=k[f>>2]|0;if(b|0){d=k[g>>2]|0;if((d|0)!=(b|0)){do{$b=d+-4|0;k[g>>2]=$b;EO($b);d=k[g>>2]|0}while((d|0)!=(b|0));b=k[f>>2]|0}zqa(b)}break}k[h>>2]=9328;k[b>>2]=9464;k[h+80>>2]=0;k[c>>2]=4;y=0;oa(482,Sb|0,h|0);$b=y;y=0;if($b&1){ac=44;break d}y=0;Ha(966,bc|0,Sb|0)|0;$b=y;y=0;if($b&1){c=pb()|0;EO(Sb);break d}EO(Sb);y=0;d=qa(332,80)|0;$b=y;y=0;if($b&1)break c;c=k[cc>>2]|0;l=M;m=c+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));b=c+60|0;c=k[b>>2]|0;b=k[b+4>>2]|0;g=G+60|0;h=G+68|0;y=0;oa(464,L|0,(k[h>>2]|0)+-4|0);$b=y;y=0;do if($b&1)c=pb()|0;else{$b=k[L>>2]|0;k[fa>>2]=$b;y=0;oa(482,ea|0,$b|0);$b=y;y=0;if($b&1){c=pb()|0;EO(fa);break}y=0;oa(464,K|0,(k[cc>>2]|0)+72|0);$b=y;y=0;if($b&1){c=pb()|0;b=1}else{k[_>>2]=k[K>>2];l=J;m=M;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,d|0);$b=y;y=0;e:do if($b&1){c=1;ac=52}else{l=d+12|0;m=J;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=0;k[d>>2]=8044;$b=d+60|0;k[$b>>2]=c;k[$b+4>>2]=b;c=d+68|0;y=0;oa(464,c|0,ea|0);$b=y;y=0;do if($b&1)c=pb()|0;else{y=0;oa(464,d+72|0,_|0);$b=y;y=0;if($b&1){$b=pb()|0;EO(c);c=$b;break}k[d+76>>2]=0;y=0;oa(482,ra|0,d|0);$b=y;y=0;if($b&1){c=0;ac=52;break e}EO(_);EO(ea);EO(fa);c=k[ra>>2]|0;y=0;oa(464,S|0,(k[cc>>2]|0)+68|0);$b=y;y=0;f:do if($b&1)ac=56;else{$b=k[S>>2]|0;k[T>>2]=$b;do if(!(i[$b+52>>0]|0)){y=0;oa(464,R|0,(k[cc>>2]|0)+72|0);$b=y;y=0;if($b&1){c=pb()|0;EO(T);break f}else{$b=k[R>>2]|0;k[U>>2]=$b;i[c+52>>0]=i[$b+52>>0]|0;EO(U);break}}else i[c+52>>0]=1;while(0);EO(T);f=G+64|0;d=(k[bc>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;g:do if(((k[h>>2]|0)-(k[f>>2]|0)|0)==4)c=a;else{b=0;while(1){y=0;c=Ha(k[(k[g>>2]|0)+16>>2]|0,g|0,b|0)|0;$b=y;y=0;if($b&1){ac=58;break}c=k[c>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;$b=y;y=0;if($b&1){ac=58;break}y=0;oa(482,ka|0,c|0);$b=y;y=0;if($b&1){ac=58;break}y=0;oa(e|0,d|0,ka|0);$b=y;y=0;if($b&1){ac=64;break}EO(ka);b=b+1|0;d=(k[bc>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;if(b>>>0>=(((k[h>>2]|0)-(k[f>>2]|0)>>2)+-1|0)>>>0){c=a;break g}}if((ac|0)==58){c=pb()|0;break f}else if((ac|0)==64){c=pb()|0;EO(ka);break f}}while(0);b=k[ra>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,c|0)|0;$b=y;y=0;if($b&1){ac=56;break}y=0;oa(482,ma|0,b|0);$b=y;y=0;if($b&1){ac=56;break}y=0;oa(e|0,d|0,ma|0);$b=y;y=0;if($b&1){c=pb()|0;EO(ma);break}EO(ma);ac=k[bc>>2]|0;y=0;c=Ha(k[(k[ac>>2]|0)+52>>2]|0,ac|0,c|0)|0;ac=y;y=0;if(ac&1){ac=56;break}EO(ra);ac=c;EO(cc);EO(bc);r=Rb;return ac|0}while(0);if((ac|0)==56)c=pb()|0;EO(ra);break a}while(0);b=1}while(0);if((ac|0)==52){$b=pb()|0;b=c;c=$b}EO(_)}EO(ea);EO(fa);if(!b)break a}while(0);zqa(d);break a}while(0);zqa(h)}while(0);if((ac|0)==44)c=pb()|0;break a}}while(0);c=pb()|0;break a}}while(0);y=0;oa(464,h|0,(k[cc>>2]|0)+72|0);ra=y;y=0;if(ra&1)ac=6;else{b=k[h>>2]|0;k[l>>2]=b;h:do if(!b)EO(l);else{j=pw(b,40,400,0)|0;EO(l);if(j|0){y=0;b=qa(k[(k[j>>2]|0)+100>>2]|0,j|0)|0;ra=y;y=0;i:do if(!(ra&1)){if(b)break h;y=0;b=qa(k[(k[j>>2]|0)+104>>2]|0,j|0)|0;ra=y;y=0;if(!(ra&1)){if(!((Mb|0)==11|b^1))break h;y=0;h=qa(332,84)|0;$b=y;y=0;j:do if($b&1)ac=113;else{l=q;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,h|0);$b=y;y=0;do if($b&1)c=pb()|0;else{l=h+12|0;m=q;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;c=h+56|0;k[h>>2]=9504;k[c>>2]=4;b=h+60|0;k[b>>2]=7720;f=h+64|0;g=h+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(518,f|0,0);$b=y;y=0;if($b&1){c=pb()|0;e=N;b=k[f>>2]|0;if(b|0){d=k[g>>2]|0;if((d|0)!=(b|0)){do{$b=d+-4|0;k[g>>2]=$b;EO($b);d=k[g>>2]|0}while((d|0)!=(b|0));b=k[f>>2]|0}zqa(b)}break}k[h>>2]=9328;k[b>>2]=9464;k[h+80>>2]=0;k[c>>2]=4;y=0;oa(482,Sb|0,h|0);$b=y;y=0;if($b&1){ac=113;break j}y=0;Ha(966,bc|0,Sb|0)|0;$b=y;y=0;if($b&1){c=pb()|0;EO(Sb);break j}EO(Sb);y=0;e=qa(332,80)|0;$b=y;y=0;if($b&1)break i;c=k[cc>>2]|0;l=Z;m=c+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));d=c+60|0;b=k[d>>2]|0;d=k[d+4>>2]|0;y=0;oa(464,Q|0,c+68|0);$b=y;y=0;do if($b&1)c=pb()|0;else{k[ia>>2]=k[Q>>2];g=j+60|0;h=j+64|0;y=0;oa(464,Y|0,k[h>>2]|0);$b=y;y=0;if($b&1){c=pb()|0;EO(ia);break}$b=k[Y>>2]|0;k[ja>>2]=$b;y=0;oa(482,ga|0,$b|0);$b=y;y=0;if($b&1){c=pb()|0;b=1}else{l=X;m=Z;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,e|0);$b=y;y=0;k:do if($b&1){c=1;ac=121}else{l=e+12|0;m=X;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=8044;c=e+60|0;k[c>>2]=b;k[c+4>>2]=d;c=e+68|0;y=0;oa(464,c|0,ia|0);$b=y;y=0;do if($b&1)c=pb()|0;else{y=0;oa(464,e+72|0,ga|0);$b=y;y=0;if($b&1){$b=pb()|0;EO(c);c=$b;break}k[e+76>>2]=0;y=0;oa(482,va|0,e|0);$b=y;y=0;if($b&1){c=0;ac=121;break k}EO(ga);EO(ja);EO(ia);c=k[va>>2]|0;y=0;oa(464,ba|0,(k[cc>>2]|0)+68|0);$b=y;y=0;l:do if($b&1)ac=125;else{$b=k[ba>>2]|0;k[ca>>2]=$b;do if(!(i[$b+52>>0]|0)){y=0;oa(464,aa|0,(k[cc>>2]|0)+72|0);$b=y;y=0;if($b&1){c=pb()|0;EO(ca);break l}else{$b=k[aa>>2]|0;k[da>>2]=$b;i[c+52>>0]=i[$b+52>>0]|0;EO(da);break}}else i[c+52>>0]=1;while(0);EO(ca);c=(k[bc>>2]|0)+60|0;b=k[(k[c>>2]|0)+20>>2]|0;d=k[va>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+52>>2]|0,d|0,a|0)|0;$b=y;y=0;if($b&1){ac=125;break}y=0;oa(482,ha|0,d|0);$b=y;y=0;if($b&1){ac=125;break}y=0;oa(b|0,c|0,ha|0);$b=y;y=0;if($b&1){c=pb()|0;EO(ha);break}EO(ha);f=j+68|0;c=k[bc>>2]|0;m:do if((k[f>>2]|0)-(k[h>>2]|0)>>2>>>0>1){e=1;while(1){b=c+60|0;d=k[(k[b>>2]|0)+20>>2]|0;y=0;c=Ha(k[(k[g>>2]|0)+16>>2]|0,g|0,e|0)|0;ac=y;y=0;if(ac&1){ac=128;break}c=k[c>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;ac=y;y=0;if(ac&1){ac=128;break}y=0;oa(482,ua|0,c|0);ac=y;y=0;if(ac&1){ac=128;break}y=0;oa(d|0,b|0,ua|0);ac=y;y=0;if(ac&1){ac=134;break}EO(ua);e=e+1|0;c=k[bc>>2]|0;if(e>>>0>=(k[f>>2]|0)-(k[h>>2]|0)>>2>>>0)break m}if((ac|0)==128){c=pb()|0;break l}else if((ac|0)==134){c=pb()|0;EO(ua);break l}}while(0);y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;ac=y;y=0;if(ac&1){ac=125;break}EO(va);ac=c;EO(cc);EO(bc);r=Rb;return ac|0}while(0);if((ac|0)==125)c=pb()|0;EO(va);break a}while(0);b=1}while(0);if((ac|0)==121){$b=pb()|0;b=c;c=$b}EO(ga)}EO(ja);EO(ia);if(!b)break a}while(0);zqa(e);break a}while(0);zqa(h)}while(0);if((ac|0)==113)c=pb()|0;break a}}while(0);c=pb()|0;break a}}while(0);g=a+12|0;d=k[cc>>2]|0;if((Mb|0)==11&(i[g>>0]|0)==0)if(i[d+52>>0]|0){b=d+72|0;y=0;oa(464,o|0,b|0);$b=y;y=0;if($b&1){ac=6;break}c=k[o>>2]|0;k[u>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;$b=y;y=0;if($b&1)ac=152;else{y=0;oa(482,t|0,c|0);$b=y;y=0;if($b&1)ac=152;else{k[d+76>>2]=0;y=0;Ha(966,b|0,t|0)|0;$b=y;y=0;if(!($b&1)){y=0;oa(464,p|0,b|0);$b=y;y=0;if(!($b&1)){k[s>>2]=k[p>>2];EO(s);EO(t);EO(u);b=k[cc>>2]|0;d=b+68|0;y=0;oa(464,v|0,d|0);$b=y;y=0;if($b&1){ac=6;break}c=k[v>>2]|0;k[D>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;$b=y;y=0;if($b&1)ac=155;else{y=0;oa(482,B|0,c|0);$b=y;y=0;if($b&1)ac=155;else{k[b+76>>2]=0;y=0;Ha(966,d|0,B|0)|0;$b=y;y=0;do if(!($b&1)){y=0;oa(464,z|0,d|0);$b=y;y=0;if($b&1)break;k[A>>2]=k[z>>2];EO(A);EO(B);EO(D);c=k[cc>>2]|0;if(!c)c=0;else i[c+8>>0]=1;ac=c;EO(cc);EO(bc);r=Rb;return ac|0}while(0);c=pb()|0;EO(B)}}if((ac|0)==155)c=pb()|0;EO(D);break}}c=pb()|0;EO(t)}}if((ac|0)==152)c=pb()|0;EO(u);break}y=0;oa(464,n|0,d+68|0);va=y;y=0;if(va&1)ac=6;else{k[$b>>2]=k[n>>2];y=0;oa(464,m|0,(k[cc>>2]|0)+72|0);va=y;y=0;if(va&1)c=pb()|0;else{k[_b>>2]=k[m>>2];n:do if((Mb+-2|0)>>>0<6){d=i[g>>0]|0;i[g>>0]=1;va=k[$b>>2]|0;i[va+53>>0]=0;y=0;oa(k[(k[va>>2]|0)+96>>2]|0,va|0,0);va=y;y=0;o:do if(va&1)ac=172;else{b=k[$b>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,a|0)|0;va=y;y=0;do if(va&1)ac=173;else{y=0;oa(482,Sb|0,b|0);va=y;y=0;if(va&1)ac=173;else{y=0;Ha(966,$b|0,Sb|0)|0;va=y;y=0;if(va&1){c=pb()|0;EO(Sb);break}EO(Sb);va=k[_b>>2]|0;i[va+53>>0]=0;y=0;oa(k[(k[va>>2]|0)+96>>2]|0,va|0,0);va=y;y=0;if(va&1){ac=172;break o}b=k[_b>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,a|0)|0;va=y;y=0;do if(va&1)ac=176;else{y=0;oa(482,Sb|0,b|0);va=y;y=0;if(va&1){ac=176;break}y=0;Ha(966,_b|0,Sb|0)|0;va=y;y=0;if(va&1){c=pb()|0;EO(Sb);break}else{EO(Sb);i[g>>0]=d;ac=187;break n}}while(0);if((ac|0)==176)c=pb()|0;break o}}while(0);if((ac|0)==173)c=pb()|0}while(0);if((ac|0)==172)c=pb()|0;i[g>>0]=d}else{b=k[$b>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,a|0)|0;va=y;y=0;do if(va&1)ac=184;else{y=0;oa(482,Sb|0,b|0);va=y;y=0;if(va&1)ac=184;else{y=0;Ha(966,$b|0,Sb|0)|0;va=y;y=0;if(va&1){c=pb()|0;EO(Sb);break}else{EO(Sb);ac=187;break n}}}while(0);if((ac|0)==184)c=pb()|0}while(0);do if((ac|0)==187){y=0;oa(464,Zb|0,cc|0);va=y;y=0;if(va&1){c=pb()|0;break}p:do switch(Mb|0){case 0:{c=k[$b>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+72>>2]|0,c|0)|0;Yb=y;y=0;if(Yb&1)ac=196;else{if(!c){c=k[$b>>2]|0;if(!c){c=0;ac=631;break p}i[c+8>>0]=1;ac=631;break p}y=0;oa(464,x|0,(k[cc>>2]|0)+72|0);Yb=y;y=0;if(Yb&1)ac=196;else{c=k[x>>2]|0;k[E>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;Yb=y;y=0;if(Yb&1){c=pb()|0;EO(E);break p}else{EO(E);ac=631;break p}}}break}case 1:{c=k[$b>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+72>>2]|0,c|0)|0;Yb=y;y=0;if(Yb&1)ac=196;else{if(c){c=k[$b>>2]|0;if(!c){c=0;ac=631;break p}i[c+8>>0]=1;ac=631;break p}y=0;oa(464,w|0,(k[cc>>2]|0)+72|0);Yb=y;y=0;if(Yb&1)ac=196;else{c=k[w>>2]|0;k[F>>2]=c;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;Yb=y;y=0;if(Yb&1){c=pb()|0;EO(F);break p}else{EO(F);ac=631;break p}}}break}default:{b=k[_b>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,a|0)|0;va=y;y=0;do if(va&1)ac=214;else{y=0;oa(482,Sb|0,b|0);va=y;y=0;if(va&1)ac=214;else{y=0;Ha(966,_b|0,Sb|0)|0;va=y;y=0;if(va&1){c=pb()|0;b=N;EO(Sb);break}EO(Sb);y=0;oa(482,Yb|0,k[$b>>2]|0);va=y;y=0;if(va&1){ac=196;break p}y=0;oa(482,Xb|0,k[_b>>2]|0);va=y;y=0;if(va&1)c=pb()|0;else{y=0;oa(464,C|0,(k[cc>>2]|0)+68|0);va=y;y=0;do if(va&1)c=pb()|0;else{b=k[C>>2]|0;k[I>>2]=b;if(!b)b=0;else b=pw(b,40,400,0)|0;y=0;oa(482,Wb|0,b|0);va=y;y=0;if(va&1){c=pb()|0;EO(I);break}EO(I);y=0;oa(464,H|0,(k[cc>>2]|0)+72|0);va=y;y=0;do if(va&1)c=pb()|0;else{b=k[H>>2]|0;k[P>>2]=b;if(!b)b=0;else b=pw(b,40,400,0)|0;y=0;oa(482,Vb|0,b|0);va=y;y=0;if(va&1){c=pb()|0;EO(P);break}EO(P);y=0;oa(464,O|0,(k[cc>>2]|0)+68|0);va=y;y=0;do if(va&1)c=pb()|0;else{b=k[O>>2]|0;k[W>>2]=b;if(!b)b=0;else b=pw(b,40,1080,0)|0;y=0;oa(482,Ub|0,b|0);va=y;y=0;if(va&1){c=pb()|0;EO(W);break}EO(W);y=0;oa(464,V|0,(k[cc>>2]|0)+72|0);va=y;y=0;do if(va&1)c=pb()|0;else{b=k[V>>2]|0;k[$>>2]=b;if(!b)b=0;else b=pw(b,40,1080,0)|0;y=0;oa(482,Tb|0,b|0);va=y;y=0;if(va&1){c=pb()|0;EO($);break}EO($);b=k[Vb>>2]|0;do if(!b)ac=243;else{y=0;b=qa(k[(k[b>>2]|0)+104>>2]|0,b|0)|0;ac=y;y=0;if(ac&1){ac=267;break}if(!b){ac=243;break}d=Wb;j=1;ac=251}while(0);do if((ac|0)==243){b=k[Wb>>2]|0;if(b|0){y=0;b=qa(k[(k[b>>2]|0)+108>>2]|0,b|0)|0;ac=y;y=0;if(ac&1){ac=267;break}if(b){d=Wb;j=1;ac=251;break}}b=k[Ub>>2]|0;if(b|0){y=0;b=qa(k[(k[b>>2]|0)+108>>2]|0,b|0)|0;ac=y;y=0;if(ac&1){ac=267;break}if(b){d=Wb;j=1;ac=251;break}}b=k[Tb>>2]|0;if(!b){d=Wb;j=0;ac=251;break}y=0;b=qa(k[(k[b>>2]|0)+104>>2]|0,b|0)|0;ac=y;y=0;if(ac&1)ac=267;else{d=Wb;j=b;ac=251}}while(0);q:do if((ac|0)==251){d=k[d>>2]|0;r:do if(!d)ac=257;else{b=k[d+64>>2]|0;d=k[d+68>>2]|0;if((b|0)==(d|0)){ac=257;break}while(1){y=0;oa(464,nb|0,b|0);ac=y;y=0;if(ac&1)break;ac=i[(k[nb>>2]|0)+54>>0]|0;EO(nb);b=b+4|0;if(ac<<24>>24){ac=265;break r}if((b|0)==(d|0)){ac=257;break r}}c=pb()|0;ac=271}while(0);s:do if((ac|0)==257){d=k[Vb>>2]|0;if(!d)if(j){ac=265;break}else{h=0;ac=396;break}b=k[d+64>>2]|0;d=k[d+68>>2]|0;t:do if((b|0)!=(d|0)){while(1){y=0;oa(464,Kb|0,b|0);ac=y;y=0;if(ac&1)break;ac=i[(k[Kb>>2]|0)+54>>0]|0;EO(Kb);b=b+4|0;if(ac<<24>>24){ac=265;break s}if((b|0)==(d|0))break t}c=pb()|0;ac=271;break s}while(0);if(j)ac=265;else{h=0;ac=396}}while(0);u:do if((ac|0)==265){v:do switch(Mb|0){case 2:case 8:case 9:case 10:case 11:case 12:{b=k[$b>>2]|0;w:do if(b|0){b=pw(b,40,520,0)|0;if(!b)break;d=b+64|0;y=0;oa(452,za|0,d|0);va=y;y=0;if(va&1){c=pb()|0;break q}y=0;b=qa(443,((i[za+11>>0]|0)<0?k[za>>2]|0:za)|0)|0;va=y;y=0;x:do if(va&1)ac=289;else{y:do if(b|0){y=0;b=qa(362,b|0)|0;va=y;y=0;if(va&1){ac=289;break x}if(!b)break;y=0;g=qa(332,80)|0;va=y;y=0;if(va&1){ac=289;break x}l=wa;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(452,ya|0,d|0);va=y;y=0;z:do if(va&1)c=pb()|0;else{l=Lb;m=wa;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,g|0);wa=y;y=0;do if(wa&1)b=1;else{l=g+12|0;m=Lb;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[g+52>>0]=1;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=8968;k[g+60>>2]=2;y=0;oa(452,g+64|0,ya|0);wa=y;y=0;if(wa&1){c=pb()|0;$9(ya);break z}k[g+76>>2]=0;y=0;oa(482,xa|0,g|0);wa=y;y=0;if(wa&1){b=0;break}$9(ya);b=k[xa>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,a|0)|0;ya=y;y=0;do if(ya&1)ac=293;else{y=0;oa(482,Sb|0,b|0);ya=y;y=0;if(ya&1){ac=293;break}y=0;Ha(966,$b|0,Sb|0)|0;ya=y;y=0;if(ya&1){c=pb()|0;EO(Sb);break}else{EO(Sb);EO(xa);break y}}while(0);if((ac|0)==293)c=pb()|0;EO(xa);break x}while(0);c=pb()|0;$9(ya);if(!b)break x}while(0);zqa(g);break x}while(0);$9(za);break w}while(0);if((ac|0)==289)c=pb()|0;$9(za);break q}while(0);b=k[_b>>2]|0;if(!b)break v;b=pw(b,40,520,0)|0;if(!b)break v;d=b+64|0;y=0;oa(452,Da|0,d|0);za=y;y=0;if(za&1){c=pb()|0;break q}y=0;b=qa(443,((i[Da+11>>0]|0)<0?k[Da>>2]|0:Da)|0)|0;za=y;y=0;A:do if(za&1)ac=316;else{B:do if(b|0){y=0;b=qa(444,b|0)|0;za=y;y=0;if(za&1){ac=316;break A}if(!b)break;y=0;g=qa(332,80)|0;za=y;y=0;if(za&1){ac=316;break A}l=Aa;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(452,Ca|0,d|0);za=y;y=0;C:do if(za&1)c=pb()|0;else{l=Sb;m=Aa;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,g|0);Aa=y;y=0;do if(Aa&1)b=1;else{l=g+12|0;m=Sb;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[g+52>>0]=1;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=8968;k[g+60>>2]=2;y=0;oa(452,g+64|0,Ca|0);Aa=y;y=0;if(Aa&1){c=pb()|0;$9(Ca);break C}k[g+76>>2]=0;y=0;oa(482,Ba|0,g|0);Aa=y;y=0;if(Aa&1){b=0;break}$9(Ca);b=k[Ba>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,a|0)|0;Ca=y;y=0;do if(Ca&1)ac=320;else{y=0;oa(482,Sb|0,b|0);Ca=y;y=0;if(Ca&1){ac=320;break}y=0;Ha(966,_b|0,Sb|0)|0;Ca=y;y=0;if(Ca&1){c=pb()|0;EO(Sb);break}else{EO(Sb);EO(Ba);break B}}while(0);if((ac|0)==320)c=pb()|0;EO(Ba);break A}while(0);c=pb()|0;$9(Ca);if(!b)break A}while(0);zqa(g);break A}while(0);$9(Da);break v}while(0);if((ac|0)==316)c=pb()|0;$9(Da);break q}default:{}}while(0);g=a+8|0;b=k[g>>2]|0;k[Lb>>2]=18652;k[Lb+4>>2]=b;b=k[$b>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+68>>2]|0,b|0,Lb|0)|0;Da=y;y=0;do if(Da&1)ac=338;else{y=0;oa(482,wb|0,b|0);Da=y;y=0;if(Da&1){ac=338;break}b=k[_b>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+68>>2]|0,b|0,Lb|0)|0;Da=y;y=0;do if(Da&1)ac=339;else{y=0;oa(482,qb|0,b|0);Da=y;y=0;if(Da&1){ac=339;break}d=k[Vb>>2]|0;D:do if(!d){h=0;ac=354}else{b=k[d+64>>2]|0;d=k[d+68>>2]|0;if((b|0)==(d|0)){h=0;ac=354;break}while(1){y=0;oa(464,Ea|0,b|0);Da=y;y=0;if(Da&1){ac=340;break}Da=i[(k[Ea>>2]|0)+54>>0]|0;EO(Ea);b=b+4|0;if(Da<<24>>24)break;if((b|0)==(d|0)){h=0;ac=354;break D}}if((ac|0)==340){c=pb()|0;ac=342;break}Ea=k[Vb>>2]|0;b=k[Ea+64>>2]|0;if((k[Ea+68>>2]|0)==(b|0)){h=0;ac=354;break}b=k[b>>2]|0;if(!b)b=0;else b=pw(b,40,1216,0)|0;y=0;oa(482,Fa|0,b|0);Ea=y;y=0;if(Ea&1){ac=341;break}b=k[Fa>>2]|0;E:do if(!b)b=0;else{if(i[b+54>>0]|0){b=0;break}y=0;b=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,a|0)|0;Ea=y;y=0;do if(Ea&1)ac=350;else{y=0;oa(482,Sb|0,b|0);Ea=y;y=0;if(Ea&1){ac=350;break}y=0;Ha(966,_b|0,Sb|0)|0;Ea=y;y=0;if(Ea&1){c=pb()|0;EO(Sb);break}else{EO(Sb);b=1;break E}}while(0);if((ac|0)==350)c=pb()|0;EO(Fa);break D}while(0);EO(Fa);h=b;ac=354}while(0);F:do if((ac|0)==354){G:do if(j){k[Va>>2]=0;k[Va+4>>2]=0;k[Va+8>>2]=0;y=0;Na(75,Va|0,82159,0);Fa=y;y=0;if(Fa&1){ac=341;break F}Fa=k[wb>>2]|0;Ea=k[(k[Fa>>2]|0)+28>>2]|0;Ba=k[(k[g>>2]|0)+16>>2]|0;Ca=k[Ba+4>>2]|0;Da=Ga;k[Da>>2]=k[Ba>>2];k[Da+4>>2]=Ca;y=0;k[Sb>>2]=k[Ga>>2];k[Sb+4>>2]=k[Ga+4>>2];Na(Ea|0,Kb|0,Fa|0,Sb|0);Ga=y;y=0;H:do if(Ga&1){c=pb()|0;ac=363}else{Ga=i[Kb+11>>0]|0;Fa=Ga<<24>>24<0;y=0;ta(47,Va|0,(Fa?k[Kb>>2]|0:Kb)|0,(Fa?k[Kb+4>>2]|0:Ga&255)|0)|0;Ga=y;y=0;if(Ga&1){c=pb()|0;$9(Kb);ac=363;break}$9(Kb);b=k[cc>>2]|0;do if(!((k[b+60+4>>2]&255)<<24>>24))ac=365;else{y=0;Ha(970,Va|0,47081)|0;Ga=y;y=0;if(Ga&1)break;b=k[cc>>2]|0;ac=365}while(0);I:do if((ac|0)==365){y=0;oa(574,Sb|0,b|0);Ga=y;y=0;do if(Ga&1)c=pb()|0;else{Ga=i[Sb+11>>0]|0;Fa=Ga<<24>>24<0;y=0;ta(47,Va|0,(Fa?k[Sb>>2]|0:Sb)|0,(Fa?k[Sb+4>>2]|0:Ga&255)|0)|0;Ga=y;y=0;if(Ga&1){c=pb()|0;$9(Sb);break}$9(Sb);Ga=(k[cc>>2]|0)+60|0;Ga=xV(k[Ga>>2]|0,k[Ga+4>>2]|0,40)|0;if((Ga&255)<<24>>24){y=0;Ha(970,Va|0,47081)|0;Ga=y;y=0;if(Ga&1)break I}Ga=k[qb>>2]|0;Fa=k[(k[Ga>>2]|0)+28>>2]|0;Ca=k[(k[g>>2]|0)+16>>2]|0;Da=k[Ca+4>>2]|0;Ea=Ia;k[Ea>>2]=k[Ca>>2];k[Ea+4>>2]=Da;y=0;k[Sb>>2]=k[Ia>>2];k[Sb+4>>2]=k[Ia+4>>2];Na(Fa|0,Kb|0,Ga|0,Sb|0);Ia=y;y=0;do if(Ia&1)c=pb()|0;else{Ia=i[Kb+11>>0]|0;Ga=Ia<<24>>24<0;y=0;ta(47,Va|0,(Ga?k[Kb>>2]|0:Kb)|0,(Ga?k[Kb+4>>2]|0:Ia&255)|0)|0;Ia=y;y=0;if(Ia&1){c=pb()|0;$9(Kb);break}$9(Kb);y=0;b=qa(332,80)|0;Ia=y;y=0;if(Ia&1)break I;l=Ka;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(452,Ma|0,Va|0);Ia=y;y=0;if(Ia&1)c=pb()|0;else{l=Ja;m=Ka;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,b|0);Ka=y;y=0;do if(Ka&1)c=pb()|0;else{l=b+12|0;m=Ja;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[b+52>>0]=0;i[b+53>>0]=0;g=b+54|0;i[g>>0]=0;k[b+56>>2]=4;k[b>>2]=9640;i[b+60>>0]=0;i[b+61>>0]=0;y=0;oa(547,b+64|0,Ma|0);Ka=y;y=0;if(Ka&1){c=pb()|0;break}k[b+76>>2]=0;$9(Ma);y=0;oa(464,La|0,(k[cc>>2]|0)+68|0);Ma=y;y=0;if(Ma&1){c=pb()|0;break H}d=k[La>>2]|0;k[Oa>>2]=d;y=0;d=qa(k[(k[d>>2]|0)+100>>2]|0,d|0)|0;Ma=y;y=0;if(Ma&1){c=pb()|0;EO(Oa);break H}else{i[g>>0]=d&1;EO(Oa);$9(Va);d=0;break G}}while(0);$9(Ma)}zqa(b);break H}while(0);break H}while(0);break H}while(0);c=pb()|0}while(0);$9(Va);break F}else{b=0;d=1}while(0);EO(qb);EO(wb);if(d){ac=396;break u}else{c=b;ac=624;break u}}while(0);if((ac|0)==341){c=pb()|0;ac=342}EO(qb)}while(0);if((ac|0)==339)c=pb()|0;EO(wb)}while(0);if((ac|0)==338)c=pb()|0;break q}while(0);J:do if((ac|0)==396){K:do switch(Mb|0){case 2:{y=0;e=qa(332,68)|0;a=y;y=0;if(a&1){ac=405;break K}l=bb;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(464,eb|0,$b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{y=0;oa(464,Ya|0,_b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{b=k[eb>>2]|0;do if(!b){b=0;ac=403}else{d=k[Ya>>2]|0;if(!d){b=0;ac=403;break}y=0;b=Ha(k[(k[b>>2]|0)+88>>2]|0,b|0,d|0)|0;a=y;y=0;if(!(a&1))ac=403}while(0);do if((ac|0)==403){l=$a;m=bb;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,e|0);a=y;y=0;if(a&1)break;l=e+12|0;m=$a;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e>>2]=9208;i[e+60>>0]=b&1;k[e+64>>2]=0;k[e+56>>2]=1;EO(Ya);EO(eb);c=e;ac=624;break J}while(0);d=tb(1504)|0;b=N;EO(Ya)}EO(eb)}zqa(e);break}case 3:{y=0;e=qa(332,68)|0;a=y;y=0;if(a&1){ac=405;break K}l=Za;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(464,hb|0,$b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{y=0;oa(464,_a|0,_b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{b=k[hb>>2]|0;do if(!b){b=0;ac=417}else{d=k[_a>>2]|0;if(!d){b=0;ac=417;break}y=0;b=Ha(k[(k[b>>2]|0)+88>>2]|0,b|0,d|0)|0;a=y;y=0;if(!(a&1))ac=417}while(0);do if((ac|0)==417){l=ab;m=Za;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,e|0);a=y;y=0;if(a&1)break;l=e+12|0;m=ab;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e>>2]=9208;i[e+60>>0]=b&1^1;k[e+64>>2]=0;k[e+56>>2]=1;EO(_a);EO(hb);c=e;ac=624;break J}while(0);d=tb(1504)|0;b=N;EO(_a)}EO(hb)}zqa(e);break}case 4:{y=0;g=qa(332,68)|0;a=y;y=0;if(a&1){ac=405;break K}l=kb;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(464,Hb|0,$b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{y=0;oa(464,Fb|0,_b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{k[Db>>2]=0;k[Db+4>>2]=0;k[Db+8>>2]=0;y=0;Na(75,Db|0,42186,2);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{y=0;b=ta(155,Hb|0,Fb|0,Db|0)|0;a=y;y=0;L:do if(a&1)ac=444;else{M:do if(b){e=0;b=0;ac=437}else{y=0;oa(464,Bb|0,$b|0);a=y;y=0;if(a&1){ac=444;break L}y=0;oa(464,f|0,_b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N;e=Bb;break}b=k[Bb>>2]|0;do if(!b)b=0;else{d=k[f>>2]|0;if(!d){b=0;break}y=0;b=Ha(k[(k[b>>2]|0)+88>>2]|0,b|0,d|0)|0;ac=y;y=0;if(!(ac&1))break;d=tb(1504)|0;e=Bb;b=N;ac=448;break M}while(0);e=1;b=b&1^1;ac=437}while(0);do if((ac|0)==437){l=mb;m=kb;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,g|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N;if(!e)break L;e=Bb;ac=448;break}l=g+12|0;m=mb;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g>>2]=9208;i[g+60>>0]=b;k[g+64>>2]=0;k[g+56>>2]=1;if(e){EO(f);EO(Bb)}$9(Db);EO(Fb);EO(Hb);c=g;ac=624;break J}while(0);if((ac|0)==448)EO(f);EO(e)}while(0);if((ac|0)==444){d=tb(1504)|0;b=N}$9(Db)}EO(Fb)}EO(Hb)}zqa(g);break}case 5:{y=0;e=qa(332,68)|0;a=y;y=0;if(a&1){ac=405;break K}l=Pa;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(464,cb|0,$b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{y=0;oa(464,Wa|0,_b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;y=0;Na(75,Qa|0,42189,3);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{y=0;b=ta(155,cb|0,Wa|0,Qa|0)|0;a=y;y=0;do if(!(a&1)){l=Ta;m=Pa;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,e|0);a=y;y=0;if(a&1)break;l=e+12|0;m=Ta;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e>>2]=9208;i[e+60>>0]=b&1^1;k[e+64>>2]=0;k[e+56>>2]=1;$9(Qa);EO(Wa);EO(cb);c=e;ac=624;break J}while(0);d=tb(1504)|0;b=N;$9(Qa)}EO(Wa)}EO(cb)}zqa(e);break}case 6:{y=0;e=qa(332,68)|0;a=y;y=0;if(a&1){ac=405;break K}l=Ra;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(464,db|0,$b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{y=0;oa(464,Xa|0,_b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{k[Sa>>2]=0;k[Sa+4>>2]=0;k[Sa+8>>2]=0;y=0;Na(75,Sa|0,42193,2);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{y=0;b=ta(155,db|0,Xa|0,Sa|0)|0;a=y;y=0;do if(!(a&1)){l=Ua;m=Ra;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,e|0);a=y;y=0;if(a&1)break;l=e+12|0;m=Ua;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e>>2]=9208;i[e+60>>0]=b&1;k[e+64>>2]=0;k[e+56>>2]=1;$9(Sa);EO(Xa);EO(db);c=e;ac=624;break J}while(0);d=tb(1504)|0;b=N;$9(Sa)}EO(Xa)}EO(db)}zqa(e);break}case 7:{y=0;g=qa(332,68)|0;a=y;y=0;if(a&1){ac=405;break K}l=ib;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(464,Gb|0,$b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{y=0;oa(464,Eb|0,_b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{k[Cb>>2]=0;k[Cb+4>>2]=0;k[Cb+8>>2]=0;y=0;Na(75,Cb|0,42196,3);a=y;y=0;if(a&1){d=tb(1504)|0;b=N}else{y=0;b=ta(155,Gb|0,Eb|0,Cb|0)|0;a=y;y=0;N:do if(a&1)ac=501;else{do if(b){f=0;b=1;ac=494}else{y=0;oa(464,e|0,$b|0);a=y;y=0;if(a&1){ac=501;break N}y=0;oa(464,rb|0,_b|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N;break}b=k[e>>2]|0;if(!b){f=1;b=0;ac=494;break}d=k[rb>>2]|0;if(!d){f=1;b=0;ac=494;break}y=0;b=Ha(k[(k[b>>2]|0)+88>>2]|0,b|0,d|0)|0;ac=y;y=0;if(!(ac&1)){f=1;ac=494;break}d=tb(1504)|0;f=rb;b=N;ac=505}while(0);do if((ac|0)==494){l=jb;m=ib;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(366,g|0);a=y;y=0;if(a&1){d=tb(1504)|0;b=N;if(!f)break N;f=rb;ac=505;break}l=g+12|0;m=jb;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g>>2]=9208;i[g+60>>0]=b&1;k[g+64>>2]=0;k[g+56>>2]=1;if(f){EO(rb);EO(e)}$9(Cb);EO(Eb);EO(Gb);c=g;ac=624;break J}while(0);if((ac|0)==505)EO(f);EO(e)}while(0);if((ac|0)==501){d=tb(1504)|0;b=N}$9(Cb)}EO(Eb)}EO(Gb)}zqa(g);break}default:{e=k[(k[$b>>2]|0)+56>>2]|0;f=k[(k[_b>>2]|0)+56>>2]|0;y=0;oa(482,Pb|0,0);Qb=y;y=0;if(Qb&1){c=pb()|0;ac=271;break J}l=Kb;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));c=(e|0)==2;d=(f|0)==2;O:do if(c&d){c=k[$b>>2]|0;if(!c)b=0;else b=pw(c,40,448,0)|0;c=k[_b>>2]|0;if(!c)c=0;else c=pw(c,40,448,0)|0;Ib=k[(k[a+8>>2]|0)+16>>2]|0;Jb=k[Ib+4>>2]|0;Qb=lb;k[Qb>>2]=k[Ib>>2];k[Qb+4>>2]=Jb;y=0;k[Sb>>2]=k[lb>>2];k[Sb+4>>2]=k[lb+4>>2];c=sa(31,Mb|0,b|0,c|0,Sb|0,Kb|0)|0;Qb=y;y=0;do if(Qb&1)ac=526;else{y=0;oa(482,Lb|0,c|0);Qb=y;y=0;if(Qb&1){ac=526;break}y=0;Ha(966,Pb|0,Lb|0)|0;Qb=y;y=0;if(Qb&1){c=tb(1504)|0;b=N;EO(Lb);break}else{EO(Lb);ac=605;break O}}while(0);if((ac|0)==526){c=tb(1504)|0;b=N}ac=606}else{b=(f|0)==3;if(c&b){c=k[$b>>2]|0;if(!c)b=0;else b=pw(c,40,448,0)|0;c=k[_b>>2]|0;if(!c)c=0;else c=pw(c,40,568,0)|0;Ib=k[(k[a+8>>2]|0)+16>>2]|0;Jb=k[Ib+4>>2]|0;Qb=ub;k[Qb>>2]=k[Ib>>2];k[Qb+4>>2]=Jb;y=0;k[Sb>>2]=k[ub>>2];k[Sb+4>>2]=k[ub+4>>2];c=sa(32,Mb|0,b|0,c|0,Sb|0,Kb|0)|0;Qb=y;y=0;do if(Qb&1)ac=538;else{y=0;oa(482,Lb|0,c|0);Qb=y;y=0;if(Qb&1){ac=538;break}y=0;Ha(966,Pb|0,Lb|0)|0;Qb=y;y=0;if(Qb&1){c=tb(1504)|0;b=N;EO(Lb);break}else{EO(Lb);ac=605;break O}}while(0);if((ac|0)==538){c=tb(1504)|0;b=N}ac=606;break}c=(e|0)==3;if(c&d){c=k[$b>>2]|0;if(!c)b=0;else b=pw(c,40,568,0)|0;c=k[_b>>2]|0;if(!c)c=0;else c=pw(c,40,448,0)|0;Ib=k[(k[a+8>>2]|0)+16>>2]|0;Jb=k[Ib+4>>2]|0;Qb=xb;k[Qb>>2]=k[Ib>>2];k[Qb+4>>2]=Jb;y=0;k[Sb>>2]=k[xb>>2];k[Sb+4>>2]=k[xb+4>>2];c=sa(33,Mb|0,b|0,c|0,Sb|0,Kb|0)|0;Qb=y;y=0;do if(Qb&1)ac=550;else{y=0;oa(482,Lb|0,c|0);Qb=y;y=0;if(Qb&1){ac=550;break}y=0;Ha(966,Pb|0,Lb|0)|0;Qb=y;y=0;if(Qb&1){c=tb(1504)|0;b=N;EO(Lb);break}else{EO(Lb);ac=605;break O}}while(0);if((ac|0)==550){c=tb(1504)|0;b=N}ac=606;break}if(c&b){c=k[$b>>2]|0;if(!c)b=0;else b=pw(c,40,568,0)|0;c=k[_b>>2]|0;if(!c)c=0;else c=pw(c,40,568,0)|0;Ib=k[(k[a+8>>2]|0)+16>>2]|0;Jb=k[Ib+4>>2]|0;Qb=yb;k[Qb>>2]=k[Ib>>2];k[Qb+4>>2]=Jb;y=0;k[Sb>>2]=k[yb>>2];k[Sb+4>>2]=k[yb+4>>2];c=sa(34,Mb|0,b|0,c|0,Sb|0,Kb|0)|0;Qb=y;y=0;do if(Qb&1)ac=562;else{y=0;oa(482,Lb|0,c|0);Qb=y;y=0;if(Qb&1){ac=562;break}y=0;Ha(966,Pb|0,Lb|0)|0;Qb=y;y=0;if(Qb&1){c=tb(1504)|0;b=N;EO(Lb);break}else{EO(Lb);ac=605;break O}}while(0);if((ac|0)==562){c=tb(1504)|0;b=N}ac=606;break}b=a+8|0;c=k[b>>2]|0;k[nb>>2]=18652;k[nb+4>>2]=c;c=k[$b>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+68>>2]|0,c|0,nb|0)|0;Qb=y;y=0;do if(Qb&1)ac=575;else{y=0;oa(482,Jb|0,c|0);Qb=y;y=0;if(Qb&1){ac=575;break}c=k[_b>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+68>>2]|0,c|0,nb|0)|0;Qb=y;y=0;do if(Qb&1)ac=576;else{y=0;oa(482,Ib|0,c|0);Qb=y;y=0;if(Qb&1){ac=576;break}c=k[cc>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+108>>2]|0,c|0)|0;Qb=y;y=0;P:do if(Qb&1)ac=577;else{do if(c)c=1;else{c=k[cc>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+104>>2]|0,c|0)|0;Qb=y;y=0;if(Qb&1){ac=577;break P}if(c){c=1;break}c=(i[(k[cc>>2]|0)+54>>0]|0)!=0}while(0);do if((e|0)==6){c=gb(80)|0;y=0;oa(575,c|0,k[Jb>>2]|0);Rb=y;y=0;if(Rb&1){Rb=tb(1504)|0;b=N;fb(c|0);c=Rb;break P}else{y=0;Na(76,c|0,2400,158);y=0;break}}else{if((f|0)==6){c=gb(80)|0;y=0;oa(575,c|0,k[Ib>>2]|0);Rb=y;y=0;if(Rb&1){Rb=tb(1504)|0;b=N;fb(c|0);c=Rb;break P}else{y=0;Na(76,c|0,2400,158);y=0;break}}Fb=(k[cc>>2]|0)+60|0;d=k[Fb+4>>2]|0;Qb=zb;k[Qb>>2]=k[Fb>>2];k[Qb+4>>2]=d;Qb=k[Jb>>2]|0;d=k[Ib>>2]|0;Fb=k[(k[b>>2]|0)+16>>2]|0;Gb=k[Fb+4>>2]|0;Hb=Ab;k[Hb>>2]=k[Fb>>2];k[Hb+4>>2]=Gb;y=0;k[Lb>>2]=k[zb>>2];k[Lb+4>>2]=k[zb+4>>2];k[Sb>>2]=k[Ab>>2];k[Sb+4>>2]=k[Ab+4>>2];d=pa(43,Lb|0,Qb|0,d|0,Sb|0,Kb|0,(Mb|0)!=9&c^1|0)|0;Qb=y;y=0;if(Qb&1)break;e=pw(d,248,520,0)|0;do if(e|0){if((k[e+56>>2]|0)!=4)break;c=k[$b>>2]|0;if(!c)b=0;else b=pw(c,40,520,0)|0;c=k[_b>>2]|0;if(!c)c=0;else c=pw(c,40,520,0)|0;if((Mb|0)==9)break;c=b|0?b:c;if(!c)break;i[e+60>>0]=i[c+60>>0]|0}while(0);i[d+54>>0]=i[(k[cc>>2]|0)+54>>0]|0;y=0;oa(482,Sb|0,d|0);Qb=y;y=0;do if(Qb&1){c=tb(1504)|0;b=N}else{y=0;Ha(966,Pb|0,Sb|0)|0;Qb=y;y=0;if(Qb&1){c=tb(1504)|0;b=N;EO(Sb);break}else{EO(Sb);EO(Ib);EO(Jb);ac=605;break O}}while(0);break P}while(0);c=tb(1504)|0;b=N}while(0);if((ac|0)==577){c=tb(1504)|0;b=N}EO(Ib)}while(0);if((ac|0)==576){c=tb(1504)|0;b=N}EO(Jb)}while(0);if((ac|0)==575){c=tb(1504)|0;b=N}ac=606}while(0);Q:do if((ac|0)==605){c=k[Pb>>2]|0;R:do if(!((c|0)==0|h^1)){y=0;Ha(966,k[(k[Vb>>2]|0)+64>>2]|0,Pb|0)|0;Qb=y;y=0;if(Qb&1){Ob=pb()|0;break Q}c=k[Vb>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;a=y;y=0;do if(a&1)ac=617;else{y=0;oa(482,Sb|0,c|0);a=y;y=0;if(a&1){ac=617;break}y=0;Ha(966,Pb|0,Sb|0)|0;a=y;y=0;if(a&1){c=pb()|0;EO(Sb);break}else{EO(Sb);c=k[Pb>>2]|0;break R}}while(0);if((ac|0)==617)c=pb()|0;Ob=c;break Q}while(0);if(!c)c=0;else i[c+8>>0]=1;EO(Pb);ac=624;break J}else if((ac|0)==606){if((b|0)!=(ob(1504)|0)){Ob=c;break}c=vb(c|0)|0;b=gb(76)|0;y=0;l=Sb;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Na(123,b|0,Sb|0,c|0);Sb=y;y=0;if(Sb&1){c=pb()|0;fb(b|0)}else{y=0;Na(76,b|0,2416,158);y=0;c=pb()|0}y=0;la(3);Sb=y;y=0;if(!(Sb&1)){Ob=c;break}Sb=tb(0)|0;dla(Sb)}while(0);EO(Pb);c=Ob;break q}}while(0);if((ac|0)==405){d=tb(1504)|0;b=N}if((b|0)!=(ob(1504)|0)){c=d;break q}b=vb(d|0)|0;d=gb(76)|0;y=0;l=Sb;m=(k[cc>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Na(123,d|0,Sb|0,b|0);Sb=y;y=0;if(Sb&1){b=pb()|0;fb(d|0)}else{y=0;Na(76,d|0,2416,158);y=0;b=pb()|0}y=0;la(3);Sb=y;y=0;if(!(Sb&1)){c=b;break q}Sb=tb(0)|0;dla(Sb)}while(0);if((ac|0)==271)break;else if((ac|0)==624){EO(Tb);EO(Ub);EO(Vb);EO(Wb);EO(Xb);EO(Yb);ac=631;break p}}else if((ac|0)==267)c=pb()|0;while(0);EO(Tb)}while(0);EO(Ub)}while(0);EO(Vb)}while(0);EO(Wb)}while(0);EO(Xb)}EO(Yb);break p}}while(0);if((ac|0)==214){c=pb()|0;b=N}}}while(0);if((ac|0)==196)c=pb()|0;else if((ac|0)==631){EO(Zb);EO(_b);EO($b);ac=c;EO(cc);EO(bc);r=Rb;return ac|0}EO(Zb)}while(0);EO(_b)}EO($b)}}}while(0);if((ac|0)==6)c=pb()|0;EO(cc);cc=c;EO(bc);sb(cc|0);return 0}
function Q$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+44>>2]&2047](b,a)|0}function R$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+132>>2]&2047](b,a)|0}function S$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+132>>2]&2047](b,a)|0}function T$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+208>>2]&2047](b,a)|0}function U$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+208>>2]&2047](b,a)|0}function V$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+36>>2]&2047](b,a)|0}function W$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+32>>2]&2047](b,a)|0}function X$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+60>>2]&2047](b,a)|0}function Y$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+48>>2]&2047](b,a)|0}function Z$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+224>>2]&2047](b,a)|0}function _$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+112>>2]&2047](b,a)|0}function $$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+108>>2]&2047](b,a)|0}function a0(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;Ac[a&1](b|0,c|0,+d,e|0,f|0)}function b0(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function c0(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function d0(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function e0(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function f0(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function g0(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function h0(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function i0(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function j0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+176>>2]&2047](b,a)|0}function k0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+236>>2]&2047](b,a)|0}function l0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+260>>2]&2047](b,a)|0}function m0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+216>>2]&2047](b,a)|0}function n0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+28>>2]&2047](b,a)|0}function o0(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function p0(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function q0(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function r0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+168>>2]&2047](b,a)|0}function s0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+172>>2]&2047](b,a)|0}function t0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+276>>2]&2047](b,a)|0}function u0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+44>>2]&2047](b,a)|0}function v0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+44>>2]&2047](b,a)|0}function w0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+132>>2]&2047](b,a)|0}function x0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+208>>2]&2047](b,a)|0}function y0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+36>>2]&2047](b,a)|0}function z0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+36>>2]&2047](b,a)|0}function A0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+200>>2]&2047](b,a)|0}function B0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+252>>2]&2047](b,a)|0}function C0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a)|0}function D0(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;k[e>>2]=c;return 3}function E0(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;k[e>>2]=c;return 3}function F0(a,b){a=a|0;b=b|0;Mi(a,b+64|0,42);return}function G0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+220>>2]&2047](b,a)|0}function H0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+104>>2]&2047](b,a)|0}function I0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+232>>2]&2047](b,a)|0}function J0(a){a=a|0;k[a>>2]=7e3;EO(a+68|0);k[a>>2]=5436;EO(a+64|0);zqa(a);return}function K0(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function L0(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function M0(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function N0(a,b){a=a|0;b=b|0;o9(a,b)|0;return 0}function O0(a,b){a=a|0;b=b|0;p9(a,b)|0;return 0}function P0(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function Q0(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function R0(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function S0(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function T0(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function U0(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function V0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+248>>2]&2047](b,a)|0}function W0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+44>>2]&2047](b,a)|0}function X0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+36>>2]&2047](b,a)|0}function Y0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+200>>2]&2047](b,a)|0}function Z0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+200>>2]&2047](b,a)|0}function _0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+32>>2]&2047](b,a)|0}function $0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+60>>2]&2047](b,a)|0}function a1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+252>>2]&2047](b,a)|0}function b1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+252>>2]&2047](b,a)|0}function c1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+48>>2]&2047](b,a)|0}function d1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+224>>2]&2047](b,a)|0}function e1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+112>>2]&2047](b,a)|0}function f1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+108>>2]&2047](b,a)|0}function g1(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;k[e>>2]=c;return 3}function h1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+40>>2]&2047](b,a)|0}function i1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+148>>2]&2047](b,a)|0}function j1(a){a=a|0;if((i[a>>0]|0)!=45){a=0;return a|0}do a=a+1|0;while((i[a>>0]|0)==45);return a|0}function k1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+228>>2]&2047](b,a)|0}function l1(a){a=a|0;if((k[k[a+68>>2]>>2]|0)==3)return;k[a+80>>2]=1;k[a+76>>2]=0;return}function m1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+28>>2]&2047](b,a)|0}function n1(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function o1(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function p1(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function q1(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function r1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+168>>2]&2047](b,a)|0}function s1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+172>>2]&2047](b,a)|0}function t1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+276>>2]&2047](b,a)|0}function u1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+132>>2]&2047](b,a)|0}function v1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+208>>2]&2047](b,a)|0}function w1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+200>>2]&2047](b,a)|0}function x1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+32>>2]&2047](b,a)|0}function y1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+32>>2]&2047](b,a)|0}function z1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+60>>2]&2047](b,a)|0}function A1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+60>>2]&2047](b,a)|0}function B1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+252>>2]&2047](b,a)|0}function C1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+48>>2]&2047](b,a)|0}function D1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+48>>2]&2047](b,a)|0}function E1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+224>>2]&2047](b,a)|0}function F1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+224>>2]&2047](b,a)|0}function G1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+112>>2]&2047](b,a)|0}function H1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+112>>2]&2047](b,a)|0}function I1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+108>>2]&2047](b,a)|0}function J1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+108>>2]&2047](b,a)|0}function K1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a)|0}function L1(a){a=a|0;a=a+8|0;if((i[a+11>>0]|0)<0){a=k[a>>2]|0;return a|0}else return a|0;return 0}function M1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+220>>2]&2047](b,a)|0}function N1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+104>>2]&2047](b,a)|0}function O1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+232>>2]&2047](b,a)|0}function P1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+152>>2]&2047](b,a)|0}function Q1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+100>>2]&2047](b,a)|0}function R1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+164>>2]&2047](b,a)|0}function S1(a){a=a|0;k[a>>2]=10232;EO(a+68|0);k[a>>2]=5436;EO(a+64|0);return}function T1(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function U1(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function V1(a,b){a=a|0;b=b|0;x9(a,b)|0;return 0}function W1(a,b){a=a|0;b=b|0;y9(a,b)|0;return 0}function X1(a,b){a=a|0;b=b|0;z9(a,b)|0;return 0}function Y1(a,b){a=a|0;b=b|0;A9(a,b)|0;return 0}function Z1(a,b){a=a|0;b=b|0;B9(a,b)|0;return 0}function _1(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function $1(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function a2(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function b2(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function c2(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function d2(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function e2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+44>>2]&2047](b,a)|0}function f2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+36>>2]&2047](b,a)|0}function g2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+32>>2]&2047](b,a)|0}function h2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+60>>2]&2047](b,a)|0}function i2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+48>>2]&2047](b,a)|0}function j2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+224>>2]&2047](b,a)|0}function k2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+112>>2]&2047](b,a)|0}function l2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+108>>2]&2047](b,a)|0}function m2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a)|0}function n2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a)|0}function o2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+220>>2]&2047](b,a)|0}function p2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+220>>2]&2047](b,a)|0}function q2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+104>>2]&2047](b,a)|0}function r2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+104>>2]&2047](b,a)|0}function s2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+40>>2]&2047](b,a)|0}function t2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+232>>2]&2047](b,a)|0}function u2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+232>>2]&2047](b,a)|0}function v2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+148>>2]&2047](b,a)|0}function w2(a){a=a|0;var b=0;b=i[a>>0]|0;b=b<<24>>24|0;return ((b|0)==32|(b+-9|0)>>>0<5?a+1|0:0)|0}function x2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+228>>2]&2047](b,a)|0}function y2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+64>>2]&2047](b,a)|0}function z2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+16>>2]&2047](b,a)|0}function A2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+76>>2]&2047](b,a)|0}function B2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+156>>2]&2047](b,a)|0}function C2(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function D2(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function E2(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function F2(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function G2(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function H2(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function I2(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function J2(a){a=a|0;k[a>>2]=10940;EO(a+68|0);k[a>>2]=5436;EO(a+64|0);return}function K2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+200>>2]&2047](b,a)|0}function L2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+252>>2]&2047](b,a)|0}function M2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a)|0}function N2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+220>>2]&2047](b,a)|0}function O2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+104>>2]&2047](b,a)|0}function P2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+40>>2]&2047](b,a)|0}function Q2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+40>>2]&2047](b,a)|0}function R2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+232>>2]&2047](b,a)|0}function S2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+148>>2]&2047](b,a)|0}function T2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+148>>2]&2047](b,a)|0}function U2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+228>>2]&2047](b,a)|0}function V2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+228>>2]&2047](b,a)|0}function W2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+152>>2]&2047](b,a)|0}function X2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+100>>2]&2047](b,a)|0}function Y2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+164>>2]&2047](b,a)|0}function Z2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+96>>2]&2047](b,a)|0}function _2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a)|0}function $2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+20>>2]&2047](b,a)|0}function a3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+160>>2]&2047](b,a)|0}function b3(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+196>>2]&1023](b,a);return}function c3(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+204>>2]&1023](b,a);return}function d3(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function e3(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function f3(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function g3(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function h3(a,b){a=a|0;b=b|0;N9(a,b)|0;return 0}function i3(a,b){a=a|0;b=b|0;O9(a,b)|0;return 0}function j3(a,b){a=a|0;b=b|0;P9(a,b)|0;return 0}function k3(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function l3(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function m3(a){a=a|0;k[a>>2]=5896;EO(a+68|0);k[a>>2]=5436;EO(a+64|0);return}function n3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+32>>2]&2047](b,a)|0}function o3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+60>>2]&2047](b,a)|0}function p3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+48>>2]&2047](b,a)|0}function q3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+224>>2]&2047](b,a)|0}function r3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+112>>2]&2047](b,a)|0}function s3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+108>>2]&2047](b,a)|0}function t3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+40>>2]&2047](b,a)|0}function u3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+148>>2]&2047](b,a)|0}function v3(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;k[a>>2]=c;k[a+4>>2]=d;k[a+8>>2]=b;return}function w3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+228>>2]&2047](b,a)|0}function x3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+64>>2]&2047](b,a)|0}function y3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+152>>2]&2047](b,a)|0}function z3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+152>>2]&2047](b,a)|0}function A3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+16>>2]&2047](b,a)|0}function B3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+100>>2]&2047](b,a)|0}function C3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+100>>2]&2047](b,a)|0}function D3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+76>>2]&2047](b,a)|0}function E3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+164>>2]&2047](b,a)|0}function F3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+164>>2]&2047](b,a)|0}function G3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+156>>2]&2047](b,a)|0}function H3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+92>>2]&2047](b,a)|0}function I3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+24>>2]&2047](b,a)|0}function J3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+68>>2]&2047](b,a)|0}function K3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+72>>2]&2047](b,a)|0}function L3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+12>>2]&2047](b,a)|0}function M3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+212>>2]&2047](b,a)|0}function N3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+116>>2]&2047](b,a)|0}function O3(a){a=a|0;k[a>>2]=10112;EO(a+64|0);EO(a+60|0);zqa(a);return}function P3(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function Q3(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function R3(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function S3(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function T3(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function U3(a,b){a=a|0;b=b|0;if(!b)a=0;else a=pw(b,8,40,0)|0;return a|0}function V3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a)|0}function W3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+220>>2]&2047](b,a)|0}function X3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+104>>2]&2047](b,a)|0}function Y3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+232>>2]&2047](b,a)|0}function Z3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+64>>2]&2047](b,a)|0}function _3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+64>>2]&2047](b,a)|0}function $3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+152>>2]&2047](b,a)|0}function a4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+16>>2]&2047](b,a)|0}function b4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+16>>2]&2047](b,a)|0}function c4(a,b,c){a=a|0;b=b|0;c=c|0;He(a,b+16|0,c);return}function d4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+100>>2]&2047](b,a)|0}function e4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+76>>2]&2047](b,a)|0}function f4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+76>>2]&2047](b,a)|0}function g4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+164>>2]&2047](b,a)|0}function h4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+96>>2]&2047](b,a)|0}function i4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+156>>2]&2047](b,a)|0}function j4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+156>>2]&2047](b,a)|0}function k4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a)|0}function l4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+20>>2]&2047](b,a)|0}function m4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+160>>2]&2047](b,a)|0}function n4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+88>>2]&2047](b,a)|0}function o4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+120>>2]&2047](b,a)|0}function p4(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+192>>2]&1023](b,a);return}function q4(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+240>>2]&1023](b,a);return}function r4(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+136>>2]&1023](b,a);return}function s4(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function t4(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function u4(a,b){a=a|0;b=b|0;U9(a,b)|0;return 0}function v4(a,b){a=a|0;b=b|0;V9(a,b)|0;return 0}function w4(a,b){a=a|0;b=b|0;W9(a,b)|0;return 0}function x4(a,b){a=a|0;b=b|0;X9(a,b)|0;return 0}function y4(a,b){a=a|0;b=b|0;Y9(a,b)|0;return 0}function z4(a){a=a|0;k[a>>2]=5712;EO(a+68|0);k[a>>2]=5436;EO(a+64|0);return}function A4(a){a=a|0;var b=0;b=k[a+116>>2]|0;if(b|0)Pf(b);$D(a);Pf(a);return}function B4(a){a=a|0;var b=0,c=0;c=(JI(a)|0)+1|0;b=pd(c)|0;if(!b)b=0;else GH(b|0,a|0,c|0)|0;return b|0}function C4(a,b,c){a=a|0;b=b|0;c=c|0;if(!b)a=0;else a=Ty(a,l[c>>0]|0,b)|0;return a|0}function D4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+40>>2]&2047](b,a)|0}function E4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+148>>2]&2047](b,a)|0}function F4(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function G4(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function H4(a){a=a|0;var b=0;b=i[a>>0]|0;b=b<<24>>24|0;return ((b|0)==32|(b+-9|0)>>>0<5?0:a)|0}function I4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+228>>2]&2047](b,a)|0}function J4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+64>>2]&2047](b,a)|0}function K4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+16>>2]&2047](b,a)|0}function L4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+76>>2]&2047](b,a)|0}function M4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+96>>2]&2047](b,a)|0}function N4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+96>>2]&2047](b,a)|0}function O4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+156>>2]&2047](b,a)|0}function P4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a)|0}function Q4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a)|0}function R4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+20>>2]&2047](b,a)|0}function S4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+20>>2]&2047](b,a)|0}function T4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+92>>2]&2047](b,a)|0}function U4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+24>>2]&2047](b,a)|0}function V4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+68>>2]&2047](b,a)|0}function W4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+72>>2]&2047](b,a)|0}function X4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+160>>2]&2047](b,a)|0}function Y4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+160>>2]&2047](b,a)|0}function Z4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+12>>2]&2047](b,a)|0}function _4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+212>>2]&2047](b,a)|0}function $4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+116>>2]&2047](b,a)|0}function a5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+84>>2]&2047](b,a)|0}function b5(a){a=a|0;k[a>>2]=10572;EO(a+64|0);EO(a+60|0);zqa(a);return}function c5(a){a=a|0;k[a>>2]=9640;$9(a+64|0);zqa(a);return}function d5(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function e5(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function f5(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function g5(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function h5(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function i5(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function j5(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function k5(a){a=a|0;var b=0;b=i[a>>0]|0;return (((b&-33)+-65|0)>>>0<6|(b+-48|0)>>>0<10?a+1|0:0)|0}function l5(a){a=a|0;var b=0;b=i[a>>0]|0;return ((b+-48|0)>>>0<10|((b&-33)+-65|0)>>>0<26?a+1|0:0)|0}function m5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+152>>2]&2047](b,a)|0}function n5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+100>>2]&2047](b,a)|0}function o5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+164>>2]&2047](b,a)|0}function p5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+96>>2]&2047](b,a)|0}function q5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a)|0}function r5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+20>>2]&2047](b,a)|0}function s5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+92>>2]&2047](b,a)|0}function t5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+92>>2]&2047](b,a)|0}function u5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+24>>2]&2047](b,a)|0}function v5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+24>>2]&2047](b,a)|0}function w5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+68>>2]&2047](b,a)|0}function x5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+68>>2]&2047](b,a)|0}function y5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+72>>2]&2047](b,a)|0}function z5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+72>>2]&2047](b,a)|0}function A5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+160>>2]&2047](b,a)|0}function B5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+12>>2]&2047](b,a)|0}function C5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+12>>2]&2047](b,a)|0}function D5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+212>>2]&2047](b,a)|0}function E5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+212>>2]&2047](b,a)|0}function F5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+116>>2]&2047](b,a)|0}function G5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+116>>2]&2047](b,a)|0}function H5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+88>>2]&2047](b,a)|0}function I5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+120>>2]&2047](b,a)|0}function J5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+80>>2]&2047](b,a)|0}function K5(a){a=a|0;k[a>>2]=8728;EO(a+64|0);EO(a+60|0);zqa(a);return}function L5(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+256>>2]&1023](b,a);return}function M5(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function N5(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function O5(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function P5(a,b){a=a|0;b=b|0;aaa(a,b)|0;return 0}function Q5(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Kc[a&31](b|0,c|0,d|0,e|0)|0}function R5(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function S5(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function T5(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function U5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+64>>2]&2047](b,a)|0}function V5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+16>>2]&2047](b,a)|0}function W5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+76>>2]&2047](b,a)|0}function X5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+156>>2]&2047](b,a)|0}function Y5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+92>>2]&2047](b,a)|0}function Z5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+24>>2]&2047](b,a)|0}function _5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+68>>2]&2047](b,a)|0}function $5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+72>>2]&2047](b,a)|0}function a6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+12>>2]&2047](b,a)|0}function b6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+212>>2]&2047](b,a)|0}function c6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+116>>2]&2047](b,a)|0}function d6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+88>>2]&2047](b,a)|0}function e6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+88>>2]&2047](b,a)|0}function f6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+120>>2]&2047](b,a)|0}function g6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+120>>2]&2047](b,a)|0}function h6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+84>>2]&2047](b,a)|0}function i6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+184>>2]&1023](b,a);return}function j6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+188>>2]&1023](b,a);return}function k6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+268>>2]&1023](b,a);return}function l6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+124>>2]&1023](b,a);return}function m6(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function n6(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function o6(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function p6(a){a=a|0;k[a>>2]=9640;$9(a+64|0);zqa(a);return}function q6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+96>>2]&2047](b,a)|0}function r6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a)|0}function s6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+20>>2]&2047](b,a)|0}function t6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+160>>2]&2047](b,a)|0}function u6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+88>>2]&2047](b,a)|0}function v6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+120>>2]&2047](b,a)|0}function w6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+84>>2]&2047](b,a)|0}function x6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+84>>2]&2047](b,a)|0}function y6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+80>>2]&2047](b,a)|0}function z6(a){a=a|0;k[a>>2]=10324;EO(a+64|0);EO(a+60|0);zqa(a);return}function A6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+264>>2]&1023](b,a);return}function B6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+128>>2]&1023](b,a);return}function C6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+244>>2]&1023](b,a);return}function D6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+272>>2]&1023](b,a);return}function E6(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function F6(a,b){a=a|0;b=b|0;eaa(a,b)|0;return 0}function G6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;c=a+c>>>0;return (N=b+d+(c>>>0<a>>>0|0)>>>0,c|0)|0}function H6(a){a=a|0;LL(a+(k[(k[a>>2]|0)+-12>>2]|0)+12|0);return}function I6(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function J6(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function K6(a){a=a|0;k[a>>2]=5344;EO(a+68|0);k[a>>2]=5436;EO(a+64|0);return}function L6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+92>>2]&2047](b,a)|0}function M6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+24>>2]&2047](b,a)|0}function N6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+68>>2]&2047](b,a)|0}function O6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+72>>2]&2047](b,a)|0}function P6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+12>>2]&2047](b,a)|0}function Q6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+212>>2]&2047](b,a)|0}function R6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+116>>2]&2047](b,a)|0}function S6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+84>>2]&2047](b,a)|0}function T6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+80>>2]&2047](b,a)|0}function U6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+80>>2]&2047](b,a)|0}function V6(a){a=a|0;k[a>>2]=8044;EO(a+72|0);EO(a+68|0);zqa(a);return}function W6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+176>>2]&1023](b,a);return}function X6(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function Y6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+236>>2]&1023](b,a);return}function Z6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+260>>2]&1023](b,a);return}function _6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+216>>2]&1023](b,a);return}function $6(a){a=a|0;var b=0;k[a>>2]=26404;b=k[a+8>>2]|0;if(b|0)if(i[a+12>>0]|0)sqa(b);return}function a7(a,b){a=a|0;b=b|0;pK(a,b+16|0);return}function b7(a,b){a=a|0;b=b|0;pK(a,b+12|0);return}function c7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function d7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function e7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function f7(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+88>>2]&2047](b,a)|0}function g7(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+120>>2]&2047](b,a)|0}function h7(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+80>>2]&2047](b,a)|0}function i7(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function j7(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function k7(a,b){a=a|0;b=b|0;haa(a,b)|0;return 0}function l7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+248>>2]&1023](b,a);return}function m7(a){a=a|0;LL(a+(k[(k[a>>2]|0)+-12>>2]|0)+4|0);return}function n7(a){a=a|0;LL(a+(k[(k[a>>2]|0)+-12>>2]|0)+4|0);return}function o7(a){a=a|0;LL(a+(k[(k[a>>2]|0)+-12>>2]|0)+8|0);return}function p7(a){a=a|0;LL(a+(k[(k[a>>2]|0)+-12>>2]|0)+8|0);return}function q7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function r7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function s7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function t7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function u7(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function v7(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+84>>2]&2047](b,a)|0}function w7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+28>>2]&1023](b,a);return}function x7(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function y7(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function z7(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function A7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+168>>2]&1023](b,a);return}function B7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+172>>2]&1023](b,a);return}function C7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+276>>2]&1023](b,a);return}function D7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+132>>2]&1023](b,a);return}function E7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+208>>2]&1023](b,a);return}function F7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function G7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function H7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function I7(a){a=a|0;k[a>>2]=7e3;EO(a+68|0);k[a>>2]=5436;EO(a+64|0);return}function J7(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+80>>2]&2047](b,a)|0}function K7(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function L7(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function M7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+44>>2]&1023](b,a);return}function N7(a){a=a|0;k[a>>2]=10820;EO(a+64|0);EO(a+60|0);zqa(a);return}function O7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+36>>2]&1023](b,a);return}function P7(a){a=a|0;k[a>>2]=8848;$9(a+60|0);zqa(a);return}function Q7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function R7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function S7(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function T7(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function U7(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function V7(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function W7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+200>>2]&1023](b,a);return}function X7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+252>>2]&1023](b,a);return}function Y7(a,b){a=a|0;b=b|0;i[a+-60+53>>0]=0;return}function Z7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function _7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function $7(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function a8(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function b8(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function c8(a){a=a|0;return xl(a)|0}function d8(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function e8(a){a=a|0;k[a>>2]=8968;$9(a+64|0);zqa(a);return}function f8(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function g8(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function h8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+32>>2]&1023](b,a);return}function i8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+60>>2]&1023](b,a);return}function j8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+48>>2]&1023](b,a);return}function k8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+224>>2]&1023](b,a);return}function l8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+112>>2]&1023](b,a);return}function m8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+108>>2]&1023](b,a);return}function n8(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ea(32);return 0}function o8(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function p8(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function q8(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function r8(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function s8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+52>>2]&1023](b,a);return}function t8(a,b){a=a|0;b=b|0;b=k[b>>2]|0;k[a>>2]=b;Bca(b);return}function u8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+220>>2]&1023](b,a);return}function v8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+104>>2]&1023](b,a);return}function w8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+232>>2]&1023](b,a);return}function x8(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function y8(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function z8(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function A8(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function B8(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function C8(a,b){a=a|0;b=b|0;Cw(a+16|0,b);return}function D8(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function E8(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function F8(a){a=a|0;k[a>>2]=9088;$9(a+96|0);zqa(a);return}function G8(a,b){a=a|0;b=b|0;return Wh(a,b)|0}function H8(a,b,c){a=a|0;b=b|0;c=c|0;return (a|0)==(b|0)|0}function I8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+40>>2]&1023](b,a);return}function J8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+148>>2]&1023](b,a);return}function K8(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function L8(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function M8(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function N8(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function O8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+228>>2]&1023](b,a);return}function P8(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function Q8(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function R8(a,b){a=a|0;b=b|0;Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a+8|0)|0;return 0}function S8(a){a=a|0;k[a>>2]=10112;EO(a+64|0);EO(a+60|0);return}function T8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;Pc[a&63](b|0,c|0,d|0,e|0)}function U8(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=c;k[a+4>>2]=b;return}function V8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+152>>2]&1023](b,a);return}function W8(a,b){a=a|0;b=b|0;Vz(a+16|0,b);return}function X8(a,b){a=a|0;b=b|0;pK(a,b+4|0);return}function Y8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+100>>2]&1023](b,a);return}function Z8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+164>>2]&1023](b,a);return}function _8(a){a=a|0;var b=0,c=0;b=(Wqa()|0)+184|0;c=k[b>>2]|0;if(a|0)k[b>>2]=a;return c|0}function $8(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function a9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function b9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function c9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function d9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+64>>2]&1023](b,a);return}function e9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+16>>2]&1023](b,a);return}function f9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+76>>2]&1023](b,a);return}function g9(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function h9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+156>>2]&1023](b,a);return}function i9(a,b){a=a|0;b=b|0;Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a+8|0)|0;return 0}function j9(a,b){a=a|0;b=b|0;Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a+8|0)|0;return 0}function k9(a){a=a|0;k[a>>2]=10572;EO(a+64|0);EO(a+60|0);return}function l9(a){a=a|0;k[a>>2]=9640;$9(a+64|0);return}function m9(a){a=a|0;var b=0;if(a>>>0>4294963200){b=v9()|0;k[b>>2]=0-a;a=-1}return a|0}function n9(a,b,c){a=a|0;b=b|0;c=c|0;if(!c)a=0;else a=zM(a,b,c)|0;return a|0}function o9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function p9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function q9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+96>>2]&1023](b,a);return}function r9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+56>>2]&1023](b,a);return}function s9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+20>>2]&1023](b,a);return}function t9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+160>>2]&1023](b,a);return}function u9(a){a=a|0;k[a>>2]=8728;EO(a+64|0);EO(a+60|0);return}function v9(){var a=0;if(!(k[19133]|0))a=76576;else{a=(Wqa()|0)+64|0;a=k[a>>2]|0}return a|0}function w9(a){a=a|0;if((i[a+8+3>>0]|0)<0)zqa(k[a>>2]|0);return}function x9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function y9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function z9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function A9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function B9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function C9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+92>>2]&1023](b,a);return}function D9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+24>>2]&1023](b,a);return}function E9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+68>>2]&1023](b,a);return}function F9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+72>>2]&1023](b,a);return}function G9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+12>>2]&1023](b,a);return}function H9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+212>>2]&1023](b,a);return}function I9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+116>>2]&1023](b,a);return}function J9(a,b){a=a|0;b=b|0;mc[k[k[b>>2]>>2]&1023](b,a);return}function K9(a){a=a|0;var b=0;b=ZN(1,40)|0;if(!b){b=0;return b|0}i[b+4>>0]=a&1;return b|0}function L9(a){a=a|0;k[a>>2]=26496;$9(a+16|0);return}function M9(a){a=a|0;k[a>>2]=26456;$9(a+12|0);return}function N9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function O9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function P9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function Q9(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=b;k[a+4>>2]=c;k[a+8>>2]=-1;return}function R9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+88>>2]&1023](b,a);return}function S9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+120>>2]&1023](b,a);return}function T9(a){a=a|0;k[a>>2]=10324;EO(a+64|0);EO(a+60|0);return}function U9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function V9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function W9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function X9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function Y9(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function Z9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+84>>2]&1023](b,a);return}function _9(a){a=a|0;k[a>>2]=8044;EO(a+72|0);EO(a+68|0);return}function $9(a){a=a|0;if((i[a+11>>0]|0)<0)zqa(k[a>>2]|0);return}function aaa(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function baa(a){a=a|0;switch(i[a>>0]|0){case 13:case 10:case 0:break;default:a=0}return a|0}function caa(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function daa(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+80>>2]&1023](b,a);return}function eaa(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function faa(a){a=a|0;var b=0;b=a+36|0;do{k[a>>2]=0;a=a+4|0}while((a|0)<(b|0));return}function gaa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ea(13)}function haa(a,b){a=a|0;b=b|0;vN(0,0)|0;return 0}function iaa(a,b){a=a|0;b=b|0;i[a+53>>0]=0;return}function jaa(a){a=a|0;k[a>>2]=10820;EO(a+64|0);EO(a+60|0);return}function kaa(a){a=a|0;k[a>>2]=8848;$9(a+60|0);return}function laa(a){a=a|0;k[a>>2]=23512;Sea(a+4|0);zqa(a);return}function maa(a){a=a|0;k[a>>2]=23448;Sea(a+4|0);zqa(a);return}function naa(a){a=a|0;k[a>>2]=8968;$9(a+64|0);return}function oaa(a){a=a|0;_L(a+8|0);zqa(a);return}function paa(a){a=a|0;_L(a+8|0);zqa(a);return}function qaa(a,b){a=a|0;b=b|0;mc[k[k[b>>2]>>2]&1023](b,a);return}function raa(a,b){a=a|0;b=b|0;return Fc[k[(k[a>>2]|0)+88>>2]&2047](a,b)|0}function saa(a){a=a|0;a=i[a>>0]|0;a=a<<24>>24|0;return (a|0)==32|(a+-9|0)>>>0<5|0}function taa(a){a=a|0;k[a>>2]=9088;$9(a+96|0);return}function uaa(a){a=a|0;Aca(a+-8|0);return}function vaa(a,b){a=a|0;b=b|0;i[a+-60+53>>0]=0;return}function waa(a,b){a=a|0;b=b|0;mc[k[k[b>>2]>>2]&1023](b,a);return}function xaa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function yaa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function zaa(a){a=a|0;zqa(a);return}function Aaa(a){a=a|0;if(a|0)lc[k[(k[a>>2]|0)+4>>2]&511](a);return}function Baa(a){a=a|0;Ky(a);zqa(a);return}function Caa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Daa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Eaa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Faa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return rc[a&255](b|0,c|0,d|0)|0}function Gaa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ea(0);return 0}function Haa(a){a=a|0;var b=0;b=k[19539]|0;k[19539]=b+1;k[a+4>>2]=b+1;return}function Iaa(a){a=a|0;a=i[a>>0]|0;return (a+-48|0)>>>0<10|((a&-33)+-65|0)>>>0<26|0}function Jaa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Kaa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Laa(a,b){a=a|0;b=b|0;return Mg(a,b)|0}function Maa(a,b,c){a=a|0;b=b|0;c=c|0;if(c)a=eL(a,b,c)|0;return a|0}function Naa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Oaa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Paa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Qaa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Raa(a,b,c){a=a|0;b=b|0;c=c|0;if(b)a=cU(a,c,b)|0;return a|0}function Saa(a,b,c){a=a|0;b=b|0;c=c|0;if(c)a=OQ(a,b,c)|0;return a|0}function Taa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Uaa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Vaa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Waa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Xaa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Yaa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Zaa(a,b){a=a|0;b=b|0;return hQ(46490)|0}function _aa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return +Hc[a&7](b|0,c|0,d|0)}function $aa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;ea(25);return 0}function aba(a,b){a=a|0;b=b|0;a=pC(a,b)|0;return ((i[a>>0]|0)==(b&255)<<24>>24?a:0)|0}function bba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function cba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function dba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function eba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function fba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function gba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function hba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function iba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function jba(a,b,c){a=a|0;b=b|0;c=c|0;k[(k[a+8>>2]|0)+(b<<3)+4>>2]=c;return}function kba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;eb(a|0,b|0,c|0,d|0)}function lba(a,b){a=a|0;b=b|0;k[a>>2]=18076;k[a+4>>2]=b;return}function mba(a){a=a|0;k[a>>2]=23512;Sea(a+4|0);return}function nba(a){a=a|0;k[a>>2]=23448;Sea(a+4|0);return}function oba(a){a=a|0;k[a>>2]=10696;EO(a+60|0);zqa(a);return}function pba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function qba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function rba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function sba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function tba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function uba(a){a=a|0;var b=0;b=a;while(1)if(!(k[b>>2]|0))break;else b=b+4|0;return b-a>>2|0}function vba(a,b,c){a=a|0;b=b|0;c=c|0;k[(k[a+12>>2]|0)+(b<<2)>>2]=c;return}function wba(a){a=a|0;_L(a+8|0);return}function xba(a){a=a|0;_L(a+8|0);return}function yba(a,b){a=a|0;b=b|0;i[a+53>>0]=0;return}function zba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Aba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Bba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Cba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Dba(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ea(21)}function Eba(a,b){a=a|0;b=b|0;return}function Fba(){var a=0;a=gb(4)|0;doa(a);Wb(a|0,4496,348)}function Gba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Lc[a&255](b|0,c|0,d|0)}function Hba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Iba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Jba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Kba(a,b){a=a|0;b=b|0;return}function Lba(a){a=a|0;var b=0;b=a+12|0;a=k[b>>2]|0;k[b>>2]=0;return a|0}function Mba(a,b){a=a|0;b=b|0;wN(a+24|0,b);return}function Nba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Oba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Pba(a,b,c){a=a|0;b=b|0;c=c|0;k[(k[a+8>>2]|0)+(b<<3)>>2]=c;return}function Qba(a){a=a|0;var b=0;b=a+8|0;a=k[b>>2]|0;k[b>>2]=0;return a|0}function Rba(a,b){a=a|0;b=b|0;return}function Sba(a){a=a|0;a=a+4|0;k[a>>2]=(k[a>>2]|0)+1;return}function Tba(a,b){a=a|0;b=b|0;return 0}function Uba(a){a=a|0;k[a>>2]=10448;EO(a+60|0);zqa(a);return}function Vba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Wba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Xba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Yba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Zba(a,b){a=a|0;b=b|0;return hQ(46490)|0}function _ba(a,b){a=a|0;b=b|0;return b|0}function $ba(a,b){a=a|0;b=b|0;return b|0}function aca(a,b){a=a|0;b=b|0;return hQ(46490)|0}function bca(a,b){a=a|0;b=b|0;return hQ(46490)|0}function cca(a,b){a=a|0;b=b|0;return hQ(46490)|0}function dca(a){a=a|0;var b=0;b=r;r=r+a|0;r=r+15&-16;return b|0}function eca(a){a=a|0;if((i[a>>0]|0)==1)a=0;else{i[a>>0]=1;a=1}return a|0}function fca(a,b){a=a|0;b=b|0;return 0}function gca(a,b){a=a|0;b=b|0;return}function hca(a){a=a|0;k[a>>2]=8164;EO(a+64|0);zqa(a);return}function ica(a,b){a=a|0;b=b|0;return 0}function jca(a){a=a|0;k[a>>2]=11548;EO(a+72|0);zqa(a);return}function kca(a,b){a=a|0;b=b|0;return hQ(46490)|0}function lca(a,b){a=a|0;b=b|0;return hQ(46490)|0}function mca(a,b){a=a|0;b=b|0;return hQ(46490)|0}function nca(a,b){a=a|0;b=b|0;return hQ(46490)|0}function oca(a,b){a=a|0;b=b|0;return hQ(46490)|0}function pca(a){a=a|0;if(!a)a=0;else a=(pw(a,4456,4640,0)|0)!=0;return a&1|0}function qca(){var a=0;a=gb(4)|0;Ona(a);Wb(a|0,4608,360)}function rca(a,b){a=a|0;b=b|0;return}function sca(a,b){a=a|0;b=b|0;return b|0}function tca(a,b){a=a|0;b=b|0;return b|0}function uca(a,b){a=a|0;b=b|0;return b|0}function vca(a,b){a=a|0;b=b|0;return hQ(46490)|0}function wca(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=b;k[a+4>>2]=c;return}function xca(a,b){a=a|0;b=b|0;return hQ(46490)|0}function yca(a,b){a=a|0;b=b|0;return}function zca(){if(!(i[72520]|0))if(eca(72520)|0)k[20015]=26832;return 80060}function Aca(a){a=a|0;LL(a+12|0);zqa(a);return}function Bca(a){a=a|0;a=a+4|0;k[a>>2]=(k[a>>2]|0)+1;return}function Cca(a,b,c){a=a|0;b=b|0;c=c|0;return (b>>>0<128?b&255:c)|0}function Dca(a){a=a|0;return (((i[a>>0]|0)+-32&255)<95?a+1|0:0)|0}function Eca(a,b){a=a|0;b=b|0;return b|0}function Fca(a,b){a=a|0;b=b|0;return b|0}function Gca(a,b){a=a|0;b=b|0;return b|0}function Hca(a,b){a=a|0;b=b|0;return hQ(46490)|0}function Ica(a,b){a=a|0;b=b|0;return}function Jca(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ea(6);return 0}function Kca(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=Rea(a,b,c)|0;return d|0}function Lca(){if(!(i[72528]|0))if(eca(72528)|0)k[20016]=26868;return 80064}function Mca(a){a=a|0;mba(a);zqa(a);return}function Nca(a){a=a|0;nba(a);zqa(a);return}function Oca(a,b,c){a=a|0;b=b|0;c=c|0;return (b<<24>>24>-1?b:c)|0}function Pca(a,b){a=a|0;b=b|0;return b|0}function Qca(a,b){a=a|0;b=b|0;return b|0}function Rca(a,b){a=a|0;b=b|0;return b|0}function Sca(a,b){a=a|0;b=b|0;return b|0}function Tca(a,b){a=a|0;b=b|0;return b|0}function Uca(a,b){a=a|0;b=b|0;return}function Vca(a,b,c,d){a=a|0;b=+b;c=+c;d=+d;return zc[a&1](+b,+c,+d)|0}function Wca(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function Xca(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function Yca(a){a=a|0;LL(a+4|0);zqa(a);return}function Zca(a){a=a|0;LL(a+4|0);zqa(a);return}function _ca(a){a=a|0;LL(a+8|0);zqa(a);return}function $ca(a){a=a|0;LL(a+8|0);zqa(a);return}function ada(a){a=a|0;mba(a);zqa(a);return}function bda(a){a=a|0;nba(a);zqa(a);return}function cda(a){a=a|0;k[a>>2]=27052;_S(a+4|0);return}function dda(a,b){a=a|0;b=b|0;return b|0}function eda(a,b){a=a|0;b=b|0;return b|0}function fda(a,b){a=a|0;b=b|0;return b|0}function gda(a,b){a=a|0;b=b|0;return b|0}function hda(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=rda(a,b,c)|0;return d|0}function ida(a){a=a|0;return k[(k[(k[a+8>>2]|0)+264>>2]|0)+-4>>2]|0}function jda(a,b){a=a|0;b=b|0;return K9((i[b+60>>0]|0)!=0)|0}function kda(a,b){a=a|0;b=b|0;return}function lda(a,b){a=a|0;b=b|0;return}function mda(a,b){a=a|0;b=b|0;return b|0}function nda(a,b){a=a|0;b=b|0;return b|0}function oda(a,b){a=a|0;b=b|0;return b|0}function pda(a,b){a=a|0;b=b|0;return b|0}function qda(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;ea(1);return 0}function rda(a,b,c){a=a|0;b=b|0;c=c|0;c=bI(a,b,c,0,-2147483648)|0;return c|0}function sda(a){a=a|0;LL(a+-8+12|0);return}function tda(a){a=a|0;k[a>>2]=27032;_S(a+4|0);return}function uda(a){a=a|0;k[a>>2]=10696;EO(a+60|0);return}function vda(a,b){a=a|0;b=b|0;return b|0}function wda(a,b){a=a|0;b=b|0;return b|0}function xda(a,b){a=a|0;b=b|0;return b|0}function yda(a,b){a=a|0;b=b|0;return b|0}function zda(a,b,c){a=a|0;b=b|0;c=c|0;c=bI(a,b,c,-2147483648,0)|0;return c|0}function Ada(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Ik(a,b,c,d,0)|0}function Bda(a){a=a|0;k[a>>2]=7184;EO(a+64|0);zqa(a);return}function Cda(a,b){a=a|0;b=b|0;return}function Dda(a,b){a=a|0;b=b|0;return}function Eda(a,b){a=a|0;b=b|0;return}function Fda(a,b){a=a|0;b=b|0;return b|0}function Gda(a,b){a=a|0;b=b|0;return b|0}function Hda(a,b){a=a|0;b=b|0;return b|0}function Ida(a,b){a=a|0;b=b|0;return b|0}function Jda(a,b){a=a|0;b=b|0;return b|0}function Kda(a,b){a=a|0;b=b|0;return b|0}function Lda(a,b){a=a|0;b=b|0;return b|0}function Mda(a,b){a=a|0;b=b|0;return}function Nda(a,b,c){a=a|0;b=b|0;c=c|0;k[a+(b<<2)>>2]=c;return}function Oda(a){a=a|0;k[a>>2]=19180;i[a+8>>0]=0;k[a+4>>2]=0;return}function Pda(a,b){a=a|0;b=b|0;k[a+64>>2]=b;return}function Qda(a){a=a|0;return (((i[a>>0]|0)+-42&255)<85?a+1|0:0)|0}function Rda(a,b){a=a|0;b=b|0;return b|0}function Sda(a,b){a=a|0;b=b|0;return b|0}function Tda(a){a=a|0;hJ(a);zqa(a);return}function Uda(a){a=a|0;k[a>>2]=6356;EO(a+64|0);zqa(a);return}function Vda(a){a=a|0;k[a>>2]=7460;EO(a+64|0);zqa(a);return}function Wda(a){a=a|0;k[a>>2]=6632;EO(a+64|0);zqa(a);return}function Xda(a,b){a=a|0;b=b|0;return}function Yda(a,b){a=a|0;b=b|0;return}function Zda(a,b){a=a|0;b=b|0;return b|0}function _da(a,b){a=a|0;b=b|0;return b|0}function $da(a,b){a=a|0;b=b|0;return b|0}function aea(a,b){a=a|0;b=b|0;return b|0}function bea(a,b){a=a|0;b=b|0;return b|0}function cea(a,b){a=a|0;b=b|0;return b|0}function dea(a,b){a=a|0;b=b|0;return}function eea(a,b){a=a|0;b=b|0;return}function fea(a){a=a|0;k[a>>2]=7092;EO(a+64|0);zqa(a);return}function gea(a){a=a|0;k[a>>2]=5528;EO(a+64|0);zqa(a);return}function hea(a,b){a=a|0;b=b|0;return}function iea(a,b){a=a|0;b=b|0;return}function jea(a,b){a=a|0;b=b|0;return}function kea(a,b){a=a|0;b=b|0;return}function lea(a,b){a=a|0;b=b|0;return b|0}function mea(a,b){a=a|0;b=b|0;return b|0}function nea(a,b){a=a|0;b=b|0;return b|0}function oea(a,b){a=a|0;b=b|0;return b|0}function pea(a,b){a=a|0;b=b|0;return b|0}function qea(a,b){a=a|0;b=b|0;return b|0}function rea(a,b){a=a|0;b=b|0;return b|0}function sea(a,b){a=a|0;b=b|0;return}function tea(a,b,c){a=a|0;b=b|0;c=c|0;return Fc[a&2047](b|0,c|0)|0}function uea(a){a=a|0;k[a>>2]=0;i[a+4>>0]=0;k[a+8>>2]=0;return}function vea(a){a=a|0;return (((i[a>>0]&-33)+-65|0)>>>0<26?a+1|0:0)|0}function wea(a){a=a|0;k[a>>2]=6448;EO(a+64|0);zqa(a);return}function xea(a){a=a|0;k[a>>2]=6540;EO(a+64|0);zqa(a);return}function yea(a){a=a|0;k[a>>2]=10448;EO(a+60|0);return}function zea(a,b){a=a|0;b=b|0;return}function Aea(a,b){a=a|0;b=b|0;return}function Bea(a,b){a=a|0;b=b|0;return}function Cea(a,b){a=a|0;b=b|0;return}function Dea(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ea(15)}function Eea(a,b){a=a|0;b=b|0;return k[(k[a+8>>2]|0)+(b<<3)+4>>2]|0}function Fea(a,b){a=a|0;b=b|0;k[a+88>>2]=b;return}function Gea(a,b){a=a|0;b=b|0;return}function Hea(a,b){a=a|0;b=b|0;return}function Iea(a,b){a=a|0;b=b|0;return}function Jea(a,b){a=a|0;b=b|0;return}function Kea(a,b){a=a|0;b=b|0;return b|0}function Lea(a,b){a=a|0;b=b|0;return b|0}function Mea(a,b){a=a|0;b=b|0;return b|0}function Nea(a,b){a=a|0;b=b|0;return b|0}function Oea(a,b){a=a|0;b=b|0;return b|0}function Pea(a,b){a=a|0;b=b|0;return b|0}function Qea(a,b,c,d,e,f){a=+a;b=+b;c=+c;d=+d;e=e|0;f=f|0;ea(14);return 0}function Rea(a,b,c){a=a|0;b=b|0;c=c|0;c=bI(a,b,c,-1,-1)|0;return c|0}function Sea(a){a=a|0;lQ(k[a>>2]|0)|0;return}function Tea(a){a=a|0;return (((i[a>>0]|0)+-48|0)>>>0<10?a+1|0:0)|0}function Uea(a){a=a|0;k[a>>2]=8164;EO(a+64|0);return}function Vea(a){a=a|0;k[a>>2]=11548;EO(a+72|0);return}function Wea(a,b){a=a|0;b=b|0;return}function Xea(a,b){a=a|0;b=b|0;return}function Yea(a,b){a=a|0;b=b|0;return b|0}function Zea(a,b){a=a|0;b=b|0;return b|0}function _ea(a,b){a=a|0;b=b|0;return b|0}function $ea(a,b){a=a|0;b=b|0;return b|0}function afa(a,b){a=a|0;b=b|0;return k[(k[a+12>>2]|0)+(b<<2)>>2]|0}function bfa(a,b){a=a|0;b=b|0;return}function cfa(a,b){a=a|0;b=b|0;return}function dfa(a,b){a=a|0;b=b|0;return}function efa(a,b){a=a|0;b=b|0;return}function ffa(a,b){a=a|0;b=b|0;return}function gfa(a,b){a=a|0;b=b|0;return}function hfa(a,b){a=a|0;b=b|0;return}function ifa(a,b){a=a|0;b=b|0;return}function jfa(a,b){a=a|0;b=b|0;return b|0}function kfa(a,b){a=a|0;b=b|0;return b|0}function lfa(a,b){a=a|0;b=b|0;return b|0}function mfa(a,b){a=a|0;b=b|0;return b|0}function nfa(a,b){a=a|0;b=b|0;return b|0}function ofa(a,b){a=a|0;b=b|0;return b|0}function pfa(a,b){a=a|0;b=b|0;return b|0}function qfa(a){a=a|0;a=a+-60|0;PD(a+60|0);zqa(a);return}function rfa(){Ef(72352,1);k[19992]=72352;return 79968}function sfa(a,b){a=a|0;b=b|0;return}function tfa(a,b){a=a|0;b=b|0;return b|0}function ufa(a,b){a=a|0;b=b|0;return b|0}function vfa(a,b){a=a|0;b=b|0;return b|0}function wfa(a,b){a=a|0;b=b|0;return b|0}function xfa(a,b){a=a|0;b=b|0;return b|0}function yfa(a,b){a=a|0;b=b|0;return b|0}function zfa(a){a=a|0;LL(a+12|0);return}function Afa(a){a=a|0;return (k[a+64>>2]|0)==(k[a+68>>2]|0)|0}function Bfa(a,b){a=a|0;b=b|0;return}function Cfa(a,b){a=a|0;b=b|0;return}function Dfa(a,b){a=a|0;b=b|0;return}function Efa(a,b){a=a|0;b=b|0;return}function Ffa(a,b){a=a|0;b=b|0;return b|0}function Gfa(a,b){a=a|0;b=b|0;return b|0}function Hfa(a,b){a=a|0;b=b|0;return b|0}function Ifa(a,b){a=a|0;b=b|0;return b|0}function Jfa(a,b){a=a|0;b=b|0;return b|0}function Kfa(a,b,c){a=a|0;b=b|0;c=c|0;return +Ic[a&1](b|0,c|0)}function Lfa(a){a=a|0;return (k[a+84>>2]|0)==(k[a+88>>2]|0)|0}function Mfa(a,b){a=a|0;b=b|0;return}function Nfa(a,b){a=a|0;b=b|0;return}function Ofa(a,b){a=a|0;b=b|0;return}function Pfa(a,b){a=a|0;b=b|0;return}function Qfa(a,b){a=a|0;b=b|0;return b|0}function Rfa(a,b){a=a|0;b=b|0;return b|0}function Sfa(a,b){a=a|0;b=b|0;return k[(k[a+8>>2]|0)+(b<<3)>>2]|0}function Tfa(a){a=a|0;LL(a+4|0);return}function Ufa(a){a=a|0;LL(a+4|0);return}function Vfa(a){a=a|0;LL(a+8|0);return}function Wfa(a){a=a|0;LL(a+8|0);return}function Xfa(a){a=a|0;return 2}function Yfa(a){a=a|0;return 2}function Zfa(a,b){a=a|0;b=b|0;return (k[b+56>>2]|0)==8|0}function _fa(a,b){a=a|0;b=b|0;return}function $fa(a,b){a=a|0;b=b|0;return}function aga(a,b){a=a|0;b=b|0;return b|0}function bga(a,b){a=a|0;b=b|0;return b|0}function cga(){var a=0;a=ZN(1,40)|0;if(!a)a=0;else k[a>>2]=6;return a|0}function dga(a){a=a|0;zqa(a);return}function ega(a){a=a|0;zqa(a);return}function fga(a){a=a|0;zqa(a);return}function gga(a){a=a|0;zqa(a);return}function hga(a,b){a=a|0;b=b|0;return}function iga(a,b){a=a|0;b=b|0;return}function jga(a,b){a=a|0;b=b|0;return}function kga(a,b){a=a|0;b=b|0;return}function lga(a,b){a=a|0;b=b|0;return}function mga(a,b){a=a|0;b=b|0;return b|0}function nga(a,b,c){a=a|0;b=b|0;c=+c;return Bc[a&1](b|0,+c)|0}function oga(a,b,c){a=a|0;b=+b;c=c|0;return Mc[a&1](+b,c|0)|0}function pga(a,b){a=a|0;b=b|0;i[a+21>>0]=b&1;return}function qga(a,b,c){a=a|0;b=b|0;c=c|0;return vw(0,a,b,c|0?c:76592)|0}function rga(a){a=a|0;zqa(a);return}function sga(a){a=a|0;zqa(a);return}function tga(a,b){a=a|0;b=b|0;return}function uga(a,b){a=a|0;b=b|0;return}function vga(a,b){a=a|0;b=b|0;return}function wga(a,b){a=a|0;b=b|0;return}function xga(a,b){a=a|0;b=b|0;return}function yga(a,b){a=a|0;b=b|0;return}function zga(a,b){a=a|0;b=b|0;return}function Aga(a,b){a=a|0;b=b|0;return}function Bga(a,b){a=a|0;b=b|0;return}function Cga(a,b){a=a|0;b=b|0;i[a+52>>0]=b&1;return}function Dga(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(9);return 0}function Ega(a,b,c){a=a|0;b=b|0;c=c|0;Wb(a|0,b|0,c|0)}function Fga(a){a=a|0;zqa(a);return}function Gga(a){a=a|0;zqa(a);return}function Hga(a){a=a|0;zqa(a);return}function Iga(a){a=a|0;zqa(a);return}function Jga(a){a=a|0;k[a>>2]=7184;EO(a+64|0);return}function Kga(a,b){a=a|0;b=b|0;return}function Lga(a,b){a=a|0;b=b|0;return}function Mga(a,b){a=a|0;b=b|0;return}function Nga(a,b){a=a|0;b=b|0;return}function Oga(a,b){a=a|0;b=b|0;return}function Pga(a,b){a=a|0;b=b|0;return}function Qga(a,b){a=a|0;b=b|0;return}function Rga(a,b){a=a|0;b=b|0;return}function Sga(){bl(0);Pb(406,82158,x|0)|0;return}function Tga(a,b,c){a=a|0;b=b|0;c=c|0;mc[a&1023](b|0,c|0)}function Uga(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;ea(33);return 0}function Vga(a){a=a|0;return No(a,0)|0}function Wga(a){a=a|0;return Ho(a,0)|0}function Xga(a,b){a=a|0;b=b|0;return}function Yga(a,b){a=a|0;b=b|0;return}function Zga(a,b){a=a|0;b=b|0;return}function _ga(a,b){a=a|0;b=b|0;return}function $ga(a,b){a=a|0;b=b|0;return}function aha(a,b){a=a|0;b=b|0;return}function bha(a,b,c){a=a|0;b=+b;c=c|0;return +sc[a&1](+b,c|0)}function cha(a,b){a=a|0;b=b|0;if(!a)a=0;else a=mD(a,b,0)|0;return a|0}function dha(a,b){a=a|0;b=b|0;i[a+18>>0]=b&1;return}function eha(a,b){a=a|0;b=b|0;i[a+20>>0]=b&1;return}function fha(a){a=a|0;return ((i[a>>0]|0)==61?a+1|0:0)|0}function gha(a){a=a|0;k[a>>2]=6356;EO(a+64|0);return}function hha(a){a=a|0;k[a>>2]=7460;EO(a+64|0);return}function iha(a){a=a|0;k[a>>2]=6632;EO(a+64|0);return}function jha(a){a=a|0;return (i[a+101>>0]|0)!=0|0}function kha(a,b){a=a|0;b=b|0;return}function lha(a,b){a=a|0;b=b|0;return}function mha(a,b){a=a|0;b=b|0;return}function nha(a,b){a=a|0;b=b|0;return}function oha(a,b){a=a|0;b=b|0;return}function pha(a,b){a=a|0;b=b|0;return}function qha(a,b){a=a|0;b=b|0;return}function rha(a,b){a=a|0;b=b|0;return}function sha(a,b){a=a|0;b=b|0;return}function tha(a,b){a=a|0;b=b|0;return}function uha(a,b){a=a|0;b=b|0;return}function vha(a,b){a=a|0;b=b|0;i[a+52>>0]=b&1;return}function wha(a,b,c){a=a|0;b=b|0;c=c|0;return iA(a,2147483647,b,c)|0}function xha(a){a=a|0;k[a>>2]=7092;EO(a+64|0);return}function yha(a){a=a|0;k[a>>2]=5528;EO(a+64|0);return}function zha(a,b){a=a|0;b=b|0;return}function Aha(a,b){a=a|0;b=b|0;return}function Bha(a,b){a=a|0;b=b|0;return}function Cha(a,b){a=a|0;b=b|0;return}function Dha(a,b){a=a|0;b=b|0;return}function Eha(a,b){a=a|0;b=b|0;return}function Fha(a,b){a=a|0;b=b|0;return}function Gha(a,b){a=a|0;b=b|0;return}function Hha(a,b){a=a|0;b=b|0;return}function Iha(a,b){a=a|0;b=b|0;return}function Jha(a,b){a=a|0;b=b|0;return}function Kha(a){a=a|0;$D(a);Pf(a);return}function Lha(a,b){a=a|0;b=b|0;return -1}function Mha(a,b){a=a|0;b=b|0;return -1}function Nha(a){a=a|0;k[a>>2]=6448;EO(a+64|0);return}function Oha(a){a=a|0;k[a>>2]=6540;EO(a+64|0);return}function Pha(a,b){a=a|0;b=b|0;return}function Qha(a,b){a=a|0;b=b|0;return}function Rha(a,b){a=a|0;b=b|0;return}function Sha(a,b){a=a|0;b=b|0;return}function Tha(a,b){a=a|0;b=b|0;return}function Uha(a,b){a=a|0;b=b|0;return}function Vha(a,b){a=a|0;b=b|0;return}function Wha(a,b){a=a|0;b=b|0;return}function Xha(a,b){a=a|0;b=b|0;return}function Yha(a,b){a=a|0;b=b|0;return}function Zha(a,b){a=a|0;b=b|0;i[a+17>>0]=b&1;return}function _ha(a,b){a=a|0;b=b|0;return -1}function $ha(a,b){a=a|0;b=b|0;return -1}function aia(a){a=a|0;return No(a,1)|0}function bia(a){a=a|0;return Ho(a,1)|0}function cia(a,b){a=a|0;b=b|0;return 0}function dia(a){a=a|0;return ((i[a>>0]|0)==38?a+1|0:0)|0}function eia(a,b){a=a|0;b=b|0;return}function fia(a,b){a=a|0;b=b|0;return}function gia(a,b){a=a|0;b=b|0;return}function hia(a,b){a=a|0;b=b|0;return}function iia(a,b){a=a|0;b=b|0;return}function jia(a,b){a=a|0;b=b|0;return}function kia(a,b){a=a|0;b=b|0;return}function lia(a,b){a=a|0;b=b|0;return}function mia(a,b){a=a|0;b=b|0;i[a+16>>0]=b&1;return}function nia(a){a=a|0;return (i[a+54>>0]|0)!=0|0}function oia(a){a=a|0;return ((i[a>>0]&-33)+-65|0)>>>0<26|0}function pia(a,b){a=a|0;b=b|0;return}function qia(a,b){a=a|0;b=b|0;return}function ria(a,b){a=a|0;b=b|0;return}function sia(a,b){a=a|0;b=b|0;return}function tia(a,b){a=a|0;b=b|0;return}function uia(a,b){a=a|0;b=b|0;return}function via(a,b){a=a|0;b=b|0;return}function wia(a,b){a=a|0;b=b|0;return}function xia(a,b){a=a|0;b=b|0;return}function yia(a){a=a|0;var b=0;b=TS(k[a>>2]|0)|0;Pf(a);return b|0}function zia(a){a=a|0;$la(a);zqa(a);return}function Aia(a){a=a|0;return (i[a+54>>0]|0)!=0|0}function Bia(a,b){a=a|0;b=b|0;return}function Cia(a,b){a=a|0;b=b|0;return}function Dia(a,b){a=a|0;b=b|0;return}function Eia(a,b){a=a|0;b=b|0;return}function Fia(a,b){a=a|0;b=b|0;return}function Gia(a,b){a=a|0;b=b|0;return}function Hia(a,b){a=a|0;b=b|0;return}function Iia(a,b){a=a|0;b=b|0;return}function Jia(a,b,c){a=a|0;b=+b;c=+c;return +xc[a&7](+b,+c)}function Kia(a){a=a|0;return ((a+-48|0)>>>0<10|((a|32)+-97|0)>>>0<6)&1|0}function Lia(a){a=a|0;dB(a+-72|0);return}function Mia(a){a=a|0;return ((i[a>>0]|0)<0?a+1|0:0)|0}function Nia(a,b){a=a|0;b=b|0;return}function Oia(a,b){a=a|0;b=b|0;return}function Pia(a,b){a=a|0;b=b|0;return}function Qia(a,b){a=a|0;b=b|0;return}function Ria(a,b){a=a|0;b=b|0;return}function Sia(a,b){a=a|0;b=b|0;return}function Tia(a){a=a|0;return ((i[a>>0]|0)<0?a+1|0:0)|0}function Uia(a,b){a=a|0;b=b|0;i[a+52>>0]=b&1;return}function Via(a,b){a=a|0;b=b|0;return}function Wia(a,b){a=a|0;b=b|0;return}function Xia(a,b){a=a|0;b=b|0;return}function Yia(a,b){a=a|0;b=b|0;return}function Zia(a,b){a=a|0;b=b|0;return}function _ia(a,b){a=a|0;b=b|0;return}function $ia(a,b){a=a|0;b=b|0;return}function aja(a,b){a=a|0;b=b|0;return}function bja(){var a=0;a=k[20019]|0;k[20019]=a+0;return a|0}function cja(a){a=a|0;LL(a);return}function dja(a){a=a|0;LL(a);return}function eja(a,b){a=a|0;b=b|0;return}function fja(a,b){a=a|0;b=b|0;return}function gja(a,b){a=a|0;b=b|0;return}function hja(a,b){a=a|0;b=b|0;return}function ija(a){a=a|0;return a|0}function jja(a,b){a=a|0;b=b|0;if(!y){y=a;z=b}}function kja(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(3)}function lja(a){a=a|0;var b=0;b=(Toa(a)|0)==0;return (b?a:a&95)|0}function mja(a){a=a|0;var b=0;b=(Soa(a)|0)==0;return (b?a:a|32)|0}function nja(a){a=a|0;return (i[a+54>>0]|0)!=0|0}function oja(a){a=a|0;return ((i[a>>0]|0)==0?a:0)|0}function pja(a,b){a=a|0;b=b|0;return}function qja(a,b){a=a|0;b=b|0;return}function rja(a,b){a=a|0;b=b|0;return}function sja(a,b){a=a|0;b=b|0;return}function tja(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;ea(19)}function uja(a){a=a|0;if(!a)a=1;else a=(k[a>>2]|0)==0;return a&1|0}function vja(a,b,c){a=a|0;b=b|0;c=c|0;return kM(a,b,c)|0}function wja(a){a=a|0;return}function xja(a){a=a|0;return}function yja(a){a=a|0;return}function zja(a){a=a|0;return}function Aja(a){a=a|0;EI(a);zqa(a);return}function Bja(a,b){a=a|0;b=b|0;return}function Cja(a,b){a=a|0;b=b|0;return}function Dja(a,b){a=a|0;b=b|0;return}function Eja(a,b){a=a|0;b=b|0;return}function Fja(a,b){a=a|0;b=b|0;return}function Gja(a,b){a=a|0;b=b|0;return}function Hja(a,b){a=a|0;b=b|0;k[a+60>>2]=b;return}function Ija(a){a=a|0;return}function Jja(a){a=a|0;return}function Kja(a){a=a|0;cda(a);zqa(a);return}function Lja(a){a=a|0;return (i[a>>0]|0?a+1|0:a)|0}function Mja(a,b){a=a|0;b=b|0;return}function Nja(a,b){a=a|0;b=b|0;return}function Oja(a,b){a=a|0;b=b|0;return}function Pja(a,b){a=a|0;b=b|0;return}function Qja(a,b){a=a|0;b=b|0;return}function Rja(a,b){a=a|0;b=b|0;return}function Sja(a,b){a=a|0;b=b|0;return}function Tja(a,b){a=a|0;b=b|0;return}function Uja(a,b){a=a|0;b=b|0;return}function Vja(){var a=0;a=k[6724]|0;k[6724]=a+0;return a|0}function Wja(a){a=a|0;L9(a);zqa(a);return}function Xja(a){a=a|0;M9(a);zqa(a);return}function Yja(a){a=a|0;return}function Zja(a){a=a|0;return}function _ja(a){a=a|0;return}function $ja(a){a=a|0;return}function aka(a,b){a=a|0;b=b|0;return ((a|0)==0?b:a)|0}function bka(a,b){a=a|0;b=b|0;return}function cka(a,b){a=a|0;b=b|0;return}function dka(a,b){a=a|0;b=b|0;return}function eka(a,b){a=a|0;b=b|0;return}function fka(a,b){a=a|0;b=b|0;return}function gka(a,b){a=a|0;b=b|0;return}function hka(a,b){a=a|0;b=b|0;return}function ika(a,b){a=a|0;b=b|0;return}function jka(a,b){a=a|0;b=b|0;return}function kka(a){a=a|0;cda(a);zqa(a);return}function lka(a){a=a|0;return k[k[a+68>>2]>>2]|0}function mka(a,b){a=a|0;b=b|0;return}function nka(a,b){a=a|0;b=b|0;return}function oka(a,b){a=a|0;b=b|0;return}function pka(a,b){a=a|0;b=b|0;return}function qka(a,b){a=a|0;b=b|0;return}function rka(a,b){a=a|0;b=b|0;return}function ska(a,b){a=a|0;b=b|0;return}function tka(a,b){a=a|0;b=b|0;return}function uka(a,b){a=a|0;b=b|0;return}function vka(a,b){a=a|0;b=b|0;return}function wka(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ea(29);return 0}function xka(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function yka(a,b){a=a|0;b=b|0;k[a+12>>2]=b;return}function zka(a,b){a=a|0;b=b|0;return}function Aka(a){a=a|0;cda(a);zqa(a);return}function Bka(a,b){a=a|0;b=b|0;return}function Cka(a,b){a=a|0;b=b|0;return}function Dka(a,b){a=a|0;b=b|0;return}function Eka(a,b){a=a|0;b=b|0;return}function Fka(a,b){a=a|0;b=b|0;return}function Gka(a,b){a=a|0;b=b|0;return}function Hka(a,b){a=a|0;b=b|0;return}function Ika(a,b){a=a|0;b=b|0;return}function Jka(a,b){a=a|0;b=b|0;k[a>>2]=b;return}function Kka(a,b){a=a|0;b=b|0;return}function Lka(a,b){a=a|0;b=b|0;return}function Mka(a){a=a|0;return (k[a+52>>2]|0)==7|0}function Nka(a){a=a|0;k[a+76>>2]=1;return}function Oka(a,b){a=a|0;b=b|0;return}function Pka(a,b){a=a|0;b=b|0;return}function Qka(a,b){a=a|0;b=b|0;return}function Rka(a,b){a=a|0;b=b|0;return}function Ska(a,b){a=a|0;b=b|0;return}function Tka(a,b,c){a=a|0;b=b|0;c=c|0;return +(+iH(a,b,2))}function Uka(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return d|0}function Vka(a,b){a=a|0;b=b|0;return b|0}function Wka(a,b){a=a|0;b=b|0;return}function Xka(a,b){a=a|0;b=b|0;return}function Yka(a,b){a=a|0;b=b|0;return}function Zka(a){a=a|0;If(a);zqa(a);return}function _ka(a){a=a|0;If(a);zqa(a);return}function $ka(a,b){a=a|0;b=b|0;return oc[a&511](b|0)|0}function ala(a,b){a=a|0;b=b|0;k[a+8>>2]=b;return}function bla(a){a=a|0;return eqa(a|0)|0}function cla(a,b,c){a=a|0;b=b|0;c=c|0;return cQ(a,b,c)|0}function dla(a){a=a|0;vb(a|0)|0;gK()}function ela(a){a=a|0;tda(a);zqa(a);return}function fla(a){a=a|0;tda(a);zqa(a);return}function gla(a){a=a|0;return k[a+12>>2]|0}function hla(a,b){a=a|0;b=b|0;return b<<24>>24|0}function ila(a,b){a=a|0;b=b|0;return b|0}function jla(a,b){a=a|0;b=b|0;return}function kla(a){a=a|0;return Pp(a+-60|0)|0}function lla(a){a=a|0;LL(a);zqa(a);return}function mla(a){a=a|0;$6(a);zqa(a);return}function nla(a){a=a|0;tda(a);zqa(a);return}function ola(a){a=a|0;return k[a+8>>2]|0}function pla(a,b){a=a|0;b=b|0;return b|0}function qla(a,b){a=a|0;b=b|0;return cga()|0}function rla(a){a=a|0;PD(a+60|0);zqa(a);return}function sla(a){a=a|0;$la(a);return}function tla(a){a=a|0;return i[a+9>>0]|0}function ula(a){a=a|0;return i[a+8>>0]|0}function vla(a,b){a=a|0;b=b|0;return b|0}function wla(a){a=a|0;if(!(k[a+68>>2]|0))Hqa(a);return}function xla(a){a=a|0;if(!(k[a+68>>2]|0))Hqa(a);return}function yla(a){a=a|0;PD(a+-60+60|0);return}function zla(a){a=a|0;return -1}function Ala(a){a=a|0;return -1}function Bla(a,b){a=a|0;b=b|0;return b|0}function Cla(a,b){a=a|0;b=b|0;return b|0}function Dla(a,b){a=a|0;b=b|0;return b|0}function Ela(a){a=a|0;return jqa(a|0)|0}function Fla(a){a=a|0;return 0}function Gla(a){a=a|0;return 0}function Hla(a,b){a=a|0;b=b|0;return b|0}function Ila(a,b){a=a|0;b=b|0;return +yc[a&7](b|0)}function Jla(a){a=a|0;oD(a+-4|0);return}function Kla(a){a=a|0;If(a);zqa(a);return}function Lla(a){a=a|0;return (i[a+60>>0]|0)==0|0}function Mla(a,b){a=a|0;b=b|0;return b|0}function Nla(a){a=a|0;return k[3670]|0}function Ola(a,b){a=a|0;b=b|0;r=a;s=b}function Pla(a){a=a|0;return 2147483647}function Qla(a){a=a|0;return 2147483647}function Rla(a){a=a|0;return 2147483647}function Sla(a){a=a|0;return 2147483647}function Tla(a){a=a|0;oz(a);zqa(a);return}function Ula(a){a=a|0;PD(a);zqa(a);return}function Vla(a){a=a|0;rt(a);zqa(a);return}function Wla(a){a=a|0;return k[3672]|0}function Xla(a,b){a=a|0;b=+b;return pc[a&3](+b)|0}function Yla(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ea(34)}function Zla(a){a=a|0;return k[a+76>>2]|0}function _la(a){a=a|0;return pqa(a|0)|0}function $la(a){a=a|0;cda(a);return}function ama(a){a=a|0;return k[a+4>>2]|0}function bma(a,b){a=a|0;b=b|0;return b|0}function cma(a){a=+a;return a>=0.0?+O(a+.5):+$(a-.5)}function dma(a){a=a|0;return ((a|0)==32|(a+-9|0)>>>0<5)&1|0}function ema(a){a=a|0;return 0}function fma(a){a=a|0;return 0}function gma(a){a=a|0;return 0}function hma(a){a=a|0;return 0}function ima(a,b){a=a|0;b=b|0;return b|0}function jma(a){a=a|0;zqa(a);return}function kma(a){a=a|0;return k[a+112>>2]|0}function lma(a,b){a=a|0;b=b|0;return (a+-48|0)>>>0<10|0}function mma(a){a=a|0;return 0}function nma(a){a=a|0;return 1}function oma(a,b){a=a|0;b=b|0;return b|0}function pma(a){a=a|0;zqa(a);return}function qma(a,b){a=a|0;b=b|0;lc[a&511](b|0)}function rma(a){a=a|0;return (i[a+4>>0]|0)!=0|0}function sma(a,b){a=a|0;b=b|0;return b|0}function tma(a){a=a|0;return (i[a+60>>0]|0)!=0|0}function uma(a){a=a|0;return k[3671]|0}function vma(a){a=a|0;zqa(a);return}function wma(a,b){a=a|0;b=b|0;GC(a,b)|0;return a|0}function xma(a){a=a|0;return (i[a+4>>0]|0)!=0|0}function yma(a){a=a|0;return k[a+72>>2]|0}function zma(a){a=a|0;return k[a+92>>2]|0}function Ama(a){a=a|0;return 4}function Bma(a){a=a|0;return 4}function Cma(a,b){a=a|0;b=b|0;return b|0}function Dma(a,b){a=a|0;b=b|0;return b|0}function Ema(a){a=a|0;zqa(a);return}function Fma(a){a=a|0;return k[a+16>>2]|0}function Gma(a){a=a|0;return 1}function Hma(a){a=a|0;return 47121}function Ima(a){a=a|0;return 47013}function Jma(a,b){a=a|0;b=b|0;return b|0}function Kma(a,b){a=a|0;b=b|0;return b|0}function Lma(a){a=a|0;zqa(a);return}function Mma(a,b,c){a=a|0;b=b|0;c=c|0;ea(26);return 0.0}function Nma(a){a=a|0;return k[a+24>>2]|0}function Oma(a){a=a|0;zqa(a);return}function Pma(a){a=a|0;zqa(a);return}function Qma(a){a=a|0;zqa(a);return}function Rma(a){a=a|0;zqa(a);return}function Sma(a){a=a|0;return 0}function Tma(a){a=a|0;return 0}function Uma(a){a=a|0;return 127}function Vma(a){a=a|0;return 127}function Wma(a){a=a|0;return 127}function Xma(a){a=a|0;return 127}function Yma(a,b){a=a|0;b=b|0;return b|0}function Zma(a){a=a|0;return k[3674]|0}function _ma(a,b,c){a=a|0;b=b|0;c=c|0;ea(10);return 0}function $ma(a){a=a|0;return k[a+84>>2]|0}function ana(a){a=a|0;zqa(a);return}function bna(a){a=a|0;zqa(a);return}function cna(a){a=a|0;zqa(a);return}function dna(a){a=a|0;return 1}function ena(a){a=a|0;return k[a+4>>2]|0}function fna(a,b){a=a|0;b=b|0;return b|0}function gna(a){a=a|0;PD(a+60|0);return}function hna(a){a=a|0;return 1}function ina(a){a=a|0;zqa(a);return}function jna(a){a=a|0;return +(+p[a+8>>3])}function kna(a){a=a|0;return k[a+20>>2]|0}function lna(a,b){a=a|0;b=b|0;return}function mna(a,b){a=a|0;b=b|0;return}function nna(a){a=a|0;return 47013}function ona(a,b){a=a|0;b=b|0;return b|0}function pna(a){a=a|0;return 1}function qna(a){a=a|0;return ZN(a+1|0,4)|0}function rna(a){a=a|0;return k[a+4>>2]|0}function sna(a){a=a|0;return k[a+4>>2]|0}function tna(a){a=a|0;return 0}function una(a){a=a|0;return 53961}function vna(a){a=a|0;return 0}function wna(a){a=a|0;return 0}function xna(a){a=a|0;return 0}function yna(a){a=a|0;return 0}function zna(a){a=a|0;return 47013}function Ana(a){a=a|0;return 47013}function Bna(a,b){a=a|0;b=b|0;return 0}function Cna(a,b){a=a|0;b=b|0;return 0}function Dna(a){a=a|0;return k[a+4>>2]|0}function Ena(a){a=a|0;return ZN(a+1|0,4)|0}function Fna(a){a=a|0;return k[a+4>>2]|0}function Gna(a){a=a|0;return k[a+8>>2]|0}function Hna(a){a=a|0;zqa(a);return}function Ina(a){a=a|0;return 54038}function Jna(a,b){a=a|0;b=b|0;return 0}function Kna(a){a=a|0;return 0}function Lna(a,b){a=a|0;b=b|0;return +(+iH(a,b,1))}function Mna(a){a=a|0;return k[a+4>>2]|0}function Nna(a){a=a|0;return k[a>>2]|0}function Ona(a){a=a|0;k[a>>2]=27152;return}function Pna(a){a=a|0;return 47226}function Qna(a){a=a|0;return a<<24>>24>-1|0}function Rna(a){a=a|0;zqa(a);return}function Sna(a){a=a|0;return +(+p[a+8>>3])}function Tna(a){a=a|0;return k[a>>2]|0}function Una(a){a=a|0;return k[a+4>>2]|0}function Vna(a,b){a=a|0;b=b|0;return Kia(a)|0}function Wna(a){a=a|0;zqa(a);return}function Xna(a){a=a|0;zqa(a);return}function Yna(a){a=a|0;zqa(a);return}function Zna(a){a=a|0;zqa(a);return}function _na(a){a=a|0;zqa(a);return}function $na(a){a=a|0;k[a>>2]=16028;return}function aoa(a){a=a|0;return 0}function boa(a){a=a|0;return k[a+8>>2]|0}function coa(a){a=a|0;return k[a+16>>2]|0}function doa(a){a=a|0;k[a>>2]=26992;return}function eoa(a){a=a|0;zqa(a);return}function foa(a){a=a|0;return 0}function goa(a){a=a|0;return 1}function hoa(a){a=a|0;return k[a+8>>2]|0}function ioa(a){a=a|0;k[a>>2]=27132;return}function joa(a){a=a|0;return 51256}function koa(a,b,c){a=+a;b=+b;c=+c;ea(18);return 0}function loa(a){a=a|0;return k[a+4>>2]|0}function moa(a,b){a=+a;b=+b;return +(+fN(a,b))}function noa(a){a=a|0;zqa(a);return}function ooa(a){a=a|0;return 0}function poa(a,b){a=+a;b=b|0;return +(+_E(a,b))}function qoa(a){a=a|0;return +(+p[a+16>>3])}function roa(a){a=a|0;return +(+p[a+24>>3])}function soa(a){a=a|0;return +(+p[a+32>>3])}function toa(a){a=a|0;return 35899}function uoa(a){a=a|0;return}function voa(a){a=a|0;return}function woa(a){a=a|0;return 0}function xoa(a){a=a|0;return 0}function yoa(a,b,c){a=a|0;b=b|0;c=c|0;ea(30)}function zoa(a){a=a|0;return +(+p[a+8>>3])}function Aoa(a){a=a|0;return}function Boa(a){a=a|0;return Jc[a&15]()|0}function Coa(a,b){a=+a;b=b|0;return +(+OG(a,b))}function Doa(a){a=a|0;zqa(a);return}function Eoa(a){a=a|0;zqa(a);return}function Foa(a){a=a|0;zqa(a);return}function Goa(a){a=a|0;zqa(a);return}function Hoa(a){a=a|0;return 35882}function Ioa(a){a=a|0;return 0}function Joa(a){a=a|0;return k[a>>2]|0}function Koa(a){a=a|0;zqa(a);return}function Loa(a){a=a|0;zqa(a);return}function Moa(a){a=a|0;return 0}function Noa(a,b){a=+a;b=+b;return +(a-b)}function Ooa(a,b){a=+a;b=+b;return +(a*b)}function Poa(a,b){a=+a;b=+b;return +(a/b)}function Qoa(a,b){a=+a;b=+b;return +(a+b)}function Roa(a){a=a|0;zqa(a);return}function Soa(a){a=a|0;return (a+-65|0)>>>0<26|0}function Toa(a){a=a|0;return (a+-97|0)>>>0<26|0}function Uoa(a){a=a|0;return 0}function Voa(a){a=a|0;return 0}function Woa(a){a=a|0;return}function Xoa(a){a=a|0;return 0}function Yoa(a){a=a|0;return}function Zoa(a){a=a|0;return a|0}function _oa(a){a=a|0;return a|0}function $oa(a){a=a|0;zqa(a);return}function apa(a){a=a|0;return 35868}function bpa(a){a=a|0;return 0}function cpa(a){a=a|0;zqa(a);return}function dpa(a){a=a|0;return 1}function epa(a,b){a=a|0;b=b|0;ea(27);return 0.0}function fpa(a,b){a=+a;b=+b;return +(+cm(a,b))}function gpa(a){a=a|0;zqa(a);return}function hpa(a){a=a|0;return 0}function ipa(a){a=a|0;return}function jpa(a){a=a|0;zqa(a);return}function kpa(a){a=a|0;return 1}function lpa(a,b){a=a|0;b=b|0;ea(24);return 0}function mpa(a){a=a|0;return 0}function npa(a){a=a|0;return}function opa(a){a=a|0;zqa(a);return}function ppa(a){a=a|0;zqa(a);return}function qpa(a){a=a|0;zqa(a);return}function rpa(a){a=a|0;zqa(a);return}function spa(a){a=a|0;return 1}function tpa(a){a=a|0;zqa(a);return}function upa(a){a=a|0;return 1}function vpa(a){a=a|0;return 0}function wpa(a,b){a=+a;b=b|0;ea(11);return 0.0}function xpa(a,b){a=a|0;b=b|0;return -1|0}function ypa(a){a=a|0;zqa(a);return}function zpa(a){a=a|0;return}function Apa(a){a=a|0;return}function Bpa(a){a=a|0;return}function Cpa(a){a=a|0;return}function Dpa(a){a=a|0;return 1}function Epa(a){a=a|0;zqa(a);return}function Fpa(a,b){a=+a;b=b|0;ea(31);return 0}function Gpa(a,b){a=a|0;b=+b;ea(20);return 0}function Hpa(a){a=a|0;return a|0}function Ipa(a){a=a|0;return 54755}function Jpa(a){a=a|0;zqa(a);return}function Kpa(a){a=a|0;zqa(a);return}function Lpa(a){a=a|0;zqa(a);return}function Mpa(a){a=a|0;return 0}function Npa(a,b){a=+a;b=+b;ea(16);return 0.0}function Opa(a){a=a|0;return}function Ppa(a){a=a|0;return}function Qpa(a){a=a|0;return 54627}function Rpa(a){a=a|0;return 54599}function Spa(a){a=a|0;return 0}function Tpa(a){a=a|0;jc[a&7]()}function Upa(a){a=a|0;return 54729}function Vpa(a){a=a|0;return 1}function Wpa(a){a=a|0;return 1}function Xpa(){_a()}function Ypa(a){a=a|0;return}function Zpa(a){a=a|0;return}function _pa(a){a=a|0;return 0}function $pa(a){a=a|0;return 1}function aqa(a){a=a|0;return}function bqa(a){a=a|0;return}function cqa(a){a=a|0;return}function dqa(a){a=a|0;dc=a}function eqa(a){a=a|0;return 0}function fqa(a){a=a|0;return}function gqa(a){a=a|0;return}function hqa(a){a=a|0;return +(+Lna(a,0))}function iqa(a){a=a|0;return -1}function jqa(a){a=a|0;return 0}function kqa(a){a=a|0;Pf(a);return}function lqa(a){a=a|0;return}function mqa(a){a=a|0;cc=a}function nqa(a,b){a=a|0;b=b|0;ea(5)}function oqa(a){a=a|0;return}function pqa(a){a=a|0;return 0}function qqa(){rb()}function rqa(a){a=a|0;return ZL(a)|0}function sqa(a){a=a|0;zqa(a);return}function tqa(a){a=a|0;return 0}function uqa(a){a=a|0;return}function vqa(a){a=a|0;return}function wqa(a){a=a|0;return}function xqa(a){a=a|0;return}function yqa(a){a=a|0;r=a}function zqa(a){a=a|0;Pf(a);return}function Aqa(a){a=a|0;return}function Bqa(a){a=a|0;N=a}function Cqa(a){a=a|0;ea(17);return 0.0}function Dqa(a){a=a|0;return}function Eqa(a){a=a|0;return}function Fqa(){Rb()}function Gqa(a){a=a|0;ea(7);return 0}function Hqa(a){a=a|0;return}function Iqa(a){a=a|0;return 0}function Jqa(){return dc|0}function Kqa(a){a=+a;ea(8);return 0}function Lqa(){return}function Mqa(a){a=a|0;return 0}function Nqa(){return 21404}function Oqa(){return 19864}function Pqa(){return N|0}function Qqa(){return r|0}function Rqa(){return 45170}function Sqa(a){a=a|0;ea(4)}function Tqa(){return 19860}function Uqa(){ea(28);return 0}function Vqa(){return 22984}function Wqa(){return 0}function Xqa(){ea(2)}

// EMSCRIPTEN_END_FUNCS
var hc=[Gaa,TA,xB,aj,Gj,Xi,uj,rg,sf,Bl,Xo,Vo,Wo,Ri,nm,vk,Rn,ro,Fo,yn,qn,pn,bh,mn,ej,eq,Bh,pg,ml,jl,je,Zd,Yd,Of,Fg,rl,al,Ie,Qf,le,Oj,Pj,yk,Rw,qx,px,rx,ti,wi,de,nf,Id,Td,Le,od,Ad,Rd,eh,lh,Uj,dg,Aj,$i,kk,vf,hq,lo,op,tg,Ai,yi,Ci,Di,tk,Sd,ep,Kl,Nf,vh,ge,jd,Pg,Og,Nm,wk,Kh,Qs,ae,th,jh,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa,Gaa];var ic=[qda,Uh,Ph,qda];var jc=[Xqa,Xpa,xy,qqa,Fqa,qca,Fba,GV];var kc=[kja,YC,Ft,Dl,XG,Ei,Ig,iJ,gh,yu,il,qs,Ep,Sr,_q,ql,xw,Vf,Sc,qk,kja,kja,kja,kja,kja,kja,kja,kja,kja,kja,kja,kja];var lc=[Sqa,FC,OB,npa,lqa,Roa,KD,rD,SL,yK,fL,wJ,K6,Z_,yha,gea,RU,HT,z4,jZ,HP,QO,m3,uY,LU,GT,DX,IV,oz,Tla,HM,oM,gha,Uda,Nha,wea,Oha,xea,iha,Wda,pW,kU,TP,dP,cG,QE,I7,J0,xha,fea,Jga,Bda,kR,wQ,jR,vQ,hha,Vda,UL,AK,hL,zJ,Epa,gna,rla,yla,qfa,PD,Ula,_9,V6,Uea,hca,jY,gW,OL,mK,dL,sJ,jX,pV,u9,K5,kaa,P7,naa,e8,taa,F8,ppa,IL,eK,ZG,bH,kX,NK,oJ,l9,c5,Tz,qB,ZW,p6,XI,aI,tI,rH,S8,O3,S1,QX,T9,z6,yea,Uba,k9,b5,uda,oba,jaa,N7,J2,hY,Kpa,KX,OV,KL,fK,XK,qJ,Vea,jca,tS,dR,QQ,cR,hR,AR,UM,BM,KO,tO,JO,sO,sy,ME,lE,Uz,yE,XD,qX,DV,Nn,LB,dB,Wz,mB,Lia,pQ,WP,KW,BU,fE,JD,sF,zaa,If,Kla,Wfa,$ca,p7,JX,_J,vJ,AI,pI,RQ,kQ,ZJ,uJ,zI,oI,kJ,bJ,WI,DI,WH,IH,zfa,Aca,sda,uaa,H6,nX,Ufa,Zca,n7,HX,Zka,_ka,wqa,_na,noa,Eoa,yI,nI,GI,rI,$N,HN,AM,bM,Ky,Baa,eoa,Eqa,Lpa,FO,oO,DO,mO,ZM,MM,rt,Vla,Aoa,opa,yJ,$I,cqa,tpa,tL,WK,vK,YJ,HD,oD,sD,Jla,pma,UP,kO,Rna,Woa,Jpa,ipa,jpa,EP,uP,tP,nO,iU,fP,AP,GP,jU,pP,cpa,LL,lla,nba,maa,mba,laa,Vfa,_ca,o7,IX,Tfa,Yca,m7,GX,sla,zia,Opa,Hna,Mca,Nca,ada,bda,gqa,Loa,Aaa,fqa,Koa,$ja,Iga,_ja,Hga,Zja,Gga,Yja,Fga,Jja,sga,Ija,rga,xba,paa,wba,oaa,Cpa,Zna,Bpa,Yna,Apa,Xna,zpa,Wna,zja,gga,yja,fga,xja,ega,wja,dga,bqa,Goa,aqa,Foa,Ypa,cna,Rma,hJ,Tda,EI,Aja,$6,mla,M9,Xja,L9,Wja,Doa,$oa,ana,Oma,Pma,$la,Kja,Qma,bna,Yoa,ina,voa,uoa,Ema,xqa,rpa,qpa,tda,nla,cda,Aka,fla,ela,kka,Aqa,ypa,oqa,gpa,jma,Lma,vma,OM,Oda,Xk,$9,NM,pi,wU,bU,NO,$V,kD,faa,LM,PP,$na,qQ,RO,zs,lg,Al,Jz,HL,gD,Li,AT,ii,ui,Yw,cO,Nka,My,VK,uI,ly,l1,Hy,Nz,vC,gi,wla,xla,WG,Haa,yN,iY,AX,mX,BX,zX,lX,w9,kqa,Zpa,_N,Pf,fS,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa];var mc=[nqa,rM,qM,tM,h9,CT,vha,xM,wM,qaa,qT,G9,vga,bfa,tB,JB,dea,e9,s9,D9,h8,I8,M7,j8,s8,r9,i8,d9,E9,F9,f9,daa,Z9,R9,C9,q9,v8,m8,l8,Y8,I9,YP,Uia,yba,vaa,sB,IB,Mda,S9,KT,iaa,Y7,gca,l6,sA,B6,O8,jT,w8,UA,Ni,YU,yB,MB,sea,D7,r4,J8,V8,t9,FT,Z8,zT,A7,kT,Cga,waa,s$,W6,YS,F0,B7,W7,Kba,bB,rB,c3,w7,i6,j6,p4,b3,E7,O7,H9,IT,u8,k8,pl,hU,uB,KB,eea,Pda,Y6,J9,$n,_6,ZS,q4,C6,l7,X7,L5,Z6,A6,k6,rca,Eba,oB,BB,Ica,D6,_M,C7,lT,JC,Uca,Rba,lB,zB,yca,uga,Vv,Uja,of,Lk,vka,Fka,kI,qI,Iia,iE,Fia,aja,hja,uka,_ia,fka,Gka,Hka,ika,jla,Yka,Ska,Eka,ska,hka,Fja,gja,fja,Rka,Xka,Gha,Uha,Gia,Mga,wia,Sia,Sja,gka,tka,Ika,jka,Cia,Dia,hia,oha,Dha,Eha,Kga,hga,Zia,iga,Hia,Qka,kia,Eja,eja,Tja,Gja,iia,Lga,Vha,xia,$ia,pha,jia,Tha,Fha,Wha,Eia,Dja,Dy,Ee,hy,nka,ki,Ah,us,Xf,vn,Mk,Fs,lJ,ry,wy,Ay,By,km,Kn,dm,fj,$v,yy,WD,ty,ho,Sn,df,mr,Bf,Dt,vA,OA,yH,DH,JH,KH,Ow,Md,uE,kr,Ro,on,Xga,Th,nl,Co,cI,Ym,Im,yp,jG,BE,Kr,Gs,hn,mp,hI,SC,PH,fD,hD,ll,Up,Dp,nE,Ff,Si,jx,Wv,Fu,Qn,fx,ul,YG,Yk,we,yw,wH,rka,Oja,eka,eia,Oia,via,rja,sia,Ria,Yia,dka,Pia,Mja,oka,pka,Qja,Wka,Pka,Dka,mka,bka,Pja,qja,Xia,Wia,Cka,Oka,nha,Aha,tia,yga,fia,Bia,Bja,Nja,cka,qka,Rja,pia,qia,Pha,kha,lha,wga,_fa,Nia,$fa,uia,Bka,Sha,pja,Via,Cja,sja,Qha,xga,Bha,gia,Qia,Yga,Rha,zha,mha,Cha,ria,Bga,JK,ng,aha,rha,tH,zH,ifa,ZD,ffa,Efa,Pfa,$ga,Cfa,Nga,sha,tha,Qga,lia,Yha,Jha,qha,Zga,Pga,kga,Ofa,Nfa,Iha,Xha,kea,Aea,gfa,Eda,Wea,sfa,zga,Oga,_ga,uha,Rga,cfa,dfa,Gea,Xda,hea,iea,Cda,kda,Bfa,lda,hfa,Hha,Jea,jga,Mfa,Aga,lga,Hea,Dda,Bea,Xea,Dfa,Yda,Iea,zea,jea,Cea,efa,tga,FN,GN,YI,ZI,NQ,IQ,CQ,PR,h0,i0,MQ,HQ,BQ,OR,f0,g0,LQ,GQ,AQ,NR,d0,e0,KQ,FQ,zQ,MR,b0,c0,mna,lna,b7,wS,mS,a7,YQ,UQ,nw,pK,wz,yA,X8,rs,dp,Gy,Er,Rq,RD,Rx,hs,rT,Ez,kB,GA,Zv,FA,Bx,Kz,iq,fs,sq,Iy,ky,Jv,Ps,MA,Uv,iy,_V,sx,uQ,Vx,Yy,bp,js,Oy,rA,jw,$r,lA,DA,nA,WA,ZA,EA,xr,is,Fp,tn,zx,RC,Hx,Ms,oQ,ds,dw,Ws,bs,am,Gu,zu,Cp,Mu,Gp,$u,cv,Et,Hp,mz,Kx,BT,Ud,lba,xg,nM,Kw,pr,iN,bE,iz,zi,CI,Xq,pz,kq,vm,wm,fy,dz,gy,ez,tT,Np,rw,iv,$m,Es,_A,TE,fo,jg,Ui,Jp,kg,vl,zv,fi,av,Rp,az,EN,Fy,Xv,yz,sl,Mm,wo,bv,su,Sy,Lm,zm,cz,es,ay,Ip,Mo,Om,lz,Bo,Qp,lp,oU,Ry,Zy,$y,bz,Uo,dn,sn,Hk,rn,bq,Gl,Hu,Lh,Js,CO,Ot,mt,py,Ks,rq,gp,fz,SN,as,cr,Fea,tD,Mba,_y,cJ,KE,JE,rd,Az,Kt,it,pJ,Ch,To,tz,dy,gA,XM,VM,hN,uD,Yp,QG,RY,QY,CZ,BZ,sW,VN,rW,iW,jW,wY,vY,iT,hT,gT,fT,bX,aX,$W,_W,XS,WS,VS,US,dT,cT,bT,aT,yY,xY,jL,FI,lH,LO,fV,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa,nqa];var nc=[Jca,Qm,oF,nF,hF,cF,iF,gF,XE,ZE,YE,Kg,Pm,mF,lF,eF,bF,fF,dF,UE,WE,VE,Bg,At,zt,xt,wt,SE,PA,CA,BA,JA,RE,LA,AA,zA,IA,mj,lj,vr,Ao,ag,qf,Xd,Zc,zr,Jca,Jca,Jca,Jca,Jca,Jca,Jca,Jca,Jca,Jca,Jca,Jca,Jca,Jca,Jca,Jca,Jca,Jca];var oc=[Gqa,Ak,NP,lW,Wpa,Ioa,vpa,nja,Aia,nia,_pa,Spa,Oz,yW,Uoa,Mpa,bG,uH,Mka,MP,cW,jz,EQ,zC,nW,Vpa,RP,uW,xP,rV,ru,upa,KP,MV,uz,lP,aV,yP,uV,DP,CV,OP,mW,EC,sV,KC,aW,OC,vW,PC,wW,HB,eW,hpa,XP,TW,JL,VP,JW,SP,FW,QP,tW,LC,kW,HC,LV,zP,BV,CP,AV,UC,dW,Pp,Ly,EW,Afa,ys,kla,sH,Xp,SA,IW,Lfa,Gx,cP,uU,DQ,Hz,Gz,lD,QA,yU,vq,LP,ZV,Vy,NV,xH,qo,mP,bV,XO,gU,Hv,NC,YV,ux,VA,bW,pp,Wy,xW,GW,_D,fW,tma,Lla,mA,Iz,ZU,aF,OE,Yz,Qx,oA,HU,iQ,cA,_U,wP,qV,hH,TO,VT,jP,NU,dpa,bP,rU,BC,sU,WO,eU,yC,UT,nP,cV,oP,dV,kpa,iqa,aG,DW,tqa,Dpa,$pa,JP,KV,iB,zV,vH,mpa,ooa,Moa,Xoa,woa,pN,gz,IU,by,Iw,cn,foa,tna,Voa,Kna,aoa,WM,KU,xoa,goa,jha,bO,fU,Nla,pna,fO,zU,oE,hO,OU,uma,bpa,lO,tV,Zma,spa,jq,ZO,mU,Wla,CH,rE,JU,KY,CK,FJ,AH,pE,xU,LT,hna,SD,ND,FB,$O,tU,kH,cE,gE,bA,Zz,hB,oH,dE,eP,AU,CM,JM,go,eo,Uw,cD,kP,$U,SG,wB,GB,fA,aA,DC,mH,L1,r$,zY,nna,xf,kA,fma,Gla,sI,PO,Yf,sg,toa,Hoa,apa,Km,Nl,ama,zna,Hma,Ima,Ana,Pna,vT,Ala,ema,Fla,zla,OO,ena,joa,$C,aD,Vga,aia,Wga,bia,Yfa,Gn,Kj,EB,ZK,YK,bL,cL,Xfa,Fn,Lj,DB,_H,ZH,YH,$H,Xma,Wma,yna,Vma,Uma,xna,Sla,Rla,wna,Qla,Pla,vna,Tma,hma,Bma,Vw,mma,vI,ula,tla,ola,gla,dna,nma,Gma,Sma,gma,Ama,una,Ina,Rpa,Qpa,sna,Upa,Ipa,$g,ZL,vM,qE,Hr,tA,qp,Qba,Lba,hP,yV,Hg,Ii,CN,kna,Nma,Fna,Fma,wE,Ze,Gna,Qna,dU,ija,oia,Iaa,w2,fn,HI,oW,Jd,oja,sT,ke,yO,Nx,VC,uF,zF,cg,zh,hh,ig,CL,wL,yL,BL,xL,AL,he,H4,FH,Df,Pd,hd,zE,Xe,Qz,jO,Rf,ET,$j,Lz,ee,rL,VI,Do,PM,Ve,bo,co,ao,qg,Se,Bj,Ck,xA,dd,_j,$e,wh,kz,en,We,Pe,Jh,xd,Rg,ue,Zg,ce,xp,uh,wx,Uf,AB,Tf,Sf,Qi,Lo,kj,kn,Cj,pq,Ek,Wd,re,iV,QU,rna,vV,Jt,TN,XB,Px,Joa,Una,Dna,DF,yF,rma,coa,boa,hoa,Mna,PE,Lv,lka,IR,Go,_c,lN,$L,Lg,jm,dQ,hQ,UO,gQ,It,_8,uba,Ela,_la,bla,TS,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa,Gqa];var pc=[Kqa,OH,mT,Kqa];var qc=[Dga,eI,BI,zo,ts,ss,tt,Po,ps,os,lt,E0,RS,Lx,Dx,VO,eN,g1,XV,D0,NS,$E,Fz,Wl,Xl,Ul,Zl,Vl,Py,ud,Cz,Me,hg,gm,ik,cx,Qv,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga,Dga];var rc=[_ma,ji,uf,Gi,sQ,Fl,Zk,bd,yt,Zr,to,zd,Mv,Ov,Bt,Sv,Xca,XH,hE,Tw,Wq,zK,Fx,PL,YO,Wca,lI,aE,dM,SW,mL,nL,iP,gP,fQ,eQ,rN,sN,Oca,YR,JN,KN,Cca,dD,H8,_w,Oe,DD,lk,Ar,Ti,ve,vS,VD,Bn,Xu,Jm,CE,Jg,_g,Cr,mw,ct,Ju,dt,Ts,Ys,Dr,Qt,at,hw,jo,gt,ou,et,Bs,Wr,rp,Au,Ld,Cv,xv,Gv,sv,uv,tv,Fv,Dv,Yr,$q,ft,$s,Ln,_u,fw,vu,zw,Gq,cu,Iq,sr,Nt,lv,Uu,gv,Av,ks,Or,Hq,wu,Eu,vv,wv,mv,pu,lu,ju,gu,eu,Vu,Wu,li,ev,Pu,$t,au,Ut,dv,Ku,bu,ir,du,_t,Zu,Lu,Su,qu,iu,qv,Ou,Bv,Ev,uu,nr,Wp,Vr,Us,vi,fu,Tt,St,Cs,rv,ov,mu,nt,Vj,td,ah,be,gB,Hi,vj,XA,tr,AN,vB,vja,kN,qH,Jy,jy,mD,Xx,qga,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma,_ma];var sc=[wpa,qO];var tc=[vP,ij,gj,vP];var uc=[gaa,So];var vc=[Qea,lm];var wc=[Dea,En,ww,BO,AO,wq,Gk,BN,CJ,Aw,Rt,xx,_d,Wf,sp,Yq,Tq,Uq,oq,dq,yr,jr,Vd,me,tp,Dea,Dea,Dea,Dea,Dea,Dea,Dea];var xc=[Npa,Qoa,Noa,Ooa,Poa,LW,Npa,Npa];var yc=[Cqa,xN,Sna,zoa,qoa,roa,soa,Cqa];var zc=[koa,TC];var Ac=[tja,ck];var Bc=[Gpa,an];var Cc=[Dba,hp,Un,Sp,Uc,Xc,Fk,im,Zj,ch,Sj,Xg,Dba,Dba,Dba,Dba];var Dc=[OT,ld,id,OT];var Ec=[$X,Gg,Dg,mg,og,$X,$X,$X];var Fc=[lpa,j4,G3,B2,i4,O4,X5,qm,pm,Sg,caa,S7,u7,d8,o8,P8,Bna,raa,C5,Z4,L3,B5,a6,P6,fM,iM,b4,A3,z2,a4,K4,V5,S4,l4,$2,R4,r5,s6,v5,U4,I3,u5,Z5,M6,y1,_0,W$,x1,g2,n3,Q2,s2,h1,P2,t3,D4,v0,Q$,X_,u0,W0,e2,D1,c1,Y$,C1,i2,p3,n2,K1,C0,m2,M2,V3,Q4,k4,_2,P4,q5,r6,A1,$0,X$,z1,h2,o3,_3,x3,y2,Z3,J4,U5,x5,V4,J3,w5,_5,N6,z5,W4,K3,y5,$5,O6,f4,D3,A2,e4,L4,W5,U6,y6,J5,T6,h7,J7,x6,h6,a5,w6,S6,v7,e6,H5,n4,d6,u6,f7,t5,T4,H3,s5,Y5,L6,N4,h4,Z2,M4,p5,q6,r2,N1,H0,q2,O2,X3,J1,f1,$$,I1,l2,s3,H1,e1,_$,G1,k2,r3,C3,X2,Q1,B3,d4,n5,G5,$4,N3,F5,c6,R6,aq,cM,eM,g6,I5,o4,f6,v6,g7,wn,RZ,qZ,JY,QZ,g_,c$,so,k_,TZ,ZY,j_,G_,u$,bw,V2,x2,k1,U2,w3,I4,Dk,u2,O1,I0,t2,R2,Y3,hM,lM,S$,n$,C_,R$,w0,u1,xi,FY,oY,PX,EY,WY,IZ,T2,v2,i1,S2,u3,E4,kp,z3,W2,P1,y3,$3,m5,Qo,Y4,m4,a3,X4,A5,t6,dK,F3,Y2,R1,E3,g4,o5,oS,L$,k$,z_,K$,r0,r1,Ir,mx,E8,p8,T7,D8,Q8,g9,K_,p_,rZ,J_,d$,j0,Em,N$,l$,A_,M$,s0,s1,Fm,Z0,A0,p$,Y0,w1,K2,ML,QL,dY,MX,pX,cY,lY,TY,y$,h$,t_,x$,n0,m1,LZ,nZ,GY,KZ,d_,$_,IE,NZ,oZ,HY,MZ,e_,a$,wO,BY,mY,NX,AY,UY,GZ,fca,bY,LX,oX,aY,kY,SY,Tba,U$,o$,D_,T$,x0,v1,z0,V$,Y_,y0,X0,f2,E5,_4,M3,D5,b6,Q6,Zfa,p2,M1,G0,o2,N2,W3,F1,d1,Z$,E1,j2,q3,gM,jM,dJ,eJ,M_,q_,sZ,L_,e$,k0,N5,d5,P3,M5,m6,X6,xT,SQ,ica,kv,Q_,s_,uZ,P_,g$,m0,DY,nY,OX,CY,VY,HZ,m_,UZ,_Y,l_,H_,v$,j$,W_,b_,i$,J$,V0,b1,B0,q$,a1,B1,L2,mZ,XY,pY,lZ,JZ,E_,dl,Af,Sm,bg,O_,r_,tZ,N_,f$,l0,fl,bj,Um,vg,i_,SZ,YY,h_,F_,t$,el,Ng,cj,Tm,ug,PZ,pZ,IY,OZ,f_,b$,np,Xj,XL,aM,o_,VZ,$Y,n_,I_,w$,gk,nk,P$,m$,B_,O$,t0,t1,yM,_Q,UG,NA,Ij,VL,YL,cia,Tj,xD,vo,AG,Pk,$ea,EH,ofa,yfa,Jfa,xda,aea,Lda,Pea,Kda,cea,Be,xfa,bea,pf,mi,kf,Cna,Qh,Od,kd,Zi,UH,pfa,Oea,rea,qea,yg,Wi,Vc,_e,Yc,Nk,yda,Sda,Wg,nd,Yma,fna,Kma,Qe,Fq,qq,Gca,Wm,Sq,un,dr,Yj,_f,yj,ona,Pn,Nea,pea,Eh,yd,dh,Vka,Dla,Mla,bma,xq,Hla,Cla,Tca,dO,Dh,z7,Vi,Cd,V7,f8,Ql,rf,Cg,oi,h5,wf,pe,hj,Yi,R8,i9,j9,Oo,zj,vd,fd,pj,Ny,oh,Hf,Cf,ed,r8,G8,F2,e3,i5,M0,s4,O5,x7,K7,U7,g8,L7,e5,f5,Q3,T1,C2,D2,K0,z$,n6,A$,j5,q8,T3,i7,E6,y7,j7,R3,L0,f3,t4,o6,U1,S3,d3,E2,g3,g5,q0,d2,R0,q1,$1,gZ,v_,AZ,H$,xZ,y_,V_,p1,w_,P0,a2,b2,T0,U3,l3,I2,_1,n1,S0,G$,U_,T_,H2,k3,gY,sY,yZ,yX,hZ,a_,o0,Q0,o1,c2,U0,vZ,wZ,LY,YX,eY,fY,wX,hX,u_,iX,zZ,G2,OY,F$,S_,p0,I$,MY,xX,tY,iZ,x_,ZX,NY,rY,mm,ie,oj,_ea,no,Bd,wfa,TH,fk,di,ni,md,nj,oe,oea,vfa,_da,jfa,Gfa,Hfa,mfa,mga,bga,Rfa,Ffa,tfa,lfa,Lea,nea,mea,Qfa,aga,Sca,eda,Ida,uca,vda,Rda,Yea,kfa,ufa,Ifa,nfa,Fda,Gda,mda,Eca,Pca,Qca,sca,_ba,Zda,$ba,Jda,Jna,pda,Kea,lea,Zea,Mea,nda,tca,fda,wda,$da,Fca,oda,dda,Rca,gda,Hda,tX,Laa,OJ,TJ,VJ,AJ,GJ,EJ,MJ,DJ,IJ,KJ,SJ,HJ,NJ,WJ,XJ,QJ,cK,bK,$J,UJ,RJ,PJ,LJ,DM,JJ,XZ,R_,FU,TU,SV,YT,EV,hW,rX,RX,qY,aZ,SX,PV,QV,jV,pU,CU,DU,WT,MT,zW,NT,TV,WZ,mV,cX,MW,sX,dX,kV,XT,UU,FV,AW,qU,lV,SU,EU,VU,RV,Oba,oca,Xba,cca,lca,bba,qba,iba,Jba,fba,tba,Cba,bca,rba,Vba,mca,nca,Zba,Hca,xca,vca,kca,aca,Yba,Iba,Bba,Aba,eE,_p,Qaa,Uaa,gba,Eaa,yG,FG,Nba,Wba,RG,__,jda,dba,BG,Tx,Jaa,Naa,Oaa,Caa,xaa,pba,yaa,hba,qla,Zaa,Hba,zba,RH,mE,Xaa,Daa,Vaa,cba,sba,Kaa,Yaa,Taa,Paa,Waa,eba,O0,y4,X1,j3,v4,uX,cZ,XX,D$,UX,fZ,$Z,i3,dZ,V1,w4,x4,Z1,k7,F6,P5,u4,h3,Y1,C$,_Z,ZZ,Tl,Jma,Dw,WW,VX,WV,pla,Bla,N0,W1,oma,sma,ima,TX,vla,ila,BW,NW,OW,UV,nV,bZ,oV,WX,Dma,gX,B$,YZ,aB,E$,eX,VV,XW,vX,eZ,CW,fX,VW,PW,YW,Fw,Mha,$ha,Lha,_ha,tw,uw,Cx,Ex,JT,yT,Cma,gV,hV,hla,tx,LH,$M,Ur,Kd,aU,ut,_m,EZ,te,aka,Rk,vU,Zm,$z,wA,dx,eO,Bp,Yl,Gr,Qk,mR,UF,CD,OK,aJ,FZ,QC,jD,Ss,fm,uk,Wn,gl,Vg,gf,Dd,cf,cd,Qy,$T,ef,fe,Je,Lf,Rm,gr,IC,xE,zO,br,Qg,qe,Bk,fg,xn,Ae,Mg,Iv,cN,Hm,JQ,Vna,lma,_T,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa,lpa];var Gc=[$aa,Zh];var Hc=[Mma,On,eH,fH,dH,Mma,Mma,Mma];var Ic=[epa,De];var Jc=[Uqa,EX,_X,gN,Oqa,Nqa,Tqa,rfa,RW,IN,eR,Uqa,Uqa,Uqa,Uqa,Uqa];var Kc=[wka,_R,TM,dN,YM,nS,ad,$l,vL,$f,Gw,Br,zz,fr,yl,$d,Dj,Sw,gw,eA,xJ,MC,wC,xC,NB,eD,vz,TB,ok,Uka,vw,wka];var Lc=[yoa,tj,sS,pT,HS,qS,AS,ES,SR,cS,KR,UR,ZR,zS,TR,pS,FS,GS,rS,SS,OS,LS,DS,yS,aS,XR,WR,iS,JS,MS,rR,tR,eS,bS,GR,bR,dS,hS,BS,jS,ER,uT,wR,JR,QR,XQ,DR,oR,pR,$Q,WQ,HR,LR,IS,$R,VR,xR,KS,zR,aR,uR,BR,RR,gR,yR,sR,qR,vR,FR,U8,zN,PN,HO,QN,af,jI,Ega,ye,se,bf,Ag,gd,Mj,Vt,Jn,bn,mk,Ew,rm,Fr,NN,c_,Tr,CC,SH,tm,ow,_x,bx,wg,$c,Q9,wca,El,Mi,Io,Tg,mh,hr,qt,xs,GO,jQ,Jr,Oq,RA,OD,Vp,vba,lf,iR,Sk,Rj,io,mI,Ox,Vn,Ww,sd,mf,ci,GU,zf,ne,Zx,Tn,ol,cs,ym,VG,uq,NE,Ke,ko,Wc,Pba,jba,ID,ak,mJ,DE,KA,qA,pA,ix,vy,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa,yoa];var Mc=[Fpa,uO];var Nc=[n8,Kf,Jf,RI,UI,xj,Fj,VQ,ZQ,PI,QI,n8,n8,n8,n8,n8];var Oc=[Uga,Wk,Vk,Uk,Tk,Uga,Uga,Uga];var Pc=[Yla,rO,$A,$P,_P,XN,WN,xO,zL,XC,_I,Xw,kba,Tc,Tp,v3,jN,em,Fe,Qr,hf,yf,qd,ih,zl,Ne,_i,Mw,qw,Nw,Jw,Hw,Pr,Ug,Bi,Oi,Lw,Cq,nh,tq,ri,dj,xk,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla,Yla];return{_memset:jJ,_bitshift64Lshr:xV,_bitshift64Shl:MU,_pthread_cond_broadcast:eqa,_fflush:GE,___cxa_is_pointer_type:pca,_llvm_cttz_i32:UN,_sbrk:RL,_i64Add:G6,_memcpy:GH,___muldi3:PQ,___uremdi3:ZP,_i64Subtract:ST,___udivmoddi4:Ik,_sass_compile_emscripten:Pq,_pthread_self:Wqa,_pthread_mutex_unlock:jqa,___udivdi3:Ada,___errno_location:v9,___muldsi3:bN,___cxa_can_catch:YN,_free:Pf,_round:cma,_memmove:DN,_malloc:pd,_pthread_mutex_lock:pqa,__GLOBAL__I_000101:Sga,__GLOBAL__sub_I_node_cpp:sC,__GLOBAL__sub_I_context_cpp:hC,__GLOBAL__sub_I_functions_cpp:jk,__GLOBAL__sub_I_color_maps_cpp:Rc,__GLOBAL__sub_I_environment_cpp:bC,__GLOBAL__sub_I_bind_cpp:uC,__GLOBAL__sub_I_file_cpp:oT,__GLOBAL__sub_I_util_cpp:qC,__GLOBAL__sub_I_values_cpp:iC,__GLOBAL__sub_I_parser_cpp:jC,__GLOBAL__sub_I_eval_cpp:tC,__GLOBAL__sub_I_expand_cpp:nC,__GLOBAL__sub_I_listize_cpp:gC,__GLOBAL__sub_I_cssize_cpp:oC,__GLOBAL__sub_I_extend_cpp:mC,__GLOBAL__sub_I_output_cpp:kC,__GLOBAL__sub_I_inspect_cpp:lC,__GLOBAL__sub_I_emitter_cpp:$S,__GLOBAL__sub_I_check_nesting_cpp:YB,__GLOBAL__sub_I_remove_placeholders_cpp:SB,__GLOBAL__sub_I_sass_cpp:nT,__GLOBAL__sub_I_sass_util_cpp:eC,__GLOBAL__sub_I_sass_values_cpp:aC,__GLOBAL__sub_I_sass_context_cpp:_B,__GLOBAL__sub_I_sass_functions_cpp:kS,__GLOBAL__sub_I_sass2scss_cpp:PS,__GLOBAL__sub_I_to_c_cpp:rC,__GLOBAL__sub_I_to_value_cpp:fC,__GLOBAL__sub_I_source_map_cpp:dC,__GLOBAL__sub_I_subset_map_cpp:cC,__GLOBAL__sub_I_error_handling_cpp:VB,__GLOBAL__sub_I_ast_cpp:ew,__GLOBAL__sub_I_iostream_cpp:Lqa,runPostSets:RT,_emscripten_replace_memory:gc,stackAlloc:dca,stackSave:Qqa,stackRestore:yqa,establishStackSpace:Ola,setThrew:jja,setTempRet0:Bqa,getTempRet0:Pqa,emterpret:Qc,setAsyncState:mqa,emtStackSave:Jqa,emtStackRestore:dqa,dynCall_iiiiiiii:lR,dynCall_iiiiiid:TT,dynCall_v:Tpa,dynCall_viiiii:PY,dynCall_vi:qma,dynCall_vii:Tga,dynCall_iiiiiii:DT,dynCall_ii:$ka,dynCall_id:Xla,dynCall_iiiiii:QW,dynCall_iiii:Faa,dynCall_ddi:bha,dynCall_viiiiiiiiiiiiiii:aK,dynCall_viiiiiiii:tQ,dynCall_iddddii:qW,dynCall_viiiiii:lU,dynCall_ddd:Jia,dynCall_di:Ila,dynCall_iddd:Vca,dynCall_viidii:a0,dynCall_iid:nga,dynCall_viiiiiii:lS,dynCall_iiiiiiiiiiii:nN,dynCall_viiiiiiiiii:gO,dynCall_iii:tea,dynCall_iiiiiddi:CS,dynCall_diii:_aa,dynCall_dii:Kfa,dynCall_i:Boa,dynCall_iiiii:Q5,dynCall_viii:Gba,dynCall_idi:oga,dynCall_iiiiiiiii:aQ,dynCall_iiiiid:FX,dynCall_viiii:T8}})


// EMSCRIPTEN_END_ASM
(Module.asmGlobalArg,Module.asmLibraryArg,buffer);var __GLOBAL__sub_I_error_handling_cpp=Module["__GLOBAL__sub_I_error_handling_cpp"]=asm["__GLOBAL__sub_I_error_handling_cpp"];var __GLOBAL__sub_I_sass2scss_cpp=Module["__GLOBAL__sub_I_sass2scss_cpp"]=asm["__GLOBAL__sub_I_sass2scss_cpp"];var __GLOBAL__sub_I_color_maps_cpp=Module["__GLOBAL__sub_I_color_maps_cpp"]=asm["__GLOBAL__sub_I_color_maps_cpp"];var __GLOBAL__sub_I_remove_placeholders_cpp=Module["__GLOBAL__sub_I_remove_placeholders_cpp"]=asm["__GLOBAL__sub_I_remove_placeholders_cpp"];var _llvm_cttz_i32=Module["_llvm_cttz_i32"]=asm["_llvm_cttz_i32"];var __GLOBAL__sub_I_eval_cpp=Module["__GLOBAL__sub_I_eval_cpp"]=asm["__GLOBAL__sub_I_eval_cpp"];var __GLOBAL__sub_I_source_map_cpp=Module["__GLOBAL__sub_I_source_map_cpp"]=asm["__GLOBAL__sub_I_source_map_cpp"];var __GLOBAL__sub_I_to_value_cpp=Module["__GLOBAL__sub_I_to_value_cpp"]=asm["__GLOBAL__sub_I_to_value_cpp"];var _bitshift64Lshr=Module["_bitshift64Lshr"]=asm["_bitshift64Lshr"];var __GLOBAL__sub_I_node_cpp=Module["__GLOBAL__sub_I_node_cpp"]=asm["__GLOBAL__sub_I_node_cpp"];var _emscripten_replace_memory=Module["_emscripten_replace_memory"]=asm["_emscripten_replace_memory"];var _bitshift64Shl=Module["_bitshift64Shl"]=asm["_bitshift64Shl"];var __GLOBAL__sub_I_parser_cpp=Module["__GLOBAL__sub_I_parser_cpp"]=asm["__GLOBAL__sub_I_parser_cpp"];var _pthread_cond_broadcast=Module["_pthread_cond_broadcast"]=asm["_pthread_cond_broadcast"];var _fflush=Module["_fflush"]=asm["_fflush"];var __GLOBAL__sub_I_environment_cpp=Module["__GLOBAL__sub_I_environment_cpp"]=asm["__GLOBAL__sub_I_environment_cpp"];var ___cxa_is_pointer_type=Module["___cxa_is_pointer_type"]=asm["___cxa_is_pointer_type"];var __GLOBAL__sub_I_to_c_cpp=Module["__GLOBAL__sub_I_to_c_cpp"]=asm["__GLOBAL__sub_I_to_c_cpp"];var __GLOBAL__sub_I_util_cpp=Module["__GLOBAL__sub_I_util_cpp"]=asm["__GLOBAL__sub_I_util_cpp"];var __GLOBAL__sub_I_sass_functions_cpp=Module["__GLOBAL__sub_I_sass_functions_cpp"]=asm["__GLOBAL__sub_I_sass_functions_cpp"];var _memset=Module["_memset"]=asm["_memset"];var __GLOBAL__sub_I_listize_cpp=Module["__GLOBAL__sub_I_listize_cpp"]=asm["__GLOBAL__sub_I_listize_cpp"];var _sbrk=Module["_sbrk"]=asm["_sbrk"];var _sass_compile_emscripten=Module["_sass_compile_emscripten"]=asm["_sass_compile_emscripten"];var _memcpy=Module["_memcpy"]=asm["_memcpy"];var __GLOBAL__sub_I_functions_cpp=Module["__GLOBAL__sub_I_functions_cpp"]=asm["__GLOBAL__sub_I_functions_cpp"];var ___muldi3=Module["___muldi3"]=asm["___muldi3"];var __GLOBAL__sub_I_cssize_cpp=Module["__GLOBAL__sub_I_cssize_cpp"]=asm["__GLOBAL__sub_I_cssize_cpp"];var ___uremdi3=Module["___uremdi3"]=asm["___uremdi3"];var __GLOBAL__sub_I_sass_util_cpp=Module["__GLOBAL__sub_I_sass_util_cpp"]=asm["__GLOBAL__sub_I_sass_util_cpp"];var __GLOBAL__sub_I_sass_cpp=Module["__GLOBAL__sub_I_sass_cpp"]=asm["__GLOBAL__sub_I_sass_cpp"];var _i64Subtract=Module["_i64Subtract"]=asm["_i64Subtract"];var __GLOBAL__sub_I_bind_cpp=Module["__GLOBAL__sub_I_bind_cpp"]=asm["__GLOBAL__sub_I_bind_cpp"];var ___udivmoddi4=Module["___udivmoddi4"]=asm["___udivmoddi4"];var __GLOBAL__sub_I_sass_values_cpp=Module["__GLOBAL__sub_I_sass_values_cpp"]=asm["__GLOBAL__sub_I_sass_values_cpp"];var _i64Add=Module["_i64Add"]=asm["_i64Add"];var __GLOBAL__sub_I_sass_context_cpp=Module["__GLOBAL__sub_I_sass_context_cpp"]=asm["__GLOBAL__sub_I_sass_context_cpp"];var _pthread_self=Module["_pthread_self"]=asm["_pthread_self"];var __GLOBAL__sub_I_context_cpp=Module["__GLOBAL__sub_I_context_cpp"]=asm["__GLOBAL__sub_I_context_cpp"];var _pthread_mutex_unlock=Module["_pthread_mutex_unlock"]=asm["_pthread_mutex_unlock"];var __GLOBAL__I_000101=Module["__GLOBAL__I_000101"]=asm["__GLOBAL__I_000101"];var __GLOBAL__sub_I_inspect_cpp=Module["__GLOBAL__sub_I_inspect_cpp"]=asm["__GLOBAL__sub_I_inspect_cpp"];var __GLOBAL__sub_I_emitter_cpp=Module["__GLOBAL__sub_I_emitter_cpp"]=asm["__GLOBAL__sub_I_emitter_cpp"];var __GLOBAL__sub_I_iostream_cpp=Module["__GLOBAL__sub_I_iostream_cpp"]=asm["__GLOBAL__sub_I_iostream_cpp"];var __GLOBAL__sub_I_check_nesting_cpp=Module["__GLOBAL__sub_I_check_nesting_cpp"]=asm["__GLOBAL__sub_I_check_nesting_cpp"];var ___udivdi3=Module["___udivdi3"]=asm["___udivdi3"];var __GLOBAL__sub_I_extend_cpp=Module["__GLOBAL__sub_I_extend_cpp"]=asm["__GLOBAL__sub_I_extend_cpp"];var ___errno_location=Module["___errno_location"]=asm["___errno_location"];var runPostSets=Module["runPostSets"]=asm["runPostSets"];var ___muldsi3=Module["___muldsi3"]=asm["___muldsi3"];var ___cxa_can_catch=Module["___cxa_can_catch"]=asm["___cxa_can_catch"];var _free=Module["_free"]=asm["_free"];var __GLOBAL__sub_I_ast_cpp=Module["__GLOBAL__sub_I_ast_cpp"]=asm["__GLOBAL__sub_I_ast_cpp"];var _round=Module["_round"]=asm["_round"];var __GLOBAL__sub_I_file_cpp=Module["__GLOBAL__sub_I_file_cpp"]=asm["__GLOBAL__sub_I_file_cpp"];var _memmove=Module["_memmove"]=asm["_memmove"];var __GLOBAL__sub_I_output_cpp=Module["__GLOBAL__sub_I_output_cpp"]=asm["__GLOBAL__sub_I_output_cpp"];var _malloc=Module["_malloc"]=asm["_malloc"];var _pthread_mutex_lock=Module["_pthread_mutex_lock"]=asm["_pthread_mutex_lock"];var __GLOBAL__sub_I_expand_cpp=Module["__GLOBAL__sub_I_expand_cpp"]=asm["__GLOBAL__sub_I_expand_cpp"];var __GLOBAL__sub_I_subset_map_cpp=Module["__GLOBAL__sub_I_subset_map_cpp"]=asm["__GLOBAL__sub_I_subset_map_cpp"];var __GLOBAL__sub_I_values_cpp=Module["__GLOBAL__sub_I_values_cpp"]=asm["__GLOBAL__sub_I_values_cpp"];var dynCall_iiiiiiii=Module["dynCall_iiiiiiii"]=asm["dynCall_iiiiiiii"];var dynCall_iiiiiid=Module["dynCall_iiiiiid"]=asm["dynCall_iiiiiid"];var dynCall_v=Module["dynCall_v"]=asm["dynCall_v"];var dynCall_viiiii=Module["dynCall_viiiii"]=asm["dynCall_viiiii"];var dynCall_vi=Module["dynCall_vi"]=asm["dynCall_vi"];var dynCall_vii=Module["dynCall_vii"]=asm["dynCall_vii"];var dynCall_iiiiiii=Module["dynCall_iiiiiii"]=asm["dynCall_iiiiiii"];var dynCall_ii=Module["dynCall_ii"]=asm["dynCall_ii"];var dynCall_id=Module["dynCall_id"]=asm["dynCall_id"];var dynCall_iiiiii=Module["dynCall_iiiiii"]=asm["dynCall_iiiiii"];var dynCall_iiii=Module["dynCall_iiii"]=asm["dynCall_iiii"];var dynCall_ddi=Module["dynCall_ddi"]=asm["dynCall_ddi"];var dynCall_viiiiiiiiiiiiiii=Module["dynCall_viiiiiiiiiiiiiii"]=asm["dynCall_viiiiiiiiiiiiiii"];var dynCall_viiiiiiii=Module["dynCall_viiiiiiii"]=asm["dynCall_viiiiiiii"];var dynCall_iddddii=Module["dynCall_iddddii"]=asm["dynCall_iddddii"];var dynCall_viiiiii=Module["dynCall_viiiiii"]=asm["dynCall_viiiiii"];var dynCall_ddd=Module["dynCall_ddd"]=asm["dynCall_ddd"];var dynCall_di=Module["dynCall_di"]=asm["dynCall_di"];var dynCall_iddd=Module["dynCall_iddd"]=asm["dynCall_iddd"];var dynCall_viidii=Module["dynCall_viidii"]=asm["dynCall_viidii"];var dynCall_iid=Module["dynCall_iid"]=asm["dynCall_iid"];var dynCall_viiiiiii=Module["dynCall_viiiiiii"]=asm["dynCall_viiiiiii"];var dynCall_iiiiiiiiiiii=Module["dynCall_iiiiiiiiiiii"]=asm["dynCall_iiiiiiiiiiii"];var dynCall_viiiiiiiiii=Module["dynCall_viiiiiiiiii"]=asm["dynCall_viiiiiiiiii"];var dynCall_iii=Module["dynCall_iii"]=asm["dynCall_iii"];var dynCall_iiiiiddi=Module["dynCall_iiiiiddi"]=asm["dynCall_iiiiiddi"];var dynCall_diii=Module["dynCall_diii"]=asm["dynCall_diii"];var dynCall_dii=Module["dynCall_dii"]=asm["dynCall_dii"];var dynCall_i=Module["dynCall_i"]=asm["dynCall_i"];var dynCall_iiiii=Module["dynCall_iiiii"]=asm["dynCall_iiiii"];var dynCall_viii=Module["dynCall_viii"]=asm["dynCall_viii"];var dynCall_idi=Module["dynCall_idi"]=asm["dynCall_idi"];var dynCall_iiiiiiiii=Module["dynCall_iiiiiiiii"]=asm["dynCall_iiiiiiiii"];var dynCall_iiiiid=Module["dynCall_iiiiid"]=asm["dynCall_iiiiid"];var dynCall_viiii=Module["dynCall_viiii"]=asm["dynCall_viiii"];Runtime.stackAlloc=asm["stackAlloc"];Runtime.stackSave=asm["stackSave"];Runtime.stackRestore=asm["stackRestore"];Runtime.establishStackSpace=asm["establishStackSpace"];Runtime.setTempRet0=asm["setTempRet0"];Runtime.getTempRet0=asm["getTempRet0"];function ExitStatus(status){this.name="ExitStatus";this.message="Program terminated with exit("+status+")";this.status=status}ExitStatus.prototype=new Error;ExitStatus.prototype.constructor=ExitStatus;var initialStackTop;var preloadStartTime=null;var calledMain=false;dependenciesFulfilled=function runCaller(){if(!Module["calledRun"])run();if(!Module["calledRun"])dependenciesFulfilled=runCaller};Module["callMain"]=Module.callMain=function callMain(args){args=args||[];ensureInitRuntime();var argc=args.length+1;function pad(){for(var i=0;i<4-1;i++){argv.push(0)}}var argv=[allocate(intArrayFromString(Module["thisProgram"]),"i8",ALLOC_NORMAL)];pad();for(var i=0;i<argc-1;i=i+1){argv.push(allocate(intArrayFromString(args[i]),"i8",ALLOC_NORMAL));pad()}argv.push(0);argv=allocate(argv,"i32",ALLOC_NORMAL);var initialEmtStackTop=asm.emtStackSave();try{var ret=Module["_main"](argc,argv,0);exit(ret,true)}catch(e){if(e instanceof ExitStatus){return}else if(e=="SimulateInfiniteLoop"){Module["noExitRuntime"]=true;asm.emtStackRestore(initialEmtStackTop);return}else{if(e&&typeof e==="object"&&e.stack)Module.printErr("exception thrown: "+[e,e.stack]);throw e}}finally{calledMain=true}};function run(args){args=args||Module["arguments"];if(preloadStartTime===null)preloadStartTime=Date.now();if(runDependencies>0){return}preRun();if(runDependencies>0)return;if(Module["calledRun"])return;function doRun(){if(Module["calledRun"])return;Module["calledRun"]=true;if(ABORT)return;ensureInitRuntime();preMain();if(Module["onRuntimeInitialized"])Module["onRuntimeInitialized"]();if(Module["_main"]&&shouldRunNow)Module["callMain"](args);postRun()}if(Module["setStatus"]){Module["setStatus"]("Running...");setTimeout((function(){setTimeout((function(){Module["setStatus"]("")}),1);doRun()}),1)}else{doRun()}}Module["run"]=Module.run=run;function exit(status,implicit){if(implicit&&Module["noExitRuntime"]){return}if(Module["noExitRuntime"]){}else{ABORT=true;EXITSTATUS=status;STACKTOP=initialStackTop;exitRuntime();if(Module["onExit"])Module["onExit"](status)}if(ENVIRONMENT_IS_NODE){process["exit"](status)}else if(ENVIRONMENT_IS_SHELL&&typeof quit==="function"){quit(status)}throw new ExitStatus(status)}Module["exit"]=Module.exit=exit;var abortDecorators=[];function abort(what){if(what!==undefined){Module.print(what);Module.printErr(what);what=JSON.stringify(what)}else{what=""}ABORT=true;EXITSTATUS=1;var extra="\nIf this abort() is unexpected, build with -s ASSERTIONS=1 which can give more information.";var output="abort("+what+") at "+stackTrace()+extra;if(abortDecorators){abortDecorators.forEach((function(decorator){output=decorator(output,what)}))}throw output}Module["abort"]=Module.abort=abort;if(Module["preInit"]){if(typeof Module["preInit"]=="function")Module["preInit"]=[Module["preInit"]];while(Module["preInit"].length>0){Module["preInit"].pop()()}}var shouldRunNow=true;if(Module["noInitialRun"]){shouldRunNow=false}run()





/*global Module*/
/*jshint strict:false, unused:false*/

function noop(){}


function stripLeadingSlash(text) {
  return text.slice(0, 1) === '/' ? text.slice(1) : text;
}

function addLeadingSlash(text) {
  return text.slice(0, 1) !== '/' ? ('/' + text) : text;
}

function stripTrailingSlash(text) {
  return text.slice(-1) === '/' ? text.slice(0, -1) : text;
}

function addTrailingSlash(text) {
  return text.slice(-1) !== '/' ? (text + '/') : text;
}


function pointerToString(pointer) {
  /*jshint camelcase:false*/
  return pointer && Module.Pointer_stringify(pointer) || null;
}

function stringToPointer(text) {
  // a character like ” takes 3 bytes, while .length would return 1
  // see https://github.com/medialize/sass.js/issues/72#issuecomment-263916386
  var bytes = Module.lengthBytesUTF8(text);
  var buffer = Module._malloc(bytes + 1);
  Module.stringToUTF8(text, buffer, bytes + 1);
  return buffer;
}

function pointerToJson(pointer) {
  var test = pointerToString(pointer);
  return test && JSON.parse(test) || null;
}

function pointerToStringArray(pointer) {
  var list = [];
  if (!pointer) {
    return list;
  }

  // TODO: are we limited to 32bit?
  for (var i=0; true; i+=4) {
    var _pointer = Module.getValue(pointer + i, '*');
    if (!_pointer) {
      break;
    }

    var _item = pointerToString(_pointer);
    _item && list.push(_item);
  }

  return list;
}

/*jshint strict:false, unused:false*/

var BooleanNumber = function(input) {
  // in emscripten you pass booleans as integer 0 and 1
  return Number(Boolean(input));
};

// map of arguments required by the emscripten wrapper (order relevant!)
// to not have to touch various different spots in this file,
// everything is defined here and registered in the appropriate places.
var options = [
  {
    // int output_style,
    type: 'number',
    // Output style for the generated css code
    // using Sass.style.*
    key: 'style',
    initial: 0,
    coerce: Number,
  },
  {
    // int precision,
    type: 'number',
    // Precision for outputting fractional numbers
    // 0: use libsass default
    key: 'precision',
    initial: -1,
    coerce: Number,
  },
  {
    // bool source_comments,
    type: 'number',
    // If you want inline source comments
    key: 'comments',
    initial: 0,
    coerce: BooleanNumber,
  },
  {
    // bool is_indented_syntax_src,
    type: 'number',
    // Treat source_string as SASS (as opposed to SCSS)
    key: 'indentedSyntax',
    initial: 0,
    coerce: BooleanNumber,
  },
  {
    // bool source_map_contents,
    type: 'number',
    // embed include contents in maps
    key: 'sourceMapContents',
    initial: 1,
    coerce: BooleanNumber,
  },
  {
    // bool source_map_embed,
    type: 'number',
    // embed sourceMappingUrl as data uri
    key: 'sourceMapEmbed',
    initial: 0,
    coerce: BooleanNumber,
  },
  {
    // bool omit_source_map_url,
    type: 'number',
    // Disable sourceMappingUrl in css output
    key: 'sourceMapOmitUrl',
    initial: 1,
    coerce: BooleanNumber,
  },
  {
    // char *source_map_root,
    type: 'string',
    // Pass-through as sourceRoot property
    key: 'sourceMapRoot',
    initial: 'root',
    coerce: String,
  },
  {
    // char *source_map_file,
    type: 'string',
    // Path to source map file
    // Enables the source map generating
    // Used to create sourceMappingUrl
    key: 'sourceMapFile',
    initial: 'file',
    coerce: String,
  },
  {
    // char *input_path,
    type: 'string',
    // The input path is used for source map generation.
    // It can be used to define something with string
    // compilation or to overload the input file path.
    // It is set to "stdin" for data contexts
    // and to the input file on file contexts.
    key: 'inputPath',
    initial: 'stdin',
    coerce: String,
  },
  {
    // char *output_path,
    type: 'string',
    // The output path is used for source map generation.
    // Libsass will not write to this file, it is just
    // used to create information in source-maps etc.
    key: 'outputPath',
    initial: 'stdout',
    coerce: String,
  },
  {
    // char *indent,
    type: 'string',
    // String to be used for indentation
    key: 'indent',
    initial: '  ',
    coerce: String,
  },
  {
    // char *linefeed,
    type: 'string',
    // String to be used to for line feeds
    key: 'linefeed',
    initial: '\n',
    coerce: String,
  },
];

/*global FS, PATH, Sass, stringToPointer*/
/*jshint strict:false*/

var Importer = {
  _running: false,
  _result: null,

  find: function(current, previous) {
    if (!Sass._importer) {
      Importer._running = false;
      return;
    }

    Importer._running = true;
    Importer._result = null;

    var resolved = PATH.resolve(previous === 'stdin' ? Sass._path : PATH.dirname(previous), current);
    var found = Sass.findPathVariation(FS.stat, resolved);
    var done = function done(result) {
      Importer._result = result;
      Importer._running = false;
    };

    try {
      Sass._importer({
        current: current,
        previous: previous,
        resolved: resolved,
        path: found,
        options: Sass._options.importer || null,
      }, done);
    } catch(e) {
      // allow emscripten to resume libsass,
      // if only to have it stop gracefully
      done({ error: e.message });
      // but don't just swallow the JS error
      console.error(e.stack);
    }
  },

  finished: function() {
    return !Importer._running;
  },

  path: function() {
    return Importer._resultPointer('path');
  },

  content: function() {
    return Importer._resultPointer('content');
  },

  error: function() {
    return Importer._resultPointer('error');
  },

  _resultPointer: function(key) {
    return Importer._result && Importer._result[key] !== undefined && stringToPointer(Importer._result[key]) || 0;
  },

};
/*global Module, FS, PATH, stripLeadingSlash, addTrailingSlash, XMLHttpRequest, noop, options*/
/*jshint strict:false*/

var Sass = {
  style: {
    nested: 0,
    expanded: 1,
    compact: 2,
    compressed: 3,
  },
  comments: {
    'none': 0,
    'default': 1,
  },

  _options: {
    // filled by sass.options.js
  },
  _defaultOptions: {
    // filled by sass.options.js
  },
  _optionTypes: {
    // filled by sass.options.js
  },

  _files: {},
  _path: '/sass/',

  FS: FS,
  PATH: PATH,
  Module: Module,

  // track if emscripten is initialized
  _initialized: false,
  // allow calling .compile() before emscripten is ready by "buffering" the call
  // (i.e. have the client not care about its asynchronous init)
  _ready: function() {
    Sass._initialized = true;
    // we may have buffered compile() calls during execution,
    Sass._compileNext();
  },

  _compileNext: function() {
    if (!Sass._compileQueue.length) {
      return;
    }
    // first in first out
    var args = Sass._compileQueue.shift();
    Sass.compile.apply(Sass, args);
  },

  options: function(options, callback) {
    if (options === 'defaults') {
      Sass.options(Sass._defaultOptions, callback);
      return;
    }

    if (typeof options !== 'object') {
      return;
    }

    Object.keys(options).forEach(function(key) {
      var _type = Sass._optionTypes[key];

      if (key === 'importer') {
        // allow passing compile() time options
        // to the importer callback
        Sass._options[key] = options[key];
        return;
      }

      // no need to import crap
      if (!_type) {
        throw new Error('Unknown option "' + key + '"');
      }

      // force expected data type
      Sass._options[key] = _type(options[key]);
    });

    callback && callback();
  },

  _cloneOptions: function() {
    var o = {};
    Object.keys(Sass._options).forEach(function(key) {
      o[key] = Sass._options[key];
    });

    return o;
  },

  importer: function(importerCallback, callback) {
    if (typeof importerCallback !== 'function' && importerCallback !== null) {
      throw new Error('importer callback must either be a function or null');
    }

    Sass._importer = importerCallback;
    callback && callback();
  },

  _absolutePath: function(filename) {
    return Sass._path + stripLeadingSlash(filename);
  },

  _createPath: function(parts) {
    var base = [];

    while (parts.length) {
      var directory = parts.shift();
      try {
        FS.createFolder(base.join('/'), directory, true, true);
      } catch(e) {
        // IGNORE file exists errors
      }

      base.push(directory);
    }
  },

  _ensurePath: function(filename) {
    var parts = filename.split('/');
    parts.pop();

    if (!parts.length) {
      return;
    }

    try {
      FS.stat(parts.join('/'));
      return;
    } catch(e) {
      Sass._createPath(parts);
    }
  },

  writeFile: function(filename, text, callback) {
    if (typeof filename === 'object') {
      callback = text;
      text = null;

      var map = {};
      Object.keys(filename).forEach(function(file) {
        Sass.writeFile(file, filename[file], function(result) {
          map[file] = result;
        });
      });

      callback && callback(map);
      return;
    }

    var _absolute = filename.slice(0, 1) === '/';
    var path = Sass._absolutePath(filename);
    try {
      Sass._ensurePath(path);
      FS.writeFile(path, text);
      Sass._files[path] = filename;
      // create symlink for absolute path resolution
      if (_absolute) {
        Sass._ensurePath(filename);
        FS.symlink(path, filename);
      }
      callback && callback(true);
    } catch(e) {
      callback && callback(false);
    }
  },

  readFile: function(filename, callback) {
    if (Array.isArray(filename)) {
      var map = {};
      filename.forEach(function(file) {
        Sass.readFile(file, function(result) {
          map[file] = result;
        });
      });

      callback && callback(map);
      return;
    }

    var path = Sass._absolutePath(filename);
    var result;
    try {
      result = FS.readFile(path, {encoding: 'utf8'});
    } catch(e) {}

    callback && callback(result);
  },

  listFiles: function(callback) {
    var list = Object.keys(Sass._files).map(function(path) {
      return Sass._files[path];
    });

    callback && callback(list);
  },

  removeFile: function(filename, callback) {
    if (Array.isArray(filename)) {
      var map = {};
      filename.forEach(function(file) {
        Sass.removeFile(file, function(result) {
          map[file] = result;
        });
      });

      callback && callback(map);
      return;
    }

    var _absolute = filename.slice(0, 1) === '/';
    var path = Sass._absolutePath(filename);
    try {
      FS.unlink(path);
      delete Sass._files[path];

      // undo symlink for absolute path resolution
      if (_absolute && FS.lstat(filename)) {
        FS.unlink(filename);
      }

      callback && callback(true);
    } catch(e) {
      callback && callback(false);
    }
  },

  clearFiles: function(callback) {
    Sass.listFiles(function(list) {
      list.forEach(function(file) {
        Sass.removeFile(file);
      });

      callback && callback();
    });
  },

  _handleFiles: function(base, directory, files, callback) {
    var _root = Sass._absolutePath(directory || '');
    _root = addTrailingSlash(_root);
    base = addTrailingSlash(base);

    return files.map(function(file) {
      file = stripLeadingSlash(file);

      var parts = file.split('/');
      var _file = parts.pop();
      var _path = _root + parts.join('/');
      _path = addTrailingSlash(_path);

      return callback(_path, _file, base + file);
    }, Sass);
  },

  _handleLazyFile: function(path, file, url) {
    Sass._ensurePath(path + file);
    FS.createLazyFile(path, file, url, true, false);
  },

  _preloadingFiles: 0,
  _preloadingFilesCallback: null,
  _handlePreloadFile: function(path, file, url) {
    Sass._ensurePath(path + file);

    Sass._preloadingFiles++;
    var request = new XMLHttpRequest();
    request.onload = function() {
      Sass.writeFile(path.slice(Sass._path.length) + file, this.responseText);

      Sass._preloadingFiles--;
      if (!Sass._preloadingFiles) {
        Sass._preloadingFilesCallback();
        Sass._preloadingFilesCallback = null;
      }
    };

    request.open('get', url, true);
    request.send();
  },

  lazyFiles: function(base, directory, files, callback) {
    Sass._handleFiles(base, directory, files, Sass._handleLazyFile);
    callback && callback();
  },

  preloadFiles: function(base, directory, files, callback) {
    Sass._preloadingFilesCallback = callback || noop;
    Sass._handleFiles(base, directory, files, Sass._handlePreloadFile);
  },


  // allow concurrent task registration, even though we can only execute them in sequence
  _compileQueue: [],
  compile: function(text, _options, callback, _compileFile) {
    if (typeof _options === 'function') {
      callback = _options;
      _options = null;
    }

    if (!callback) {
      throw new Error('Sass.compile() requires callback function as second (or third) parameter!');
    }

    if (_options !== null && typeof _options !== 'object') {
      throw new Error('Sass.compile() requires second argument to be an object (options) or a function (callback)');
    }

    var done = function done(result) {
      var _cleanup = function() {
        // we're done, the next invocation may come
        Sass._sassCompileEmscriptenSuccess = null;
        Sass._sassCompileEmscriptenError = null;
        // we may have buffered compile() calls during execution,
        Sass._compileNext();
      };
      var _done = function() {
        // reset options to what they were before they got temporarily overwritten
        _previousOptions && Sass.options(_previousOptions);
        // make sure we cleanup regardless of what happenes in the callback
        (typeof setImmediate !== 'undefined' ? setImmediate : setTimeout)(_cleanup);
        // announce we're done while still buffering incoming compile() calls
        callback(result);
      };

      // give emscripten a chance to finish the C function and clean up
      // before we resume our JavaScript duties
      (typeof setImmediate !== 'undefined' ? setImmediate : setTimeout)(_done);
    };

    // only one Sass.compile() can run concurrently, wait for the currently running task to finish!
    // Also we need to delay .compile() to when emscripten is ready (if not already the case)
    // doing this *after* the initial sanity checks to maintain API behavior
    // in respect to when/how exceptions are thrown
    if (Sass._sassCompileEmscriptenSuccess || !Sass._initialized) {
      Sass._compileQueue.push([text, _options, callback, _compileFile]);
      return;
    }

    try {
      // temporarily - for the duration of this .compile() - overwrite options
      var _previousOptions = null;
      if (_options) {
        _previousOptions = Sass._cloneOptions();
        Sass.options(_options);
      }

      Sass._sassCompileEmscriptenSuccess = function(result, map, files) {
        done({
          status: 0,
          text: result,
          map: map,
          files: files,
        });
      };

      Sass._sassCompileEmscriptenError = function(error, message) {
        var result = error || {};
        result.formatted = message;
        done(result);
      };

      Module.ccall(
        // C function to call
        'sass_compile_emscripten',
        // return type
        null,
        // parameter types
        [
          'string',
          'string',
          'bool',
          'bool',
        ].concat(options.map(function(option) {
          return option.type;
        })),
        // arguments for invocation
        [
          text,
          Sass._path,
          Number(Boolean(_compileFile)),
          Number(Boolean(Sass._importer)),
        ].concat(options.map(function(option) {
          return Sass._options[option.key];
        })),
        // we're not expecting synchronous return value
        { async: true }
      );
    } catch(e) {
      done({
        status: 99,
        line: null,
        message: e.message,
        error: e
      });
    }
  },
  compileFile: function(filename, _options, callback) {
    var path = Sass._absolutePath(filename);
    if (typeof _options === 'function') {
      callback = _options;
      _options = {};
    }

    _options.sourceMapRoot = path;
    _options.inputPath = path;

    return Sass.compile(path, _options, callback, true);
  },
};

// register options maintained in sass.options.js
options.forEach(function(option) {
  Sass._options[option.key] = Sass._defaultOptions[option.key] = option.initial;
  Sass._optionTypes[option.key] = option.coerce;
});

// until 0.9.6 we used a weird hacky way to get informed by Module.onRuntimeInitialized
// when emscripten was fully loaded. But since 0.9.5 we're not using a separate .mem file
// anymore and emscripten doesn't preload any files for us, so this became irrelevant.

// initialize after emscripten is loaded and the event loop cleared
setTimeout(Sass._ready);

/*global PATH, Sass*/
/*jshint strict:false*/

function isAbsolutePath (path) {
  return path[0] === '/';
}

Sass.getPathVariations = function(path) {
  // [importer,include_path] this is where we would add the ability to
  // examine the include_path (if we ever use that in Sass.js)
  path = PATH.normalize(path);
  var directory = PATH.dirname(path);
  var basename = PATH.basename(path);
  var extensions = ['.scss', '.sass', '.css'];
  // basically what is done by resolve_and_load() in file.cpp
  // Resolution order for ambiguous imports:
  var list = [
    // (1) filename as given
    path,
    // (2) underscore + given
    PATH.resolve(directory, '_' + basename)
  ].concat(extensions.map(function(extension) {
    // (3) underscore + given + extension
    return PATH.resolve(directory, '_' + basename + extension);
  })).concat(extensions.map(function(extension) {
    // (4) given + extension
    return PATH.resolve(directory, basename + extension);
  }));

  if (!isAbsolutePath(path)) {
    // PATH.resolve() makes everything absolute, revert that
    list = list.map(function(item) {
      return isAbsolutePath(item)
        ? item.slice(1)
        : item;
    });
  }

  return list;
};

Sass.findPathVariation = function(stat, path) {
  return Sass.getPathVariations(path).reduce(function(found, path) {
    if (found) {
      return found;
    }

    try {
      stat(path);
      return path;
    } catch(e) {
      return null;
    }
  }, null);
};
return Sass;
}));